//
// Copyright (c) 2019 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ARGPCDMA_AO_H_INC
#define ARGPCDMA_AO_H_INC
#define NV_MOBILE_ARGPCDMA_AO_H_UNIT_OF_OFFSET 1B


// Register GPCDMA_AO_COMMON_DMA_CHAN_STA_0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0                 MK_ADDR_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_SECURE                  0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_DUAL                    0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_SCR                     SCR_DMA_RO_0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_RESET_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_READ_MASK                       MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_RANGE                       0:0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_RANGE                       1:1
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_RANGE                       2:2
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_RANGE                       3:3
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_RANGE                       4:4
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_RANGE                       5:5
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_RANGE                       6:6
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_RANGE                       7:7
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_STA_0_CH7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_REQUESTORS_TX_0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0                        MK_ADDR_CONST(0x4)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SECURE                         0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_DUAL                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SCR                    SCR_DMA_RO_0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_WORD_COUNT                     0x1
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_RESET_MASK                     MK_MASK_CONST(0x33f)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_READ_MASK                      MK_MASK_CONST(0x33f)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_RANGE                     0:0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_RANGE                     1:1
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C2_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_RANGE                     2:2
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_I2C3_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_SHIFT                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_RANGE                      3:3
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_MSB                        MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_LSB                        MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_SPI_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_SHIFT                    MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_RANGE                    4:4
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_MSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_LSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_SHIFT                    MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_RANGE                    5:5
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_MSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_LSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_SHIFT                    MK_SHIFT_CONST(8)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_RANGE                    8:8
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_MSB                      MK_SHIFT_CONST(8)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_LSB                      MK_SHIFT_CONST(8)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART6_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_SHIFT                    MK_SHIFT_CONST(9)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_RANGE                    9:9
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_MSB                      MK_SHIFT_CONST(9)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_LSB                      MK_SHIFT_CONST(9)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_TX_0_UART8_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_REQUESTORS_RX_0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0                        MK_ADDR_CONST(0x8)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SECURE                         0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DUAL                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SCR                    SCR_DMA_RO_0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_WORD_COUNT                     0x1
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_RESET_MASK                     MK_MASK_CONST(0x3ff)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_READ_MASK                      MK_MASK_CONST(0x3ff)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_RANGE                     0:0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_RANGE                     1:1
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C2_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_RANGE                     2:2
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_I2C3_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_SHIFT                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_RANGE                      3:3
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_MSB                        MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_LSB                        MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_SPI_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_SHIFT                    MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_RANGE                    4:4
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_MSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_LSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_SHIFT                    MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_RANGE                    5:5
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_MSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_LSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_SHIFT                     MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_RANGE                     6:6
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_LSB                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_DMIC_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_SHIFT                      MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_RANGE                      7:7
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_MSB                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_LSB                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_GTE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_SHIFT                    MK_SHIFT_CONST(8)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_RANGE                    8:8
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_MSB                      MK_SHIFT_CONST(8)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_LSB                      MK_SHIFT_CONST(8)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART6_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_SHIFT                    MK_SHIFT_CONST(9)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_SHIFT)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_RANGE                    9:9
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_MSB                      MK_SHIFT_CONST(9)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_LSB                      MK_SHIFT_CONST(9)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_REQUESTORS_RX_0_UART8_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_COMMON_ERROR_STA_0
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0                     MK_ADDR_CONST(0xc)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_RANGE                  31:0
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_WOFFSET                        0x0
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0                    MK_ADDR_CONST(0x10)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_SECURE                     0x0
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_DUAL                       0x0
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_SCR                        SCR_HYPER_0
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Reserved address 0x14

// Register GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0                     MK_ADDR_CONST(0x18)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_SCR                         SCR_DMA_RO_0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_RESET_MASK                  MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_READ_MASK                   MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_RANGE                   0:0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_MSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH0_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_SHIFT                   MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_RANGE                   1:1
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_MSB                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_LSB                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH1_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_SHIFT                   MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_RANGE                   2:2
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_MSB                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_LSB                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH2_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_SHIFT                   MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_RANGE                   3:3
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_MSB                     MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_LSB                     MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH3_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_SHIFT                   MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_RANGE                   4:4
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_MSB                     MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_LSB                     MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH4_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_SHIFT                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_RANGE                   5:5
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_MSB                     MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_LSB                     MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH5_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_SHIFT                   MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_RANGE                   6:6
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_MSB                     MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_LSB                     MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH6_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_RANGE                   7:7
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_MSB                     MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0_CH7_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_MASKED_INTR_REG_0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0                      MK_ADDR_CONST(0x1c)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_SECURE                       0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_DUAL                         0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_SCR                  SCR_DMA_RO_0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_WORD_COUNT                   0x1
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_RESET_VAL                    MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_RESET_MASK                   MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_READ_MASK                    MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_RANGE                    0:0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_SHIFT                    MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_RANGE                    1:1
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_MSB                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_LSB                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_SHIFT                    MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_RANGE                    2:2
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_MSB                      MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_LSB                      MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_SHIFT                    MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_RANGE                    3:3
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_MSB                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_LSB                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH3_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_SHIFT                    MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_RANGE                    4:4
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_MSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_LSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH4_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_SHIFT                    MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_RANGE                    5:5
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_MSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_LSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH5_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_SHIFT                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_RANGE                    6:6
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_LSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH6_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_SHIFT)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_RANGE                    7:7
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_MSB                      MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_MASKED_INTR_REG_0_CH7_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0                     MK_ADDR_CONST(0x20)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_SCR                         SCR_DMA_RO_0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_RESET_MASK                  MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_READ_MASK                   MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_RANGE                   0:0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_MSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH0_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_SHIFT                   MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_RANGE                   1:1
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_MSB                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_LSB                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH1_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_SHIFT                   MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_RANGE                   2:2
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_MSB                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_LSB                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH2_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_SHIFT                   MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_RANGE                   3:3
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_MSB                     MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_LSB                     MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH3_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_SHIFT                   MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_RANGE                   4:4
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_MSB                     MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_LSB                     MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH4_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_SHIFT                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_RANGE                   5:5
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_MSB                     MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_LSB                     MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH5_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_SHIFT                   MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_RANGE                   6:6
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_MSB                     MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_LSB                     MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH6_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_RANGE                   7:7
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_MSB                     MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_WOFFSET                 0x0
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0_CH7_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_COMMON_INTR_0
#define GPCDMA_AO_COMMON_COMMON_INTR_0                  MK_ADDR_CONST(0x24)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RESET_MASK                       MK_MASK_CONST(0x1f)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_READ_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_WRITE_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SHIFT                    MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_RANGE                    4:4
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_MSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_LSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SHIFT                    MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_RANGE                    3:3
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_MSB                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_LSB                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_RANGE                     2:2
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IS_EOC_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_RANGE                  1:1
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_WOFFSET                        0x0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_INTR_MASK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_RANGE                     0:0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_INTR_0_IE_EOC_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0                     MK_ADDR_CONST(0x28)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SHIFT)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_RANGE                       31:0
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0                     MK_ADDR_CONST(0x80)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0                     MK_ADDR_CONST(0x84)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0                     MK_ADDR_CONST(0x88)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0                     MK_ADDR_CONST(0x8c)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0                     MK_ADDR_CONST(0x90)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0                     MK_ADDR_CONST(0x94)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0                     MK_ADDR_CONST(0x98)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0                     MK_ADDR_CONST(0x9c)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_SECURE                      0x0
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_DUAL                        0x0
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_RANGE                      31:0
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_WOFFSET                    0x0
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER0_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0                       MK_ADDR_CONST(0x100)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER1_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0                       MK_ADDR_CONST(0x104)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER2_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0                       MK_ADDR_CONST(0x108)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER3_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0                       MK_ADDR_CONST(0x10c)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER4_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0                       MK_ADDR_CONST(0x110)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER5_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0                       MK_ADDR_CONST(0x114)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER6_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0                       MK_ADDR_CONST(0x118)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER7_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0                       MK_ADDR_CONST(0x11c)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER8_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0                       MK_ADDR_CONST(0x120)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_PER9_PERI_ADDR_0
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0                       MK_ADDR_CONST(0x124)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SHIFT)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_RANGE                    31:16
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_FIELD                        MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SHIFT)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_RANGE                        15:0
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_DEFAULT_MASK                 MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x180)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x184)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x188)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x18c)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x190)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x194)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x198)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0                  MK_ADDR_CONST(0x19c)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x200)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x204)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x208)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x20c)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x210)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x214)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x218)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0                  MK_ADDR_CONST(0x21c)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x280)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x284)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x288)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x28c)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x290)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x294)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x298)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0                  MK_ADDR_CONST(0x29c)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x300)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x304)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x308)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x30c)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x310)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x314)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x318)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0                  MK_ADDR_CONST(0x31c)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_SCR                      SCR_HYPER_0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_RANGE                        31:0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0                       MK_ADDR_CONST(0x380)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SECURE                        0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_DUAL                  0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SCR                   SCR_HYPER_0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_WORD_COUNT                    0x1
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_RESET_VAL                     MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_RESET_MASK                    MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_READ_MASK                     MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_WRITE_MASK                    MK_MASK_CONST(0xff)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_RANGE                     0:0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_RANGE                     1:1
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_RANGE                     2:2
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SHIFT                     MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_RANGE                     3:3
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_MSB                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_LSB                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SHIFT                     MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_RANGE                     4:4
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_MSB                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_LSB                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SHIFT                     MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_RANGE                     5:5
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_MSB                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_LSB                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SHIFT                     MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_RANGE                     6:6
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_LSB                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SHIFT)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_RANGE                     7:7
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_WOFFSET                   0x0
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0                  MK_ADDR_CONST(0x384)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_SECURE                   0x0
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DUAL                     0x0
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_SCR                      0
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_WORD_COUNT                       0x1
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_READ_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SHIFT)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_RANGE                        0:0
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_MSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_WOFFSET                      0x0
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_DMA_ACTIVE_0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0                   MK_ADDR_CONST(0x388)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_SECURE                    0x0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DUAL                      0x0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_SCR                       0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_RESET_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_READ_MASK                         MK_MASK_CONST(0xf)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SHIFT)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_RANGE                  0:0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_WOFFSET                        0x0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SHIFT                    MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SHIFT)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_RANGE                    1:1
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_MSB                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_LSB                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_WOFFSET                  0x0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SHIFT)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_RANGE                       2:2
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SHIFT)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_RANGE                       3:3
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_WOFFSET                     0x0
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_COMMON_COMMON_SPARE_0
#define GPCDMA_AO_COMMON_COMMON_SPARE_0                 MK_ADDR_CONST(0x38c)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SECURE                  0x0
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_DUAL                    0x0
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SCR                     0
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_WORD_COUNT                      0x1
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_RESET_VAL                       MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_FIELD                  MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_RANGE                  31:16
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_WOFFSET                        0x0
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_DEFAULT                        MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_DEFAULT_MASK                   MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_FIELD                  MK_FIELD_CONST(0xffff, GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_RANGE                  15:0
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_WOFFSET                        0x0
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_DEFAULT_MASK                   MK_MASK_CONST(0xffff)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_COMMON_COMMON_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Reserved address 0x390

// Register GPCDMA_AO_SCR_SCR_CH0_0
#define GPCDMA_AO_SCR_SCR_CH0_0                 MK_ADDR_CONST(0xf00)
#define GPCDMA_AO_SCR_SCR_CH0_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH0_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH0_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH0_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH0_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH0_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH0_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_CH1_0
#define GPCDMA_AO_SCR_SCR_CH1_0                 MK_ADDR_CONST(0xf04)
#define GPCDMA_AO_SCR_SCR_CH1_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH1_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH1_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH1_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH1_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH1_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH1_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_CH2_0
#define GPCDMA_AO_SCR_SCR_CH2_0                 MK_ADDR_CONST(0xf08)
#define GPCDMA_AO_SCR_SCR_CH2_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH2_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH2_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH2_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH2_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH2_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH2_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_CH3_0
#define GPCDMA_AO_SCR_SCR_CH3_0                 MK_ADDR_CONST(0xf0c)
#define GPCDMA_AO_SCR_SCR_CH3_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH3_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH3_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH3_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH3_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH3_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH3_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_CH4_0
#define GPCDMA_AO_SCR_SCR_CH4_0                 MK_ADDR_CONST(0xf10)
#define GPCDMA_AO_SCR_SCR_CH4_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH4_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH4_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH4_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH4_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH4_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH4_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_CH5_0
#define GPCDMA_AO_SCR_SCR_CH5_0                 MK_ADDR_CONST(0xf14)
#define GPCDMA_AO_SCR_SCR_CH5_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH5_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH5_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH5_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH5_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH5_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH5_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_CH6_0
#define GPCDMA_AO_SCR_SCR_CH6_0                 MK_ADDR_CONST(0xf18)
#define GPCDMA_AO_SCR_SCR_CH6_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH6_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH6_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH6_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH6_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH6_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH6_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_CH7_0
#define GPCDMA_AO_SCR_SCR_CH7_0                 MK_ADDR_CONST(0xf1c)
#define GPCDMA_AO_SCR_SCR_CH7_0_SECURE                  0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_DUAL                    0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_SCR                     0
#define GPCDMA_AO_SCR_SCR_CH7_0_WORD_COUNT                      0x1
#define GPCDMA_AO_SCR_SCR_CH7_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH7_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH7_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_RANGE                   27:27
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_RANGE                       23:23
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_RANGE                       22:22
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_RANGE                       21:21
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_RANGE                       20:20
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_RANGE                       19:19
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_RANGE                       18:18
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_RANGE                       17:17
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_RANGE                       16:16
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_RANGE                       15:15
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_RANGE                       14:14
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_RANGE                       13:13
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_RANGE                       12:12
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_RANGE                       11:11
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_RANGE                       10:10
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_RANGE                       9:9
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_RANGE                       8:8
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_RANGE                       7:7
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_RANGE                       6:6
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_RANGE                       5:5
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_RANGE                       4:4
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_RANGE                       3:3
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_RANGE                       2:2
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_RANGE                       1:1
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_CH7_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_RANGE                       0:0
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_CH7_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0xf20

// Reserved address 0xf24

// Reserved address 0xf28

// Reserved address 0xf2c

// Reserved address 0xf30

// Reserved address 0xf34

// Reserved address 0xf38

// Reserved address 0xf3c

// Reserved address 0xf40

// Reserved address 0xf44

// Reserved address 0xf48

// Reserved address 0xf4c

// Reserved address 0xf50

// Reserved address 0xf54

// Reserved address 0xf58

// Reserved address 0xf5c

// Reserved address 0xf60

// Reserved address 0xf64

// Reserved address 0xf68

// Reserved address 0xf6c

// Reserved address 0xf70

// Reserved address 0xf74

// Reserved address 0xf78

// Reserved address 0xf7c

// Register GPCDMA_AO_SCR_SCR_TZ_0
#define GPCDMA_AO_SCR_SCR_TZ_0                  MK_ADDR_CONST(0xf80)
#define GPCDMA_AO_SCR_SCR_TZ_0_SECURE                   0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_DUAL                     0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_SCR                      0
#define GPCDMA_AO_SCR_SCR_TZ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_SCR_SCR_TZ_0_RESET_VAL                        MK_MASK_CONST(0x38000101)
#define GPCDMA_AO_SCR_SCR_TZ_0_RESET_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_TZ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_READ_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_TZ_0_WRITE_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_SHIFT                    MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_RANGE                    29:29
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_MSB                      MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_LSB                      MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_LCK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_RANGE                    28:28
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_WEN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_RANGE                    27:27
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_REN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_FIELD                  MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_RANGE                  26:24
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_WOFFSET                        0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_DEFAULT_MASK                   MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_SEC_OWNER_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_SHIFT                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_RANGE                        23:23
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_LSB                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR7_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_SHIFT                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_RANGE                        22:22
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_LSB                  MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR6_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_RANGE                        21:21
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR5_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_RANGE                        20:20
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR4_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_SHIFT                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_RANGE                        19:19
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_LSB                  MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR3_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_SHIFT                        MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_RANGE                        18:18
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_MSB                  MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_LSB                  MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR2_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_RANGE                        17:17
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_MSB                  MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_RANGE                        16:16
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_MSB                  MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_PR0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_RANGE                        15:15
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_RANGE                        14:14
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_MSB                  MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_SHIFT                        MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_RANGE                        13:13
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_LSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_SHIFT                        MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_RANGE                        12:12
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_MSB                  MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_LSB                  MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_SHIFT                        MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_RANGE                        11:11
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_MSB                  MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_LSB                  MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_RANGE                        10:10
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_MSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_SHIFT                        MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_RANGE                        9:9
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_MSB                  MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_LSB                  MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_SHIFT                        MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_RANGE                        8:8
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_LSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_RANGE                        7:7
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G7R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_SHIFT                        MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_RANGE                        6:6
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_MSB                  MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_LSB                  MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G6R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_SHIFT                        MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_RANGE                        5:5
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_MSB                  MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_LSB                  MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G5R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_SHIFT                        MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_RANGE                        4:4
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_MSB                  MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_LSB                  MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G4R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_SHIFT                        MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_RANGE                        3:3
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_MSB                  MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_LSB                  MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G3R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_SHIFT                        MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_RANGE                        2:2
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_MSB                  MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_LSB                  MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G2R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_RANGE                        1:1
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G1R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_TZ_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_RANGE                        0:0
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_MSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_TZ_0_G0R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_DMA_RO_0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0                      MK_ADDR_CONST(0xf84)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SECURE                       0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_DUAL                         0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SCR                  0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_WORD_COUNT                   0x1
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_RESET_MASK                   MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_READ_MASK                    MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_WRITE_MASK                   MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_SHIFT                        MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_RANGE                        29:29
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_MSB                  MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_LSB                  MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_LCK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_SHIFT                        MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_RANGE                        28:28
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_MSB                  MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_LSB                  MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_WEN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_SHIFT                        MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_RANGE                        27:27
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_MSB                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_LSB                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_WOFFSET                      0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_REN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_RANGE                      26:24
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_MSB                        MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_WOFFSET                    0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_SEC_OWNER_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_RANGE                    23:23
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR7_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_SHIFT                    MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_RANGE                    22:22
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_MSB                      MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_LSB                      MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR6_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_SHIFT                    MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_RANGE                    21:21
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_MSB                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_LSB                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR5_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_SHIFT                    MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_RANGE                    20:20
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_MSB                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_LSB                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR4_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_SHIFT                    MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_RANGE                    19:19
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_MSB                      MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_LSB                      MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR3_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_SHIFT                    MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_RANGE                    18:18
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_MSB                      MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_LSB                      MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_RANGE                    17:17
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_MSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_RANGE                    16:16
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_PR0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_SHIFT                    MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_RANGE                    15:15
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_LSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_RANGE                    14:14
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_MSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_SHIFT                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_RANGE                    13:13
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_LSB                      MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_SHIFT                    MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_RANGE                    12:12
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_MSB                      MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_LSB                      MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_SHIFT                    MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_RANGE                    11:11
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_MSB                      MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_LSB                      MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_SHIFT                    MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_RANGE                    10:10
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_MSB                      MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_LSB                      MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_SHIFT                    MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_RANGE                    9:9
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_MSB                      MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_LSB                      MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_SHIFT                    MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_RANGE                    8:8
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_MSB                      MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_LSB                      MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0W_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_RANGE                    7:7
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_MSB                      MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G7R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_SHIFT                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_RANGE                    6:6
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_LSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G6R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_SHIFT                    MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_RANGE                    5:5
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_MSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_LSB                      MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G5R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_SHIFT                    MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_RANGE                    4:4
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_MSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_LSB                      MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G4R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_SHIFT                    MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_RANGE                    3:3
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_MSB                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_LSB                      MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G3R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_SHIFT                    MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_RANGE                    2:2
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_MSB                      MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_LSB                      MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G2R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_SHIFT                    MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_RANGE                    1:1
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_MSB                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_LSB                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G1R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_RANGE                    0:0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_WOFFSET                  0x0
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_DMA_RO_0_G0R_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_SCR_SCR_HYPER_0
#define GPCDMA_AO_SCR_SCR_HYPER_0                       MK_ADDR_CONST(0xf88)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SECURE                        0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_DUAL                  0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_SCR                   0
#define GPCDMA_AO_SCR_SCR_HYPER_0_WORD_COUNT                    0x1
#define GPCDMA_AO_SCR_SCR_HYPER_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_RESET_MASK                    MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_READ_MASK                     MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_HYPER_0_WRITE_MASK                    MK_MASK_CONST(0x3fffffff)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_SHIFT                 MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_RANGE                 29:29
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_MSB                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_LSB                   MK_SHIFT_CONST(29)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_LCK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_RANGE                 28:28
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_WEN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_SHIFT                 MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_RANGE                 27:27
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_MSB                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_LSB                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_WOFFSET                       0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_REN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_FIELD                       MK_FIELD_CONST(0x7, GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_RANGE                       26:24
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_WOFFSET                     0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_DEFAULT_MASK                        MK_MASK_CONST(0x7)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_SEC_OWNER_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR7_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_RANGE                     23:23
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR7_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_SHIFT                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR6_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_RANGE                     22:22
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_MSB                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_LSB                       MK_SHIFT_CONST(22)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR6_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_SHIFT                     MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR5_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_RANGE                     21:21
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_MSB                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_LSB                       MK_SHIFT_CONST(21)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR5_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_SHIFT                     MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR4_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_RANGE                     20:20
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_MSB                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_LSB                       MK_SHIFT_CONST(20)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR4_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_SHIFT                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR3_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_RANGE                     19:19
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_LSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR3_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_SHIFT                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR2_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_RANGE                     18:18
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_LSB                       MK_SHIFT_CONST(18)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR2_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_SHIFT                     MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR1_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_RANGE                     17:17
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_MSB                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_LSB                       MK_SHIFT_CONST(17)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_PR0_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_RANGE                     16:16
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_PR0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_SHIFT                     MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G7W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_RANGE                     15:15
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_MSB                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_LSB                       MK_SHIFT_CONST(15)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G6W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_RANGE                     14:14
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_MSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_SHIFT                     MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G5W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_RANGE                     13:13
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_LSB                       MK_SHIFT_CONST(13)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_SHIFT                     MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G4W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_RANGE                     12:12
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_MSB                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_LSB                       MK_SHIFT_CONST(12)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_SHIFT                     MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G3W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_RANGE                     11:11
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_MSB                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_LSB                       MK_SHIFT_CONST(11)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_SHIFT                     MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G2W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_RANGE                     10:10
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_MSB                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_LSB                       MK_SHIFT_CONST(10)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_SHIFT                     MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G1W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_RANGE                     9:9
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_MSB                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_LSB                       MK_SHIFT_CONST(9)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_SHIFT                     MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G0W_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_RANGE                     8:8
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_MSB                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_LSB                       MK_SHIFT_CONST(8)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0W_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G7R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_RANGE                     7:7
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G7R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_SHIFT                     MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G6R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_RANGE                     6:6
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_LSB                       MK_SHIFT_CONST(6)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G6R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_SHIFT                     MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G5R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_RANGE                     5:5
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_MSB                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_LSB                       MK_SHIFT_CONST(5)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G5R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_SHIFT                     MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G4R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_RANGE                     4:4
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_MSB                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_LSB                       MK_SHIFT_CONST(4)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G4R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_SHIFT                     MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G3R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_RANGE                     3:3
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_MSB                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_LSB                       MK_SHIFT_CONST(3)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G3R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G2R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_RANGE                     2:2
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G2R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G1R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_RANGE                     1:1
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G1R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_AO_SCR_SCR_HYPER_0_G0R_SHIFT)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_RANGE                     0:0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_WOFFSET                   0x0
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_SCR_SCR_HYPER_0_G0R_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_CSR_0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0                     MK_ADDR_CONST(0x10000)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_SCR                         SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_STA_0
#define GPCDMA_AO_CHANNEL_CH0_STA_0                     MK_ADDR_CONST(0x10004)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_SCR                         SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH0_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH0_CSRE_0
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0                    MK_ADDR_CONST(0x10008)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_SCR                        SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH0_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0                 MK_ADDR_CONST(0x1000c)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SCR                     SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0                 MK_ADDR_CONST(0x10010)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_SCR                     SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0                      MK_ADDR_CONST(0x10014)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_SCR                  SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0                  MK_ADDR_CONST(0x10018)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_SCR                      SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0                        MK_ADDR_CONST(0x1001c)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_SCR                    SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0                  MK_ADDR_CONST(0x10020)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_SCR                      SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x10024)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_SCR                        SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x10028)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_SCR                        SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x1002c

// Register GPCDMA_AO_CHANNEL_CH0_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0                 MK_ADDR_CONST(0x10030)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_SCR                     SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0                       MK_ADDR_CONST(0x10034)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_SCR                   SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_TZ_0
#define GPCDMA_AO_CHANNEL_CH0_TZ_0                      MK_ADDR_CONST(0x10038)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0                    MK_ADDR_CONST(0x1003c)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SCR                        SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH0_SPARE_0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0                   MK_ADDR_CONST(0x10040)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SCR                       SCR_CH0_0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH0_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_CSR_0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0                     MK_ADDR_CONST(0x20000)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_SCR                         SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_STA_0
#define GPCDMA_AO_CHANNEL_CH1_STA_0                     MK_ADDR_CONST(0x20004)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_SCR                         SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH1_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH1_CSRE_0
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0                    MK_ADDR_CONST(0x20008)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_SCR                        SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH1_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0                 MK_ADDR_CONST(0x2000c)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SCR                     SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0                 MK_ADDR_CONST(0x20010)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_SCR                     SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0                      MK_ADDR_CONST(0x20014)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_SCR                  SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0                  MK_ADDR_CONST(0x20018)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_SCR                      SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0                        MK_ADDR_CONST(0x2001c)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_SCR                    SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0                  MK_ADDR_CONST(0x20020)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_SCR                      SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x20024)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_SCR                        SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x20028)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_SCR                        SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x2002c

// Register GPCDMA_AO_CHANNEL_CH1_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0                 MK_ADDR_CONST(0x20030)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_SCR                     SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0                       MK_ADDR_CONST(0x20034)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_SCR                   SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_TZ_0
#define GPCDMA_AO_CHANNEL_CH1_TZ_0                      MK_ADDR_CONST(0x20038)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0                    MK_ADDR_CONST(0x2003c)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SCR                        SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH1_SPARE_0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0                   MK_ADDR_CONST(0x20040)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SCR                       SCR_CH1_0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH1_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_CSR_0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0                     MK_ADDR_CONST(0x30000)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_SCR                         SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_STA_0
#define GPCDMA_AO_CHANNEL_CH2_STA_0                     MK_ADDR_CONST(0x30004)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_SCR                         SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH2_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH2_CSRE_0
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0                    MK_ADDR_CONST(0x30008)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_SCR                        SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH2_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0                 MK_ADDR_CONST(0x3000c)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SCR                     SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0                 MK_ADDR_CONST(0x30010)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_SCR                     SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0                      MK_ADDR_CONST(0x30014)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_SCR                  SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0                  MK_ADDR_CONST(0x30018)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_SCR                      SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0                        MK_ADDR_CONST(0x3001c)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_SCR                    SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0                  MK_ADDR_CONST(0x30020)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_SCR                      SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x30024)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_SCR                        SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x30028)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_SCR                        SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x3002c

// Register GPCDMA_AO_CHANNEL_CH2_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0                 MK_ADDR_CONST(0x30030)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_SCR                     SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0                       MK_ADDR_CONST(0x30034)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_SCR                   SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_TZ_0
#define GPCDMA_AO_CHANNEL_CH2_TZ_0                      MK_ADDR_CONST(0x30038)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0                    MK_ADDR_CONST(0x3003c)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SCR                        SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH2_SPARE_0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0                   MK_ADDR_CONST(0x30040)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SCR                       SCR_CH2_0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH2_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_CSR_0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0                     MK_ADDR_CONST(0x40000)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_SCR                         SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_STA_0
#define GPCDMA_AO_CHANNEL_CH3_STA_0                     MK_ADDR_CONST(0x40004)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_SCR                         SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH3_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH3_CSRE_0
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0                    MK_ADDR_CONST(0x40008)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_SCR                        SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH3_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0                 MK_ADDR_CONST(0x4000c)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SCR                     SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0                 MK_ADDR_CONST(0x40010)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_SCR                     SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0                      MK_ADDR_CONST(0x40014)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_SCR                  SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0                  MK_ADDR_CONST(0x40018)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_SCR                      SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0                        MK_ADDR_CONST(0x4001c)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_SCR                    SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0                  MK_ADDR_CONST(0x40020)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_SCR                      SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x40024)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_SCR                        SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x40028)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_SCR                        SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x4002c

// Register GPCDMA_AO_CHANNEL_CH3_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0                 MK_ADDR_CONST(0x40030)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_SCR                     SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0                       MK_ADDR_CONST(0x40034)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_SCR                   SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_TZ_0
#define GPCDMA_AO_CHANNEL_CH3_TZ_0                      MK_ADDR_CONST(0x40038)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0                    MK_ADDR_CONST(0x4003c)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SCR                        SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH3_SPARE_0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0                   MK_ADDR_CONST(0x40040)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SCR                       SCR_CH3_0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH3_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_CSR_0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0                     MK_ADDR_CONST(0x50000)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_SCR                         SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_STA_0
#define GPCDMA_AO_CHANNEL_CH4_STA_0                     MK_ADDR_CONST(0x50004)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_SCR                         SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH4_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH4_CSRE_0
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0                    MK_ADDR_CONST(0x50008)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_SCR                        SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH4_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0                 MK_ADDR_CONST(0x5000c)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SCR                     SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0                 MK_ADDR_CONST(0x50010)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_SCR                     SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0                      MK_ADDR_CONST(0x50014)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_SCR                  SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0                  MK_ADDR_CONST(0x50018)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_SCR                      SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0                        MK_ADDR_CONST(0x5001c)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_SCR                    SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0                  MK_ADDR_CONST(0x50020)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_SCR                      SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x50024)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_SCR                        SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x50028)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_SCR                        SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x5002c

// Register GPCDMA_AO_CHANNEL_CH4_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0                 MK_ADDR_CONST(0x50030)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_SCR                     SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0                       MK_ADDR_CONST(0x50034)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_SCR                   SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_TZ_0
#define GPCDMA_AO_CHANNEL_CH4_TZ_0                      MK_ADDR_CONST(0x50038)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0                    MK_ADDR_CONST(0x5003c)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SCR                        SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH4_SPARE_0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0                   MK_ADDR_CONST(0x50040)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SCR                       SCR_CH4_0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH4_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_CSR_0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0                     MK_ADDR_CONST(0x60000)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_SCR                         SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_STA_0
#define GPCDMA_AO_CHANNEL_CH5_STA_0                     MK_ADDR_CONST(0x60004)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_SCR                         SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH5_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH5_CSRE_0
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0                    MK_ADDR_CONST(0x60008)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_SCR                        SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH5_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0                 MK_ADDR_CONST(0x6000c)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SCR                     SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0                 MK_ADDR_CONST(0x60010)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_SCR                     SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0                      MK_ADDR_CONST(0x60014)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_SCR                  SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0                  MK_ADDR_CONST(0x60018)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_SCR                      SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0                        MK_ADDR_CONST(0x6001c)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_SCR                    SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0                  MK_ADDR_CONST(0x60020)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_SCR                      SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x60024)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_SCR                        SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x60028)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_SCR                        SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x6002c

// Register GPCDMA_AO_CHANNEL_CH5_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0                 MK_ADDR_CONST(0x60030)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_SCR                     SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0                       MK_ADDR_CONST(0x60034)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_SCR                   SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_TZ_0
#define GPCDMA_AO_CHANNEL_CH5_TZ_0                      MK_ADDR_CONST(0x60038)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0                    MK_ADDR_CONST(0x6003c)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SCR                        SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH5_SPARE_0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0                   MK_ADDR_CONST(0x60040)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SCR                       SCR_CH5_0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH5_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_CSR_0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0                     MK_ADDR_CONST(0x70000)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_SCR                         SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_STA_0
#define GPCDMA_AO_CHANNEL_CH6_STA_0                     MK_ADDR_CONST(0x70004)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_SCR                         SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH6_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH6_CSRE_0
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0                    MK_ADDR_CONST(0x70008)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_SCR                        SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH6_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0                 MK_ADDR_CONST(0x7000c)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SCR                     SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0                 MK_ADDR_CONST(0x70010)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_SCR                     SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0                      MK_ADDR_CONST(0x70014)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_SCR                  SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0                  MK_ADDR_CONST(0x70018)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_SCR                      SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0                        MK_ADDR_CONST(0x7001c)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_SCR                    SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0                  MK_ADDR_CONST(0x70020)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_SCR                      SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x70024)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_SCR                        SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x70028)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_SCR                        SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x7002c

// Register GPCDMA_AO_CHANNEL_CH6_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0                 MK_ADDR_CONST(0x70030)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_SCR                     SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0                       MK_ADDR_CONST(0x70034)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_SCR                   SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_TZ_0
#define GPCDMA_AO_CHANNEL_CH6_TZ_0                      MK_ADDR_CONST(0x70038)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0                    MK_ADDR_CONST(0x7003c)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SCR                        SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH6_SPARE_0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0                   MK_ADDR_CONST(0x70040)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SCR                       SCR_CH6_0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH6_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_CSR_0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0                     MK_ADDR_CONST(0x80000)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_SCR                         SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_RESET_VAL                   MK_MASK_CONST(0x8008400)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_RESET_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_READ_MASK                   MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WRITE_MASK                  MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ENB_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_RANGE                        30:30
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_MSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_LSB                  MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IE_EOC_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_CYCLIC_MODE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_ONCE_SINGLE_BLOCK                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_RANGE                       25:24
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_NO_MMIO                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_ONE_MMIO                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_TWO_MMIO                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_FC_MODE_FOUR_MMIO                   MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_RANGE                      23:21
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_IO2MEM_NO_FC                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_IO2MEM_FC                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_MEM2IO_NO_FC                       MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_MEM2IO_FC                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_MEM2MEM                    MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_RSVD                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_DMA_MODE_FIXED_PAT                  MK_ENUM_CONST(6)

#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_FIELD                       MK_FIELD_CONST(0x1f, GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_RANGE                       20:16
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x1f)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_I2C1                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_I2C2                        MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_I2C3                        MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_SPI                 MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_UART1                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_UART2                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_DMIC                        MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_GTE                 MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_UART6                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_UART8                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_REQ_SEL_RSVD                        MK_ENUM_CONST(29)

#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_RANGE                      15:15
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_IRQ_MASK_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_FIELD                        MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_RANGE                        13:10
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSR_0_WEIGHT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_STA_0
#define GPCDMA_AO_CHANNEL_CH7_STA_0                     MK_ADDR_CONST(0x80004)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_SECURE                      0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DUAL                        0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_SCR                         SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_WORD_COUNT                  0x1
#define GPCDMA_AO_CHANNEL_CH7_STA_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_RESET_MASK                  MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_READ_MASK                   MK_MASK_CONST(0xdfb00000)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_WRITE_MASK                  MK_MASK_CONST(0x40000000)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_RANGE                   31:31
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_WAIT                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_BSY_ACTIVE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_RANGE                       30:30
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_NO_INTR                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_ISE_EOC_INTR                        MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_RANGE                 28:28
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_PING_INTR_STA                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_PING_PONG_STA_PONG_INTR_STA                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SHIFT                  MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_RANGE                  27:27
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_MSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_LSB                    MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_IDLE                   MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_DMA_ACTIVITY_BUSY                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_RANGE                 26:26
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_RANGE                    25:25
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_MSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_RX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_RANGE                    24:24
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_MSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_NOT_ACTIVE                       MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_CHANNEL_TX_ACTIVE                   MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_RANGE                  23:23
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_IRQ_INTR_STA_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_RANGE                      21:21
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_TRIG_STA_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_RANGE                      20:20
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_STA_0_INTR_STA_ACTIVE                     MK_ENUM_CONST(1)


// Register GPCDMA_AO_CHANNEL_CH7_CSRE_0
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0                    MK_ADDR_CONST(0x80008)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_SCR                        SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_RESET_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_READ_MASK                  MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_WRITE_MASK                         MK_MASK_CONST(0x800fc000)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_RANGE                 31:31
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_RESUME                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_PAUSE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_FIELD                     MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_RANGE                     19:14
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_SMP_24                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_SMP_25                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_SMP_26                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH0                       MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH1                       MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH2                       MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH3                       MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH4                       MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH5                       MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH6                       MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH7                       MK_ENUM_CONST(11)
#define GPCDMA_AO_CHANNEL_CH7_CSRE_0_TRIG_SEL_RSVD                      MK_ENUM_CONST(0)


// Register GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0                 MK_ADDR_CONST(0x8000c)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SCR                     SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_DST_PTR_0
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0                 MK_ADDR_CONST(0x80010)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_SCR                     SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0                      MK_ADDR_CONST(0x80014)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_SCR                  SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_RESET_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_READ_MASK                    MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_WRITE_MASK                   MK_MASK_CONST(0xff00ff)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_RANGE                     23:16
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                     MK_FIELD_CONST(0xff, GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                     7:0
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0                  MK_ADDR_CONST(0x80018)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_SCR                      SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x3800000)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_RANGE                       31:31
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_DISABLE                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_ENABLE                      MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_RANGE                 30:25
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_RANGE                   24:23
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DEFAULT                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                       MK_ENUM_CONST(3)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                      22:20
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                      19:17
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                   MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                   MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                  MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                  MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_RANGE                   16:16
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SHIFT                    MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_FIELD                    MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_RANGE                    15:14
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_LSB                      MK_SHIFT_CONST(14)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_RANGE                  13:7
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_FIELD                  MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_RANGE                  6:0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_DEFAULT_MASK                   MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0                        MK_ADDR_CONST(0x8001c)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_SECURE                         0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DUAL                   0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_SCR                    SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_WORD_COUNT                     0x1
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_RESET_VAL                      MK_MASK_CONST(0x2381007f)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_RESET_MASK                     MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_READ_MASK                      MK_MASK_CONST(0xffff01ff)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_WRITE_MASK                     MK_MASK_CONST(0xff870180)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_RANGE                  31:31
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_WOFFSET                        0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                   30:28
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                 MK_MASK_CONST(0x2)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                     MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                    MK_ENUM_CONST(2)

#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                   27:27
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_FIELD                       MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_RANGE                       26:23
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DEFAULT                     MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                    MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                   MK_ENUM_CONST(15)

#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_RANGE                   22:19
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_RSVD                    MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_CCPLEX_DPMU                     MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_BPMP                    MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_SPE                     MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_SCE                     MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_DMA_PER                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_TSECA                   MK_ENUM_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_TSECB                   MK_ENUM_CONST(8)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_JTAGM                   MK_ENUM_CONST(9)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_CSITE                   MK_ENUM_CONST(10)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_MASTER_ID_APE                     MK_ENUM_CONST(11)

#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                   18:16
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                 MK_ENUM_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                  MK_ENUM_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                  MK_ENUM_CONST(2)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                  MK_ENUM_CONST(3)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                  MK_ENUM_CONST(4)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                 MK_ENUM_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                 MK_ENUM_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                 MK_ENUM_CONST(7)

#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_FIELD                        MK_FIELD_CONST(0x3, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_RANGE                        8:7
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_WOFFSET                      0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                    6:0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                  MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_BCOUNT_0
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0                  MK_ADDR_CONST(0x80020)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_SECURE                   0x0
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_DUAL                     0x0
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_SCR                      SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_WORD_COUNT                       0x1
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_RANGE                     31:0
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_WOFFSET                   0x0
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_BCOUNT_0_BCOUNT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0                    MK_ADDR_CONST(0x80024)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_SCR                        SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_RANGE                       31:0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_WOFFSET                     0x0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0                    MK_ADDR_CONST(0x80028)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_SCR                        SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_RANGE                    31:0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x8002c

// Register GPCDMA_AO_CHANNEL_CH7_ERR_STA_0
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0                 MK_ADDR_CONST(0x80030)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_SECURE                  0x0
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_DUAL                    0x0
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_SCR                     SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_WORD_COUNT                      0x1
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_RANGE                      31:0
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0                       MK_ADDR_CONST(0x80034)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_SECURE                        0x0
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_DUAL                  0x0
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_SCR                   SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_WORD_COUNT                    0x1
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_RANGE                   31:0
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                 0x0
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_TZ_0
#define GPCDMA_AO_CHANNEL_CH7_TZ_0                      MK_ADDR_CONST(0x80038)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_SECURE                       0x0
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_DUAL                         0x0
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_SCR                  SCR_TZ_0
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_WORD_COUNT                   0x1
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_RESET_VAL                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_READ_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_WRITE_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_RANGE                      1:1
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_WOFFSET                    0x0
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_RANGE                    0:0
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0                    MK_ADDR_CONST(0x8003c)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SECURE                     0x0
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_DUAL                       0x0
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SCR                        SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_WORD_COUNT                         0x1
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_RANGE                 5:0
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_WOFFSET                       0x0
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0_SYNC_COUNTER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_AO_CHANNEL_CH7_SPARE_0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0                   MK_ADDR_CONST(0x80040)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SECURE                    0x0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_DUAL                      0x0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SCR                       SCR_CH7_0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_WORD_COUNT                        0x1
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_RESET_VAL                         MK_MASK_CONST(0xffff0000)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_SHIFT                    MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_FIELD                    MK_FIELD_CONST(0x7fff, GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_RANGE                    31:17
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_LSB                      MK_SHIFT_CONST(17)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_DEFAULT                  MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_HI_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_SHIFT                    MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_RANGE                    16:16
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_MSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_LSB                      MK_SHIFT_CONST(16)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_ENABLE_LEGACY_FC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_FIELD                    MK_FIELD_CONST(0xffff, GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_SHIFT)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_RANGE                    15:0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_MSB                      MK_SHIFT_CONST(15)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_WOFFSET                  0x0
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_AO_CHANNEL_CH7_SPARE_0_SPARE_LO_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


//
// REGISTER LIST
//
#define LIST_ARGPCDMA_AO_REGS(_op_) \
_op_(GPCDMA_AO_COMMON_DMA_CHAN_STA_0) \
_op_(GPCDMA_AO_COMMON_REQUESTORS_TX_0) \
_op_(GPCDMA_AO_COMMON_REQUESTORS_RX_0) \
_op_(GPCDMA_AO_COMMON_COMMON_ERROR_STA_0) \
_op_(GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0) \
_op_(GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0) \
_op_(GPCDMA_AO_COMMON_MASKED_INTR_REG_0) \
_op_(GPCDMA_AO_COMMON_CHANNEL_INTR_STA_0) \
_op_(GPCDMA_AO_COMMON_COMMON_INTR_0) \
_op_(GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0) \
_op_(GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH1_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH2_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH3_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH4_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH5_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH6_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0) \
_op_(GPCDMA_AO_COMMON_PER0_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER1_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER2_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER3_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER4_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER5_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER6_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER7_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER8_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_PER9_PERI_ADDR_0) \
_op_(GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH1_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH2_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH3_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH4_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH5_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH6_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH1_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH2_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH3_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH4_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH5_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH6_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH1_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH2_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH3_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH4_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH5_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH6_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH1_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH2_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH3_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH4_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH5_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH6_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0) \
_op_(GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0) \
_op_(GPCDMA_AO_COMMON_DMA_ICG_EN_OVERRIDE_0) \
_op_(GPCDMA_AO_COMMON_DMA_ACTIVE_0) \
_op_(GPCDMA_AO_COMMON_COMMON_SPARE_0) \
_op_(GPCDMA_AO_SCR_SCR_CH0_0) \
_op_(GPCDMA_AO_SCR_SCR_CH1_0) \
_op_(GPCDMA_AO_SCR_SCR_CH2_0) \
_op_(GPCDMA_AO_SCR_SCR_CH3_0) \
_op_(GPCDMA_AO_SCR_SCR_CH4_0) \
_op_(GPCDMA_AO_SCR_SCR_CH5_0) \
_op_(GPCDMA_AO_SCR_SCR_CH6_0) \
_op_(GPCDMA_AO_SCR_SCR_CH7_0) \
_op_(GPCDMA_AO_SCR_SCR_TZ_0) \
_op_(GPCDMA_AO_SCR_SCR_DMA_RO_0) \
_op_(GPCDMA_AO_SCR_SCR_HYPER_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH0_SPARE_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH1_SPARE_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH2_SPARE_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH3_SPARE_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH4_SPARE_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH5_SPARE_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH6_SPARE_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_CSR_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_CSRE_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_SRC_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_DST_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_HI_ADR_PTR_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_MC_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_MMIO_SEQ_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_BCOUNT_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_TRA_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_ERR_STA_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_FIXED_PAT_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_TZ_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_SYNC_COUNTER_0) \
_op_(GPCDMA_AO_CHANNEL_CH7_SPARE_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_GPCDMA_AO_COMMON   0x00000000
#define BASE_ADDRESS_GPCDMA_AO_SCR      0x00000f00
#define BASE_ADDRESS_GPCDMA_AO_CHANNEL  0x00010000

//
// ARGPCDMA_AO REGISTER BANKS
//

#define GPCDMA_AO_COMMON0_FIRST_REG 0x0000 // GPCDMA_AO_COMMON_DMA_CHAN_STA_0
#define GPCDMA_AO_COMMON0_LAST_REG 0x0010 // GPCDMA_AO_COMMON_CHANNEL_ERROR_STA_0
#define GPCDMA_AO_COMMON1_FIRST_REG 0x0018 // GPCDMA_AO_COMMON_CHANNEL_TRIG_REG_0
#define GPCDMA_AO_COMMON1_LAST_REG 0x0028 // GPCDMA_AO_COMMON_CHANNEL_REG_LOCK_0
#define GPCDMA_AO_COMMON2_FIRST_REG 0x0080 // GPCDMA_AO_COMMON_CH0_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON2_LAST_REG 0x009c // GPCDMA_AO_COMMON_CH7_PERI_ID_MASK_0
#define GPCDMA_AO_COMMON3_FIRST_REG 0x0100 // GPCDMA_AO_COMMON_PER0_PERI_ADDR_0
#define GPCDMA_AO_COMMON3_LAST_REG 0x0124 // GPCDMA_AO_COMMON_PER9_PERI_ADDR_0
#define GPCDMA_AO_COMMON4_FIRST_REG 0x0180 // GPCDMA_AO_COMMON_CH0_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON4_LAST_REG 0x019c // GPCDMA_AO_COMMON_CH7_STREAM_ID0_MASK_0
#define GPCDMA_AO_COMMON5_FIRST_REG 0x0200 // GPCDMA_AO_COMMON_CH0_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON5_LAST_REG 0x021c // GPCDMA_AO_COMMON_CH7_STREAM_ID1_MASK_0
#define GPCDMA_AO_COMMON6_FIRST_REG 0x0280 // GPCDMA_AO_COMMON_CH0_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON6_LAST_REG 0x029c // GPCDMA_AO_COMMON_CH7_STREAM_ID2_MASK_0
#define GPCDMA_AO_COMMON7_FIRST_REG 0x0300 // GPCDMA_AO_COMMON_CH0_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON7_LAST_REG 0x031c // GPCDMA_AO_COMMON_CH7_STREAM_ID3_MASK_0
#define GPCDMA_AO_COMMON8_FIRST_REG 0x0380 // GPCDMA_AO_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0
#define GPCDMA_AO_COMMON8_LAST_REG 0x038c // GPCDMA_AO_COMMON_COMMON_SPARE_0
#define GPCDMA_AO_SCR0_FIRST_REG 0x0f00 // GPCDMA_AO_SCR_SCR_CH0_0
#define GPCDMA_AO_SCR0_LAST_REG 0x0f1c // GPCDMA_AO_SCR_SCR_CH7_0
#define GPCDMA_AO_SCR1_FIRST_REG 0x0f80 // GPCDMA_AO_SCR_SCR_TZ_0
#define GPCDMA_AO_SCR1_LAST_REG 0x0f88 // GPCDMA_AO_SCR_SCR_HYPER_0
#define GPCDMA_AO_CHANNEL0_FIRST_REG 0x10000 // GPCDMA_AO_CHANNEL_CH0_CSR_0
#define GPCDMA_AO_CHANNEL0_LAST_REG 0x10028 // GPCDMA_AO_CHANNEL_CH0_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL1_FIRST_REG 0x10030 // GPCDMA_AO_CHANNEL_CH0_ERR_STA_0
#define GPCDMA_AO_CHANNEL1_LAST_REG 0x10040 // GPCDMA_AO_CHANNEL_CH0_SPARE_0
#define GPCDMA_AO_CHANNEL2_FIRST_REG 0x20000 // GPCDMA_AO_CHANNEL_CH1_CSR_0
#define GPCDMA_AO_CHANNEL2_LAST_REG 0x20028 // GPCDMA_AO_CHANNEL_CH1_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL3_FIRST_REG 0x20030 // GPCDMA_AO_CHANNEL_CH1_ERR_STA_0
#define GPCDMA_AO_CHANNEL3_LAST_REG 0x20040 // GPCDMA_AO_CHANNEL_CH1_SPARE_0
#define GPCDMA_AO_CHANNEL4_FIRST_REG 0x30000 // GPCDMA_AO_CHANNEL_CH2_CSR_0
#define GPCDMA_AO_CHANNEL4_LAST_REG 0x30028 // GPCDMA_AO_CHANNEL_CH2_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL5_FIRST_REG 0x30030 // GPCDMA_AO_CHANNEL_CH2_ERR_STA_0
#define GPCDMA_AO_CHANNEL5_LAST_REG 0x30040 // GPCDMA_AO_CHANNEL_CH2_SPARE_0
#define GPCDMA_AO_CHANNEL6_FIRST_REG 0x40000 // GPCDMA_AO_CHANNEL_CH3_CSR_0
#define GPCDMA_AO_CHANNEL6_LAST_REG 0x40028 // GPCDMA_AO_CHANNEL_CH3_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL7_FIRST_REG 0x40030 // GPCDMA_AO_CHANNEL_CH3_ERR_STA_0
#define GPCDMA_AO_CHANNEL7_LAST_REG 0x40040 // GPCDMA_AO_CHANNEL_CH3_SPARE_0
#define GPCDMA_AO_CHANNEL8_FIRST_REG 0x50000 // GPCDMA_AO_CHANNEL_CH4_CSR_0
#define GPCDMA_AO_CHANNEL8_LAST_REG 0x50028 // GPCDMA_AO_CHANNEL_CH4_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL9_FIRST_REG 0x50030 // GPCDMA_AO_CHANNEL_CH4_ERR_STA_0
#define GPCDMA_AO_CHANNEL9_LAST_REG 0x50040 // GPCDMA_AO_CHANNEL_CH4_SPARE_0
#define GPCDMA_AO_CHANNEL10_FIRST_REG 0x60000 // GPCDMA_AO_CHANNEL_CH5_CSR_0
#define GPCDMA_AO_CHANNEL10_LAST_REG 0x60028 // GPCDMA_AO_CHANNEL_CH5_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL11_FIRST_REG 0x60030 // GPCDMA_AO_CHANNEL_CH5_ERR_STA_0
#define GPCDMA_AO_CHANNEL11_LAST_REG 0x60040 // GPCDMA_AO_CHANNEL_CH5_SPARE_0
#define GPCDMA_AO_CHANNEL12_FIRST_REG 0x70000 // GPCDMA_AO_CHANNEL_CH6_CSR_0
#define GPCDMA_AO_CHANNEL12_LAST_REG 0x70028 // GPCDMA_AO_CHANNEL_CH6_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL13_FIRST_REG 0x70030 // GPCDMA_AO_CHANNEL_CH6_ERR_STA_0
#define GPCDMA_AO_CHANNEL13_LAST_REG 0x70040 // GPCDMA_AO_CHANNEL_CH6_SPARE_0
#define GPCDMA_AO_CHANNEL14_FIRST_REG 0x80000 // GPCDMA_AO_CHANNEL_CH7_CSR_0
#define GPCDMA_AO_CHANNEL14_LAST_REG 0x80028 // GPCDMA_AO_CHANNEL_CH7_DMA_BYTE_STA_0
#define GPCDMA_AO_CHANNEL15_FIRST_REG 0x80030 // GPCDMA_AO_CHANNEL_CH7_ERR_STA_0
#define GPCDMA_AO_CHANNEL15_LAST_REG 0x80040 // GPCDMA_AO_CHANNEL_CH7_SPARE_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef MK_SHIFT_CONST
  #define MK_SHIFT_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST
  #define MK_MASK_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ENUM_CONST
  #define MK_ENUM_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ADDR_CONST
  #define MK_ADDR_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST
  #define MK_FIELD_CONST(_mask_, _shift_) (MK_MASK_CONST(_mask_) <<  _shift_)
#endif

#endif // ifndef ARGPCDMA_AO_H_INC
