//
// Copyright (c) 2022 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ADDRESS_MAP_NEW_H_INC
#define ADDRESS_MAP_NEW_H_INC

#define NV_ADDRESS_MAP_SYSTEM_AMAP_BASE 0x00000000
#define NV_ADDRESS_MAP_SYSTEM_AMAP_LIMIT 0xffffffffff
#define NV_ADDRESS_MAP_SYSTEM_AMAP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SYSTEM_AMAP_HEADER no_headers

#define NV_ADDRESS_MAP_LOVEC_BASE 0x00000000
#define NV_ADDRESS_MAP_LOVEC_LIMIT 0x0000ffff
#define NV_ADDRESS_MAP_LOVEC_ADDR_LOCALITY CCPLEX
#define NV_ADDRESS_MAP_LOVEC_HEADER no_headers

#define NV_ADDRESS_MAP_MISC_BASE 0x00100000
#define NV_ADDRESS_MAP_MISC_LIMIT 0x0017ffff
#define NV_ADDRESS_MAP_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MISC_HEADER armiscreg.h;armiscreg_scr.h

#define NV_ADDRESS_MAP_GBEUPHY_PLL0_BASE 0x01000000
#define NV_ADDRESS_MAP_GBEUPHY_PLL0_LIMIT 0x01001fff
#define NV_ADDRESS_MAP_GBEUPHY_PLL0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_PLL0_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE0_BASE 0x01002000
#define NV_ADDRESS_MAP_GBEUPHY_LANE0_LIMIT 0x01002fff
#define NV_ADDRESS_MAP_GBEUPHY_LANE0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE0_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE1_BASE 0x01003000
#define NV_ADDRESS_MAP_GBEUPHY_LANE1_LIMIT 0x01003fff
#define NV_ADDRESS_MAP_GBEUPHY_LANE1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE1_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE2_BASE 0x01004000
#define NV_ADDRESS_MAP_GBEUPHY_LANE2_LIMIT 0x01004fff
#define NV_ADDRESS_MAP_GBEUPHY_LANE2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE2_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE3_BASE 0x01005000
#define NV_ADDRESS_MAP_GBEUPHY_LANE3_LIMIT 0x01005fff
#define NV_ADDRESS_MAP_GBEUPHY_LANE3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE3_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_PLL1_BASE 0x01006000
#define NV_ADDRESS_MAP_GBEUPHY_PLL1_LIMIT 0x01007fff
#define NV_ADDRESS_MAP_GBEUPHY_PLL1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_PLL1_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE4_BASE 0x01008000
#define NV_ADDRESS_MAP_GBEUPHY_LANE4_LIMIT 0x01008fff
#define NV_ADDRESS_MAP_GBEUPHY_LANE4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE4_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE5_BASE 0x01009000
#define NV_ADDRESS_MAP_GBEUPHY_LANE5_LIMIT 0x01009fff
#define NV_ADDRESS_MAP_GBEUPHY_LANE5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE5_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE6_BASE 0x0100a000
#define NV_ADDRESS_MAP_GBEUPHY_LANE6_LIMIT 0x0100afff
#define NV_ADDRESS_MAP_GBEUPHY_LANE6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE6_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_LANE7_BASE 0x0100b000
#define NV_ADDRESS_MAP_GBEUPHY_LANE7_LIMIT 0x0100bfff
#define NV_ADDRESS_MAP_GBEUPHY_LANE7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_LANE7_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_GBEUPHY_PLL2_BASE 0x0100c000
#define NV_ADDRESS_MAP_GBEUPHY_PLL2_LIMIT 0x0100dfff
#define NV_ADDRESS_MAP_GBEUPHY_PLL2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GBEUPHY_PLL2_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_TOP2_HSP_COMMON_BASE 0x01600000
#define NV_ADDRESS_MAP_TOP2_HSP_COMMON_LIMIT 0x0160ffff
#define NV_ADDRESS_MAP_TOP2_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_TOP2_HSP_SM_0_1_BASE 0x01610000
#define NV_ADDRESS_MAP_TOP2_HSP_SM_0_1_LIMIT 0x0161ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_TOP2_HSP_SM_2_3_BASE 0x01620000
#define NV_ADDRESS_MAP_TOP2_HSP_SM_2_3_LIMIT 0x0162ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_TOP2_HSP_SM_4_5_BASE 0x01630000
#define NV_ADDRESS_MAP_TOP2_HSP_SM_4_5_LIMIT 0x0163ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_TOP2_HSP_SM_6_7_BASE 0x01640000
#define NV_ADDRESS_MAP_TOP2_HSP_SM_6_7_LIMIT 0x0164ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_TOP2_HSP_SS_0_BASE 0x01650000
#define NV_ADDRESS_MAP_TOP2_HSP_SS_0_LIMIT 0x0165ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_TOP2_HSP_SS_1_BASE 0x01660000
#define NV_ADDRESS_MAP_TOP2_HSP_SS_1_LIMIT 0x0166ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_TOP2_HSP_SS_2_BASE 0x01670000
#define NV_ADDRESS_MAP_TOP2_HSP_SS_2_LIMIT 0x0167ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_TOP2_HSP_SS_3_BASE 0x01680000
#define NV_ADDRESS_MAP_TOP2_HSP_SS_3_LIMIT 0x0168ffff
#define NV_ADDRESS_MAP_TOP2_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP2_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_MC8_BASE 0x01700000
#define NV_ADDRESS_MAP_MC8_LIMIT 0x0170ffff
#define NV_ADDRESS_MAP_MC8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC8_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC9_BASE 0x01710000
#define NV_ADDRESS_MAP_MC9_LIMIT 0x0171ffff
#define NV_ADDRESS_MAP_MC9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC9_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC10_BASE 0x01720000
#define NV_ADDRESS_MAP_MC10_LIMIT 0x0172ffff
#define NV_ADDRESS_MAP_MC10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC10_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC11_BASE 0x01730000
#define NV_ADDRESS_MAP_MC11_LIMIT 0x0173ffff
#define NV_ADDRESS_MAP_MC11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC11_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC12_BASE 0x01740000
#define NV_ADDRESS_MAP_MC12_LIMIT 0x0174ffff
#define NV_ADDRESS_MAP_MC12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC12_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC13_BASE 0x01750000
#define NV_ADDRESS_MAP_MC13_LIMIT 0x0175ffff
#define NV_ADDRESS_MAP_MC13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC13_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC14_BASE 0x01760000
#define NV_ADDRESS_MAP_MC14_LIMIT 0x0176ffff
#define NV_ADDRESS_MAP_MC14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC14_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC15_BASE 0x01770000
#define NV_ADDRESS_MAP_MC15_LIMIT 0x0177ffff
#define NV_ADDRESS_MAP_MC15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC15_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_EMC8_CORE_BASE 0x01780000
#define NV_ADDRESS_MAP_EMC8_CORE_LIMIT 0x01780fff
#define NV_ADDRESS_MAP_EMC8_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC8_CORE_HEADER

#define NV_ADDRESS_MAP_EMC8_CFG_BASE 0x01781000
#define NV_ADDRESS_MAP_EMC8_CFG_LIMIT 0x01781fff
#define NV_ADDRESS_MAP_EMC8_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC8_CFG_HEADER

#define NV_ADDRESS_MAP_EMC8_EC_BASE 0x01782000
#define NV_ADDRESS_MAP_EMC8_EC_LIMIT 0x01782fff
#define NV_ADDRESS_MAP_EMC8_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC8_EC_HEADER

#define NV_ADDRESS_MAP_EMC8_TR_BASE 0x01783000
#define NV_ADDRESS_MAP_EMC8_TR_LIMIT 0x01783fff
#define NV_ADDRESS_MAP_EMC8_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC8_TR_HEADER

#define NV_ADDRESS_MAP_EMC8_MISC_BASE 0x01784000
#define NV_ADDRESS_MAP_EMC8_MISC_LIMIT 0x0178ffff
#define NV_ADDRESS_MAP_EMC8_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC8_MISC_HEADER

#define NV_ADDRESS_MAP_EMC9_CORE_BASE 0x01790000
#define NV_ADDRESS_MAP_EMC9_CORE_LIMIT 0x01790fff
#define NV_ADDRESS_MAP_EMC9_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC9_CORE_HEADER

#define NV_ADDRESS_MAP_EMC9_CFG_BASE 0x01791000
#define NV_ADDRESS_MAP_EMC9_CFG_LIMIT 0x01791fff
#define NV_ADDRESS_MAP_EMC9_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC9_CFG_HEADER

#define NV_ADDRESS_MAP_EMC9_EC_BASE 0x01792000
#define NV_ADDRESS_MAP_EMC9_EC_LIMIT 0x01792fff
#define NV_ADDRESS_MAP_EMC9_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC9_EC_HEADER

#define NV_ADDRESS_MAP_EMC9_TR_BASE 0x01793000
#define NV_ADDRESS_MAP_EMC9_TR_LIMIT 0x01793fff
#define NV_ADDRESS_MAP_EMC9_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC9_TR_HEADER

#define NV_ADDRESS_MAP_EMC9_MISC_BASE 0x01794000
#define NV_ADDRESS_MAP_EMC9_MISC_LIMIT 0x0179ffff
#define NV_ADDRESS_MAP_EMC9_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC9_MISC_HEADER

#define NV_ADDRESS_MAP_EMC10_CORE_BASE 0x017a0000
#define NV_ADDRESS_MAP_EMC10_CORE_LIMIT 0x017a0fff
#define NV_ADDRESS_MAP_EMC10_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC10_CORE_HEADER

#define NV_ADDRESS_MAP_EMC10_CFG_BASE 0x017a1000
#define NV_ADDRESS_MAP_EMC10_CFG_LIMIT 0x017a1fff
#define NV_ADDRESS_MAP_EMC10_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC10_CFG_HEADER

#define NV_ADDRESS_MAP_EMC10_EC_BASE 0x017a2000
#define NV_ADDRESS_MAP_EMC10_EC_LIMIT 0x017a2fff
#define NV_ADDRESS_MAP_EMC10_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC10_EC_HEADER

#define NV_ADDRESS_MAP_EMC10_TR_BASE 0x017a3000
#define NV_ADDRESS_MAP_EMC10_TR_LIMIT 0x017a3fff
#define NV_ADDRESS_MAP_EMC10_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC10_TR_HEADER

#define NV_ADDRESS_MAP_EMC10_MISC_BASE 0x017a4000
#define NV_ADDRESS_MAP_EMC10_MISC_LIMIT 0x017affff
#define NV_ADDRESS_MAP_EMC10_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC10_MISC_HEADER

#define NV_ADDRESS_MAP_EMC11_CORE_BASE 0x017b0000
#define NV_ADDRESS_MAP_EMC11_CORE_LIMIT 0x017b0fff
#define NV_ADDRESS_MAP_EMC11_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC11_CORE_HEADER

#define NV_ADDRESS_MAP_EMC11_CFG_BASE 0x017b1000
#define NV_ADDRESS_MAP_EMC11_CFG_LIMIT 0x017b1fff
#define NV_ADDRESS_MAP_EMC11_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC11_CFG_HEADER

#define NV_ADDRESS_MAP_EMC11_EC_BASE 0x017b2000
#define NV_ADDRESS_MAP_EMC11_EC_LIMIT 0x017b2fff
#define NV_ADDRESS_MAP_EMC11_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC11_EC_HEADER

#define NV_ADDRESS_MAP_EMC11_TR_BASE 0x017b3000
#define NV_ADDRESS_MAP_EMC11_TR_LIMIT 0x017b3fff
#define NV_ADDRESS_MAP_EMC11_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC11_TR_HEADER

#define NV_ADDRESS_MAP_EMC11_MISC_BASE 0x017b4000
#define NV_ADDRESS_MAP_EMC11_MISC_LIMIT 0x017bffff
#define NV_ADDRESS_MAP_EMC11_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC11_MISC_HEADER

#define NV_ADDRESS_MAP_EMC12_CORE_BASE 0x017c0000
#define NV_ADDRESS_MAP_EMC12_CORE_LIMIT 0x017c0fff
#define NV_ADDRESS_MAP_EMC12_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC12_CORE_HEADER

#define NV_ADDRESS_MAP_EMC12_CFG_BASE 0x017c1000
#define NV_ADDRESS_MAP_EMC12_CFG_LIMIT 0x017c1fff
#define NV_ADDRESS_MAP_EMC12_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC12_CFG_HEADER

#define NV_ADDRESS_MAP_EMC12_EC_BASE 0x017c2000
#define NV_ADDRESS_MAP_EMC12_EC_LIMIT 0x017c2fff
#define NV_ADDRESS_MAP_EMC12_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC12_EC_HEADER

#define NV_ADDRESS_MAP_EMC12_TR_BASE 0x017c3000
#define NV_ADDRESS_MAP_EMC12_TR_LIMIT 0x017c3fff
#define NV_ADDRESS_MAP_EMC12_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC12_TR_HEADER

#define NV_ADDRESS_MAP_EMC12_MISC_BASE 0x017c4000
#define NV_ADDRESS_MAP_EMC12_MISC_LIMIT 0x017cffff
#define NV_ADDRESS_MAP_EMC12_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC12_MISC_HEADER

#define NV_ADDRESS_MAP_EMC13_CORE_BASE 0x017d0000
#define NV_ADDRESS_MAP_EMC13_CORE_LIMIT 0x017d0fff
#define NV_ADDRESS_MAP_EMC13_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC13_CORE_HEADER

#define NV_ADDRESS_MAP_EMC13_CFG_BASE 0x017d1000
#define NV_ADDRESS_MAP_EMC13_CFG_LIMIT 0x017d1fff
#define NV_ADDRESS_MAP_EMC13_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC13_CFG_HEADER

#define NV_ADDRESS_MAP_EMC13_EC_BASE 0x017d2000
#define NV_ADDRESS_MAP_EMC13_EC_LIMIT 0x017d2fff
#define NV_ADDRESS_MAP_EMC13_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC13_EC_HEADER

#define NV_ADDRESS_MAP_EMC13_TR_BASE 0x017d3000
#define NV_ADDRESS_MAP_EMC13_TR_LIMIT 0x017d3fff
#define NV_ADDRESS_MAP_EMC13_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC13_TR_HEADER

#define NV_ADDRESS_MAP_EMC13_MISC_BASE 0x017d4000
#define NV_ADDRESS_MAP_EMC13_MISC_LIMIT 0x017dffff
#define NV_ADDRESS_MAP_EMC13_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC13_MISC_HEADER

#define NV_ADDRESS_MAP_EMC14_CORE_BASE 0x017e0000
#define NV_ADDRESS_MAP_EMC14_CORE_LIMIT 0x017e0fff
#define NV_ADDRESS_MAP_EMC14_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC14_CORE_HEADER

#define NV_ADDRESS_MAP_EMC14_CFG_BASE 0x017e1000
#define NV_ADDRESS_MAP_EMC14_CFG_LIMIT 0x017e1fff
#define NV_ADDRESS_MAP_EMC14_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC14_CFG_HEADER

#define NV_ADDRESS_MAP_EMC14_EC_BASE 0x017e2000
#define NV_ADDRESS_MAP_EMC14_EC_LIMIT 0x017e2fff
#define NV_ADDRESS_MAP_EMC14_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC14_EC_HEADER

#define NV_ADDRESS_MAP_EMC14_TR_BASE 0x017e3000
#define NV_ADDRESS_MAP_EMC14_TR_LIMIT 0x017e3fff
#define NV_ADDRESS_MAP_EMC14_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC14_TR_HEADER

#define NV_ADDRESS_MAP_EMC14_MISC_BASE 0x017e4000
#define NV_ADDRESS_MAP_EMC14_MISC_LIMIT 0x017effff
#define NV_ADDRESS_MAP_EMC14_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC14_MISC_HEADER

#define NV_ADDRESS_MAP_EMC15_CORE_BASE 0x017f0000
#define NV_ADDRESS_MAP_EMC15_CORE_LIMIT 0x017f0fff
#define NV_ADDRESS_MAP_EMC15_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC15_CORE_HEADER

#define NV_ADDRESS_MAP_EMC15_CFG_BASE 0x017f1000
#define NV_ADDRESS_MAP_EMC15_CFG_LIMIT 0x017f1fff
#define NV_ADDRESS_MAP_EMC15_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC15_CFG_HEADER

#define NV_ADDRESS_MAP_EMC15_EC_BASE 0x017f2000
#define NV_ADDRESS_MAP_EMC15_EC_LIMIT 0x017f2fff
#define NV_ADDRESS_MAP_EMC15_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC15_EC_HEADER

#define NV_ADDRESS_MAP_EMC15_TR_BASE 0x017f3000
#define NV_ADDRESS_MAP_EMC15_TR_LIMIT 0x017f3fff
#define NV_ADDRESS_MAP_EMC15_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC15_TR_HEADER

#define NV_ADDRESS_MAP_EMC15_MISC_BASE 0x017f4000
#define NV_ADDRESS_MAP_EMC15_MISC_LIMIT 0x017fffff
#define NV_ADDRESS_MAP_EMC15_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC15_MISC_HEADER

#define NV_ADDRESS_MAP_MSS_NVLINK_8_BASE 0x01e00000
#define NV_ADDRESS_MAP_MSS_NVLINK_8_LIMIT 0x01e1ffff
#define NV_ADDRESS_MAP_MSS_NVLINK_8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_8_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_MSS_NVLINK_1_BASE 0x01f20000
#define NV_ADDRESS_MAP_MSS_NVLINK_1_LIMIT 0x01f3ffff
#define NV_ADDRESS_MAP_MSS_NVLINK_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_1_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_MSS_NVLINK_2_BASE 0x01f40000
#define NV_ADDRESS_MAP_MSS_NVLINK_2_LIMIT 0x01f5ffff
#define NV_ADDRESS_MAP_MSS_NVLINK_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_2_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_MSS_NVLINK_3_BASE 0x01f60000
#define NV_ADDRESS_MAP_MSS_NVLINK_3_LIMIT 0x01f7ffff
#define NV_ADDRESS_MAP_MSS_NVLINK_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_3_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_MSS_NVLINK_4_BASE 0x01f80000
#define NV_ADDRESS_MAP_MSS_NVLINK_4_LIMIT 0x01f9ffff
#define NV_ADDRESS_MAP_MSS_NVLINK_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_4_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_MSS_NVLINK_5_BASE 0x01fa0000
#define NV_ADDRESS_MAP_MSS_NVLINK_5_LIMIT 0x01fbffff
#define NV_ADDRESS_MAP_MSS_NVLINK_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_5_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_MSS_NVLINK_6_BASE 0x01fc0000
#define NV_ADDRESS_MAP_MSS_NVLINK_6_LIMIT 0x01fdffff
#define NV_ADDRESS_MAP_MSS_NVLINK_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_6_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_MSS_NVLINK_7_BASE 0x01fe0000
#define NV_ADDRESS_MAP_MSS_NVLINK_7_LIMIT 0x01ffffff
#define NV_ADDRESS_MAP_MSS_NVLINK_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_NVLINK_7_HEADER armssnvlink.h;armssnvlink_scr.h

#define NV_ADDRESS_MAP_TSA_NODE_0_BASE 0x02000000
#define NV_ADDRESS_MAP_TSA_NODE_0_LIMIT 0x02000fff
#define NV_ADDRESS_MAP_TSA_NODE_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_0_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_1_BASE 0x02001000
#define NV_ADDRESS_MAP_TSA_NODE_1_LIMIT 0x02001fff
#define NV_ADDRESS_MAP_TSA_NODE_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_1_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_2_BASE 0x02002000
#define NV_ADDRESS_MAP_TSA_NODE_2_LIMIT 0x02002fff
#define NV_ADDRESS_MAP_TSA_NODE_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_2_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_3_BASE 0x02003000
#define NV_ADDRESS_MAP_TSA_NODE_3_LIMIT 0x02003fff
#define NV_ADDRESS_MAP_TSA_NODE_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_3_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_4_BASE 0x02004000
#define NV_ADDRESS_MAP_TSA_NODE_4_LIMIT 0x02004fff
#define NV_ADDRESS_MAP_TSA_NODE_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_4_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_5_BASE 0x02005000
#define NV_ADDRESS_MAP_TSA_NODE_5_LIMIT 0x02005fff
#define NV_ADDRESS_MAP_TSA_NODE_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_5_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_6_BASE 0x02006000
#define NV_ADDRESS_MAP_TSA_NODE_6_LIMIT 0x02006fff
#define NV_ADDRESS_MAP_TSA_NODE_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_6_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_7_BASE 0x02007000
#define NV_ADDRESS_MAP_TSA_NODE_7_LIMIT 0x02007fff
#define NV_ADDRESS_MAP_TSA_NODE_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_7_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_8_BASE 0x02008000
#define NV_ADDRESS_MAP_TSA_NODE_8_LIMIT 0x02008fff
#define NV_ADDRESS_MAP_TSA_NODE_8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_8_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_10_BASE 0x0200a000
#define NV_ADDRESS_MAP_TSA_NODE_10_LIMIT 0x0200afff
#define NV_ADDRESS_MAP_TSA_NODE_10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_10_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_13_BASE 0x0200d000
#define NV_ADDRESS_MAP_TSA_NODE_13_LIMIT 0x0200dfff
#define NV_ADDRESS_MAP_TSA_NODE_13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_13_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_14_BASE 0x0200e000
#define NV_ADDRESS_MAP_TSA_NODE_14_LIMIT 0x0200efff
#define NV_ADDRESS_MAP_TSA_NODE_14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_14_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_16_BASE 0x02010000
#define NV_ADDRESS_MAP_TSA_NODE_16_LIMIT 0x02010fff
#define NV_ADDRESS_MAP_TSA_NODE_16_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_16_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_18_BASE 0x02012000
#define NV_ADDRESS_MAP_TSA_NODE_18_LIMIT 0x02012fff
#define NV_ADDRESS_MAP_TSA_NODE_18_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_18_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_21_BASE 0x02015000
#define NV_ADDRESS_MAP_TSA_NODE_21_LIMIT 0x02015fff
#define NV_ADDRESS_MAP_TSA_NODE_21_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_21_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_24_BASE 0x02018000
#define NV_ADDRESS_MAP_TSA_NODE_24_LIMIT 0x02018fff
#define NV_ADDRESS_MAP_TSA_NODE_24_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_24_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_25_BASE 0x02019000
#define NV_ADDRESS_MAP_TSA_NODE_25_LIMIT 0x02019fff
#define NV_ADDRESS_MAP_TSA_NODE_25_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_25_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_26_BASE 0x0201a000
#define NV_ADDRESS_MAP_TSA_NODE_26_LIMIT 0x0201afff
#define NV_ADDRESS_MAP_TSA_NODE_26_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_26_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_27_BASE 0x0201b000
#define NV_ADDRESS_MAP_TSA_NODE_27_LIMIT 0x0201bfff
#define NV_ADDRESS_MAP_TSA_NODE_27_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_27_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_29_BASE 0x0201d000
#define NV_ADDRESS_MAP_TSA_NODE_29_LIMIT 0x0201dfff
#define NV_ADDRESS_MAP_TSA_NODE_29_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_29_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_30_BASE 0x0201e000
#define NV_ADDRESS_MAP_TSA_NODE_30_LIMIT 0x0201efff
#define NV_ADDRESS_MAP_TSA_NODE_30_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_30_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_33_BASE 0x02021000
#define NV_ADDRESS_MAP_TSA_NODE_33_LIMIT 0x02021fff
#define NV_ADDRESS_MAP_TSA_NODE_33_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_33_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_36_BASE 0x02024000
#define NV_ADDRESS_MAP_TSA_NODE_36_LIMIT 0x02024fff
#define NV_ADDRESS_MAP_TSA_NODE_36_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_36_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_37_BASE 0x02025000
#define NV_ADDRESS_MAP_TSA_NODE_37_LIMIT 0x02025fff
#define NV_ADDRESS_MAP_TSA_NODE_37_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_37_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_39_BASE 0x02027000
#define NV_ADDRESS_MAP_TSA_NODE_39_LIMIT 0x02027fff
#define NV_ADDRESS_MAP_TSA_NODE_39_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_39_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_40_BASE 0x02028000
#define NV_ADDRESS_MAP_TSA_NODE_40_LIMIT 0x02028fff
#define NV_ADDRESS_MAP_TSA_NODE_40_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_40_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_42_BASE 0x0202a000
#define NV_ADDRESS_MAP_TSA_NODE_42_LIMIT 0x0202afff
#define NV_ADDRESS_MAP_TSA_NODE_42_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_42_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_44_BASE 0x0202c000
#define NV_ADDRESS_MAP_TSA_NODE_44_LIMIT 0x0202cfff
#define NV_ADDRESS_MAP_TSA_NODE_44_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_44_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_45_BASE 0x0202d000
#define NV_ADDRESS_MAP_TSA_NODE_45_LIMIT 0x0202dfff
#define NV_ADDRESS_MAP_TSA_NODE_45_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_45_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_46_BASE 0x0202e000
#define NV_ADDRESS_MAP_TSA_NODE_46_LIMIT 0x0202efff
#define NV_ADDRESS_MAP_TSA_NODE_46_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_46_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_48_BASE 0x02030000
#define NV_ADDRESS_MAP_TSA_NODE_48_LIMIT 0x02030fff
#define NV_ADDRESS_MAP_TSA_NODE_48_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_48_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_52_BASE 0x02034000
#define NV_ADDRESS_MAP_TSA_NODE_52_LIMIT 0x02034fff
#define NV_ADDRESS_MAP_TSA_NODE_52_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_52_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_53_BASE 0x02035000
#define NV_ADDRESS_MAP_TSA_NODE_53_LIMIT 0x02035fff
#define NV_ADDRESS_MAP_TSA_NODE_53_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_53_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_57_BASE 0x02039000
#define NV_ADDRESS_MAP_TSA_NODE_57_LIMIT 0x02039fff
#define NV_ADDRESS_MAP_TSA_NODE_57_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_57_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_58_BASE 0x0203a000
#define NV_ADDRESS_MAP_TSA_NODE_58_LIMIT 0x0203afff
#define NV_ADDRESS_MAP_TSA_NODE_58_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_58_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_60_BASE 0x0203c000
#define NV_ADDRESS_MAP_TSA_NODE_60_LIMIT 0x0203cfff
#define NV_ADDRESS_MAP_TSA_NODE_60_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_60_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_61_BASE 0x0203d000
#define NV_ADDRESS_MAP_TSA_NODE_61_LIMIT 0x0203dfff
#define NV_ADDRESS_MAP_TSA_NODE_61_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_61_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_63_BASE 0x0203f000
#define NV_ADDRESS_MAP_TSA_NODE_63_LIMIT 0x0203ffff
#define NV_ADDRESS_MAP_TSA_NODE_63_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_63_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_65_BASE 0x02041000
#define NV_ADDRESS_MAP_TSA_NODE_65_LIMIT 0x02041fff
#define NV_ADDRESS_MAP_TSA_NODE_65_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_65_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_67_BASE 0x02043000
#define NV_ADDRESS_MAP_TSA_NODE_67_LIMIT 0x02043fff
#define NV_ADDRESS_MAP_TSA_NODE_67_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_67_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_68_BASE 0x02044000
#define NV_ADDRESS_MAP_TSA_NODE_68_LIMIT 0x02044fff
#define NV_ADDRESS_MAP_TSA_NODE_68_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_68_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_72_BASE 0x02048000
#define NV_ADDRESS_MAP_TSA_NODE_72_LIMIT 0x02048fff
#define NV_ADDRESS_MAP_TSA_NODE_72_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_72_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_75_BASE 0x0204b000
#define NV_ADDRESS_MAP_TSA_NODE_75_LIMIT 0x0204bfff
#define NV_ADDRESS_MAP_TSA_NODE_75_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_75_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_77_BASE 0x0204d000
#define NV_ADDRESS_MAP_TSA_NODE_77_LIMIT 0x0204dfff
#define NV_ADDRESS_MAP_TSA_NODE_77_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_77_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_78_BASE 0x0204e000
#define NV_ADDRESS_MAP_TSA_NODE_78_LIMIT 0x0204efff
#define NV_ADDRESS_MAP_TSA_NODE_78_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_78_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_81_BASE 0x02051000
#define NV_ADDRESS_MAP_TSA_NODE_81_LIMIT 0x02051fff
#define NV_ADDRESS_MAP_TSA_NODE_81_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_81_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_83_BASE 0x02053000
#define NV_ADDRESS_MAP_TSA_NODE_83_LIMIT 0x02053fff
#define NV_ADDRESS_MAP_TSA_NODE_83_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_83_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_85_BASE 0x02055000
#define NV_ADDRESS_MAP_TSA_NODE_85_LIMIT 0x02055fff
#define NV_ADDRESS_MAP_TSA_NODE_85_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_85_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_90_BASE 0x0205a000
#define NV_ADDRESS_MAP_TSA_NODE_90_LIMIT 0x0205afff
#define NV_ADDRESS_MAP_TSA_NODE_90_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_90_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_96_BASE 0x02060000
#define NV_ADDRESS_MAP_TSA_NODE_96_LIMIT 0x02060fff
#define NV_ADDRESS_MAP_TSA_NODE_96_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_96_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_97_BASE 0x02061000
#define NV_ADDRESS_MAP_TSA_NODE_97_LIMIT 0x02061fff
#define NV_ADDRESS_MAP_TSA_NODE_97_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_97_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_98_BASE 0x02062000
#define NV_ADDRESS_MAP_TSA_NODE_98_LIMIT 0x02062fff
#define NV_ADDRESS_MAP_TSA_NODE_98_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_98_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_99_BASE 0x02063000
#define NV_ADDRESS_MAP_TSA_NODE_99_LIMIT 0x02063fff
#define NV_ADDRESS_MAP_TSA_NODE_99_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_99_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_100_BASE 0x02064000
#define NV_ADDRESS_MAP_TSA_NODE_100_LIMIT 0x02064fff
#define NV_ADDRESS_MAP_TSA_NODE_100_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_100_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_101_BASE 0x02065000
#define NV_ADDRESS_MAP_TSA_NODE_101_LIMIT 0x02065fff
#define NV_ADDRESS_MAP_TSA_NODE_101_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_101_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_104_BASE 0x02068000
#define NV_ADDRESS_MAP_TSA_NODE_104_LIMIT 0x02068fff
#define NV_ADDRESS_MAP_TSA_NODE_104_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_104_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_106_BASE 0x0206a000
#define NV_ADDRESS_MAP_TSA_NODE_106_LIMIT 0x0206afff
#define NV_ADDRESS_MAP_TSA_NODE_106_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_106_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_109_BASE 0x0206d000
#define NV_ADDRESS_MAP_TSA_NODE_109_LIMIT 0x0206dfff
#define NV_ADDRESS_MAP_TSA_NODE_109_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_109_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_110_BASE 0x0206e000
#define NV_ADDRESS_MAP_TSA_NODE_110_LIMIT 0x0206efff
#define NV_ADDRESS_MAP_TSA_NODE_110_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_110_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_117_BASE 0x02075000
#define NV_ADDRESS_MAP_TSA_NODE_117_LIMIT 0x02075fff
#define NV_ADDRESS_MAP_TSA_NODE_117_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_117_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_120_BASE 0x02078000
#define NV_ADDRESS_MAP_TSA_NODE_120_LIMIT 0x02078fff
#define NV_ADDRESS_MAP_TSA_NODE_120_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_120_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_123_BASE 0x0207b000
#define NV_ADDRESS_MAP_TSA_NODE_123_LIMIT 0x0207bfff
#define NV_ADDRESS_MAP_TSA_NODE_123_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_123_HEADER

#define NV_ADDRESS_MAP_TMR_SHARED_BASE 0x02080000
#define NV_ADDRESS_MAP_TMR_SHARED_LIMIT 0x0208ffff
#define NV_ADDRESS_MAP_TMR_SHARED_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR_SHARED_HEADER

#define NV_ADDRESS_MAP_TMR0_BASE 0x02090000
#define NV_ADDRESS_MAP_TMR0_LIMIT 0x0209ffff
#define NV_ADDRESS_MAP_TMR0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR0_HEADER

#define NV_ADDRESS_MAP_TMR1_BASE 0x020a0000
#define NV_ADDRESS_MAP_TMR1_LIMIT 0x020affff
#define NV_ADDRESS_MAP_TMR1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR1_HEADER

#define NV_ADDRESS_MAP_TMR2_BASE 0x020b0000
#define NV_ADDRESS_MAP_TMR2_LIMIT 0x020bffff
#define NV_ADDRESS_MAP_TMR2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR2_HEADER

#define NV_ADDRESS_MAP_TMR3_BASE 0x020c0000
#define NV_ADDRESS_MAP_TMR3_LIMIT 0x020cffff
#define NV_ADDRESS_MAP_TMR3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR3_HEADER

#define NV_ADDRESS_MAP_TMR4_BASE 0x020d0000
#define NV_ADDRESS_MAP_TMR4_LIMIT 0x020dffff
#define NV_ADDRESS_MAP_TMR4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR4_HEADER

#define NV_ADDRESS_MAP_TMR5_BASE 0x020e0000
#define NV_ADDRESS_MAP_TMR5_LIMIT 0x020effff
#define NV_ADDRESS_MAP_TMR5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR5_HEADER

#define NV_ADDRESS_MAP_TMR6_BASE 0x020f0000
#define NV_ADDRESS_MAP_TMR6_LIMIT 0x020fffff
#define NV_ADDRESS_MAP_TMR6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR6_HEADER

#define NV_ADDRESS_MAP_TMR7_BASE 0x02100000
#define NV_ADDRESS_MAP_TMR7_LIMIT 0x0210ffff
#define NV_ADDRESS_MAP_TMR7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR7_HEADER

#define NV_ADDRESS_MAP_TMR8_BASE 0x02110000
#define NV_ADDRESS_MAP_TMR8_LIMIT 0x0211ffff
#define NV_ADDRESS_MAP_TMR8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR8_HEADER

#define NV_ADDRESS_MAP_TMR9_BASE 0x02120000
#define NV_ADDRESS_MAP_TMR9_LIMIT 0x0212ffff
#define NV_ADDRESS_MAP_TMR9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR9_HEADER

#define NV_ADDRESS_MAP_TMR10_BASE 0x02130000
#define NV_ADDRESS_MAP_TMR10_LIMIT 0x0213ffff
#define NV_ADDRESS_MAP_TMR10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR10_HEADER

#define NV_ADDRESS_MAP_TMR11_BASE 0x02140000
#define NV_ADDRESS_MAP_TMR11_LIMIT 0x0214ffff
#define NV_ADDRESS_MAP_TMR11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR11_HEADER

#define NV_ADDRESS_MAP_TMR12_BASE 0x02150000
#define NV_ADDRESS_MAP_TMR12_LIMIT 0x0215ffff
#define NV_ADDRESS_MAP_TMR12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR12_HEADER

#define NV_ADDRESS_MAP_TMR13_BASE 0x02160000
#define NV_ADDRESS_MAP_TMR13_LIMIT 0x0216ffff
#define NV_ADDRESS_MAP_TMR13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR13_HEADER

#define NV_ADDRESS_MAP_TMR14_BASE 0x02170000
#define NV_ADDRESS_MAP_TMR14_LIMIT 0x0217ffff
#define NV_ADDRESS_MAP_TMR14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR14_HEADER

#define NV_ADDRESS_MAP_TMR15_BASE 0x02180000
#define NV_ADDRESS_MAP_TMR15_LIMIT 0x0218ffff
#define NV_ADDRESS_MAP_TMR15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TMR15_HEADER

#define NV_ADDRESS_MAP_WDT0_BASE 0x02190000
#define NV_ADDRESS_MAP_WDT0_LIMIT 0x0219ffff
#define NV_ADDRESS_MAP_WDT0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_WDT0_HEADER

#define NV_ADDRESS_MAP_WDT1_BASE 0x021a0000
#define NV_ADDRESS_MAP_WDT1_LIMIT 0x021affff
#define NV_ADDRESS_MAP_WDT1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_WDT1_HEADER

#define NV_ADDRESS_MAP_WDT2_BASE 0x021b0000
#define NV_ADDRESS_MAP_WDT2_LIMIT 0x021bffff
#define NV_ADDRESS_MAP_WDT2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_WDT2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO0_BASE 0x02200000
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO0_LIMIT 0x02200fff
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO1_BASE 0x02201000
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO1_LIMIT 0x02201fff
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO2_BASE 0x02202000
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO2_LIMIT 0x02202fff
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO3_BASE 0x02203000
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO3_LIMIT 0x02203fff
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO4_BASE 0x02204000
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO4_LIMIT 0x02204fff
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO5_BASE 0x02205000
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO5_LIMIT 0x02205fff
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL_COMMON_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO0_BASE 0x02210000
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO0_LIMIT 0x02210fff
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO1_BASE 0x02211000
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO1_LIMIT 0x02211fff
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO2_BASE 0x02212000
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO2_LIMIT 0x02212fff
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO3_BASE 0x02213000
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO3_LIMIT 0x02213fff
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO4_BASE 0x02214000
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO4_LIMIT 0x02214fff
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO5_BASE 0x02215000
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO5_LIMIT 0x02215fff
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL0_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO0_BASE 0x02220000
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO0_LIMIT 0x02220fff
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO1_BASE 0x02221000
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO1_LIMIT 0x02221fff
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO2_BASE 0x02222000
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO2_LIMIT 0x02222fff
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO3_BASE 0x02223000
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO3_LIMIT 0x02223fff
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO4_BASE 0x02224000
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO4_LIMIT 0x02224fff
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO5_BASE 0x02225000
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO5_LIMIT 0x02225fff
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL1_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO0_BASE 0x02230000
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO0_LIMIT 0x02230fff
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO1_BASE 0x02231000
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO1_LIMIT 0x02231fff
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO2_BASE 0x02232000
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO2_LIMIT 0x02232fff
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO3_BASE 0x02233000
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO3_LIMIT 0x02233fff
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO4_BASE 0x02234000
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO4_LIMIT 0x02234fff
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO5_BASE 0x02235000
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO5_LIMIT 0x02235fff
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL2_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO0_BASE 0x02240000
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO0_LIMIT 0x02240fff
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO1_BASE 0x02241000
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO1_LIMIT 0x02241fff
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO2_BASE 0x02242000
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO2_LIMIT 0x02242fff
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO3_BASE 0x02243000
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO3_LIMIT 0x02243fff
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO4_BASE 0x02244000
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO4_LIMIT 0x02244fff
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO5_BASE 0x02245000
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO5_LIMIT 0x02245fff
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL3_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO0_BASE 0x02250000
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO0_LIMIT 0x02250fff
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO1_BASE 0x02251000
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO1_LIMIT 0x02251fff
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO2_BASE 0x02252000
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO2_LIMIT 0x02252fff
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO3_BASE 0x02253000
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO3_LIMIT 0x02253fff
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO4_BASE 0x02254000
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO4_LIMIT 0x02254fff
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO5_BASE 0x02255000
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO5_LIMIT 0x02255fff
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL4_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO0_BASE 0x02260000
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO0_LIMIT 0x02260fff
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO1_BASE 0x02261000
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO1_LIMIT 0x02261fff
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO2_BASE 0x02262000
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO2_LIMIT 0x02262fff
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO3_BASE 0x02263000
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO3_LIMIT 0x02263fff
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO4_BASE 0x02264000
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO4_LIMIT 0x02264fff
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO5_BASE 0x02265000
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO5_LIMIT 0x02265fff
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL5_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO0_BASE 0x02270000
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO0_LIMIT 0x02270fff
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO1_BASE 0x02271000
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO1_LIMIT 0x02271fff
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO2_BASE 0x02272000
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO2_LIMIT 0x02272fff
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO3_BASE 0x02273000
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO3_LIMIT 0x02273fff
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO4_BASE 0x02274000
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO4_LIMIT 0x02274fff
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO5_BASE 0x02275000
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO5_LIMIT 0x02275fff
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL6_GPIO5_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO0_BASE 0x02280000
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO0_LIMIT 0x02280fff
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO0_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO1_BASE 0x02281000
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO1_LIMIT 0x02281fff
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO1_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO2_BASE 0x02282000
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO2_LIMIT 0x02282fff
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO2_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO3_BASE 0x02283000
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO3_LIMIT 0x02283fff
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO3_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO4_BASE 0x02284000
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO4_LIMIT 0x02284fff
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO4_HEADER

#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO5_BASE 0x02285000
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO5_LIMIT 0x02285fff
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPIO_CTL7_GPIO5_HEADER

#define NV_ADDRESS_MAP_EQOS_MAC_HV_BASE 0x02300000
#define NV_ADDRESS_MAP_EQOS_MAC_HV_LIMIT 0x0230ffff
#define NV_ADDRESS_MAP_EQOS_MAC_HV_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_HV_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_RM_CFG_BASE 0x02310000
#define NV_ADDRESS_MAP_EQOS_MAC_RM_CFG_LIMIT 0x0231efff
#define NV_ADDRESS_MAP_EQOS_MAC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_EQOS_MAC_RM_ERR_BASE 0x0231f000
#define NV_ADDRESS_MAP_EQOS_MAC_RM_ERR_LIMIT 0x0231ffff
#define NV_ADDRESS_MAP_EQOS_MAC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_EQOS_MAC_VM0_BASE 0x02320000
#define NV_ADDRESS_MAP_EQOS_MAC_VM0_LIMIT 0x0232ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM0_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_VM1_BASE 0x02330000
#define NV_ADDRESS_MAP_EQOS_MAC_VM1_LIMIT 0x0233ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM1_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_VM2_BASE 0x02340000
#define NV_ADDRESS_MAP_EQOS_MAC_VM2_LIMIT 0x0234ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM2_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_VM3_BASE 0x02350000
#define NV_ADDRESS_MAP_EQOS_MAC_VM3_LIMIT 0x0235ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM3_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_VM4_BASE 0x02360000
#define NV_ADDRESS_MAP_EQOS_MAC_VM4_LIMIT 0x0236ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM4_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_VM5_BASE 0x02370000
#define NV_ADDRESS_MAP_EQOS_MAC_VM5_LIMIT 0x0237ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM5_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_VM6_BASE 0x02380000
#define NV_ADDRESS_MAP_EQOS_MAC_VM6_LIMIT 0x0238ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM6_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MAC_VM7_BASE 0x02390000
#define NV_ADDRESS_MAP_EQOS_MAC_VM7_LIMIT 0x0239ffff
#define NV_ADDRESS_MAP_EQOS_MAC_VM7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MAC_VM7_HEADER arether_qos.h;arether_core.h

#define NV_ADDRESS_MAP_EQOS_MACSEC_BASE 0x023c0000
#define NV_ADDRESS_MAP_EQOS_MACSEC_LIMIT 0x023effff
#define NV_ADDRESS_MAP_EQOS_MACSEC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_HEADER

#define NV_ADDRESS_MAP_EQOS_MACSEC_TZ_BASE 0x023c0000
#define NV_ADDRESS_MAP_EQOS_MACSEC_TZ_LIMIT 0x023cffff
#define NV_ADDRESS_MAP_EQOS_MACSEC_TZ_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_TZ_HEADER armacsec.h

#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_BASE 0x023d0000
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_LIMIT 0x023dffff
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_HEADER armacsec.h

#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_CFG_BASE 0x023d0000
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_CFG_LIMIT 0x023dcfff
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_TX_BYP_BASE 0x023dd000
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_TX_BYP_LIMIT 0x023ddfff
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_TX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_TX_BYP_HEADER

#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_RX_BYP_BASE 0x023de000
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_RX_BYP_LIMIT 0x023defff
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_RX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_RX_BYP_HEADER

#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_ERR_BASE 0x023df000
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_ERR_LIMIT 0x023dffff
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_BASE 0x023e0000
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_LIMIT 0x023effff
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_HEADER armacsec.h

#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STATS_BASE 0x023e0000
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STATS_LIMIT 0x023eefff
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STATS_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STATS_HEADER

#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STS_ERR_BASE 0x023ef000
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STS_ERR_LIMIT 0x023effff
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STS_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EQOS_MACSEC_VM_STS_ERR_HEADER

#define NV_ADDRESS_MAP_HDACODEC_BASE 0x0242c000
#define NV_ADDRESS_MAP_HDACODEC_LIMIT 0x0242cfff
#define NV_ADDRESS_MAP_HDACODEC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HDACODEC_HEADER dev_hdacodec.h

#define NV_ADDRESS_MAP_PADCTL_A0_BASE 0x02430000
#define NV_ADDRESS_MAP_PADCTL_A0_LIMIT 0x02430fff
#define NV_ADDRESS_MAP_PADCTL_A0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A0_HEADER arpadctl_G3.h;arpadctl_G3_scr.h

#define NV_ADDRESS_MAP_PADCTL_A2_BASE 0x02432000
#define NV_ADDRESS_MAP_PADCTL_A2_LIMIT 0x02432fff
#define NV_ADDRESS_MAP_PADCTL_A2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A2_HEADER arpadctl_G5.h;arpadctl_G5_scr.h

#define NV_ADDRESS_MAP_PADCTL_A4_BASE 0x02434000
#define NV_ADDRESS_MAP_PADCTL_A4_LIMIT 0x02434fff
#define NV_ADDRESS_MAP_PADCTL_A4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A4_HEADER arpadctl_G4.h;arpadctl_G4_scr.h

#define NV_ADDRESS_MAP_PADCTL_A5_BASE 0x02435000
#define NV_ADDRESS_MAP_PADCTL_A5_LIMIT 0x02435fff
#define NV_ADDRESS_MAP_PADCTL_A5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A5_HEADER arpadctl_DEBUG.h;arpadctl_DEBUG_scr.h

#define NV_ADDRESS_MAP_PADCTL_A6_BASE 0x02436000
#define NV_ADDRESS_MAP_PADCTL_A6_LIMIT 0x02436fff
#define NV_ADDRESS_MAP_PADCTL_A6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A6_HEADER arpadctl_EMMC.h;arpadctl_EMMC_scr.h

#define NV_ADDRESS_MAP_PADCTL_A7_BASE 0x02437000
#define NV_ADDRESS_MAP_PADCTL_A7_LIMIT 0x02437fff
#define NV_ADDRESS_MAP_PADCTL_A7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A7_HEADER arpadctl_PEX_CTL.h;arpadctl_PEX_CTL_scr.h

#define NV_ADDRESS_MAP_PADCTL_A8_BASE 0x02438000
#define NV_ADDRESS_MAP_PADCTL_A8_LIMIT 0x02438fff
#define NV_ADDRESS_MAP_PADCTL_A8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A8_HEADER arpadctl_SDMMC1_HV.h;arpadctl_SDMMC1_HV_scr.h

#define NV_ADDRESS_MAP_PADCTL_A11_BASE 0x0243b000
#define NV_ADDRESS_MAP_PADCTL_A11_LIMIT 0x0243bfff
#define NV_ADDRESS_MAP_PADCTL_A11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A11_HEADER arpadctl_QSPI.h;arpadctl_QSPI_scr.h

#define NV_ADDRESS_MAP_PADCTL_A13_BASE 0x0243d000
#define NV_ADDRESS_MAP_PADCTL_A13_LIMIT 0x0243dfff
#define NV_ADDRESS_MAP_PADCTL_A13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A13_HEADER arpadctl_G2.h;arpadctl_G2_scr.h

#define NV_ADDRESS_MAP_PADCTL_A16_BASE 0x02440000
#define NV_ADDRESS_MAP_PADCTL_A16_LIMIT 0x02440fff
#define NV_ADDRESS_MAP_PADCTL_A16_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A16_HEADER arpadctl_EDP.h;arpadctl_EDP_scr.h

#define NV_ADDRESS_MAP_PADCTL_A17_BASE 0x02441000
#define NV_ADDRESS_MAP_PADCTL_A17_LIMIT 0x02441fff
#define NV_ADDRESS_MAP_PADCTL_A17_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A17_HEADER arpadctl_UFS.h;arpadctl_UFS_scr.h

#define NV_ADDRESS_MAP_PADCTL_A20_BASE 0x02444000
#define NV_ADDRESS_MAP_PADCTL_A20_LIMIT 0x02444fff
#define NV_ADDRESS_MAP_PADCTL_A20_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A20_HEADER arpadctl_PEX_CTL_2.h;arpadctl_PEX_CTL_2_scr.h

#define NV_ADDRESS_MAP_PADCTL_A21_BASE 0x02445000
#define NV_ADDRESS_MAP_PADCTL_A21_LIMIT 0x02445fff
#define NV_ADDRESS_MAP_PADCTL_A21_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A21_HEADER arpadctl_EQOS.h;arpadctl_EQOS_scr.h

#define NV_ADDRESS_MAP_PADCTL_A24_BASE 0x02448000
#define NV_ADDRESS_MAP_PADCTL_A24_LIMIT 0x02448fff
#define NV_ADDRESS_MAP_PADCTL_A24_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A24_HEADER arpadctl_G7.h;arpadctl_G7_scr.h

#define NV_ADDRESS_MAP_PADCTL_A25_BASE 0x02449000
#define NV_ADDRESS_MAP_PADCTL_A25_LIMIT 0x02449fff
#define NV_ADDRESS_MAP_PADCTL_A25_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A25_HEADER arpadctl_PEX_CTL_3.h;arpadctl_PEX_CTL_3_scr.h

#define NV_ADDRESS_MAP_I2S7_BASE 0x02450000
#define NV_ADDRESS_MAP_I2S7_LIMIT 0x0245ffff
#define NV_ADDRESS_MAP_I2S7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S7_HEADER arsafety_i2s.h

#define NV_ADDRESS_MAP_I2S8_BASE 0x02460000
#define NV_ADDRESS_MAP_I2S8_LIMIT 0x0246ffff
#define NV_ADDRESS_MAP_I2S8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S8_HEADER arsafety_i2s.h

#define NV_ADDRESS_MAP_MPHY_L0_BASE 0x02470000
#define NV_ADDRESS_MAP_MPHY_L0_LIMIT 0x0247ffff
#define NV_ADDRESS_MAP_MPHY_L0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MPHY_L0_HEADER armphy_tx_apb.h;armphy_rx_apb.h

#define NV_ADDRESS_MAP_MPHY_L1_BASE 0x02480000
#define NV_ADDRESS_MAP_MPHY_L1_LIMIT 0x0248ffff
#define NV_ADDRESS_MAP_MPHY_L1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MPHY_L1_HEADER armphy_tx_apb.h;armphy_rx_apb.h

#define NV_ADDRESS_MAP_MISC_ERR_COLLATOR_BASE 0x024e0000
#define NV_ADDRESS_MAP_MISC_ERR_COLLATOR_LIMIT 0x024effff
#define NV_ADDRESS_MAP_MISC_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MISC_ERR_COLLATOR_HEADER armisc_ec.h;armisc_ec_scr.h

#define NV_ADDRESS_MAP_UFSHC_0_MMIO_BASE 0x02500000
#define NV_ADDRESS_MAP_UFSHC_0_MMIO_LIMIT 0x0250ffff
#define NV_ADDRESS_MAP_UFSHC_0_MMIO_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UFSHC_0_MMIO_HEADER arufshc_mmio_SNPS.h

#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_AUX_BASE 0x02510000
#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_AUX_LIMIT 0x02517fff
#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_AUX_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_AUX_HEADER arufshc_aux_ctrl.h

#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_FPGA_BASE 0x02518000
#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_FPGA_LIMIT 0x0251ffff
#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_FPGA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UFSHC_0_UNIPRO_FPGA_HEADER arufshc_fpga.h

#define NV_ADDRESS_MAP_UFSHC_0_VIRT_BASE 0x02520000
#define NV_ADDRESS_MAP_UFSHC_0_VIRT_LIMIT 0x0252ffff
#define NV_ADDRESS_MAP_UFSHC_0_VIRT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UFSHC_0_VIRT_HEADER arufshc_virtualization.h

#define NV_ADDRESS_MAP_GPCDMA_COMMON_0_BASE 0x02600000
#define NV_ADDRESS_MAP_GPCDMA_COMMON_0_LIMIT 0x0260ffff
#define NV_ADDRESS_MAP_GPCDMA_COMMON_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_COMMON_0_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH0_BASE 0x02610000
#define NV_ADDRESS_MAP_GPCDMA_CH0_LIMIT 0x0261ffff
#define NV_ADDRESS_MAP_GPCDMA_CH0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH0_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH1_BASE 0x02620000
#define NV_ADDRESS_MAP_GPCDMA_CH1_LIMIT 0x0262ffff
#define NV_ADDRESS_MAP_GPCDMA_CH1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH1_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH2_BASE 0x02630000
#define NV_ADDRESS_MAP_GPCDMA_CH2_LIMIT 0x0263ffff
#define NV_ADDRESS_MAP_GPCDMA_CH2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH2_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH3_BASE 0x02640000
#define NV_ADDRESS_MAP_GPCDMA_CH3_LIMIT 0x0264ffff
#define NV_ADDRESS_MAP_GPCDMA_CH3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH3_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH4_BASE 0x02650000
#define NV_ADDRESS_MAP_GPCDMA_CH4_LIMIT 0x0265ffff
#define NV_ADDRESS_MAP_GPCDMA_CH4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH4_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH5_BASE 0x02660000
#define NV_ADDRESS_MAP_GPCDMA_CH5_LIMIT 0x0266ffff
#define NV_ADDRESS_MAP_GPCDMA_CH5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH5_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH6_BASE 0x02670000
#define NV_ADDRESS_MAP_GPCDMA_CH6_LIMIT 0x0267ffff
#define NV_ADDRESS_MAP_GPCDMA_CH6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH6_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH7_BASE 0x02680000
#define NV_ADDRESS_MAP_GPCDMA_CH7_LIMIT 0x0268ffff
#define NV_ADDRESS_MAP_GPCDMA_CH7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH7_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH8_BASE 0x02690000
#define NV_ADDRESS_MAP_GPCDMA_CH8_LIMIT 0x0269ffff
#define NV_ADDRESS_MAP_GPCDMA_CH8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH8_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH9_BASE 0x026a0000
#define NV_ADDRESS_MAP_GPCDMA_CH9_LIMIT 0x026affff
#define NV_ADDRESS_MAP_GPCDMA_CH9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH9_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH10_BASE 0x026b0000
#define NV_ADDRESS_MAP_GPCDMA_CH10_LIMIT 0x026bffff
#define NV_ADDRESS_MAP_GPCDMA_CH10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH10_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH11_BASE 0x026c0000
#define NV_ADDRESS_MAP_GPCDMA_CH11_LIMIT 0x026cffff
#define NV_ADDRESS_MAP_GPCDMA_CH11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH11_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH12_BASE 0x026d0000
#define NV_ADDRESS_MAP_GPCDMA_CH12_LIMIT 0x026dffff
#define NV_ADDRESS_MAP_GPCDMA_CH12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH12_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH13_BASE 0x026e0000
#define NV_ADDRESS_MAP_GPCDMA_CH13_LIMIT 0x026effff
#define NV_ADDRESS_MAP_GPCDMA_CH13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH13_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH14_BASE 0x026f0000
#define NV_ADDRESS_MAP_GPCDMA_CH14_LIMIT 0x026fffff
#define NV_ADDRESS_MAP_GPCDMA_CH14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH14_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH15_BASE 0x02700000
#define NV_ADDRESS_MAP_GPCDMA_CH15_LIMIT 0x0270ffff
#define NV_ADDRESS_MAP_GPCDMA_CH15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH15_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH16_BASE 0x02710000
#define NV_ADDRESS_MAP_GPCDMA_CH16_LIMIT 0x0271ffff
#define NV_ADDRESS_MAP_GPCDMA_CH16_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH16_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH17_BASE 0x02720000
#define NV_ADDRESS_MAP_GPCDMA_CH17_LIMIT 0x0272ffff
#define NV_ADDRESS_MAP_GPCDMA_CH17_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH17_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH18_BASE 0x02730000
#define NV_ADDRESS_MAP_GPCDMA_CH18_LIMIT 0x0273ffff
#define NV_ADDRESS_MAP_GPCDMA_CH18_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH18_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH19_BASE 0x02740000
#define NV_ADDRESS_MAP_GPCDMA_CH19_LIMIT 0x0274ffff
#define NV_ADDRESS_MAP_GPCDMA_CH19_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH19_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH20_BASE 0x02750000
#define NV_ADDRESS_MAP_GPCDMA_CH20_LIMIT 0x0275ffff
#define NV_ADDRESS_MAP_GPCDMA_CH20_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH20_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH21_BASE 0x02760000
#define NV_ADDRESS_MAP_GPCDMA_CH21_LIMIT 0x0276ffff
#define NV_ADDRESS_MAP_GPCDMA_CH21_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH21_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH22_BASE 0x02770000
#define NV_ADDRESS_MAP_GPCDMA_CH22_LIMIT 0x0277ffff
#define NV_ADDRESS_MAP_GPCDMA_CH22_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH22_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH23_BASE 0x02780000
#define NV_ADDRESS_MAP_GPCDMA_CH23_LIMIT 0x0278ffff
#define NV_ADDRESS_MAP_GPCDMA_CH23_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH23_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH24_BASE 0x02790000
#define NV_ADDRESS_MAP_GPCDMA_CH24_LIMIT 0x0279ffff
#define NV_ADDRESS_MAP_GPCDMA_CH24_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH24_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH25_BASE 0x027a0000
#define NV_ADDRESS_MAP_GPCDMA_CH25_LIMIT 0x027affff
#define NV_ADDRESS_MAP_GPCDMA_CH25_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH25_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH26_BASE 0x027b0000
#define NV_ADDRESS_MAP_GPCDMA_CH26_LIMIT 0x027bffff
#define NV_ADDRESS_MAP_GPCDMA_CH26_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH26_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH27_BASE 0x027c0000
#define NV_ADDRESS_MAP_GPCDMA_CH27_LIMIT 0x027cffff
#define NV_ADDRESS_MAP_GPCDMA_CH27_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH27_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH28_BASE 0x027d0000
#define NV_ADDRESS_MAP_GPCDMA_CH28_LIMIT 0x027dffff
#define NV_ADDRESS_MAP_GPCDMA_CH28_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH28_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH29_BASE 0x027e0000
#define NV_ADDRESS_MAP_GPCDMA_CH29_LIMIT 0x027effff
#define NV_ADDRESS_MAP_GPCDMA_CH29_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH29_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH30_BASE 0x027f0000
#define NV_ADDRESS_MAP_GPCDMA_CH30_LIMIT 0x027fffff
#define NV_ADDRESS_MAP_GPCDMA_CH30_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH30_HEADER

#define NV_ADDRESS_MAP_GPCDMA_CH31_BASE 0x02800000
#define NV_ADDRESS_MAP_GPCDMA_CH31_LIMIT 0x0280ffff
#define NV_ADDRESS_MAP_GPCDMA_CH31_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPCDMA_CH31_HEADER

#define NV_ADDRESS_MAP_AXBAR_BASE 0x02900800
#define NV_ADDRESS_MAP_AXBAR_LIMIT 0x02900fff
#define NV_ADDRESS_MAP_AXBAR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AXBAR_HEADER araxbar.h

#define NV_ADDRESS_MAP_I2S1_BASE 0x02901000
#define NV_ADDRESS_MAP_I2S1_LIMIT 0x029010ff
#define NV_ADDRESS_MAP_I2S1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S1_HEADER ari2s.h

#define NV_ADDRESS_MAP_I2S2_BASE 0x02901100
#define NV_ADDRESS_MAP_I2S2_LIMIT 0x029011ff
#define NV_ADDRESS_MAP_I2S2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S2_HEADER ari2s.h

#define NV_ADDRESS_MAP_I2S3_BASE 0x02901200
#define NV_ADDRESS_MAP_I2S3_LIMIT 0x029012ff
#define NV_ADDRESS_MAP_I2S3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S3_HEADER ari2s.h

#define NV_ADDRESS_MAP_I2S4_BASE 0x02901300
#define NV_ADDRESS_MAP_I2S4_LIMIT 0x029013ff
#define NV_ADDRESS_MAP_I2S4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S4_HEADER ari2s.h

#define NV_ADDRESS_MAP_I2S5_BASE 0x02901400
#define NV_ADDRESS_MAP_I2S5_LIMIT 0x029014ff
#define NV_ADDRESS_MAP_I2S5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S5_HEADER ari2s.h

#define NV_ADDRESS_MAP_I2S6_BASE 0x02901500
#define NV_ADDRESS_MAP_I2S6_LIMIT 0x029015ff
#define NV_ADDRESS_MAP_I2S6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2S6_HEADER ari2s.h

#define NV_ADDRESS_MAP_SFC1_BASE 0x02902000
#define NV_ADDRESS_MAP_SFC1_LIMIT 0x029021ff
#define NV_ADDRESS_MAP_SFC1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SFC1_HEADER arsfc.h

#define NV_ADDRESS_MAP_SFC2_BASE 0x02902200
#define NV_ADDRESS_MAP_SFC2_LIMIT 0x029023ff
#define NV_ADDRESS_MAP_SFC2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SFC2_HEADER arsfc.h

#define NV_ADDRESS_MAP_SFC3_BASE 0x02902400
#define NV_ADDRESS_MAP_SFC3_LIMIT 0x029025ff
#define NV_ADDRESS_MAP_SFC3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SFC3_HEADER arsfc.h

#define NV_ADDRESS_MAP_SFC4_BASE 0x02902600
#define NV_ADDRESS_MAP_SFC4_LIMIT 0x029027ff
#define NV_ADDRESS_MAP_SFC4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SFC4_HEADER arsfc.h

#define NV_ADDRESS_MAP_AMX1_BASE 0x02903000
#define NV_ADDRESS_MAP_AMX1_LIMIT 0x029030ff
#define NV_ADDRESS_MAP_AMX1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AMX1_HEADER aramx.h

#define NV_ADDRESS_MAP_AMX2_BASE 0x02903100
#define NV_ADDRESS_MAP_AMX2_LIMIT 0x029031ff
#define NV_ADDRESS_MAP_AMX2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AMX2_HEADER aramx.h

#define NV_ADDRESS_MAP_AMX3_BASE 0x02903200
#define NV_ADDRESS_MAP_AMX3_LIMIT 0x029032ff
#define NV_ADDRESS_MAP_AMX3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AMX3_HEADER aramx.h

#define NV_ADDRESS_MAP_AMX4_BASE 0x02903300
#define NV_ADDRESS_MAP_AMX4_LIMIT 0x029033ff
#define NV_ADDRESS_MAP_AMX4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AMX4_HEADER aramx.h

#define NV_ADDRESS_MAP_ADX1_BASE 0x02903800
#define NV_ADDRESS_MAP_ADX1_LIMIT 0x029038ff
#define NV_ADDRESS_MAP_ADX1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ADX1_HEADER aradx.h

#define NV_ADDRESS_MAP_ADX2_BASE 0x02903900
#define NV_ADDRESS_MAP_ADX2_LIMIT 0x029039ff
#define NV_ADDRESS_MAP_ADX2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ADX2_HEADER aradx.h

#define NV_ADDRESS_MAP_ADX3_BASE 0x02903a00
#define NV_ADDRESS_MAP_ADX3_LIMIT 0x02903aff
#define NV_ADDRESS_MAP_ADX3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ADX3_HEADER aradx.h

#define NV_ADDRESS_MAP_ADX4_BASE 0x02903b00
#define NV_ADDRESS_MAP_ADX4_LIMIT 0x02903bff
#define NV_ADDRESS_MAP_ADX4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ADX4_HEADER aradx.h

#define NV_ADDRESS_MAP_DMIC1_BASE 0x02904000
#define NV_ADDRESS_MAP_DMIC1_LIMIT 0x029040ff
#define NV_ADDRESS_MAP_DMIC1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DMIC1_HEADER ardmic.h

#define NV_ADDRESS_MAP_DMIC2_BASE 0x02904100
#define NV_ADDRESS_MAP_DMIC2_LIMIT 0x029041ff
#define NV_ADDRESS_MAP_DMIC2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DMIC2_HEADER ardmic.h

#define NV_ADDRESS_MAP_DMIC3_BASE 0x02904200
#define NV_ADDRESS_MAP_DMIC3_LIMIT 0x029042ff
#define NV_ADDRESS_MAP_DMIC3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DMIC3_HEADER ardmic.h

#define NV_ADDRESS_MAP_DMIC4_BASE 0x02904300
#define NV_ADDRESS_MAP_DMIC4_LIMIT 0x029043ff
#define NV_ADDRESS_MAP_DMIC4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DMIC4_HEADER ardmic.h

#define NV_ADDRESS_MAP_DSPK1_BASE 0x02905000
#define NV_ADDRESS_MAP_DSPK1_LIMIT 0x029050ff
#define NV_ADDRESS_MAP_DSPK1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DSPK1_HEADER ardspk.h

#define NV_ADDRESS_MAP_DSPK2_BASE 0x02905100
#define NV_ADDRESS_MAP_DSPK2_LIMIT 0x029051ff
#define NV_ADDRESS_MAP_DSPK2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DSPK2_HEADER ardspk.h

#define NV_ADDRESS_MAP_SPDIF1_BASE 0x02906000
#define NV_ADDRESS_MAP_SPDIF1_LIMIT 0x029061ff
#define NV_ADDRESS_MAP_SPDIF1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SPDIF1_HEADER arspdif.h

#define NV_ADDRESS_MAP_AFC1_BASE 0x02907000
#define NV_ADDRESS_MAP_AFC1_LIMIT 0x029070ff
#define NV_ADDRESS_MAP_AFC1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AFC1_HEADER arafc.h

#define NV_ADDRESS_MAP_AFC2_BASE 0x02907100
#define NV_ADDRESS_MAP_AFC2_LIMIT 0x029071ff
#define NV_ADDRESS_MAP_AFC2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AFC2_HEADER arafc.h

#define NV_ADDRESS_MAP_AFC3_BASE 0x02907200
#define NV_ADDRESS_MAP_AFC3_LIMIT 0x029072ff
#define NV_ADDRESS_MAP_AFC3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AFC3_HEADER arafc.h

#define NV_ADDRESS_MAP_AFC4_BASE 0x02907300
#define NV_ADDRESS_MAP_AFC4_LIMIT 0x029073ff
#define NV_ADDRESS_MAP_AFC4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AFC4_HEADER arafc.h

#define NV_ADDRESS_MAP_AFC5_BASE 0x02907400
#define NV_ADDRESS_MAP_AFC5_LIMIT 0x029074ff
#define NV_ADDRESS_MAP_AFC5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AFC5_HEADER arafc.h

#define NV_ADDRESS_MAP_AFC6_BASE 0x02907500
#define NV_ADDRESS_MAP_AFC6_LIMIT 0x029075ff
#define NV_ADDRESS_MAP_AFC6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AFC6_HEADER arafc.h

#define NV_ADDRESS_MAP_OPE1_COMMON_BASE 0x02908000
#define NV_ADDRESS_MAP_OPE1_COMMON_LIMIT 0x029080ff
#define NV_ADDRESS_MAP_OPE1_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_OPE1_COMMON_HEADER arope.h

#define NV_ADDRESS_MAP_OPE1_PEQ_BASE 0x02908100
#define NV_ADDRESS_MAP_OPE1_PEQ_LIMIT 0x029081ff
#define NV_ADDRESS_MAP_OPE1_PEQ_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_OPE1_PEQ_HEADER arpeq.h

#define NV_ADDRESS_MAP_OPE1_MBDRC_BASE 0x02908200
#define NV_ADDRESS_MAP_OPE1_MBDRC_LIMIT 0x029083ff
#define NV_ADDRESS_MAP_OPE1_MBDRC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_OPE1_MBDRC_HEADER armbdrc.h

#define NV_ADDRESS_MAP_SPKPROT1_BASE 0x02908c00
#define NV_ADDRESS_MAP_SPKPROT1_LIMIT 0x02908fff
#define NV_ADDRESS_MAP_SPKPROT1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SPKPROT1_HEADER

#define NV_ADDRESS_MAP_MVC1_BASE 0x0290a000
#define NV_ADDRESS_MAP_MVC1_LIMIT 0x0290a1ff
#define NV_ADDRESS_MAP_MVC1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MVC1_HEADER armvc.h

#define NV_ADDRESS_MAP_MVC2_BASE 0x0290a200
#define NV_ADDRESS_MAP_MVC2_LIMIT 0x0290a3ff
#define NV_ADDRESS_MAP_MVC2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MVC2_HEADER armvc.h

#define NV_ADDRESS_MAP_AHC_BASE 0x0290b900
#define NV_ADDRESS_MAP_AHC_LIMIT 0x0290baff
#define NV_ADDRESS_MAP_AHC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AHC_HEADER arahc.h

#define NV_ADDRESS_MAP_MIXER1_BASE 0x0290bb00
#define NV_ADDRESS_MAP_MIXER1_LIMIT 0x0290c2ff
#define NV_ADDRESS_MAP_MIXER1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MIXER1_HEADER armixer.h

#define NV_ADDRESS_MAP_IQC1_BASE 0x0290e000
#define NV_ADDRESS_MAP_IQC1_LIMIT 0x0290e1ff
#define NV_ADDRESS_MAP_IQC1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_IQC1_HEADER

#define NV_ADDRESS_MAP_IQC2_BASE 0x0290e200
#define NV_ADDRESS_MAP_IQC2_LIMIT 0x0290e3ff
#define NV_ADDRESS_MAP_IQC2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_IQC2_HEADER

#define NV_ADDRESS_MAP_ARAD_BASE 0x0290e400
#define NV_ADDRESS_MAP_ARAD_LIMIT 0x0290e7ff
#define NV_ADDRESS_MAP_ARAD_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ARAD_HEADER ararad.h

#define NV_ADDRESS_MAP_ADMAIF_BASE 0x0290f000
#define NV_ADDRESS_MAP_ADMAIF_LIMIT 0x0290ffff
#define NV_ADDRESS_MAP_ADMAIF_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ADMAIF_HEADER aradmaif.h

#define NV_ADDRESS_MAP_ASRC_BASE 0x02910000
#define NV_ADDRESS_MAP_ASRC_LIMIT 0x02911fff
#define NV_ADDRESS_MAP_ASRC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ASRC_HEADER arasrc.h

#define NV_ADDRESS_MAP_APE_ADMA_GLOBAL_BASE 0x02930000
#define NV_ADDRESS_MAP_APE_ADMA_GLOBAL_LIMIT 0x0293ffff
#define NV_ADDRESS_MAP_APE_ADMA_GLOBAL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_ADMA_GLOBAL_HEADER

#define NV_ADDRESS_MAP_APE_ADMA_PAGE1_BASE 0x02940000
#define NV_ADDRESS_MAP_APE_ADMA_PAGE1_LIMIT 0x0294ffff
#define NV_ADDRESS_MAP_APE_ADMA_PAGE1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_ADMA_PAGE1_HEADER

#define NV_ADDRESS_MAP_APE_ADMA_PAGE2_BASE 0x02950000
#define NV_ADDRESS_MAP_APE_ADMA_PAGE2_LIMIT 0x0295ffff
#define NV_ADDRESS_MAP_APE_ADMA_PAGE2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_ADMA_PAGE2_HEADER

#define NV_ADDRESS_MAP_APE_ADMA_PAGE3_BASE 0x02960000
#define NV_ADDRESS_MAP_APE_ADMA_PAGE3_LIMIT 0x0296ffff
#define NV_ADDRESS_MAP_APE_ADMA_PAGE3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_ADMA_PAGE3_HEADER

#define NV_ADDRESS_MAP_APE_ADMA_PAGE4_BASE 0x02970000
#define NV_ADDRESS_MAP_APE_ADMA_PAGE4_LIMIT 0x0297ffff
#define NV_ADDRESS_MAP_APE_ADMA_PAGE4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_ADMA_PAGE4_HEADER

#define NV_ADDRESS_MAP_APE_AMISC_AMISC_BASE 0x02990000
#define NV_ADDRESS_MAP_APE_AMISC_AMISC_LIMIT 0x029907ff
#define NV_ADDRESS_MAP_APE_AMISC_AMISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_AMISC_AMISC_HEADER aramisc.h

#define NV_ADDRESS_MAP_APE_AMISC_ACTMON_BASE 0x02990800
#define NV_ADDRESS_MAP_APE_AMISC_ACTMON_LIMIT 0x02990bff
#define NV_ADDRESS_MAP_APE_AMISC_ACTMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_AMISC_ACTMON_HEADER arunit_actmon.h

#define NV_ADDRESS_MAP_APE_AMC_BASE 0x02993000
#define NV_ADDRESS_MAP_APE_AMC_LIMIT 0x02993fff
#define NV_ADDRESS_MAP_APE_AMC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_AMC_HEADER aramc.h

#define NV_ADDRESS_MAP_APE_ACAST_BASE 0x02994000
#define NV_ADDRESS_MAP_APE_ACAST_LIMIT 0x02995fff
#define NV_ADDRESS_MAP_APE_ACAST_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_ACAST_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_APE_ADAST_BASE 0x02996000
#define NV_ADDRESS_MAP_APE_ADAST_LIMIT 0x02997fff
#define NV_ADDRESS_MAP_APE_ADAST_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_ADAST_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_APE_HSP_COMMON_BASE 0x029a0000
#define NV_ADDRESS_MAP_APE_HSP_COMMON_LIMIT 0x029affff
#define NV_ADDRESS_MAP_APE_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_APE_HSP_SM_0_1_BASE 0x029b0000
#define NV_ADDRESS_MAP_APE_HSP_SM_0_1_LIMIT 0x029bffff
#define NV_ADDRESS_MAP_APE_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_APE_HSP_SM_2_3_BASE 0x029c0000
#define NV_ADDRESS_MAP_APE_HSP_SM_2_3_LIMIT 0x029cffff
#define NV_ADDRESS_MAP_APE_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_APE_HSP_SM_4_5_BASE 0x029d0000
#define NV_ADDRESS_MAP_APE_HSP_SM_4_5_LIMIT 0x029dffff
#define NV_ADDRESS_MAP_APE_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_APE_HSP_SM_6_7_BASE 0x029e0000
#define NV_ADDRESS_MAP_APE_HSP_SM_6_7_LIMIT 0x029effff
#define NV_ADDRESS_MAP_APE_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_APE_HSP_SS_0_BASE 0x029f0000
#define NV_ADDRESS_MAP_APE_HSP_SS_0_LIMIT 0x029fffff
#define NV_ADDRESS_MAP_APE_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_APE_HSP_SS_1_BASE 0x02a00000
#define NV_ADDRESS_MAP_APE_HSP_SS_1_LIMIT 0x02a0ffff
#define NV_ADDRESS_MAP_APE_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_APE_HSP_SS_2_BASE 0x02a10000
#define NV_ADDRESS_MAP_APE_HSP_SS_2_LIMIT 0x02a1ffff
#define NV_ADDRESS_MAP_APE_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_APE_HSP_SS_3_BASE 0x02a20000
#define NV_ADDRESS_MAP_APE_HSP_SS_3_LIMIT 0x02a2ffff
#define NV_ADDRESS_MAP_APE_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_APE_AGIC_PAGE0_BASE 0x02a40000
#define NV_ADDRESS_MAP_APE_AGIC_PAGE0_LIMIT 0x02a4ffff
#define NV_ADDRESS_MAP_APE_AGIC_PAGE0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_AGIC_PAGE0_HEADER aragic.h

#define NV_ADDRESS_MAP_APE_AGIC_PAGE1_BASE 0x02a50000
#define NV_ADDRESS_MAP_APE_AGIC_PAGE1_LIMIT 0x02a5ffff
#define NV_ADDRESS_MAP_APE_AGIC_PAGE1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_AGIC_PAGE1_HEADER aragic.h

#define NV_ADDRESS_MAP_APE_AGIC_PAGE2_BASE 0x02a60000
#define NV_ADDRESS_MAP_APE_AGIC_PAGE2_LIMIT 0x02a6ffff
#define NV_ADDRESS_MAP_APE_AGIC_PAGE2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_AGIC_PAGE2_HEADER aragic.h

#define NV_ADDRESS_MAP_APE_AGIC_PAGE3_BASE 0x02a70000
#define NV_ADDRESS_MAP_APE_AGIC_PAGE3_LIMIT 0x02a7ffff
#define NV_ADDRESS_MAP_APE_AGIC_PAGE3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_AGIC_PAGE3_HEADER aragic.h

#define NV_ADDRESS_MAP_APE_TKE_SHARED_BASE 0x02a80000
#define NV_ADDRESS_MAP_APE_TKE_SHARED_LIMIT 0x02a8ffff
#define NV_ADDRESS_MAP_APE_TKE_SHARED_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_TKE_SHARED_HEADER

#define NV_ADDRESS_MAP_APE_TKE_TMR_0_BASE 0x02a90000
#define NV_ADDRESS_MAP_APE_TKE_TMR_0_LIMIT 0x02a9ffff
#define NV_ADDRESS_MAP_APE_TKE_TMR_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_TKE_TMR_0_HEADER

#define NV_ADDRESS_MAP_APE_TKE_TMR_1_BASE 0x02aa0000
#define NV_ADDRESS_MAP_APE_TKE_TMR_1_LIMIT 0x02aaffff
#define NV_ADDRESS_MAP_APE_TKE_TMR_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_TKE_TMR_1_HEADER

#define NV_ADDRESS_MAP_APE_TKE_TMR_2_BASE 0x02ab0000
#define NV_ADDRESS_MAP_APE_TKE_TMR_2_LIMIT 0x02abffff
#define NV_ADDRESS_MAP_APE_TKE_TMR_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_TKE_TMR_2_HEADER

#define NV_ADDRESS_MAP_APE_TKE_TMR_3_BASE 0x02ac0000
#define NV_ADDRESS_MAP_APE_TKE_TMR_3_LIMIT 0x02acffff
#define NV_ADDRESS_MAP_APE_TKE_TMR_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_TKE_TMR_3_HEADER

#define NV_ADDRESS_MAP_APE_TKE_WDT_0_BASE 0x02ad0000
#define NV_ADDRESS_MAP_APE_TKE_WDT_0_LIMIT 0x02adffff
#define NV_ADDRESS_MAP_APE_TKE_WDT_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_APE_TKE_WDT_0_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_128_BASE 0x02b00000
#define NV_ADDRESS_MAP_TSA_NODE_128_LIMIT 0x02b00fff
#define NV_ADDRESS_MAP_TSA_NODE_128_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_128_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_129_BASE 0x02b01000
#define NV_ADDRESS_MAP_TSA_NODE_129_LIMIT 0x02b01fff
#define NV_ADDRESS_MAP_TSA_NODE_129_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_129_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_130_BASE 0x02b02000
#define NV_ADDRESS_MAP_TSA_NODE_130_LIMIT 0x02b02fff
#define NV_ADDRESS_MAP_TSA_NODE_130_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_130_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_131_BASE 0x02b03000
#define NV_ADDRESS_MAP_TSA_NODE_131_LIMIT 0x02b03fff
#define NV_ADDRESS_MAP_TSA_NODE_131_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_131_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_132_BASE 0x02b04000
#define NV_ADDRESS_MAP_TSA_NODE_132_LIMIT 0x02b04fff
#define NV_ADDRESS_MAP_TSA_NODE_132_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_132_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_133_BASE 0x02b05000
#define NV_ADDRESS_MAP_TSA_NODE_133_LIMIT 0x02b05fff
#define NV_ADDRESS_MAP_TSA_NODE_133_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_133_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_134_BASE 0x02b06000
#define NV_ADDRESS_MAP_TSA_NODE_134_LIMIT 0x02b06fff
#define NV_ADDRESS_MAP_TSA_NODE_134_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_134_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_135_BASE 0x02b07000
#define NV_ADDRESS_MAP_TSA_NODE_135_LIMIT 0x02b07fff
#define NV_ADDRESS_MAP_TSA_NODE_135_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_135_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_136_BASE 0x02b08000
#define NV_ADDRESS_MAP_TSA_NODE_136_LIMIT 0x02b08fff
#define NV_ADDRESS_MAP_TSA_NODE_136_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_136_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_137_BASE 0x02b09000
#define NV_ADDRESS_MAP_TSA_NODE_137_LIMIT 0x02b09fff
#define NV_ADDRESS_MAP_TSA_NODE_137_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_137_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_138_BASE 0x02b0a000
#define NV_ADDRESS_MAP_TSA_NODE_138_LIMIT 0x02b0afff
#define NV_ADDRESS_MAP_TSA_NODE_138_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_138_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_139_BASE 0x02b0b000
#define NV_ADDRESS_MAP_TSA_NODE_139_LIMIT 0x02b0bfff
#define NV_ADDRESS_MAP_TSA_NODE_139_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_139_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_140_BASE 0x02b0c000
#define NV_ADDRESS_MAP_TSA_NODE_140_LIMIT 0x02b0cfff
#define NV_ADDRESS_MAP_TSA_NODE_140_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_140_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_141_BASE 0x02b0d000
#define NV_ADDRESS_MAP_TSA_NODE_141_LIMIT 0x02b0dfff
#define NV_ADDRESS_MAP_TSA_NODE_141_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_141_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_142_BASE 0x02b0e000
#define NV_ADDRESS_MAP_TSA_NODE_142_LIMIT 0x02b0efff
#define NV_ADDRESS_MAP_TSA_NODE_142_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_142_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_143_BASE 0x02b0f000
#define NV_ADDRESS_MAP_TSA_NODE_143_LIMIT 0x02b0ffff
#define NV_ADDRESS_MAP_TSA_NODE_143_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_143_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_144_BASE 0x02b10000
#define NV_ADDRESS_MAP_TSA_NODE_144_LIMIT 0x02b10fff
#define NV_ADDRESS_MAP_TSA_NODE_144_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_144_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_145_BASE 0x02b11000
#define NV_ADDRESS_MAP_TSA_NODE_145_LIMIT 0x02b11fff
#define NV_ADDRESS_MAP_TSA_NODE_145_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_145_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_146_BASE 0x02b12000
#define NV_ADDRESS_MAP_TSA_NODE_146_LIMIT 0x02b12fff
#define NV_ADDRESS_MAP_TSA_NODE_146_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_146_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_147_BASE 0x02b13000
#define NV_ADDRESS_MAP_TSA_NODE_147_LIMIT 0x02b13fff
#define NV_ADDRESS_MAP_TSA_NODE_147_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_147_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_148_BASE 0x02b14000
#define NV_ADDRESS_MAP_TSA_NODE_148_LIMIT 0x02b14fff
#define NV_ADDRESS_MAP_TSA_NODE_148_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_148_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_149_BASE 0x02b15000
#define NV_ADDRESS_MAP_TSA_NODE_149_LIMIT 0x02b15fff
#define NV_ADDRESS_MAP_TSA_NODE_149_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_149_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_150_BASE 0x02b16000
#define NV_ADDRESS_MAP_TSA_NODE_150_LIMIT 0x02b16fff
#define NV_ADDRESS_MAP_TSA_NODE_150_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_150_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_151_BASE 0x02b17000
#define NV_ADDRESS_MAP_TSA_NODE_151_LIMIT 0x02b17fff
#define NV_ADDRESS_MAP_TSA_NODE_151_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_151_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_152_BASE 0x02b18000
#define NV_ADDRESS_MAP_TSA_NODE_152_LIMIT 0x02b18fff
#define NV_ADDRESS_MAP_TSA_NODE_152_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_152_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_153_BASE 0x02b19000
#define NV_ADDRESS_MAP_TSA_NODE_153_LIMIT 0x02b19fff
#define NV_ADDRESS_MAP_TSA_NODE_153_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_153_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_154_BASE 0x02b1a000
#define NV_ADDRESS_MAP_TSA_NODE_154_LIMIT 0x02b1afff
#define NV_ADDRESS_MAP_TSA_NODE_154_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_154_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_155_BASE 0x02b1b000
#define NV_ADDRESS_MAP_TSA_NODE_155_LIMIT 0x02b1bfff
#define NV_ADDRESS_MAP_TSA_NODE_155_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_155_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_156_BASE 0x02b1c000
#define NV_ADDRESS_MAP_TSA_NODE_156_LIMIT 0x02b1cfff
#define NV_ADDRESS_MAP_TSA_NODE_156_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_156_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_157_BASE 0x02b1d000
#define NV_ADDRESS_MAP_TSA_NODE_157_LIMIT 0x02b1dfff
#define NV_ADDRESS_MAP_TSA_NODE_157_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_157_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_158_BASE 0x02b1e000
#define NV_ADDRESS_MAP_TSA_NODE_158_LIMIT 0x02b1efff
#define NV_ADDRESS_MAP_TSA_NODE_158_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_158_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_159_BASE 0x02b1f000
#define NV_ADDRESS_MAP_TSA_NODE_159_LIMIT 0x02b1ffff
#define NV_ADDRESS_MAP_TSA_NODE_159_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_159_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_160_BASE 0x02b20000
#define NV_ADDRESS_MAP_TSA_NODE_160_LIMIT 0x02b20fff
#define NV_ADDRESS_MAP_TSA_NODE_160_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_160_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_161_BASE 0x02b21000
#define NV_ADDRESS_MAP_TSA_NODE_161_LIMIT 0x02b21fff
#define NV_ADDRESS_MAP_TSA_NODE_161_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_161_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_162_BASE 0x02b22000
#define NV_ADDRESS_MAP_TSA_NODE_162_LIMIT 0x02b22fff
#define NV_ADDRESS_MAP_TSA_NODE_162_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_162_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_163_BASE 0x02b23000
#define NV_ADDRESS_MAP_TSA_NODE_163_LIMIT 0x02b23fff
#define NV_ADDRESS_MAP_TSA_NODE_163_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_163_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_164_BASE 0x02b24000
#define NV_ADDRESS_MAP_TSA_NODE_164_LIMIT 0x02b24fff
#define NV_ADDRESS_MAP_TSA_NODE_164_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_164_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_165_BASE 0x02b25000
#define NV_ADDRESS_MAP_TSA_NODE_165_LIMIT 0x02b25fff
#define NV_ADDRESS_MAP_TSA_NODE_165_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_165_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_166_BASE 0x02b26000
#define NV_ADDRESS_MAP_TSA_NODE_166_LIMIT 0x02b26fff
#define NV_ADDRESS_MAP_TSA_NODE_166_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_166_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_167_BASE 0x02b27000
#define NV_ADDRESS_MAP_TSA_NODE_167_LIMIT 0x02b27fff
#define NV_ADDRESS_MAP_TSA_NODE_167_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_167_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_168_BASE 0x02b28000
#define NV_ADDRESS_MAP_TSA_NODE_168_LIMIT 0x02b28fff
#define NV_ADDRESS_MAP_TSA_NODE_168_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_168_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_169_BASE 0x02b29000
#define NV_ADDRESS_MAP_TSA_NODE_169_LIMIT 0x02b29fff
#define NV_ADDRESS_MAP_TSA_NODE_169_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_169_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_170_BASE 0x02b2a000
#define NV_ADDRESS_MAP_TSA_NODE_170_LIMIT 0x02b2afff
#define NV_ADDRESS_MAP_TSA_NODE_170_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_170_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_171_BASE 0x02b2b000
#define NV_ADDRESS_MAP_TSA_NODE_171_LIMIT 0x02b2bfff
#define NV_ADDRESS_MAP_TSA_NODE_171_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_171_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_172_BASE 0x02b2c000
#define NV_ADDRESS_MAP_TSA_NODE_172_LIMIT 0x02b2cfff
#define NV_ADDRESS_MAP_TSA_NODE_172_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_172_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_173_BASE 0x02b2d000
#define NV_ADDRESS_MAP_TSA_NODE_173_LIMIT 0x02b2dfff
#define NV_ADDRESS_MAP_TSA_NODE_173_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_173_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_174_BASE 0x02b2e000
#define NV_ADDRESS_MAP_TSA_NODE_174_LIMIT 0x02b2efff
#define NV_ADDRESS_MAP_TSA_NODE_174_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_174_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_175_BASE 0x02b2f000
#define NV_ADDRESS_MAP_TSA_NODE_175_LIMIT 0x02b2ffff
#define NV_ADDRESS_MAP_TSA_NODE_175_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_175_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_176_BASE 0x02b30000
#define NV_ADDRESS_MAP_TSA_NODE_176_LIMIT 0x02b30fff
#define NV_ADDRESS_MAP_TSA_NODE_176_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_176_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_177_BASE 0x02b31000
#define NV_ADDRESS_MAP_TSA_NODE_177_LIMIT 0x02b31fff
#define NV_ADDRESS_MAP_TSA_NODE_177_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_177_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_178_BASE 0x02b32000
#define NV_ADDRESS_MAP_TSA_NODE_178_LIMIT 0x02b32fff
#define NV_ADDRESS_MAP_TSA_NODE_178_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_178_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_179_BASE 0x02b33000
#define NV_ADDRESS_MAP_TSA_NODE_179_LIMIT 0x02b33fff
#define NV_ADDRESS_MAP_TSA_NODE_179_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_179_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_180_BASE 0x02b34000
#define NV_ADDRESS_MAP_TSA_NODE_180_LIMIT 0x02b34fff
#define NV_ADDRESS_MAP_TSA_NODE_180_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_180_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_181_BASE 0x02b35000
#define NV_ADDRESS_MAP_TSA_NODE_181_LIMIT 0x02b35fff
#define NV_ADDRESS_MAP_TSA_NODE_181_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_181_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_182_BASE 0x02b36000
#define NV_ADDRESS_MAP_TSA_NODE_182_LIMIT 0x02b36fff
#define NV_ADDRESS_MAP_TSA_NODE_182_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_182_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_183_BASE 0x02b37000
#define NV_ADDRESS_MAP_TSA_NODE_183_LIMIT 0x02b37fff
#define NV_ADDRESS_MAP_TSA_NODE_183_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_183_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_184_BASE 0x02b38000
#define NV_ADDRESS_MAP_TSA_NODE_184_LIMIT 0x02b38fff
#define NV_ADDRESS_MAP_TSA_NODE_184_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_184_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_185_BASE 0x02b39000
#define NV_ADDRESS_MAP_TSA_NODE_185_LIMIT 0x02b39fff
#define NV_ADDRESS_MAP_TSA_NODE_185_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_185_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_186_BASE 0x02b3a000
#define NV_ADDRESS_MAP_TSA_NODE_186_LIMIT 0x02b3afff
#define NV_ADDRESS_MAP_TSA_NODE_186_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_186_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_187_BASE 0x02b3b000
#define NV_ADDRESS_MAP_TSA_NODE_187_LIMIT 0x02b3bfff
#define NV_ADDRESS_MAP_TSA_NODE_187_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_187_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_188_BASE 0x02b3c000
#define NV_ADDRESS_MAP_TSA_NODE_188_LIMIT 0x02b3cfff
#define NV_ADDRESS_MAP_TSA_NODE_188_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_188_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_189_BASE 0x02b3d000
#define NV_ADDRESS_MAP_TSA_NODE_189_LIMIT 0x02b3dfff
#define NV_ADDRESS_MAP_TSA_NODE_189_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_189_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_190_BASE 0x02b3e000
#define NV_ADDRESS_MAP_TSA_NODE_190_LIMIT 0x02b3efff
#define NV_ADDRESS_MAP_TSA_NODE_190_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_190_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_191_BASE 0x02b3f000
#define NV_ADDRESS_MAP_TSA_NODE_191_LIMIT 0x02b3ffff
#define NV_ADDRESS_MAP_TSA_NODE_191_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_191_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_192_BASE 0x02b40000
#define NV_ADDRESS_MAP_TSA_NODE_192_LIMIT 0x02b40fff
#define NV_ADDRESS_MAP_TSA_NODE_192_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_192_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_193_BASE 0x02b41000
#define NV_ADDRESS_MAP_TSA_NODE_193_LIMIT 0x02b41fff
#define NV_ADDRESS_MAP_TSA_NODE_193_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_193_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_194_BASE 0x02b42000
#define NV_ADDRESS_MAP_TSA_NODE_194_LIMIT 0x02b42fff
#define NV_ADDRESS_MAP_TSA_NODE_194_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_194_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_195_BASE 0x02b43000
#define NV_ADDRESS_MAP_TSA_NODE_195_LIMIT 0x02b43fff
#define NV_ADDRESS_MAP_TSA_NODE_195_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_195_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_196_BASE 0x02b44000
#define NV_ADDRESS_MAP_TSA_NODE_196_LIMIT 0x02b44fff
#define NV_ADDRESS_MAP_TSA_NODE_196_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_196_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_197_BASE 0x02b45000
#define NV_ADDRESS_MAP_TSA_NODE_197_LIMIT 0x02b45fff
#define NV_ADDRESS_MAP_TSA_NODE_197_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_197_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_198_BASE 0x02b46000
#define NV_ADDRESS_MAP_TSA_NODE_198_LIMIT 0x02b46fff
#define NV_ADDRESS_MAP_TSA_NODE_198_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_198_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_199_BASE 0x02b47000
#define NV_ADDRESS_MAP_TSA_NODE_199_LIMIT 0x02b47fff
#define NV_ADDRESS_MAP_TSA_NODE_199_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_199_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_200_BASE 0x02b48000
#define NV_ADDRESS_MAP_TSA_NODE_200_LIMIT 0x02b48fff
#define NV_ADDRESS_MAP_TSA_NODE_200_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_200_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_201_BASE 0x02b49000
#define NV_ADDRESS_MAP_TSA_NODE_201_LIMIT 0x02b49fff
#define NV_ADDRESS_MAP_TSA_NODE_201_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_201_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_202_BASE 0x02b4a000
#define NV_ADDRESS_MAP_TSA_NODE_202_LIMIT 0x02b4afff
#define NV_ADDRESS_MAP_TSA_NODE_202_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_202_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_203_BASE 0x02b4b000
#define NV_ADDRESS_MAP_TSA_NODE_203_LIMIT 0x02b4bfff
#define NV_ADDRESS_MAP_TSA_NODE_203_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_203_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_204_BASE 0x02b4c000
#define NV_ADDRESS_MAP_TSA_NODE_204_LIMIT 0x02b4cfff
#define NV_ADDRESS_MAP_TSA_NODE_204_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_204_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_205_BASE 0x02b4d000
#define NV_ADDRESS_MAP_TSA_NODE_205_LIMIT 0x02b4dfff
#define NV_ADDRESS_MAP_TSA_NODE_205_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_205_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_206_BASE 0x02b4e000
#define NV_ADDRESS_MAP_TSA_NODE_206_LIMIT 0x02b4efff
#define NV_ADDRESS_MAP_TSA_NODE_206_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_206_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_207_BASE 0x02b4f000
#define NV_ADDRESS_MAP_TSA_NODE_207_LIMIT 0x02b4ffff
#define NV_ADDRESS_MAP_TSA_NODE_207_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_207_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_208_BASE 0x02b50000
#define NV_ADDRESS_MAP_TSA_NODE_208_LIMIT 0x02b50fff
#define NV_ADDRESS_MAP_TSA_NODE_208_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_208_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_209_BASE 0x02b51000
#define NV_ADDRESS_MAP_TSA_NODE_209_LIMIT 0x02b51fff
#define NV_ADDRESS_MAP_TSA_NODE_209_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_209_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_210_BASE 0x02b52000
#define NV_ADDRESS_MAP_TSA_NODE_210_LIMIT 0x02b52fff
#define NV_ADDRESS_MAP_TSA_NODE_210_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_210_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_211_BASE 0x02b53000
#define NV_ADDRESS_MAP_TSA_NODE_211_LIMIT 0x02b53fff
#define NV_ADDRESS_MAP_TSA_NODE_211_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_211_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_212_BASE 0x02b54000
#define NV_ADDRESS_MAP_TSA_NODE_212_LIMIT 0x02b54fff
#define NV_ADDRESS_MAP_TSA_NODE_212_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_212_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_213_BASE 0x02b55000
#define NV_ADDRESS_MAP_TSA_NODE_213_LIMIT 0x02b55fff
#define NV_ADDRESS_MAP_TSA_NODE_213_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_213_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_214_BASE 0x02b56000
#define NV_ADDRESS_MAP_TSA_NODE_214_LIMIT 0x02b56fff
#define NV_ADDRESS_MAP_TSA_NODE_214_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_214_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_215_BASE 0x02b57000
#define NV_ADDRESS_MAP_TSA_NODE_215_LIMIT 0x02b57fff
#define NV_ADDRESS_MAP_TSA_NODE_215_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_215_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_216_BASE 0x02b58000
#define NV_ADDRESS_MAP_TSA_NODE_216_LIMIT 0x02b58fff
#define NV_ADDRESS_MAP_TSA_NODE_216_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_216_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_217_BASE 0x02b59000
#define NV_ADDRESS_MAP_TSA_NODE_217_LIMIT 0x02b59fff
#define NV_ADDRESS_MAP_TSA_NODE_217_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_217_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_218_BASE 0x02b5a000
#define NV_ADDRESS_MAP_TSA_NODE_218_LIMIT 0x02b5afff
#define NV_ADDRESS_MAP_TSA_NODE_218_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_218_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_219_BASE 0x02b5b000
#define NV_ADDRESS_MAP_TSA_NODE_219_LIMIT 0x02b5bfff
#define NV_ADDRESS_MAP_TSA_NODE_219_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_219_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_220_BASE 0x02b5c000
#define NV_ADDRESS_MAP_TSA_NODE_220_LIMIT 0x02b5cfff
#define NV_ADDRESS_MAP_TSA_NODE_220_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_220_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_221_BASE 0x02b5d000
#define NV_ADDRESS_MAP_TSA_NODE_221_LIMIT 0x02b5dfff
#define NV_ADDRESS_MAP_TSA_NODE_221_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_221_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_222_BASE 0x02b5e000
#define NV_ADDRESS_MAP_TSA_NODE_222_LIMIT 0x02b5efff
#define NV_ADDRESS_MAP_TSA_NODE_222_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_222_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_223_BASE 0x02b5f000
#define NV_ADDRESS_MAP_TSA_NODE_223_LIMIT 0x02b5ffff
#define NV_ADDRESS_MAP_TSA_NODE_223_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_223_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_224_BASE 0x02b60000
#define NV_ADDRESS_MAP_TSA_NODE_224_LIMIT 0x02b60fff
#define NV_ADDRESS_MAP_TSA_NODE_224_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_224_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_225_BASE 0x02b61000
#define NV_ADDRESS_MAP_TSA_NODE_225_LIMIT 0x02b61fff
#define NV_ADDRESS_MAP_TSA_NODE_225_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_225_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_226_BASE 0x02b62000
#define NV_ADDRESS_MAP_TSA_NODE_226_LIMIT 0x02b62fff
#define NV_ADDRESS_MAP_TSA_NODE_226_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_226_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_227_BASE 0x02b63000
#define NV_ADDRESS_MAP_TSA_NODE_227_LIMIT 0x02b63fff
#define NV_ADDRESS_MAP_TSA_NODE_227_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_227_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_228_BASE 0x02b64000
#define NV_ADDRESS_MAP_TSA_NODE_228_LIMIT 0x02b64fff
#define NV_ADDRESS_MAP_TSA_NODE_228_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_228_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_229_BASE 0x02b65000
#define NV_ADDRESS_MAP_TSA_NODE_229_LIMIT 0x02b65fff
#define NV_ADDRESS_MAP_TSA_NODE_229_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_229_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_230_BASE 0x02b66000
#define NV_ADDRESS_MAP_TSA_NODE_230_LIMIT 0x02b66fff
#define NV_ADDRESS_MAP_TSA_NODE_230_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_230_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_231_BASE 0x02b67000
#define NV_ADDRESS_MAP_TSA_NODE_231_LIMIT 0x02b67fff
#define NV_ADDRESS_MAP_TSA_NODE_231_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_231_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_232_BASE 0x02b68000
#define NV_ADDRESS_MAP_TSA_NODE_232_LIMIT 0x02b68fff
#define NV_ADDRESS_MAP_TSA_NODE_232_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_232_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_233_BASE 0x02b69000
#define NV_ADDRESS_MAP_TSA_NODE_233_LIMIT 0x02b69fff
#define NV_ADDRESS_MAP_TSA_NODE_233_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_233_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_234_BASE 0x02b6a000
#define NV_ADDRESS_MAP_TSA_NODE_234_LIMIT 0x02b6afff
#define NV_ADDRESS_MAP_TSA_NODE_234_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_234_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_235_BASE 0x02b6b000
#define NV_ADDRESS_MAP_TSA_NODE_235_LIMIT 0x02b6bfff
#define NV_ADDRESS_MAP_TSA_NODE_235_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_235_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_236_BASE 0x02b6c000
#define NV_ADDRESS_MAP_TSA_NODE_236_LIMIT 0x02b6cfff
#define NV_ADDRESS_MAP_TSA_NODE_236_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_236_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_237_BASE 0x02b6d000
#define NV_ADDRESS_MAP_TSA_NODE_237_LIMIT 0x02b6dfff
#define NV_ADDRESS_MAP_TSA_NODE_237_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_237_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_238_BASE 0x02b6e000
#define NV_ADDRESS_MAP_TSA_NODE_238_LIMIT 0x02b6efff
#define NV_ADDRESS_MAP_TSA_NODE_238_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_238_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_239_BASE 0x02b6f000
#define NV_ADDRESS_MAP_TSA_NODE_239_LIMIT 0x02b6ffff
#define NV_ADDRESS_MAP_TSA_NODE_239_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_239_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_240_BASE 0x02b70000
#define NV_ADDRESS_MAP_TSA_NODE_240_LIMIT 0x02b70fff
#define NV_ADDRESS_MAP_TSA_NODE_240_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_240_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_241_BASE 0x02b71000
#define NV_ADDRESS_MAP_TSA_NODE_241_LIMIT 0x02b71fff
#define NV_ADDRESS_MAP_TSA_NODE_241_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_241_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_242_BASE 0x02b72000
#define NV_ADDRESS_MAP_TSA_NODE_242_LIMIT 0x02b72fff
#define NV_ADDRESS_MAP_TSA_NODE_242_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_242_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_243_BASE 0x02b73000
#define NV_ADDRESS_MAP_TSA_NODE_243_LIMIT 0x02b73fff
#define NV_ADDRESS_MAP_TSA_NODE_243_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_243_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_244_BASE 0x02b74000
#define NV_ADDRESS_MAP_TSA_NODE_244_LIMIT 0x02b74fff
#define NV_ADDRESS_MAP_TSA_NODE_244_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_244_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_245_BASE 0x02b75000
#define NV_ADDRESS_MAP_TSA_NODE_245_LIMIT 0x02b75fff
#define NV_ADDRESS_MAP_TSA_NODE_245_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_245_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_246_BASE 0x02b76000
#define NV_ADDRESS_MAP_TSA_NODE_246_LIMIT 0x02b76fff
#define NV_ADDRESS_MAP_TSA_NODE_246_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_246_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_247_BASE 0x02b77000
#define NV_ADDRESS_MAP_TSA_NODE_247_LIMIT 0x02b77fff
#define NV_ADDRESS_MAP_TSA_NODE_247_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_247_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_248_BASE 0x02b78000
#define NV_ADDRESS_MAP_TSA_NODE_248_LIMIT 0x02b78fff
#define NV_ADDRESS_MAP_TSA_NODE_248_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_248_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_249_BASE 0x02b79000
#define NV_ADDRESS_MAP_TSA_NODE_249_LIMIT 0x02b79fff
#define NV_ADDRESS_MAP_TSA_NODE_249_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_249_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_250_BASE 0x02b7a000
#define NV_ADDRESS_MAP_TSA_NODE_250_LIMIT 0x02b7afff
#define NV_ADDRESS_MAP_TSA_NODE_250_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_250_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_251_BASE 0x02b7b000
#define NV_ADDRESS_MAP_TSA_NODE_251_LIMIT 0x02b7bfff
#define NV_ADDRESS_MAP_TSA_NODE_251_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_251_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_252_BASE 0x02b7c000
#define NV_ADDRESS_MAP_TSA_NODE_252_LIMIT 0x02b7cfff
#define NV_ADDRESS_MAP_TSA_NODE_252_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_252_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_253_BASE 0x02b7d000
#define NV_ADDRESS_MAP_TSA_NODE_253_LIMIT 0x02b7dfff
#define NV_ADDRESS_MAP_TSA_NODE_253_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_253_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_254_BASE 0x02b7e000
#define NV_ADDRESS_MAP_TSA_NODE_254_LIMIT 0x02b7efff
#define NV_ADDRESS_MAP_TSA_NODE_254_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_254_HEADER

#define NV_ADDRESS_MAP_TSA_NODE_255_BASE 0x02b7f000
#define NV_ADDRESS_MAP_TSA_NODE_255_LIMIT 0x02b7ffff
#define NV_ADDRESS_MAP_TSA_NODE_255_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSA_NODE_255_HEADER

#define NV_ADDRESS_MAP_MC4_BASE 0x02b80000
#define NV_ADDRESS_MAP_MC4_LIMIT 0x02b8ffff
#define NV_ADDRESS_MAP_MC4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC4_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC5_BASE 0x02b90000
#define NV_ADDRESS_MAP_MC5_LIMIT 0x02b9ffff
#define NV_ADDRESS_MAP_MC5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC5_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC6_BASE 0x02ba0000
#define NV_ADDRESS_MAP_MC6_LIMIT 0x02baffff
#define NV_ADDRESS_MAP_MC6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC6_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC7_BASE 0x02bb0000
#define NV_ADDRESS_MAP_MC7_LIMIT 0x02bbffff
#define NV_ADDRESS_MAP_MC7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC7_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC_SID_BASE 0x02c00000
#define NV_ADDRESS_MAP_MC_SID_LIMIT 0x02c0ffff
#define NV_ADDRESS_MAP_MC_SID_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC_SID_HEADER armc_sid.h

#define NV_ADDRESS_MAP_MCB_BASE 0x02c10000
#define NV_ADDRESS_MAP_MCB_LIMIT 0x02c1ffff
#define NV_ADDRESS_MAP_MCB_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MCB_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC0_BASE 0x02c20000
#define NV_ADDRESS_MAP_MC0_LIMIT 0x02c2ffff
#define NV_ADDRESS_MAP_MC0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC0_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC1_BASE 0x02c30000
#define NV_ADDRESS_MAP_MC1_LIMIT 0x02c3ffff
#define NV_ADDRESS_MAP_MC1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC1_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC2_BASE 0x02c40000
#define NV_ADDRESS_MAP_MC2_LIMIT 0x02c4ffff
#define NV_ADDRESS_MAP_MC2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC2_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_MC3_BASE 0x02c50000
#define NV_ADDRESS_MAP_MC3_LIMIT 0x02c5ffff
#define NV_ADDRESS_MAP_MC3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MC3_HEADER armc.h;armc_scr.h

#define NV_ADDRESS_MAP_EMCB_CORE_BASE 0x02c60000
#define NV_ADDRESS_MAP_EMCB_CORE_LIMIT 0x02c60fff
#define NV_ADDRESS_MAP_EMCB_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMCB_CORE_HEADER

#define NV_ADDRESS_MAP_EMCB_CFG_BASE 0x02c61000
#define NV_ADDRESS_MAP_EMCB_CFG_LIMIT 0x02c61fff
#define NV_ADDRESS_MAP_EMCB_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMCB_CFG_HEADER

#define NV_ADDRESS_MAP_EMCB_EC_BASE 0x02c62000
#define NV_ADDRESS_MAP_EMCB_EC_LIMIT 0x02c62fff
#define NV_ADDRESS_MAP_EMCB_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMCB_EC_HEADER

#define NV_ADDRESS_MAP_EMCB_TR_BASE 0x02c63000
#define NV_ADDRESS_MAP_EMCB_TR_LIMIT 0x02c63fff
#define NV_ADDRESS_MAP_EMCB_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMCB_TR_HEADER

#define NV_ADDRESS_MAP_EMCB_MISC_BASE 0x02c64000
#define NV_ADDRESS_MAP_EMCB_MISC_LIMIT 0x02c6ffff
#define NV_ADDRESS_MAP_EMCB_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMCB_MISC_HEADER

#define NV_ADDRESS_MAP_EMC0_CORE_BASE 0x02c70000
#define NV_ADDRESS_MAP_EMC0_CORE_LIMIT 0x02c70fff
#define NV_ADDRESS_MAP_EMC0_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC0_CORE_HEADER

#define NV_ADDRESS_MAP_EMC0_CFG_BASE 0x02c71000
#define NV_ADDRESS_MAP_EMC0_CFG_LIMIT 0x02c71fff
#define NV_ADDRESS_MAP_EMC0_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC0_CFG_HEADER

#define NV_ADDRESS_MAP_EMC0_EC_BASE 0x02c72000
#define NV_ADDRESS_MAP_EMC0_EC_LIMIT 0x02c72fff
#define NV_ADDRESS_MAP_EMC0_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC0_EC_HEADER

#define NV_ADDRESS_MAP_EMC0_TR_BASE 0x02c73000
#define NV_ADDRESS_MAP_EMC0_TR_LIMIT 0x02c73fff
#define NV_ADDRESS_MAP_EMC0_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC0_TR_HEADER

#define NV_ADDRESS_MAP_EMC0_MISC_BASE 0x02c74000
#define NV_ADDRESS_MAP_EMC0_MISC_LIMIT 0x02c7ffff
#define NV_ADDRESS_MAP_EMC0_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC0_MISC_HEADER

#define NV_ADDRESS_MAP_EMC1_CORE_BASE 0x02c80000
#define NV_ADDRESS_MAP_EMC1_CORE_LIMIT 0x02c80fff
#define NV_ADDRESS_MAP_EMC1_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC1_CORE_HEADER

#define NV_ADDRESS_MAP_EMC1_CFG_BASE 0x02c81000
#define NV_ADDRESS_MAP_EMC1_CFG_LIMIT 0x02c81fff
#define NV_ADDRESS_MAP_EMC1_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC1_CFG_HEADER

#define NV_ADDRESS_MAP_EMC1_EC_BASE 0x02c82000
#define NV_ADDRESS_MAP_EMC1_EC_LIMIT 0x02c82fff
#define NV_ADDRESS_MAP_EMC1_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC1_EC_HEADER

#define NV_ADDRESS_MAP_EMC1_TR_BASE 0x02c83000
#define NV_ADDRESS_MAP_EMC1_TR_LIMIT 0x02c83fff
#define NV_ADDRESS_MAP_EMC1_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC1_TR_HEADER

#define NV_ADDRESS_MAP_EMC1_MISC_BASE 0x02c84000
#define NV_ADDRESS_MAP_EMC1_MISC_LIMIT 0x02c8ffff
#define NV_ADDRESS_MAP_EMC1_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC1_MISC_HEADER

#define NV_ADDRESS_MAP_EMC2_CORE_BASE 0x02c90000
#define NV_ADDRESS_MAP_EMC2_CORE_LIMIT 0x02c90fff
#define NV_ADDRESS_MAP_EMC2_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC2_CORE_HEADER

#define NV_ADDRESS_MAP_EMC2_CFG_BASE 0x02c91000
#define NV_ADDRESS_MAP_EMC2_CFG_LIMIT 0x02c91fff
#define NV_ADDRESS_MAP_EMC2_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC2_CFG_HEADER

#define NV_ADDRESS_MAP_EMC2_EC_BASE 0x02c92000
#define NV_ADDRESS_MAP_EMC2_EC_LIMIT 0x02c92fff
#define NV_ADDRESS_MAP_EMC2_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC2_EC_HEADER

#define NV_ADDRESS_MAP_EMC2_TR_BASE 0x02c93000
#define NV_ADDRESS_MAP_EMC2_TR_LIMIT 0x02c93fff
#define NV_ADDRESS_MAP_EMC2_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC2_TR_HEADER

#define NV_ADDRESS_MAP_EMC2_MISC_BASE 0x02c94000
#define NV_ADDRESS_MAP_EMC2_MISC_LIMIT 0x02c9ffff
#define NV_ADDRESS_MAP_EMC2_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC2_MISC_HEADER

#define NV_ADDRESS_MAP_EMC3_CORE_BASE 0x02ca0000
#define NV_ADDRESS_MAP_EMC3_CORE_LIMIT 0x02ca0fff
#define NV_ADDRESS_MAP_EMC3_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC3_CORE_HEADER

#define NV_ADDRESS_MAP_EMC3_CFG_BASE 0x02ca1000
#define NV_ADDRESS_MAP_EMC3_CFG_LIMIT 0x02ca1fff
#define NV_ADDRESS_MAP_EMC3_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC3_CFG_HEADER

#define NV_ADDRESS_MAP_EMC3_EC_BASE 0x02ca2000
#define NV_ADDRESS_MAP_EMC3_EC_LIMIT 0x02ca2fff
#define NV_ADDRESS_MAP_EMC3_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC3_EC_HEADER

#define NV_ADDRESS_MAP_EMC3_TR_BASE 0x02ca3000
#define NV_ADDRESS_MAP_EMC3_TR_LIMIT 0x02ca3fff
#define NV_ADDRESS_MAP_EMC3_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC3_TR_HEADER

#define NV_ADDRESS_MAP_EMC3_MISC_BASE 0x02ca4000
#define NV_ADDRESS_MAP_EMC3_MISC_LIMIT 0x02caffff
#define NV_ADDRESS_MAP_EMC3_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC3_MISC_HEADER

#define NV_ADDRESS_MAP_EMC4_CORE_BASE 0x02cb0000
#define NV_ADDRESS_MAP_EMC4_CORE_LIMIT 0x02cb0fff
#define NV_ADDRESS_MAP_EMC4_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC4_CORE_HEADER

#define NV_ADDRESS_MAP_EMC4_CFG_BASE 0x02cb1000
#define NV_ADDRESS_MAP_EMC4_CFG_LIMIT 0x02cb1fff
#define NV_ADDRESS_MAP_EMC4_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC4_CFG_HEADER

#define NV_ADDRESS_MAP_EMC4_EC_BASE 0x02cb2000
#define NV_ADDRESS_MAP_EMC4_EC_LIMIT 0x02cb2fff
#define NV_ADDRESS_MAP_EMC4_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC4_EC_HEADER

#define NV_ADDRESS_MAP_EMC4_TR_BASE 0x02cb3000
#define NV_ADDRESS_MAP_EMC4_TR_LIMIT 0x02cb3fff
#define NV_ADDRESS_MAP_EMC4_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC4_TR_HEADER

#define NV_ADDRESS_MAP_EMC4_MISC_BASE 0x02cb4000
#define NV_ADDRESS_MAP_EMC4_MISC_LIMIT 0x02cbffff
#define NV_ADDRESS_MAP_EMC4_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC4_MISC_HEADER

#define NV_ADDRESS_MAP_EMC5_CORE_BASE 0x02cc0000
#define NV_ADDRESS_MAP_EMC5_CORE_LIMIT 0x02cc0fff
#define NV_ADDRESS_MAP_EMC5_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC5_CORE_HEADER

#define NV_ADDRESS_MAP_EMC5_CFG_BASE 0x02cc1000
#define NV_ADDRESS_MAP_EMC5_CFG_LIMIT 0x02cc1fff
#define NV_ADDRESS_MAP_EMC5_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC5_CFG_HEADER

#define NV_ADDRESS_MAP_EMC5_EC_BASE 0x02cc2000
#define NV_ADDRESS_MAP_EMC5_EC_LIMIT 0x02cc2fff
#define NV_ADDRESS_MAP_EMC5_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC5_EC_HEADER

#define NV_ADDRESS_MAP_EMC5_TR_BASE 0x02cc3000
#define NV_ADDRESS_MAP_EMC5_TR_LIMIT 0x02cc3fff
#define NV_ADDRESS_MAP_EMC5_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC5_TR_HEADER

#define NV_ADDRESS_MAP_EMC5_MISC_BASE 0x02cc4000
#define NV_ADDRESS_MAP_EMC5_MISC_LIMIT 0x02ccffff
#define NV_ADDRESS_MAP_EMC5_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC5_MISC_HEADER

#define NV_ADDRESS_MAP_EMC6_CORE_BASE 0x02cd0000
#define NV_ADDRESS_MAP_EMC6_CORE_LIMIT 0x02cd0fff
#define NV_ADDRESS_MAP_EMC6_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC6_CORE_HEADER

#define NV_ADDRESS_MAP_EMC6_CFG_BASE 0x02cd1000
#define NV_ADDRESS_MAP_EMC6_CFG_LIMIT 0x02cd1fff
#define NV_ADDRESS_MAP_EMC6_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC6_CFG_HEADER

#define NV_ADDRESS_MAP_EMC6_EC_BASE 0x02cd2000
#define NV_ADDRESS_MAP_EMC6_EC_LIMIT 0x02cd2fff
#define NV_ADDRESS_MAP_EMC6_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC6_EC_HEADER

#define NV_ADDRESS_MAP_EMC6_TR_BASE 0x02cd3000
#define NV_ADDRESS_MAP_EMC6_TR_LIMIT 0x02cd3fff
#define NV_ADDRESS_MAP_EMC6_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC6_TR_HEADER

#define NV_ADDRESS_MAP_EMC6_MISC_BASE 0x02cd4000
#define NV_ADDRESS_MAP_EMC6_MISC_LIMIT 0x02cdffff
#define NV_ADDRESS_MAP_EMC6_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC6_MISC_HEADER

#define NV_ADDRESS_MAP_EMC7_CORE_BASE 0x02ce0000
#define NV_ADDRESS_MAP_EMC7_CORE_LIMIT 0x02ce0fff
#define NV_ADDRESS_MAP_EMC7_CORE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC7_CORE_HEADER

#define NV_ADDRESS_MAP_EMC7_CFG_BASE 0x02ce1000
#define NV_ADDRESS_MAP_EMC7_CFG_LIMIT 0x02ce1fff
#define NV_ADDRESS_MAP_EMC7_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC7_CFG_HEADER

#define NV_ADDRESS_MAP_EMC7_EC_BASE 0x02ce2000
#define NV_ADDRESS_MAP_EMC7_EC_LIMIT 0x02ce2fff
#define NV_ADDRESS_MAP_EMC7_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC7_EC_HEADER

#define NV_ADDRESS_MAP_EMC7_TR_BASE 0x02ce3000
#define NV_ADDRESS_MAP_EMC7_TR_LIMIT 0x02ce3fff
#define NV_ADDRESS_MAP_EMC7_TR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC7_TR_HEADER

#define NV_ADDRESS_MAP_EMC7_MISC_BASE 0x02ce4000
#define NV_ADDRESS_MAP_EMC7_MISC_LIMIT 0x02ceffff
#define NV_ADDRESS_MAP_EMC7_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMC7_MISC_HEADER

#define NV_ADDRESS_MAP_MSS_QUAL_BASE 0x02cf0000
#define NV_ADDRESS_MAP_MSS_QUAL_LIMIT 0x02cfffff
#define NV_ADDRESS_MAP_MSS_QUAL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSS_QUAL_HEADER arqualeng.h;arqualeng_scr.h

#define NV_ADDRESS_MAP_UPHY_PLL0_BASE 0x02d00000
#define NV_ADDRESS_MAP_UPHY_PLL0_LIMIT 0x02d01fff
#define NV_ADDRESS_MAP_UPHY_PLL0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_PLL0_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_UPHY_LANE0_BASE 0x02d02000
#define NV_ADDRESS_MAP_UPHY_LANE0_LIMIT 0x02d02fff
#define NV_ADDRESS_MAP_UPHY_LANE0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE0_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_LANE1_BASE 0x02d03000
#define NV_ADDRESS_MAP_UPHY_LANE1_LIMIT 0x02d03fff
#define NV_ADDRESS_MAP_UPHY_LANE1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE1_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_PLL1_BASE 0x02d04000
#define NV_ADDRESS_MAP_UPHY_PLL1_LIMIT 0x02d05fff
#define NV_ADDRESS_MAP_UPHY_PLL1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_PLL1_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_UPHY_LANE2_BASE 0x02d06000
#define NV_ADDRESS_MAP_UPHY_LANE2_LIMIT 0x02d06fff
#define NV_ADDRESS_MAP_UPHY_LANE2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE2_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_LANE3_BASE 0x02d07000
#define NV_ADDRESS_MAP_UPHY_LANE3_LIMIT 0x02d07fff
#define NV_ADDRESS_MAP_UPHY_LANE3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE3_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_PLL2_BASE 0x02d08000
#define NV_ADDRESS_MAP_UPHY_PLL2_LIMIT 0x02d09fff
#define NV_ADDRESS_MAP_UPHY_PLL2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_PLL2_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_UPHY_LANE4_BASE 0x02d0a000
#define NV_ADDRESS_MAP_UPHY_LANE4_LIMIT 0x02d0afff
#define NV_ADDRESS_MAP_UPHY_LANE4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE4_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_LANE5_BASE 0x02d0b000
#define NV_ADDRESS_MAP_UPHY_LANE5_LIMIT 0x02d0bfff
#define NV_ADDRESS_MAP_UPHY_LANE5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE5_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_LANE6_BASE 0x02d0c000
#define NV_ADDRESS_MAP_UPHY_LANE6_LIMIT 0x02d0cfff
#define NV_ADDRESS_MAP_UPHY_LANE6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE6_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_LANE7_BASE 0x02d0d000
#define NV_ADDRESS_MAP_UPHY_LANE7_LIMIT 0x02d0dfff
#define NV_ADDRESS_MAP_UPHY_LANE7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_LANE7_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_UPHY_PLL3_BASE 0x02d0e000
#define NV_ADDRESS_MAP_UPHY_PLL3_LIMIT 0x02d0ffff
#define NV_ADDRESS_MAP_UPHY_PLL3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UPHY_PLL3_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_NVHSUPHY_PLL0_BASE 0x02f00000
#define NV_ADDRESS_MAP_NVHSUPHY_PLL0_LIMIT 0x02f01fff
#define NV_ADDRESS_MAP_NVHSUPHY_PLL0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_PLL0_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE0_BASE 0x02f02000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE0_LIMIT 0x02f02fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE0_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE1_BASE 0x02f03000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE1_LIMIT 0x02f03fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE1_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE2_BASE 0x02f04000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE2_LIMIT 0x02f04fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE2_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE3_BASE 0x02f05000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE3_LIMIT 0x02f05fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE3_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE4_BASE 0x02f06000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE4_LIMIT 0x02f06fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE4_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE5_BASE 0x02f07000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE5_LIMIT 0x02f07fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE5_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE6_BASE 0x02f08000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE6_LIMIT 0x02f08fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE6_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_LANE7_BASE 0x02f09000
#define NV_ADDRESS_MAP_NVHSUPHY_LANE7_LIMIT 0x02f09fff
#define NV_ADDRESS_MAP_NVHSUPHY_LANE7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_LANE7_HEADER aruphy_lane.h

#define NV_ADDRESS_MAP_NVHSUPHY_PLL1_BASE 0x02f0a000
#define NV_ADDRESS_MAP_NVHSUPHY_PLL1_LIMIT 0x02f0bfff
#define NV_ADDRESS_MAP_NVHSUPHY_PLL1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVHSUPHY_PLL1_HEADER aruphy_pll.h

#define NV_ADDRESS_MAP_LIC_CH0_BASE 0x03000000
#define NV_ADDRESS_MAP_LIC_CH0_LIMIT 0x030007ff
#define NV_ADDRESS_MAP_LIC_CH0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH0_HEADER

#define NV_ADDRESS_MAP_LIC_CH1_BASE 0x03000800
#define NV_ADDRESS_MAP_LIC_CH1_LIMIT 0x03000fff
#define NV_ADDRESS_MAP_LIC_CH1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH1_HEADER

#define NV_ADDRESS_MAP_LIC_CH2_BASE 0x03001000
#define NV_ADDRESS_MAP_LIC_CH2_LIMIT 0x030017ff
#define NV_ADDRESS_MAP_LIC_CH2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH2_HEADER

#define NV_ADDRESS_MAP_LIC_CH3_BASE 0x03001800
#define NV_ADDRESS_MAP_LIC_CH3_LIMIT 0x03001fff
#define NV_ADDRESS_MAP_LIC_CH3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH3_HEADER

#define NV_ADDRESS_MAP_LIC_CH4_BASE 0x03002000
#define NV_ADDRESS_MAP_LIC_CH4_LIMIT 0x030027ff
#define NV_ADDRESS_MAP_LIC_CH4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH4_HEADER

#define NV_ADDRESS_MAP_LIC_CH5_BASE 0x03002800
#define NV_ADDRESS_MAP_LIC_CH5_LIMIT 0x03002fff
#define NV_ADDRESS_MAP_LIC_CH5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH5_HEADER

#define NV_ADDRESS_MAP_LIC_CH6_BASE 0x03003000
#define NV_ADDRESS_MAP_LIC_CH6_LIMIT 0x030037ff
#define NV_ADDRESS_MAP_LIC_CH6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH6_HEADER

#define NV_ADDRESS_MAP_LIC_CH7_BASE 0x03003800
#define NV_ADDRESS_MAP_LIC_CH7_LIMIT 0x03003fff
#define NV_ADDRESS_MAP_LIC_CH7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH7_HEADER

#define NV_ADDRESS_MAP_LIC_CH8_BASE 0x03004000
#define NV_ADDRESS_MAP_LIC_CH8_LIMIT 0x030047ff
#define NV_ADDRESS_MAP_LIC_CH8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH8_HEADER

#define NV_ADDRESS_MAP_LIC_CH9_BASE 0x03004800
#define NV_ADDRESS_MAP_LIC_CH9_LIMIT 0x03004fff
#define NV_ADDRESS_MAP_LIC_CH9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH9_HEADER

#define NV_ADDRESS_MAP_LIC_CH10_BASE 0x03005000
#define NV_ADDRESS_MAP_LIC_CH10_LIMIT 0x030057ff
#define NV_ADDRESS_MAP_LIC_CH10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH10_HEADER

#define NV_ADDRESS_MAP_LIC_CH11_BASE 0x03005800
#define NV_ADDRESS_MAP_LIC_CH11_LIMIT 0x03005fff
#define NV_ADDRESS_MAP_LIC_CH11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_CH11_HEADER

#define NV_ADDRESS_MAP_LIC_COMMON_BASE 0x0300f800
#define NV_ADDRESS_MAP_LIC_COMMON_LIMIT 0x0300ffff
#define NV_ADDRESS_MAP_LIC_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_COMMON_HEADER

#define NV_ADDRESS_MAP_UARTA_BASE 0x03100000
#define NV_ADDRESS_MAP_UARTA_LIMIT 0x0310ffff
#define NV_ADDRESS_MAP_UARTA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTA_HEADER aruart.h

#define NV_ADDRESS_MAP_UARTB_BASE 0x03110000
#define NV_ADDRESS_MAP_UARTB_LIMIT 0x0311ffff
#define NV_ADDRESS_MAP_UARTB_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTB_HEADER aruart.h

#define NV_ADDRESS_MAP_UARTD_BASE 0x03130000
#define NV_ADDRESS_MAP_UARTD_LIMIT 0x0313ffff
#define NV_ADDRESS_MAP_UARTD_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTD_HEADER aruart.h

#define NV_ADDRESS_MAP_UARTE_BASE 0x03140000
#define NV_ADDRESS_MAP_UARTE_LIMIT 0x0314ffff
#define NV_ADDRESS_MAP_UARTE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTE_HEADER aruart.h

#define NV_ADDRESS_MAP_UARTF_BASE 0x03150000
#define NV_ADDRESS_MAP_UARTF_LIMIT 0x0315ffff
#define NV_ADDRESS_MAP_UARTF_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTF_HEADER aruart.h

#define NV_ADDRESS_MAP_I2C1_BASE 0x03160000
#define NV_ADDRESS_MAP_I2C1_LIMIT 0x0316ffff
#define NV_ADDRESS_MAP_I2C1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C1_HEADER ari2c.h

#define NV_ADDRESS_MAP_UARTH_BASE 0x03170000
#define NV_ADDRESS_MAP_UARTH_LIMIT 0x0317ffff
#define NV_ADDRESS_MAP_UARTH_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTH_HEADER aruart.h

#define NV_ADDRESS_MAP_I2C3_BASE 0x03180000
#define NV_ADDRESS_MAP_I2C3_LIMIT 0x0318ffff
#define NV_ADDRESS_MAP_I2C3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C3_HEADER ari2c.h

#define NV_ADDRESS_MAP_I2C4_BASE 0x03190000
#define NV_ADDRESS_MAP_I2C4_LIMIT 0x0319ffff
#define NV_ADDRESS_MAP_I2C4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C4_HEADER ari2c.h

#define NV_ADDRESS_MAP_I2C5_BASE 0x031a0000
#define NV_ADDRESS_MAP_I2C5_LIMIT 0x031affff
#define NV_ADDRESS_MAP_I2C5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C5_HEADER ari2c.h

#define NV_ADDRESS_MAP_I2C6_BASE 0x031b0000
#define NV_ADDRESS_MAP_I2C6_LIMIT 0x031bffff
#define NV_ADDRESS_MAP_I2C6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C6_HEADER ari2c.h

#define NV_ADDRESS_MAP_I2C7_BASE 0x031c0000
#define NV_ADDRESS_MAP_I2C7_LIMIT 0x031cffff
#define NV_ADDRESS_MAP_I2C7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C7_HEADER ari2c.h

#define NV_ADDRESS_MAP_UARTI_BASE 0x031d0000
#define NV_ADDRESS_MAP_UARTI_LIMIT 0x031dffff
#define NV_ADDRESS_MAP_UARTI_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTI_HEADER arsbsa_uart.h

#define NV_ADDRESS_MAP_I2C9_BASE 0x031e0000
#define NV_ADDRESS_MAP_I2C9_LIMIT 0x031effff
#define NV_ADDRESS_MAP_I2C9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C9_HEADER ari2c.h

#define NV_ADDRESS_MAP_SPI1_BASE 0x03210000
#define NV_ADDRESS_MAP_SPI1_LIMIT 0x0321ffff
#define NV_ADDRESS_MAP_SPI1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SPI1_HEADER arspi.h

#define NV_ADDRESS_MAP_SPI3_BASE 0x03230000
#define NV_ADDRESS_MAP_SPI3_LIMIT 0x0323ffff
#define NV_ADDRESS_MAP_SPI3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SPI3_HEADER arspi.h

#define NV_ADDRESS_MAP_SPI4_BASE 0x03240000
#define NV_ADDRESS_MAP_SPI4_LIMIT 0x0324ffff
#define NV_ADDRESS_MAP_SPI4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SPI4_HEADER arspi.h

#define NV_ADDRESS_MAP_SPI5_BASE 0x03250000
#define NV_ADDRESS_MAP_SPI5_LIMIT 0x0325ffff
#define NV_ADDRESS_MAP_SPI5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SPI5_HEADER arspi.h

#define NV_ADDRESS_MAP_QSPI0_BASE 0x03270000
#define NV_ADDRESS_MAP_QSPI0_LIMIT 0x0327ffff
#define NV_ADDRESS_MAP_QSPI0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_QSPI0_HEADER arqspi.h;arqspi_secure.h

#define NV_ADDRESS_MAP_PWM1_BASE 0x03280000
#define NV_ADDRESS_MAP_PWM1_LIMIT 0x0328ffff
#define NV_ADDRESS_MAP_PWM1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM1_HEADER arpwm.h

#define NV_ADDRESS_MAP_PWM2_BASE 0x03290000
#define NV_ADDRESS_MAP_PWM2_LIMIT 0x0329ffff
#define NV_ADDRESS_MAP_PWM2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM2_HEADER arpwm.h

#define NV_ADDRESS_MAP_PWM3_BASE 0x032a0000
#define NV_ADDRESS_MAP_PWM3_LIMIT 0x032affff
#define NV_ADDRESS_MAP_PWM3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM3_HEADER arpwm.h

#define NV_ADDRESS_MAP_PWM5_BASE 0x032c0000
#define NV_ADDRESS_MAP_PWM5_LIMIT 0x032cffff
#define NV_ADDRESS_MAP_PWM5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM5_HEADER arpwm.h

#define NV_ADDRESS_MAP_PWM6_BASE 0x032d0000
#define NV_ADDRESS_MAP_PWM6_LIMIT 0x032dffff
#define NV_ADDRESS_MAP_PWM6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM6_HEADER arpwm.h

#define NV_ADDRESS_MAP_PWM7_BASE 0x032e0000
#define NV_ADDRESS_MAP_PWM7_LIMIT 0x032effff
#define NV_ADDRESS_MAP_PWM7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM7_HEADER arpwm.h

#define NV_ADDRESS_MAP_PWM8_BASE 0x032f0000
#define NV_ADDRESS_MAP_PWM8_LIMIT 0x032fffff
#define NV_ADDRESS_MAP_PWM8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM8_HEADER arpwm.h

#define NV_ADDRESS_MAP_QSPI1_BASE 0x03300000
#define NV_ADDRESS_MAP_QSPI1_LIMIT 0x0330ffff
#define NV_ADDRESS_MAP_QSPI1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_QSPI1_HEADER arqspi.h;arqspi_secure.h

#define NV_ADDRESS_MAP_SDMMC1_IMPL_BASE 0x03400000
#define NV_ADDRESS_MAP_SDMMC1_IMPL_LIMIT 0x0340ffff
#define NV_ADDRESS_MAP_SDMMC1_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SDMMC1_IMPL_HEADER arsdmmca.h

#define NV_ADDRESS_MAP_SDMMC1B_BASE 0x03410000
#define NV_ADDRESS_MAP_SDMMC1B_LIMIT 0x0341ffff
#define NV_ADDRESS_MAP_SDMMC1B_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SDMMC1B_HEADER arsdmmca.h

#define NV_ADDRESS_MAP_SDMMC4_IMPL_BASE 0x03460000
#define NV_ADDRESS_MAP_SDMMC4_IMPL_LIMIT 0x0346ffff
#define NV_ADDRESS_MAP_SDMMC4_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SDMMC4_IMPL_HEADER arsdmmcab.h

#define NV_ADDRESS_MAP_SDMMC4B_BASE 0x03470000
#define NV_ADDRESS_MAP_SDMMC4B_LIMIT 0x0347ffff
#define NV_ADDRESS_MAP_SDMMC4B_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SDMMC4B_HEADER arsdmmcab.h

#define NV_ADDRESS_MAP_HDA_BASE 0x03510000
#define NV_ADDRESS_MAP_HDA_LIMIT 0x0351ffff
#define NV_ADDRESS_MAP_HDA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HDA_HEADER arhda.h

#define NV_ADDRESS_MAP_XUSB_PADCTL_NONSECURE_BASE 0x03520000
#define NV_ADDRESS_MAP_XUSB_PADCTL_NONSECURE_LIMIT 0x0352ffff
#define NV_ADDRESS_MAP_XUSB_PADCTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_PADCTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_XUSB_PADCTL_SECURE_BASE 0x03530000
#define NV_ADDRESS_MAP_XUSB_PADCTL_SECURE_LIMIT 0x0353ffff
#define NV_ADDRESS_MAP_XUSB_PADCTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_PADCTL_SECURE_HEADER

#define NV_ADDRESS_MAP_XUSB_AO_BASE 0x03540000
#define NV_ADDRESS_MAP_XUSB_AO_LIMIT 0x0354ffff
#define NV_ADDRESS_MAP_XUSB_AO_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_AO_HEADER arxusb_ao.h

#define NV_ADDRESS_MAP_XUSB_DEV_BAR0_BASE 0x03550000
#define NV_ADDRESS_MAP_XUSB_DEV_BAR0_LIMIT 0x03557fff
#define NV_ADDRESS_MAP_XUSB_DEV_BAR0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_DEV_BAR0_HEADER ardev_t_xusb_dev_xhci.h

#define NV_ADDRESS_MAP_XUSB_DEV_CFG_BASE 0x03558000
#define NV_ADDRESS_MAP_XUSB_DEV_CFG_LIMIT 0x0355ffff
#define NV_ADDRESS_MAP_XUSB_DEV_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_DEV_CFG_HEADER ardev_t_fpci_xusb_dev.h;ardev_t_fpci_xusb_dev_0.h

#define NV_ADDRESS_MAP_XUSB_HOST_PF_CFG_BASE 0x03600000
#define NV_ADDRESS_MAP_XUSB_HOST_PF_CFG_LIMIT 0x0360ffff
#define NV_ADDRESS_MAP_XUSB_HOST_PF_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_PF_CFG_HEADER ardev_t_fpci_xusb_0.h

#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_OP_BASE 0x03610000
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_OP_LIMIT 0x0362ffff
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_OP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_OP_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_RT_BASE 0x03630000
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_RT_LIMIT 0x0363ffff
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_RT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_RT_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_DB_BASE 0x03640000
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_DB_LIMIT 0x0364ffff
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_DB_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR0_DB_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR2_BASE 0x03650000
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR2_LIMIT 0x0365ffff
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_PF_BAR2_HEADER ardev_t_xusb_bar2.h

#define NV_ADDRESS_MAP_XUSB_HOST_VF0_CFG_BASE 0x03660000
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_CFG_LIMIT 0x0366ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_CFG_HEADER ardev_t_fpci_xusb_0.h

#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_OP_BASE 0x03670000
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_OP_LIMIT 0x0368ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_OP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_OP_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_RT_BASE 0x03690000
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_RT_LIMIT 0x0369ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_RT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_RT_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_DB_BASE 0x036a0000
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_DB_LIMIT 0x036affff
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_DB_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF0_BAR0_DB_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF1_CFG_BASE 0x036b0000
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_CFG_LIMIT 0x036bffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_CFG_HEADER ardev_t_fpci_xusb_0.h

#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_OP_BASE 0x036c0000
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_OP_LIMIT 0x036dffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_OP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_OP_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_RT_BASE 0x036e0000
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_RT_LIMIT 0x036effff
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_RT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_RT_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_DB_BASE 0x036f0000
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_DB_LIMIT 0x036fffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_DB_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF1_BAR0_DB_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF2_CFG_BASE 0x03700000
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_CFG_LIMIT 0x0370ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_CFG_HEADER ardev_t_fpci_xusb_0.h

#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_OP_BASE 0x03710000
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_OP_LIMIT 0x0372ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_OP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_OP_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_RT_BASE 0x03730000
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_RT_LIMIT 0x0373ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_RT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_RT_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_DB_BASE 0x03740000
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_DB_LIMIT 0x0374ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_DB_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF2_BAR0_DB_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF3_CFG_BASE 0x03750000
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_CFG_LIMIT 0x0375ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_CFG_HEADER ardev_t_fpci_xusb_0.h

#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_OP_BASE 0x03760000
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_OP_LIMIT 0x0377ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_OP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_OP_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_RT_BASE 0x03780000
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_RT_LIMIT 0x0378ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_RT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_RT_HEADER

#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_DB_BASE 0x03790000
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_DB_LIMIT 0x0379ffff
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_DB_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_XUSB_HOST_VF3_BAR0_DB_HEADER

#define NV_ADDRESS_MAP_PEXCLK0_BASE 0x037a0000
#define NV_ADDRESS_MAP_PEXCLK0_LIMIT 0x037a0fff
#define NV_ADDRESS_MAP_PEXCLK0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PEXCLK0_HEADER arpcie_pexclk_padctl0.h

#define NV_ADDRESS_MAP_PEXCLK2_BASE 0x037a1000
#define NV_ADDRESS_MAP_PEXCLK2_LIMIT 0x037a1fff
#define NV_ADDRESS_MAP_PEXCLK2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PEXCLK2_HEADER arpcie_pexclk_padctl2.h

#define NV_ADDRESS_MAP_CV0_POD_BASE 0x037a3000
#define NV_ADDRESS_MAP_CV0_POD_LIMIT 0x037a3fff
#define NV_ADDRESS_MAP_CV0_POD_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CV0_POD_HEADER no_headers

#define NV_ADDRESS_MAP_CV1_POD_BASE 0x037a4000
#define NV_ADDRESS_MAP_CV1_POD_LIMIT 0x037a4fff
#define NV_ADDRESS_MAP_CV1_POD_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CV1_POD_HEADER no_headers

#define NV_ADDRESS_MAP_CV2_POD_BASE 0x037a5000
#define NV_ADDRESS_MAP_CV2_POD_LIMIT 0x037a5fff
#define NV_ADDRESS_MAP_CV2_POD_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CV2_POD_HEADER no_headers

#define NV_ADDRESS_MAP_PEXCLK1_BASE 0x037a7000
#define NV_ADDRESS_MAP_PEXCLK1_LIMIT 0x037a7fff
#define NV_ADDRESS_MAP_PEXCLK1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PEXCLK1_HEADER arpcie_pexclk_padctl1.h

#define NV_ADDRESS_MAP_MIPI_CAL_BASE 0x03990000
#define NV_ADDRESS_MAP_MIPI_CAL_LIMIT 0x0399ffff
#define NV_ADDRESS_MAP_MIPI_CAL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MIPI_CAL_HEADER armipi_cal.h

#define NV_ADDRESS_MAP_TACH_1_BASE 0x039b0000
#define NV_ADDRESS_MAP_TACH_1_LIMIT 0x039bffff
#define NV_ADDRESS_MAP_TACH_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TACH_1_HEADER artach.h

#define NV_ADDRESS_MAP_TACH_0_BASE 0x039c0000
#define NV_ADDRESS_MAP_TACH_0_LIMIT 0x039cffff
#define NV_ADDRESS_MAP_TACH_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TACH_0_HEADER artach.h

#define NV_ADDRESS_MAP_LIC_GTE0_BASE 0x03aa0000
#define NV_ADDRESS_MAP_LIC_GTE0_LIMIT 0x03aaffff
#define NV_ADDRESS_MAP_LIC_GTE0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_GTE0_HEADER argte_intr_ctlr.h;argte_intr_ctlr_scr.h

#define NV_ADDRESS_MAP_LIC_GTE1_BASE 0x03ab0000
#define NV_ADDRESS_MAP_LIC_GTE1_LIMIT 0x03abffff
#define NV_ADDRESS_MAP_LIC_GTE1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LIC_GTE1_HEADER argte_intr_ctlr.h;argte_intr_ctlr_scr.h

#define NV_ADDRESS_MAP_TOP0_HSP_COMMON_BASE 0x03c00000
#define NV_ADDRESS_MAP_TOP0_HSP_COMMON_LIMIT 0x03c0ffff
#define NV_ADDRESS_MAP_TOP0_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_TOP0_HSP_SM_0_1_BASE 0x03c10000
#define NV_ADDRESS_MAP_TOP0_HSP_SM_0_1_LIMIT 0x03c1ffff
#define NV_ADDRESS_MAP_TOP0_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_SM_2_3_BASE 0x03c20000
#define NV_ADDRESS_MAP_TOP0_HSP_SM_2_3_LIMIT 0x03c2ffff
#define NV_ADDRESS_MAP_TOP0_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_SM_4_5_BASE 0x03c30000
#define NV_ADDRESS_MAP_TOP0_HSP_SM_4_5_LIMIT 0x03c3ffff
#define NV_ADDRESS_MAP_TOP0_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_SM_6_7_BASE 0x03c40000
#define NV_ADDRESS_MAP_TOP0_HSP_SM_6_7_LIMIT 0x03c4ffff
#define NV_ADDRESS_MAP_TOP0_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_SS_0_BASE 0x03c50000
#define NV_ADDRESS_MAP_TOP0_HSP_SS_0_LIMIT 0x03c5ffff
#define NV_ADDRESS_MAP_TOP0_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_SS_1_BASE 0x03c60000
#define NV_ADDRESS_MAP_TOP0_HSP_SS_1_LIMIT 0x03c6ffff
#define NV_ADDRESS_MAP_TOP0_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_AS_0_BASE 0x03c70000
#define NV_ADDRESS_MAP_TOP0_HSP_AS_0_LIMIT 0x03c7ffff
#define NV_ADDRESS_MAP_TOP0_HSP_AS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_AS_0_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_AS_1_BASE 0x03c80000
#define NV_ADDRESS_MAP_TOP0_HSP_AS_1_LIMIT 0x03c8ffff
#define NV_ADDRESS_MAP_TOP0_HSP_AS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_AS_1_HEADER

#define NV_ADDRESS_MAP_TOP0_HSP_DB_0_BASE 0x03c90000
#define NV_ADDRESS_MAP_TOP0_HSP_DB_0_LIMIT 0x03c9ffff
#define NV_ADDRESS_MAP_TOP0_HSP_DB_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP0_HSP_DB_0_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_COMMON_BASE 0x03d00000
#define NV_ADDRESS_MAP_TOP1_HSP_COMMON_LIMIT 0x03d0ffff
#define NV_ADDRESS_MAP_TOP1_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_TOP1_HSP_SM_0_1_BASE 0x03d10000
#define NV_ADDRESS_MAP_TOP1_HSP_SM_0_1_LIMIT 0x03d1ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_SM_2_3_BASE 0x03d20000
#define NV_ADDRESS_MAP_TOP1_HSP_SM_2_3_LIMIT 0x03d2ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_SM_4_5_BASE 0x03d30000
#define NV_ADDRESS_MAP_TOP1_HSP_SM_4_5_LIMIT 0x03d3ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_SM_6_7_BASE 0x03d40000
#define NV_ADDRESS_MAP_TOP1_HSP_SM_6_7_LIMIT 0x03d4ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_SS_0_BASE 0x03d50000
#define NV_ADDRESS_MAP_TOP1_HSP_SS_0_LIMIT 0x03d5ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_SS_1_BASE 0x03d60000
#define NV_ADDRESS_MAP_TOP1_HSP_SS_1_LIMIT 0x03d6ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_SS_2_BASE 0x03d70000
#define NV_ADDRESS_MAP_TOP1_HSP_SS_2_LIMIT 0x03d7ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_TOP1_HSP_SS_3_BASE 0x03d80000
#define NV_ADDRESS_MAP_TOP1_HSP_SS_3_LIMIT 0x03d8ffff
#define NV_ADDRESS_MAP_TOP1_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TOP1_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_P2U_HSIO_0_BASE 0x03e00000
#define NV_ADDRESS_MAP_P2U_HSIO_0_LIMIT 0x03e0ffff
#define NV_ADDRESS_MAP_P2U_HSIO_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_0_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_1_BASE 0x03e10000
#define NV_ADDRESS_MAP_P2U_HSIO_1_LIMIT 0x03e1ffff
#define NV_ADDRESS_MAP_P2U_HSIO_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_1_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_2_BASE 0x03e20000
#define NV_ADDRESS_MAP_P2U_HSIO_2_LIMIT 0x03e2ffff
#define NV_ADDRESS_MAP_P2U_HSIO_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_2_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_3_BASE 0x03e30000
#define NV_ADDRESS_MAP_P2U_HSIO_3_LIMIT 0x03e3ffff
#define NV_ADDRESS_MAP_P2U_HSIO_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_3_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_4_BASE 0x03e40000
#define NV_ADDRESS_MAP_P2U_HSIO_4_LIMIT 0x03e4ffff
#define NV_ADDRESS_MAP_P2U_HSIO_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_4_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_5_BASE 0x03e50000
#define NV_ADDRESS_MAP_P2U_HSIO_5_LIMIT 0x03e5ffff
#define NV_ADDRESS_MAP_P2U_HSIO_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_5_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_6_BASE 0x03e60000
#define NV_ADDRESS_MAP_P2U_HSIO_6_LIMIT 0x03e6ffff
#define NV_ADDRESS_MAP_P2U_HSIO_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_6_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_7_BASE 0x03e70000
#define NV_ADDRESS_MAP_P2U_HSIO_7_LIMIT 0x03e7ffff
#define NV_ADDRESS_MAP_P2U_HSIO_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_7_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_HSIO_XBAR_BASE 0x03e80000
#define NV_ADDRESS_MAP_P2U_HSIO_XBAR_LIMIT 0x03e8ffff
#define NV_ADDRESS_MAP_P2U_HSIO_XBAR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_HSIO_XBAR_HEADER arpcie_hsio_common.h

#define NV_ADDRESS_MAP_P2U_NVHS_0_BASE 0x03e90000
#define NV_ADDRESS_MAP_P2U_NVHS_0_LIMIT 0x03e9ffff
#define NV_ADDRESS_MAP_P2U_NVHS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_0_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_1_BASE 0x03ea0000
#define NV_ADDRESS_MAP_P2U_NVHS_1_LIMIT 0x03eaffff
#define NV_ADDRESS_MAP_P2U_NVHS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_1_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_2_BASE 0x03eb0000
#define NV_ADDRESS_MAP_P2U_NVHS_2_LIMIT 0x03ebffff
#define NV_ADDRESS_MAP_P2U_NVHS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_2_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_3_BASE 0x03ec0000
#define NV_ADDRESS_MAP_P2U_NVHS_3_LIMIT 0x03ecffff
#define NV_ADDRESS_MAP_P2U_NVHS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_3_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_4_BASE 0x03ed0000
#define NV_ADDRESS_MAP_P2U_NVHS_4_LIMIT 0x03edffff
#define NV_ADDRESS_MAP_P2U_NVHS_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_4_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_5_BASE 0x03ee0000
#define NV_ADDRESS_MAP_P2U_NVHS_5_LIMIT 0x03eeffff
#define NV_ADDRESS_MAP_P2U_NVHS_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_5_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_6_BASE 0x03ef0000
#define NV_ADDRESS_MAP_P2U_NVHS_6_LIMIT 0x03efffff
#define NV_ADDRESS_MAP_P2U_NVHS_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_6_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_7_BASE 0x03f00000
#define NV_ADDRESS_MAP_P2U_NVHS_7_LIMIT 0x03f0ffff
#define NV_ADDRESS_MAP_P2U_NVHS_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_7_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_NVHS_XBAR_BASE 0x03f10000
#define NV_ADDRESS_MAP_P2U_NVHS_XBAR_LIMIT 0x03f1ffff
#define NV_ADDRESS_MAP_P2U_NVHS_XBAR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_NVHS_XBAR_HEADER arpcie_nvhs_common.h

#define NV_ADDRESS_MAP_P2U_GBE_0_BASE 0x03f20000
#define NV_ADDRESS_MAP_P2U_GBE_0_LIMIT 0x03f2ffff
#define NV_ADDRESS_MAP_P2U_GBE_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_0_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_1_BASE 0x03f30000
#define NV_ADDRESS_MAP_P2U_GBE_1_LIMIT 0x03f3ffff
#define NV_ADDRESS_MAP_P2U_GBE_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_1_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_2_BASE 0x03f40000
#define NV_ADDRESS_MAP_P2U_GBE_2_LIMIT 0x03f4ffff
#define NV_ADDRESS_MAP_P2U_GBE_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_2_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_3_BASE 0x03f50000
#define NV_ADDRESS_MAP_P2U_GBE_3_LIMIT 0x03f5ffff
#define NV_ADDRESS_MAP_P2U_GBE_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_3_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_4_BASE 0x03f60000
#define NV_ADDRESS_MAP_P2U_GBE_4_LIMIT 0x03f6ffff
#define NV_ADDRESS_MAP_P2U_GBE_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_4_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_5_BASE 0x03f70000
#define NV_ADDRESS_MAP_P2U_GBE_5_LIMIT 0x03f7ffff
#define NV_ADDRESS_MAP_P2U_GBE_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_5_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_6_BASE 0x03f80000
#define NV_ADDRESS_MAP_P2U_GBE_6_LIMIT 0x03f8ffff
#define NV_ADDRESS_MAP_P2U_GBE_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_6_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_7_BASE 0x03f90000
#define NV_ADDRESS_MAP_P2U_GBE_7_LIMIT 0x03f9ffff
#define NV_ADDRESS_MAP_P2U_GBE_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_7_HEADER dev_t_pcie_pipe2uphy.ref

#define NV_ADDRESS_MAP_P2U_GBE_XBAR_BASE 0x03fa0000
#define NV_ADDRESS_MAP_P2U_GBE_XBAR_LIMIT 0x03faffff
#define NV_ADDRESS_MAP_P2U_GBE_XBAR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_P2U_GBE_XBAR_HEADER arpcie_gbe_common.h

#define NV_ADDRESS_MAP_MGBE0_MAC_HV_BASE 0x06800000
#define NV_ADDRESS_MAP_MGBE0_MAC_HV_LIMIT 0x0680ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_HV_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_HV_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_RM_CFG_BASE 0x06810000
#define NV_ADDRESS_MAP_MGBE0_MAC_RM_CFG_LIMIT 0x0681efff
#define NV_ADDRESS_MAP_MGBE0_MAC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE0_MAC_RM_ERR_BASE 0x0681f000
#define NV_ADDRESS_MAP_MGBE0_MAC_RM_ERR_LIMIT 0x0681ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE0_MAC_VM0_BASE 0x06820000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM0_LIMIT 0x0682ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM0_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_VM1_BASE 0x06830000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM1_LIMIT 0x0683ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM1_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_VM2_BASE 0x06840000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM2_LIMIT 0x0684ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM2_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_VM3_BASE 0x06850000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM3_LIMIT 0x0685ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM3_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_VM4_BASE 0x06860000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM4_LIMIT 0x0686ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM4_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_VM5_BASE 0x06870000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM5_LIMIT 0x0687ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM5_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_VM6_BASE 0x06880000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM6_LIMIT 0x0688ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM6_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MAC_VM7_BASE 0x06890000
#define NV_ADDRESS_MAP_MGBE0_MAC_VM7_LIMIT 0x0689ffff
#define NV_ADDRESS_MAP_MGBE0_MAC_VM7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MAC_VM7_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_PCS_RM_BASE 0x068a0000
#define NV_ADDRESS_MAP_MGBE0_PCS_RM_LIMIT 0x068affff
#define NV_ADDRESS_MAP_MGBE0_PCS_RM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_PCS_RM_HEADER armgbe_pcs.h;armgbe_pcs_wrapper.h

#define NV_ADDRESS_MAP_MGBE0_MACSEC_TZ_BASE 0x068c0000
#define NV_ADDRESS_MAP_MGBE0_MACSEC_TZ_LIMIT 0x068cffff
#define NV_ADDRESS_MAP_MGBE0_MACSEC_TZ_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MACSEC_TZ_HEADER armacsec.h

#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_CFG_BASE 0x068d0000
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_CFG_LIMIT 0x068dcfff
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_TX_BYP_BASE 0x068dd000
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_TX_BYP_LIMIT 0x068ddfff
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_TX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_TX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_RX_BYP_BASE 0x068de000
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_RX_BYP_LIMIT 0x068defff
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_RX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_RX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_ERR_BASE 0x068df000
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_ERR_LIMIT 0x068dffff
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MACSEC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STATS_BASE 0x068e0000
#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STATS_LIMIT 0x068eefff
#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STATS_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STATS_HEADER

#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STS_ERR_BASE 0x068ef000
#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STS_ERR_LIMIT 0x068effff
#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STS_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE0_MACSEC_VM_STS_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE1_MAC_HV_BASE 0x06900000
#define NV_ADDRESS_MAP_MGBE1_MAC_HV_LIMIT 0x0690ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_HV_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_HV_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_RM_CFG_BASE 0x06910000
#define NV_ADDRESS_MAP_MGBE1_MAC_RM_CFG_LIMIT 0x0691efff
#define NV_ADDRESS_MAP_MGBE1_MAC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE1_MAC_RM_ERR_BASE 0x0691f000
#define NV_ADDRESS_MAP_MGBE1_MAC_RM_ERR_LIMIT 0x0691ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE1_MAC_VM0_BASE 0x06920000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM0_LIMIT 0x0692ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM0_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_VM1_BASE 0x06930000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM1_LIMIT 0x0693ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM1_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_VM2_BASE 0x06940000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM2_LIMIT 0x0694ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM2_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_VM3_BASE 0x06950000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM3_LIMIT 0x0695ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM3_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_VM4_BASE 0x06960000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM4_LIMIT 0x0696ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM4_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_VM5_BASE 0x06970000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM5_LIMIT 0x0697ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM5_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_VM6_BASE 0x06980000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM6_LIMIT 0x0698ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM6_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MAC_VM7_BASE 0x06990000
#define NV_ADDRESS_MAP_MGBE1_MAC_VM7_LIMIT 0x0699ffff
#define NV_ADDRESS_MAP_MGBE1_MAC_VM7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MAC_VM7_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_PCS_RM_BASE 0x069a0000
#define NV_ADDRESS_MAP_MGBE1_PCS_RM_LIMIT 0x069affff
#define NV_ADDRESS_MAP_MGBE1_PCS_RM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_PCS_RM_HEADER armgbe_pcs.h;armgbe_pcs_wrapper.h

#define NV_ADDRESS_MAP_MGBE1_MACSEC_TZ_BASE 0x069c0000
#define NV_ADDRESS_MAP_MGBE1_MACSEC_TZ_LIMIT 0x069cffff
#define NV_ADDRESS_MAP_MGBE1_MACSEC_TZ_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MACSEC_TZ_HEADER armacsec.h

#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_CFG_BASE 0x069d0000
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_CFG_LIMIT 0x069dcfff
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_TX_BYP_BASE 0x069dd000
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_TX_BYP_LIMIT 0x069ddfff
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_TX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_TX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_RX_BYP_BASE 0x069de000
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_RX_BYP_LIMIT 0x069defff
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_RX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_RX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_ERR_BASE 0x069df000
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_ERR_LIMIT 0x069dffff
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MACSEC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STATS_BASE 0x069e0000
#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STATS_LIMIT 0x069eefff
#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STATS_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STATS_HEADER

#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STS_ERR_BASE 0x069ef000
#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STS_ERR_LIMIT 0x069effff
#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STS_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE1_MACSEC_VM_STS_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE2_MAC_HV_BASE 0x06a00000
#define NV_ADDRESS_MAP_MGBE2_MAC_HV_LIMIT 0x06a0ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_HV_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_HV_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_RM_CFG_BASE 0x06a10000
#define NV_ADDRESS_MAP_MGBE2_MAC_RM_CFG_LIMIT 0x06a1efff
#define NV_ADDRESS_MAP_MGBE2_MAC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE2_MAC_RM_ERR_BASE 0x06a1f000
#define NV_ADDRESS_MAP_MGBE2_MAC_RM_ERR_LIMIT 0x06a1ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE2_MAC_VM0_BASE 0x06a20000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM0_LIMIT 0x06a2ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM0_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_VM1_BASE 0x06a30000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM1_LIMIT 0x06a3ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM1_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_VM2_BASE 0x06a40000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM2_LIMIT 0x06a4ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM2_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_VM3_BASE 0x06a50000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM3_LIMIT 0x06a5ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM3_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_VM4_BASE 0x06a60000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM4_LIMIT 0x06a6ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM4_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_VM5_BASE 0x06a70000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM5_LIMIT 0x06a7ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM5_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_VM6_BASE 0x06a80000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM6_LIMIT 0x06a8ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM6_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MAC_VM7_BASE 0x06a90000
#define NV_ADDRESS_MAP_MGBE2_MAC_VM7_LIMIT 0x06a9ffff
#define NV_ADDRESS_MAP_MGBE2_MAC_VM7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MAC_VM7_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_PCS_RM_BASE 0x06aa0000
#define NV_ADDRESS_MAP_MGBE2_PCS_RM_LIMIT 0x06aaffff
#define NV_ADDRESS_MAP_MGBE2_PCS_RM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_PCS_RM_HEADER armgbe_pcs.h;armgbe_pcs_wrapper.h

#define NV_ADDRESS_MAP_MGBE2_MACSEC_TZ_BASE 0x06ac0000
#define NV_ADDRESS_MAP_MGBE2_MACSEC_TZ_LIMIT 0x06acffff
#define NV_ADDRESS_MAP_MGBE2_MACSEC_TZ_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MACSEC_TZ_HEADER armacsec.h

#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_CFG_BASE 0x06ad0000
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_CFG_LIMIT 0x06adcfff
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_TX_BYP_BASE 0x06add000
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_TX_BYP_LIMIT 0x06addfff
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_TX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_TX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_RX_BYP_BASE 0x06ade000
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_RX_BYP_LIMIT 0x06adefff
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_RX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_RX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_ERR_BASE 0x06adf000
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_ERR_LIMIT 0x06adffff
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MACSEC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STATS_BASE 0x06ae0000
#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STATS_LIMIT 0x06aeefff
#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STATS_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STATS_HEADER

#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STS_ERR_BASE 0x06aef000
#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STS_ERR_LIMIT 0x06aeffff
#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STS_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE2_MACSEC_VM_STS_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE3_MAC_HV_BASE 0x06b00000
#define NV_ADDRESS_MAP_MGBE3_MAC_HV_LIMIT 0x06b0ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_HV_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_HV_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_RM_CFG_BASE 0x06b10000
#define NV_ADDRESS_MAP_MGBE3_MAC_RM_CFG_LIMIT 0x06b1efff
#define NV_ADDRESS_MAP_MGBE3_MAC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE3_MAC_RM_ERR_BASE 0x06b1f000
#define NV_ADDRESS_MAP_MGBE3_MAC_RM_ERR_LIMIT 0x06b1ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE3_MAC_VM0_BASE 0x06b20000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM0_LIMIT 0x06b2ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM0_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_VM1_BASE 0x06b30000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM1_LIMIT 0x06b3ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM1_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_VM2_BASE 0x06b40000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM2_LIMIT 0x06b4ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM2_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_VM3_BASE 0x06b50000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM3_LIMIT 0x06b5ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM3_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_VM4_BASE 0x06b60000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM4_LIMIT 0x06b6ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM4_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_VM5_BASE 0x06b70000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM5_LIMIT 0x06b7ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM5_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_VM6_BASE 0x06b80000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM6_LIMIT 0x06b8ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM6_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MAC_VM7_BASE 0x06b90000
#define NV_ADDRESS_MAP_MGBE3_MAC_VM7_LIMIT 0x06b9ffff
#define NV_ADDRESS_MAP_MGBE3_MAC_VM7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MAC_VM7_HEADER armgbe_mac.h;armgbe_mac_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_PCS_RM_BASE 0x06ba0000
#define NV_ADDRESS_MAP_MGBE3_PCS_RM_LIMIT 0x06baffff
#define NV_ADDRESS_MAP_MGBE3_PCS_RM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_PCS_RM_HEADER armgbe_pcs.h;armgbe_pcs_wrapper.h

#define NV_ADDRESS_MAP_MGBE3_MACSEC_TZ_BASE 0x06bc0000
#define NV_ADDRESS_MAP_MGBE3_MACSEC_TZ_LIMIT 0x06bcffff
#define NV_ADDRESS_MAP_MGBE3_MACSEC_TZ_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MACSEC_TZ_HEADER armacsec.h

#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_CFG_BASE 0x06bd0000
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_CFG_LIMIT 0x06bdcfff
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_CFG_HEADER

#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_TX_BYP_BASE 0x06bdd000
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_TX_BYP_LIMIT 0x06bddfff
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_TX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_TX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_RX_BYP_BASE 0x06bde000
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_RX_BYP_LIMIT 0x06bdefff
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_RX_BYP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_RX_BYP_HEADER

#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_ERR_BASE 0x06bdf000
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_ERR_LIMIT 0x06bdffff
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MACSEC_RM_ERR_HEADER

#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STATS_BASE 0x06be0000
#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STATS_LIMIT 0x06beefff
#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STATS_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STATS_HEADER

#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STS_ERR_BASE 0x06bef000
#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STS_ERR_LIMIT 0x06beffff
#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STS_ERR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MGBE3_MACSEC_VM_STS_ERR_HEADER

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR0_BASE 0x07000000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR0_LIMIT 0x0700ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR0_BASE 0x07000000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR0_LIMIT 0x07000fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR1_BASE 0x07001000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR1_LIMIT 0x07001fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GID_BASE 0x07002000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GID_LIMIT 0x07002fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_PM_BASE 0x07003000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_PM_LIMIT 0x07003fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR1_BASE 0x07010000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR1_LIMIT 0x0701ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GID_BASE 0x07020000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GID_LIMIT 0x0702ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_PM_BASE 0x07030000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_PM_LIMIT 0x0703ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB0_BASE 0x07080000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB0_LIMIT 0x07080fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB1_BASE 0x07081000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB1_LIMIT 0x07081fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB2_BASE 0x07082000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB2_LIMIT 0x07082fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB3_BASE 0x07083000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB3_LIMIT 0x07083fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB4_BASE 0x07084000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB4_LIMIT 0x07084fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB5_BASE 0x07085000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB5_LIMIT 0x07085fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB6_BASE 0x07086000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB6_LIMIT 0x07086fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB7_BASE 0x07087000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB7_LIMIT 0x07087fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB8_BASE 0x07088000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB8_LIMIT 0x07088fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB9_BASE 0x07089000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB9_LIMIT 0x07089fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB10_BASE 0x0708a000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB10_LIMIT 0x0708afff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB11_BASE 0x0708b000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB11_LIMIT 0x0708bfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB12_BASE 0x0708c000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB12_LIMIT 0x0708cfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB13_BASE 0x0708d000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB13_LIMIT 0x0708dfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB14_BASE 0x0708e000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB14_LIMIT 0x0708efff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB15_BASE 0x0708f000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB15_LIMIT 0x0708ffff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB16_BASE 0x07090000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB16_LIMIT 0x07090fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB17_BASE 0x07091000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB17_LIMIT 0x07091fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB18_BASE 0x07092000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB18_LIMIT 0x07092fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB19_BASE 0x07093000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB19_LIMIT 0x07093fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB20_BASE 0x07094000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB20_LIMIT 0x07094fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB21_BASE 0x07095000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB21_LIMIT 0x07095fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB22_BASE 0x07096000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB22_LIMIT 0x07096fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB23_BASE 0x07097000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB23_LIMIT 0x07097fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB24_BASE 0x07098000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB24_LIMIT 0x07098fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB25_BASE 0x07099000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB25_LIMIT 0x07099fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB26_BASE 0x0709a000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB26_LIMIT 0x0709afff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB27_BASE 0x0709b000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB27_LIMIT 0x0709bfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB28_BASE 0x0709c000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB28_LIMIT 0x0709cfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB29_BASE 0x0709d000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB29_LIMIT 0x0709dfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB30_BASE 0x0709e000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB30_LIMIT 0x0709efff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB31_BASE 0x0709f000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB31_LIMIT 0x0709ffff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB32_BASE 0x070a0000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB32_LIMIT 0x070a0fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB33_BASE 0x070a1000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB33_LIMIT 0x070a1fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB34_BASE 0x070a2000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB34_LIMIT 0x070a2fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB35_BASE 0x070a3000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB35_LIMIT 0x070a3fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB36_BASE 0x070a4000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB36_LIMIT 0x070a4fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB37_BASE 0x070a5000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB37_LIMIT 0x070a5fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB38_BASE 0x070a6000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB38_LIMIT 0x070a6fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB39_BASE 0x070a7000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB39_LIMIT 0x070a7fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB40_BASE 0x070a8000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB40_LIMIT 0x070a8fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB41_BASE 0x070a9000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB41_LIMIT 0x070a9fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB42_BASE 0x070aa000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB42_LIMIT 0x070aafff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB43_BASE 0x070ab000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB43_LIMIT 0x070abfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB44_BASE 0x070ac000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB44_LIMIT 0x070acfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB45_BASE 0x070ad000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB45_LIMIT 0x070adfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB46_BASE 0x070ae000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB46_LIMIT 0x070aefff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB47_BASE 0x070af000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB47_LIMIT 0x070affff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB48_BASE 0x070b0000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB48_LIMIT 0x070b0fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB49_BASE 0x070b1000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB49_LIMIT 0x070b1fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB50_BASE 0x070b2000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB50_LIMIT 0x070b2fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB51_BASE 0x070b3000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB51_LIMIT 0x070b3fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB52_BASE 0x070b4000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB52_LIMIT 0x070b4fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB53_BASE 0x070b5000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB53_LIMIT 0x070b5fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB54_BASE 0x070b6000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB54_LIMIT 0x070b6fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB55_BASE 0x070b7000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB55_LIMIT 0x070b7fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB56_BASE 0x070b8000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB56_LIMIT 0x070b8fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB57_BASE 0x070b9000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB57_LIMIT 0x070b9fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB58_BASE 0x070ba000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB58_LIMIT 0x070bafff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB59_BASE 0x070bb000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB59_LIMIT 0x070bbfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB60_BASE 0x070bc000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB60_LIMIT 0x070bcfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB61_BASE 0x070bd000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB61_LIMIT 0x070bdfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB62_BASE 0x070be000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB62_LIMIT 0x070befff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB63_BASE 0x070bf000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB63_LIMIT 0x070bffff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB64_BASE 0x070c0000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB64_LIMIT 0x070c0fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB65_BASE 0x070c1000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB65_LIMIT 0x070c1fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB66_BASE 0x070c2000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB66_LIMIT 0x070c2fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB67_BASE 0x070c3000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB67_LIMIT 0x070c3fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB68_BASE 0x070c4000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB68_LIMIT 0x070c4fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB69_BASE 0x070c5000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB69_LIMIT 0x070c5fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB70_BASE 0x070c6000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB70_LIMIT 0x070c6fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB71_BASE 0x070c7000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB71_LIMIT 0x070c7fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB72_BASE 0x070c8000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB72_LIMIT 0x070c8fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB73_BASE 0x070c9000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB73_LIMIT 0x070c9fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB74_BASE 0x070ca000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB74_LIMIT 0x070cafff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB75_BASE 0x070cb000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB75_LIMIT 0x070cbfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB76_BASE 0x070cc000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB76_LIMIT 0x070ccfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB77_BASE 0x070cd000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB77_LIMIT 0x070cdfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB78_BASE 0x070ce000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB78_LIMIT 0x070cefff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB79_BASE 0x070cf000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB79_LIMIT 0x070cffff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB80_BASE 0x070d0000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB80_LIMIT 0x070d0fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB81_BASE 0x070d1000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB81_LIMIT 0x070d1fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB82_BASE 0x070d2000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB82_LIMIT 0x070d2fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB83_BASE 0x070d3000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB83_LIMIT 0x070d3fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB84_BASE 0x070d4000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB84_LIMIT 0x070d4fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB85_BASE 0x070d5000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB85_LIMIT 0x070d5fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB86_BASE 0x070d6000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB86_LIMIT 0x070d6fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB87_BASE 0x070d7000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB87_LIMIT 0x070d7fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB88_BASE 0x070d8000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB88_LIMIT 0x070d8fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB89_BASE 0x070d9000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB89_LIMIT 0x070d9fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB90_BASE 0x070da000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB90_LIMIT 0x070dafff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB91_BASE 0x070db000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB91_LIMIT 0x070dbfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB92_BASE 0x070dc000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB92_LIMIT 0x070dcfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB93_BASE 0x070dd000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB93_LIMIT 0x070ddfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB94_BASE 0x070de000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB94_LIMIT 0x070defff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB95_BASE 0x070df000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB95_LIMIT 0x070dffff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB96_BASE 0x070e0000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB96_LIMIT 0x070e0fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB97_BASE 0x070e1000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB97_LIMIT 0x070e1fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB98_BASE 0x070e2000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB98_LIMIT 0x070e2fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB99_BASE 0x070e3000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB99_LIMIT 0x070e3fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB100_BASE 0x070e4000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB100_LIMIT 0x070e4fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB101_BASE 0x070e5000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB101_LIMIT 0x070e5fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB102_BASE 0x070e6000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB102_LIMIT 0x070e6fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB103_BASE 0x070e7000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB103_LIMIT 0x070e7fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB104_BASE 0x070e8000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB104_LIMIT 0x070e8fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB105_BASE 0x070e9000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB105_LIMIT 0x070e9fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB106_BASE 0x070ea000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB106_LIMIT 0x070eafff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB107_BASE 0x070eb000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB107_LIMIT 0x070ebfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB108_BASE 0x070ec000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB108_LIMIT 0x070ecfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB109_BASE 0x070ed000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB109_LIMIT 0x070edfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB110_BASE 0x070ee000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB110_LIMIT 0x070eefff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB111_BASE 0x070ef000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB111_LIMIT 0x070effff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB112_BASE 0x070f0000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB112_LIMIT 0x070f0fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB113_BASE 0x070f1000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB113_LIMIT 0x070f1fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB114_BASE 0x070f2000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB114_LIMIT 0x070f2fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB115_BASE 0x070f3000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB115_LIMIT 0x070f3fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB116_BASE 0x070f4000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB116_LIMIT 0x070f4fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB117_BASE 0x070f5000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB117_LIMIT 0x070f5fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB118_BASE 0x070f6000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB118_LIMIT 0x070f6fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB119_BASE 0x070f7000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB119_LIMIT 0x070f7fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB120_BASE 0x070f8000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB120_LIMIT 0x070f8fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB121_BASE 0x070f9000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB121_LIMIT 0x070f9fff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB122_BASE 0x070fa000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB122_LIMIT 0x070fafff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB123_BASE 0x070fb000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB123_LIMIT 0x070fbfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB124_BASE 0x070fc000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB124_LIMIT 0x070fcfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB125_BASE 0x070fd000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB125_LIMIT 0x070fdfff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB126_BASE 0x070fe000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB126_LIMIT 0x070fefff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB127_BASE 0x070ff000
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB127_LIMIT 0x070fffff
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU3_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU3_4KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB0_BASE 0x07800000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB0_LIMIT 0x0780ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB1_BASE 0x07810000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB1_LIMIT 0x0781ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB2_BASE 0x07820000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB2_LIMIT 0x0782ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB3_BASE 0x07830000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB3_LIMIT 0x0783ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB4_BASE 0x07840000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB4_LIMIT 0x0784ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB5_BASE 0x07850000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB5_LIMIT 0x0785ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB6_BASE 0x07860000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB6_LIMIT 0x0786ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB7_BASE 0x07870000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB7_LIMIT 0x0787ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB8_BASE 0x07880000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB8_LIMIT 0x0788ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB9_BASE 0x07890000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB9_LIMIT 0x0789ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB10_BASE 0x078a0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB10_LIMIT 0x078affff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB11_BASE 0x078b0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB11_LIMIT 0x078bffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB12_BASE 0x078c0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB12_LIMIT 0x078cffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB13_BASE 0x078d0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB13_LIMIT 0x078dffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB14_BASE 0x078e0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB14_LIMIT 0x078effff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB15_BASE 0x078f0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB15_LIMIT 0x078fffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB16_BASE 0x07900000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB16_LIMIT 0x0790ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB17_BASE 0x07910000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB17_LIMIT 0x0791ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB18_BASE 0x07920000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB18_LIMIT 0x0792ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB19_BASE 0x07930000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB19_LIMIT 0x0793ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB20_BASE 0x07940000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB20_LIMIT 0x0794ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB21_BASE 0x07950000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB21_LIMIT 0x0795ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB22_BASE 0x07960000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB22_LIMIT 0x0796ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB23_BASE 0x07970000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB23_LIMIT 0x0797ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB24_BASE 0x07980000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB24_LIMIT 0x0798ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB25_BASE 0x07990000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB25_LIMIT 0x0799ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB26_BASE 0x079a0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB26_LIMIT 0x079affff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB27_BASE 0x079b0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB27_LIMIT 0x079bffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB28_BASE 0x079c0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB28_LIMIT 0x079cffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB29_BASE 0x079d0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB29_LIMIT 0x079dffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB30_BASE 0x079e0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB30_LIMIT 0x079effff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB31_BASE 0x079f0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB31_LIMIT 0x079fffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB32_BASE 0x07a00000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB32_LIMIT 0x07a0ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB33_BASE 0x07a10000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB33_LIMIT 0x07a1ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB34_BASE 0x07a20000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB34_LIMIT 0x07a2ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB35_BASE 0x07a30000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB35_LIMIT 0x07a3ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB36_BASE 0x07a40000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB36_LIMIT 0x07a4ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB37_BASE 0x07a50000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB37_LIMIT 0x07a5ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB38_BASE 0x07a60000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB38_LIMIT 0x07a6ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB39_BASE 0x07a70000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB39_LIMIT 0x07a7ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB40_BASE 0x07a80000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB40_LIMIT 0x07a8ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB41_BASE 0x07a90000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB41_LIMIT 0x07a9ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB42_BASE 0x07aa0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB42_LIMIT 0x07aaffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB43_BASE 0x07ab0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB43_LIMIT 0x07abffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB44_BASE 0x07ac0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB44_LIMIT 0x07acffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB45_BASE 0x07ad0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB45_LIMIT 0x07adffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB46_BASE 0x07ae0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB46_LIMIT 0x07aeffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB47_BASE 0x07af0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB47_LIMIT 0x07afffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB48_BASE 0x07b00000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB48_LIMIT 0x07b0ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB49_BASE 0x07b10000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB49_LIMIT 0x07b1ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB50_BASE 0x07b20000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB50_LIMIT 0x07b2ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB51_BASE 0x07b30000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB51_LIMIT 0x07b3ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB52_BASE 0x07b40000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB52_LIMIT 0x07b4ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB53_BASE 0x07b50000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB53_LIMIT 0x07b5ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB54_BASE 0x07b60000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB54_LIMIT 0x07b6ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB55_BASE 0x07b70000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB55_LIMIT 0x07b7ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB56_BASE 0x07b80000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB56_LIMIT 0x07b8ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB57_BASE 0x07b90000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB57_LIMIT 0x07b9ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB58_BASE 0x07ba0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB58_LIMIT 0x07baffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB59_BASE 0x07bb0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB59_LIMIT 0x07bbffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB60_BASE 0x07bc0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB60_LIMIT 0x07bcffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB61_BASE 0x07bd0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB61_LIMIT 0x07bdffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB62_BASE 0x07be0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB62_LIMIT 0x07beffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB63_BASE 0x07bf0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB63_LIMIT 0x07bfffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB64_BASE 0x07c00000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB64_LIMIT 0x07c0ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB65_BASE 0x07c10000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB65_LIMIT 0x07c1ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB66_BASE 0x07c20000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB66_LIMIT 0x07c2ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB67_BASE 0x07c30000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB67_LIMIT 0x07c3ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB68_BASE 0x07c40000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB68_LIMIT 0x07c4ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB69_BASE 0x07c50000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB69_LIMIT 0x07c5ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB70_BASE 0x07c60000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB70_LIMIT 0x07c6ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB71_BASE 0x07c70000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB71_LIMIT 0x07c7ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB72_BASE 0x07c80000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB72_LIMIT 0x07c8ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB73_BASE 0x07c90000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB73_LIMIT 0x07c9ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB74_BASE 0x07ca0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB74_LIMIT 0x07caffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB75_BASE 0x07cb0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB75_LIMIT 0x07cbffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB76_BASE 0x07cc0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB76_LIMIT 0x07ccffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB77_BASE 0x07cd0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB77_LIMIT 0x07cdffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB78_BASE 0x07ce0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB78_LIMIT 0x07ceffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB79_BASE 0x07cf0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB79_LIMIT 0x07cfffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB80_BASE 0x07d00000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB80_LIMIT 0x07d0ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB81_BASE 0x07d10000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB81_LIMIT 0x07d1ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB82_BASE 0x07d20000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB82_LIMIT 0x07d2ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB83_BASE 0x07d30000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB83_LIMIT 0x07d3ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB84_BASE 0x07d40000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB84_LIMIT 0x07d4ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB85_BASE 0x07d50000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB85_LIMIT 0x07d5ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB86_BASE 0x07d60000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB86_LIMIT 0x07d6ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB87_BASE 0x07d70000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB87_LIMIT 0x07d7ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB88_BASE 0x07d80000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB88_LIMIT 0x07d8ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB89_BASE 0x07d90000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB89_LIMIT 0x07d9ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB90_BASE 0x07da0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB90_LIMIT 0x07daffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB91_BASE 0x07db0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB91_LIMIT 0x07dbffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB92_BASE 0x07dc0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB92_LIMIT 0x07dcffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB93_BASE 0x07dd0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB93_LIMIT 0x07ddffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB94_BASE 0x07de0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB94_LIMIT 0x07deffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB95_BASE 0x07df0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB95_LIMIT 0x07dfffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB96_BASE 0x07e00000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB96_LIMIT 0x07e0ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB97_BASE 0x07e10000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB97_LIMIT 0x07e1ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB98_BASE 0x07e20000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB98_LIMIT 0x07e2ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB99_BASE 0x07e30000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB99_LIMIT 0x07e3ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB100_BASE 0x07e40000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB100_LIMIT 0x07e4ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB101_BASE 0x07e50000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB101_LIMIT 0x07e5ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB102_BASE 0x07e60000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB102_LIMIT 0x07e6ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB103_BASE 0x07e70000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB103_LIMIT 0x07e7ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB104_BASE 0x07e80000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB104_LIMIT 0x07e8ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB105_BASE 0x07e90000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB105_LIMIT 0x07e9ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB106_BASE 0x07ea0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB106_LIMIT 0x07eaffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB107_BASE 0x07eb0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB107_LIMIT 0x07ebffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB108_BASE 0x07ec0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB108_LIMIT 0x07ecffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB109_BASE 0x07ed0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB109_LIMIT 0x07edffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB110_BASE 0x07ee0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB110_LIMIT 0x07eeffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB111_BASE 0x07ef0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB111_LIMIT 0x07efffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB112_BASE 0x07f00000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB112_LIMIT 0x07f0ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB113_BASE 0x07f10000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB113_LIMIT 0x07f1ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB114_BASE 0x07f20000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB114_LIMIT 0x07f2ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB115_BASE 0x07f30000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB115_LIMIT 0x07f3ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB116_BASE 0x07f40000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB116_LIMIT 0x07f4ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB117_BASE 0x07f50000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB117_LIMIT 0x07f5ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB118_BASE 0x07f60000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB118_LIMIT 0x07f6ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB119_BASE 0x07f70000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB119_LIMIT 0x07f7ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB120_BASE 0x07f80000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB120_LIMIT 0x07f8ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB121_BASE 0x07f90000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB121_LIMIT 0x07f9ffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB122_BASE 0x07fa0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB122_LIMIT 0x07faffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB123_BASE 0x07fb0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB123_LIMIT 0x07fbffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB124_BASE 0x07fc0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB124_LIMIT 0x07fcffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB125_BASE 0x07fd0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB125_LIMIT 0x07fdffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB126_BASE 0x07fe0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB126_LIMIT 0x07feffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB127_BASE 0x07ff0000
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB127_LIMIT 0x07ffffff
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU3_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU3_64KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR0_BASE 0x08000000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR0_LIMIT 0x0800ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR0_BASE 0x08000000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR0_LIMIT 0x08000fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR1_BASE 0x08001000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR1_LIMIT 0x08001fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GID_BASE 0x08002000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GID_LIMIT 0x08002fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_PM_BASE 0x08003000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_PM_LIMIT 0x08003fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR1_BASE 0x08010000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR1_LIMIT 0x0801ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GID_BASE 0x08020000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GID_LIMIT 0x0802ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_PM_BASE 0x08030000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_PM_LIMIT 0x0803ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB0_BASE 0x08080000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB0_LIMIT 0x08080fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB1_BASE 0x08081000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB1_LIMIT 0x08081fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB2_BASE 0x08082000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB2_LIMIT 0x08082fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB3_BASE 0x08083000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB3_LIMIT 0x08083fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB4_BASE 0x08084000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB4_LIMIT 0x08084fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB5_BASE 0x08085000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB5_LIMIT 0x08085fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB6_BASE 0x08086000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB6_LIMIT 0x08086fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB7_BASE 0x08087000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB7_LIMIT 0x08087fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB8_BASE 0x08088000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB8_LIMIT 0x08088fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB9_BASE 0x08089000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB9_LIMIT 0x08089fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB10_BASE 0x0808a000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB10_LIMIT 0x0808afff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB11_BASE 0x0808b000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB11_LIMIT 0x0808bfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB12_BASE 0x0808c000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB12_LIMIT 0x0808cfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB13_BASE 0x0808d000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB13_LIMIT 0x0808dfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB14_BASE 0x0808e000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB14_LIMIT 0x0808efff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB15_BASE 0x0808f000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB15_LIMIT 0x0808ffff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB16_BASE 0x08090000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB16_LIMIT 0x08090fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB17_BASE 0x08091000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB17_LIMIT 0x08091fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB18_BASE 0x08092000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB18_LIMIT 0x08092fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB19_BASE 0x08093000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB19_LIMIT 0x08093fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB20_BASE 0x08094000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB20_LIMIT 0x08094fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB21_BASE 0x08095000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB21_LIMIT 0x08095fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB22_BASE 0x08096000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB22_LIMIT 0x08096fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB23_BASE 0x08097000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB23_LIMIT 0x08097fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB24_BASE 0x08098000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB24_LIMIT 0x08098fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB25_BASE 0x08099000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB25_LIMIT 0x08099fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB26_BASE 0x0809a000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB26_LIMIT 0x0809afff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB27_BASE 0x0809b000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB27_LIMIT 0x0809bfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB28_BASE 0x0809c000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB28_LIMIT 0x0809cfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB29_BASE 0x0809d000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB29_LIMIT 0x0809dfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB30_BASE 0x0809e000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB30_LIMIT 0x0809efff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB31_BASE 0x0809f000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB31_LIMIT 0x0809ffff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB32_BASE 0x080a0000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB32_LIMIT 0x080a0fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB33_BASE 0x080a1000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB33_LIMIT 0x080a1fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB34_BASE 0x080a2000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB34_LIMIT 0x080a2fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB35_BASE 0x080a3000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB35_LIMIT 0x080a3fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB36_BASE 0x080a4000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB36_LIMIT 0x080a4fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB37_BASE 0x080a5000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB37_LIMIT 0x080a5fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB38_BASE 0x080a6000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB38_LIMIT 0x080a6fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB39_BASE 0x080a7000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB39_LIMIT 0x080a7fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB40_BASE 0x080a8000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB40_LIMIT 0x080a8fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB41_BASE 0x080a9000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB41_LIMIT 0x080a9fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB42_BASE 0x080aa000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB42_LIMIT 0x080aafff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB43_BASE 0x080ab000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB43_LIMIT 0x080abfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB44_BASE 0x080ac000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB44_LIMIT 0x080acfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB45_BASE 0x080ad000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB45_LIMIT 0x080adfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB46_BASE 0x080ae000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB46_LIMIT 0x080aefff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB47_BASE 0x080af000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB47_LIMIT 0x080affff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB48_BASE 0x080b0000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB48_LIMIT 0x080b0fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB49_BASE 0x080b1000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB49_LIMIT 0x080b1fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB50_BASE 0x080b2000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB50_LIMIT 0x080b2fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB51_BASE 0x080b3000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB51_LIMIT 0x080b3fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB52_BASE 0x080b4000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB52_LIMIT 0x080b4fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB53_BASE 0x080b5000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB53_LIMIT 0x080b5fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB54_BASE 0x080b6000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB54_LIMIT 0x080b6fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB55_BASE 0x080b7000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB55_LIMIT 0x080b7fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB56_BASE 0x080b8000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB56_LIMIT 0x080b8fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB57_BASE 0x080b9000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB57_LIMIT 0x080b9fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB58_BASE 0x080ba000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB58_LIMIT 0x080bafff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB59_BASE 0x080bb000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB59_LIMIT 0x080bbfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB60_BASE 0x080bc000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB60_LIMIT 0x080bcfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB61_BASE 0x080bd000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB61_LIMIT 0x080bdfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB62_BASE 0x080be000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB62_LIMIT 0x080befff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB63_BASE 0x080bf000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB63_LIMIT 0x080bffff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB64_BASE 0x080c0000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB64_LIMIT 0x080c0fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB65_BASE 0x080c1000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB65_LIMIT 0x080c1fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB66_BASE 0x080c2000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB66_LIMIT 0x080c2fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB67_BASE 0x080c3000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB67_LIMIT 0x080c3fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB68_BASE 0x080c4000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB68_LIMIT 0x080c4fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB69_BASE 0x080c5000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB69_LIMIT 0x080c5fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB70_BASE 0x080c6000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB70_LIMIT 0x080c6fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB71_BASE 0x080c7000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB71_LIMIT 0x080c7fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB72_BASE 0x080c8000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB72_LIMIT 0x080c8fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB73_BASE 0x080c9000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB73_LIMIT 0x080c9fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB74_BASE 0x080ca000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB74_LIMIT 0x080cafff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB75_BASE 0x080cb000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB75_LIMIT 0x080cbfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB76_BASE 0x080cc000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB76_LIMIT 0x080ccfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB77_BASE 0x080cd000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB77_LIMIT 0x080cdfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB78_BASE 0x080ce000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB78_LIMIT 0x080cefff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB79_BASE 0x080cf000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB79_LIMIT 0x080cffff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB80_BASE 0x080d0000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB80_LIMIT 0x080d0fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB81_BASE 0x080d1000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB81_LIMIT 0x080d1fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB82_BASE 0x080d2000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB82_LIMIT 0x080d2fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB83_BASE 0x080d3000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB83_LIMIT 0x080d3fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB84_BASE 0x080d4000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB84_LIMIT 0x080d4fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB85_BASE 0x080d5000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB85_LIMIT 0x080d5fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB86_BASE 0x080d6000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB86_LIMIT 0x080d6fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB87_BASE 0x080d7000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB87_LIMIT 0x080d7fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB88_BASE 0x080d8000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB88_LIMIT 0x080d8fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB89_BASE 0x080d9000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB89_LIMIT 0x080d9fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB90_BASE 0x080da000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB90_LIMIT 0x080dafff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB91_BASE 0x080db000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB91_LIMIT 0x080dbfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB92_BASE 0x080dc000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB92_LIMIT 0x080dcfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB93_BASE 0x080dd000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB93_LIMIT 0x080ddfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB94_BASE 0x080de000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB94_LIMIT 0x080defff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB95_BASE 0x080df000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB95_LIMIT 0x080dffff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB96_BASE 0x080e0000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB96_LIMIT 0x080e0fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB97_BASE 0x080e1000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB97_LIMIT 0x080e1fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB98_BASE 0x080e2000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB98_LIMIT 0x080e2fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB99_BASE 0x080e3000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB99_LIMIT 0x080e3fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB100_BASE 0x080e4000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB100_LIMIT 0x080e4fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB101_BASE 0x080e5000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB101_LIMIT 0x080e5fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB102_BASE 0x080e6000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB102_LIMIT 0x080e6fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB103_BASE 0x080e7000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB103_LIMIT 0x080e7fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB104_BASE 0x080e8000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB104_LIMIT 0x080e8fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB105_BASE 0x080e9000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB105_LIMIT 0x080e9fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB106_BASE 0x080ea000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB106_LIMIT 0x080eafff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB107_BASE 0x080eb000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB107_LIMIT 0x080ebfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB108_BASE 0x080ec000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB108_LIMIT 0x080ecfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB109_BASE 0x080ed000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB109_LIMIT 0x080edfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB110_BASE 0x080ee000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB110_LIMIT 0x080eefff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB111_BASE 0x080ef000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB111_LIMIT 0x080effff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB112_BASE 0x080f0000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB112_LIMIT 0x080f0fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB113_BASE 0x080f1000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB113_LIMIT 0x080f1fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB114_BASE 0x080f2000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB114_LIMIT 0x080f2fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB115_BASE 0x080f3000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB115_LIMIT 0x080f3fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB116_BASE 0x080f4000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB116_LIMIT 0x080f4fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB117_BASE 0x080f5000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB117_LIMIT 0x080f5fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB118_BASE 0x080f6000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB118_LIMIT 0x080f6fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB119_BASE 0x080f7000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB119_LIMIT 0x080f7fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB120_BASE 0x080f8000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB120_LIMIT 0x080f8fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB121_BASE 0x080f9000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB121_LIMIT 0x080f9fff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB122_BASE 0x080fa000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB122_LIMIT 0x080fafff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB123_BASE 0x080fb000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB123_LIMIT 0x080fbfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB124_BASE 0x080fc000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB124_LIMIT 0x080fcfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB125_BASE 0x080fd000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB125_LIMIT 0x080fdfff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB126_BASE 0x080fe000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB126_LIMIT 0x080fefff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB127_BASE 0x080ff000
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB127_LIMIT 0x080fffff
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU4_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU4_4KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB0_BASE 0x08800000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB0_LIMIT 0x0880ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB1_BASE 0x08810000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB1_LIMIT 0x0881ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB2_BASE 0x08820000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB2_LIMIT 0x0882ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB3_BASE 0x08830000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB3_LIMIT 0x0883ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB4_BASE 0x08840000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB4_LIMIT 0x0884ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB5_BASE 0x08850000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB5_LIMIT 0x0885ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB6_BASE 0x08860000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB6_LIMIT 0x0886ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB7_BASE 0x08870000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB7_LIMIT 0x0887ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB8_BASE 0x08880000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB8_LIMIT 0x0888ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB9_BASE 0x08890000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB9_LIMIT 0x0889ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB10_BASE 0x088a0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB10_LIMIT 0x088affff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB11_BASE 0x088b0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB11_LIMIT 0x088bffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB12_BASE 0x088c0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB12_LIMIT 0x088cffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB13_BASE 0x088d0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB13_LIMIT 0x088dffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB14_BASE 0x088e0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB14_LIMIT 0x088effff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB15_BASE 0x088f0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB15_LIMIT 0x088fffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB16_BASE 0x08900000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB16_LIMIT 0x0890ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB17_BASE 0x08910000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB17_LIMIT 0x0891ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB18_BASE 0x08920000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB18_LIMIT 0x0892ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB19_BASE 0x08930000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB19_LIMIT 0x0893ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB20_BASE 0x08940000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB20_LIMIT 0x0894ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB21_BASE 0x08950000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB21_LIMIT 0x0895ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB22_BASE 0x08960000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB22_LIMIT 0x0896ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB23_BASE 0x08970000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB23_LIMIT 0x0897ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB24_BASE 0x08980000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB24_LIMIT 0x0898ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB25_BASE 0x08990000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB25_LIMIT 0x0899ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB26_BASE 0x089a0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB26_LIMIT 0x089affff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB27_BASE 0x089b0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB27_LIMIT 0x089bffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB28_BASE 0x089c0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB28_LIMIT 0x089cffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB29_BASE 0x089d0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB29_LIMIT 0x089dffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB30_BASE 0x089e0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB30_LIMIT 0x089effff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB31_BASE 0x089f0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB31_LIMIT 0x089fffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB32_BASE 0x08a00000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB32_LIMIT 0x08a0ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB33_BASE 0x08a10000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB33_LIMIT 0x08a1ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB34_BASE 0x08a20000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB34_LIMIT 0x08a2ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB35_BASE 0x08a30000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB35_LIMIT 0x08a3ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB36_BASE 0x08a40000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB36_LIMIT 0x08a4ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB37_BASE 0x08a50000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB37_LIMIT 0x08a5ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB38_BASE 0x08a60000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB38_LIMIT 0x08a6ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB39_BASE 0x08a70000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB39_LIMIT 0x08a7ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB40_BASE 0x08a80000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB40_LIMIT 0x08a8ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB41_BASE 0x08a90000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB41_LIMIT 0x08a9ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB42_BASE 0x08aa0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB42_LIMIT 0x08aaffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB43_BASE 0x08ab0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB43_LIMIT 0x08abffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB44_BASE 0x08ac0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB44_LIMIT 0x08acffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB45_BASE 0x08ad0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB45_LIMIT 0x08adffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB46_BASE 0x08ae0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB46_LIMIT 0x08aeffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB47_BASE 0x08af0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB47_LIMIT 0x08afffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB48_BASE 0x08b00000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB48_LIMIT 0x08b0ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB49_BASE 0x08b10000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB49_LIMIT 0x08b1ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB50_BASE 0x08b20000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB50_LIMIT 0x08b2ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB51_BASE 0x08b30000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB51_LIMIT 0x08b3ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB52_BASE 0x08b40000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB52_LIMIT 0x08b4ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB53_BASE 0x08b50000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB53_LIMIT 0x08b5ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB54_BASE 0x08b60000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB54_LIMIT 0x08b6ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB55_BASE 0x08b70000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB55_LIMIT 0x08b7ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB56_BASE 0x08b80000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB56_LIMIT 0x08b8ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB57_BASE 0x08b90000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB57_LIMIT 0x08b9ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB58_BASE 0x08ba0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB58_LIMIT 0x08baffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB59_BASE 0x08bb0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB59_LIMIT 0x08bbffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB60_BASE 0x08bc0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB60_LIMIT 0x08bcffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB61_BASE 0x08bd0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB61_LIMIT 0x08bdffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB62_BASE 0x08be0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB62_LIMIT 0x08beffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB63_BASE 0x08bf0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB63_LIMIT 0x08bfffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB64_BASE 0x08c00000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB64_LIMIT 0x08c0ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB65_BASE 0x08c10000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB65_LIMIT 0x08c1ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB66_BASE 0x08c20000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB66_LIMIT 0x08c2ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB67_BASE 0x08c30000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB67_LIMIT 0x08c3ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB68_BASE 0x08c40000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB68_LIMIT 0x08c4ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB69_BASE 0x08c50000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB69_LIMIT 0x08c5ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB70_BASE 0x08c60000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB70_LIMIT 0x08c6ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB71_BASE 0x08c70000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB71_LIMIT 0x08c7ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB72_BASE 0x08c80000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB72_LIMIT 0x08c8ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB73_BASE 0x08c90000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB73_LIMIT 0x08c9ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB74_BASE 0x08ca0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB74_LIMIT 0x08caffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB75_BASE 0x08cb0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB75_LIMIT 0x08cbffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB76_BASE 0x08cc0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB76_LIMIT 0x08ccffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB77_BASE 0x08cd0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB77_LIMIT 0x08cdffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB78_BASE 0x08ce0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB78_LIMIT 0x08ceffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB79_BASE 0x08cf0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB79_LIMIT 0x08cfffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB80_BASE 0x08d00000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB80_LIMIT 0x08d0ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB81_BASE 0x08d10000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB81_LIMIT 0x08d1ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB82_BASE 0x08d20000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB82_LIMIT 0x08d2ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB83_BASE 0x08d30000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB83_LIMIT 0x08d3ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB84_BASE 0x08d40000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB84_LIMIT 0x08d4ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB85_BASE 0x08d50000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB85_LIMIT 0x08d5ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB86_BASE 0x08d60000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB86_LIMIT 0x08d6ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB87_BASE 0x08d70000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB87_LIMIT 0x08d7ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB88_BASE 0x08d80000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB88_LIMIT 0x08d8ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB89_BASE 0x08d90000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB89_LIMIT 0x08d9ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB90_BASE 0x08da0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB90_LIMIT 0x08daffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB91_BASE 0x08db0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB91_LIMIT 0x08dbffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB92_BASE 0x08dc0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB92_LIMIT 0x08dcffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB93_BASE 0x08dd0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB93_LIMIT 0x08ddffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB94_BASE 0x08de0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB94_LIMIT 0x08deffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB95_BASE 0x08df0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB95_LIMIT 0x08dfffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB96_BASE 0x08e00000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB96_LIMIT 0x08e0ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB97_BASE 0x08e10000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB97_LIMIT 0x08e1ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB98_BASE 0x08e20000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB98_LIMIT 0x08e2ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB99_BASE 0x08e30000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB99_LIMIT 0x08e3ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB100_BASE 0x08e40000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB100_LIMIT 0x08e4ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB101_BASE 0x08e50000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB101_LIMIT 0x08e5ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB102_BASE 0x08e60000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB102_LIMIT 0x08e6ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB103_BASE 0x08e70000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB103_LIMIT 0x08e7ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB104_BASE 0x08e80000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB104_LIMIT 0x08e8ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB105_BASE 0x08e90000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB105_LIMIT 0x08e9ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB106_BASE 0x08ea0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB106_LIMIT 0x08eaffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB107_BASE 0x08eb0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB107_LIMIT 0x08ebffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB108_BASE 0x08ec0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB108_LIMIT 0x08ecffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB109_BASE 0x08ed0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB109_LIMIT 0x08edffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB110_BASE 0x08ee0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB110_LIMIT 0x08eeffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB111_BASE 0x08ef0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB111_LIMIT 0x08efffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB112_BASE 0x08f00000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB112_LIMIT 0x08f0ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB113_BASE 0x08f10000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB113_LIMIT 0x08f1ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB114_BASE 0x08f20000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB114_LIMIT 0x08f2ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB115_BASE 0x08f30000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB115_LIMIT 0x08f3ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB116_BASE 0x08f40000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB116_LIMIT 0x08f4ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB117_BASE 0x08f50000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB117_LIMIT 0x08f5ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB118_BASE 0x08f60000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB118_LIMIT 0x08f6ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB119_BASE 0x08f70000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB119_LIMIT 0x08f7ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB120_BASE 0x08f80000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB120_LIMIT 0x08f8ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB121_BASE 0x08f90000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB121_LIMIT 0x08f9ffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB122_BASE 0x08fa0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB122_LIMIT 0x08faffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB123_BASE 0x08fb0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB123_LIMIT 0x08fbffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB124_BASE 0x08fc0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB124_LIMIT 0x08fcffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB125_BASE 0x08fd0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB125_LIMIT 0x08fdffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB126_BASE 0x08fe0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB126_LIMIT 0x08feffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB127_BASE 0x08ff0000
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB127_LIMIT 0x08ffffff
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU4_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU4_64KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SCE_ATCM_CFG_EVP_BASE 0x0b000000
#define NV_ADDRESS_MAP_SCE_ATCM_CFG_EVP_LIMIT 0x0b00ffff
#define NV_ADDRESS_MAP_SCE_ATCM_CFG_EVP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_ATCM_CFG_EVP_HEADER

#define NV_ADDRESS_MAP_SCE_VIC_0_BASE 0x0b020000
#define NV_ADDRESS_MAP_SCE_VIC_0_LIMIT 0x0b02ffff
#define NV_ADDRESS_MAP_SCE_VIC_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_VIC_0_HEADER araps_vic.h

#define NV_ADDRESS_MAP_SCE_VIC_1_BASE 0x0b030000
#define NV_ADDRESS_MAP_SCE_VIC_1_LIMIT 0x0b03ffff
#define NV_ADDRESS_MAP_SCE_VIC_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_VIC_1_HEADER araps_vic.h

#define NV_ADDRESS_MAP_SCE_AST_0_BASE 0x0b040000
#define NV_ADDRESS_MAP_SCE_AST_0_LIMIT 0x0b04ffff
#define NV_ADDRESS_MAP_SCE_AST_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_AST_0_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_SCE_AST_1_BASE 0x0b050000
#define NV_ADDRESS_MAP_SCE_AST_1_LIMIT 0x0b05ffff
#define NV_ADDRESS_MAP_SCE_AST_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_AST_1_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_SCE_DMA_COMMON_BASE 0x0b060000
#define NV_ADDRESS_MAP_SCE_DMA_COMMON_LIMIT 0x0b06ffff
#define NV_ADDRESS_MAP_SCE_DMA_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_COMMON_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_0_BASE 0x0b070000
#define NV_ADDRESS_MAP_SCE_DMA_CH_0_LIMIT 0x0b07ffff
#define NV_ADDRESS_MAP_SCE_DMA_CH_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_0_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_1_BASE 0x0b080000
#define NV_ADDRESS_MAP_SCE_DMA_CH_1_LIMIT 0x0b08ffff
#define NV_ADDRESS_MAP_SCE_DMA_CH_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_1_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_2_BASE 0x0b090000
#define NV_ADDRESS_MAP_SCE_DMA_CH_2_LIMIT 0x0b09ffff
#define NV_ADDRESS_MAP_SCE_DMA_CH_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_2_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_3_BASE 0x0b0a0000
#define NV_ADDRESS_MAP_SCE_DMA_CH_3_LIMIT 0x0b0affff
#define NV_ADDRESS_MAP_SCE_DMA_CH_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_3_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_4_BASE 0x0b0b0000
#define NV_ADDRESS_MAP_SCE_DMA_CH_4_LIMIT 0x0b0bffff
#define NV_ADDRESS_MAP_SCE_DMA_CH_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_4_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_5_BASE 0x0b0c0000
#define NV_ADDRESS_MAP_SCE_DMA_CH_5_LIMIT 0x0b0cffff
#define NV_ADDRESS_MAP_SCE_DMA_CH_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_5_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_6_BASE 0x0b0d0000
#define NV_ADDRESS_MAP_SCE_DMA_CH_6_LIMIT 0x0b0dffff
#define NV_ADDRESS_MAP_SCE_DMA_CH_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_6_HEADER

#define NV_ADDRESS_MAP_SCE_DMA_CH_7_BASE 0x0b0e0000
#define NV_ADDRESS_MAP_SCE_DMA_CH_7_LIMIT 0x0b0effff
#define NV_ADDRESS_MAP_SCE_DMA_CH_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DMA_CH_7_HEADER

#define NV_ADDRESS_MAP_SCE_TKE_SHARED_BASE 0x0b0f0000
#define NV_ADDRESS_MAP_SCE_TKE_SHARED_LIMIT 0x0b0fffff
#define NV_ADDRESS_MAP_SCE_TKE_SHARED_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_TKE_SHARED_HEADER

#define NV_ADDRESS_MAP_SCE_TKE_TMR_0_BASE 0x0b100000
#define NV_ADDRESS_MAP_SCE_TKE_TMR_0_LIMIT 0x0b10ffff
#define NV_ADDRESS_MAP_SCE_TKE_TMR_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_TKE_TMR_0_HEADER

#define NV_ADDRESS_MAP_SCE_TKE_TMR_1_BASE 0x0b110000
#define NV_ADDRESS_MAP_SCE_TKE_TMR_1_LIMIT 0x0b11ffff
#define NV_ADDRESS_MAP_SCE_TKE_TMR_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_TKE_TMR_1_HEADER

#define NV_ADDRESS_MAP_SCE_TKE_TMR_2_BASE 0x0b120000
#define NV_ADDRESS_MAP_SCE_TKE_TMR_2_LIMIT 0x0b12ffff
#define NV_ADDRESS_MAP_SCE_TKE_TMR_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_TKE_TMR_2_HEADER

#define NV_ADDRESS_MAP_SCE_TKE_TMR_3_BASE 0x0b130000
#define NV_ADDRESS_MAP_SCE_TKE_TMR_3_LIMIT 0x0b13ffff
#define NV_ADDRESS_MAP_SCE_TKE_TMR_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_TKE_TMR_3_HEADER

#define NV_ADDRESS_MAP_SCE_TKE_WDT_0_BASE 0x0b140000
#define NV_ADDRESS_MAP_SCE_TKE_WDT_0_LIMIT 0x0b14ffff
#define NV_ADDRESS_MAP_SCE_TKE_WDT_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_TKE_WDT_0_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_COMMON_BASE 0x0b150000
#define NV_ADDRESS_MAP_SCE_HSP_COMMON_LIMIT 0x0b15ffff
#define NV_ADDRESS_MAP_SCE_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_SCE_HSP_SM_0_1_BASE 0x0b160000
#define NV_ADDRESS_MAP_SCE_HSP_SM_0_1_LIMIT 0x0b16ffff
#define NV_ADDRESS_MAP_SCE_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_SM_2_3_BASE 0x0b170000
#define NV_ADDRESS_MAP_SCE_HSP_SM_2_3_LIMIT 0x0b17ffff
#define NV_ADDRESS_MAP_SCE_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_SM_4_5_BASE 0x0b180000
#define NV_ADDRESS_MAP_SCE_HSP_SM_4_5_LIMIT 0x0b18ffff
#define NV_ADDRESS_MAP_SCE_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_SM_6_7_BASE 0x0b190000
#define NV_ADDRESS_MAP_SCE_HSP_SM_6_7_LIMIT 0x0b19ffff
#define NV_ADDRESS_MAP_SCE_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_SS_0_BASE 0x0b1a0000
#define NV_ADDRESS_MAP_SCE_HSP_SS_0_LIMIT 0x0b1affff
#define NV_ADDRESS_MAP_SCE_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_SS_1_BASE 0x0b1b0000
#define NV_ADDRESS_MAP_SCE_HSP_SS_1_LIMIT 0x0b1bffff
#define NV_ADDRESS_MAP_SCE_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_SS_2_BASE 0x0b1c0000
#define NV_ADDRESS_MAP_SCE_HSP_SS_2_LIMIT 0x0b1cffff
#define NV_ADDRESS_MAP_SCE_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_SCE_HSP_SS_3_BASE 0x0b1d0000
#define NV_ADDRESS_MAP_SCE_HSP_SS_3_LIMIT 0x0b1dffff
#define NV_ADDRESS_MAP_SCE_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_SCE_GTE_BASE 0x0b1e0000
#define NV_ADDRESS_MAP_SCE_GTE_LIMIT 0x0b1effff
#define NV_ADDRESS_MAP_SCE_GTE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_GTE_HEADER argte_aps.h;argte_aps_scr.h

#define NV_ADDRESS_MAP_SCE_PM_IMPL_BASE 0x0b1f0000
#define NV_ADDRESS_MAP_SCE_PM_IMPL_LIMIT 0x0b1fffff
#define NV_ADDRESS_MAP_SCE_PM_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_PM_IMPL_HEADER arscepm.h;arscepm_scr.h

#define NV_ADDRESS_MAP_SCE_ACTMON_BASE 0x0b200000
#define NV_ADDRESS_MAP_SCE_ACTMON_LIMIT 0x0b20ffff
#define NV_ADDRESS_MAP_SCE_ACTMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_ACTMON_HEADER arunit_actmon.h

#define NV_ADDRESS_MAP_SCE_CFG_BASE 0x0b230000
#define NV_ADDRESS_MAP_SCE_CFG_LIMIT 0x0b23ffff
#define NV_ADDRESS_MAP_SCE_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_CFG_HEADER araps_proc_cfg.h

#define NV_ADDRESS_MAP_HSM_BASE 0x0b240000
#define NV_ADDRESS_MAP_HSM_LIMIT 0x0b24ffff
#define NV_ADDRESS_MAP_HSM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HSM_HEADER arsce_hsm.h

#define NV_ADDRESS_MAP_SCE_ATCM_EVP_EXT_BASE 0x0b400000
#define NV_ADDRESS_MAP_SCE_ATCM_EVP_EXT_LIMIT 0x0b40ffff
#define NV_ADDRESS_MAP_SCE_ATCM_EVP_EXT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_ATCM_EVP_EXT_HEADER arsce_evp.h

#define NV_ADDRESS_MAP_SCE_BTCM_BASE 0x0b480000
#define NV_ADDRESS_MAP_SCE_BTCM_LIMIT 0x0b4dffff
#define NV_ADDRESS_MAP_SCE_BTCM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_BTCM_HEADER no_headers

#define NV_ADDRESS_MAP_SCE_ICACHE_ACCESS_PORT_BASE 0x0b500000
#define NV_ADDRESS_MAP_SCE_ICACHE_ACCESS_PORT_LIMIT 0x0b57ffff
#define NV_ADDRESS_MAP_SCE_ICACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_ICACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_SCE_DCACHE_ACCESS_PORT_BASE 0x0b580000
#define NV_ADDRESS_MAP_SCE_DCACHE_ACCESS_PORT_LIMIT 0x0b5fffff
#define NV_ADDRESS_MAP_SCE_DCACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_DCACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_SCE_SN_AXI2APB_1_BASE 0x0b600000
#define NV_ADDRESS_MAP_SCE_SN_AXI2APB_1_LIMIT 0x0b600fff
#define NV_ADDRESS_MAP_SCE_SN_AXI2APB_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_SN_AXI2APB_1_HEADER

#define NV_ADDRESS_MAP_SCE_MN_CPU_M_I_BASE 0x0b610000
#define NV_ADDRESS_MAP_SCE_MN_CPU_M_I_LIMIT 0x0b610fff
#define NV_ADDRESS_MAP_SCE_MN_CPU_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_MN_CPU_M_I_HEADER

#define NV_ADDRESS_MAP_SCE_MN_CBB_I_BASE 0x0b611000
#define NV_ADDRESS_MAP_SCE_MN_CBB_I_LIMIT 0x0b611fff
#define NV_ADDRESS_MAP_SCE_MN_CBB_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_MN_CBB_I_HEADER

#define NV_ADDRESS_MAP_SCE_MN_CPU_P_I_BASE 0x0b612000
#define NV_ADDRESS_MAP_SCE_MN_CPU_P_I_LIMIT 0x0b612fff
#define NV_ADDRESS_MAP_SCE_MN_CPU_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_MN_CPU_P_I_HEADER

#define NV_ADDRESS_MAP_SCE_MN_DMA_M_I_BASE 0x0b613000
#define NV_ADDRESS_MAP_SCE_MN_DMA_M_I_LIMIT 0x0b613fff
#define NV_ADDRESS_MAP_SCE_MN_DMA_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_MN_DMA_M_I_HEADER

#define NV_ADDRESS_MAP_SCE_MN_DMA_P_I_BASE 0x0b614000
#define NV_ADDRESS_MAP_SCE_MN_DMA_P_I_LIMIT 0x0b614fff
#define NV_ADDRESS_MAP_SCE_MN_DMA_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_MN_DMA_P_I_HEADER

#define NV_ADDRESS_MAP_SCE_SN_AST0_T_BASE 0x0b615000
#define NV_ADDRESS_MAP_SCE_SN_AST0_T_LIMIT 0x0b615fff
#define NV_ADDRESS_MAP_SCE_SN_AST0_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_SN_AST0_T_HEADER

#define NV_ADDRESS_MAP_SCE_SN_AST1_T_BASE 0x0b616000
#define NV_ADDRESS_MAP_SCE_SN_AST1_T_LIMIT 0x0b616fff
#define NV_ADDRESS_MAP_SCE_SN_AST1_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_SN_AST1_T_HEADER

#define NV_ADDRESS_MAP_SCE_SN_CBB_T_BASE 0x0b617000
#define NV_ADDRESS_MAP_SCE_SN_CBB_T_LIMIT 0x0b617fff
#define NV_ADDRESS_MAP_SCE_SN_CBB_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_SN_CBB_T_HEADER

#define NV_ADDRESS_MAP_SCE_SN_CPU_T_BASE 0x0b618000
#define NV_ADDRESS_MAP_SCE_SN_CPU_T_LIMIT 0x0b618fff
#define NV_ADDRESS_MAP_SCE_SN_CPU_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_SN_CPU_T_HEADER

#define NV_ADDRESS_MAP_SCE_EN_CFG_BASE 0x0b619000
#define NV_ADDRESS_MAP_SCE_EN_CFG_LIMIT 0x0b619fff
#define NV_ADDRESS_MAP_SCE_EN_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_EN_CFG_HEADER

#define NV_ADDRESS_MAP_SCE_FABRIC_ERR_COLLATOR_BASE 0x0b620000
#define NV_ADDRESS_MAP_SCE_FABRIC_ERR_COLLATOR_LIMIT 0x0b620fff
#define NV_ADDRESS_MAP_SCE_FABRIC_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_FABRIC_ERR_COLLATOR_HEADER

#define NV_ADDRESS_MAP_SCE_ERR_COLLATOR_BASE 0x0b650000
#define NV_ADDRESS_MAP_SCE_ERR_COLLATOR_LIMIT 0x0b65ffff
#define NV_ADDRESS_MAP_SCE_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_ERR_COLLATOR_HEADER arsce_ec.h;arsce_ec_scr.h

#define NV_ADDRESS_MAP_SCE_MISC_BASE 0x0b660000
#define NV_ADDRESS_MAP_SCE_MISC_LIMIT 0x0b66ffff
#define NV_ADDRESS_MAP_SCE_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_MISC_HEADER arsce_misc.h;arsce_misc_scr.h

#define NV_ADDRESS_MAP_SCE_HSP1_COMMON_BASE 0x0b670000
#define NV_ADDRESS_MAP_SCE_HSP1_COMMON_LIMIT 0x0b67ffff
#define NV_ADDRESS_MAP_SCE_HSP1_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_SCE_HSP1_SM_0_1_BASE 0x0b680000
#define NV_ADDRESS_MAP_SCE_HSP1_SM_0_1_LIMIT 0x0b68ffff
#define NV_ADDRESS_MAP_SCE_HSP1_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SM_0_1_HEADER

#define NV_ADDRESS_MAP_SCE_HSP1_SM_2_3_BASE 0x0b690000
#define NV_ADDRESS_MAP_SCE_HSP1_SM_2_3_LIMIT 0x0b69ffff
#define NV_ADDRESS_MAP_SCE_HSP1_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SM_2_3_HEADER

#define NV_ADDRESS_MAP_SCE_HSP1_SM_4_5_BASE 0x0b6a0000
#define NV_ADDRESS_MAP_SCE_HSP1_SM_4_5_LIMIT 0x0b6affff
#define NV_ADDRESS_MAP_SCE_HSP1_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SM_4_5_HEADER

#define NV_ADDRESS_MAP_SCE_HSP1_SM_6_7_BASE 0x0b6b0000
#define NV_ADDRESS_MAP_SCE_HSP1_SM_6_7_LIMIT 0x0b6bffff
#define NV_ADDRESS_MAP_SCE_HSP1_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SM_6_7_HEADER

#define NV_ADDRESS_MAP_SCE_HSP1_SS_0_BASE 0x0b6c0000
#define NV_ADDRESS_MAP_SCE_HSP1_SS_0_LIMIT 0x0b6cffff
#define NV_ADDRESS_MAP_SCE_HSP1_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SS_0_HEADER

#define NV_ADDRESS_MAP_SCE_HSP1_SS_1_BASE 0x0b6d0000
#define NV_ADDRESS_MAP_SCE_HSP1_SS_1_LIMIT 0x0b6dffff
#define NV_ADDRESS_MAP_SCE_HSP1_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SS_1_HEADER

#define NV_ADDRESS_MAP_SCE_HSP1_SS_2_BASE 0x0b6e0000
#define NV_ADDRESS_MAP_SCE_HSP1_SS_2_LIMIT 0x0b6effff
#define NV_ADDRESS_MAP_SCE_HSP1_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SS_2_HEADER

#define NV_ADDRESS_MAP_SCE_HSP1_SS_3_BASE 0x0b6f0000
#define NV_ADDRESS_MAP_SCE_HSP1_SS_3_LIMIT 0x0b6fffff
#define NV_ADDRESS_MAP_SCE_HSP1_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP1_SS_3_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_COMMON_BASE 0x0b700000
#define NV_ADDRESS_MAP_SCE_HSP2_COMMON_LIMIT 0x0b70ffff
#define NV_ADDRESS_MAP_SCE_HSP2_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_SCE_HSP2_SM_0_1_BASE 0x0b710000
#define NV_ADDRESS_MAP_SCE_HSP2_SM_0_1_LIMIT 0x0b71ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SM_0_1_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_SM_2_3_BASE 0x0b720000
#define NV_ADDRESS_MAP_SCE_HSP2_SM_2_3_LIMIT 0x0b72ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SM_2_3_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_SM_4_5_BASE 0x0b730000
#define NV_ADDRESS_MAP_SCE_HSP2_SM_4_5_LIMIT 0x0b73ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SM_4_5_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_SM_6_7_BASE 0x0b740000
#define NV_ADDRESS_MAP_SCE_HSP2_SM_6_7_LIMIT 0x0b74ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SM_6_7_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_SS_0_BASE 0x0b750000
#define NV_ADDRESS_MAP_SCE_HSP2_SS_0_LIMIT 0x0b75ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SS_0_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_SS_1_BASE 0x0b760000
#define NV_ADDRESS_MAP_SCE_HSP2_SS_1_LIMIT 0x0b76ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SS_1_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_SS_2_BASE 0x0b770000
#define NV_ADDRESS_MAP_SCE_HSP2_SS_2_LIMIT 0x0b77ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SS_2_HEADER

#define NV_ADDRESS_MAP_SCE_HSP2_SS_3_BASE 0x0b780000
#define NV_ADDRESS_MAP_SCE_HSP2_SS_3_LIMIT 0x0b78ffff
#define NV_ADDRESS_MAP_SCE_HSP2_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCE_HSP2_SS_3_HEADER

#define NV_ADDRESS_MAP_RCE_ATCM_CFG_EVP_BASE 0x0b800000
#define NV_ADDRESS_MAP_RCE_ATCM_CFG_EVP_LIMIT 0x0b80ffff
#define NV_ADDRESS_MAP_RCE_ATCM_CFG_EVP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_ATCM_CFG_EVP_HEADER

#define NV_ADDRESS_MAP_RCE_VIC_0_BASE 0x0b820000
#define NV_ADDRESS_MAP_RCE_VIC_0_LIMIT 0x0b82ffff
#define NV_ADDRESS_MAP_RCE_VIC_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_VIC_0_HEADER araps_vic.h

#define NV_ADDRESS_MAP_RCE_VIC_1_BASE 0x0b830000
#define NV_ADDRESS_MAP_RCE_VIC_1_LIMIT 0x0b83ffff
#define NV_ADDRESS_MAP_RCE_VIC_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_VIC_1_HEADER araps_vic.h

#define NV_ADDRESS_MAP_RCE_AST_0_BASE 0x0b840000
#define NV_ADDRESS_MAP_RCE_AST_0_LIMIT 0x0b84ffff
#define NV_ADDRESS_MAP_RCE_AST_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_AST_0_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_RCE_AST_1_BASE 0x0b850000
#define NV_ADDRESS_MAP_RCE_AST_1_LIMIT 0x0b85ffff
#define NV_ADDRESS_MAP_RCE_AST_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_AST_1_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_RCE_DMA_COMMON_BASE 0x0b860000
#define NV_ADDRESS_MAP_RCE_DMA_COMMON_LIMIT 0x0b86ffff
#define NV_ADDRESS_MAP_RCE_DMA_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_COMMON_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_0_BASE 0x0b870000
#define NV_ADDRESS_MAP_RCE_DMA_CH_0_LIMIT 0x0b87ffff
#define NV_ADDRESS_MAP_RCE_DMA_CH_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_0_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_1_BASE 0x0b880000
#define NV_ADDRESS_MAP_RCE_DMA_CH_1_LIMIT 0x0b88ffff
#define NV_ADDRESS_MAP_RCE_DMA_CH_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_1_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_2_BASE 0x0b890000
#define NV_ADDRESS_MAP_RCE_DMA_CH_2_LIMIT 0x0b89ffff
#define NV_ADDRESS_MAP_RCE_DMA_CH_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_2_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_3_BASE 0x0b8a0000
#define NV_ADDRESS_MAP_RCE_DMA_CH_3_LIMIT 0x0b8affff
#define NV_ADDRESS_MAP_RCE_DMA_CH_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_3_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_4_BASE 0x0b8b0000
#define NV_ADDRESS_MAP_RCE_DMA_CH_4_LIMIT 0x0b8bffff
#define NV_ADDRESS_MAP_RCE_DMA_CH_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_4_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_5_BASE 0x0b8c0000
#define NV_ADDRESS_MAP_RCE_DMA_CH_5_LIMIT 0x0b8cffff
#define NV_ADDRESS_MAP_RCE_DMA_CH_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_5_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_6_BASE 0x0b8d0000
#define NV_ADDRESS_MAP_RCE_DMA_CH_6_LIMIT 0x0b8dffff
#define NV_ADDRESS_MAP_RCE_DMA_CH_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_6_HEADER

#define NV_ADDRESS_MAP_RCE_DMA_CH_7_BASE 0x0b8e0000
#define NV_ADDRESS_MAP_RCE_DMA_CH_7_LIMIT 0x0b8effff
#define NV_ADDRESS_MAP_RCE_DMA_CH_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DMA_CH_7_HEADER

#define NV_ADDRESS_MAP_RCE_TKE_SHARED_BASE 0x0b8f0000
#define NV_ADDRESS_MAP_RCE_TKE_SHARED_LIMIT 0x0b8fffff
#define NV_ADDRESS_MAP_RCE_TKE_SHARED_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_TKE_SHARED_HEADER

#define NV_ADDRESS_MAP_RCE_TKE_TMR_0_BASE 0x0b900000
#define NV_ADDRESS_MAP_RCE_TKE_TMR_0_LIMIT 0x0b90ffff
#define NV_ADDRESS_MAP_RCE_TKE_TMR_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_TKE_TMR_0_HEADER

#define NV_ADDRESS_MAP_RCE_TKE_TMR_1_BASE 0x0b910000
#define NV_ADDRESS_MAP_RCE_TKE_TMR_1_LIMIT 0x0b91ffff
#define NV_ADDRESS_MAP_RCE_TKE_TMR_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_TKE_TMR_1_HEADER

#define NV_ADDRESS_MAP_RCE_TKE_TMR_2_BASE 0x0b920000
#define NV_ADDRESS_MAP_RCE_TKE_TMR_2_LIMIT 0x0b92ffff
#define NV_ADDRESS_MAP_RCE_TKE_TMR_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_TKE_TMR_2_HEADER

#define NV_ADDRESS_MAP_RCE_TKE_TMR_3_BASE 0x0b930000
#define NV_ADDRESS_MAP_RCE_TKE_TMR_3_LIMIT 0x0b93ffff
#define NV_ADDRESS_MAP_RCE_TKE_TMR_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_TKE_TMR_3_HEADER

#define NV_ADDRESS_MAP_RCE_TKE_WDT_0_BASE 0x0b940000
#define NV_ADDRESS_MAP_RCE_TKE_WDT_0_LIMIT 0x0b94ffff
#define NV_ADDRESS_MAP_RCE_TKE_WDT_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_TKE_WDT_0_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_COMMON_BASE 0x0b950000
#define NV_ADDRESS_MAP_RCE_HSP_COMMON_LIMIT 0x0b95ffff
#define NV_ADDRESS_MAP_RCE_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_RCE_HSP_SM_0_1_BASE 0x0b960000
#define NV_ADDRESS_MAP_RCE_HSP_SM_0_1_LIMIT 0x0b96ffff
#define NV_ADDRESS_MAP_RCE_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_SM_2_3_BASE 0x0b970000
#define NV_ADDRESS_MAP_RCE_HSP_SM_2_3_LIMIT 0x0b97ffff
#define NV_ADDRESS_MAP_RCE_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_SM_4_5_BASE 0x0b980000
#define NV_ADDRESS_MAP_RCE_HSP_SM_4_5_LIMIT 0x0b98ffff
#define NV_ADDRESS_MAP_RCE_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_SM_6_7_BASE 0x0b990000
#define NV_ADDRESS_MAP_RCE_HSP_SM_6_7_LIMIT 0x0b99ffff
#define NV_ADDRESS_MAP_RCE_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_SS_0_BASE 0x0b9a0000
#define NV_ADDRESS_MAP_RCE_HSP_SS_0_LIMIT 0x0b9affff
#define NV_ADDRESS_MAP_RCE_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_SS_1_BASE 0x0b9b0000
#define NV_ADDRESS_MAP_RCE_HSP_SS_1_LIMIT 0x0b9bffff
#define NV_ADDRESS_MAP_RCE_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_SS_2_BASE 0x0b9c0000
#define NV_ADDRESS_MAP_RCE_HSP_SS_2_LIMIT 0x0b9cffff
#define NV_ADDRESS_MAP_RCE_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_RCE_HSP_SS_3_BASE 0x0b9d0000
#define NV_ADDRESS_MAP_RCE_HSP_SS_3_LIMIT 0x0b9dffff
#define NV_ADDRESS_MAP_RCE_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_RCE_GTE_BASE 0x0b9e0000
#define NV_ADDRESS_MAP_RCE_GTE_LIMIT 0x0b9effff
#define NV_ADDRESS_MAP_RCE_GTE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_GTE_HEADER argte_aps.h;argte_aps_scr.h

#define NV_ADDRESS_MAP_RCE_PM_IMPL_BASE 0x0b9f0000
#define NV_ADDRESS_MAP_RCE_PM_IMPL_LIMIT 0x0b9fffff
#define NV_ADDRESS_MAP_RCE_PM_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_PM_IMPL_HEADER arscepm.h;arscepm_scr.h

#define NV_ADDRESS_MAP_RCE_ACTMON_BASE 0x0ba00000
#define NV_ADDRESS_MAP_RCE_ACTMON_LIMIT 0x0ba0ffff
#define NV_ADDRESS_MAP_RCE_ACTMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_ACTMON_HEADER arunit_actmon.h

#define NV_ADDRESS_MAP_RCE_CFG_BASE 0x0ba30000
#define NV_ADDRESS_MAP_RCE_CFG_LIMIT 0x0ba3ffff
#define NV_ADDRESS_MAP_RCE_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_CFG_HEADER araps_proc_cfg.h

#define NV_ADDRESS_MAP_RCE_HSM_BASE 0x0ba40000
#define NV_ADDRESS_MAP_RCE_HSM_LIMIT 0x0ba4ffff
#define NV_ADDRESS_MAP_RCE_HSM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSM_HEADER arsce_hsm.h

#define NV_ADDRESS_MAP_RCE_ATCM_EVP_EXT_BASE 0x0bc00000
#define NV_ADDRESS_MAP_RCE_ATCM_EVP_EXT_LIMIT 0x0bc0ffff
#define NV_ADDRESS_MAP_RCE_ATCM_EVP_EXT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_ATCM_EVP_EXT_HEADER arrce_evp.h

#define NV_ADDRESS_MAP_RCE_BTCM_BASE 0x0bc80000
#define NV_ADDRESS_MAP_RCE_BTCM_LIMIT 0x0bcdffff
#define NV_ADDRESS_MAP_RCE_BTCM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_BTCM_HEADER no_headers

#define NV_ADDRESS_MAP_RCE_ICACHE_ACCESS_PORT_BASE 0x0bd00000
#define NV_ADDRESS_MAP_RCE_ICACHE_ACCESS_PORT_LIMIT 0x0bd7ffff
#define NV_ADDRESS_MAP_RCE_ICACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_ICACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_RCE_DCACHE_ACCESS_PORT_BASE 0x0bd80000
#define NV_ADDRESS_MAP_RCE_DCACHE_ACCESS_PORT_LIMIT 0x0bdfffff
#define NV_ADDRESS_MAP_RCE_DCACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_DCACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_RCE_SN_AXI2APB_1_BASE 0x0be00000
#define NV_ADDRESS_MAP_RCE_SN_AXI2APB_1_LIMIT 0x0be00fff
#define NV_ADDRESS_MAP_RCE_SN_AXI2APB_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_SN_AXI2APB_1_HEADER

#define NV_ADDRESS_MAP_RCE_MN_CPU_M_I_BASE 0x0be10000
#define NV_ADDRESS_MAP_RCE_MN_CPU_M_I_LIMIT 0x0be10fff
#define NV_ADDRESS_MAP_RCE_MN_CPU_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_MN_CPU_M_I_HEADER

#define NV_ADDRESS_MAP_RCE_MN_CBB_I_BASE 0x0be11000
#define NV_ADDRESS_MAP_RCE_MN_CBB_I_LIMIT 0x0be11fff
#define NV_ADDRESS_MAP_RCE_MN_CBB_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_MN_CBB_I_HEADER

#define NV_ADDRESS_MAP_RCE_MN_CPU_P_I_BASE 0x0be12000
#define NV_ADDRESS_MAP_RCE_MN_CPU_P_I_LIMIT 0x0be12fff
#define NV_ADDRESS_MAP_RCE_MN_CPU_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_MN_CPU_P_I_HEADER

#define NV_ADDRESS_MAP_RCE_MN_DMA_M_I_BASE 0x0be13000
#define NV_ADDRESS_MAP_RCE_MN_DMA_M_I_LIMIT 0x0be13fff
#define NV_ADDRESS_MAP_RCE_MN_DMA_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_MN_DMA_M_I_HEADER

#define NV_ADDRESS_MAP_RCE_MN_DMA_P_I_BASE 0x0be14000
#define NV_ADDRESS_MAP_RCE_MN_DMA_P_I_LIMIT 0x0be14fff
#define NV_ADDRESS_MAP_RCE_MN_DMA_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_MN_DMA_P_I_HEADER

#define NV_ADDRESS_MAP_RCE_SN_AST0_T_BASE 0x0be15000
#define NV_ADDRESS_MAP_RCE_SN_AST0_T_LIMIT 0x0be15fff
#define NV_ADDRESS_MAP_RCE_SN_AST0_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_SN_AST0_T_HEADER

#define NV_ADDRESS_MAP_RCE_SN_AST1_T_BASE 0x0be16000
#define NV_ADDRESS_MAP_RCE_SN_AST1_T_LIMIT 0x0be16fff
#define NV_ADDRESS_MAP_RCE_SN_AST1_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_SN_AST1_T_HEADER

#define NV_ADDRESS_MAP_RCE_SN_CBB_T_BASE 0x0be17000
#define NV_ADDRESS_MAP_RCE_SN_CBB_T_LIMIT 0x0be17fff
#define NV_ADDRESS_MAP_RCE_SN_CBB_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_SN_CBB_T_HEADER

#define NV_ADDRESS_MAP_RCE_SN_CPU_T_BASE 0x0be18000
#define NV_ADDRESS_MAP_RCE_SN_CPU_T_LIMIT 0x0be18fff
#define NV_ADDRESS_MAP_RCE_SN_CPU_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_SN_CPU_T_HEADER

#define NV_ADDRESS_MAP_RCE_EN_CFG_BASE 0x0be19000
#define NV_ADDRESS_MAP_RCE_EN_CFG_LIMIT 0x0be19fff
#define NV_ADDRESS_MAP_RCE_EN_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_EN_CFG_HEADER

#define NV_ADDRESS_MAP_RCE_FABRIC_ERR_COLLATOR_BASE 0x0be20000
#define NV_ADDRESS_MAP_RCE_FABRIC_ERR_COLLATOR_LIMIT 0x0be20fff
#define NV_ADDRESS_MAP_RCE_FABRIC_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_FABRIC_ERR_COLLATOR_HEADER

#define NV_ADDRESS_MAP_RCE_ERR_COLLATOR_BASE 0x0be50000
#define NV_ADDRESS_MAP_RCE_ERR_COLLATOR_LIMIT 0x0be5ffff
#define NV_ADDRESS_MAP_RCE_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_ERR_COLLATOR_HEADER arsce_ec.h;arsce_ec_scr.h

#define NV_ADDRESS_MAP_RCE_MISC_BASE 0x0be60000
#define NV_ADDRESS_MAP_RCE_MISC_LIMIT 0x0be6ffff
#define NV_ADDRESS_MAP_RCE_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_MISC_HEADER arsce_misc.h;arsce_misc_scr.h

#define NV_ADDRESS_MAP_RCE_HSP1_COMMON_BASE 0x0be70000
#define NV_ADDRESS_MAP_RCE_HSP1_COMMON_LIMIT 0x0be7ffff
#define NV_ADDRESS_MAP_RCE_HSP1_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_RCE_HSP1_SM_0_1_BASE 0x0be80000
#define NV_ADDRESS_MAP_RCE_HSP1_SM_0_1_LIMIT 0x0be8ffff
#define NV_ADDRESS_MAP_RCE_HSP1_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SM_0_1_HEADER

#define NV_ADDRESS_MAP_RCE_HSP1_SM_2_3_BASE 0x0be90000
#define NV_ADDRESS_MAP_RCE_HSP1_SM_2_3_LIMIT 0x0be9ffff
#define NV_ADDRESS_MAP_RCE_HSP1_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SM_2_3_HEADER

#define NV_ADDRESS_MAP_RCE_HSP1_SM_4_5_BASE 0x0bea0000
#define NV_ADDRESS_MAP_RCE_HSP1_SM_4_5_LIMIT 0x0beaffff
#define NV_ADDRESS_MAP_RCE_HSP1_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SM_4_5_HEADER

#define NV_ADDRESS_MAP_RCE_HSP1_SM_6_7_BASE 0x0beb0000
#define NV_ADDRESS_MAP_RCE_HSP1_SM_6_7_LIMIT 0x0bebffff
#define NV_ADDRESS_MAP_RCE_HSP1_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SM_6_7_HEADER

#define NV_ADDRESS_MAP_RCE_HSP1_SS_0_BASE 0x0bec0000
#define NV_ADDRESS_MAP_RCE_HSP1_SS_0_LIMIT 0x0becffff
#define NV_ADDRESS_MAP_RCE_HSP1_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SS_0_HEADER

#define NV_ADDRESS_MAP_RCE_HSP1_SS_1_BASE 0x0bed0000
#define NV_ADDRESS_MAP_RCE_HSP1_SS_1_LIMIT 0x0bedffff
#define NV_ADDRESS_MAP_RCE_HSP1_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SS_1_HEADER

#define NV_ADDRESS_MAP_RCE_HSP1_SS_2_BASE 0x0bee0000
#define NV_ADDRESS_MAP_RCE_HSP1_SS_2_LIMIT 0x0beeffff
#define NV_ADDRESS_MAP_RCE_HSP1_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SS_2_HEADER

#define NV_ADDRESS_MAP_RCE_HSP1_SS_3_BASE 0x0bef0000
#define NV_ADDRESS_MAP_RCE_HSP1_SS_3_LIMIT 0x0befffff
#define NV_ADDRESS_MAP_RCE_HSP1_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP1_SS_3_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_COMMON_BASE 0x0bf00000
#define NV_ADDRESS_MAP_RCE_HSP2_COMMON_LIMIT 0x0bf0ffff
#define NV_ADDRESS_MAP_RCE_HSP2_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_RCE_HSP2_SM_0_1_BASE 0x0bf10000
#define NV_ADDRESS_MAP_RCE_HSP2_SM_0_1_LIMIT 0x0bf1ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SM_0_1_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_SM_2_3_BASE 0x0bf20000
#define NV_ADDRESS_MAP_RCE_HSP2_SM_2_3_LIMIT 0x0bf2ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SM_2_3_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_SM_4_5_BASE 0x0bf30000
#define NV_ADDRESS_MAP_RCE_HSP2_SM_4_5_LIMIT 0x0bf3ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SM_4_5_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_SM_6_7_BASE 0x0bf40000
#define NV_ADDRESS_MAP_RCE_HSP2_SM_6_7_LIMIT 0x0bf4ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SM_6_7_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_SS_0_BASE 0x0bf50000
#define NV_ADDRESS_MAP_RCE_HSP2_SS_0_LIMIT 0x0bf5ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SS_0_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_SS_1_BASE 0x0bf60000
#define NV_ADDRESS_MAP_RCE_HSP2_SS_1_LIMIT 0x0bf6ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SS_1_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_SS_2_BASE 0x0bf70000
#define NV_ADDRESS_MAP_RCE_HSP2_SS_2_LIMIT 0x0bf7ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SS_2_HEADER

#define NV_ADDRESS_MAP_RCE_HSP2_SS_3_BASE 0x0bf80000
#define NV_ADDRESS_MAP_RCE_HSP2_SS_3_LIMIT 0x0bf8ffff
#define NV_ADDRESS_MAP_RCE_HSP2_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RCE_HSP2_SS_3_HEADER

#define NV_ADDRESS_MAP_AON_ATCM_CFG_EVP_BASE 0x0c000000
#define NV_ADDRESS_MAP_AON_ATCM_CFG_EVP_LIMIT 0x0c00ffff
#define NV_ADDRESS_MAP_AON_ATCM_CFG_EVP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_ATCM_CFG_EVP_HEADER

#define NV_ADDRESS_MAP_AON_VIC_0_BASE 0x0c020000
#define NV_ADDRESS_MAP_AON_VIC_0_LIMIT 0x0c02ffff
#define NV_ADDRESS_MAP_AON_VIC_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_VIC_0_HEADER araps_vic.h

#define NV_ADDRESS_MAP_AON_VIC_1_BASE 0x0c030000
#define NV_ADDRESS_MAP_AON_VIC_1_LIMIT 0x0c03ffff
#define NV_ADDRESS_MAP_AON_VIC_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_VIC_1_HEADER araps_vic.h

#define NV_ADDRESS_MAP_AON_AST_0_BASE 0x0c040000
#define NV_ADDRESS_MAP_AON_AST_0_LIMIT 0x0c04ffff
#define NV_ADDRESS_MAP_AON_AST_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_AST_0_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_AON_AST_1_BASE 0x0c050000
#define NV_ADDRESS_MAP_AON_AST_1_LIMIT 0x0c05ffff
#define NV_ADDRESS_MAP_AON_AST_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_AST_1_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_AON_DMA_COMMON_BASE 0x0c060000
#define NV_ADDRESS_MAP_AON_DMA_COMMON_LIMIT 0x0c06ffff
#define NV_ADDRESS_MAP_AON_DMA_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_COMMON_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_0_BASE 0x0c070000
#define NV_ADDRESS_MAP_AON_DMA_CH_0_LIMIT 0x0c07ffff
#define NV_ADDRESS_MAP_AON_DMA_CH_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_0_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_1_BASE 0x0c080000
#define NV_ADDRESS_MAP_AON_DMA_CH_1_LIMIT 0x0c08ffff
#define NV_ADDRESS_MAP_AON_DMA_CH_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_1_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_2_BASE 0x0c090000
#define NV_ADDRESS_MAP_AON_DMA_CH_2_LIMIT 0x0c09ffff
#define NV_ADDRESS_MAP_AON_DMA_CH_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_2_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_3_BASE 0x0c0a0000
#define NV_ADDRESS_MAP_AON_DMA_CH_3_LIMIT 0x0c0affff
#define NV_ADDRESS_MAP_AON_DMA_CH_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_3_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_4_BASE 0x0c0b0000
#define NV_ADDRESS_MAP_AON_DMA_CH_4_LIMIT 0x0c0bffff
#define NV_ADDRESS_MAP_AON_DMA_CH_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_4_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_5_BASE 0x0c0c0000
#define NV_ADDRESS_MAP_AON_DMA_CH_5_LIMIT 0x0c0cffff
#define NV_ADDRESS_MAP_AON_DMA_CH_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_5_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_6_BASE 0x0c0d0000
#define NV_ADDRESS_MAP_AON_DMA_CH_6_LIMIT 0x0c0dffff
#define NV_ADDRESS_MAP_AON_DMA_CH_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_6_HEADER

#define NV_ADDRESS_MAP_AON_DMA_CH_7_BASE 0x0c0e0000
#define NV_ADDRESS_MAP_AON_DMA_CH_7_LIMIT 0x0c0effff
#define NV_ADDRESS_MAP_AON_DMA_CH_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DMA_CH_7_HEADER

#define NV_ADDRESS_MAP_AON_TKE_SHARED_BASE 0x0c0f0000
#define NV_ADDRESS_MAP_AON_TKE_SHARED_LIMIT 0x0c0fffff
#define NV_ADDRESS_MAP_AON_TKE_SHARED_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_TKE_SHARED_HEADER

#define NV_ADDRESS_MAP_AON_TKE_TMR_0_BASE 0x0c100000
#define NV_ADDRESS_MAP_AON_TKE_TMR_0_LIMIT 0x0c10ffff
#define NV_ADDRESS_MAP_AON_TKE_TMR_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_TKE_TMR_0_HEADER

#define NV_ADDRESS_MAP_AON_TKE_TMR_1_BASE 0x0c110000
#define NV_ADDRESS_MAP_AON_TKE_TMR_1_LIMIT 0x0c11ffff
#define NV_ADDRESS_MAP_AON_TKE_TMR_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_TKE_TMR_1_HEADER

#define NV_ADDRESS_MAP_AON_TKE_TMR_2_BASE 0x0c120000
#define NV_ADDRESS_MAP_AON_TKE_TMR_2_LIMIT 0x0c12ffff
#define NV_ADDRESS_MAP_AON_TKE_TMR_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_TKE_TMR_2_HEADER

#define NV_ADDRESS_MAP_AON_TKE_TMR_3_BASE 0x0c130000
#define NV_ADDRESS_MAP_AON_TKE_TMR_3_LIMIT 0x0c13ffff
#define NV_ADDRESS_MAP_AON_TKE_TMR_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_TKE_TMR_3_HEADER

#define NV_ADDRESS_MAP_AON_TKE_WDT_0_BASE 0x0c140000
#define NV_ADDRESS_MAP_AON_TKE_WDT_0_LIMIT 0x0c14ffff
#define NV_ADDRESS_MAP_AON_TKE_WDT_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_TKE_WDT_0_HEADER

#define NV_ADDRESS_MAP_AON_HSP_COMMON_BASE 0x0c150000
#define NV_ADDRESS_MAP_AON_HSP_COMMON_LIMIT 0x0c15ffff
#define NV_ADDRESS_MAP_AON_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_COMMON_HEADER arhsp_int_aon.h;arhsp_int_aon_scr.h

#define NV_ADDRESS_MAP_AON_HSP_SM_0_1_BASE 0x0c160000
#define NV_ADDRESS_MAP_AON_HSP_SM_0_1_LIMIT 0x0c16ffff
#define NV_ADDRESS_MAP_AON_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_AON_HSP_SM_2_3_BASE 0x0c170000
#define NV_ADDRESS_MAP_AON_HSP_SM_2_3_LIMIT 0x0c17ffff
#define NV_ADDRESS_MAP_AON_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_AON_HSP_SM_4_5_BASE 0x0c180000
#define NV_ADDRESS_MAP_AON_HSP_SM_4_5_LIMIT 0x0c18ffff
#define NV_ADDRESS_MAP_AON_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_AON_HSP_SM_6_7_BASE 0x0c190000
#define NV_ADDRESS_MAP_AON_HSP_SM_6_7_LIMIT 0x0c19ffff
#define NV_ADDRESS_MAP_AON_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_AON_HSP_SS_0_BASE 0x0c1a0000
#define NV_ADDRESS_MAP_AON_HSP_SS_0_LIMIT 0x0c1affff
#define NV_ADDRESS_MAP_AON_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_AON_HSP_SS_1_BASE 0x0c1b0000
#define NV_ADDRESS_MAP_AON_HSP_SS_1_LIMIT 0x0c1bffff
#define NV_ADDRESS_MAP_AON_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_AON_HSP_SS_2_BASE 0x0c1c0000
#define NV_ADDRESS_MAP_AON_HSP_SS_2_LIMIT 0x0c1cffff
#define NV_ADDRESS_MAP_AON_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_AON_HSP_SS_3_BASE 0x0c1d0000
#define NV_ADDRESS_MAP_AON_HSP_SS_3_LIMIT 0x0c1dffff
#define NV_ADDRESS_MAP_AON_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_AON_GTE_BASE 0x0c1e0000
#define NV_ADDRESS_MAP_AON_GTE_LIMIT 0x0c1effff
#define NV_ADDRESS_MAP_AON_GTE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_GTE_HEADER argte_gpio.h;argte_gpio_scr.h

#define NV_ADDRESS_MAP_AON_PM_IMPL_BASE 0x0c1f0000
#define NV_ADDRESS_MAP_AON_PM_IMPL_LIMIT 0x0c1fffff
#define NV_ADDRESS_MAP_AON_PM_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_PM_IMPL_HEADER araopm.h;araopm_scr.h

#define NV_ADDRESS_MAP_AON_ACTMON_BASE 0x0c200000
#define NV_ADDRESS_MAP_AON_ACTMON_LIMIT 0x0c20ffff
#define NV_ADDRESS_MAP_AON_ACTMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_ACTMON_HEADER arunit_actmon.h

#define NV_ADDRESS_MAP_AON_CAN_RAM_CTL_BASE 0x0c210000
#define NV_ADDRESS_MAP_AON_CAN_RAM_CTL_LIMIT 0x0c21ffff
#define NV_ADDRESS_MAP_AON_CAN_RAM_CTL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_CAN_RAM_CTL_HEADER no_headers

#define NV_ADDRESS_MAP_I2C2_BASE 0x0c240000
#define NV_ADDRESS_MAP_I2C2_LIMIT 0x0c24ffff
#define NV_ADDRESS_MAP_I2C2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C2_HEADER ari2c.h

#define NV_ADDRESS_MAP_I2C8_BASE 0x0c250000
#define NV_ADDRESS_MAP_I2C8_LIMIT 0x0c25ffff
#define NV_ADDRESS_MAP_I2C8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_I2C8_HEADER ari2c.h

#define NV_ADDRESS_MAP_SPI2_BASE 0x0c260000
#define NV_ADDRESS_MAP_SPI2_LIMIT 0x0c26ffff
#define NV_ADDRESS_MAP_SPI2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SPI2_HEADER arspi.h

#define NV_ADDRESS_MAP_UARTJ_BASE 0x0c270000
#define NV_ADDRESS_MAP_UARTJ_LIMIT 0x0c27ffff
#define NV_ADDRESS_MAP_UARTJ_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTJ_HEADER arsbsa_uart.h

#define NV_ADDRESS_MAP_UARTC_BASE 0x0c280000
#define NV_ADDRESS_MAP_UARTC_LIMIT 0x0c28ffff
#define NV_ADDRESS_MAP_UARTC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_UARTC_HEADER aruart.h

#define NV_ADDRESS_MAP_RTC_BASE 0x0c2a0000
#define NV_ADDRESS_MAP_RTC_LIMIT 0x0c2affff
#define NV_ADDRESS_MAP_RTC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RTC_HEADER arrtc2.h;arrtc2_scr.h

#define NV_ADDRESS_MAP_AON_GPIO_0_BASE 0x0c2f0000
#define NV_ADDRESS_MAP_AON_GPIO_0_LIMIT 0x0c2fffff
#define NV_ADDRESS_MAP_AON_GPIO_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_GPIO_0_HEADER argpio_common_aon.h;argpio_aon.h

#define NV_ADDRESS_MAP_PADCTL_A12_BASE 0x0c301000
#define NV_ADDRESS_MAP_PADCTL_A12_LIMIT 0x0c301fff
#define NV_ADDRESS_MAP_PADCTL_A12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A12_HEADER arpadctl_SYS.h;arpadctl_SYS_scr.h

#define NV_ADDRESS_MAP_PADCTL_A14_BASE 0x0c302000
#define NV_ADDRESS_MAP_PADCTL_A14_LIMIT 0x0c302fff
#define NV_ADDRESS_MAP_PADCTL_A14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A14_HEADER arpadctl_AO.h;arpadctl_AO_scr.h

#define NV_ADDRESS_MAP_PADCTL_A15_BASE 0x0c303000
#define NV_ADDRESS_MAP_PADCTL_A15_LIMIT 0x0c303fff
#define NV_ADDRESS_MAP_PADCTL_A15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PADCTL_A15_HEADER arpadctl_AO_HV.h;arpadctl_AO_HV_scr.h

#define NV_ADDRESS_MAP_CAN1_BASE 0x0c310000
#define NV_ADDRESS_MAP_CAN1_LIMIT 0x0c31ffff
#define NV_ADDRESS_MAP_CAN1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CAN1_HEADER arm_ttcan.h;arm_ttcan_core.h

#define NV_ADDRESS_MAP_CAN2_BASE 0x0c320000
#define NV_ADDRESS_MAP_CAN2_LIMIT 0x0c32ffff
#define NV_ADDRESS_MAP_CAN2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CAN2_HEADER arm_ttcan.h;arm_ttcan_core.h

#define NV_ADDRESS_MAP_DMIC5_BASE 0x0c330000
#define NV_ADDRESS_MAP_DMIC5_LIMIT 0x0c33ffff
#define NV_ADDRESS_MAP_DMIC5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DMIC5_HEADER araodmic.h

#define NV_ADDRESS_MAP_PWM4_BASE 0x0c340000
#define NV_ADDRESS_MAP_PWM4_LIMIT 0x0c34ffff
#define NV_ADDRESS_MAP_PWM4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PWM4_HEADER arpwm.h

#define NV_ADDRESS_MAP_AON_MSS_BASE 0x0c350000
#define NV_ADDRESS_MAP_AON_MSS_LIMIT 0x0c35ffff
#define NV_ADDRESS_MAP_AON_MSS_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_MSS_HEADER armss_aon_cfg.h;armss_aon_cfg_scr.h;armss_aon_scratch_scr.h

#define NV_ADDRESS_MAP_PMC_IMPL_BASE 0x0c360000
#define NV_ADDRESS_MAP_PMC_IMPL_LIMIT 0x0c36ffff
#define NV_ADDRESS_MAP_PMC_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PMC_IMPL_HEADER arpmc_impl.h;arpmc_impl_scr.h

#define NV_ADDRESS_MAP_WAKE_BASE 0x0c370000
#define NV_ADDRESS_MAP_WAKE_LIMIT 0x0c37ffff
#define NV_ADDRESS_MAP_WAKE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_WAKE_HEADER arwake.h;arwake_scr.h

#define NV_ADDRESS_MAP_SCRATCH_BASE 0x0c390000
#define NV_ADDRESS_MAP_SCRATCH_LIMIT 0x0c39ffff
#define NV_ADDRESS_MAP_SCRATCH_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SCRATCH_HEADER arscratch.h;arscratch_scr.h

#define NV_ADDRESS_MAP_PMC_MISC_BASE 0x0c3a0000
#define NV_ADDRESS_MAP_PMC_MISC_LIMIT 0x0c3affff
#define NV_ADDRESS_MAP_PMC_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PMC_MISC_HEADER arpmc_misc.h;arpmc_misc_scr.h

#define NV_ADDRESS_MAP_AON_CEC_BASE 0x0c3e0000
#define NV_ADDRESS_MAP_AON_CEC_LIMIT 0x0c3effff
#define NV_ADDRESS_MAP_AON_CEC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_CEC_HEADER arcec.h

#define NV_ADDRESS_MAP_AON_ATCM_EVP_EXT_BASE 0x0c400000
#define NV_ADDRESS_MAP_AON_ATCM_EVP_EXT_LIMIT 0x0c40ffff
#define NV_ADDRESS_MAP_AON_ATCM_EVP_EXT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_ATCM_EVP_EXT_HEADER no_headers

#define NV_ADDRESS_MAP_AON_BTCM_BASE 0x0c480000
#define NV_ADDRESS_MAP_AON_BTCM_LIMIT 0x0c4bffff
#define NV_ADDRESS_MAP_AON_BTCM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_BTCM_HEADER no_headers

#define NV_ADDRESS_MAP_AON_ICACHE_ACCESS_PORT_BASE 0x0c500000
#define NV_ADDRESS_MAP_AON_ICACHE_ACCESS_PORT_LIMIT 0x0c57ffff
#define NV_ADDRESS_MAP_AON_ICACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_ICACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_AON_DCACHE_ACCESS_PORT_BASE 0x0c580000
#define NV_ADDRESS_MAP_AON_DCACHE_ACCESS_PORT_LIMIT 0x0c5fffff
#define NV_ADDRESS_MAP_AON_DCACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_DCACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_AON_SN_AXI2APB_1_BASE 0x0c600000
#define NV_ADDRESS_MAP_AON_SN_AXI2APB_1_LIMIT 0x0c600fff
#define NV_ADDRESS_MAP_AON_SN_AXI2APB_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_SN_AXI2APB_1_HEADER

#define NV_ADDRESS_MAP_AON_MN_CPU_P_I_BASE 0x0c610000
#define NV_ADDRESS_MAP_AON_MN_CPU_P_I_LIMIT 0x0c610fff
#define NV_ADDRESS_MAP_AON_MN_CPU_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_MN_CPU_P_I_HEADER

#define NV_ADDRESS_MAP_AON_MN_DMA_P_I_BASE 0x0c611000
#define NV_ADDRESS_MAP_AON_MN_DMA_P_I_LIMIT 0x0c611fff
#define NV_ADDRESS_MAP_AON_MN_DMA_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_MN_DMA_P_I_HEADER

#define NV_ADDRESS_MAP_AON_MN_CBB_I_BASE 0x0c612000
#define NV_ADDRESS_MAP_AON_MN_CBB_I_LIMIT 0x0c612fff
#define NV_ADDRESS_MAP_AON_MN_CBB_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_MN_CBB_I_HEADER

#define NV_ADDRESS_MAP_AON_MN_DMA_M_I_BASE 0x0c613000
#define NV_ADDRESS_MAP_AON_MN_DMA_M_I_LIMIT 0x0c613fff
#define NV_ADDRESS_MAP_AON_MN_DMA_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_MN_DMA_M_I_HEADER

#define NV_ADDRESS_MAP_AON_SN_AST1_T_BASE 0x0c614000
#define NV_ADDRESS_MAP_AON_SN_AST1_T_LIMIT 0x0c614fff
#define NV_ADDRESS_MAP_AON_SN_AST1_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_SN_AST1_T_HEADER

#define NV_ADDRESS_MAP_AON_SN_CBB_T_BASE 0x0c615000
#define NV_ADDRESS_MAP_AON_SN_CBB_T_LIMIT 0x0c615fff
#define NV_ADDRESS_MAP_AON_SN_CBB_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_SN_CBB_T_HEADER

#define NV_ADDRESS_MAP_AON_SN_CPU_T_BASE 0x0c616000
#define NV_ADDRESS_MAP_AON_SN_CPU_T_LIMIT 0x0c616fff
#define NV_ADDRESS_MAP_AON_SN_CPU_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_SN_CPU_T_HEADER

#define NV_ADDRESS_MAP_AON_EN_CFG_BASE 0x0c617000
#define NV_ADDRESS_MAP_AON_EN_CFG_LIMIT 0x0c617fff
#define NV_ADDRESS_MAP_AON_EN_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_EN_CFG_HEADER

#define NV_ADDRESS_MAP_AON_FABRIC_NPG_ERR_COLLATOR_BASE 0x0c620000
#define NV_ADDRESS_MAP_AON_FABRIC_NPG_ERR_COLLATOR_LIMIT 0x0c620fff
#define NV_ADDRESS_MAP_AON_FABRIC_NPG_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_FABRIC_NPG_ERR_COLLATOR_HEADER

#define NV_ADDRESS_MAP_AON_FABRIC_PG_ERR_COLLATOR_BASE 0x0c621000
#define NV_ADDRESS_MAP_AON_FABRIC_PG_ERR_COLLATOR_LIMIT 0x0c621fff
#define NV_ADDRESS_MAP_AON_FABRIC_PG_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_FABRIC_PG_ERR_COLLATOR_HEADER

#define NV_ADDRESS_MAP_AON_ERR_COLLATOR_BASE 0x0c650000
#define NV_ADDRESS_MAP_AON_ERR_COLLATOR_LIMIT 0x0c65ffff
#define NV_ADDRESS_MAP_AON_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_ERR_COLLATOR_HEADER araoncluster_error_collator.h;araoncluster_error_collator_scr.h

#define NV_ADDRESS_MAP_AON_MISC_BASE 0x0c660000
#define NV_ADDRESS_MAP_AON_MISC_LIMIT 0x0c66ffff
#define NV_ADDRESS_MAP_AON_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_MISC_HEADER araon_misc.h;araon_misc_scr.h

#define NV_ADDRESS_MAP_SYSCTR0_BASE 0x0c670000
#define NV_ADDRESS_MAP_SYSCTR0_LIMIT 0x0c67ffff
#define NV_ADDRESS_MAP_SYSCTR0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SYSCTR0_HEADER artsc_sysctr0.h

#define NV_ADDRESS_MAP_SYSCTR1_BASE 0x0c680000
#define NV_ADDRESS_MAP_SYSCTR1_LIMIT 0x0c68ffff
#define NV_ADDRESS_MAP_SYSCTR1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SYSCTR1_HEADER artsc_sysctr1.h

#define NV_ADDRESS_MAP_SYSCTR2_BASE 0x0c690000
#define NV_ADDRESS_MAP_SYSCTR2_LIMIT 0x0c69ffff
#define NV_ADDRESS_MAP_SYSCTR2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SYSCTR2_HEADER artsc_sysctr2.h

#define NV_ADDRESS_MAP_TSC_IMPL_BASE 0x0c6a0000
#define NV_ADDRESS_MAP_TSC_IMPL_LIMIT 0x0c6affff
#define NV_ADDRESS_MAP_TSC_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSC_IMPL_HEADER artsc.h;artsc_scr.h

#define NV_ADDRESS_MAP_TSCUS_BASE 0x0c6b0000
#define NV_ADDRESS_MAP_TSCUS_LIMIT 0x0c6bffff
#define NV_ADDRESS_MAP_TSCUS_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_TSCUS_HEADER arusec_cntr.h;arusec_cntr_scr.h

#define NV_ADDRESS_MAP_BPMP_ATCM_CFG_EVP_BASE 0x0d000000
#define NV_ADDRESS_MAP_BPMP_ATCM_CFG_EVP_LIMIT 0x0d00ffff
#define NV_ADDRESS_MAP_BPMP_ATCM_CFG_EVP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_ATCM_CFG_EVP_HEADER

#define NV_ADDRESS_MAP_BPMP_IPATCH_BASE 0x0d010000
#define NV_ADDRESS_MAP_BPMP_IPATCH_LIMIT 0x0d01ffff
#define NV_ADDRESS_MAP_BPMP_IPATCH_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_IPATCH_HEADER

#define NV_ADDRESS_MAP_BPMP_VIC_0_BASE 0x0d020000
#define NV_ADDRESS_MAP_BPMP_VIC_0_LIMIT 0x0d02ffff
#define NV_ADDRESS_MAP_BPMP_VIC_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_VIC_0_HEADER araps_vic.h

#define NV_ADDRESS_MAP_BPMP_VIC_1_BASE 0x0d030000
#define NV_ADDRESS_MAP_BPMP_VIC_1_LIMIT 0x0d03ffff
#define NV_ADDRESS_MAP_BPMP_VIC_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_VIC_1_HEADER araps_vic.h

#define NV_ADDRESS_MAP_BPMP_AST_0_BASE 0x0d040000
#define NV_ADDRESS_MAP_BPMP_AST_0_LIMIT 0x0d04ffff
#define NV_ADDRESS_MAP_BPMP_AST_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_AST_0_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_BPMP_AST_1_BASE 0x0d050000
#define NV_ADDRESS_MAP_BPMP_AST_1_LIMIT 0x0d05ffff
#define NV_ADDRESS_MAP_BPMP_AST_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_AST_1_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_BPMP_DMA_COMMON_BASE 0x0d060000
#define NV_ADDRESS_MAP_BPMP_DMA_COMMON_LIMIT 0x0d06ffff
#define NV_ADDRESS_MAP_BPMP_DMA_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_DMA_COMMON_HEADER

#define NV_ADDRESS_MAP_BPMP_DMA_CH_0_BASE 0x0d070000
#define NV_ADDRESS_MAP_BPMP_DMA_CH_0_LIMIT 0x0d07ffff
#define NV_ADDRESS_MAP_BPMP_DMA_CH_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_DMA_CH_0_HEADER

#define NV_ADDRESS_MAP_BPMP_DMA_CH_1_BASE 0x0d080000
#define NV_ADDRESS_MAP_BPMP_DMA_CH_1_LIMIT 0x0d08ffff
#define NV_ADDRESS_MAP_BPMP_DMA_CH_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_DMA_CH_1_HEADER

#define NV_ADDRESS_MAP_BPMP_DMA_CH_2_BASE 0x0d090000
#define NV_ADDRESS_MAP_BPMP_DMA_CH_2_LIMIT 0x0d09ffff
#define NV_ADDRESS_MAP_BPMP_DMA_CH_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_DMA_CH_2_HEADER

#define NV_ADDRESS_MAP_BPMP_DMA_CH_3_BASE 0x0d0a0000
#define NV_ADDRESS_MAP_BPMP_DMA_CH_3_LIMIT 0x0d0affff
#define NV_ADDRESS_MAP_BPMP_DMA_CH_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_DMA_CH_3_HEADER

#define NV_ADDRESS_MAP_BPMP_TKE_SHARED_BASE 0x0d0f0000
#define NV_ADDRESS_MAP_BPMP_TKE_SHARED_LIMIT 0x0d0fffff
#define NV_ADDRESS_MAP_BPMP_TKE_SHARED_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_TKE_SHARED_HEADER

#define NV_ADDRESS_MAP_BPMP_TKE_TMR_0_BASE 0x0d100000
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_0_LIMIT 0x0d10ffff
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_0_HEADER

#define NV_ADDRESS_MAP_BPMP_TKE_TMR_1_BASE 0x0d110000
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_1_LIMIT 0x0d11ffff
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_1_HEADER

#define NV_ADDRESS_MAP_BPMP_TKE_TMR_2_BASE 0x0d120000
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_2_LIMIT 0x0d12ffff
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_2_HEADER

#define NV_ADDRESS_MAP_BPMP_TKE_TMR_3_BASE 0x0d130000
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_3_LIMIT 0x0d13ffff
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_TKE_TMR_3_HEADER

#define NV_ADDRESS_MAP_BPMP_TKE_WDT_0_BASE 0x0d140000
#define NV_ADDRESS_MAP_BPMP_TKE_WDT_0_LIMIT 0x0d14ffff
#define NV_ADDRESS_MAP_BPMP_TKE_WDT_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_TKE_WDT_0_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_COMMON_BASE 0x0d150000
#define NV_ADDRESS_MAP_BPMP_HSP_COMMON_LIMIT 0x0d15ffff
#define NV_ADDRESS_MAP_BPMP_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_BPMP_HSP_SM_0_1_BASE 0x0d160000
#define NV_ADDRESS_MAP_BPMP_HSP_SM_0_1_LIMIT 0x0d16ffff
#define NV_ADDRESS_MAP_BPMP_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_SM_2_3_BASE 0x0d170000
#define NV_ADDRESS_MAP_BPMP_HSP_SM_2_3_LIMIT 0x0d17ffff
#define NV_ADDRESS_MAP_BPMP_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_SM_4_5_BASE 0x0d180000
#define NV_ADDRESS_MAP_BPMP_HSP_SM_4_5_LIMIT 0x0d18ffff
#define NV_ADDRESS_MAP_BPMP_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_SM_6_7_BASE 0x0d190000
#define NV_ADDRESS_MAP_BPMP_HSP_SM_6_7_LIMIT 0x0d19ffff
#define NV_ADDRESS_MAP_BPMP_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_SS_0_BASE 0x0d1a0000
#define NV_ADDRESS_MAP_BPMP_HSP_SS_0_LIMIT 0x0d1affff
#define NV_ADDRESS_MAP_BPMP_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_SS_1_BASE 0x0d1b0000
#define NV_ADDRESS_MAP_BPMP_HSP_SS_1_LIMIT 0x0d1bffff
#define NV_ADDRESS_MAP_BPMP_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_SS_2_BASE 0x0d1c0000
#define NV_ADDRESS_MAP_BPMP_HSP_SS_2_LIMIT 0x0d1cffff
#define NV_ADDRESS_MAP_BPMP_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_BPMP_HSP_SS_3_BASE 0x0d1d0000
#define NV_ADDRESS_MAP_BPMP_HSP_SS_3_LIMIT 0x0d1dffff
#define NV_ADDRESS_MAP_BPMP_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_BPMP_GTE_BASE 0x0d1e0000
#define NV_ADDRESS_MAP_BPMP_GTE_LIMIT 0x0d1effff
#define NV_ADDRESS_MAP_BPMP_GTE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_GTE_HEADER argte_aps.h;argte_aps_scr.h

#define NV_ADDRESS_MAP_BPMP_PM_IMPL_BASE 0x0d1f0000
#define NV_ADDRESS_MAP_BPMP_PM_IMPL_LIMIT 0x0d1fffff
#define NV_ADDRESS_MAP_BPMP_PM_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_PM_IMPL_HEADER arbpmppm.h;arbpmppm_scr.h

#define NV_ADDRESS_MAP_BPMP_ACTMON_BASE 0x0d200000
#define NV_ADDRESS_MAP_BPMP_ACTMON_LIMIT 0x0d20ffff
#define NV_ADDRESS_MAP_BPMP_ACTMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_ACTMON_HEADER arunit_actmon.h

#define NV_ADDRESS_MAP_SECURE_BOOT_BASE 0x0d210000
#define NV_ADDRESS_MAP_SECURE_BOOT_LIMIT 0x0d21ffff
#define NV_ADDRESS_MAP_SECURE_BOOT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SECURE_BOOT_HEADER no_headers

#define NV_ADDRESS_MAP_ACTMON_BASE 0x0d230000
#define NV_ADDRESS_MAP_ACTMON_LIMIT 0x0d23ffff
#define NV_ADDRESS_MAP_ACTMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ACTMON_HEADER aractmon.h

#define NV_ADDRESS_MAP_SOC_THERM_BASE 0x0d280000
#define NV_ADDRESS_MAP_SOC_THERM_LIMIT 0x0d28ffff
#define NV_ADDRESS_MAP_SOC_THERM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SOC_THERM_HEADER arsoc_therm.h;arsoc_therm_scr.h

#define NV_ADDRESS_MAP_CENTRAL_VTG_CTLR_BASE 0x0d290000
#define NV_ADDRESS_MAP_CENTRAL_VTG_CTLR_LIMIT 0x0d29ffff
#define NV_ADDRESS_MAP_CENTRAL_VTG_CTLR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CENTRAL_VTG_CTLR_HEADER arbpmpcvc.h;arbpmpcvc_scr.h

#define NV_ADDRESS_MAP_CENTRAL_PWR_MGR_BASE 0x0d2a0000
#define NV_ADDRESS_MAP_CENTRAL_PWR_MGR_LIMIT 0x0d2affff
#define NV_ADDRESS_MAP_CENTRAL_PWR_MGR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CENTRAL_PWR_MGR_HEADER no_headers

#define NV_ADDRESS_MAP_BPMP_CFG_BASE 0x0d2c0000
#define NV_ADDRESS_MAP_BPMP_CFG_LIMIT 0x0d2cffff
#define NV_ADDRESS_MAP_BPMP_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_CFG_HEADER araps_proc_cfg.h

#define NV_ADDRESS_MAP_BPMP_ATCM_EVP_EXT_BASE 0x0d400000
#define NV_ADDRESS_MAP_BPMP_ATCM_EVP_EXT_LIMIT 0x0d40ffff
#define NV_ADDRESS_MAP_BPMP_ATCM_EVP_EXT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_ATCM_EVP_EXT_HEADER arbpmp_evp.h

#define NV_ADDRESS_MAP_BPMP_BOOTROM_EXT_BASE 0x0d410000
#define NV_ADDRESS_MAP_BPMP_BOOTROM_EXT_LIMIT 0x0d43ffff
#define NV_ADDRESS_MAP_BPMP_BOOTROM_EXT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_BOOTROM_EXT_HEADER no_headers

#define NV_ADDRESS_MAP_BPMP_BTCM_BASE 0x0d480000
#define NV_ADDRESS_MAP_BPMP_BTCM_LIMIT 0x0d49ffff
#define NV_ADDRESS_MAP_BPMP_BTCM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_BTCM_HEADER no_headers

#define NV_ADDRESS_MAP_BPMP_ICACHE_ACCESS_PORT_BASE 0x0d500000
#define NV_ADDRESS_MAP_BPMP_ICACHE_ACCESS_PORT_LIMIT 0x0d57ffff
#define NV_ADDRESS_MAP_BPMP_ICACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_ICACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_BPMP_DCACHE_ACCESS_PORT_BASE 0x0d580000
#define NV_ADDRESS_MAP_BPMP_DCACHE_ACCESS_PORT_LIMIT 0x0d5fffff
#define NV_ADDRESS_MAP_BPMP_DCACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_DCACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_BPMP_SN_AXI2APB_1_BASE 0x0d600000
#define NV_ADDRESS_MAP_BPMP_SN_AXI2APB_1_LIMIT 0x0d600fff
#define NV_ADDRESS_MAP_BPMP_SN_AXI2APB_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SN_AXI2APB_1_HEADER

#define NV_ADDRESS_MAP_BPMP_MN_CPU_M_I_BASE 0x0d610000
#define NV_ADDRESS_MAP_BPMP_MN_CPU_M_I_LIMIT 0x0d610fff
#define NV_ADDRESS_MAP_BPMP_MN_CPU_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_MN_CPU_M_I_HEADER

#define NV_ADDRESS_MAP_BPMP_MN_CBB_I_BASE 0x0d611000
#define NV_ADDRESS_MAP_BPMP_MN_CBB_I_LIMIT 0x0d611fff
#define NV_ADDRESS_MAP_BPMP_MN_CBB_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_MN_CBB_I_HEADER

#define NV_ADDRESS_MAP_BPMP_MN_CPU_P_I_BASE 0x0d612000
#define NV_ADDRESS_MAP_BPMP_MN_CPU_P_I_LIMIT 0x0d612fff
#define NV_ADDRESS_MAP_BPMP_MN_CPU_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_MN_CPU_P_I_HEADER

#define NV_ADDRESS_MAP_BPMP_MN_DMA_P_I_BASE 0x0d613000
#define NV_ADDRESS_MAP_BPMP_MN_DMA_P_I_LIMIT 0x0d613fff
#define NV_ADDRESS_MAP_BPMP_MN_DMA_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_MN_DMA_P_I_HEADER

#define NV_ADDRESS_MAP_BPMP_MN_DMA_M_I_BASE 0x0d614000
#define NV_ADDRESS_MAP_BPMP_MN_DMA_M_I_LIMIT 0x0d614fff
#define NV_ADDRESS_MAP_BPMP_MN_DMA_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_MN_DMA_M_I_HEADER

#define NV_ADDRESS_MAP_BPMP_SN_AST0_T_BASE 0x0d615000
#define NV_ADDRESS_MAP_BPMP_SN_AST0_T_LIMIT 0x0d615fff
#define NV_ADDRESS_MAP_BPMP_SN_AST0_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SN_AST0_T_HEADER

#define NV_ADDRESS_MAP_BPMP_SN_AST1_T_BASE 0x0d616000
#define NV_ADDRESS_MAP_BPMP_SN_AST1_T_LIMIT 0x0d616fff
#define NV_ADDRESS_MAP_BPMP_SN_AST1_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SN_AST1_T_HEADER

#define NV_ADDRESS_MAP_BPMP_SN_CBB_T_BASE 0x0d617000
#define NV_ADDRESS_MAP_BPMP_SN_CBB_T_LIMIT 0x0d617fff
#define NV_ADDRESS_MAP_BPMP_SN_CBB_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SN_CBB_T_HEADER

#define NV_ADDRESS_MAP_BPMP_SN_CPU_T_BASE 0x0d618000
#define NV_ADDRESS_MAP_BPMP_SN_CPU_T_LIMIT 0x0d618fff
#define NV_ADDRESS_MAP_BPMP_SN_CPU_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SN_CPU_T_HEADER

#define NV_ADDRESS_MAP_BPMP_EN_CFG_BASE 0x0d619000
#define NV_ADDRESS_MAP_BPMP_EN_CFG_LIMIT 0x0d619fff
#define NV_ADDRESS_MAP_BPMP_EN_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_EN_CFG_HEADER

#define NV_ADDRESS_MAP_BPMP_FABRIC_ERR_COLLATOR_BASE 0x0d620000
#define NV_ADDRESS_MAP_BPMP_FABRIC_ERR_COLLATOR_LIMIT 0x0d620fff
#define NV_ADDRESS_MAP_BPMP_FABRIC_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_FABRIC_ERR_COLLATOR_HEADER

#define NV_ADDRESS_MAP_BPMP_ERR_COLLATOR_BASE 0x0d650000
#define NV_ADDRESS_MAP_BPMP_ERR_COLLATOR_LIMIT 0x0d65ffff
#define NV_ADDRESS_MAP_BPMP_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_ERR_COLLATOR_HEADER arbpmp_error_collator.h;arbpmp_error_collator_scr.h

#define NV_ADDRESS_MAP_BPMP_MISC_CFG_BASE 0x0d660000
#define NV_ADDRESS_MAP_BPMP_MISC_CFG_LIMIT 0x0d66efff
#define NV_ADDRESS_MAP_BPMP_MISC_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_MISC_CFG_HEADER

#define NV_ADDRESS_MAP_BPMP_SCPM_BASE 0x0d66f000
#define NV_ADDRESS_MAP_BPMP_SCPM_LIMIT 0x0d66ffff
#define NV_ADDRESS_MAP_BPMP_SCPM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SCPM_HEADER

#define NV_ADDRESS_MAP_DCE_ATCM_CFG_EVP_BASE 0x0d800000
#define NV_ADDRESS_MAP_DCE_ATCM_CFG_EVP_LIMIT 0x0d80ffff
#define NV_ADDRESS_MAP_DCE_ATCM_CFG_EVP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_ATCM_CFG_EVP_HEADER

#define NV_ADDRESS_MAP_DCE_VIC_0_BASE 0x0d820000
#define NV_ADDRESS_MAP_DCE_VIC_0_LIMIT 0x0d82ffff
#define NV_ADDRESS_MAP_DCE_VIC_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_VIC_0_HEADER araps_vic.h

#define NV_ADDRESS_MAP_DCE_VIC_1_BASE 0x0d830000
#define NV_ADDRESS_MAP_DCE_VIC_1_LIMIT 0x0d83ffff
#define NV_ADDRESS_MAP_DCE_VIC_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_VIC_1_HEADER araps_vic.h

#define NV_ADDRESS_MAP_DCE_AST_0_BASE 0x0d840000
#define NV_ADDRESS_MAP_DCE_AST_0_LIMIT 0x0d84ffff
#define NV_ADDRESS_MAP_DCE_AST_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_AST_0_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_DCE_AST_1_BASE 0x0d850000
#define NV_ADDRESS_MAP_DCE_AST_1_LIMIT 0x0d85ffff
#define NV_ADDRESS_MAP_DCE_AST_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_AST_1_HEADER araps_ast.h;araps_ast_scr.h

#define NV_ADDRESS_MAP_DCE_DMA_COMMON_BASE 0x0d860000
#define NV_ADDRESS_MAP_DCE_DMA_COMMON_LIMIT 0x0d86ffff
#define NV_ADDRESS_MAP_DCE_DMA_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_COMMON_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_0_BASE 0x0d870000
#define NV_ADDRESS_MAP_DCE_DMA_CH_0_LIMIT 0x0d87ffff
#define NV_ADDRESS_MAP_DCE_DMA_CH_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_0_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_1_BASE 0x0d880000
#define NV_ADDRESS_MAP_DCE_DMA_CH_1_LIMIT 0x0d88ffff
#define NV_ADDRESS_MAP_DCE_DMA_CH_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_1_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_2_BASE 0x0d890000
#define NV_ADDRESS_MAP_DCE_DMA_CH_2_LIMIT 0x0d89ffff
#define NV_ADDRESS_MAP_DCE_DMA_CH_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_2_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_3_BASE 0x0d8a0000
#define NV_ADDRESS_MAP_DCE_DMA_CH_3_LIMIT 0x0d8affff
#define NV_ADDRESS_MAP_DCE_DMA_CH_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_3_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_4_BASE 0x0d8b0000
#define NV_ADDRESS_MAP_DCE_DMA_CH_4_LIMIT 0x0d8bffff
#define NV_ADDRESS_MAP_DCE_DMA_CH_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_4_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_5_BASE 0x0d8c0000
#define NV_ADDRESS_MAP_DCE_DMA_CH_5_LIMIT 0x0d8cffff
#define NV_ADDRESS_MAP_DCE_DMA_CH_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_5_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_6_BASE 0x0d8d0000
#define NV_ADDRESS_MAP_DCE_DMA_CH_6_LIMIT 0x0d8dffff
#define NV_ADDRESS_MAP_DCE_DMA_CH_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_6_HEADER

#define NV_ADDRESS_MAP_DCE_DMA_CH_7_BASE 0x0d8e0000
#define NV_ADDRESS_MAP_DCE_DMA_CH_7_LIMIT 0x0d8effff
#define NV_ADDRESS_MAP_DCE_DMA_CH_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DMA_CH_7_HEADER

#define NV_ADDRESS_MAP_DCE_TKE_SHARED_BASE 0x0d8f0000
#define NV_ADDRESS_MAP_DCE_TKE_SHARED_LIMIT 0x0d8fffff
#define NV_ADDRESS_MAP_DCE_TKE_SHARED_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_TKE_SHARED_HEADER

#define NV_ADDRESS_MAP_DCE_TKE_TMR_0_BASE 0x0d900000
#define NV_ADDRESS_MAP_DCE_TKE_TMR_0_LIMIT 0x0d90ffff
#define NV_ADDRESS_MAP_DCE_TKE_TMR_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_TKE_TMR_0_HEADER

#define NV_ADDRESS_MAP_DCE_TKE_TMR_1_BASE 0x0d910000
#define NV_ADDRESS_MAP_DCE_TKE_TMR_1_LIMIT 0x0d91ffff
#define NV_ADDRESS_MAP_DCE_TKE_TMR_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_TKE_TMR_1_HEADER

#define NV_ADDRESS_MAP_DCE_TKE_TMR_2_BASE 0x0d920000
#define NV_ADDRESS_MAP_DCE_TKE_TMR_2_LIMIT 0x0d92ffff
#define NV_ADDRESS_MAP_DCE_TKE_TMR_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_TKE_TMR_2_HEADER

#define NV_ADDRESS_MAP_DCE_TKE_TMR_3_BASE 0x0d930000
#define NV_ADDRESS_MAP_DCE_TKE_TMR_3_LIMIT 0x0d93ffff
#define NV_ADDRESS_MAP_DCE_TKE_TMR_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_TKE_TMR_3_HEADER

#define NV_ADDRESS_MAP_DCE_TKE_WDT_0_BASE 0x0d940000
#define NV_ADDRESS_MAP_DCE_TKE_WDT_0_LIMIT 0x0d94ffff
#define NV_ADDRESS_MAP_DCE_TKE_WDT_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_TKE_WDT_0_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_COMMON_BASE 0x0d950000
#define NV_ADDRESS_MAP_DCE_HSP_COMMON_LIMIT 0x0d95ffff
#define NV_ADDRESS_MAP_DCE_HSP_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_DCE_HSP_SM_0_1_BASE 0x0d960000
#define NV_ADDRESS_MAP_DCE_HSP_SM_0_1_LIMIT 0x0d96ffff
#define NV_ADDRESS_MAP_DCE_HSP_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SM_0_1_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_SM_2_3_BASE 0x0d970000
#define NV_ADDRESS_MAP_DCE_HSP_SM_2_3_LIMIT 0x0d97ffff
#define NV_ADDRESS_MAP_DCE_HSP_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SM_2_3_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_SM_4_5_BASE 0x0d980000
#define NV_ADDRESS_MAP_DCE_HSP_SM_4_5_LIMIT 0x0d98ffff
#define NV_ADDRESS_MAP_DCE_HSP_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SM_4_5_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_SM_6_7_BASE 0x0d990000
#define NV_ADDRESS_MAP_DCE_HSP_SM_6_7_LIMIT 0x0d99ffff
#define NV_ADDRESS_MAP_DCE_HSP_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SM_6_7_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_SS_0_BASE 0x0d9a0000
#define NV_ADDRESS_MAP_DCE_HSP_SS_0_LIMIT 0x0d9affff
#define NV_ADDRESS_MAP_DCE_HSP_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SS_0_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_SS_1_BASE 0x0d9b0000
#define NV_ADDRESS_MAP_DCE_HSP_SS_1_LIMIT 0x0d9bffff
#define NV_ADDRESS_MAP_DCE_HSP_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SS_1_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_SS_2_BASE 0x0d9c0000
#define NV_ADDRESS_MAP_DCE_HSP_SS_2_LIMIT 0x0d9cffff
#define NV_ADDRESS_MAP_DCE_HSP_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SS_2_HEADER

#define NV_ADDRESS_MAP_DCE_HSP_SS_3_BASE 0x0d9d0000
#define NV_ADDRESS_MAP_DCE_HSP_SS_3_LIMIT 0x0d9dffff
#define NV_ADDRESS_MAP_DCE_HSP_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP_SS_3_HEADER

#define NV_ADDRESS_MAP_DCE_GTE_BASE 0x0d9e0000
#define NV_ADDRESS_MAP_DCE_GTE_LIMIT 0x0d9effff
#define NV_ADDRESS_MAP_DCE_GTE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_GTE_HEADER argte_aps.h;argte_aps_scr.h

#define NV_ADDRESS_MAP_DCE_PM_IMPL_BASE 0x0d9f0000
#define NV_ADDRESS_MAP_DCE_PM_IMPL_LIMIT 0x0d9fffff
#define NV_ADDRESS_MAP_DCE_PM_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_PM_IMPL_HEADER arscepm.h;arscepm_scr.h

#define NV_ADDRESS_MAP_DCE_ACTMON_BASE 0x0da00000
#define NV_ADDRESS_MAP_DCE_ACTMON_LIMIT 0x0da0ffff
#define NV_ADDRESS_MAP_DCE_ACTMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_ACTMON_HEADER arunit_actmon.h

#define NV_ADDRESS_MAP_DCE_CFG_BASE 0x0da30000
#define NV_ADDRESS_MAP_DCE_CFG_LIMIT 0x0da3ffff
#define NV_ADDRESS_MAP_DCE_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_CFG_HEADER araps_proc_cfg.h

#define NV_ADDRESS_MAP_DCE_HSM_BASE 0x0da40000
#define NV_ADDRESS_MAP_DCE_HSM_LIMIT 0x0da4ffff
#define NV_ADDRESS_MAP_DCE_HSM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSM_HEADER arsce_hsm.h

#define NV_ADDRESS_MAP_DCE_ATCM_EVP_EXT_BASE 0x0dc00000
#define NV_ADDRESS_MAP_DCE_ATCM_EVP_EXT_LIMIT 0x0dc0ffff
#define NV_ADDRESS_MAP_DCE_ATCM_EVP_EXT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_ATCM_EVP_EXT_HEADER ardce_evp.h

#define NV_ADDRESS_MAP_DCE_BTCM_BASE 0x0dc80000
#define NV_ADDRESS_MAP_DCE_BTCM_LIMIT 0x0dcdffff
#define NV_ADDRESS_MAP_DCE_BTCM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_BTCM_HEADER no_headers

#define NV_ADDRESS_MAP_DCE_ICACHE_ACCESS_PORT_BASE 0x0dd00000
#define NV_ADDRESS_MAP_DCE_ICACHE_ACCESS_PORT_LIMIT 0x0dd7ffff
#define NV_ADDRESS_MAP_DCE_ICACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_ICACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_DCE_DCACHE_ACCESS_PORT_BASE 0x0dd80000
#define NV_ADDRESS_MAP_DCE_DCACHE_ACCESS_PORT_LIMIT 0x0ddfffff
#define NV_ADDRESS_MAP_DCE_DCACHE_ACCESS_PORT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_DCACHE_ACCESS_PORT_HEADER no_headers

#define NV_ADDRESS_MAP_DCE_SN_AXI2APB_1_BASE 0x0de00000
#define NV_ADDRESS_MAP_DCE_SN_AXI2APB_1_LIMIT 0x0de00fff
#define NV_ADDRESS_MAP_DCE_SN_AXI2APB_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_SN_AXI2APB_1_HEADER

#define NV_ADDRESS_MAP_DCE_MN_CPU_M_I_BASE 0x0de10000
#define NV_ADDRESS_MAP_DCE_MN_CPU_M_I_LIMIT 0x0de10fff
#define NV_ADDRESS_MAP_DCE_MN_CPU_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_MN_CPU_M_I_HEADER

#define NV_ADDRESS_MAP_DCE_MN_CBB_I_BASE 0x0de11000
#define NV_ADDRESS_MAP_DCE_MN_CBB_I_LIMIT 0x0de11fff
#define NV_ADDRESS_MAP_DCE_MN_CBB_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_MN_CBB_I_HEADER

#define NV_ADDRESS_MAP_DCE_MN_CPU_P_I_BASE 0x0de12000
#define NV_ADDRESS_MAP_DCE_MN_CPU_P_I_LIMIT 0x0de12fff
#define NV_ADDRESS_MAP_DCE_MN_CPU_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_MN_CPU_P_I_HEADER

#define NV_ADDRESS_MAP_DCE_MN_DMA_M_I_BASE 0x0de13000
#define NV_ADDRESS_MAP_DCE_MN_DMA_M_I_LIMIT 0x0de13fff
#define NV_ADDRESS_MAP_DCE_MN_DMA_M_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_MN_DMA_M_I_HEADER

#define NV_ADDRESS_MAP_DCE_MN_DMA_P_I_BASE 0x0de14000
#define NV_ADDRESS_MAP_DCE_MN_DMA_P_I_LIMIT 0x0de14fff
#define NV_ADDRESS_MAP_DCE_MN_DMA_P_I_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_MN_DMA_P_I_HEADER

#define NV_ADDRESS_MAP_DCE_SN_AST0_T_BASE 0x0de15000
#define NV_ADDRESS_MAP_DCE_SN_AST0_T_LIMIT 0x0de15fff
#define NV_ADDRESS_MAP_DCE_SN_AST0_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_SN_AST0_T_HEADER

#define NV_ADDRESS_MAP_DCE_SN_AST1_T_BASE 0x0de16000
#define NV_ADDRESS_MAP_DCE_SN_AST1_T_LIMIT 0x0de16fff
#define NV_ADDRESS_MAP_DCE_SN_AST1_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_SN_AST1_T_HEADER

#define NV_ADDRESS_MAP_DCE_SN_CBB_T_BASE 0x0de17000
#define NV_ADDRESS_MAP_DCE_SN_CBB_T_LIMIT 0x0de17fff
#define NV_ADDRESS_MAP_DCE_SN_CBB_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_SN_CBB_T_HEADER

#define NV_ADDRESS_MAP_DCE_SN_CPU_T_BASE 0x0de18000
#define NV_ADDRESS_MAP_DCE_SN_CPU_T_LIMIT 0x0de18fff
#define NV_ADDRESS_MAP_DCE_SN_CPU_T_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_SN_CPU_T_HEADER

#define NV_ADDRESS_MAP_DCE_EN_CFG_BASE 0x0de19000
#define NV_ADDRESS_MAP_DCE_EN_CFG_LIMIT 0x0de19fff
#define NV_ADDRESS_MAP_DCE_EN_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_EN_CFG_HEADER

#define NV_ADDRESS_MAP_DCE_FABRIC_ERR_COLLATOR_BASE 0x0de20000
#define NV_ADDRESS_MAP_DCE_FABRIC_ERR_COLLATOR_LIMIT 0x0de20fff
#define NV_ADDRESS_MAP_DCE_FABRIC_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_FABRIC_ERR_COLLATOR_HEADER

#define NV_ADDRESS_MAP_DCE_ERR_COLLATOR_BASE 0x0de50000
#define NV_ADDRESS_MAP_DCE_ERR_COLLATOR_LIMIT 0x0de5ffff
#define NV_ADDRESS_MAP_DCE_ERR_COLLATOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_ERR_COLLATOR_HEADER arsce_ec.h;arsce_ec_scr.h

#define NV_ADDRESS_MAP_DCE_MISC_BASE 0x0de60000
#define NV_ADDRESS_MAP_DCE_MISC_LIMIT 0x0de6ffff
#define NV_ADDRESS_MAP_DCE_MISC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_MISC_HEADER arsce_misc.h;arsce_misc_scr.h

#define NV_ADDRESS_MAP_DCE_HSP1_COMMON_BASE 0x0de70000
#define NV_ADDRESS_MAP_DCE_HSP1_COMMON_LIMIT 0x0de7ffff
#define NV_ADDRESS_MAP_DCE_HSP1_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_DCE_HSP1_SM_0_1_BASE 0x0de80000
#define NV_ADDRESS_MAP_DCE_HSP1_SM_0_1_LIMIT 0x0de8ffff
#define NV_ADDRESS_MAP_DCE_HSP1_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SM_0_1_HEADER

#define NV_ADDRESS_MAP_DCE_HSP1_SM_2_3_BASE 0x0de90000
#define NV_ADDRESS_MAP_DCE_HSP1_SM_2_3_LIMIT 0x0de9ffff
#define NV_ADDRESS_MAP_DCE_HSP1_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SM_2_3_HEADER

#define NV_ADDRESS_MAP_DCE_HSP1_SM_4_5_BASE 0x0dea0000
#define NV_ADDRESS_MAP_DCE_HSP1_SM_4_5_LIMIT 0x0deaffff
#define NV_ADDRESS_MAP_DCE_HSP1_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SM_4_5_HEADER

#define NV_ADDRESS_MAP_DCE_HSP1_SM_6_7_BASE 0x0deb0000
#define NV_ADDRESS_MAP_DCE_HSP1_SM_6_7_LIMIT 0x0debffff
#define NV_ADDRESS_MAP_DCE_HSP1_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SM_6_7_HEADER

#define NV_ADDRESS_MAP_DCE_HSP1_SS_0_BASE 0x0dec0000
#define NV_ADDRESS_MAP_DCE_HSP1_SS_0_LIMIT 0x0decffff
#define NV_ADDRESS_MAP_DCE_HSP1_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SS_0_HEADER

#define NV_ADDRESS_MAP_DCE_HSP1_SS_1_BASE 0x0ded0000
#define NV_ADDRESS_MAP_DCE_HSP1_SS_1_LIMIT 0x0dedffff
#define NV_ADDRESS_MAP_DCE_HSP1_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SS_1_HEADER

#define NV_ADDRESS_MAP_DCE_HSP1_SS_2_BASE 0x0dee0000
#define NV_ADDRESS_MAP_DCE_HSP1_SS_2_LIMIT 0x0deeffff
#define NV_ADDRESS_MAP_DCE_HSP1_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SS_2_HEADER

#define NV_ADDRESS_MAP_DCE_HSP1_SS_3_BASE 0x0def0000
#define NV_ADDRESS_MAP_DCE_HSP1_SS_3_LIMIT 0x0defffff
#define NV_ADDRESS_MAP_DCE_HSP1_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP1_SS_3_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_COMMON_BASE 0x0df00000
#define NV_ADDRESS_MAP_DCE_HSP2_COMMON_LIMIT 0x0df0ffff
#define NV_ADDRESS_MAP_DCE_HSP2_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_COMMON_HEADER arhsp_int.h;arhsp_int_scr.h

#define NV_ADDRESS_MAP_DCE_HSP2_SM_0_1_BASE 0x0df10000
#define NV_ADDRESS_MAP_DCE_HSP2_SM_0_1_LIMIT 0x0df1ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SM_0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SM_0_1_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_SM_2_3_BASE 0x0df20000
#define NV_ADDRESS_MAP_DCE_HSP2_SM_2_3_LIMIT 0x0df2ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SM_2_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SM_2_3_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_SM_4_5_BASE 0x0df30000
#define NV_ADDRESS_MAP_DCE_HSP2_SM_4_5_LIMIT 0x0df3ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SM_4_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SM_4_5_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_SM_6_7_BASE 0x0df40000
#define NV_ADDRESS_MAP_DCE_HSP2_SM_6_7_LIMIT 0x0df4ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SM_6_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SM_6_7_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_SS_0_BASE 0x0df50000
#define NV_ADDRESS_MAP_DCE_HSP2_SS_0_LIMIT 0x0df5ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SS_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SS_0_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_SS_1_BASE 0x0df60000
#define NV_ADDRESS_MAP_DCE_HSP2_SS_1_LIMIT 0x0df6ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SS_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SS_1_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_SS_2_BASE 0x0df70000
#define NV_ADDRESS_MAP_DCE_HSP2_SS_2_LIMIT 0x0df7ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SS_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SS_2_HEADER

#define NV_ADDRESS_MAP_DCE_HSP2_SS_3_BASE 0x0df80000
#define NV_ADDRESS_MAP_DCE_HSP2_SS_3_LIMIT 0x0df8ffff
#define NV_ADDRESS_MAP_DCE_HSP2_SS_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DCE_HSP2_SS_3_HEADER

#define NV_ADDRESS_MAP_CCPLEX_MMCRAB_ARM_BASE 0x0e000000
#define NV_ADDRESS_MAP_CCPLEX_MMCRAB_ARM_LIMIT 0x0e3fffff
#define NV_ADDRESS_MAP_CCPLEX_MMCRAB_ARM_ADDR_LOCALITY CCPLEX
#define NV_ADDRESS_MAP_CCPLEX_MMCRAB_ARM_HEADER no_headers

#define NV_ADDRESS_MAP_AXIS_NIC_0_BASE 0x0f000000
#define NV_ADDRESS_MAP_AXIS_NIC_0_LIMIT 0x0f0fffff
#define NV_ADDRESS_MAP_AXIS_NIC_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AXIS_NIC_0_HEADER no_headers

#define NV_ADDRESS_MAP_RPG_PM_VI0_BASE 0x0f100000
#define NV_ADDRESS_MAP_RPG_PM_VI0_LIMIT 0x0f100fff
#define NV_ADDRESS_MAP_RPG_PM_VI0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_VI0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_VI1_BASE 0x0f101000
#define NV_ADDRESS_MAP_RPG_PM_VI1_LIMIT 0x0f101fff
#define NV_ADDRESS_MAP_RPG_PM_VI1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_VI1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_ISP0_BASE 0x0f102000
#define NV_ADDRESS_MAP_RPG_PM_ISP0_LIMIT 0x0f102fff
#define NV_ADDRESS_MAP_RPG_PM_ISP0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_ISP0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_VIC_BASE 0x0f103000
#define NV_ADDRESS_MAP_RPG_PM_VIC_LIMIT 0x0f103fff
#define NV_ADDRESS_MAP_RPG_PM_VIC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_VIC_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PVA0_0_BASE 0x0f105000
#define NV_ADDRESS_MAP_RPG_PM_PVA0_0_LIMIT 0x0f105fff
#define NV_ADDRESS_MAP_RPG_PM_PVA0_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PVA0_0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PVA0_1_BASE 0x0f106000
#define NV_ADDRESS_MAP_RPG_PM_PVA0_1_LIMIT 0x0f106fff
#define NV_ADDRESS_MAP_RPG_PM_PVA0_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PVA0_1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PVA0_2_BASE 0x0f107000
#define NV_ADDRESS_MAP_RPG_PM_PVA0_2_LIMIT 0x0f107fff
#define NV_ADDRESS_MAP_RPG_PM_PVA0_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PVA0_2_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_NVDLA0_BASE 0x0f108000
#define NV_ADDRESS_MAP_RPG_PM_NVDLA0_LIMIT 0x0f108fff
#define NV_ADDRESS_MAP_RPG_PM_NVDLA0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_NVDLA0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_NVDLA1_BASE 0x0f109000
#define NV_ADDRESS_MAP_RPG_PM_NVDLA1_LIMIT 0x0f109fff
#define NV_ADDRESS_MAP_RPG_PM_NVDLA1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_NVDLA1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_DISPLAY_BASE 0x0f10a000
#define NV_ADDRESS_MAP_RPG_PM_DISPLAY_LIMIT 0x0f10afff
#define NV_ADDRESS_MAP_RPG_PM_DISPLAY_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_DISPLAY_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PMA_BASE 0x0f10b000
#define NV_ADDRESS_MAP_RPG_PM_PMA_LIMIT 0x0f10bfff
#define NV_ADDRESS_MAP_RPG_PM_PMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PMA_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MGBE0_BASE 0x0f10c000
#define NV_ADDRESS_MAP_RPG_PM_MGBE0_LIMIT 0x0f10cfff
#define NV_ADDRESS_MAP_RPG_PM_MGBE0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MGBE0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MGBE1_BASE 0x0f10d000
#define NV_ADDRESS_MAP_RPG_PM_MGBE1_LIMIT 0x0f10dfff
#define NV_ADDRESS_MAP_RPG_PM_MGBE1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MGBE1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MGBE2_BASE 0x0f10e000
#define NV_ADDRESS_MAP_RPG_PM_MGBE2_LIMIT 0x0f10efff
#define NV_ADDRESS_MAP_RPG_PM_MGBE2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MGBE2_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MGBE3_BASE 0x0f10f000
#define NV_ADDRESS_MAP_RPG_PM_MGBE3_LIMIT 0x0f10ffff
#define NV_ADDRESS_MAP_RPG_PM_MGBE3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MGBE3_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_SCF_BASE 0x0f110000
#define NV_ADDRESS_MAP_RPG_PM_SCF_LIMIT 0x0f110fff
#define NV_ADDRESS_MAP_RPG_PM_SCF_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_SCF_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_NVDEC0_BASE 0x0f111000
#define NV_ADDRESS_MAP_RPG_PM_NVDEC0_LIMIT 0x0f111fff
#define NV_ADDRESS_MAP_RPG_PM_NVDEC0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_NVDEC0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_NVENC0_BASE 0x0f112000
#define NV_ADDRESS_MAP_RPG_PM_NVENC0_LIMIT 0x0f112fff
#define NV_ADDRESS_MAP_RPG_PM_NVENC0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_NVENC0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSSNVL_BASE 0x0f113000
#define NV_ADDRESS_MAP_RPG_PM_MSSNVL_LIMIT 0x0f113fff
#define NV_ADDRESS_MAP_RPG_PM_MSSNVL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSSNVL_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C0_BASE 0x0f114000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C0_LIMIT 0x0f114fff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C1_BASE 0x0f115000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C1_LIMIT 0x0f115fff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C2_BASE 0x0f116000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C2_LIMIT 0x0f116fff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C2_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C3_BASE 0x0f117000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C3_LIMIT 0x0f117fff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C3_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C4_BASE 0x0f118000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C4_LIMIT 0x0f118fff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C4_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C5_BASE 0x0f119000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C5_LIMIT 0x0f119fff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C5_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C6_BASE 0x0f11a000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C6_LIMIT 0x0f11afff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C6_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C7_BASE 0x0f11b000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C7_LIMIT 0x0f11bfff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C7_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C8_BASE 0x0f11c000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C8_LIMIT 0x0f11cfff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C8_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C9_BASE 0x0f11d000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C9_LIMIT 0x0f11dfff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C9_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_PCIE_C10_BASE 0x0f11e000
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C10_LIMIT 0x0f11efff
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_PCIE_C10_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS0_BASE 0x0f11f000
#define NV_ADDRESS_MAP_RPG_PM_MSS0_LIMIT 0x0f11ffff
#define NV_ADDRESS_MAP_RPG_PM_MSS0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS1_BASE 0x0f120000
#define NV_ADDRESS_MAP_RPG_PM_MSS1_LIMIT 0x0f120fff
#define NV_ADDRESS_MAP_RPG_PM_MSS1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS2_BASE 0x0f121000
#define NV_ADDRESS_MAP_RPG_PM_MSS2_LIMIT 0x0f121fff
#define NV_ADDRESS_MAP_RPG_PM_MSS2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS2_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS3_BASE 0x0f122000
#define NV_ADDRESS_MAP_RPG_PM_MSS3_LIMIT 0x0f122fff
#define NV_ADDRESS_MAP_RPG_PM_MSS3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS3_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS4_BASE 0x0f123000
#define NV_ADDRESS_MAP_RPG_PM_MSS4_LIMIT 0x0f123fff
#define NV_ADDRESS_MAP_RPG_PM_MSS4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS4_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS5_BASE 0x0f124000
#define NV_ADDRESS_MAP_RPG_PM_MSS5_LIMIT 0x0f124fff
#define NV_ADDRESS_MAP_RPG_PM_MSS5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS5_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS6_BASE 0x0f125000
#define NV_ADDRESS_MAP_RPG_PM_MSS6_LIMIT 0x0f125fff
#define NV_ADDRESS_MAP_RPG_PM_MSS6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS6_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS7_BASE 0x0f126000
#define NV_ADDRESS_MAP_RPG_PM_MSS7_LIMIT 0x0f126fff
#define NV_ADDRESS_MAP_RPG_PM_MSS7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS7_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS8_BASE 0x0f127000
#define NV_ADDRESS_MAP_RPG_PM_MSS8_LIMIT 0x0f127fff
#define NV_ADDRESS_MAP_RPG_PM_MSS8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS8_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS9_BASE 0x0f128000
#define NV_ADDRESS_MAP_RPG_PM_MSS9_LIMIT 0x0f128fff
#define NV_ADDRESS_MAP_RPG_PM_MSS9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS9_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS10_BASE 0x0f129000
#define NV_ADDRESS_MAP_RPG_PM_MSS10_LIMIT 0x0f129fff
#define NV_ADDRESS_MAP_RPG_PM_MSS10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS10_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS11_BASE 0x0f12a000
#define NV_ADDRESS_MAP_RPG_PM_MSS11_LIMIT 0x0f12afff
#define NV_ADDRESS_MAP_RPG_PM_MSS11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS11_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS12_BASE 0x0f12b000
#define NV_ADDRESS_MAP_RPG_PM_MSS12_LIMIT 0x0f12bfff
#define NV_ADDRESS_MAP_RPG_PM_MSS12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS12_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS13_BASE 0x0f12c000
#define NV_ADDRESS_MAP_RPG_PM_MSS13_LIMIT 0x0f12cfff
#define NV_ADDRESS_MAP_RPG_PM_MSS13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS13_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS14_BASE 0x0f12d000
#define NV_ADDRESS_MAP_RPG_PM_MSS14_LIMIT 0x0f12dfff
#define NV_ADDRESS_MAP_RPG_PM_MSS14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS14_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSS15_BASE 0x0f12e000
#define NV_ADDRESS_MAP_RPG_PM_MSS15_LIMIT 0x0f12efff
#define NV_ADDRESS_MAP_RPG_PM_MSS15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSS15_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSSHUB0_BASE 0x0f12f000
#define NV_ADDRESS_MAP_RPG_PM_MSSHUB0_LIMIT 0x0f12ffff
#define NV_ADDRESS_MAP_RPG_PM_MSSHUB0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSSHUB0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MSSHUB1_BASE 0x0f130000
#define NV_ADDRESS_MAP_RPG_PM_MSSHUB1_LIMIT 0x0f130fff
#define NV_ADDRESS_MAP_RPG_PM_MSSHUB1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MSSHUB1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MCF0_BASE 0x0f131000
#define NV_ADDRESS_MAP_RPG_PM_MCF0_LIMIT 0x0f131fff
#define NV_ADDRESS_MAP_RPG_PM_MCF0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MCF0_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MCF1_BASE 0x0f132000
#define NV_ADDRESS_MAP_RPG_PM_MCF1_LIMIT 0x0f132fff
#define NV_ADDRESS_MAP_RPG_PM_MCF1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MCF1_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_RPG_PM_MCF2_BASE 0x0f133000
#define NV_ADDRESS_MAP_RPG_PM_MCF2_LIMIT 0x0f133fff
#define NV_ADDRESS_MAP_RPG_PM_MCF2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RPG_PM_MCF2_HEADER pri_perf_pmm_perfmon.h

#define NV_ADDRESS_MAP_PMA_CFG_BASE 0x0f14a000
#define NV_ADDRESS_MAP_PMA_CFG_LIMIT 0x0f14afff
#define NV_ADDRESS_MAP_PMA_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PMA_CFG_HEADER

#define NV_ADDRESS_MAP_RTR_BASE 0x0f14d000
#define NV_ADDRESS_MAP_RTR_LIMIT 0x0f14dfff
#define NV_ADDRESS_MAP_RTR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_RTR_HEADER pri_perf_pmm_rtr.h

#define NV_ADDRESS_MAP_CCPLEX_GICD_BASE 0x0f400000
#define NV_ADDRESS_MAP_CCPLEX_GICD_LIMIT 0x0f40ffff
#define NV_ADDRESS_MAP_CCPLEX_GICD_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICD_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICA_BASE 0x0f410000
#define NV_ADDRESS_MAP_CCPLEX_GICA_LIMIT 0x0f41ffff
#define NV_ADDRESS_MAP_CCPLEX_GICA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICA_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICT_BASE 0x0f420000
#define NV_ADDRESS_MAP_CCPLEX_GICT_LIMIT 0x0f42ffff
#define NV_ADDRESS_MAP_CCPLEX_GICT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICT_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICP_BASE 0x0f430000
#define NV_ADDRESS_MAP_CCPLEX_GICP_LIMIT 0x0f43ffff
#define NV_ADDRESS_MAP_CCPLEX_GICP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICP_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR0_BASE 0x0f440000
#define NV_ADDRESS_MAP_CCPLEX_GICR0_LIMIT 0x0f45ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR0_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR1_BASE 0x0f460000
#define NV_ADDRESS_MAP_CCPLEX_GICR1_LIMIT 0x0f47ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR1_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR2_BASE 0x0f480000
#define NV_ADDRESS_MAP_CCPLEX_GICR2_LIMIT 0x0f49ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR2_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR3_BASE 0x0f4a0000
#define NV_ADDRESS_MAP_CCPLEX_GICR3_LIMIT 0x0f4bffff
#define NV_ADDRESS_MAP_CCPLEX_GICR3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR3_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR4_BASE 0x0f4c0000
#define NV_ADDRESS_MAP_CCPLEX_GICR4_LIMIT 0x0f4dffff
#define NV_ADDRESS_MAP_CCPLEX_GICR4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR4_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR5_BASE 0x0f4e0000
#define NV_ADDRESS_MAP_CCPLEX_GICR5_LIMIT 0x0f4fffff
#define NV_ADDRESS_MAP_CCPLEX_GICR5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR5_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR6_BASE 0x0f500000
#define NV_ADDRESS_MAP_CCPLEX_GICR6_LIMIT 0x0f51ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR6_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR7_BASE 0x0f520000
#define NV_ADDRESS_MAP_CCPLEX_GICR7_LIMIT 0x0f53ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR7_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR8_BASE 0x0f540000
#define NV_ADDRESS_MAP_CCPLEX_GICR8_LIMIT 0x0f55ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR8_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR9_BASE 0x0f560000
#define NV_ADDRESS_MAP_CCPLEX_GICR9_LIMIT 0x0f57ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR9_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR10_BASE 0x0f580000
#define NV_ADDRESS_MAP_CCPLEX_GICR10_LIMIT 0x0f59ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR10_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR11_BASE 0x0f5a0000
#define NV_ADDRESS_MAP_CCPLEX_GICR11_LIMIT 0x0f5bffff
#define NV_ADDRESS_MAP_CCPLEX_GICR11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR11_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR12_BASE 0x0f5c0000
#define NV_ADDRESS_MAP_CCPLEX_GICR12_LIMIT 0x0f5dffff
#define NV_ADDRESS_MAP_CCPLEX_GICR12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR12_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR13_BASE 0x0f5e0000
#define NV_ADDRESS_MAP_CCPLEX_GICR13_LIMIT 0x0f5fffff
#define NV_ADDRESS_MAP_CCPLEX_GICR13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR13_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR14_BASE 0x0f600000
#define NV_ADDRESS_MAP_CCPLEX_GICR14_LIMIT 0x0f61ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR14_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICR15_BASE 0x0f620000
#define NV_ADDRESS_MAP_CCPLEX_GICR15_LIMIT 0x0f63ffff
#define NV_ADDRESS_MAP_CCPLEX_GICR15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICR15_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICDA_BASE 0x0f640000
#define NV_ADDRESS_MAP_CCPLEX_GICDA_LIMIT 0x0f64ffff
#define NV_ADDRESS_MAP_CCPLEX_GICDA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICDA_HEADER

#define NV_ADDRESS_MAP_CCPLEX_GICFMU_BASE 0x0f7f0000
#define NV_ADDRESS_MAP_CCPLEX_GICFMU_LIMIT 0x0f7fffff
#define NV_ADDRESS_MAP_CCPLEX_GICFMU_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CCPLEX_GICFMU_HEADER

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR0_BASE 0x10000000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR0_LIMIT 0x1000ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR0_BASE 0x10000000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR0_LIMIT 0x10000fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR1_BASE 0x10001000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR1_LIMIT 0x10001fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GID_BASE 0x10002000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GID_LIMIT 0x10002fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_PM_BASE 0x10003000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_PM_LIMIT 0x10003fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR1_BASE 0x10010000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR1_LIMIT 0x1001ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GID_BASE 0x10020000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GID_LIMIT 0x1002ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_PM_BASE 0x10030000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_PM_LIMIT 0x1003ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB0_BASE 0x10080000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB0_LIMIT 0x10080fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB1_BASE 0x10081000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB1_LIMIT 0x10081fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB2_BASE 0x10082000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB2_LIMIT 0x10082fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB3_BASE 0x10083000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB3_LIMIT 0x10083fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB4_BASE 0x10084000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB4_LIMIT 0x10084fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB5_BASE 0x10085000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB5_LIMIT 0x10085fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB6_BASE 0x10086000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB6_LIMIT 0x10086fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB7_BASE 0x10087000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB7_LIMIT 0x10087fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB8_BASE 0x10088000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB8_LIMIT 0x10088fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB9_BASE 0x10089000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB9_LIMIT 0x10089fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB10_BASE 0x1008a000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB10_LIMIT 0x1008afff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB11_BASE 0x1008b000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB11_LIMIT 0x1008bfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB12_BASE 0x1008c000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB12_LIMIT 0x1008cfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB13_BASE 0x1008d000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB13_LIMIT 0x1008dfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB14_BASE 0x1008e000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB14_LIMIT 0x1008efff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB15_BASE 0x1008f000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB15_LIMIT 0x1008ffff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB16_BASE 0x10090000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB16_LIMIT 0x10090fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB17_BASE 0x10091000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB17_LIMIT 0x10091fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB18_BASE 0x10092000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB18_LIMIT 0x10092fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB19_BASE 0x10093000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB19_LIMIT 0x10093fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB20_BASE 0x10094000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB20_LIMIT 0x10094fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB21_BASE 0x10095000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB21_LIMIT 0x10095fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB22_BASE 0x10096000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB22_LIMIT 0x10096fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB23_BASE 0x10097000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB23_LIMIT 0x10097fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB24_BASE 0x10098000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB24_LIMIT 0x10098fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB25_BASE 0x10099000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB25_LIMIT 0x10099fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB26_BASE 0x1009a000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB26_LIMIT 0x1009afff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB27_BASE 0x1009b000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB27_LIMIT 0x1009bfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB28_BASE 0x1009c000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB28_LIMIT 0x1009cfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB29_BASE 0x1009d000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB29_LIMIT 0x1009dfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB30_BASE 0x1009e000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB30_LIMIT 0x1009efff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB31_BASE 0x1009f000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB31_LIMIT 0x1009ffff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB32_BASE 0x100a0000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB32_LIMIT 0x100a0fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB33_BASE 0x100a1000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB33_LIMIT 0x100a1fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB34_BASE 0x100a2000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB34_LIMIT 0x100a2fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB35_BASE 0x100a3000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB35_LIMIT 0x100a3fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB36_BASE 0x100a4000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB36_LIMIT 0x100a4fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB37_BASE 0x100a5000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB37_LIMIT 0x100a5fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB38_BASE 0x100a6000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB38_LIMIT 0x100a6fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB39_BASE 0x100a7000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB39_LIMIT 0x100a7fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB40_BASE 0x100a8000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB40_LIMIT 0x100a8fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB41_BASE 0x100a9000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB41_LIMIT 0x100a9fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB42_BASE 0x100aa000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB42_LIMIT 0x100aafff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB43_BASE 0x100ab000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB43_LIMIT 0x100abfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB44_BASE 0x100ac000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB44_LIMIT 0x100acfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB45_BASE 0x100ad000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB45_LIMIT 0x100adfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB46_BASE 0x100ae000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB46_LIMIT 0x100aefff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB47_BASE 0x100af000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB47_LIMIT 0x100affff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB48_BASE 0x100b0000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB48_LIMIT 0x100b0fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB49_BASE 0x100b1000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB49_LIMIT 0x100b1fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB50_BASE 0x100b2000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB50_LIMIT 0x100b2fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB51_BASE 0x100b3000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB51_LIMIT 0x100b3fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB52_BASE 0x100b4000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB52_LIMIT 0x100b4fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB53_BASE 0x100b5000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB53_LIMIT 0x100b5fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB54_BASE 0x100b6000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB54_LIMIT 0x100b6fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB55_BASE 0x100b7000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB55_LIMIT 0x100b7fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB56_BASE 0x100b8000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB56_LIMIT 0x100b8fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB57_BASE 0x100b9000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB57_LIMIT 0x100b9fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB58_BASE 0x100ba000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB58_LIMIT 0x100bafff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB59_BASE 0x100bb000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB59_LIMIT 0x100bbfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB60_BASE 0x100bc000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB60_LIMIT 0x100bcfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB61_BASE 0x100bd000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB61_LIMIT 0x100bdfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB62_BASE 0x100be000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB62_LIMIT 0x100befff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB63_BASE 0x100bf000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB63_LIMIT 0x100bffff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB64_BASE 0x100c0000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB64_LIMIT 0x100c0fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB65_BASE 0x100c1000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB65_LIMIT 0x100c1fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB66_BASE 0x100c2000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB66_LIMIT 0x100c2fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB67_BASE 0x100c3000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB67_LIMIT 0x100c3fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB68_BASE 0x100c4000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB68_LIMIT 0x100c4fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB69_BASE 0x100c5000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB69_LIMIT 0x100c5fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB70_BASE 0x100c6000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB70_LIMIT 0x100c6fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB71_BASE 0x100c7000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB71_LIMIT 0x100c7fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB72_BASE 0x100c8000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB72_LIMIT 0x100c8fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB73_BASE 0x100c9000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB73_LIMIT 0x100c9fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB74_BASE 0x100ca000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB74_LIMIT 0x100cafff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB75_BASE 0x100cb000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB75_LIMIT 0x100cbfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB76_BASE 0x100cc000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB76_LIMIT 0x100ccfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB77_BASE 0x100cd000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB77_LIMIT 0x100cdfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB78_BASE 0x100ce000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB78_LIMIT 0x100cefff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB79_BASE 0x100cf000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB79_LIMIT 0x100cffff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB80_BASE 0x100d0000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB80_LIMIT 0x100d0fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB81_BASE 0x100d1000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB81_LIMIT 0x100d1fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB82_BASE 0x100d2000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB82_LIMIT 0x100d2fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB83_BASE 0x100d3000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB83_LIMIT 0x100d3fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB84_BASE 0x100d4000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB84_LIMIT 0x100d4fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB85_BASE 0x100d5000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB85_LIMIT 0x100d5fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB86_BASE 0x100d6000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB86_LIMIT 0x100d6fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB87_BASE 0x100d7000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB87_LIMIT 0x100d7fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB88_BASE 0x100d8000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB88_LIMIT 0x100d8fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB89_BASE 0x100d9000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB89_LIMIT 0x100d9fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB90_BASE 0x100da000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB90_LIMIT 0x100dafff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB91_BASE 0x100db000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB91_LIMIT 0x100dbfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB92_BASE 0x100dc000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB92_LIMIT 0x100dcfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB93_BASE 0x100dd000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB93_LIMIT 0x100ddfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB94_BASE 0x100de000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB94_LIMIT 0x100defff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB95_BASE 0x100df000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB95_LIMIT 0x100dffff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB96_BASE 0x100e0000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB96_LIMIT 0x100e0fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB97_BASE 0x100e1000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB97_LIMIT 0x100e1fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB98_BASE 0x100e2000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB98_LIMIT 0x100e2fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB99_BASE 0x100e3000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB99_LIMIT 0x100e3fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB100_BASE 0x100e4000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB100_LIMIT 0x100e4fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB101_BASE 0x100e5000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB101_LIMIT 0x100e5fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB102_BASE 0x100e6000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB102_LIMIT 0x100e6fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB103_BASE 0x100e7000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB103_LIMIT 0x100e7fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB104_BASE 0x100e8000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB104_LIMIT 0x100e8fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB105_BASE 0x100e9000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB105_LIMIT 0x100e9fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB106_BASE 0x100ea000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB106_LIMIT 0x100eafff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB107_BASE 0x100eb000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB107_LIMIT 0x100ebfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB108_BASE 0x100ec000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB108_LIMIT 0x100ecfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB109_BASE 0x100ed000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB109_LIMIT 0x100edfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB110_BASE 0x100ee000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB110_LIMIT 0x100eefff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB111_BASE 0x100ef000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB111_LIMIT 0x100effff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB112_BASE 0x100f0000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB112_LIMIT 0x100f0fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB113_BASE 0x100f1000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB113_LIMIT 0x100f1fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB114_BASE 0x100f2000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB114_LIMIT 0x100f2fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB115_BASE 0x100f3000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB115_LIMIT 0x100f3fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB116_BASE 0x100f4000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB116_LIMIT 0x100f4fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB117_BASE 0x100f5000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB117_LIMIT 0x100f5fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB118_BASE 0x100f6000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB118_LIMIT 0x100f6fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB119_BASE 0x100f7000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB119_LIMIT 0x100f7fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB120_BASE 0x100f8000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB120_LIMIT 0x100f8fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB121_BASE 0x100f9000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB121_LIMIT 0x100f9fff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB122_BASE 0x100fa000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB122_LIMIT 0x100fafff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB123_BASE 0x100fb000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB123_LIMIT 0x100fbfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB124_BASE 0x100fc000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB124_LIMIT 0x100fcfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB125_BASE 0x100fd000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB125_LIMIT 0x100fdfff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB126_BASE 0x100fe000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB126_LIMIT 0x100fefff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB127_BASE 0x100ff000
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB127_LIMIT 0x100fffff
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU2_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU2_4KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB0_BASE 0x10800000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB0_LIMIT 0x1080ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB1_BASE 0x10810000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB1_LIMIT 0x1081ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB2_BASE 0x10820000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB2_LIMIT 0x1082ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB3_BASE 0x10830000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB3_LIMIT 0x1083ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB4_BASE 0x10840000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB4_LIMIT 0x1084ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB5_BASE 0x10850000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB5_LIMIT 0x1085ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB6_BASE 0x10860000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB6_LIMIT 0x1086ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB7_BASE 0x10870000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB7_LIMIT 0x1087ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB8_BASE 0x10880000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB8_LIMIT 0x1088ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB9_BASE 0x10890000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB9_LIMIT 0x1089ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB10_BASE 0x108a0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB10_LIMIT 0x108affff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB11_BASE 0x108b0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB11_LIMIT 0x108bffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB12_BASE 0x108c0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB12_LIMIT 0x108cffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB13_BASE 0x108d0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB13_LIMIT 0x108dffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB14_BASE 0x108e0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB14_LIMIT 0x108effff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB15_BASE 0x108f0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB15_LIMIT 0x108fffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB16_BASE 0x10900000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB16_LIMIT 0x1090ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB17_BASE 0x10910000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB17_LIMIT 0x1091ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB18_BASE 0x10920000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB18_LIMIT 0x1092ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB19_BASE 0x10930000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB19_LIMIT 0x1093ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB20_BASE 0x10940000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB20_LIMIT 0x1094ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB21_BASE 0x10950000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB21_LIMIT 0x1095ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB22_BASE 0x10960000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB22_LIMIT 0x1096ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB23_BASE 0x10970000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB23_LIMIT 0x1097ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB24_BASE 0x10980000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB24_LIMIT 0x1098ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB25_BASE 0x10990000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB25_LIMIT 0x1099ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB26_BASE 0x109a0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB26_LIMIT 0x109affff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB27_BASE 0x109b0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB27_LIMIT 0x109bffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB28_BASE 0x109c0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB28_LIMIT 0x109cffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB29_BASE 0x109d0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB29_LIMIT 0x109dffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB30_BASE 0x109e0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB30_LIMIT 0x109effff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB31_BASE 0x109f0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB31_LIMIT 0x109fffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB32_BASE 0x10a00000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB32_LIMIT 0x10a0ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB33_BASE 0x10a10000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB33_LIMIT 0x10a1ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB34_BASE 0x10a20000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB34_LIMIT 0x10a2ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB35_BASE 0x10a30000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB35_LIMIT 0x10a3ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB36_BASE 0x10a40000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB36_LIMIT 0x10a4ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB37_BASE 0x10a50000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB37_LIMIT 0x10a5ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB38_BASE 0x10a60000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB38_LIMIT 0x10a6ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB39_BASE 0x10a70000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB39_LIMIT 0x10a7ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB40_BASE 0x10a80000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB40_LIMIT 0x10a8ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB41_BASE 0x10a90000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB41_LIMIT 0x10a9ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB42_BASE 0x10aa0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB42_LIMIT 0x10aaffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB43_BASE 0x10ab0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB43_LIMIT 0x10abffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB44_BASE 0x10ac0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB44_LIMIT 0x10acffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB45_BASE 0x10ad0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB45_LIMIT 0x10adffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB46_BASE 0x10ae0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB46_LIMIT 0x10aeffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB47_BASE 0x10af0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB47_LIMIT 0x10afffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB48_BASE 0x10b00000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB48_LIMIT 0x10b0ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB49_BASE 0x10b10000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB49_LIMIT 0x10b1ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB50_BASE 0x10b20000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB50_LIMIT 0x10b2ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB51_BASE 0x10b30000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB51_LIMIT 0x10b3ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB52_BASE 0x10b40000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB52_LIMIT 0x10b4ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB53_BASE 0x10b50000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB53_LIMIT 0x10b5ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB54_BASE 0x10b60000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB54_LIMIT 0x10b6ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB55_BASE 0x10b70000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB55_LIMIT 0x10b7ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB56_BASE 0x10b80000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB56_LIMIT 0x10b8ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB57_BASE 0x10b90000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB57_LIMIT 0x10b9ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB58_BASE 0x10ba0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB58_LIMIT 0x10baffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB59_BASE 0x10bb0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB59_LIMIT 0x10bbffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB60_BASE 0x10bc0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB60_LIMIT 0x10bcffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB61_BASE 0x10bd0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB61_LIMIT 0x10bdffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB62_BASE 0x10be0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB62_LIMIT 0x10beffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB63_BASE 0x10bf0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB63_LIMIT 0x10bfffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB64_BASE 0x10c00000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB64_LIMIT 0x10c0ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB65_BASE 0x10c10000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB65_LIMIT 0x10c1ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB66_BASE 0x10c20000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB66_LIMIT 0x10c2ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB67_BASE 0x10c30000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB67_LIMIT 0x10c3ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB68_BASE 0x10c40000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB68_LIMIT 0x10c4ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB69_BASE 0x10c50000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB69_LIMIT 0x10c5ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB70_BASE 0x10c60000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB70_LIMIT 0x10c6ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB71_BASE 0x10c70000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB71_LIMIT 0x10c7ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB72_BASE 0x10c80000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB72_LIMIT 0x10c8ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB73_BASE 0x10c90000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB73_LIMIT 0x10c9ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB74_BASE 0x10ca0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB74_LIMIT 0x10caffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB75_BASE 0x10cb0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB75_LIMIT 0x10cbffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB76_BASE 0x10cc0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB76_LIMIT 0x10ccffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB77_BASE 0x10cd0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB77_LIMIT 0x10cdffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB78_BASE 0x10ce0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB78_LIMIT 0x10ceffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB79_BASE 0x10cf0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB79_LIMIT 0x10cfffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB80_BASE 0x10d00000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB80_LIMIT 0x10d0ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB81_BASE 0x10d10000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB81_LIMIT 0x10d1ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB82_BASE 0x10d20000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB82_LIMIT 0x10d2ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB83_BASE 0x10d30000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB83_LIMIT 0x10d3ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB84_BASE 0x10d40000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB84_LIMIT 0x10d4ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB85_BASE 0x10d50000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB85_LIMIT 0x10d5ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB86_BASE 0x10d60000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB86_LIMIT 0x10d6ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB87_BASE 0x10d70000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB87_LIMIT 0x10d7ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB88_BASE 0x10d80000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB88_LIMIT 0x10d8ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB89_BASE 0x10d90000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB89_LIMIT 0x10d9ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB90_BASE 0x10da0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB90_LIMIT 0x10daffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB91_BASE 0x10db0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB91_LIMIT 0x10dbffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB92_BASE 0x10dc0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB92_LIMIT 0x10dcffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB93_BASE 0x10dd0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB93_LIMIT 0x10ddffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB94_BASE 0x10de0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB94_LIMIT 0x10deffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB95_BASE 0x10df0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB95_LIMIT 0x10dfffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB96_BASE 0x10e00000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB96_LIMIT 0x10e0ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB97_BASE 0x10e10000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB97_LIMIT 0x10e1ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB98_BASE 0x10e20000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB98_LIMIT 0x10e2ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB99_BASE 0x10e30000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB99_LIMIT 0x10e3ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB100_BASE 0x10e40000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB100_LIMIT 0x10e4ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB101_BASE 0x10e50000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB101_LIMIT 0x10e5ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB102_BASE 0x10e60000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB102_LIMIT 0x10e6ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB103_BASE 0x10e70000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB103_LIMIT 0x10e7ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB104_BASE 0x10e80000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB104_LIMIT 0x10e8ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB105_BASE 0x10e90000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB105_LIMIT 0x10e9ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB106_BASE 0x10ea0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB106_LIMIT 0x10eaffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB107_BASE 0x10eb0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB107_LIMIT 0x10ebffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB108_BASE 0x10ec0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB108_LIMIT 0x10ecffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB109_BASE 0x10ed0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB109_LIMIT 0x10edffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB110_BASE 0x10ee0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB110_LIMIT 0x10eeffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB111_BASE 0x10ef0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB111_LIMIT 0x10efffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB112_BASE 0x10f00000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB112_LIMIT 0x10f0ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB113_BASE 0x10f10000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB113_LIMIT 0x10f1ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB114_BASE 0x10f20000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB114_LIMIT 0x10f2ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB115_BASE 0x10f30000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB115_LIMIT 0x10f3ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB116_BASE 0x10f40000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB116_LIMIT 0x10f4ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB117_BASE 0x10f50000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB117_LIMIT 0x10f5ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB118_BASE 0x10f60000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB118_LIMIT 0x10f6ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB119_BASE 0x10f70000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB119_LIMIT 0x10f7ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB120_BASE 0x10f80000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB120_LIMIT 0x10f8ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB121_BASE 0x10f90000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB121_LIMIT 0x10f9ffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB122_BASE 0x10fa0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB122_LIMIT 0x10faffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB123_BASE 0x10fb0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB123_LIMIT 0x10fbffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB124_BASE 0x10fc0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB124_LIMIT 0x10fcffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB125_BASE 0x10fd0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB125_LIMIT 0x10fdffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB126_BASE 0x10fe0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB126_LIMIT 0x10feffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB127_BASE 0x10ff0000
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB127_LIMIT 0x10ffffff
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU2_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU2_64KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR0_BASE 0x11000000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR0_LIMIT 0x1100ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR0_BASE 0x11000000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR0_LIMIT 0x11000fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR1_BASE 0x11001000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR1_LIMIT 0x11001fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GID_BASE 0x11002000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GID_LIMIT 0x11002fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_PM_BASE 0x11003000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_PM_LIMIT 0x11003fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR1_BASE 0x11010000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR1_LIMIT 0x1101ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GID_BASE 0x11020000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GID_LIMIT 0x1102ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_PM_BASE 0x11030000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_PM_LIMIT 0x1103ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB0_BASE 0x11080000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB0_LIMIT 0x11080fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB1_BASE 0x11081000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB1_LIMIT 0x11081fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB2_BASE 0x11082000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB2_LIMIT 0x11082fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB3_BASE 0x11083000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB3_LIMIT 0x11083fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB4_BASE 0x11084000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB4_LIMIT 0x11084fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB5_BASE 0x11085000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB5_LIMIT 0x11085fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB6_BASE 0x11086000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB6_LIMIT 0x11086fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB7_BASE 0x11087000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB7_LIMIT 0x11087fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB8_BASE 0x11088000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB8_LIMIT 0x11088fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB9_BASE 0x11089000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB9_LIMIT 0x11089fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB10_BASE 0x1108a000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB10_LIMIT 0x1108afff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB11_BASE 0x1108b000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB11_LIMIT 0x1108bfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB12_BASE 0x1108c000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB12_LIMIT 0x1108cfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB13_BASE 0x1108d000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB13_LIMIT 0x1108dfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB14_BASE 0x1108e000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB14_LIMIT 0x1108efff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB15_BASE 0x1108f000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB15_LIMIT 0x1108ffff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB16_BASE 0x11090000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB16_LIMIT 0x11090fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB17_BASE 0x11091000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB17_LIMIT 0x11091fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB18_BASE 0x11092000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB18_LIMIT 0x11092fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB19_BASE 0x11093000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB19_LIMIT 0x11093fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB20_BASE 0x11094000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB20_LIMIT 0x11094fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB21_BASE 0x11095000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB21_LIMIT 0x11095fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB22_BASE 0x11096000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB22_LIMIT 0x11096fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB23_BASE 0x11097000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB23_LIMIT 0x11097fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB24_BASE 0x11098000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB24_LIMIT 0x11098fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB25_BASE 0x11099000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB25_LIMIT 0x11099fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB26_BASE 0x1109a000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB26_LIMIT 0x1109afff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB27_BASE 0x1109b000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB27_LIMIT 0x1109bfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB28_BASE 0x1109c000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB28_LIMIT 0x1109cfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB29_BASE 0x1109d000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB29_LIMIT 0x1109dfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB30_BASE 0x1109e000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB30_LIMIT 0x1109efff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB31_BASE 0x1109f000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB31_LIMIT 0x1109ffff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB32_BASE 0x110a0000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB32_LIMIT 0x110a0fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB33_BASE 0x110a1000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB33_LIMIT 0x110a1fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB34_BASE 0x110a2000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB34_LIMIT 0x110a2fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB35_BASE 0x110a3000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB35_LIMIT 0x110a3fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB36_BASE 0x110a4000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB36_LIMIT 0x110a4fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB37_BASE 0x110a5000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB37_LIMIT 0x110a5fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB38_BASE 0x110a6000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB38_LIMIT 0x110a6fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB39_BASE 0x110a7000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB39_LIMIT 0x110a7fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB40_BASE 0x110a8000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB40_LIMIT 0x110a8fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB41_BASE 0x110a9000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB41_LIMIT 0x110a9fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB42_BASE 0x110aa000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB42_LIMIT 0x110aafff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB43_BASE 0x110ab000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB43_LIMIT 0x110abfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB44_BASE 0x110ac000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB44_LIMIT 0x110acfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB45_BASE 0x110ad000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB45_LIMIT 0x110adfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB46_BASE 0x110ae000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB46_LIMIT 0x110aefff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB47_BASE 0x110af000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB47_LIMIT 0x110affff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB48_BASE 0x110b0000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB48_LIMIT 0x110b0fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB49_BASE 0x110b1000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB49_LIMIT 0x110b1fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB50_BASE 0x110b2000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB50_LIMIT 0x110b2fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB51_BASE 0x110b3000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB51_LIMIT 0x110b3fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB52_BASE 0x110b4000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB52_LIMIT 0x110b4fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB53_BASE 0x110b5000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB53_LIMIT 0x110b5fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB54_BASE 0x110b6000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB54_LIMIT 0x110b6fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB55_BASE 0x110b7000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB55_LIMIT 0x110b7fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB56_BASE 0x110b8000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB56_LIMIT 0x110b8fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB57_BASE 0x110b9000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB57_LIMIT 0x110b9fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB58_BASE 0x110ba000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB58_LIMIT 0x110bafff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB59_BASE 0x110bb000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB59_LIMIT 0x110bbfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB60_BASE 0x110bc000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB60_LIMIT 0x110bcfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB61_BASE 0x110bd000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB61_LIMIT 0x110bdfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB62_BASE 0x110be000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB62_LIMIT 0x110befff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB63_BASE 0x110bf000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB63_LIMIT 0x110bffff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB64_BASE 0x110c0000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB64_LIMIT 0x110c0fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB65_BASE 0x110c1000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB65_LIMIT 0x110c1fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB66_BASE 0x110c2000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB66_LIMIT 0x110c2fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB67_BASE 0x110c3000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB67_LIMIT 0x110c3fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB68_BASE 0x110c4000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB68_LIMIT 0x110c4fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB69_BASE 0x110c5000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB69_LIMIT 0x110c5fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB70_BASE 0x110c6000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB70_LIMIT 0x110c6fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB71_BASE 0x110c7000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB71_LIMIT 0x110c7fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB72_BASE 0x110c8000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB72_LIMIT 0x110c8fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB73_BASE 0x110c9000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB73_LIMIT 0x110c9fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB74_BASE 0x110ca000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB74_LIMIT 0x110cafff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB75_BASE 0x110cb000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB75_LIMIT 0x110cbfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB76_BASE 0x110cc000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB76_LIMIT 0x110ccfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB77_BASE 0x110cd000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB77_LIMIT 0x110cdfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB78_BASE 0x110ce000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB78_LIMIT 0x110cefff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB79_BASE 0x110cf000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB79_LIMIT 0x110cffff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB80_BASE 0x110d0000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB80_LIMIT 0x110d0fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB81_BASE 0x110d1000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB81_LIMIT 0x110d1fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB82_BASE 0x110d2000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB82_LIMIT 0x110d2fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB83_BASE 0x110d3000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB83_LIMIT 0x110d3fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB84_BASE 0x110d4000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB84_LIMIT 0x110d4fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB85_BASE 0x110d5000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB85_LIMIT 0x110d5fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB86_BASE 0x110d6000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB86_LIMIT 0x110d6fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB87_BASE 0x110d7000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB87_LIMIT 0x110d7fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB88_BASE 0x110d8000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB88_LIMIT 0x110d8fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB89_BASE 0x110d9000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB89_LIMIT 0x110d9fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB90_BASE 0x110da000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB90_LIMIT 0x110dafff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB91_BASE 0x110db000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB91_LIMIT 0x110dbfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB92_BASE 0x110dc000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB92_LIMIT 0x110dcfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB93_BASE 0x110dd000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB93_LIMIT 0x110ddfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB94_BASE 0x110de000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB94_LIMIT 0x110defff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB95_BASE 0x110df000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB95_LIMIT 0x110dffff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB96_BASE 0x110e0000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB96_LIMIT 0x110e0fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB97_BASE 0x110e1000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB97_LIMIT 0x110e1fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB98_BASE 0x110e2000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB98_LIMIT 0x110e2fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB99_BASE 0x110e3000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB99_LIMIT 0x110e3fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB100_BASE 0x110e4000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB100_LIMIT 0x110e4fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB101_BASE 0x110e5000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB101_LIMIT 0x110e5fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB102_BASE 0x110e6000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB102_LIMIT 0x110e6fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB103_BASE 0x110e7000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB103_LIMIT 0x110e7fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB104_BASE 0x110e8000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB104_LIMIT 0x110e8fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB105_BASE 0x110e9000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB105_LIMIT 0x110e9fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB106_BASE 0x110ea000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB106_LIMIT 0x110eafff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB107_BASE 0x110eb000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB107_LIMIT 0x110ebfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB108_BASE 0x110ec000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB108_LIMIT 0x110ecfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB109_BASE 0x110ed000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB109_LIMIT 0x110edfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB110_BASE 0x110ee000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB110_LIMIT 0x110eefff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB111_BASE 0x110ef000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB111_LIMIT 0x110effff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB112_BASE 0x110f0000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB112_LIMIT 0x110f0fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB113_BASE 0x110f1000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB113_LIMIT 0x110f1fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB114_BASE 0x110f2000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB114_LIMIT 0x110f2fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB115_BASE 0x110f3000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB115_LIMIT 0x110f3fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB116_BASE 0x110f4000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB116_LIMIT 0x110f4fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB117_BASE 0x110f5000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB117_LIMIT 0x110f5fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB118_BASE 0x110f6000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB118_LIMIT 0x110f6fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB119_BASE 0x110f7000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB119_LIMIT 0x110f7fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB120_BASE 0x110f8000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB120_LIMIT 0x110f8fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB121_BASE 0x110f9000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB121_LIMIT 0x110f9fff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB122_BASE 0x110fa000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB122_LIMIT 0x110fafff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB123_BASE 0x110fb000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB123_LIMIT 0x110fbfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB124_BASE 0x110fc000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB124_LIMIT 0x110fcfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB125_BASE 0x110fd000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB125_LIMIT 0x110fdfff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB126_BASE 0x110fe000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB126_LIMIT 0x110fefff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB127_BASE 0x110ff000
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB127_LIMIT 0x110fffff
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU1_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU1_4KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB0_BASE 0x11800000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB0_LIMIT 0x1180ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB1_BASE 0x11810000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB1_LIMIT 0x1181ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB2_BASE 0x11820000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB2_LIMIT 0x1182ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB3_BASE 0x11830000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB3_LIMIT 0x1183ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB4_BASE 0x11840000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB4_LIMIT 0x1184ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB5_BASE 0x11850000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB5_LIMIT 0x1185ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB6_BASE 0x11860000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB6_LIMIT 0x1186ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB7_BASE 0x11870000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB7_LIMIT 0x1187ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB8_BASE 0x11880000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB8_LIMIT 0x1188ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB9_BASE 0x11890000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB9_LIMIT 0x1189ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB10_BASE 0x118a0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB10_LIMIT 0x118affff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB11_BASE 0x118b0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB11_LIMIT 0x118bffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB12_BASE 0x118c0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB12_LIMIT 0x118cffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB13_BASE 0x118d0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB13_LIMIT 0x118dffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB14_BASE 0x118e0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB14_LIMIT 0x118effff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB15_BASE 0x118f0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB15_LIMIT 0x118fffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB16_BASE 0x11900000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB16_LIMIT 0x1190ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB17_BASE 0x11910000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB17_LIMIT 0x1191ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB18_BASE 0x11920000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB18_LIMIT 0x1192ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB19_BASE 0x11930000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB19_LIMIT 0x1193ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB20_BASE 0x11940000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB20_LIMIT 0x1194ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB21_BASE 0x11950000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB21_LIMIT 0x1195ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB22_BASE 0x11960000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB22_LIMIT 0x1196ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB23_BASE 0x11970000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB23_LIMIT 0x1197ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB24_BASE 0x11980000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB24_LIMIT 0x1198ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB25_BASE 0x11990000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB25_LIMIT 0x1199ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB26_BASE 0x119a0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB26_LIMIT 0x119affff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB27_BASE 0x119b0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB27_LIMIT 0x119bffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB28_BASE 0x119c0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB28_LIMIT 0x119cffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB29_BASE 0x119d0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB29_LIMIT 0x119dffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB30_BASE 0x119e0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB30_LIMIT 0x119effff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB31_BASE 0x119f0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB31_LIMIT 0x119fffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB32_BASE 0x11a00000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB32_LIMIT 0x11a0ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB33_BASE 0x11a10000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB33_LIMIT 0x11a1ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB34_BASE 0x11a20000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB34_LIMIT 0x11a2ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB35_BASE 0x11a30000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB35_LIMIT 0x11a3ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB36_BASE 0x11a40000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB36_LIMIT 0x11a4ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB37_BASE 0x11a50000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB37_LIMIT 0x11a5ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB38_BASE 0x11a60000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB38_LIMIT 0x11a6ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB39_BASE 0x11a70000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB39_LIMIT 0x11a7ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB40_BASE 0x11a80000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB40_LIMIT 0x11a8ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB41_BASE 0x11a90000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB41_LIMIT 0x11a9ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB42_BASE 0x11aa0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB42_LIMIT 0x11aaffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB43_BASE 0x11ab0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB43_LIMIT 0x11abffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB44_BASE 0x11ac0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB44_LIMIT 0x11acffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB45_BASE 0x11ad0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB45_LIMIT 0x11adffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB46_BASE 0x11ae0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB46_LIMIT 0x11aeffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB47_BASE 0x11af0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB47_LIMIT 0x11afffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB48_BASE 0x11b00000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB48_LIMIT 0x11b0ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB49_BASE 0x11b10000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB49_LIMIT 0x11b1ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB50_BASE 0x11b20000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB50_LIMIT 0x11b2ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB51_BASE 0x11b30000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB51_LIMIT 0x11b3ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB52_BASE 0x11b40000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB52_LIMIT 0x11b4ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB53_BASE 0x11b50000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB53_LIMIT 0x11b5ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB54_BASE 0x11b60000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB54_LIMIT 0x11b6ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB55_BASE 0x11b70000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB55_LIMIT 0x11b7ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB56_BASE 0x11b80000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB56_LIMIT 0x11b8ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB57_BASE 0x11b90000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB57_LIMIT 0x11b9ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB58_BASE 0x11ba0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB58_LIMIT 0x11baffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB59_BASE 0x11bb0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB59_LIMIT 0x11bbffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB60_BASE 0x11bc0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB60_LIMIT 0x11bcffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB61_BASE 0x11bd0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB61_LIMIT 0x11bdffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB62_BASE 0x11be0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB62_LIMIT 0x11beffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB63_BASE 0x11bf0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB63_LIMIT 0x11bfffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB64_BASE 0x11c00000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB64_LIMIT 0x11c0ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB65_BASE 0x11c10000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB65_LIMIT 0x11c1ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB66_BASE 0x11c20000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB66_LIMIT 0x11c2ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB67_BASE 0x11c30000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB67_LIMIT 0x11c3ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB68_BASE 0x11c40000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB68_LIMIT 0x11c4ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB69_BASE 0x11c50000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB69_LIMIT 0x11c5ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB70_BASE 0x11c60000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB70_LIMIT 0x11c6ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB71_BASE 0x11c70000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB71_LIMIT 0x11c7ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB72_BASE 0x11c80000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB72_LIMIT 0x11c8ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB73_BASE 0x11c90000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB73_LIMIT 0x11c9ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB74_BASE 0x11ca0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB74_LIMIT 0x11caffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB75_BASE 0x11cb0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB75_LIMIT 0x11cbffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB76_BASE 0x11cc0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB76_LIMIT 0x11ccffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB77_BASE 0x11cd0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB77_LIMIT 0x11cdffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB78_BASE 0x11ce0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB78_LIMIT 0x11ceffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB79_BASE 0x11cf0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB79_LIMIT 0x11cfffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB80_BASE 0x11d00000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB80_LIMIT 0x11d0ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB81_BASE 0x11d10000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB81_LIMIT 0x11d1ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB82_BASE 0x11d20000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB82_LIMIT 0x11d2ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB83_BASE 0x11d30000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB83_LIMIT 0x11d3ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB84_BASE 0x11d40000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB84_LIMIT 0x11d4ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB85_BASE 0x11d50000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB85_LIMIT 0x11d5ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB86_BASE 0x11d60000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB86_LIMIT 0x11d6ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB87_BASE 0x11d70000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB87_LIMIT 0x11d7ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB88_BASE 0x11d80000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB88_LIMIT 0x11d8ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB89_BASE 0x11d90000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB89_LIMIT 0x11d9ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB90_BASE 0x11da0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB90_LIMIT 0x11daffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB91_BASE 0x11db0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB91_LIMIT 0x11dbffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB92_BASE 0x11dc0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB92_LIMIT 0x11dcffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB93_BASE 0x11dd0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB93_LIMIT 0x11ddffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB94_BASE 0x11de0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB94_LIMIT 0x11deffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB95_BASE 0x11df0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB95_LIMIT 0x11dfffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB96_BASE 0x11e00000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB96_LIMIT 0x11e0ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB97_BASE 0x11e10000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB97_LIMIT 0x11e1ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB98_BASE 0x11e20000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB98_LIMIT 0x11e2ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB99_BASE 0x11e30000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB99_LIMIT 0x11e3ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB100_BASE 0x11e40000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB100_LIMIT 0x11e4ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB101_BASE 0x11e50000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB101_LIMIT 0x11e5ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB102_BASE 0x11e60000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB102_LIMIT 0x11e6ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB103_BASE 0x11e70000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB103_LIMIT 0x11e7ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB104_BASE 0x11e80000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB104_LIMIT 0x11e8ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB105_BASE 0x11e90000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB105_LIMIT 0x11e9ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB106_BASE 0x11ea0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB106_LIMIT 0x11eaffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB107_BASE 0x11eb0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB107_LIMIT 0x11ebffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB108_BASE 0x11ec0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB108_LIMIT 0x11ecffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB109_BASE 0x11ed0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB109_LIMIT 0x11edffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB110_BASE 0x11ee0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB110_LIMIT 0x11eeffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB111_BASE 0x11ef0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB111_LIMIT 0x11efffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB112_BASE 0x11f00000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB112_LIMIT 0x11f0ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB113_BASE 0x11f10000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB113_LIMIT 0x11f1ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB114_BASE 0x11f20000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB114_LIMIT 0x11f2ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB115_BASE 0x11f30000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB115_LIMIT 0x11f3ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB116_BASE 0x11f40000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB116_LIMIT 0x11f4ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB117_BASE 0x11f50000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB117_LIMIT 0x11f5ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB118_BASE 0x11f60000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB118_LIMIT 0x11f6ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB119_BASE 0x11f70000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB119_LIMIT 0x11f7ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB120_BASE 0x11f80000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB120_LIMIT 0x11f8ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB121_BASE 0x11f90000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB121_LIMIT 0x11f9ffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB122_BASE 0x11fa0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB122_LIMIT 0x11faffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB123_BASE 0x11fb0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB123_LIMIT 0x11fbffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB124_BASE 0x11fc0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB124_LIMIT 0x11fcffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB125_BASE 0x11fd0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB125_LIMIT 0x11fdffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB126_BASE 0x11fe0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB126_LIMIT 0x11feffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB127_BASE 0x11ff0000
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB127_LIMIT 0x11ffffff
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU1_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU1_64KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR0_BASE 0x12000000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR0_LIMIT 0x1200ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR0_BASE 0x12000000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR0_LIMIT 0x12000fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR0_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR0_HEADER arm_smmu_500_global.h;arm_smmu_500_global_sec.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR1_BASE 0x12001000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR1_LIMIT 0x12001fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GID_BASE 0x12002000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GID_LIMIT 0x12002fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_PM_BASE 0x12003000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_PM_LIMIT 0x12003fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR1_BASE 0x12010000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR1_LIMIT 0x1201ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR1_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GR1_HEADER arm_smmu_500_global_1.h;arm_smmu_500_global_sec_1.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GID_BASE 0x12020000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GID_LIMIT 0x1202ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GID_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_GID_HEADER arm_smmu_500_integ_sec.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_PM_BASE 0x12030000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_PM_LIMIT 0x1203ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_PM_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_PM_HEADER arm_smmu_500_perf_mon.h;arm_smmu_500_perf_mon_sec.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB0_BASE 0x12080000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB0_LIMIT 0x12080fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB1_BASE 0x12081000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB1_LIMIT 0x12081fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB2_BASE 0x12082000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB2_LIMIT 0x12082fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB3_BASE 0x12083000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB3_LIMIT 0x12083fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB4_BASE 0x12084000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB4_LIMIT 0x12084fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB5_BASE 0x12085000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB5_LIMIT 0x12085fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB6_BASE 0x12086000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB6_LIMIT 0x12086fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB7_BASE 0x12087000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB7_LIMIT 0x12087fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB8_BASE 0x12088000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB8_LIMIT 0x12088fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB9_BASE 0x12089000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB9_LIMIT 0x12089fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB10_BASE 0x1208a000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB10_LIMIT 0x1208afff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB11_BASE 0x1208b000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB11_LIMIT 0x1208bfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB12_BASE 0x1208c000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB12_LIMIT 0x1208cfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB13_BASE 0x1208d000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB13_LIMIT 0x1208dfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB14_BASE 0x1208e000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB14_LIMIT 0x1208efff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB15_BASE 0x1208f000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB15_LIMIT 0x1208ffff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB16_BASE 0x12090000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB16_LIMIT 0x12090fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB17_BASE 0x12091000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB17_LIMIT 0x12091fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB18_BASE 0x12092000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB18_LIMIT 0x12092fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB19_BASE 0x12093000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB19_LIMIT 0x12093fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB20_BASE 0x12094000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB20_LIMIT 0x12094fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB21_BASE 0x12095000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB21_LIMIT 0x12095fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB22_BASE 0x12096000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB22_LIMIT 0x12096fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB23_BASE 0x12097000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB23_LIMIT 0x12097fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB24_BASE 0x12098000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB24_LIMIT 0x12098fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB25_BASE 0x12099000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB25_LIMIT 0x12099fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB26_BASE 0x1209a000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB26_LIMIT 0x1209afff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB27_BASE 0x1209b000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB27_LIMIT 0x1209bfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB28_BASE 0x1209c000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB28_LIMIT 0x1209cfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB29_BASE 0x1209d000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB29_LIMIT 0x1209dfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB30_BASE 0x1209e000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB30_LIMIT 0x1209efff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB31_BASE 0x1209f000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB31_LIMIT 0x1209ffff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB32_BASE 0x120a0000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB32_LIMIT 0x120a0fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB33_BASE 0x120a1000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB33_LIMIT 0x120a1fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB34_BASE 0x120a2000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB34_LIMIT 0x120a2fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB35_BASE 0x120a3000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB35_LIMIT 0x120a3fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB36_BASE 0x120a4000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB36_LIMIT 0x120a4fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB37_BASE 0x120a5000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB37_LIMIT 0x120a5fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB38_BASE 0x120a6000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB38_LIMIT 0x120a6fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB39_BASE 0x120a7000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB39_LIMIT 0x120a7fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB40_BASE 0x120a8000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB40_LIMIT 0x120a8fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB41_BASE 0x120a9000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB41_LIMIT 0x120a9fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB42_BASE 0x120aa000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB42_LIMIT 0x120aafff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB43_BASE 0x120ab000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB43_LIMIT 0x120abfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB44_BASE 0x120ac000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB44_LIMIT 0x120acfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB45_BASE 0x120ad000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB45_LIMIT 0x120adfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB46_BASE 0x120ae000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB46_LIMIT 0x120aefff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB47_BASE 0x120af000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB47_LIMIT 0x120affff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB48_BASE 0x120b0000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB48_LIMIT 0x120b0fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB49_BASE 0x120b1000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB49_LIMIT 0x120b1fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB50_BASE 0x120b2000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB50_LIMIT 0x120b2fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB51_BASE 0x120b3000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB51_LIMIT 0x120b3fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB52_BASE 0x120b4000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB52_LIMIT 0x120b4fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB53_BASE 0x120b5000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB53_LIMIT 0x120b5fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB54_BASE 0x120b6000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB54_LIMIT 0x120b6fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB55_BASE 0x120b7000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB55_LIMIT 0x120b7fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB56_BASE 0x120b8000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB56_LIMIT 0x120b8fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB57_BASE 0x120b9000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB57_LIMIT 0x120b9fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB58_BASE 0x120ba000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB58_LIMIT 0x120bafff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB59_BASE 0x120bb000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB59_LIMIT 0x120bbfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB60_BASE 0x120bc000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB60_LIMIT 0x120bcfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB61_BASE 0x120bd000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB61_LIMIT 0x120bdfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB62_BASE 0x120be000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB62_LIMIT 0x120befff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB63_BASE 0x120bf000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB63_LIMIT 0x120bffff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB64_BASE 0x120c0000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB64_LIMIT 0x120c0fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB65_BASE 0x120c1000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB65_LIMIT 0x120c1fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB66_BASE 0x120c2000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB66_LIMIT 0x120c2fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB67_BASE 0x120c3000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB67_LIMIT 0x120c3fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB68_BASE 0x120c4000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB68_LIMIT 0x120c4fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB69_BASE 0x120c5000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB69_LIMIT 0x120c5fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB70_BASE 0x120c6000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB70_LIMIT 0x120c6fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB71_BASE 0x120c7000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB71_LIMIT 0x120c7fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB72_BASE 0x120c8000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB72_LIMIT 0x120c8fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB73_BASE 0x120c9000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB73_LIMIT 0x120c9fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB74_BASE 0x120ca000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB74_LIMIT 0x120cafff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB75_BASE 0x120cb000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB75_LIMIT 0x120cbfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB76_BASE 0x120cc000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB76_LIMIT 0x120ccfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB77_BASE 0x120cd000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB77_LIMIT 0x120cdfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB78_BASE 0x120ce000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB78_LIMIT 0x120cefff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB79_BASE 0x120cf000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB79_LIMIT 0x120cffff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB80_BASE 0x120d0000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB80_LIMIT 0x120d0fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB81_BASE 0x120d1000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB81_LIMIT 0x120d1fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB82_BASE 0x120d2000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB82_LIMIT 0x120d2fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB83_BASE 0x120d3000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB83_LIMIT 0x120d3fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB84_BASE 0x120d4000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB84_LIMIT 0x120d4fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB85_BASE 0x120d5000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB85_LIMIT 0x120d5fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB86_BASE 0x120d6000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB86_LIMIT 0x120d6fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB87_BASE 0x120d7000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB87_LIMIT 0x120d7fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB88_BASE 0x120d8000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB88_LIMIT 0x120d8fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB89_BASE 0x120d9000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB89_LIMIT 0x120d9fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB90_BASE 0x120da000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB90_LIMIT 0x120dafff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB91_BASE 0x120db000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB91_LIMIT 0x120dbfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB92_BASE 0x120dc000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB92_LIMIT 0x120dcfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB93_BASE 0x120dd000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB93_LIMIT 0x120ddfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB94_BASE 0x120de000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB94_LIMIT 0x120defff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB95_BASE 0x120df000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB95_LIMIT 0x120dffff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB96_BASE 0x120e0000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB96_LIMIT 0x120e0fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB97_BASE 0x120e1000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB97_LIMIT 0x120e1fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB98_BASE 0x120e2000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB98_LIMIT 0x120e2fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB99_BASE 0x120e3000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB99_LIMIT 0x120e3fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB100_BASE 0x120e4000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB100_LIMIT 0x120e4fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB101_BASE 0x120e5000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB101_LIMIT 0x120e5fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB102_BASE 0x120e6000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB102_LIMIT 0x120e6fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB103_BASE 0x120e7000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB103_LIMIT 0x120e7fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB104_BASE 0x120e8000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB104_LIMIT 0x120e8fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB105_BASE 0x120e9000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB105_LIMIT 0x120e9fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB106_BASE 0x120ea000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB106_LIMIT 0x120eafff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB107_BASE 0x120eb000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB107_LIMIT 0x120ebfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB108_BASE 0x120ec000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB108_LIMIT 0x120ecfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB109_BASE 0x120ed000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB109_LIMIT 0x120edfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB110_BASE 0x120ee000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB110_LIMIT 0x120eefff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB111_BASE 0x120ef000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB111_LIMIT 0x120effff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB112_BASE 0x120f0000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB112_LIMIT 0x120f0fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB113_BASE 0x120f1000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB113_LIMIT 0x120f1fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB114_BASE 0x120f2000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB114_LIMIT 0x120f2fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB115_BASE 0x120f3000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB115_LIMIT 0x120f3fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB116_BASE 0x120f4000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB116_LIMIT 0x120f4fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB117_BASE 0x120f5000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB117_LIMIT 0x120f5fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB118_BASE 0x120f6000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB118_LIMIT 0x120f6fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB119_BASE 0x120f7000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB119_LIMIT 0x120f7fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB120_BASE 0x120f8000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB120_LIMIT 0x120f8fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB121_BASE 0x120f9000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB121_LIMIT 0x120f9fff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB122_BASE 0x120fa000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB122_LIMIT 0x120fafff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB123_BASE 0x120fb000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB123_LIMIT 0x120fbfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB124_BASE 0x120fc000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB124_LIMIT 0x120fcfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB125_BASE 0x120fd000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB125_LIMIT 0x120fdfff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB126_BASE 0x120fe000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB126_LIMIT 0x120fefff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB127_BASE 0x120ff000
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB127_LIMIT 0x120fffff
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU0_4KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.0
#define NV_ADDRESS_MAP_SMMU0_4KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB0_BASE 0x12800000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB0_LIMIT 0x1280ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB0_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB0_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB1_BASE 0x12810000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB1_LIMIT 0x1281ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB1_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB1_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB2_BASE 0x12820000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB2_LIMIT 0x1282ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB2_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB2_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB3_BASE 0x12830000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB3_LIMIT 0x1283ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB3_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB3_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB4_BASE 0x12840000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB4_LIMIT 0x1284ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB4_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB4_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB5_BASE 0x12850000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB5_LIMIT 0x1285ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB5_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB5_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB6_BASE 0x12860000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB6_LIMIT 0x1286ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB6_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB6_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB7_BASE 0x12870000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB7_LIMIT 0x1287ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB7_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB7_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB8_BASE 0x12880000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB8_LIMIT 0x1288ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB8_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB8_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB9_BASE 0x12890000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB9_LIMIT 0x1289ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB9_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB9_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB10_BASE 0x128a0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB10_LIMIT 0x128affff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB10_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB10_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB11_BASE 0x128b0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB11_LIMIT 0x128bffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB11_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB11_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB12_BASE 0x128c0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB12_LIMIT 0x128cffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB12_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB12_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB13_BASE 0x128d0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB13_LIMIT 0x128dffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB13_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB13_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB14_BASE 0x128e0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB14_LIMIT 0x128effff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB14_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB14_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB15_BASE 0x128f0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB15_LIMIT 0x128fffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB15_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB15_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB16_BASE 0x12900000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB16_LIMIT 0x1290ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB16_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB16_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB17_BASE 0x12910000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB17_LIMIT 0x1291ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB17_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB17_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB18_BASE 0x12920000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB18_LIMIT 0x1292ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB18_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB18_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB19_BASE 0x12930000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB19_LIMIT 0x1293ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB19_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB19_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB20_BASE 0x12940000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB20_LIMIT 0x1294ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB20_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB20_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB21_BASE 0x12950000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB21_LIMIT 0x1295ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB21_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB21_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB22_BASE 0x12960000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB22_LIMIT 0x1296ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB22_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB22_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB23_BASE 0x12970000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB23_LIMIT 0x1297ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB23_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB23_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB24_BASE 0x12980000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB24_LIMIT 0x1298ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB24_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB24_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB25_BASE 0x12990000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB25_LIMIT 0x1299ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB25_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB25_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB26_BASE 0x129a0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB26_LIMIT 0x129affff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB26_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB26_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB27_BASE 0x129b0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB27_LIMIT 0x129bffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB27_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB27_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB28_BASE 0x129c0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB28_LIMIT 0x129cffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB28_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB28_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB29_BASE 0x129d0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB29_LIMIT 0x129dffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB29_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB29_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB30_BASE 0x129e0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB30_LIMIT 0x129effff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB30_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB30_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB31_BASE 0x129f0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB31_LIMIT 0x129fffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB31_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB31_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB32_BASE 0x12a00000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB32_LIMIT 0x12a0ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB32_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB32_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB33_BASE 0x12a10000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB33_LIMIT 0x12a1ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB33_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB33_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB34_BASE 0x12a20000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB34_LIMIT 0x12a2ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB34_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB34_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB35_BASE 0x12a30000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB35_LIMIT 0x12a3ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB35_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB35_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB36_BASE 0x12a40000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB36_LIMIT 0x12a4ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB36_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB36_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB37_BASE 0x12a50000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB37_LIMIT 0x12a5ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB37_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB37_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB38_BASE 0x12a60000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB38_LIMIT 0x12a6ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB38_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB38_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB39_BASE 0x12a70000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB39_LIMIT 0x12a7ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB39_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB39_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB40_BASE 0x12a80000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB40_LIMIT 0x12a8ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB40_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB40_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB41_BASE 0x12a90000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB41_LIMIT 0x12a9ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB41_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB41_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB42_BASE 0x12aa0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB42_LIMIT 0x12aaffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB42_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB42_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB43_BASE 0x12ab0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB43_LIMIT 0x12abffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB43_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB43_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB44_BASE 0x12ac0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB44_LIMIT 0x12acffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB44_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB44_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB45_BASE 0x12ad0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB45_LIMIT 0x12adffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB45_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB45_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB46_BASE 0x12ae0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB46_LIMIT 0x12aeffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB46_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB46_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB47_BASE 0x12af0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB47_LIMIT 0x12afffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB47_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB47_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB48_BASE 0x12b00000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB48_LIMIT 0x12b0ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB48_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB48_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB49_BASE 0x12b10000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB49_LIMIT 0x12b1ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB49_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB49_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB50_BASE 0x12b20000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB50_LIMIT 0x12b2ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB50_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB50_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB51_BASE 0x12b30000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB51_LIMIT 0x12b3ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB51_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB51_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB52_BASE 0x12b40000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB52_LIMIT 0x12b4ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB52_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB52_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB53_BASE 0x12b50000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB53_LIMIT 0x12b5ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB53_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB53_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB54_BASE 0x12b60000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB54_LIMIT 0x12b6ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB54_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB54_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB55_BASE 0x12b70000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB55_LIMIT 0x12b7ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB55_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB55_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB56_BASE 0x12b80000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB56_LIMIT 0x12b8ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB56_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB56_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB57_BASE 0x12b90000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB57_LIMIT 0x12b9ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB57_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB57_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB58_BASE 0x12ba0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB58_LIMIT 0x12baffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB58_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB58_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB59_BASE 0x12bb0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB59_LIMIT 0x12bbffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB59_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB59_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB60_BASE 0x12bc0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB60_LIMIT 0x12bcffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB60_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB60_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB61_BASE 0x12bd0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB61_LIMIT 0x12bdffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB61_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB61_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB62_BASE 0x12be0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB62_LIMIT 0x12beffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB62_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB62_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB63_BASE 0x12bf0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB63_LIMIT 0x12bfffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB63_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB63_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB64_BASE 0x12c00000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB64_LIMIT 0x12c0ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB64_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB64_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB65_BASE 0x12c10000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB65_LIMIT 0x12c1ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB65_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB65_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB66_BASE 0x12c20000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB66_LIMIT 0x12c2ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB66_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB66_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB67_BASE 0x12c30000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB67_LIMIT 0x12c3ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB67_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB67_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB68_BASE 0x12c40000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB68_LIMIT 0x12c4ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB68_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB68_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB69_BASE 0x12c50000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB69_LIMIT 0x12c5ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB69_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB69_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB70_BASE 0x12c60000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB70_LIMIT 0x12c6ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB70_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB70_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB71_BASE 0x12c70000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB71_LIMIT 0x12c7ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB71_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB71_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB72_BASE 0x12c80000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB72_LIMIT 0x12c8ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB72_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB72_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB73_BASE 0x12c90000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB73_LIMIT 0x12c9ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB73_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB73_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB74_BASE 0x12ca0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB74_LIMIT 0x12caffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB74_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB74_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB75_BASE 0x12cb0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB75_LIMIT 0x12cbffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB75_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB75_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB76_BASE 0x12cc0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB76_LIMIT 0x12ccffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB76_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB76_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB77_BASE 0x12cd0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB77_LIMIT 0x12cdffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB77_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB77_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB78_BASE 0x12ce0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB78_LIMIT 0x12ceffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB78_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB78_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB79_BASE 0x12cf0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB79_LIMIT 0x12cfffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB79_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB79_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB80_BASE 0x12d00000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB80_LIMIT 0x12d0ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB80_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB80_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB81_BASE 0x12d10000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB81_LIMIT 0x12d1ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB81_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB81_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB82_BASE 0x12d20000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB82_LIMIT 0x12d2ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB82_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB82_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB83_BASE 0x12d30000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB83_LIMIT 0x12d3ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB83_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB83_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB84_BASE 0x12d40000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB84_LIMIT 0x12d4ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB84_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB84_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB85_BASE 0x12d50000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB85_LIMIT 0x12d5ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB85_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB85_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB86_BASE 0x12d60000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB86_LIMIT 0x12d6ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB86_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB86_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB87_BASE 0x12d70000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB87_LIMIT 0x12d7ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB87_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB87_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB88_BASE 0x12d80000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB88_LIMIT 0x12d8ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB88_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB88_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB89_BASE 0x12d90000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB89_LIMIT 0x12d9ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB89_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB89_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB90_BASE 0x12da0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB90_LIMIT 0x12daffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB90_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB90_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB91_BASE 0x12db0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB91_LIMIT 0x12dbffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB91_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB91_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB92_BASE 0x12dc0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB92_LIMIT 0x12dcffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB92_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB92_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB93_BASE 0x12dd0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB93_LIMIT 0x12ddffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB93_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB93_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB94_BASE 0x12de0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB94_LIMIT 0x12deffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB94_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB94_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB95_BASE 0x12df0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB95_LIMIT 0x12dfffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB95_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB95_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB96_BASE 0x12e00000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB96_LIMIT 0x12e0ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB96_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB96_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB97_BASE 0x12e10000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB97_LIMIT 0x12e1ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB97_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB97_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB98_BASE 0x12e20000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB98_LIMIT 0x12e2ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB98_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB98_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB99_BASE 0x12e30000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB99_LIMIT 0x12e3ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB99_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB99_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB100_BASE 0x12e40000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB100_LIMIT 0x12e4ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB100_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB100_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB101_BASE 0x12e50000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB101_LIMIT 0x12e5ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB101_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB101_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB102_BASE 0x12e60000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB102_LIMIT 0x12e6ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB102_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB102_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB103_BASE 0x12e70000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB103_LIMIT 0x12e7ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB103_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB103_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB104_BASE 0x12e80000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB104_LIMIT 0x12e8ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB104_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB104_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB105_BASE 0x12e90000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB105_LIMIT 0x12e9ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB105_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB105_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB106_BASE 0x12ea0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB106_LIMIT 0x12eaffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB106_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB106_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB107_BASE 0x12eb0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB107_LIMIT 0x12ebffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB107_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB107_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB108_BASE 0x12ec0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB108_LIMIT 0x12ecffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB108_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB108_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB109_BASE 0x12ed0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB109_LIMIT 0x12edffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB109_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB109_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB110_BASE 0x12ee0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB110_LIMIT 0x12eeffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB110_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB110_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB111_BASE 0x12ef0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB111_LIMIT 0x12efffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB111_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB111_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB112_BASE 0x12f00000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB112_LIMIT 0x12f0ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB112_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB112_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB113_BASE 0x12f10000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB113_LIMIT 0x12f1ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB113_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB113_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB114_BASE 0x12f20000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB114_LIMIT 0x12f2ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB114_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB114_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB115_BASE 0x12f30000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB115_LIMIT 0x12f3ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB115_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB115_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB116_BASE 0x12f40000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB116_LIMIT 0x12f4ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB116_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB116_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB117_BASE 0x12f50000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB117_LIMIT 0x12f5ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB117_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB117_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB118_BASE 0x12f60000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB118_LIMIT 0x12f6ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB118_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB118_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB119_BASE 0x12f70000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB119_LIMIT 0x12f7ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB119_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB119_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB120_BASE 0x12f80000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB120_LIMIT 0x12f8ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB120_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB120_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB121_BASE 0x12f90000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB121_LIMIT 0x12f9ffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB121_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB121_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB122_BASE 0x12fa0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB122_LIMIT 0x12faffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB122_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB122_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB123_BASE 0x12fb0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB123_LIMIT 0x12fbffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB123_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB123_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB124_BASE 0x12fc0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB124_LIMIT 0x12fcffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB124_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB124_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB125_BASE 0x12fd0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB125_LIMIT 0x12fdffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB125_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB125_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB126_BASE 0x12fe0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB126_LIMIT 0x12feffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB126_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB126_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB127_BASE 0x12ff0000
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB127_LIMIT 0x12ffffff
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB127_ADDR_LOCALITY SYSTEM_CFG.SMMU0_64KB_PAGESIZE_GR0.ARM_SMMU_GSR0_SACR_0.PAGESIZE.1
#define NV_ADDRESS_MAP_SMMU0_64KB_PAGESIZE_CB127_HEADER arm_smmu_500_context.h

#define NV_ADDRESS_MAP_DISP_CORE_1_BASE 0x13800000
#define NV_ADDRESS_MAP_DISP_CORE_1_LIMIT 0x1383ffff
#define NV_ADDRESS_MAP_DISP_CORE_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DISP_CORE_1_HEADER

#define NV_ADDRESS_MAP_DISP_EC_BASE 0x13840000
#define NV_ADDRESS_MAP_DISP_EC_LIMIT 0x13840fff
#define NV_ADDRESS_MAP_DISP_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DISP_EC_HEADER

#define NV_ADDRESS_MAP_DISP_CORE_2_BASE 0x13841000
#define NV_ADDRESS_MAP_DISP_CORE_2_LIMIT 0x138effff
#define NV_ADDRESS_MAP_DISP_CORE_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DISP_CORE_2_HEADER

#define NV_ADDRESS_MAP_CBB_CENTRAL_CBB_PROG_AMAP_BASE 0x13a00000
#define NV_ADDRESS_MAP_CBB_CENTRAL_CBB_PROG_AMAP_LIMIT 0x13a0ffff
#define NV_ADDRESS_MAP_CBB_CENTRAL_CBB_PROG_AMAP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_CENTRAL_CBB_PROG_AMAP_HEADER

#define NV_ADDRESS_MAP_CBB_MN_AON_BASE 0x13a30000
#define NV_ADDRESS_MAP_CBB_MN_AON_LIMIT 0x13a30fff
#define NV_ADDRESS_MAP_CBB_MN_AON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_AON_HEADER

#define NV_ADDRESS_MAP_CBB_MN_APE_BASE 0x13a31000
#define NV_ADDRESS_MAP_CBB_MN_APE_LIMIT 0x13a31fff
#define NV_ADDRESS_MAP_CBB_MN_APE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_APE_HEADER

#define NV_ADDRESS_MAP_CBB_MN_BPMP_BASE 0x13a32000
#define NV_ADDRESS_MAP_CBB_MN_BPMP_LIMIT 0x13a32fff
#define NV_ADDRESS_MAP_CBB_MN_BPMP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_BPMP_HEADER

#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_BASE 0x13a34000
#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_LIMIT 0x13a34fff
#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_HEADER

#define NV_ADDRESS_MAP_CBB_MN_CORESIGHT_BASE 0x13a35000
#define NV_ADDRESS_MAP_CBB_MN_CORESIGHT_LIMIT 0x13a35fff
#define NV_ADDRESS_MAP_CBB_MN_CORESIGHT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_CORESIGHT_HEADER

#define NV_ADDRESS_MAP_CBB_MN_GPCDMA_MMIO_BASE 0x13a36000
#define NV_ADDRESS_MAP_CBB_MN_GPCDMA_MMIO_LIMIT 0x13a36fff
#define NV_ADDRESS_MAP_CBB_MN_GPCDMA_MMIO_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_GPCDMA_MMIO_HEADER

#define NV_ADDRESS_MAP_CBB_MN_JTAG_BASE 0x13a37000
#define NV_ADDRESS_MAP_CBB_MN_JTAG_LIMIT 0x13a37fff
#define NV_ADDRESS_MAP_CBB_MN_JTAG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_JTAG_HEADER

#define NV_ADDRESS_MAP_CBB_MN_CCPLEX_BASE 0x13a3a000
#define NV_ADDRESS_MAP_CBB_MN_CCPLEX_LIMIT 0x13a3afff
#define NV_ADDRESS_MAP_CBB_MN_CCPLEX_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_CCPLEX_HEADER

#define NV_ADDRESS_MAP_CBB_MN_NVDEC_BASE 0x13a3b000
#define NV_ADDRESS_MAP_CBB_MN_NVDEC_LIMIT 0x13a3bfff
#define NV_ADDRESS_MAP_CBB_MN_NVDEC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_NVDEC_HEADER

#define NV_ADDRESS_MAP_CBB_MN_DCE_BASE 0x13a3c000
#define NV_ADDRESS_MAP_CBB_MN_DCE_LIMIT 0x13a3cfff
#define NV_ADDRESS_MAP_CBB_MN_DCE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_DCE_HEADER

#define NV_ADDRESS_MAP_CBB_MN_RCE_BASE 0x13a3d000
#define NV_ADDRESS_MAP_CBB_MN_RCE_LIMIT 0x13a3dfff
#define NV_ADDRESS_MAP_CBB_MN_RCE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_RCE_HEADER

#define NV_ADDRESS_MAP_CBB_MN_SCE_BASE 0x13a3e000
#define NV_ADDRESS_MAP_CBB_MN_SCE_LIMIT 0x13a3efff
#define NV_ADDRESS_MAP_CBB_MN_SCE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_SCE_HEADER

#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_1_BASE 0x13a3f000
#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_1_LIMIT 0x13a3ffff
#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_MN_CBB_CENTRAL_1_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AON_SLAVE_BASE 0x13a40000
#define NV_ADDRESS_MAP_CBB_SN_AON_SLAVE_LIMIT 0x13a40fff
#define NV_ADDRESS_MAP_CBB_SN_AON_SLAVE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AON_SLAVE_HEADER

#define NV_ADDRESS_MAP_CBB_SN_BPMP_SLAVE_BASE 0x13a41000
#define NV_ADDRESS_MAP_CBB_SN_BPMP_SLAVE_LIMIT 0x13a41fff
#define NV_ADDRESS_MAP_CBB_SN_BPMP_SLAVE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_BPMP_SLAVE_HEADER

#define NV_ADDRESS_MAP_CBB_SN_CBB_CENTRAL_BASE 0x13a42000
#define NV_ADDRESS_MAP_CBB_SN_CBB_CENTRAL_LIMIT 0x13a42fff
#define NV_ADDRESS_MAP_CBB_SN_CBB_CENTRAL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_CBB_CENTRAL_HEADER

#define NV_ADDRESS_MAP_CBB_SN_HOST1X_BASE 0x13a43000
#define NV_ADDRESS_MAP_CBB_SN_HOST1X_LIMIT 0x13a43fff
#define NV_ADDRESS_MAP_CBB_SN_HOST1X_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_HOST1X_HEADER

#define NV_ADDRESS_MAP_CBB_SN_STM_BASE 0x13a44000
#define NV_ADDRESS_MAP_CBB_SN_STM_LIMIT 0x13a44fff
#define NV_ADDRESS_MAP_CBB_SN_STM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_STM_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C1_BASE 0x13a47000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C1_LIMIT 0x13a47fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C1_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C2_BASE 0x13a48000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C2_LIMIT 0x13a48fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C2_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C3_BASE 0x13a49000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C3_LIMIT 0x13a49fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C3_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C0_BASE 0x13a4a000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C0_LIMIT 0x13a4afff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C0_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C4_BASE 0x13a4b000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C4_LIMIT 0x13a4bfff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C4_HEADER

#define NV_ADDRESS_MAP_CBB_SN_GPU_BASE 0x13a4c000
#define NV_ADDRESS_MAP_CBB_SN_GPU_LIMIT 0x13a4cfff
#define NV_ADDRESS_MAP_CBB_SN_GPU_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_GPU_HEADER

#define NV_ADDRESS_MAP_CBB_SN_SMMU0_BASE 0x13a4d000
#define NV_ADDRESS_MAP_CBB_SN_SMMU0_LIMIT 0x13a4dfff
#define NV_ADDRESS_MAP_CBB_SN_SMMU0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_SMMU0_HEADER

#define NV_ADDRESS_MAP_CBB_SN_SMMU1_BASE 0x13a4e000
#define NV_ADDRESS_MAP_CBB_SN_SMMU1_LIMIT 0x13a4efff
#define NV_ADDRESS_MAP_CBB_SN_SMMU1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_SMMU1_HEADER

#define NV_ADDRESS_MAP_CBB_SN_SMMU2_BASE 0x13a4f000
#define NV_ADDRESS_MAP_CBB_SN_SMMU2_LIMIT 0x13a4ffff
#define NV_ADDRESS_MAP_CBB_SN_SMMU2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_SMMU2_HEADER

#define NV_ADDRESS_MAP_CBB_SN_SMMU3_BASE 0x13a50000
#define NV_ADDRESS_MAP_CBB_SN_SMMU3_LIMIT 0x13a50fff
#define NV_ADDRESS_MAP_CBB_SN_SMMU3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_SMMU3_HEADER

#define NV_ADDRESS_MAP_CBB_SN_SMMU4_BASE 0x13a51000
#define NV_ADDRESS_MAP_CBB_SN_SMMU4_LIMIT 0x13a51fff
#define NV_ADDRESS_MAP_CBB_SN_SMMU4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_SMMU4_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C10_BASE 0x13a52000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C10_LIMIT 0x13a52fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C10_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C7_BASE 0x13a53000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C7_LIMIT 0x13a53fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C7_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C8_BASE 0x13a54000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C8_LIMIT 0x13a54fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C8_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C9_BASE 0x13a55000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C9_LIMIT 0x13a55fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C9_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C5_BASE 0x13a56000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C5_LIMIT 0x13a56fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C5_HEADER

#define NV_ADDRESS_MAP_CBB_SN_PCIE_C6_BASE 0x13a57000
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C6_LIMIT 0x13a57fff
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_PCIE_C6_HEADER

#define NV_ADDRESS_MAP_CBB_SN_DCE_SLAVE_BASE 0x13a58000
#define NV_ADDRESS_MAP_CBB_SN_DCE_SLAVE_LIMIT 0x13a58fff
#define NV_ADDRESS_MAP_CBB_SN_DCE_SLAVE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_DCE_SLAVE_HEADER

#define NV_ADDRESS_MAP_CBB_SN_RCE_SLAVE_BASE 0x13a59000
#define NV_ADDRESS_MAP_CBB_SN_RCE_SLAVE_LIMIT 0x13a59fff
#define NV_ADDRESS_MAP_CBB_SN_RCE_SLAVE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_RCE_SLAVE_HEADER

#define NV_ADDRESS_MAP_CBB_SN_SCE_SLAVE_BASE 0x13a5a000
#define NV_ADDRESS_MAP_CBB_SN_SCE_SLAVE_LIMIT 0x13a5afff
#define NV_ADDRESS_MAP_CBB_SN_SCE_SLAVE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_SCE_SLAVE_HEADER

#define NV_ADDRESS_MAP_CBB_EN_CFG_BASE 0x13a60000
#define NV_ADDRESS_MAP_CBB_EN_CFG_LIMIT 0x13a60fff
#define NV_ADDRESS_MAP_CBB_EN_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_EN_CFG_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_1_BASE 0x13a70000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_1_LIMIT 0x13a70fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_1_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_10_BASE 0x13a71000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_10_LIMIT 0x13a71fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_10_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_11_BASE 0x13a72000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_11_LIMIT 0x13a72fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_11_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_12_BASE 0x13a73000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_12_LIMIT 0x13a73fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_12_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_13_BASE 0x13a74000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_13_LIMIT 0x13a74fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_13_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_14_BASE 0x13a75000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_14_LIMIT 0x13a75fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_14_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_15_BASE 0x13a76000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_15_LIMIT 0x13a76fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_15_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_16_BASE 0x13a77000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_16_LIMIT 0x13a77fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_16_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_16_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_17_BASE 0x13a78000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_17_LIMIT 0x13a78fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_17_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_17_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_18_BASE 0x13a79000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_18_LIMIT 0x13a79fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_18_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_18_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_19_BASE 0x13a7a000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_19_LIMIT 0x13a7afff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_19_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_19_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_2_BASE 0x13a7b000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_2_LIMIT 0x13a7bfff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_2_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_20_BASE 0x13a7c000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_20_LIMIT 0x13a7cfff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_20_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_20_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_21_BASE 0x13a7d000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_21_LIMIT 0x13a7dfff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_21_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_21_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_22_BASE 0x13a7e000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_22_LIMIT 0x13a7efff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_22_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_22_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_23_BASE 0x13a7f000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_23_LIMIT 0x13a7ffff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_23_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_23_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_25_BASE 0x13a80000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_25_LIMIT 0x13a80fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_25_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_25_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_26_BASE 0x13a81000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_26_LIMIT 0x13a81fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_26_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_26_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_27_BASE 0x13a82000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_27_LIMIT 0x13a82fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_27_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_27_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_28_BASE 0x13a83000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_28_LIMIT 0x13a83fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_28_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_28_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_29_BASE 0x13a84000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_29_LIMIT 0x13a84fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_29_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_29_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_30_BASE 0x13a85000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_30_LIMIT 0x13a85fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_30_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_30_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_31_BASE 0x13a86000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_31_LIMIT 0x13a86fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_31_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_31_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_32_BASE 0x13a87000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_32_LIMIT 0x13a87fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_32_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_32_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_33_BASE 0x13a88000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_33_LIMIT 0x13a88fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_33_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_33_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_34_BASE 0x13a89000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_34_LIMIT 0x13a89fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_34_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_34_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_4_BASE 0x13a8b000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_4_LIMIT 0x13a8bfff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_4_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_5_BASE 0x13a8c000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_5_LIMIT 0x13a8cfff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_5_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_6_BASE 0x13a8d000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_6_LIMIT 0x13a8dfff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_6_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_7_BASE 0x13a8e000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_7_LIMIT 0x13a8efff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_7_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_8_BASE 0x13a8f000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_8_LIMIT 0x13a8ffff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_8_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_9_BASE 0x13a90000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_9_LIMIT 0x13a90fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_9_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_3_BASE 0x13a91000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_3_LIMIT 0x13a91fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_3_HEADER

#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_35_BASE 0x13a92000
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_35_LIMIT 0x13a92fff
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_35_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_SN_AXI2APB_35_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_0_BASE 0x13aa0000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_0_LIMIT 0x13aa0fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_0_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_1_BASE 0x13aa1000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_1_LIMIT 0x13aa1fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_1_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_2_BASE 0x13aa2000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_2_LIMIT 0x13aa2fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_2_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_3_BASE 0x13aa3000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_3_LIMIT 0x13aa3fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_3_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_4_BASE 0x13aa4000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_4_LIMIT 0x13aa4fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_4_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_5_BASE 0x13aa5000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_5_LIMIT 0x13aa5fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_5_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_6_BASE 0x13aa6000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_6_LIMIT 0x13aa6fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_6_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_7_BASE 0x13aa7000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_7_LIMIT 0x13aa7fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_7_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_8_BASE 0x13aa8000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_8_LIMIT 0x13aa8fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_8_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_8_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_9_BASE 0x13aa9000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_9_LIMIT 0x13aa9fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_9_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_9_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_10_BASE 0x13aaa000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_10_LIMIT 0x13aaafff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_10_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_10_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_11_BASE 0x13aab000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_11_LIMIT 0x13aabfff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_11_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_11_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_12_BASE 0x13aac000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_12_LIMIT 0x13aacfff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_12_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_12_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_13_BASE 0x13aad000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_13_LIMIT 0x13aadfff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_13_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_13_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_14_BASE 0x13aae000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_14_LIMIT 0x13aaefff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_14_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_14_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_15_BASE 0x13aaf000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_15_LIMIT 0x13aaffff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_15_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_15_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_16_BASE 0x13ab0000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_16_LIMIT 0x13ab0fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_16_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_16_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_17_BASE 0x13ab1000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_17_LIMIT 0x13ab1fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_17_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_17_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_18_BASE 0x13ab2000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_18_LIMIT 0x13ab2fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_18_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_18_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_19_BASE 0x13ab3000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_19_LIMIT 0x13ab3fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_19_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_19_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_20_BASE 0x13ab4000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_20_LIMIT 0x13ab4fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_20_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_20_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_21_BASE 0x13ab5000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_21_LIMIT 0x13ab5fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_21_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_21_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_22_BASE 0x13ab6000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_22_LIMIT 0x13ab6fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_22_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_22_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_23_BASE 0x13ab7000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_23_LIMIT 0x13ab7fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_23_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_23_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_24_BASE 0x13ab8000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_24_LIMIT 0x13ab8fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_24_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_24_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_25_BASE 0x13ab9000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_25_LIMIT 0x13ab9fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_25_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_25_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_26_BASE 0x13aba000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_26_LIMIT 0x13abafff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_26_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_26_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_27_BASE 0x13abb000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_27_LIMIT 0x13abbfff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_27_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_27_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_28_BASE 0x13abc000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_28_LIMIT 0x13abcfff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_28_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_28_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_29_BASE 0x13abd000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_29_LIMIT 0x13abdfff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_29_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_29_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_30_BASE 0x13abe000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_30_LIMIT 0x13abefff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_30_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_30_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_31_BASE 0x13abf000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_31_LIMIT 0x13abffff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_31_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_31_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_32_BASE 0x13ac0000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_32_LIMIT 0x13ac0fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_32_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_32_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_33_BASE 0x13ac1000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_33_LIMIT 0x13ac1fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_33_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_33_HEADER

#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_34_BASE 0x13ac2000
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_34_LIMIT 0x13ac2fff
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_34_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CBB_ERR_COLLATOR_34_HEADER

#define NV_ADDRESS_MAP_HOST1X_COMMON_BASE 0x13e00000
#define NV_ADDRESS_MAP_HOST1X_COMMON_LIMIT 0x13e0ffff
#define NV_ADDRESS_MAP_HOST1X_COMMON_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_COMMON_HEADER

#define NV_ADDRESS_MAP_HOST1X_HYPERVISOR_BASE 0x13e10000
#define NV_ADDRESS_MAP_HOST1X_HYPERVISOR_LIMIT 0x13e1ffff
#define NV_ADDRESS_MAP_HOST1X_HYPERVISOR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_HYPERVISOR_HEADER

#define NV_ADDRESS_MAP_HOST1X_R5_CLUSTER_BASE 0x13e20000
#define NV_ADDRESS_MAP_HOST1X_R5_CLUSTER_LIMIT 0x13e2ffff
#define NV_ADDRESS_MAP_HOST1X_R5_CLUSTER_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_R5_CLUSTER_HEADER

#define NV_ADDRESS_MAP_HOST1X_HSM_BASE 0x13e30000
#define NV_ADDRESS_MAP_HOST1X_HSM_LIMIT 0x13e3ffff
#define NV_ADDRESS_MAP_HOST1X_HSM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_HSM_HEADER

#define NV_ADDRESS_MAP_HOST1X_0_BASE 0x13e40000
#define NV_ADDRESS_MAP_HOST1X_0_LIMIT 0x13e4ffff
#define NV_ADDRESS_MAP_HOST1X_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_0_HEADER

#define NV_ADDRESS_MAP_HOST1X_1_BASE 0x13e50000
#define NV_ADDRESS_MAP_HOST1X_1_LIMIT 0x13e5ffff
#define NV_ADDRESS_MAP_HOST1X_1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_1_HEADER

#define NV_ADDRESS_MAP_HOST1X_2_BASE 0x13e60000
#define NV_ADDRESS_MAP_HOST1X_2_LIMIT 0x13e6ffff
#define NV_ADDRESS_MAP_HOST1X_2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_2_HEADER

#define NV_ADDRESS_MAP_HOST1X_3_BASE 0x13e70000
#define NV_ADDRESS_MAP_HOST1X_3_LIMIT 0x13e7ffff
#define NV_ADDRESS_MAP_HOST1X_3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_3_HEADER

#define NV_ADDRESS_MAP_HOST1X_4_BASE 0x13e80000
#define NV_ADDRESS_MAP_HOST1X_4_LIMIT 0x13e8ffff
#define NV_ADDRESS_MAP_HOST1X_4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_4_HEADER

#define NV_ADDRESS_MAP_HOST1X_5_BASE 0x13e90000
#define NV_ADDRESS_MAP_HOST1X_5_LIMIT 0x13e9ffff
#define NV_ADDRESS_MAP_HOST1X_5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_5_HEADER

#define NV_ADDRESS_MAP_HOST1X_6_BASE 0x13ea0000
#define NV_ADDRESS_MAP_HOST1X_6_LIMIT 0x13eaffff
#define NV_ADDRESS_MAP_HOST1X_6_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_6_HEADER

#define NV_ADDRESS_MAP_HOST1X_7_BASE 0x13eb0000
#define NV_ADDRESS_MAP_HOST1X_7_LIMIT 0x13ebffff
#define NV_ADDRESS_MAP_HOST1X_7_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_7_HEADER

#define NV_ADDRESS_MAP_HOST1X_ACTMON0_BASE 0x13ef0000
#define NV_ADDRESS_MAP_HOST1X_ACTMON0_LIMIT 0x13efffff
#define NV_ADDRESS_MAP_HOST1X_ACTMON0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_ACTMON0_HEADER

#define NV_ADDRESS_MAP_HOST1X_ACTMON1_BASE 0x13f00000
#define NV_ADDRESS_MAP_HOST1X_ACTMON1_LIMIT 0x13f0ffff
#define NV_ADDRESS_MAP_HOST1X_ACTMON1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_ACTMON1_HEADER

#define NV_ADDRESS_MAP_HOST1X_ACTMON2_BASE 0x13f10000
#define NV_ADDRESS_MAP_HOST1X_ACTMON2_LIMIT 0x13f1ffff
#define NV_ADDRESS_MAP_HOST1X_ACTMON2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_ACTMON2_HEADER

#define NV_ADDRESS_MAP_HOST1X_ACTMON3_BASE 0x13f20000
#define NV_ADDRESS_MAP_HOST1X_ACTMON3_LIMIT 0x13f2ffff
#define NV_ADDRESS_MAP_HOST1X_ACTMON3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_ACTMON3_HEADER

#define NV_ADDRESS_MAP_HOST1X_ACTMON4_BASE 0x13f30000
#define NV_ADDRESS_MAP_HOST1X_ACTMON4_LIMIT 0x13f3ffff
#define NV_ADDRESS_MAP_HOST1X_ACTMON4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_ACTMON4_HEADER

#define NV_ADDRESS_MAP_HOST1X_ACTMON5_BASE 0x13f40000
#define NV_ADDRESS_MAP_HOST1X_ACTMON5_LIMIT 0x13f4ffff
#define NV_ADDRESS_MAP_HOST1X_ACTMON5_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_HOST1X_ACTMON5_HEADER

#define NV_ADDRESS_MAP_PCIE_C8_CTL_NONSECURE_BASE 0x140a0000
#define NV_ADDRESS_MAP_PCIE_C8_CTL_NONSECURE_LIMIT 0x140affff
#define NV_ADDRESS_MAP_PCIE_C8_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C8_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C8_CTL_SECURE_BASE 0x140b0000
#define NV_ADDRESS_MAP_PCIE_C8_CTL_SECURE_LIMIT 0x140bffff
#define NV_ADDRESS_MAP_PCIE_C8_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C8_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C9_CTL_NONSECURE_BASE 0x140c0000
#define NV_ADDRESS_MAP_PCIE_C9_CTL_NONSECURE_LIMIT 0x140cffff
#define NV_ADDRESS_MAP_PCIE_C9_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C9_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C9_CTL_SECURE_BASE 0x140d0000
#define NV_ADDRESS_MAP_PCIE_C9_CTL_SECURE_LIMIT 0x140dffff
#define NV_ADDRESS_MAP_PCIE_C9_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C9_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C10_CTL_NONSECURE_BASE 0x140e0000
#define NV_ADDRESS_MAP_PCIE_C10_CTL_NONSECURE_LIMIT 0x140effff
#define NV_ADDRESS_MAP_PCIE_C10_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C10_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C10_CTL_SECURE_BASE 0x140f0000
#define NV_ADDRESS_MAP_PCIE_C10_CTL_SECURE_LIMIT 0x140fffff
#define NV_ADDRESS_MAP_PCIE_C10_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C10_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C1_CTL_NONSECURE_BASE 0x14100000
#define NV_ADDRESS_MAP_PCIE_C1_CTL_NONSECURE_LIMIT 0x1410ffff
#define NV_ADDRESS_MAP_PCIE_C1_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C1_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C1_CTL_SECURE_BASE 0x14110000
#define NV_ADDRESS_MAP_PCIE_C1_CTL_SECURE_LIMIT 0x1411ffff
#define NV_ADDRESS_MAP_PCIE_C1_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C1_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C2_CTL_NONSECURE_BASE 0x14120000
#define NV_ADDRESS_MAP_PCIE_C2_CTL_NONSECURE_LIMIT 0x1412ffff
#define NV_ADDRESS_MAP_PCIE_C2_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C2_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C2_CTL_SECURE_BASE 0x14130000
#define NV_ADDRESS_MAP_PCIE_C2_CTL_SECURE_LIMIT 0x1413ffff
#define NV_ADDRESS_MAP_PCIE_C2_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C2_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C3_CTL_NONSECURE_BASE 0x14140000
#define NV_ADDRESS_MAP_PCIE_C3_CTL_NONSECURE_LIMIT 0x1414ffff
#define NV_ADDRESS_MAP_PCIE_C3_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C3_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C3_CTL_SECURE_BASE 0x14150000
#define NV_ADDRESS_MAP_PCIE_C3_CTL_SECURE_LIMIT 0x1415ffff
#define NV_ADDRESS_MAP_PCIE_C3_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C3_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C4_CTL_NONSECURE_BASE 0x14160000
#define NV_ADDRESS_MAP_PCIE_C4_CTL_NONSECURE_LIMIT 0x1416ffff
#define NV_ADDRESS_MAP_PCIE_C4_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C4_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C4_CTL_SECURE_BASE 0x14170000
#define NV_ADDRESS_MAP_PCIE_C4_CTL_SECURE_LIMIT 0x1417ffff
#define NV_ADDRESS_MAP_PCIE_C4_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C4_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C0_CTL_NONSECURE_BASE 0x14180000
#define NV_ADDRESS_MAP_PCIE_C0_CTL_NONSECURE_LIMIT 0x1418ffff
#define NV_ADDRESS_MAP_PCIE_C0_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C0_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C0_CTL_SECURE_BASE 0x14190000
#define NV_ADDRESS_MAP_PCIE_C0_CTL_SECURE_LIMIT 0x1419ffff
#define NV_ADDRESS_MAP_PCIE_C0_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C0_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C5_CTL_NONSECURE_BASE 0x141a0000
#define NV_ADDRESS_MAP_PCIE_C5_CTL_NONSECURE_LIMIT 0x141affff
#define NV_ADDRESS_MAP_PCIE_C5_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C5_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C5_CTL_SECURE_BASE 0x141b0000
#define NV_ADDRESS_MAP_PCIE_C5_CTL_SECURE_LIMIT 0x141bffff
#define NV_ADDRESS_MAP_PCIE_C5_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C5_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C6_CTL_NONSECURE_BASE 0x141c0000
#define NV_ADDRESS_MAP_PCIE_C6_CTL_NONSECURE_LIMIT 0x141cffff
#define NV_ADDRESS_MAP_PCIE_C6_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C6_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C6_CTL_SECURE_BASE 0x141d0000
#define NV_ADDRESS_MAP_PCIE_C6_CTL_SECURE_LIMIT 0x141dffff
#define NV_ADDRESS_MAP_PCIE_C6_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C6_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C7_CTL_NONSECURE_BASE 0x141e0000
#define NV_ADDRESS_MAP_PCIE_C7_CTL_NONSECURE_LIMIT 0x141effff
#define NV_ADDRESS_MAP_PCIE_C7_CTL_NONSECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C7_CTL_NONSECURE_HEADER

#define NV_ADDRESS_MAP_PCIE_C7_CTL_SECURE_BASE 0x141f0000
#define NV_ADDRESS_MAP_PCIE_C7_CTL_SECURE_LIMIT 0x141fffff
#define NV_ADDRESS_MAP_PCIE_C7_CTL_SECURE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C7_CTL_SECURE_HEADER

#define NV_ADDRESS_MAP_ISP_BASE 0x14800000
#define NV_ADDRESS_MAP_ISP_LIMIT 0x14afffff
#define NV_ADDRESS_MAP_ISP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ISP_HEADER arisp_hostshim.h

#define NV_ADDRESS_MAP_ISP_THI_CPU_BASE 0x14b00000
#define NV_ADDRESS_MAP_ISP_THI_CPU_LIMIT 0x14b07fff
#define NV_ADDRESS_MAP_ISP_THI_CPU_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ISP_THI_CPU_HEADER

#define NV_ADDRESS_MAP_ISP_THI_EC_BASE 0x14b08000
#define NV_ADDRESS_MAP_ISP_THI_EC_LIMIT 0x14b08fff
#define NV_ADDRESS_MAP_ISP_THI_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ISP_THI_EC_HEADER

#define NV_ADDRESS_MAP_ISP_THI_ENGINE_BASE 0x14b09000
#define NV_ADDRESS_MAP_ISP_THI_ENGINE_LIMIT 0x14bfffff
#define NV_ADDRESS_MAP_ISP_THI_ENGINE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_ISP_THI_ENGINE_HEADER

#define NV_ADDRESS_MAP_VI2_BASE 0x14c00000
#define NV_ADDRESS_MAP_VI2_LIMIT 0x14efffff
#define NV_ADDRESS_MAP_VI2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI2_HEADER arvi_fw.h

#define NV_ADDRESS_MAP_VI2_THI_CPU_BASE 0x14f00000
#define NV_ADDRESS_MAP_VI2_THI_CPU_LIMIT 0x14f03fff
#define NV_ADDRESS_MAP_VI2_THI_CPU_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI2_THI_CPU_HEADER

#define NV_ADDRESS_MAP_VI2_THI_EC_BASE 0x14f04000
#define NV_ADDRESS_MAP_VI2_THI_EC_LIMIT 0x14f04fff
#define NV_ADDRESS_MAP_VI2_THI_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI2_THI_EC_HEADER

#define NV_ADDRESS_MAP_VI2_THI_ENGINE_BASE 0x14f05000
#define NV_ADDRESS_MAP_VI2_THI_ENGINE_LIMIT 0x14ffffff
#define NV_ADDRESS_MAP_VI2_THI_ENGINE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI2_THI_ENGINE_HEADER

#define NV_ADDRESS_MAP_VIC_EC_BASE 0x1534f000
#define NV_ADDRESS_MAP_VIC_EC_LIMIT 0x1534ffff
#define NV_ADDRESS_MAP_VIC_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VIC_EC_HEADER arvic_ec_pri.h

#define NV_ADDRESS_MAP_NVJPG_BASE 0x15380000
#define NV_ADDRESS_MAP_NVJPG_LIMIT 0x153bffff
#define NV_ADDRESS_MAP_NVJPG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVJPG_HEADER arnvjpg.h;dev_nvjpg_pri.h

#define NV_ADDRESS_MAP_NVDEC_BASE 0x15480000
#define NV_ADDRESS_MAP_NVDEC_LIMIT 0x154bffff
#define NV_ADDRESS_MAP_NVDEC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVDEC_HEADER arnvdec.h;nv_ref_dev_nvdec_pri.h;nv_ref_dev_nvdec_pri_PROD.h;dev_nvdec_pri.h

#define NV_ADDRESS_MAP_NVENC_EC_BASE 0x154cf000
#define NV_ADDRESS_MAP_NVENC_EC_LIMIT 0x154cffff
#define NV_ADDRESS_MAP_NVENC_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVENC_EC_HEADER

#define NV_ADDRESS_MAP_NVJPG1_BASE 0x15540000
#define NV_ADDRESS_MAP_NVJPG1_LIMIT 0x1557ffff
#define NV_ADDRESS_MAP_NVJPG1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVJPG1_HEADER arnvjpg.h;dev_nvjpg_pri.h

#define NV_ADDRESS_MAP_DPAUX_BASE 0x155c0000
#define NV_ADDRESS_MAP_DPAUX_LIMIT 0x155cffff
#define NV_ADDRESS_MAP_DPAUX_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_DPAUX_HEADER ardpaux.h

#define NV_ADDRESS_MAP_NVDLA0_ENGINE_BASE 0x15880000
#define NV_ADDRESS_MAP_NVDLA0_ENGINE_LIMIT 0x158befff
#define NV_ADDRESS_MAP_NVDLA0_ENGINE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVDLA0_ENGINE_HEADER

#define NV_ADDRESS_MAP_NVDLA0_EC_BASE 0x158bf000
#define NV_ADDRESS_MAP_NVDLA0_EC_LIMIT 0x158bffff
#define NV_ADDRESS_MAP_NVDLA0_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVDLA0_EC_HEADER

#define NV_ADDRESS_MAP_NVDLA1_ENGINE_BASE 0x158c0000
#define NV_ADDRESS_MAP_NVDLA1_ENGINE_LIMIT 0x158fefff
#define NV_ADDRESS_MAP_NVDLA1_ENGINE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVDLA1_ENGINE_HEADER

#define NV_ADDRESS_MAP_NVDLA1_EC_BASE 0x158ff000
#define NV_ADDRESS_MAP_NVDLA1_EC_LIMIT 0x158fffff
#define NV_ADDRESS_MAP_NVDLA1_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVDLA1_EC_HEADER

#define NV_ADDRESS_MAP_NVCSI_ENGINE_BASE 0x15a00000
#define NV_ADDRESS_MAP_NVCSI_ENGINE_LIMIT 0x15a4afff
#define NV_ADDRESS_MAP_NVCSI_ENGINE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVCSI_ENGINE_HEADER

#define NV_ADDRESS_MAP_NVCSI_EC_BASE 0x15a4b000
#define NV_ADDRESS_MAP_NVCSI_EC_LIMIT 0x15a4ffff
#define NV_ADDRESS_MAP_NVCSI_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_NVCSI_EC_HEADER

#define NV_ADDRESS_MAP_VI_BASE 0x15c00000
#define NV_ADDRESS_MAP_VI_LIMIT 0x15efffff
#define NV_ADDRESS_MAP_VI_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI_HEADER arvi_fw.h

#define NV_ADDRESS_MAP_VI_THI_CPU_BASE 0x15f00000
#define NV_ADDRESS_MAP_VI_THI_CPU_LIMIT 0x15f03fff
#define NV_ADDRESS_MAP_VI_THI_CPU_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI_THI_CPU_HEADER

#define NV_ADDRESS_MAP_VI_THI_EC_BASE 0x15f04000
#define NV_ADDRESS_MAP_VI_THI_EC_LIMIT 0x15f04fff
#define NV_ADDRESS_MAP_VI_THI_EC_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI_THI_EC_HEADER

#define NV_ADDRESS_MAP_VI_THI_ENGINE_BASE 0x15f05000
#define NV_ADDRESS_MAP_VI_THI_ENGINE_LIMIT 0x15ffffff
#define NV_ADDRESS_MAP_VI_THI_ENGINE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_VI_THI_ENGINE_HEADER

#define NV_ADDRESS_MAP_PVA0_CLUSTER_BASE 0x16000000
#define NV_ADDRESS_MAP_PVA0_CLUSTER_LIMIT 0x167fffff
#define NV_ADDRESS_MAP_PVA0_CLUSTER_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PVA0_CLUSTER_HEADER

#define NV_ADDRESS_MAP_GPU_BASE 0x17000000
#define NV_ADDRESS_MAP_GPU_LIMIT 0x1fffffff
#define NV_ADDRESS_MAP_GPU_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GPU_HEADER argpu_comb.h

#define NV_ADDRESS_MAP_BPMP_SPARE_BASE 0x20ae0000
#define NV_ADDRESS_MAP_BPMP_SPARE_LIMIT 0x20aeefff
#define NV_ADDRESS_MAP_BPMP_SPARE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SPARE_HEADER

#define NV_ADDRESS_MAP_BPMP_SCR_BASE 0x20aef000
#define NV_ADDRESS_MAP_BPMP_SCR_LIMIT 0x20aeffff
#define NV_ADDRESS_MAP_BPMP_SCR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_BPMP_SCR_HEADER

#define NV_ADDRESS_MAP_AON_SPARE_BASE 0x20cb0000
#define NV_ADDRESS_MAP_AON_SPARE_LIMIT 0x20cdefff
#define NV_ADDRESS_MAP_AON_SPARE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_SPARE_HEADER

#define NV_ADDRESS_MAP_AON_SCR_BASE 0x20cdf000
#define NV_ADDRESS_MAP_AON_SCR_LIMIT 0x20cdffff
#define NV_ADDRESS_MAP_AON_SCR_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_SCR_HEADER

#define NV_ADDRESS_MAP_CSITE_MISC0_BASE 0x24000000
#define NV_ADDRESS_MAP_CSITE_MISC0_LIMIT 0x2401ffff
#define NV_ADDRESS_MAP_CSITE_MISC0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_MISC0_HEADER

#define NV_ADDRESS_MAP_CSITE_CFG_BASE 0x24020000
#define NV_ADDRESS_MAP_CSITE_CFG_LIMIT 0x2403ffff
#define NV_ADDRESS_MAP_CSITE_CFG_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_CFG_HEADER

#define NV_ADDRESS_MAP_CSITE_MISC1_BASE 0x24040000
#define NV_ADDRESS_MAP_CSITE_MISC1_LIMIT 0x2440ffff
#define NV_ADDRESS_MAP_CSITE_MISC1_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_MISC1_HEADER

#define NV_ADDRESS_MAP_LA_BASE 0x24410000
#define NV_ADDRESS_MAP_LA_LIMIT 0x2441ffff
#define NV_ADDRESS_MAP_LA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_LA_HEADER dev_t_la.ref;ardfd_obs.h

#define NV_ADDRESS_MAP_CSITE_MISC2_BASE 0x24420000
#define NV_ADDRESS_MAP_CSITE_MISC2_LIMIT 0x2443ffff
#define NV_ADDRESS_MAP_CSITE_MISC2_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_MISC2_HEADER

#define NV_ADDRESS_MAP_CSITE_BPMP_BASE 0x24440000
#define NV_ADDRESS_MAP_CSITE_BPMP_LIMIT 0x2445ffff
#define NV_ADDRESS_MAP_CSITE_BPMP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_BPMP_HEADER

#define NV_ADDRESS_MAP_CSITE_MISC3_BASE 0x24480000
#define NV_ADDRESS_MAP_CSITE_MISC3_LIMIT 0x2473ffff
#define NV_ADDRESS_MAP_CSITE_MISC3_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_MISC3_HEADER

#define NV_ADDRESS_MAP_CSITE_PVA0VPU_BASE 0x24740000
#define NV_ADDRESS_MAP_CSITE_PVA0VPU_LIMIT 0x2477ffff
#define NV_ADDRESS_MAP_CSITE_PVA0VPU_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_PVA0VPU_HEADER

#define NV_ADDRESS_MAP_CSITE_MISC4_BASE 0x24780000
#define NV_ADDRESS_MAP_CSITE_MISC4_LIMIT 0x247fffff
#define NV_ADDRESS_MAP_CSITE_MISC4_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_MISC4_HEADER

#define NV_ADDRESS_MAP_STM_BASE 0x25000000
#define NV_ADDRESS_MAP_STM_LIMIT 0x25ffffff
#define NV_ADDRESS_MAP_STM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_STM_HEADER

#define NV_ADDRESS_MAP_CSITE_CCPLEX_BASE 0x26000000
#define NV_ADDRESS_MAP_CSITE_CCPLEX_LIMIT 0x27ffffff
#define NV_ADDRESS_MAP_CSITE_CCPLEX_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_CSITE_CCPLEX_HEADER

#define NV_ADDRESS_MAP_PCIE_C7_32BIT_EP_BASE 0x28000000
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_EP_LIMIT 0x28001fff
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C7_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_EP_HEADER arpcie_x8_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C7_32BIT_RP_BASE 0x28000000
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_RP_LIMIT 0x28001fff
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C7_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_RP_HEADER arpcie_x8_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C7_32BIT_DMA_BASE 0x28040000
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_DMA_LIMIT 0x2807ffff
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C7_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C8_32BIT_EP_BASE 0x2a000000
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_EP_LIMIT 0x2a001fff
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C8_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_EP_HEADER arpcie_x4_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C8_32BIT_RP_BASE 0x2a000000
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_RP_LIMIT 0x2a001fff
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C8_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_RP_HEADER arpcie_x4_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C8_32BIT_DMA_BASE 0x2a040000
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_DMA_LIMIT 0x2a07ffff
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C8_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C9_32BIT_EP_BASE 0x2c000000
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_EP_LIMIT 0x2c001fff
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C9_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_EP_HEADER arpcie_x4_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C9_32BIT_RP_BASE 0x2c000000
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_RP_LIMIT 0x2c001fff
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C9_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_RP_HEADER arpcie_x4_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C9_32BIT_DMA_BASE 0x2c040000
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_DMA_LIMIT 0x2c07ffff
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C9_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C10_32BIT_EP_BASE 0x2e000000
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_EP_LIMIT 0x2e001fff
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C10_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_EP_HEADER arpcie_x4_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C10_32BIT_RP_BASE 0x2e000000
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_RP_LIMIT 0x2e001fff
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C10_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_RP_HEADER arpcie_x4_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C10_32BIT_DMA_BASE 0x2e040000
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_DMA_LIMIT 0x2e07ffff
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C10_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C1_32BIT_RP_BASE 0x30000000
#define NV_ADDRESS_MAP_PCIE_C1_32BIT_RP_LIMIT 0x30001fff
#define NV_ADDRESS_MAP_PCIE_C1_32BIT_RP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C1_32BIT_RP_HEADER arpcie_x1_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C1_32BIT_DMA_BASE 0x30040000
#define NV_ADDRESS_MAP_PCIE_C1_32BIT_DMA_LIMIT 0x3007ffff
#define NV_ADDRESS_MAP_PCIE_C1_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C1_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C2_32BIT_RP_BASE 0x32000000
#define NV_ADDRESS_MAP_PCIE_C2_32BIT_RP_LIMIT 0x32001fff
#define NV_ADDRESS_MAP_PCIE_C2_32BIT_RP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C2_32BIT_RP_HEADER arpcie_x1_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C2_32BIT_DMA_BASE 0x32040000
#define NV_ADDRESS_MAP_PCIE_C2_32BIT_DMA_LIMIT 0x3207ffff
#define NV_ADDRESS_MAP_PCIE_C2_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C2_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C3_32BIT_RP_BASE 0x34000000
#define NV_ADDRESS_MAP_PCIE_C3_32BIT_RP_LIMIT 0x34001fff
#define NV_ADDRESS_MAP_PCIE_C3_32BIT_RP_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C3_32BIT_RP_HEADER arpcie_x1_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C3_32BIT_DMA_BASE 0x34040000
#define NV_ADDRESS_MAP_PCIE_C3_32BIT_DMA_LIMIT 0x3407ffff
#define NV_ADDRESS_MAP_PCIE_C3_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C3_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C4_32BIT_EP_BASE 0x36000000
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_EP_LIMIT 0x36001fff
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C4_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_EP_HEADER arpcie_x4_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C4_32BIT_RP_BASE 0x36000000
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_RP_LIMIT 0x36001fff
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C4_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_RP_HEADER arpcie_x4_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C4_32BIT_DMA_BASE 0x36040000
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_DMA_LIMIT 0x3607ffff
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C4_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C0_32BIT_EP_BASE 0x38000000
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_EP_LIMIT 0x38001fff
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C0_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_EP_HEADER arpcie_x4_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C0_32BIT_RP_BASE 0x38000000
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_RP_LIMIT 0x38001fff
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C0_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_RP_HEADER arpcie_x4_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C0_32BIT_DMA_BASE 0x38040000
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_DMA_LIMIT 0x3807ffff
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C0_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C5_32BIT_EP_BASE 0x3a000000
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_EP_LIMIT 0x3a001fff
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C5_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_EP_HEADER arpcie_x8_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C5_32BIT_RP_BASE 0x3a000000
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_RP_LIMIT 0x3a001fff
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C5_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_RP_HEADER arpcie_x8_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C5_32BIT_DMA_BASE 0x3a040000
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_DMA_LIMIT 0x3a07ffff
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C5_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_PCIE_C6_32BIT_EP_BASE 0x3c000000
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_EP_LIMIT 0x3c001fff
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_EP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C6_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.END_POINT
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_EP_HEADER arpcie_x4_ep_dbi.h

#define NV_ADDRESS_MAP_PCIE_C6_32BIT_RP_BASE 0x3c000000
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_RP_LIMIT 0x3c001fff
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_RP_ADDR_LOCALITY SYSTEM_CFG.PCIE_C6_CTL.PCIE_RP_APPL_DM_TYPE_0.DEVICE_TYPE.ROOT_PORT
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_RP_HEADER arpcie_x4_rc_dbi.h

#define NV_ADDRESS_MAP_PCIE_C6_32BIT_DMA_BASE 0x3c040000
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_DMA_LIMIT 0x3c07ffff
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_DMA_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C6_32BIT_DMA_HEADER arpcie_iatu_dma.h

#define NV_ADDRESS_MAP_SYSRAM_0_IMPL_BASE 0x40000000
#define NV_ADDRESS_MAP_SYSRAM_0_IMPL_LIMIT 0x4007ffff
#define NV_ADDRESS_MAP_SYSRAM_0_IMPL_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SYSRAM_0_IMPL_HEADER no_headers

#define NV_ADDRESS_MAP_AON_TZRAM_BASE 0x50000000
#define NV_ADDRESS_MAP_AON_TZRAM_LIMIT 0x5007ffff
#define NV_ADDRESS_MAP_AON_TZRAM_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_AON_TZRAM_HEADER no_headers

#define NV_ADDRESS_MAP_GIC_MSI_BASE 0x54000000
#define NV_ADDRESS_MAP_GIC_MSI_LIMIT 0x57ffffff
#define NV_ADDRESS_MAP_GIC_MSI_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_GIC_MSI_HEADER no_headers

#define NV_ADDRESS_MAP_SYNCPOINT_0_BASE 0x60000000
#define NV_ADDRESS_MAP_SYNCPOINT_0_LIMIT 0x63ffffff
#define NV_ADDRESS_MAP_SYNCPOINT_0_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_SYNCPOINT_0_HEADER no_headers

#define NV_ADDRESS_MAP_EMEM_32BIT_BASE 0x80000000
#define NV_ADDRESS_MAP_EMEM_32BIT_LIMIT 0xffffffff
#define NV_ADDRESS_MAP_EMEM_32BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_EMEM_32BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C1_64BIT_BASE 0x2080000000
#define NV_ADDRESS_MAP_PCIE_C1_64BIT_LIMIT 0x20bfffffff
#define NV_ADDRESS_MAP_PCIE_C1_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C1_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C2_64BIT_BASE 0x20c0000000
#define NV_ADDRESS_MAP_PCIE_C2_64BIT_LIMIT 0x20ffffffff
#define NV_ADDRESS_MAP_PCIE_C2_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C2_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C3_64BIT_BASE 0x2100000000
#define NV_ADDRESS_MAP_PCIE_C3_64BIT_LIMIT 0x213fffffff
#define NV_ADDRESS_MAP_PCIE_C3_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C3_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C6_64BIT_BASE 0x2140000000
#define NV_ADDRESS_MAP_PCIE_C6_64BIT_LIMIT 0x217fffffff
#define NV_ADDRESS_MAP_PCIE_C6_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C6_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C7_64BIT_BASE 0x2180000000
#define NV_ADDRESS_MAP_PCIE_C7_64BIT_LIMIT 0x21bfffffff
#define NV_ADDRESS_MAP_PCIE_C7_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C7_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C8_64BIT_BASE 0x21c0000000
#define NV_ADDRESS_MAP_PCIE_C8_64BIT_LIMIT 0x21ffffffff
#define NV_ADDRESS_MAP_PCIE_C8_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C8_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C9_64BIT_BASE 0x2200000000
#define NV_ADDRESS_MAP_PCIE_C9_64BIT_LIMIT 0x223fffffff
#define NV_ADDRESS_MAP_PCIE_C9_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C9_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C10_64BIT_BASE 0x2240000000
#define NV_ADDRESS_MAP_PCIE_C10_64BIT_LIMIT 0x227fffffff
#define NV_ADDRESS_MAP_PCIE_C10_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C10_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C4_64BIT_BASE 0x2280000000
#define NV_ADDRESS_MAP_PCIE_C4_64BIT_LIMIT 0x267fffffff
#define NV_ADDRESS_MAP_PCIE_C4_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C4_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C0_64BIT_BASE 0x2680000000
#define NV_ADDRESS_MAP_PCIE_C0_64BIT_LIMIT 0x2a7fffffff
#define NV_ADDRESS_MAP_PCIE_C0_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C0_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_PCIE_C5_64BIT_BASE 0x2a80000000
#define NV_ADDRESS_MAP_PCIE_C5_64BIT_LIMIT 0x2e7fffffff
#define NV_ADDRESS_MAP_PCIE_C5_64BIT_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_PCIE_C5_64BIT_HEADER no_headers

#define NV_ADDRESS_MAP_MSSNVLINK0_SLAVE_BASE 0x4000000000
#define NV_ADDRESS_MAP_MSSNVLINK0_SLAVE_LIMIT 0x7fffffffff
#define NV_ADDRESS_MAP_MSSNVLINK0_SLAVE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSSNVLINK0_SLAVE_HEADER no_headers

#define NV_ADDRESS_MAP_MSSNVLINK1_SLAVE_BASE 0x8000000000
#define NV_ADDRESS_MAP_MSSNVLINK1_SLAVE_LIMIT 0xbfffffffff
#define NV_ADDRESS_MAP_MSSNVLINK1_SLAVE_ADDR_LOCALITY SYSTEM
#define NV_ADDRESS_MAP_MSSNVLINK1_SLAVE_HEADER no_headers

#define NV_ADDRESS_MAP_CAR_BASE 0x20000000
#define NV_ADDRESS_MAP_AON_TKE_BASE 0x0c0f0000
#define NV_ADDRESS_MAP_TOP0_HSP_BASE 0x03c00000
#define NV_ADDRESS_MAP_BPMP_HSP_BASE 0x0d150000
#define NV_ADDRESS_MAP_AON_HSP_BASE 0x0c150000
#define NV_ADDRESS_MAP_SCE_HSP_BASE 0x0b150000
#define NV_ADDRESS_MAP_AON_PM_BASE 0x0c1f0000
#define NV_ADDRESS_MAP_TOP0_HSP_COMMON_SIZEi 0x00010000
#define NV_ADDRESS_MAP_FUSE_BASE 0x03810000
#define NV_ADDRESS_MAP_TOP0_HSP_COMMON_SIZE 0x00010000
#define NV_ADDRESS_MAP_TOP1_HSP_BASE 0x03d00000
#define NV_ADDRESS_MAP_FSI_HSP_BASE  0x09300000
#define NV_ADDRESS_MAP_AON_BTCM_SIZE 0x00040000
#define NV_ADDRESS_MAP_AON_DMA_BASE  0x0c060000
#define NV_ADDRESS_MAP_GPIO_CTL_BASE 0x02200000
#define NV_ADDRESS_MAP_TOP_HSP1_SHARED_4_INTR_ID 0x84
#define NV_ADDRESS_MAP_LIC_BASE	0x03000000

#endif  //ADDRESS_MAP_NEW_H_INC
