//
// Copyright (c) 2021 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ARGPCDMA_FLV_32CH_H_INC
#define ARGPCDMA_FLV_32CH_H_INC
#define NV_MOBILE_ARGPCDMA_FLV_32CH_H_UNIT_OF_OFFSET 1B

#define NV_MOBILE_ARGPCDMA_FLV_32CH_H_SCRREG_NOMENCLATURE EXACT


// Register GPCDMA_COMMON_DMA_CHAN_STA_0
#define GPCDMA_COMMON_DMA_CHAN_STA_0                    MK_ADDR_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_SECURE                     0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_DUAL                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_SCR                        SCR_DMA_RO_0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_SCRREG                     GPCDMA_SCR_SCR_DMA_RO_0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_DMA_CHAN_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_RANGE                  0:0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_RANGE                  1:1
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_RANGE                  2:2
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_RANGE                  3:3
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_RANGE                  4:4
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_RANGE                  5:5
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_RANGE                  6:6
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_RANGE                  7:7
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_RANGE                  8:8
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH8_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_RANGE                  9:9
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH9_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_RANGE                 10:10
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH10_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_RANGE                 11:11
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH11_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_RANGE                 12:12
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH12_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_RANGE                 13:13
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH13_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_RANGE                 14:14
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH14_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_RANGE                 15:15
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH15_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_RANGE                 16:16
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH16_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_RANGE                 17:17
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH17_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_RANGE                 18:18
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH18_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_RANGE                 19:19
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH19_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_RANGE                 20:20
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH20_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_RANGE                 21:21
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH21_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_RANGE                 22:22
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH22_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_RANGE                 23:23
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH23_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_RANGE                 24:24
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_MSB                   MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH24_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_SHIFT                 MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_RANGE                 25:25
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_LSB                   MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH25_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_SHIFT                 MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_RANGE                 26:26
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_LSB                   MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH26_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_SHIFT                 MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_RANGE                 27:27
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_MSB                   MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_LSB                   MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH27_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_SHIFT                 MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_RANGE                 28:28
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_MSB                   MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_LSB                   MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH28_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_SHIFT                 MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_RANGE                 29:29
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_MSB                   MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_LSB                   MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH29_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_RANGE                 30:30
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH30_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_RANGE                 31:31
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_WOFFSET                       0x0
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_STA_0_CH31_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_REQUESTORS_TX_0
#define GPCDMA_COMMON_REQUESTORS_TX_0                   MK_ADDR_CONST(0x4)
#define GPCDMA_COMMON_REQUESTORS_TX_0_SECURE                    0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_DUAL                      0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_SCR                       SCR_DMA_RO_0
#define GPCDMA_COMMON_REQUESTORS_TX_0_SCRREG                    GPCDMA_SCR_SCR_DMA_RO_0
#define GPCDMA_COMMON_REQUESTORS_TX_0_WORD_COUNT                        0x1
#define GPCDMA_COMMON_REQUESTORS_TX_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_REQUESTORS_TX_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_REQUESTORS_TX_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_RANGE                    0:0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_SHIFT                    MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_RANGE                    1:1
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_MSB                      MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_LSB                      MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_SHIFT                    MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_RANGE                    2:2
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_MSB                      MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_LSB                      MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_SHIFT                    MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_RANGE                    3:3
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_MSB                      MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_LSB                      MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_3_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_SHIFT                    MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_RANGE                    4:4
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_MSB                      MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_LSB                      MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_4_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_SHIFT                    MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_RANGE                    5:5
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_MSB                      MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_LSB                      MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_5_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_SHIFT                    MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_RANGE                    6:6
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_LSB                      MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_6_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_RANGE                    7:7
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_MSB                      MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_7_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_SHIFT                    MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_RANGE                    8:8
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_MSB                      MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_LSB                      MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_8_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_SHIFT                    MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_RANGE                    9:9
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_MSB                      MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_LSB                      MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_9_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_RANGE                   10:10
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_MSB                     MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_10_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_SHIFT                   MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_RANGE                   11:11
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_MSB                     MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_LSB                     MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_11_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_SHIFT                   MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_RANGE                   12:12
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_MSB                     MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_LSB                     MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_12_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_SHIFT                   MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_RANGE                   13:13
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_LSB                     MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_13_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_SHIFT                   MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_RANGE                   14:14
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_MSB                     MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_LSB                     MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_14_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_SHIFT                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_RANGE                   15:15
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_LSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_15_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_RANGE                   16:16
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_16_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_SHIFT                   MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_RANGE                   17:17
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_MSB                     MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_LSB                     MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_17_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_SHIFT                   MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_RANGE                   18:18
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_LSB                     MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_18_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_RANGE                   19:19
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_MSB                     MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_19_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_SHIFT                   MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_RANGE                   20:20
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_MSB                     MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_LSB                     MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_20_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_SHIFT                   MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_RANGE                   21:21
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_MSB                     MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_LSB                     MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_21_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_SHIFT                   MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_RANGE                   22:22
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_LSB                     MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_22_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_RANGE                   23:23
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_MSB                     MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_23_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_RANGE                   24:24
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_24_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_RANGE                   25:25
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_MSB                     MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_25_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_RANGE                   26:26
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_26_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_RANGE                   27:27
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_27_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_RANGE                   28:28
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_28_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_RANGE                   29:29
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_29_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_RANGE                   30:30
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_30_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_RANGE                   31:31
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_TX_0_CLIENT_31_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_REQUESTORS_RX_0
#define GPCDMA_COMMON_REQUESTORS_RX_0                   MK_ADDR_CONST(0x8)
#define GPCDMA_COMMON_REQUESTORS_RX_0_SECURE                    0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_DUAL                      0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_SCR                       SCR_DMA_RO_0
#define GPCDMA_COMMON_REQUESTORS_RX_0_SCRREG                    GPCDMA_SCR_SCR_DMA_RO_0
#define GPCDMA_COMMON_REQUESTORS_RX_0_WORD_COUNT                        0x1
#define GPCDMA_COMMON_REQUESTORS_RX_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_REQUESTORS_RX_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_REQUESTORS_RX_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_RANGE                    0:0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_MSB                      MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_SHIFT                    MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_RANGE                    1:1
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_MSB                      MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_LSB                      MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_SHIFT                    MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_RANGE                    2:2
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_MSB                      MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_LSB                      MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_SHIFT                    MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_RANGE                    3:3
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_MSB                      MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_LSB                      MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_3_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_SHIFT                    MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_RANGE                    4:4
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_MSB                      MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_LSB                      MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_4_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_SHIFT                    MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_RANGE                    5:5
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_MSB                      MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_LSB                      MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_5_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_SHIFT                    MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_RANGE                    6:6
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_LSB                      MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_6_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_RANGE                    7:7
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_MSB                      MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_7_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_SHIFT                    MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_RANGE                    8:8
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_MSB                      MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_LSB                      MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_8_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_SHIFT                    MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_RANGE                    9:9
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_MSB                      MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_LSB                      MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_WOFFSET                  0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_9_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_RANGE                   10:10
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_MSB                     MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_10_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_SHIFT                   MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_RANGE                   11:11
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_MSB                     MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_LSB                     MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_11_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_SHIFT                   MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_RANGE                   12:12
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_MSB                     MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_LSB                     MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_12_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_SHIFT                   MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_RANGE                   13:13
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_LSB                     MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_13_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_SHIFT                   MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_RANGE                   14:14
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_MSB                     MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_LSB                     MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_14_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_SHIFT                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_RANGE                   15:15
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_LSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_15_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_RANGE                   16:16
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_16_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_SHIFT                   MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_RANGE                   17:17
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_MSB                     MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_LSB                     MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_17_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_SHIFT                   MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_RANGE                   18:18
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_LSB                     MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_18_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_RANGE                   19:19
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_MSB                     MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_19_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_SHIFT                   MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_RANGE                   20:20
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_MSB                     MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_LSB                     MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_20_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_SHIFT                   MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_RANGE                   21:21
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_MSB                     MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_LSB                     MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_21_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_SHIFT                   MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_RANGE                   22:22
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_LSB                     MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_22_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_RANGE                   23:23
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_MSB                     MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_23_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_RANGE                   24:24
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_MSB                     MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_24_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_RANGE                   25:25
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_MSB                     MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_25_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_RANGE                   26:26
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_26_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_RANGE                   27:27
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_27_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_RANGE                   28:28
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_28_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_RANGE                   29:29
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_29_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_RANGE                   30:30
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_30_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_SHIFT)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_RANGE                   31:31
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_WOFFSET                 0x0
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_REQUESTORS_RX_0_CLIENT_31_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_COMMON_ERROR_STA_0
#define GPCDMA_COMMON_COMMON_ERROR_STA_0                        MK_ADDR_CONST(0xc)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_SECURE                         0x0
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_DUAL                   0x0
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_RANGE                     31:0
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_WOFFSET                   0x0
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_ERROR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CHANNEL_ERROR_STA_0
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0                       MK_ADDR_CONST(0x10)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_SECURE                        0x0
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_DUAL                  0x0
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_FIELD                    MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_RANGE                    31:0
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_WOFFSET                  0x0
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_DEFAULT_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_ERROR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Reserved address 0x14

// Register GPCDMA_COMMON_CHANNEL_TRIG_REG_0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0                        MK_ADDR_CONST(0x18)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_SECURE                         0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_DUAL                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_SCR                    SCR_DMA_RO_0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_SCRREG                         GPCDMA_SCR_SCR_DMA_RO_0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_RANGE                      0:0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_RANGE                      1:1
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_SHIFT                      MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_RANGE                      2:2
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_MSB                        MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_LSB                        MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH2_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_SHIFT                      MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_RANGE                      3:3
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_MSB                        MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_LSB                        MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH3_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_SHIFT                      MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_RANGE                      4:4
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_MSB                        MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_LSB                        MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH4_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_SHIFT                      MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_RANGE                      5:5
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_MSB                        MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_LSB                        MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH5_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_SHIFT                      MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_RANGE                      6:6
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_LSB                        MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH6_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_SHIFT                      MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_RANGE                      7:7
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_MSB                        MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_LSB                        MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH7_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_SHIFT                      MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_RANGE                      8:8
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_MSB                        MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_LSB                        MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH8_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_SHIFT                      MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_RANGE                      9:9
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_MSB                        MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_LSB                        MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH9_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_SHIFT                     MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_RANGE                     10:10
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_MSB                       MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_LSB                       MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH10_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_SHIFT                     MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_RANGE                     11:11
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_MSB                       MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_LSB                       MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH11_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_SHIFT                     MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_RANGE                     12:12
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_MSB                       MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_LSB                       MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH12_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_SHIFT                     MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_RANGE                     13:13
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_LSB                       MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH13_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_RANGE                     14:14
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_MSB                       MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH14_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_SHIFT                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_RANGE                     15:15
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_MSB                       MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_LSB                       MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH15_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_RANGE                     16:16
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH16_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_SHIFT                     MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_RANGE                     17:17
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_MSB                       MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_LSB                       MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH17_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_SHIFT                     MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_RANGE                     18:18
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_LSB                       MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH18_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_SHIFT                     MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_RANGE                     19:19
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_LSB                       MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH19_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_SHIFT                     MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_RANGE                     20:20
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_MSB                       MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_LSB                       MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH20_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_SHIFT                     MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_RANGE                     21:21
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_MSB                       MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_LSB                       MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH21_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_SHIFT                     MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_RANGE                     22:22
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_MSB                       MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_LSB                       MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH22_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_RANGE                     23:23
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH23_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_SHIFT                     MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_RANGE                     24:24
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_LSB                       MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH24_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_SHIFT                     MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_RANGE                     25:25
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_MSB                       MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_LSB                       MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH25_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_SHIFT                     MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_RANGE                     26:26
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_MSB                       MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_LSB                       MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH26_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_RANGE                     27:27
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH27_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_RANGE                     28:28
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH28_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_RANGE                     29:29
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH29_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_SHIFT                     MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_RANGE                     30:30
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_LSB                       MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH30_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_SHIFT)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_RANGE                     31:31
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_TRIG_REG_0_CH31_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_MASKED_INTR_REG_0
#define GPCDMA_COMMON_MASKED_INTR_REG_0                 MK_ADDR_CONST(0x1c)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_SECURE                  0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_DUAL                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_SCR                     SCR_DMA_RO_0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_SCRREG                  GPCDMA_SCR_SCR_DMA_RO_0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_MASKED_INTR_REG_0_RESET_VAL                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_RANGE                       0:0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_RANGE                       1:1
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_RANGE                       2:2
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_RANGE                       3:3
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_RANGE                       4:4
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_RANGE                       5:5
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_RANGE                       6:6
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_RANGE                       7:7
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_RANGE                       8:8
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH8_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_RANGE                       9:9
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_WOFFSET                     0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH9_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_SHIFT                      MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_RANGE                      10:10
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_MSB                        MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_LSB                        MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH10_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_SHIFT                      MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_RANGE                      11:11
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_MSB                        MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_LSB                        MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH11_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_SHIFT                      MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_RANGE                      12:12
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_MSB                        MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_LSB                        MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH12_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_SHIFT                      MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_RANGE                      13:13
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_MSB                        MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_LSB                        MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH13_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_RANGE                      14:14
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_MSB                        MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH14_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_SHIFT                      MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_RANGE                      15:15
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_LSB                        MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH15_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_RANGE                      16:16
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH16_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_SHIFT                      MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_RANGE                      17:17
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_MSB                        MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_LSB                        MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH17_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_SHIFT                      MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_RANGE                      18:18
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_LSB                        MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH18_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_SHIFT                      MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_RANGE                      19:19
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_MSB                        MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_LSB                        MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH19_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_SHIFT                      MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_RANGE                      20:20
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_MSB                        MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_LSB                        MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH20_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_SHIFT                      MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_RANGE                      21:21
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_MSB                        MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_LSB                        MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH21_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_SHIFT                      MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_RANGE                      22:22
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_MSB                        MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_LSB                        MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH22_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_RANGE                      23:23
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_MSB                        MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH23_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_RANGE                      24:24
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH24_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_RANGE                      25:25
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH25_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_SHIFT                      MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_RANGE                      26:26
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_MSB                        MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_LSB                        MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH26_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_RANGE                      27:27
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH27_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_RANGE                      28:28
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH28_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_RANGE                      29:29
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH29_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_SHIFT                      MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_RANGE                      30:30
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_LSB                        MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH30_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_SHIFT)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_RANGE                      31:31
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_WOFFSET                    0x0
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_MASKED_INTR_REG_0_CH31_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CHANNEL_INTR_STA_0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0                        MK_ADDR_CONST(0x20)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_SECURE                         0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_DUAL                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_SCR                    SCR_DMA_RO_0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_SCRREG                         GPCDMA_SCR_SCR_DMA_RO_0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_RANGE                      0:0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_RANGE                      1:1
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_SHIFT                      MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_RANGE                      2:2
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_MSB                        MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_LSB                        MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH2_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_SHIFT                      MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_RANGE                      3:3
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_MSB                        MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_LSB                        MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH3_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_SHIFT                      MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_RANGE                      4:4
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_MSB                        MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_LSB                        MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH4_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_SHIFT                      MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_RANGE                      5:5
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_MSB                        MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_LSB                        MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH5_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_SHIFT                      MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_RANGE                      6:6
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_LSB                        MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH6_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_SHIFT                      MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_RANGE                      7:7
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_MSB                        MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_LSB                        MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH7_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_SHIFT                      MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_RANGE                      8:8
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_MSB                        MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_LSB                        MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH8_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_SHIFT                      MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_RANGE                      9:9
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_MSB                        MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_LSB                        MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_WOFFSET                    0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH9_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_SHIFT                     MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_RANGE                     10:10
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_MSB                       MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_LSB                       MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH10_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_SHIFT                     MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_RANGE                     11:11
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_MSB                       MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_LSB                       MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH11_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_SHIFT                     MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_RANGE                     12:12
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_MSB                       MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_LSB                       MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH12_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_SHIFT                     MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_RANGE                     13:13
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_LSB                       MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH13_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_SHIFT                     MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_RANGE                     14:14
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_MSB                       MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_LSB                       MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH14_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_SHIFT                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_RANGE                     15:15
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_MSB                       MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_LSB                       MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH15_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_RANGE                     16:16
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH16_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_SHIFT                     MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_RANGE                     17:17
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_MSB                       MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_LSB                       MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH17_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_SHIFT                     MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_RANGE                     18:18
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_LSB                       MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH18_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_SHIFT                     MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_RANGE                     19:19
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_MSB                       MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_LSB                       MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH19_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_SHIFT                     MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_RANGE                     20:20
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_MSB                       MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_LSB                       MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH20_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_SHIFT                     MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_RANGE                     21:21
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_MSB                       MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_LSB                       MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH21_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_SHIFT                     MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_RANGE                     22:22
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_MSB                       MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_LSB                       MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH22_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_RANGE                     23:23
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH23_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_SHIFT                     MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_RANGE                     24:24
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_LSB                       MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH24_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_SHIFT                     MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_RANGE                     25:25
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_MSB                       MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_LSB                       MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH25_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_SHIFT                     MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_RANGE                     26:26
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_MSB                       MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_LSB                       MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH26_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_RANGE                     27:27
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH27_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_RANGE                     28:28
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH28_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_RANGE                     29:29
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH29_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_SHIFT                     MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_RANGE                     30:30
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_LSB                       MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH30_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_SHIFT)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_RANGE                     31:31
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_WOFFSET                   0x0
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_INTR_STA_0_CH31_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_COMMON_INTR_0
#define GPCDMA_COMMON_COMMON_INTR_0                     MK_ADDR_CONST(0x24)
#define GPCDMA_COMMON_COMMON_INTR_0_SECURE                      0x0
#define GPCDMA_COMMON_COMMON_INTR_0_DUAL                        0x0
#define GPCDMA_COMMON_COMMON_INTR_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_COMMON_INTR_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_COMMON_INTR_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_COMMON_INTR_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_RESET_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_COMMON_COMMON_INTR_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_READ_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_COMMON_COMMON_INTR_0_WRITE_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SHIFT)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_RANGE                       4:4
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_WOFFSET                     0x0
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_RAW_INTR_STATUS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SHIFT)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_RANGE                       3:3
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_WOFFSET                     0x0
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IRQ_INTR_STATUS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_SHIFT                        MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_SHIFT)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_RANGE                        2:2
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_MSB                  MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_LSB                  MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_WOFFSET                      0x0
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IS_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_SHIFT)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_RANGE                     1:1
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_WOFFSET                   0x0
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_INTR_MASK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_SHIFT)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_RANGE                        0:0
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_MSB                  MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_WOFFSET                      0x0
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_COMMON_INTR_0_IE_EOC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CHANNEL_REG_LOCK_0
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0                        MK_ADDR_CONST(0x28)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_SECURE                         0x0
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_DUAL                   0x0
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SHIFT)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_RANGE                  31:0
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_WOFFSET                        0x0
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CHANNEL_REG_LOCK_0_REGLOCK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH0_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0                        MK_ADDR_CONST(0x80)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_PERI_ID_MASK_0_CH0_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH1_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0                        MK_ADDR_CONST(0x84)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_PERI_ID_MASK_0_CH1_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH2_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0                        MK_ADDR_CONST(0x88)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_PERI_ID_MASK_0_CH2_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH3_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0                        MK_ADDR_CONST(0x8c)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_PERI_ID_MASK_0_CH3_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH4_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0                        MK_ADDR_CONST(0x90)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_PERI_ID_MASK_0_CH4_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH5_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0                        MK_ADDR_CONST(0x94)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_PERI_ID_MASK_0_CH5_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH6_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0                        MK_ADDR_CONST(0x98)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_PERI_ID_MASK_0_CH6_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH7_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0                        MK_ADDR_CONST(0x9c)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_PERI_ID_MASK_0_CH7_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH8_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0                        MK_ADDR_CONST(0xa0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_PERI_ID_MASK_0_CH8_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH9_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0                        MK_ADDR_CONST(0xa4)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_SECURE                         0x0
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_DUAL                   0x0
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_SCR                    SCR_HYPER_0
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_SCRREG                         GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_PERI_ID_MASK_0_CH9_PERI_ID_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH10_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0                       MK_ADDR_CONST(0xa8)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_PERI_ID_MASK_0_CH10_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH11_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0                       MK_ADDR_CONST(0xac)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_PERI_ID_MASK_0_CH11_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH12_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0                       MK_ADDR_CONST(0xb0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_PERI_ID_MASK_0_CH12_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH13_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0                       MK_ADDR_CONST(0xb4)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_PERI_ID_MASK_0_CH13_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH14_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0                       MK_ADDR_CONST(0xb8)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_PERI_ID_MASK_0_CH14_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH15_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0                       MK_ADDR_CONST(0xbc)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_PERI_ID_MASK_0_CH15_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH16_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0                       MK_ADDR_CONST(0xc0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_PERI_ID_MASK_0_CH16_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH17_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0                       MK_ADDR_CONST(0xc4)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_PERI_ID_MASK_0_CH17_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH18_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0                       MK_ADDR_CONST(0xc8)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_PERI_ID_MASK_0_CH18_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH19_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0                       MK_ADDR_CONST(0xcc)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_PERI_ID_MASK_0_CH19_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH20_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0                       MK_ADDR_CONST(0xd0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_PERI_ID_MASK_0_CH20_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH21_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0                       MK_ADDR_CONST(0xd4)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_PERI_ID_MASK_0_CH21_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH22_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0                       MK_ADDR_CONST(0xd8)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_PERI_ID_MASK_0_CH22_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH23_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0                       MK_ADDR_CONST(0xdc)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_PERI_ID_MASK_0_CH23_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH24_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0                       MK_ADDR_CONST(0xe0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_PERI_ID_MASK_0_CH24_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH25_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0                       MK_ADDR_CONST(0xe4)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_PERI_ID_MASK_0_CH25_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH26_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0                       MK_ADDR_CONST(0xe8)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_PERI_ID_MASK_0_CH26_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH27_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0                       MK_ADDR_CONST(0xec)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_PERI_ID_MASK_0_CH27_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH28_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0                       MK_ADDR_CONST(0xf0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_PERI_ID_MASK_0_CH28_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH29_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0                       MK_ADDR_CONST(0xf4)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_PERI_ID_MASK_0_CH29_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH30_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0                       MK_ADDR_CONST(0xf8)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_PERI_ID_MASK_0_CH30_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH31_PERI_ID_MASK_0
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0                       MK_ADDR_CONST(0xfc)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_SECURE                        0x0
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_DUAL                  0x0
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_SCR                   SCR_HYPER_0
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_SCRREG                        GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_WORD_COUNT                    0x1
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_SHIFT)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_RANGE                       31:0
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_WOFFSET                     0x0
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_PERI_ID_MASK_0_CH31_PERI_ID_MASK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER0_PERI_ADDR_0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0                  MK_ADDR_CONST(0x100)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER0_PERI_ADDR_0_PER0_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER1_PERI_ADDR_0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0                  MK_ADDR_CONST(0x104)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER1_PERI_ADDR_0_PER1_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER2_PERI_ADDR_0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0                  MK_ADDR_CONST(0x108)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER2_PERI_ADDR_0_PER2_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER3_PERI_ADDR_0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0                  MK_ADDR_CONST(0x10c)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER3_PERI_ADDR_0_PER3_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER4_PERI_ADDR_0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0                  MK_ADDR_CONST(0x110)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER4_PERI_ADDR_0_PER4_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER5_PERI_ADDR_0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0                  MK_ADDR_CONST(0x114)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER5_PERI_ADDR_0_PER5_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER6_PERI_ADDR_0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0                  MK_ADDR_CONST(0x118)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER6_PERI_ADDR_0_PER6_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER7_PERI_ADDR_0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0                  MK_ADDR_CONST(0x11c)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER7_PERI_ADDR_0_PER7_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER8_PERI_ADDR_0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0                  MK_ADDR_CONST(0x120)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER8_PERI_ADDR_0_PER8_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER9_PERI_ADDR_0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0                  MK_ADDR_CONST(0x124)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_SECURE                   0x0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_DUAL                     0x0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_FIELD                       MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_RANGE                       31:16
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_WOFFSET                     0x0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_DEFAULT_MASK                        MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_START_ADDR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_FIELD                   MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_RANGE                   15:0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_WOFFSET                 0x0
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER9_PERI_ADDR_0_PER9_PERI_OFFSET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER10_PERI_ADDR_0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0                 MK_ADDR_CONST(0x128)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER10_PERI_ADDR_0_PER10_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER11_PERI_ADDR_0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0                 MK_ADDR_CONST(0x12c)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER11_PERI_ADDR_0_PER11_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER12_PERI_ADDR_0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0                 MK_ADDR_CONST(0x130)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER12_PERI_ADDR_0_PER12_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER13_PERI_ADDR_0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0                 MK_ADDR_CONST(0x134)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER13_PERI_ADDR_0_PER13_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER14_PERI_ADDR_0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0                 MK_ADDR_CONST(0x138)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER14_PERI_ADDR_0_PER14_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER15_PERI_ADDR_0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0                 MK_ADDR_CONST(0x13c)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER15_PERI_ADDR_0_PER15_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER16_PERI_ADDR_0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0                 MK_ADDR_CONST(0x140)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER16_PERI_ADDR_0_PER16_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER17_PERI_ADDR_0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0                 MK_ADDR_CONST(0x144)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER17_PERI_ADDR_0_PER17_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER18_PERI_ADDR_0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0                 MK_ADDR_CONST(0x148)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER18_PERI_ADDR_0_PER18_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER19_PERI_ADDR_0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0                 MK_ADDR_CONST(0x14c)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER19_PERI_ADDR_0_PER19_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER20_PERI_ADDR_0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0                 MK_ADDR_CONST(0x150)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER20_PERI_ADDR_0_PER20_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER21_PERI_ADDR_0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0                 MK_ADDR_CONST(0x154)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER21_PERI_ADDR_0_PER21_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER22_PERI_ADDR_0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0                 MK_ADDR_CONST(0x158)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER22_PERI_ADDR_0_PER22_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER23_PERI_ADDR_0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0                 MK_ADDR_CONST(0x15c)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER23_PERI_ADDR_0_PER23_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER24_PERI_ADDR_0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0                 MK_ADDR_CONST(0x160)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER24_PERI_ADDR_0_PER24_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER25_PERI_ADDR_0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0                 MK_ADDR_CONST(0x164)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER25_PERI_ADDR_0_PER25_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER26_PERI_ADDR_0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0                 MK_ADDR_CONST(0x168)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER26_PERI_ADDR_0_PER26_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER27_PERI_ADDR_0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0                 MK_ADDR_CONST(0x16c)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER27_PERI_ADDR_0_PER27_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER28_PERI_ADDR_0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0                 MK_ADDR_CONST(0x170)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER28_PERI_ADDR_0_PER28_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER29_PERI_ADDR_0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0                 MK_ADDR_CONST(0x174)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER29_PERI_ADDR_0_PER29_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER30_PERI_ADDR_0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0                 MK_ADDR_CONST(0x178)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER30_PERI_ADDR_0_PER30_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_PER31_PERI_ADDR_0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0                 MK_ADDR_CONST(0x17c)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_SECURE                  0x0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_DUAL                    0x0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_SCR                     SCR_HYPER_0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_SCRREG                  GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_WORD_COUNT                      0x1
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_FIELD                     MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_SHIFT)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_RANGE                     31:16
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_WOFFSET                   0x0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_DEFAULT_MASK                      MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_START_ADDR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_FIELD                 MK_FIELD_CONST(0xffff, GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_SHIFT)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_RANGE                 15:0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_WOFFSET                       0x0
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_PER31_PERI_ADDR_0_PER31_PERI_OFFSET_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x180)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0_CH0_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x184)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0_CH1_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x188)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0_CH2_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x18c)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0_CH3_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x190)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0_CH4_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x194)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0_CH5_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x198)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0_CH6_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x19c)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0_CH7_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x1a0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0_CH8_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0                     MK_ADDR_CONST(0x1a4)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0_CH9_STREAM_ID0_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1a8)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0_CH10_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1ac)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0_CH11_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1b0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0_CH12_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1b4)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0_CH13_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1b8)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0_CH14_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1bc)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0_CH15_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1c0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0_CH16_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1c4)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0_CH17_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1c8)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0_CH18_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1cc)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0_CH19_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1d0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0_CH20_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1d4)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0_CH21_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1d8)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0_CH22_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1dc)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0_CH23_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1e0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0_CH24_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1e4)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0_CH25_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1e8)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0_CH26_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1ec)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0_CH27_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1f0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0_CH28_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1f4)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0_CH29_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1f8)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0_CH30_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0                    MK_ADDR_CONST(0x1fc)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_SHIFT)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0_CH31_STREAM_ID0_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x200)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0_CH0_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x204)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0_CH1_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x208)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0_CH2_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x20c)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0_CH3_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x210)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0_CH4_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x214)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0_CH5_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x218)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0_CH6_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x21c)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0_CH7_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x220)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0_CH8_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0                     MK_ADDR_CONST(0x224)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0_CH9_STREAM_ID1_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x228)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0_CH10_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x22c)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0_CH11_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x230)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0_CH12_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x234)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0_CH13_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x238)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0_CH14_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x23c)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0_CH15_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x240)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0_CH16_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x244)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0_CH17_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x248)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0_CH18_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x24c)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0_CH19_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x250)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0_CH20_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x254)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0_CH21_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x258)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0_CH22_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x25c)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0_CH23_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x260)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0_CH24_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x264)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0_CH25_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x268)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0_CH26_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x26c)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0_CH27_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x270)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0_CH28_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x274)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0_CH29_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x278)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0_CH30_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0                    MK_ADDR_CONST(0x27c)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_SHIFT)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0_CH31_STREAM_ID1_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x280)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0_CH0_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x284)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0_CH1_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x288)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0_CH2_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x28c)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0_CH3_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x290)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0_CH4_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x294)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0_CH5_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x298)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0_CH6_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x29c)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0_CH7_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x2a0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0_CH8_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0                     MK_ADDR_CONST(0x2a4)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0_CH9_STREAM_ID2_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2a8)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0_CH10_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2ac)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0_CH11_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2b0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0_CH12_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2b4)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0_CH13_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2b8)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0_CH14_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2bc)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0_CH15_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2c0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0_CH16_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2c4)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0_CH17_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2c8)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0_CH18_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2cc)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0_CH19_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2d0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0_CH20_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2d4)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0_CH21_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2d8)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0_CH22_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2dc)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0_CH23_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2e0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0_CH24_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2e4)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0_CH25_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2e8)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0_CH26_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2ec)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0_CH27_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2f0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0_CH28_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2f4)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0_CH29_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2f8)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0_CH30_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0                    MK_ADDR_CONST(0x2fc)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_SHIFT)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0_CH31_STREAM_ID2_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x300)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0_CH0_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x304)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0_CH1_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x308)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0_CH2_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x30c)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0_CH3_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x310)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0_CH4_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x314)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0_CH5_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x318)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0_CH6_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x31c)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0_CH7_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x320)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0_CH8_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0                     MK_ADDR_CONST(0x324)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_SECURE                      0x0
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_DUAL                        0x0
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_SCR                         SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_SCRREG                      GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_FIELD                   MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_RANGE                   31:0
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_WOFFSET                 0x0
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0_CH9_STREAM_ID3_MASK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x328)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0_CH10_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x32c)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0_CH11_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x330)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0_CH12_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x334)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0_CH13_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x338)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0_CH14_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x33c)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0_CH15_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x340)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0_CH16_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x344)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0_CH17_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x348)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0_CH18_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x34c)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0_CH19_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x350)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0_CH20_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x354)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0_CH21_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x358)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0_CH22_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x35c)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0_CH23_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x360)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0_CH24_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x364)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0_CH25_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x368)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0_CH26_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x36c)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0_CH27_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x370)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0_CH28_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x374)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0_CH29_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x378)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0_CH30_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0                    MK_ADDR_CONST(0x37c)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_SECURE                     0x0
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_DUAL                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_SCR                        SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_SCRREG                     GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_WORD_COUNT                         0x1
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_SHIFT)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_RANGE                 31:0
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_WOFFSET                       0x0
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0_CH31_STREAM_ID3_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0                  MK_ADDR_CONST(0x380)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SECURE                   0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_DUAL                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SCR                      SCR_HYPER_0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SCRREG                   GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_WORD_COUNT                       0x1
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_RANGE                        0:0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_MSB                  MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_RANGE                        1:1
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SHIFT                        MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_RANGE                        2:2
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_MSB                  MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_LSB                  MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH2_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SHIFT                        MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_RANGE                        3:3
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_MSB                  MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_LSB                  MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH3_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SHIFT                        MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_RANGE                        4:4
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_MSB                  MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_LSB                  MK_SHIFT_CONST(4)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH4_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SHIFT                        MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_RANGE                        5:5
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_MSB                  MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_LSB                  MK_SHIFT_CONST(5)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH5_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SHIFT                        MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_RANGE                        6:6
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_MSB                  MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_LSB                  MK_SHIFT_CONST(6)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH6_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_RANGE                        7:7
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH7_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_SHIFT                        MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_RANGE                        8:8
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_LSB                  MK_SHIFT_CONST(8)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH8_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_SHIFT                        MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_RANGE                        9:9
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_MSB                  MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_LSB                  MK_SHIFT_CONST(9)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_WOFFSET                      0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH9_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_RANGE                       10:10
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH10_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_RANGE                       11:11
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH11_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_RANGE                       12:12
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH12_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_RANGE                       13:13
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH13_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_RANGE                       14:14
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH14_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_RANGE                       15:15
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH15_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_RANGE                       16:16
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH16_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_RANGE                       17:17
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH17_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_RANGE                       18:18
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH18_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_RANGE                       19:19
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH19_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_RANGE                       20:20
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH20_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_RANGE                       21:21
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH21_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_RANGE                       22:22
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH22_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_RANGE                       23:23
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH23_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_RANGE                       24:24
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH24_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_RANGE                       25:25
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH25_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_SHIFT                       MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_RANGE                       26:26
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_MSB                 MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_LSB                 MK_SHIFT_CONST(26)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH26_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_SHIFT                       MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_RANGE                       27:27
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_MSB                 MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_LSB                 MK_SHIFT_CONST(27)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH27_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_SHIFT                       MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_RANGE                       28:28
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_MSB                 MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_LSB                 MK_SHIFT_CONST(28)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH28_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_SHIFT                       MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_RANGE                       29:29
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_MSB                 MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_LSB                 MK_SHIFT_CONST(29)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH29_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_SHIFT                       MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_RANGE                       30:30
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_MSB                 MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_LSB                 MK_SHIFT_CONST(30)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH30_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_SHIFT                       MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_SHIFT)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_RANGE                       31:31
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_LSB                 MK_SHIFT_CONST(31)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0_CH31_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0                     MK_ADDR_CONST(0x384)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_SECURE                      0x0
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DUAL                        0x0
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_SCR                         0
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_SCRREG                      0
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_WORD_COUNT                  0x1
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_READ_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SHIFT)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_RANGE                   0:0
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_MSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_WOFFSET                 0x0
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0_DMA_ICG_EN_OVERRIDE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_DMA_ACTIVE_0
#define GPCDMA_COMMON_DMA_ACTIVE_0                      MK_ADDR_CONST(0x388)
#define GPCDMA_COMMON_DMA_ACTIVE_0_SECURE                       0x0
#define GPCDMA_COMMON_DMA_ACTIVE_0_DUAL                         0x0
#define GPCDMA_COMMON_DMA_ACTIVE_0_SCR                  0
#define GPCDMA_COMMON_DMA_ACTIVE_0_SCRREG                       0
#define GPCDMA_COMMON_DMA_ACTIVE_0_WORD_COUNT                   0x1
#define GPCDMA_COMMON_DMA_ACTIVE_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_RESET_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_COMMON_DMA_ACTIVE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_READ_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_COMMON_DMA_ACTIVE_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SHIFT)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_RANGE                     0:0
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_WOFFSET                   0x0
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_ACTIVE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SHIFT)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_RANGE                       1:1
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_WOFFSET                     0x0
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_MC_ACTIVE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SHIFT)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_RANGE                  2:2
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_MC_ACTIVE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SHIFT)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_RANGE                  3:3
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_WOFFSET                        0x0
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_DMA_ACTIVE_0_DMA_IO_ACTIVE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0                        MK_ADDR_CONST(0x390)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SECURE                         0x0
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_DUAL                   0x0
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SCR                    SCR_SAFETY_0
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SCRREG                         GPCDMA_SCR_SCR_SAFETY_0
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_WORD_COUNT                     0x1
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_RESET_VAL                      MK_MASK_CONST(0x2)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_SHIFT)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_RANGE                 1:0
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_WOFFSET                       0x0
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_DEFAULT                       MK_MASK_CONST(0x2)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0_SAFETY_LOGIC_CLK_DISABLE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_SCR_SCR_CH0_0                    MK_ADDR_CONST(0xf00)
#define GPCDMA_SCR_SCR_CH0_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH0_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH0_0_SCR                        0
#define GPCDMA_SCR_SCR_CH0_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH0_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH0_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH0_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH0_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH0_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH0_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH0_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH0_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH0_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH0_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH0_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH0_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH0_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH0_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH0_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH0_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH0_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH0_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH0_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH0_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH0_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH0_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH0_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH0_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH0_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH0_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH0_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH0_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH0_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH0_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH0_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH0_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH0_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH0_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH0_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH0_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH0_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH0_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH0_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH0_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH0_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH0_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH0_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH0_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH0_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH0_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH0_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH0_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH0_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH0_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH0_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH0_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH0_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH0_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH0_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH0_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH0_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH0_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH0_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH0_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH0_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH0_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH0_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH0_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH0_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH0_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH0_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH0_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH0_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH0_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH0_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH0_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH0_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH0_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH0_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH0_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH0_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH0_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH0_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH0_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH0_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH0_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH0_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH0_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH0_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH0_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH0_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH0_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH0_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH0_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH0_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH0_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH0_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH0_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH0_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH0_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH0_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH0_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH0_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH0_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH0_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH0_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH0_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH0_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_SCR_SCR_CH1_0                    MK_ADDR_CONST(0xf04)
#define GPCDMA_SCR_SCR_CH1_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH1_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH1_0_SCR                        0
#define GPCDMA_SCR_SCR_CH1_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH1_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH1_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH1_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH1_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH1_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH1_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH1_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH1_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH1_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH1_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH1_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH1_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH1_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH1_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH1_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH1_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH1_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH1_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH1_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH1_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH1_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH1_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH1_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH1_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH1_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH1_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH1_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH1_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH1_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH1_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH1_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH1_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH1_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH1_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH1_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH1_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH1_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH1_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH1_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH1_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH1_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH1_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH1_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH1_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH1_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH1_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH1_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH1_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH1_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH1_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH1_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH1_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH1_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH1_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH1_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH1_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH1_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH1_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH1_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH1_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH1_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH1_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH1_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH1_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH1_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH1_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH1_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH1_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH1_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH1_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH1_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH1_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH1_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH1_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH1_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH1_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH1_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH1_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH1_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH1_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH1_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH1_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH1_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH1_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH1_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH1_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH1_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH1_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH1_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH1_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH1_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH1_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH1_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH1_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH1_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH1_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH1_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH1_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH1_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH1_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH1_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH1_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH1_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH1_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_SCR_SCR_CH2_0                    MK_ADDR_CONST(0xf08)
#define GPCDMA_SCR_SCR_CH2_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH2_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH2_0_SCR                        0
#define GPCDMA_SCR_SCR_CH2_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH2_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH2_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH2_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH2_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH2_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH2_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH2_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH2_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH2_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH2_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH2_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH2_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH2_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH2_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH2_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH2_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH2_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH2_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH2_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH2_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH2_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH2_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH2_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH2_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH2_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH2_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH2_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH2_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH2_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH2_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH2_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH2_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH2_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH2_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH2_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH2_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH2_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH2_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH2_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH2_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH2_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH2_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH2_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH2_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH2_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH2_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH2_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH2_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH2_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH2_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH2_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH2_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH2_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH2_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH2_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH2_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH2_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH2_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH2_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH2_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH2_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH2_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH2_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH2_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH2_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH2_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH2_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH2_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH2_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH2_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH2_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH2_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH2_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH2_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH2_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH2_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH2_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH2_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH2_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH2_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH2_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH2_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH2_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH2_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH2_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH2_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH2_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH2_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH2_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH2_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH2_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH2_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH2_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH2_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH2_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH2_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH2_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH2_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH2_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH2_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH2_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH2_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH2_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH2_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_SCR_SCR_CH3_0                    MK_ADDR_CONST(0xf0c)
#define GPCDMA_SCR_SCR_CH3_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH3_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH3_0_SCR                        0
#define GPCDMA_SCR_SCR_CH3_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH3_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH3_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH3_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH3_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH3_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH3_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH3_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH3_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH3_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH3_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH3_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH3_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH3_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH3_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH3_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH3_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH3_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH3_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH3_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH3_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH3_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH3_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH3_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH3_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH3_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH3_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH3_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH3_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH3_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH3_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH3_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH3_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH3_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH3_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH3_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH3_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH3_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH3_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH3_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH3_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH3_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH3_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH3_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH3_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH3_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH3_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH3_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH3_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH3_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH3_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH3_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH3_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH3_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH3_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH3_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH3_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH3_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH3_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH3_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH3_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH3_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH3_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH3_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH3_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH3_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH3_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH3_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH3_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH3_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH3_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH3_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH3_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH3_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH3_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH3_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH3_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH3_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH3_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH3_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH3_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH3_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH3_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH3_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH3_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH3_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH3_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH3_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH3_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH3_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH3_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH3_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH3_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH3_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH3_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH3_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH3_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH3_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH3_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH3_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH3_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH3_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH3_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH3_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH3_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_SCR_SCR_CH4_0                    MK_ADDR_CONST(0xf10)
#define GPCDMA_SCR_SCR_CH4_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH4_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH4_0_SCR                        0
#define GPCDMA_SCR_SCR_CH4_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH4_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH4_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH4_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH4_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH4_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH4_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH4_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH4_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH4_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH4_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH4_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH4_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH4_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH4_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH4_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH4_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH4_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH4_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH4_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH4_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH4_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH4_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH4_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH4_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH4_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH4_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH4_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH4_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH4_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH4_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH4_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH4_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH4_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH4_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH4_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH4_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH4_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH4_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH4_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH4_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH4_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH4_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH4_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH4_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH4_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH4_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH4_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH4_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH4_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH4_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH4_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH4_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH4_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH4_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH4_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH4_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH4_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH4_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH4_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH4_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH4_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH4_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH4_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH4_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH4_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH4_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH4_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH4_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH4_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH4_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH4_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH4_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH4_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH4_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH4_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH4_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH4_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH4_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH4_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH4_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH4_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH4_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH4_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH4_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH4_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH4_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH4_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH4_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH4_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH4_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH4_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH4_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH4_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH4_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH4_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH4_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH4_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH4_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH4_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH4_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH4_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH4_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH4_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH4_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH4_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH4_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_SCR_SCR_CH5_0                    MK_ADDR_CONST(0xf14)
#define GPCDMA_SCR_SCR_CH5_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH5_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH5_0_SCR                        0
#define GPCDMA_SCR_SCR_CH5_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH5_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH5_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH5_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH5_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH5_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH5_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH5_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH5_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH5_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH5_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH5_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH5_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH5_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH5_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH5_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH5_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH5_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH5_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH5_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH5_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH5_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH5_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH5_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH5_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH5_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH5_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH5_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH5_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH5_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH5_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH5_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH5_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH5_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH5_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH5_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH5_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH5_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH5_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH5_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH5_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH5_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH5_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH5_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH5_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH5_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH5_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH5_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH5_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH5_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH5_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH5_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH5_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH5_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH5_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH5_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH5_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH5_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH5_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH5_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH5_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH5_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH5_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH5_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH5_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH5_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH5_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH5_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH5_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH5_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH5_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH5_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH5_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH5_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH5_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH5_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH5_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH5_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH5_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH5_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH5_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH5_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH5_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH5_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH5_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH5_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH5_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH5_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH5_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH5_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH5_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH5_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH5_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH5_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH5_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH5_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH5_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH5_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH5_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH5_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH5_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH5_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH5_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH5_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH5_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH5_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH5_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_SCR_SCR_CH6_0                    MK_ADDR_CONST(0xf18)
#define GPCDMA_SCR_SCR_CH6_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH6_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH6_0_SCR                        0
#define GPCDMA_SCR_SCR_CH6_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH6_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH6_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH6_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH6_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH6_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH6_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH6_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH6_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH6_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH6_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH6_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH6_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH6_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH6_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH6_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH6_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH6_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH6_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH6_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH6_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH6_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH6_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH6_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH6_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH6_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH6_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH6_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH6_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH6_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH6_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH6_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH6_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH6_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH6_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH6_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH6_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH6_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH6_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH6_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH6_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH6_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH6_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH6_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH6_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH6_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH6_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH6_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH6_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH6_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH6_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH6_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH6_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH6_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH6_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH6_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH6_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH6_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH6_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH6_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH6_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH6_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH6_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH6_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH6_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH6_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH6_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH6_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH6_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH6_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH6_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH6_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH6_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH6_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH6_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH6_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH6_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH6_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH6_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH6_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH6_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH6_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH6_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH6_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH6_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH6_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH6_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH6_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH6_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH6_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH6_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH6_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH6_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH6_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH6_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH6_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH6_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH6_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH6_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH6_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH6_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH6_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH6_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH6_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH6_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH6_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH6_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_SCR_SCR_CH7_0                    MK_ADDR_CONST(0xf1c)
#define GPCDMA_SCR_SCR_CH7_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH7_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH7_0_SCR                        0
#define GPCDMA_SCR_SCR_CH7_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH7_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH7_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH7_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH7_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH7_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH7_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH7_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH7_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH7_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH7_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH7_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH7_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH7_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH7_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH7_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH7_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH7_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH7_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH7_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH7_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH7_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH7_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH7_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH7_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH7_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH7_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH7_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH7_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH7_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH7_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH7_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH7_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH7_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH7_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH7_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH7_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH7_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH7_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH7_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH7_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH7_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH7_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH7_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH7_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH7_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH7_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH7_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH7_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH7_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH7_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH7_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH7_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH7_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH7_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH7_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH7_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH7_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH7_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH7_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH7_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH7_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH7_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH7_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH7_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH7_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH7_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH7_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH7_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH7_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH7_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH7_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH7_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH7_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH7_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH7_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH7_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH7_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH7_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH7_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH7_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH7_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH7_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH7_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH7_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH7_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH7_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH7_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH7_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH7_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH7_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH7_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH7_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH7_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH7_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH7_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH7_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH7_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH7_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH7_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH7_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH7_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH7_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH7_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH7_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH7_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH7_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_SCR_SCR_CH8_0                    MK_ADDR_CONST(0xf20)
#define GPCDMA_SCR_SCR_CH8_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH8_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH8_0_SCR                        0
#define GPCDMA_SCR_SCR_CH8_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH8_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH8_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH8_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH8_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH8_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH8_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH8_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH8_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH8_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH8_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH8_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH8_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH8_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH8_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH8_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH8_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH8_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH8_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH8_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH8_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH8_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH8_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH8_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH8_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH8_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH8_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH8_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH8_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH8_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH8_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH8_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH8_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH8_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH8_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH8_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH8_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH8_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH8_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH8_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH8_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH8_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH8_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH8_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH8_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH8_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH8_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH8_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH8_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH8_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH8_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH8_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH8_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH8_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH8_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH8_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH8_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH8_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH8_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH8_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH8_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH8_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH8_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH8_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH8_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH8_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH8_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH8_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH8_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH8_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH8_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH8_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH8_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH8_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH8_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH8_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH8_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH8_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH8_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH8_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH8_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH8_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH8_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH8_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH8_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH8_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH8_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH8_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH8_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH8_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH8_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH8_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH8_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH8_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH8_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH8_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH8_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH8_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH8_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH8_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH8_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH8_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH8_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH8_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH8_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH8_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH8_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_SCR_SCR_CH9_0                    MK_ADDR_CONST(0xf24)
#define GPCDMA_SCR_SCR_CH9_0_SECURE                     0x0
#define GPCDMA_SCR_SCR_CH9_0_DUAL                       0x0
#define GPCDMA_SCR_SCR_CH9_0_SCR                        0
#define GPCDMA_SCR_SCR_CH9_0_SCRREG                     0
#define GPCDMA_SCR_SCR_CH9_0_WORD_COUNT                         0x1
#define GPCDMA_SCR_SCR_CH9_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_RESET_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH9_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_READ_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH9_0_WRITE_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_SHIFT                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_RANGE                      29:29
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_MSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_LSB                        MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_LCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_RANGE                      28:28
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_MSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_WEN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_RANGE                      27:27
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_WOFFSET                    0x0
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_REN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_SHIFT                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_FIELD                    MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_RANGE                    26:24
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_LSB                      MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_SEC_OWNER_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR7_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH9_0_PR7_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR7_RANGE                  23:23
#define GPCDMA_SCR_SCR_CH9_0_PR7_MSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH9_0_PR7_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH9_0_PR7_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR7_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR7_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR6_SHIFT                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH9_0_PR6_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR6_RANGE                  22:22
#define GPCDMA_SCR_SCR_CH9_0_PR6_MSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH9_0_PR6_LSB                    MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH9_0_PR6_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR6_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR5_SHIFT                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH9_0_PR5_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR5_RANGE                  21:21
#define GPCDMA_SCR_SCR_CH9_0_PR5_MSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH9_0_PR5_LSB                    MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH9_0_PR5_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR5_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR4_SHIFT                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH9_0_PR4_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR4_RANGE                  20:20
#define GPCDMA_SCR_SCR_CH9_0_PR4_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH9_0_PR4_LSB                    MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH9_0_PR4_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR4_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR3_SHIFT                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH9_0_PR3_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR3_RANGE                  19:19
#define GPCDMA_SCR_SCR_CH9_0_PR3_MSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH9_0_PR3_LSB                    MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH9_0_PR3_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR3_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR3_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR2_SHIFT                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH9_0_PR2_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR2_RANGE                  18:18
#define GPCDMA_SCR_SCR_CH9_0_PR2_MSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH9_0_PR2_LSB                    MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH9_0_PR2_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR2_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR2_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR1_SHIFT                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH9_0_PR1_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR1_RANGE                  17:17
#define GPCDMA_SCR_SCR_CH9_0_PR1_MSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH9_0_PR1_LSB                    MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH9_0_PR1_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR1_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_PR0_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH9_0_PR0_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_PR0_RANGE                  16:16
#define GPCDMA_SCR_SCR_CH9_0_PR0_MSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH9_0_PR0_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH9_0_PR0_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_PR0_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_PR0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_PR0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G7W_SHIFT                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH9_0_G7W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G7W_RANGE                  15:15
#define GPCDMA_SCR_SCR_CH9_0_G7W_MSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH9_0_G7W_LSB                    MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH9_0_G7W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G7W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G7W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G6W_SHIFT                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH9_0_G6W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G6W_RANGE                  14:14
#define GPCDMA_SCR_SCR_CH9_0_G6W_MSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH9_0_G6W_LSB                    MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH9_0_G6W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G6W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G6W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G5W_SHIFT                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH9_0_G5W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G5W_RANGE                  13:13
#define GPCDMA_SCR_SCR_CH9_0_G5W_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH9_0_G5W_LSB                    MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH9_0_G5W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G5W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G5W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G4W_SHIFT                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH9_0_G4W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G4W_RANGE                  12:12
#define GPCDMA_SCR_SCR_CH9_0_G4W_MSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH9_0_G4W_LSB                    MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH9_0_G4W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G4W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G4W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G3W_SHIFT                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH9_0_G3W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G3W_RANGE                  11:11
#define GPCDMA_SCR_SCR_CH9_0_G3W_MSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH9_0_G3W_LSB                    MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH9_0_G3W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G3W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G3W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G2W_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH9_0_G2W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G2W_RANGE                  10:10
#define GPCDMA_SCR_SCR_CH9_0_G2W_MSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH9_0_G2W_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH9_0_G2W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G2W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G2W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G1W_SHIFT                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH9_0_G1W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G1W_RANGE                  9:9
#define GPCDMA_SCR_SCR_CH9_0_G1W_MSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH9_0_G1W_LSB                    MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH9_0_G1W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G1W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G1W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G0W_SHIFT                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH9_0_G0W_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G0W_RANGE                  8:8
#define GPCDMA_SCR_SCR_CH9_0_G0W_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH9_0_G0W_LSB                    MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH9_0_G0W_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G0W_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0W_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G0W_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0W_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0W_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0W_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G7R_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH9_0_G7R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G7R_RANGE                  7:7
#define GPCDMA_SCR_SCR_CH9_0_G7R_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH9_0_G7R_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH9_0_G7R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G7R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G7R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G7R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G6R_SHIFT                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH9_0_G6R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G6R_RANGE                  6:6
#define GPCDMA_SCR_SCR_CH9_0_G6R_MSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH9_0_G6R_LSB                    MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH9_0_G6R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G6R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G6R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G6R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G5R_SHIFT                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH9_0_G5R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G5R_RANGE                  5:5
#define GPCDMA_SCR_SCR_CH9_0_G5R_MSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH9_0_G5R_LSB                    MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH9_0_G5R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G5R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G5R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G5R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G4R_SHIFT                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH9_0_G4R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G4R_RANGE                  4:4
#define GPCDMA_SCR_SCR_CH9_0_G4R_MSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH9_0_G4R_LSB                    MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH9_0_G4R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G4R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G4R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G4R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G3R_SHIFT                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH9_0_G3R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G3R_RANGE                  3:3
#define GPCDMA_SCR_SCR_CH9_0_G3R_MSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH9_0_G3R_LSB                    MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH9_0_G3R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G3R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G3R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G3R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G2R_SHIFT                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH9_0_G2R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G2R_RANGE                  2:2
#define GPCDMA_SCR_SCR_CH9_0_G2R_MSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH9_0_G2R_LSB                    MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH9_0_G2R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G2R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G2R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G2R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G1R_SHIFT                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH9_0_G1R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G1R_RANGE                  1:1
#define GPCDMA_SCR_SCR_CH9_0_G1R_MSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH9_0_G1R_LSB                    MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH9_0_G1R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G1R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G1R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G1R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH9_0_G0R_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH9_0_G0R_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH9_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH9_0_G0R_RANGE                  0:0
#define GPCDMA_SCR_SCR_CH9_0_G0R_MSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH9_0_G0R_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH9_0_G0R_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_CH9_0_G0R_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0R_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH9_0_G0R_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0R_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0R_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH9_0_G0R_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_SCR_SCR_CH10_0                   MK_ADDR_CONST(0xf28)
#define GPCDMA_SCR_SCR_CH10_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH10_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH10_0_SCR                       0
#define GPCDMA_SCR_SCR_CH10_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH10_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH10_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH10_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH10_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH10_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH10_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH10_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH10_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH10_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH10_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH10_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH10_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH10_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH10_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH10_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH10_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH10_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH10_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH10_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH10_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH10_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH10_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH10_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH10_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH10_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH10_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH10_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH10_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH10_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH10_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH10_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH10_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH10_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH10_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH10_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH10_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH10_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH10_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH10_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH10_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH10_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH10_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH10_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH10_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH10_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH10_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH10_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH10_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH10_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH10_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH10_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH10_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH10_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH10_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH10_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH10_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH10_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH10_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH10_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH10_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH10_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH10_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH10_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH10_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH10_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH10_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH10_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH10_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH10_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH10_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH10_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH10_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH10_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH10_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH10_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH10_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH10_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH10_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH10_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH10_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH10_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH10_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH10_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH10_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH10_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH10_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH10_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH10_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH10_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH10_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH10_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH10_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH10_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH10_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH10_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH10_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH10_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH10_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH10_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH10_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH10_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH10_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH10_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH10_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH10_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH10_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_SCR_SCR_CH11_0                   MK_ADDR_CONST(0xf2c)
#define GPCDMA_SCR_SCR_CH11_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH11_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH11_0_SCR                       0
#define GPCDMA_SCR_SCR_CH11_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH11_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH11_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH11_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH11_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH11_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH11_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH11_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH11_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH11_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH11_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH11_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH11_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH11_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH11_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH11_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH11_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH11_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH11_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH11_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH11_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH11_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH11_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH11_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH11_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH11_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH11_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH11_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH11_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH11_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH11_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH11_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH11_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH11_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH11_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH11_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH11_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH11_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH11_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH11_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH11_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH11_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH11_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH11_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH11_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH11_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH11_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH11_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH11_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH11_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH11_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH11_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH11_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH11_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH11_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH11_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH11_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH11_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH11_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH11_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH11_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH11_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH11_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH11_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH11_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH11_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH11_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH11_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH11_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH11_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH11_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH11_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH11_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH11_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH11_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH11_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH11_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH11_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH11_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH11_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH11_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH11_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH11_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH11_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH11_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH11_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH11_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH11_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH11_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH11_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH11_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH11_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH11_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH11_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH11_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH11_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH11_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH11_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH11_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH11_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH11_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH11_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH11_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH11_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH11_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH11_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH11_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_SCR_SCR_CH12_0                   MK_ADDR_CONST(0xf30)
#define GPCDMA_SCR_SCR_CH12_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH12_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH12_0_SCR                       0
#define GPCDMA_SCR_SCR_CH12_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH12_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH12_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH12_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH12_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH12_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH12_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH12_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH12_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH12_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH12_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH12_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH12_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH12_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH12_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH12_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH12_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH12_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH12_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH12_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH12_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH12_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH12_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH12_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH12_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH12_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH12_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH12_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH12_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH12_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH12_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH12_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH12_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH12_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH12_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH12_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH12_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH12_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH12_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH12_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH12_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH12_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH12_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH12_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH12_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH12_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH12_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH12_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH12_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH12_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH12_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH12_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH12_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH12_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH12_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH12_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH12_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH12_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH12_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH12_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH12_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH12_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH12_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH12_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH12_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH12_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH12_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH12_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH12_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH12_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH12_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH12_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH12_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH12_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH12_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH12_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH12_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH12_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH12_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH12_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH12_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH12_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH12_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH12_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH12_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH12_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH12_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH12_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH12_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH12_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH12_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH12_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH12_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH12_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH12_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH12_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH12_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH12_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH12_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH12_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH12_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH12_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH12_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH12_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH12_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH12_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH12_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_SCR_SCR_CH13_0                   MK_ADDR_CONST(0xf34)
#define GPCDMA_SCR_SCR_CH13_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH13_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH13_0_SCR                       0
#define GPCDMA_SCR_SCR_CH13_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH13_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH13_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH13_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH13_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH13_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH13_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH13_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH13_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH13_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH13_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH13_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH13_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH13_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH13_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH13_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH13_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH13_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH13_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH13_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH13_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH13_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH13_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH13_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH13_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH13_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH13_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH13_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH13_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH13_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH13_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH13_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH13_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH13_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH13_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH13_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH13_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH13_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH13_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH13_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH13_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH13_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH13_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH13_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH13_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH13_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH13_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH13_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH13_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH13_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH13_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH13_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH13_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH13_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH13_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH13_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH13_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH13_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH13_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH13_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH13_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH13_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH13_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH13_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH13_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH13_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH13_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH13_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH13_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH13_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH13_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH13_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH13_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH13_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH13_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH13_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH13_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH13_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH13_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH13_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH13_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH13_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH13_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH13_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH13_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH13_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH13_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH13_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH13_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH13_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH13_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH13_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH13_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH13_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH13_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH13_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH13_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH13_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH13_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH13_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH13_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH13_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH13_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH13_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH13_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH13_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH13_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_SCR_SCR_CH14_0                   MK_ADDR_CONST(0xf38)
#define GPCDMA_SCR_SCR_CH14_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH14_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH14_0_SCR                       0
#define GPCDMA_SCR_SCR_CH14_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH14_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH14_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH14_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH14_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH14_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH14_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH14_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH14_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH14_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH14_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH14_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH14_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH14_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH14_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH14_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH14_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH14_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH14_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH14_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH14_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH14_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH14_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH14_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH14_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH14_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH14_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH14_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH14_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH14_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH14_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH14_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH14_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH14_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH14_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH14_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH14_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH14_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH14_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH14_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH14_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH14_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH14_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH14_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH14_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH14_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH14_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH14_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH14_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH14_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH14_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH14_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH14_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH14_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH14_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH14_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH14_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH14_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH14_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH14_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH14_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH14_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH14_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH14_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH14_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH14_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH14_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH14_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH14_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH14_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH14_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH14_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH14_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH14_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH14_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH14_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH14_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH14_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH14_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH14_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH14_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH14_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH14_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH14_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH14_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH14_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH14_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH14_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH14_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH14_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH14_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH14_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH14_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH14_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH14_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH14_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH14_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH14_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH14_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH14_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH14_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH14_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH14_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH14_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH14_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH14_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH14_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_SCR_SCR_CH15_0                   MK_ADDR_CONST(0xf3c)
#define GPCDMA_SCR_SCR_CH15_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH15_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH15_0_SCR                       0
#define GPCDMA_SCR_SCR_CH15_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH15_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH15_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH15_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH15_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH15_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH15_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH15_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH15_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH15_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH15_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH15_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH15_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH15_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH15_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH15_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH15_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH15_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH15_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH15_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH15_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH15_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH15_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH15_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH15_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH15_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH15_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH15_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH15_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH15_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH15_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH15_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH15_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH15_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH15_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH15_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH15_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH15_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH15_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH15_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH15_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH15_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH15_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH15_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH15_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH15_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH15_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH15_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH15_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH15_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH15_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH15_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH15_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH15_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH15_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH15_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH15_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH15_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH15_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH15_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH15_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH15_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH15_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH15_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH15_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH15_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH15_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH15_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH15_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH15_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH15_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH15_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH15_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH15_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH15_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH15_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH15_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH15_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH15_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH15_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH15_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH15_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH15_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH15_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH15_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH15_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH15_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH15_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH15_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH15_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH15_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH15_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH15_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH15_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH15_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH15_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH15_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH15_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH15_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH15_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH15_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH15_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH15_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH15_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH15_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH15_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH15_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_SCR_SCR_CH16_0                   MK_ADDR_CONST(0xf40)
#define GPCDMA_SCR_SCR_CH16_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH16_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH16_0_SCR                       0
#define GPCDMA_SCR_SCR_CH16_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH16_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH16_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH16_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH16_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH16_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH16_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH16_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH16_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH16_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH16_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH16_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH16_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH16_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH16_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH16_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH16_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH16_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH16_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH16_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH16_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH16_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH16_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH16_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH16_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH16_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH16_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH16_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH16_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH16_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH16_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH16_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH16_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH16_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH16_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH16_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH16_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH16_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH16_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH16_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH16_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH16_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH16_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH16_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH16_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH16_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH16_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH16_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH16_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH16_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH16_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH16_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH16_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH16_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH16_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH16_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH16_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH16_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH16_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH16_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH16_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH16_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH16_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH16_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH16_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH16_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH16_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH16_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH16_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH16_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH16_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH16_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH16_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH16_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH16_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH16_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH16_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH16_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH16_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH16_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH16_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH16_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH16_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH16_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH16_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH16_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH16_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH16_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH16_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH16_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH16_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH16_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH16_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH16_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH16_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH16_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH16_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH16_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH16_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH16_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH16_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH16_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH16_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH16_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH16_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH16_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH16_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_SCR_SCR_CH17_0                   MK_ADDR_CONST(0xf44)
#define GPCDMA_SCR_SCR_CH17_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH17_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH17_0_SCR                       0
#define GPCDMA_SCR_SCR_CH17_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH17_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH17_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH17_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH17_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH17_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH17_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH17_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH17_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH17_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH17_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH17_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH17_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH17_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH17_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH17_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH17_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH17_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH17_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH17_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH17_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH17_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH17_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH17_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH17_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH17_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH17_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH17_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH17_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH17_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH17_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH17_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH17_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH17_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH17_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH17_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH17_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH17_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH17_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH17_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH17_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH17_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH17_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH17_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH17_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH17_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH17_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH17_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH17_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH17_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH17_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH17_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH17_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH17_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH17_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH17_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH17_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH17_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH17_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH17_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH17_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH17_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH17_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH17_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH17_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH17_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH17_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH17_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH17_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH17_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH17_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH17_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH17_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH17_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH17_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH17_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH17_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH17_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH17_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH17_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH17_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH17_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH17_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH17_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH17_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH17_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH17_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH17_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH17_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH17_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH17_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH17_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH17_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH17_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH17_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH17_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH17_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH17_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH17_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH17_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH17_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH17_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH17_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH17_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH17_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH17_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH17_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_SCR_SCR_CH18_0                   MK_ADDR_CONST(0xf48)
#define GPCDMA_SCR_SCR_CH18_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH18_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH18_0_SCR                       0
#define GPCDMA_SCR_SCR_CH18_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH18_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH18_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH18_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH18_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH18_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH18_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH18_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH18_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH18_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH18_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH18_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH18_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH18_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH18_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH18_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH18_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH18_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH18_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH18_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH18_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH18_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH18_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH18_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH18_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH18_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH18_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH18_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH18_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH18_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH18_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH18_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH18_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH18_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH18_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH18_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH18_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH18_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH18_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH18_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH18_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH18_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH18_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH18_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH18_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH18_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH18_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH18_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH18_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH18_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH18_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH18_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH18_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH18_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH18_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH18_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH18_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH18_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH18_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH18_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH18_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH18_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH18_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH18_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH18_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH18_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH18_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH18_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH18_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH18_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH18_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH18_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH18_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH18_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH18_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH18_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH18_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH18_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH18_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH18_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH18_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH18_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH18_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH18_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH18_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH18_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH18_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH18_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH18_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH18_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH18_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH18_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH18_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH18_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH18_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH18_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH18_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH18_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH18_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH18_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH18_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH18_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH18_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH18_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH18_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH18_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH18_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_SCR_SCR_CH19_0                   MK_ADDR_CONST(0xf4c)
#define GPCDMA_SCR_SCR_CH19_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH19_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH19_0_SCR                       0
#define GPCDMA_SCR_SCR_CH19_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH19_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH19_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH19_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH19_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH19_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH19_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH19_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH19_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH19_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH19_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH19_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH19_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH19_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH19_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH19_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH19_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH19_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH19_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH19_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH19_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH19_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH19_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH19_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH19_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH19_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH19_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH19_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH19_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH19_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH19_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH19_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH19_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH19_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH19_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH19_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH19_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH19_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH19_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH19_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH19_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH19_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH19_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH19_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH19_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH19_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH19_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH19_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH19_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH19_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH19_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH19_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH19_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH19_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH19_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH19_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH19_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH19_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH19_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH19_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH19_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH19_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH19_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH19_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH19_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH19_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH19_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH19_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH19_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH19_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH19_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH19_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH19_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH19_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH19_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH19_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH19_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH19_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH19_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH19_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH19_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH19_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH19_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH19_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH19_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH19_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH19_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH19_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH19_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH19_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH19_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH19_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH19_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH19_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH19_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH19_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH19_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH19_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH19_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH19_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH19_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH19_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH19_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH19_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH19_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH19_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH19_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_SCR_SCR_CH20_0                   MK_ADDR_CONST(0xf50)
#define GPCDMA_SCR_SCR_CH20_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH20_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH20_0_SCR                       0
#define GPCDMA_SCR_SCR_CH20_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH20_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH20_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH20_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH20_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH20_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH20_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH20_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH20_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH20_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH20_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH20_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH20_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH20_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH20_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH20_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH20_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH20_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH20_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH20_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH20_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH20_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH20_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH20_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH20_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH20_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH20_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH20_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH20_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH20_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH20_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH20_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH20_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH20_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH20_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH20_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH20_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH20_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH20_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH20_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH20_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH20_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH20_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH20_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH20_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH20_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH20_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH20_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH20_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH20_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH20_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH20_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH20_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH20_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH20_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH20_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH20_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH20_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH20_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH20_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH20_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH20_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH20_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH20_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH20_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH20_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH20_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH20_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH20_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH20_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH20_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH20_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH20_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH20_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH20_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH20_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH20_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH20_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH20_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH20_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH20_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH20_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH20_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH20_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH20_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH20_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH20_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH20_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH20_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH20_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH20_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH20_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH20_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH20_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH20_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH20_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH20_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH20_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH20_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH20_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH20_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH20_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH20_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH20_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH20_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH20_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH20_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_SCR_SCR_CH21_0                   MK_ADDR_CONST(0xf54)
#define GPCDMA_SCR_SCR_CH21_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH21_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH21_0_SCR                       0
#define GPCDMA_SCR_SCR_CH21_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH21_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH21_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH21_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH21_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH21_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH21_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH21_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH21_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH21_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH21_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH21_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH21_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH21_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH21_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH21_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH21_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH21_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH21_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH21_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH21_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH21_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH21_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH21_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH21_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH21_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH21_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH21_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH21_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH21_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH21_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH21_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH21_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH21_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH21_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH21_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH21_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH21_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH21_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH21_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH21_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH21_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH21_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH21_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH21_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH21_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH21_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH21_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH21_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH21_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH21_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH21_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH21_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH21_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH21_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH21_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH21_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH21_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH21_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH21_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH21_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH21_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH21_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH21_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH21_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH21_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH21_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH21_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH21_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH21_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH21_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH21_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH21_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH21_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH21_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH21_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH21_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH21_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH21_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH21_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH21_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH21_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH21_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH21_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH21_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH21_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH21_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH21_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH21_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH21_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH21_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH21_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH21_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH21_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH21_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH21_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH21_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH21_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH21_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH21_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH21_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH21_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH21_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH21_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH21_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH21_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH21_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_SCR_SCR_CH22_0                   MK_ADDR_CONST(0xf58)
#define GPCDMA_SCR_SCR_CH22_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH22_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH22_0_SCR                       0
#define GPCDMA_SCR_SCR_CH22_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH22_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH22_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH22_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH22_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH22_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH22_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH22_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH22_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH22_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH22_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH22_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH22_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH22_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH22_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH22_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH22_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH22_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH22_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH22_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH22_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH22_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH22_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH22_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH22_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH22_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH22_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH22_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH22_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH22_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH22_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH22_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH22_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH22_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH22_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH22_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH22_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH22_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH22_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH22_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH22_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH22_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH22_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH22_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH22_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH22_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH22_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH22_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH22_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH22_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH22_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH22_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH22_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH22_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH22_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH22_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH22_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH22_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH22_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH22_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH22_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH22_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH22_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH22_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH22_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH22_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH22_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH22_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH22_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH22_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH22_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH22_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH22_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH22_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH22_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH22_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH22_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH22_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH22_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH22_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH22_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH22_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH22_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH22_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH22_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH22_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH22_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH22_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH22_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH22_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH22_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH22_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH22_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH22_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH22_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH22_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH22_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH22_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH22_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH22_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH22_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH22_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH22_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH22_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH22_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH22_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH22_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_SCR_SCR_CH23_0                   MK_ADDR_CONST(0xf5c)
#define GPCDMA_SCR_SCR_CH23_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH23_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH23_0_SCR                       0
#define GPCDMA_SCR_SCR_CH23_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH23_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH23_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH23_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH23_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH23_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH23_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH23_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH23_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH23_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH23_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH23_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH23_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH23_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH23_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH23_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH23_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH23_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH23_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH23_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH23_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH23_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH23_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH23_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH23_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH23_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH23_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH23_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH23_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH23_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH23_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH23_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH23_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH23_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH23_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH23_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH23_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH23_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH23_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH23_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH23_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH23_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH23_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH23_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH23_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH23_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH23_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH23_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH23_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH23_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH23_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH23_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH23_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH23_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH23_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH23_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH23_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH23_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH23_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH23_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH23_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH23_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH23_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH23_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH23_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH23_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH23_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH23_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH23_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH23_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH23_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH23_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH23_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH23_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH23_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH23_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH23_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH23_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH23_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH23_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH23_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH23_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH23_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH23_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH23_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH23_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH23_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH23_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH23_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH23_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH23_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH23_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH23_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH23_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH23_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH23_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH23_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH23_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH23_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH23_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH23_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH23_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH23_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH23_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH23_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH23_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH23_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_SCR_SCR_CH24_0                   MK_ADDR_CONST(0xf60)
#define GPCDMA_SCR_SCR_CH24_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH24_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH24_0_SCR                       0
#define GPCDMA_SCR_SCR_CH24_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH24_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH24_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH24_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH24_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH24_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH24_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH24_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH24_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH24_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH24_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH24_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH24_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH24_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH24_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH24_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH24_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH24_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH24_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH24_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH24_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH24_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH24_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH24_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH24_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH24_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH24_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH24_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH24_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH24_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH24_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH24_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH24_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH24_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH24_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH24_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH24_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH24_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH24_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH24_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH24_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH24_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH24_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH24_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH24_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH24_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH24_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH24_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH24_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH24_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH24_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH24_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH24_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH24_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH24_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH24_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH24_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH24_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH24_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH24_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH24_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH24_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH24_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH24_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH24_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH24_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH24_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH24_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH24_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH24_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH24_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH24_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH24_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH24_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH24_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH24_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH24_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH24_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH24_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH24_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH24_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH24_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH24_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH24_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH24_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH24_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH24_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH24_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH24_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH24_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH24_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH24_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH24_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH24_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH24_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH24_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH24_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH24_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH24_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH24_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH24_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH24_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH24_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH24_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH24_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH24_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH24_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_SCR_SCR_CH25_0                   MK_ADDR_CONST(0xf64)
#define GPCDMA_SCR_SCR_CH25_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH25_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH25_0_SCR                       0
#define GPCDMA_SCR_SCR_CH25_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH25_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH25_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH25_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH25_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH25_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH25_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH25_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH25_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH25_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH25_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH25_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH25_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH25_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH25_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH25_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH25_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH25_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH25_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH25_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH25_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH25_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH25_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH25_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH25_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH25_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH25_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH25_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH25_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH25_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH25_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH25_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH25_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH25_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH25_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH25_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH25_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH25_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH25_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH25_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH25_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH25_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH25_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH25_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH25_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH25_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH25_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH25_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH25_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH25_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH25_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH25_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH25_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH25_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH25_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH25_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH25_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH25_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH25_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH25_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH25_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH25_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH25_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH25_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH25_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH25_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH25_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH25_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH25_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH25_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH25_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH25_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH25_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH25_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH25_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH25_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH25_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH25_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH25_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH25_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH25_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH25_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH25_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH25_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH25_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH25_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH25_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH25_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH25_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH25_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH25_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH25_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH25_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH25_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH25_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH25_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH25_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH25_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH25_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH25_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH25_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH25_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH25_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH25_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH25_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH25_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH25_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_SCR_SCR_CH26_0                   MK_ADDR_CONST(0xf68)
#define GPCDMA_SCR_SCR_CH26_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH26_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH26_0_SCR                       0
#define GPCDMA_SCR_SCR_CH26_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH26_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH26_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH26_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH26_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH26_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH26_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH26_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH26_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH26_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH26_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH26_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH26_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH26_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH26_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH26_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH26_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH26_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH26_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH26_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH26_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH26_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH26_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH26_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH26_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH26_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH26_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH26_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH26_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH26_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH26_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH26_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH26_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH26_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH26_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH26_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH26_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH26_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH26_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH26_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH26_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH26_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH26_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH26_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH26_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH26_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH26_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH26_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH26_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH26_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH26_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH26_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH26_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH26_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH26_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH26_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH26_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH26_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH26_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH26_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH26_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH26_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH26_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH26_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH26_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH26_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH26_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH26_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH26_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH26_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH26_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH26_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH26_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH26_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH26_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH26_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH26_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH26_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH26_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH26_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH26_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH26_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH26_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH26_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH26_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH26_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH26_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH26_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH26_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH26_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH26_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH26_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH26_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH26_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH26_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH26_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH26_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH26_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH26_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH26_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH26_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH26_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH26_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH26_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH26_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH26_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH26_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_SCR_SCR_CH27_0                   MK_ADDR_CONST(0xf6c)
#define GPCDMA_SCR_SCR_CH27_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH27_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH27_0_SCR                       0
#define GPCDMA_SCR_SCR_CH27_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH27_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH27_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH27_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH27_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH27_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH27_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH27_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH27_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH27_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH27_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH27_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH27_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH27_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH27_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH27_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH27_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH27_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH27_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH27_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH27_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH27_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH27_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH27_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH27_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH27_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH27_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH27_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH27_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH27_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH27_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH27_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH27_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH27_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH27_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH27_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH27_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH27_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH27_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH27_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH27_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH27_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH27_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH27_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH27_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH27_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH27_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH27_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH27_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH27_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH27_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH27_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH27_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH27_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH27_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH27_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH27_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH27_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH27_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH27_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH27_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH27_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH27_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH27_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH27_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH27_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH27_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH27_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH27_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH27_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH27_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH27_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH27_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH27_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH27_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH27_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH27_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH27_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH27_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH27_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH27_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH27_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH27_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH27_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH27_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH27_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH27_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH27_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH27_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH27_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH27_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH27_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH27_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH27_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH27_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH27_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH27_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH27_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH27_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH27_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH27_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH27_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH27_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH27_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH27_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH27_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH27_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_SCR_SCR_CH28_0                   MK_ADDR_CONST(0xf70)
#define GPCDMA_SCR_SCR_CH28_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH28_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH28_0_SCR                       0
#define GPCDMA_SCR_SCR_CH28_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH28_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH28_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH28_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH28_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH28_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH28_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH28_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH28_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH28_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH28_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH28_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH28_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH28_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH28_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH28_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH28_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH28_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH28_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH28_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH28_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH28_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH28_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH28_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH28_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH28_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH28_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH28_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH28_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH28_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH28_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH28_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH28_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH28_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH28_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH28_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH28_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH28_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH28_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH28_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH28_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH28_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH28_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH28_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH28_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH28_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH28_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH28_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH28_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH28_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH28_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH28_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH28_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH28_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH28_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH28_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH28_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH28_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH28_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH28_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH28_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH28_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH28_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH28_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH28_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH28_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH28_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH28_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH28_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH28_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH28_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH28_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH28_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH28_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH28_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH28_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH28_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH28_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH28_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH28_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH28_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH28_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH28_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH28_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH28_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH28_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH28_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH28_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH28_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH28_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH28_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH28_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH28_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH28_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH28_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH28_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH28_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH28_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH28_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH28_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH28_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH28_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH28_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH28_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH28_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH28_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH28_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_SCR_SCR_CH29_0                   MK_ADDR_CONST(0xf74)
#define GPCDMA_SCR_SCR_CH29_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH29_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH29_0_SCR                       0
#define GPCDMA_SCR_SCR_CH29_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH29_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH29_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH29_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH29_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH29_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH29_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH29_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH29_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH29_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH29_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH29_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH29_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH29_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH29_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH29_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH29_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH29_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH29_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH29_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH29_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH29_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH29_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH29_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH29_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH29_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH29_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH29_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH29_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH29_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH29_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH29_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH29_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH29_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH29_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH29_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH29_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH29_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH29_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH29_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH29_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH29_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH29_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH29_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH29_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH29_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH29_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH29_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH29_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH29_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH29_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH29_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH29_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH29_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH29_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH29_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH29_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH29_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH29_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH29_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH29_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH29_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH29_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH29_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH29_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH29_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH29_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH29_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH29_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH29_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH29_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH29_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH29_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH29_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH29_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH29_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH29_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH29_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH29_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH29_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH29_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH29_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH29_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH29_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH29_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH29_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH29_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH29_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH29_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH29_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH29_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH29_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH29_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH29_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH29_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH29_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH29_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH29_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH29_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH29_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH29_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH29_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH29_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH29_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH29_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH29_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH29_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_SCR_SCR_CH30_0                   MK_ADDR_CONST(0xf78)
#define GPCDMA_SCR_SCR_CH30_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH30_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH30_0_SCR                       0
#define GPCDMA_SCR_SCR_CH30_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH30_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH30_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH30_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH30_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH30_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH30_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH30_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH30_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH30_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH30_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH30_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH30_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH30_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH30_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH30_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH30_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH30_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH30_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH30_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH30_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH30_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH30_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH30_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH30_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH30_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH30_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH30_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH30_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH30_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH30_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH30_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH30_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH30_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH30_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH30_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH30_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH30_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH30_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH30_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH30_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH30_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH30_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH30_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH30_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH30_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH30_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH30_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH30_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH30_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH30_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH30_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH30_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH30_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH30_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH30_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH30_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH30_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH30_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH30_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH30_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH30_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH30_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH30_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH30_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH30_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH30_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH30_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH30_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH30_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH30_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH30_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH30_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH30_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH30_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH30_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH30_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH30_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH30_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH30_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH30_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH30_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH30_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH30_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH30_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH30_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH30_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH30_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH30_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH30_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH30_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH30_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH30_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH30_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH30_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH30_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH30_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH30_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH30_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH30_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH30_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH30_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH30_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH30_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH30_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH30_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH30_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_SCR_SCR_CH31_0                   MK_ADDR_CONST(0xf7c)
#define GPCDMA_SCR_SCR_CH31_0_SECURE                    0x0
#define GPCDMA_SCR_SCR_CH31_0_DUAL                      0x0
#define GPCDMA_SCR_SCR_CH31_0_SCR                       0
#define GPCDMA_SCR_SCR_CH31_0_SCRREG                    0
#define GPCDMA_SCR_SCR_CH31_0_WORD_COUNT                        0x1
#define GPCDMA_SCR_SCR_CH31_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH31_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH31_0_WRITE_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_SHIFT                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_RANGE                     29:29
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_MSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_LSB                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_LCK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_RANGE                     28:28
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_MSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_WEN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_RANGE                     27:27
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_REN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_SHIFT                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_FIELD                   MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_RANGE                   26:24
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_LSB                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_SEC_OWNER_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR7_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH31_0_PR7_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR7_RANGE                 23:23
#define GPCDMA_SCR_SCR_CH31_0_PR7_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH31_0_PR7_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_CH31_0_PR7_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR7_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR7_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR7_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR7_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR7_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR7_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR6_SHIFT                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH31_0_PR6_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR6_RANGE                 22:22
#define GPCDMA_SCR_SCR_CH31_0_PR6_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH31_0_PR6_LSB                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_CH31_0_PR6_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR6_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR6_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR6_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR6_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR6_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR6_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR5_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH31_0_PR5_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR5_RANGE                 21:21
#define GPCDMA_SCR_SCR_CH31_0_PR5_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH31_0_PR5_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_CH31_0_PR5_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR5_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR4_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH31_0_PR4_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR4_RANGE                 20:20
#define GPCDMA_SCR_SCR_CH31_0_PR4_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH31_0_PR4_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_CH31_0_PR4_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR4_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR4_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR4_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR4_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR4_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR4_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR3_SHIFT                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH31_0_PR3_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR3_RANGE                 19:19
#define GPCDMA_SCR_SCR_CH31_0_PR3_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH31_0_PR3_LSB                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_CH31_0_PR3_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR3_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR3_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR2_SHIFT                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH31_0_PR2_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR2_RANGE                 18:18
#define GPCDMA_SCR_SCR_CH31_0_PR2_MSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH31_0_PR2_LSB                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_CH31_0_PR2_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR2_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR1_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH31_0_PR1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR1_RANGE                 17:17
#define GPCDMA_SCR_SCR_CH31_0_PR1_MSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH31_0_PR1_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_CH31_0_PR1_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_PR0_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH31_0_PR0_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_PR0_RANGE                 16:16
#define GPCDMA_SCR_SCR_CH31_0_PR0_MSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH31_0_PR0_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_CH31_0_PR0_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_PR0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_PR0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_PR0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G7W_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH31_0_G7W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G7W_RANGE                 15:15
#define GPCDMA_SCR_SCR_CH31_0_G7W_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH31_0_G7W_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_CH31_0_G7W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G7W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G7W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G6W_SHIFT                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH31_0_G6W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G6W_RANGE                 14:14
#define GPCDMA_SCR_SCR_CH31_0_G6W_MSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH31_0_G6W_LSB                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_CH31_0_G6W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G6W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G6W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G5W_SHIFT                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH31_0_G5W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G5W_RANGE                 13:13
#define GPCDMA_SCR_SCR_CH31_0_G5W_MSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH31_0_G5W_LSB                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_CH31_0_G5W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G5W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G5W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G4W_SHIFT                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH31_0_G4W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G4W_RANGE                 12:12
#define GPCDMA_SCR_SCR_CH31_0_G4W_MSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH31_0_G4W_LSB                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_CH31_0_G4W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G4W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G4W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G3W_SHIFT                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH31_0_G3W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G3W_RANGE                 11:11
#define GPCDMA_SCR_SCR_CH31_0_G3W_MSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH31_0_G3W_LSB                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_CH31_0_G3W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G3W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G3W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G2W_SHIFT                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH31_0_G2W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G2W_RANGE                 10:10
#define GPCDMA_SCR_SCR_CH31_0_G2W_MSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH31_0_G2W_LSB                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_CH31_0_G2W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G2W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G2W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G1W_SHIFT                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH31_0_G1W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G1W_RANGE                 9:9
#define GPCDMA_SCR_SCR_CH31_0_G1W_MSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH31_0_G1W_LSB                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_CH31_0_G1W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G1W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G1W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G0W_SHIFT                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH31_0_G0W_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G0W_RANGE                 8:8
#define GPCDMA_SCR_SCR_CH31_0_G0W_MSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH31_0_G0W_LSB                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_CH31_0_G0W_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G0W_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0W_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G0W_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0W_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0W_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0W_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G7R_SHIFT                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH31_0_G7R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G7R_RANGE                 7:7
#define GPCDMA_SCR_SCR_CH31_0_G7R_MSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH31_0_G7R_LSB                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_CH31_0_G7R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G7R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G7R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G7R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G6R_SHIFT                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH31_0_G6R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G6R_RANGE                 6:6
#define GPCDMA_SCR_SCR_CH31_0_G6R_MSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH31_0_G6R_LSB                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_CH31_0_G6R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G6R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G6R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G6R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G5R_SHIFT                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH31_0_G5R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G5R_RANGE                 5:5
#define GPCDMA_SCR_SCR_CH31_0_G5R_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH31_0_G5R_LSB                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_CH31_0_G5R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G5R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G5R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G5R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G4R_SHIFT                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH31_0_G4R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G4R_RANGE                 4:4
#define GPCDMA_SCR_SCR_CH31_0_G4R_MSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH31_0_G4R_LSB                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_CH31_0_G4R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G4R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G4R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G4R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G3R_SHIFT                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH31_0_G3R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G3R_RANGE                 3:3
#define GPCDMA_SCR_SCR_CH31_0_G3R_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH31_0_G3R_LSB                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_CH31_0_G3R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G3R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G3R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G3R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G2R_SHIFT                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH31_0_G2R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G2R_RANGE                 2:2
#define GPCDMA_SCR_SCR_CH31_0_G2R_MSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH31_0_G2R_LSB                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_CH31_0_G2R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G2R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G2R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G2R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G1R_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH31_0_G1R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G1R_RANGE                 1:1
#define GPCDMA_SCR_SCR_CH31_0_G1R_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH31_0_G1R_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_CH31_0_G1R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G1R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G1R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G1R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_CH31_0_G0R_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH31_0_G0R_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_CH31_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_CH31_0_G0R_RANGE                 0:0
#define GPCDMA_SCR_SCR_CH31_0_G0R_MSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH31_0_G0R_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_CH31_0_G0R_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_CH31_0_G0R_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0R_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_CH31_0_G0R_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0R_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0R_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_CH31_0_G0R_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_SCR_SCR_TZ_0                     MK_ADDR_CONST(0xf80)
#define GPCDMA_SCR_SCR_TZ_0_SECURE                      0x0
#define GPCDMA_SCR_SCR_TZ_0_DUAL                        0x0
#define GPCDMA_SCR_SCR_TZ_0_SCR                         0
#define GPCDMA_SCR_SCR_TZ_0_SCRREG                      0
#define GPCDMA_SCR_SCR_TZ_0_WORD_COUNT                  0x1
#define GPCDMA_SCR_SCR_TZ_0_RESET_VAL                   MK_MASK_CONST(0x38000101)
#define GPCDMA_SCR_SCR_TZ_0_RESET_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_TZ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_READ_MASK                   MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_TZ_0_WRITE_MASK                  MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_SHIFT                       MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_RANGE                       29:29
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_MSB                 MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_LSB                 MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_LCK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_SHIFT                       MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_RANGE                       28:28
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_MSB                 MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_LSB                 MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_WEN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_SHIFT                       MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_RANGE                       27:27
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_MSB                 MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_LSB                 MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_REN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_SHIFT                     MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_RANGE                     26:24
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_MSB                       MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_LSB                       MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_WOFFSET                   0x0
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_SEC_OWNER_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR7_SHIFT                   MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_TZ_0_PR7_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR7_RANGE                   23:23
#define GPCDMA_SCR_SCR_TZ_0_PR7_MSB                     MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_TZ_0_PR7_LSB                     MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_TZ_0_PR7_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR7_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR7_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR7_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR7_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR7_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR7_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR6_SHIFT                   MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_TZ_0_PR6_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR6_RANGE                   22:22
#define GPCDMA_SCR_SCR_TZ_0_PR6_MSB                     MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_TZ_0_PR6_LSB                     MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_TZ_0_PR6_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR6_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR6_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR6_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR6_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR6_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR6_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR5_SHIFT                   MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_TZ_0_PR5_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR5_RANGE                   21:21
#define GPCDMA_SCR_SCR_TZ_0_PR5_MSB                     MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_TZ_0_PR5_LSB                     MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_TZ_0_PR5_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR5_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR5_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR5_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR5_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR5_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR5_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR4_SHIFT                   MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_TZ_0_PR4_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR4_RANGE                   20:20
#define GPCDMA_SCR_SCR_TZ_0_PR4_MSB                     MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_TZ_0_PR4_LSB                     MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_TZ_0_PR4_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR4_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR4_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR4_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR4_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR4_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR4_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR3_SHIFT                   MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_TZ_0_PR3_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR3_RANGE                   19:19
#define GPCDMA_SCR_SCR_TZ_0_PR3_MSB                     MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_TZ_0_PR3_LSB                     MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_TZ_0_PR3_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR3_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR3_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR3_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR3_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR3_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR3_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR2_SHIFT                   MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_TZ_0_PR2_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR2_RANGE                   18:18
#define GPCDMA_SCR_SCR_TZ_0_PR2_MSB                     MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_TZ_0_PR2_LSB                     MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_TZ_0_PR2_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR2_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR2_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR2_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR2_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR2_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR2_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR1_SHIFT                   MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_TZ_0_PR1_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR1_RANGE                   17:17
#define GPCDMA_SCR_SCR_TZ_0_PR1_MSB                     MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_TZ_0_PR1_LSB                     MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_TZ_0_PR1_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR1_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR1_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR1_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR1_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR1_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR1_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_PR0_SHIFT                   MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_TZ_0_PR0_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_PR0_RANGE                   16:16
#define GPCDMA_SCR_SCR_TZ_0_PR0_MSB                     MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_TZ_0_PR0_LSB                     MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_TZ_0_PR0_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_PR0_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR0_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_PR0_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR0_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR0_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_PR0_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G7W_SHIFT                   MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_TZ_0_G7W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G7W_RANGE                   15:15
#define GPCDMA_SCR_SCR_TZ_0_G7W_MSB                     MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_TZ_0_G7W_LSB                     MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_TZ_0_G7W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G7W_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G7W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G6W_SHIFT                   MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_TZ_0_G6W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G6W_RANGE                   14:14
#define GPCDMA_SCR_SCR_TZ_0_G6W_MSB                     MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_TZ_0_G6W_LSB                     MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_TZ_0_G6W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G6W_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G6W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G5W_SHIFT                   MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_TZ_0_G5W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G5W_RANGE                   13:13
#define GPCDMA_SCR_SCR_TZ_0_G5W_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_TZ_0_G5W_LSB                     MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_TZ_0_G5W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G5W_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G5W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G4W_SHIFT                   MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_TZ_0_G4W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G4W_RANGE                   12:12
#define GPCDMA_SCR_SCR_TZ_0_G4W_MSB                     MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_TZ_0_G4W_LSB                     MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_TZ_0_G4W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G4W_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G4W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G3W_SHIFT                   MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_TZ_0_G3W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G3W_RANGE                   11:11
#define GPCDMA_SCR_SCR_TZ_0_G3W_MSB                     MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_TZ_0_G3W_LSB                     MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_TZ_0_G3W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G3W_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G3W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G2W_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_TZ_0_G2W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G2W_RANGE                   10:10
#define GPCDMA_SCR_SCR_TZ_0_G2W_MSB                     MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_TZ_0_G2W_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_TZ_0_G2W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G2W_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G2W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G1W_SHIFT                   MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_TZ_0_G1W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G1W_RANGE                   9:9
#define GPCDMA_SCR_SCR_TZ_0_G1W_MSB                     MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_TZ_0_G1W_LSB                     MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_TZ_0_G1W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G1W_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G1W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G0W_SHIFT                   MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_TZ_0_G0W_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G0W_RANGE                   8:8
#define GPCDMA_SCR_SCR_TZ_0_G0W_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_TZ_0_G0W_LSB                     MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_TZ_0_G0W_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G0W_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G0W_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G0W_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G0W_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G0W_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G0W_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G7R_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_TZ_0_G7R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G7R_RANGE                   7:7
#define GPCDMA_SCR_SCR_TZ_0_G7R_MSB                     MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_TZ_0_G7R_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_TZ_0_G7R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G7R_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G7R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G7R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G6R_SHIFT                   MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_TZ_0_G6R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G6R_RANGE                   6:6
#define GPCDMA_SCR_SCR_TZ_0_G6R_MSB                     MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_TZ_0_G6R_LSB                     MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_TZ_0_G6R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G6R_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G6R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G6R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G5R_SHIFT                   MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_TZ_0_G5R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G5R_RANGE                   5:5
#define GPCDMA_SCR_SCR_TZ_0_G5R_MSB                     MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_TZ_0_G5R_LSB                     MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_TZ_0_G5R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G5R_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G5R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G5R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G4R_SHIFT                   MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_TZ_0_G4R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G4R_RANGE                   4:4
#define GPCDMA_SCR_SCR_TZ_0_G4R_MSB                     MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_TZ_0_G4R_LSB                     MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_TZ_0_G4R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G4R_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G4R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G4R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G3R_SHIFT                   MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_TZ_0_G3R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G3R_RANGE                   3:3
#define GPCDMA_SCR_SCR_TZ_0_G3R_MSB                     MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_TZ_0_G3R_LSB                     MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_TZ_0_G3R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G3R_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G3R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G3R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G2R_SHIFT                   MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_TZ_0_G2R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G2R_RANGE                   2:2
#define GPCDMA_SCR_SCR_TZ_0_G2R_MSB                     MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_TZ_0_G2R_LSB                     MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_TZ_0_G2R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G2R_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G2R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G2R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G1R_SHIFT                   MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_TZ_0_G1R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G1R_RANGE                   1:1
#define GPCDMA_SCR_SCR_TZ_0_G1R_MSB                     MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_TZ_0_G1R_LSB                     MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_TZ_0_G1R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G1R_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G1R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G1R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_TZ_0_G0R_SHIFT                   MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_TZ_0_G0R_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_TZ_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_TZ_0_G0R_RANGE                   0:0
#define GPCDMA_SCR_SCR_TZ_0_G0R_MSB                     MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_TZ_0_G0R_LSB                     MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_TZ_0_G0R_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_TZ_0_G0R_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G0R_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_TZ_0_G0R_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G0R_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G0R_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_TZ_0_G0R_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_DMA_RO_0
#define GPCDMA_SCR_SCR_DMA_RO_0                 MK_ADDR_CONST(0xf84)
#define GPCDMA_SCR_SCR_DMA_RO_0_SECURE                  0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_DUAL                    0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_SCR                     0
#define GPCDMA_SCR_SCR_DMA_RO_0_SCRREG                  0
#define GPCDMA_SCR_SCR_DMA_RO_0_WORD_COUNT                      0x1
#define GPCDMA_SCR_SCR_DMA_RO_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_DMA_RO_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_DMA_RO_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_RANGE                   27:27
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_RANGE                       23:23
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_RANGE                       22:22
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_RANGE                       21:21
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_RANGE                       20:20
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_RANGE                       19:19
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_RANGE                       18:18
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_RANGE                       17:17
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_RANGE                       16:16
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_RANGE                       15:15
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_RANGE                       14:14
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_RANGE                       13:13
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_RANGE                       12:12
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_RANGE                       11:11
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_RANGE                       10:10
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_RANGE                       9:9
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_RANGE                       8:8
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_RANGE                       7:7
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_RANGE                       6:6
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_RANGE                       5:5
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_RANGE                       4:4
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_RANGE                       3:3
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_RANGE                       2:2
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_RANGE                       1:1
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_DMA_RO_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_RANGE                       0:0
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_DMA_RO_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_HYPER_0
#define GPCDMA_SCR_SCR_HYPER_0                  MK_ADDR_CONST(0xf88)
#define GPCDMA_SCR_SCR_HYPER_0_SECURE                   0x0
#define GPCDMA_SCR_SCR_HYPER_0_DUAL                     0x0
#define GPCDMA_SCR_SCR_HYPER_0_SCR                      0
#define GPCDMA_SCR_SCR_HYPER_0_SCRREG                   0
#define GPCDMA_SCR_SCR_HYPER_0_WORD_COUNT                       0x1
#define GPCDMA_SCR_SCR_HYPER_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_RESET_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_HYPER_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_READ_MASK                        MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_HYPER_0_WRITE_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_SHIFT                    MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_RANGE                    29:29
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_MSB                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_LSB                      MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_LCK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_RANGE                    28:28
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_WEN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_RANGE                    27:27
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_WOFFSET                  0x0
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_REN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_FIELD                  MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_RANGE                  26:24
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_WOFFSET                        0x0
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_DEFAULT_MASK                   MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_SEC_OWNER_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR7_SHIFT                        MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_RANGE                        23:23
#define GPCDMA_SCR_SCR_HYPER_0_PR7_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_LSB                  MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR7_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR7_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR6_SHIFT                        MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_RANGE                        22:22
#define GPCDMA_SCR_SCR_HYPER_0_PR6_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_LSB                  MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR6_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR6_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR5_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_RANGE                        21:21
#define GPCDMA_SCR_SCR_HYPER_0_PR5_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR5_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR5_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR4_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_RANGE                        20:20
#define GPCDMA_SCR_SCR_HYPER_0_PR4_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR4_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR4_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR3_SHIFT                        MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_RANGE                        19:19
#define GPCDMA_SCR_SCR_HYPER_0_PR3_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_LSB                  MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR3_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR3_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR2_SHIFT                        MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_RANGE                        18:18
#define GPCDMA_SCR_SCR_HYPER_0_PR2_MSB                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_LSB                  MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR2_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR2_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR1_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_RANGE                        17:17
#define GPCDMA_SCR_SCR_HYPER_0_PR1_MSB                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_PR0_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_RANGE                        16:16
#define GPCDMA_SCR_SCR_HYPER_0_PR0_MSB                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_PR0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_PR0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G7W_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_RANGE                        15:15
#define GPCDMA_SCR_SCR_HYPER_0_G7W_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G7W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G6W_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_RANGE                        14:14
#define GPCDMA_SCR_SCR_HYPER_0_G6W_MSB                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G6W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G5W_SHIFT                        MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_RANGE                        13:13
#define GPCDMA_SCR_SCR_HYPER_0_G5W_MSB                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_LSB                  MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G5W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G4W_SHIFT                        MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_RANGE                        12:12
#define GPCDMA_SCR_SCR_HYPER_0_G4W_MSB                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_LSB                  MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G4W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G3W_SHIFT                        MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_RANGE                        11:11
#define GPCDMA_SCR_SCR_HYPER_0_G3W_MSB                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_LSB                  MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G3W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G2W_SHIFT                        MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_RANGE                        10:10
#define GPCDMA_SCR_SCR_HYPER_0_G2W_MSB                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_LSB                  MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G2W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G1W_SHIFT                        MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_RANGE                        9:9
#define GPCDMA_SCR_SCR_HYPER_0_G1W_MSB                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_LSB                  MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G1W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G0W_SHIFT                        MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_RANGE                        8:8
#define GPCDMA_SCR_SCR_HYPER_0_G0W_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_LSB                  MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G0W_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0W_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G7R_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_RANGE                        7:7
#define GPCDMA_SCR_SCR_HYPER_0_G7R_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G7R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G7R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G6R_SHIFT                        MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_RANGE                        6:6
#define GPCDMA_SCR_SCR_HYPER_0_G6R_MSB                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_LSB                  MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G6R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G6R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G5R_SHIFT                        MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_RANGE                        5:5
#define GPCDMA_SCR_SCR_HYPER_0_G5R_MSB                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_LSB                  MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G5R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G5R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G4R_SHIFT                        MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_RANGE                        4:4
#define GPCDMA_SCR_SCR_HYPER_0_G4R_MSB                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_LSB                  MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G4R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G4R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G3R_SHIFT                        MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_RANGE                        3:3
#define GPCDMA_SCR_SCR_HYPER_0_G3R_MSB                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_LSB                  MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G3R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G3R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G2R_SHIFT                        MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_RANGE                        2:2
#define GPCDMA_SCR_SCR_HYPER_0_G2R_MSB                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_LSB                  MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G2R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G2R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G1R_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_RANGE                        1:1
#define GPCDMA_SCR_SCR_HYPER_0_G1R_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G1R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G1R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_HYPER_0_G0R_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_HYPER_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_RANGE                        0:0
#define GPCDMA_SCR_SCR_HYPER_0_G0R_MSB                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_WOFFSET                      0x0
#define GPCDMA_SCR_SCR_HYPER_0_G0R_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_HYPER_0_G0R_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_SCR_SCR_SAFETY_0
#define GPCDMA_SCR_SCR_SAFETY_0                 MK_ADDR_CONST(0xf8c)
#define GPCDMA_SCR_SCR_SAFETY_0_SECURE                  0x0
#define GPCDMA_SCR_SCR_SAFETY_0_DUAL                    0x0
#define GPCDMA_SCR_SCR_SAFETY_0_SCR                     0
#define GPCDMA_SCR_SCR_SAFETY_0_SCRREG                  0
#define GPCDMA_SCR_SCR_SAFETY_0_WORD_COUNT                      0x1
#define GPCDMA_SCR_SCR_SAFETY_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_SAFETY_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_SAFETY_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_RANGE                   27:27
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR7_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_RANGE                       23:23
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR6_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_RANGE                       22:22
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR5_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_RANGE                       21:21
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR4_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_RANGE                       20:20
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR3_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_RANGE                       19:19
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR2_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_RANGE                       18:18
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR1_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_RANGE                       17:17
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_PR0_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_RANGE                       16:16
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G7W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_RANGE                       15:15
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G6W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_RANGE                       14:14
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G5W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_RANGE                       13:13
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G4W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_RANGE                       12:12
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G3W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_RANGE                       11:11
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G2W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_RANGE                       10:10
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G1W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_RANGE                       9:9
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G0W_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_RANGE                       8:8
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G7R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_RANGE                       7:7
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G6R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_RANGE                       6:6
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G5R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_RANGE                       5:5
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G4R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_RANGE                       4:4
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G3R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_RANGE                       3:3
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G2R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_RANGE                       2:2
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G1R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_RANGE                       1:1
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_SCR_SCR_SAFETY_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_SCR_SCR_SAFETY_0_G0R_SHIFT)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_RANGE                       0:0
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_WOFFSET                     0x0
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_SCR_SCR_SAFETY_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0                 MK_ADDR_CONST(0xf000)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SECURE                  0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_DUAL                    0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SCR                     0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SCRREG                  0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_WORD_COUNT                      0x1
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_RESET_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_READ_MASK                       MK_MASK_CONST(0x3fffffff)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_WRITE_MASK                      MK_MASK_CONST(0x3fffffff)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_SHIFT                   MK_SHIFT_CONST(29)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_RANGE                   29:29
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_MSB                     MK_SHIFT_CONST(29)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_LSB                     MK_SHIFT_CONST(29)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_WOFFSET                 0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_LCK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_RANGE                   28:28
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_WOFFSET                 0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_WEN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_SHIFT                   MK_SHIFT_CONST(27)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_RANGE                   27:27
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_MSB                     MK_SHIFT_CONST(27)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_LSB                     MK_SHIFT_CONST(27)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_WOFFSET                 0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_REN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_RANGE                 26:24
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_WOFFSET                       0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_SEC_OWNER_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_SHIFT                       MK_SHIFT_CONST(23)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_RANGE                       23:23
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_LSB                 MK_SHIFT_CONST(23)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_SHIFT                       MK_SHIFT_CONST(22)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_RANGE                       22:22
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_MSB                 MK_SHIFT_CONST(22)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_LSB                 MK_SHIFT_CONST(22)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_SHIFT                       MK_SHIFT_CONST(21)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_RANGE                       21:21
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_MSB                 MK_SHIFT_CONST(21)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_LSB                 MK_SHIFT_CONST(21)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_SHIFT                       MK_SHIFT_CONST(20)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_RANGE                       20:20
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_MSB                 MK_SHIFT_CONST(20)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_LSB                 MK_SHIFT_CONST(20)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_SHIFT                       MK_SHIFT_CONST(19)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_RANGE                       19:19
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_LSB                 MK_SHIFT_CONST(19)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_SHIFT                       MK_SHIFT_CONST(18)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_RANGE                       18:18
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_MSB                 MK_SHIFT_CONST(18)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_LSB                 MK_SHIFT_CONST(18)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_SHIFT                       MK_SHIFT_CONST(17)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_RANGE                       17:17
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_MSB                 MK_SHIFT_CONST(17)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_LSB                 MK_SHIFT_CONST(17)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_RANGE                       16:16
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_MSB                 MK_SHIFT_CONST(16)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_PR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_SHIFT                       MK_SHIFT_CONST(15)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_RANGE                       15:15
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_LSB                 MK_SHIFT_CONST(15)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_RANGE                       14:14
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_MSB                 MK_SHIFT_CONST(14)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_SHIFT                       MK_SHIFT_CONST(13)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_RANGE                       13:13
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_MSB                 MK_SHIFT_CONST(13)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_LSB                 MK_SHIFT_CONST(13)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_RANGE                       12:12
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_RANGE                       11:11
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_RANGE                       10:10
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_RANGE                       9:9
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_RANGE                       8:8
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0W_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_RANGE                       7:7
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G7R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_RANGE                       6:6
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G6R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_RANGE                       5:5
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G5R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_RANGE                       4:4
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G4R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_RANGE                       3:3
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G3R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_RANGE                       2:2
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G2R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_RANGE                       1:1
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G1R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_SHIFT)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_RANGE                       0:0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0_G0R_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_FEATURE_0
#define GPCDMA_ERRCOLLATOR_FEATURE_0                    MK_ADDR_CONST(0xff00)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_SECURE                     0x0
#define GPCDMA_ERRCOLLATOR_FEATURE_0_DUAL                       0x0
#define GPCDMA_ERRCOLLATOR_FEATURE_0_SCR                        EC_SCR_0
#define GPCDMA_ERRCOLLATOR_FEATURE_0_SCRREG                     GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_FEATURE_0_WORD_COUNT                         0x1
#define GPCDMA_ERRCOLLATOR_FEATURE_0_RESET_VAL                  MK_MASK_CONST(0xc0001)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_RESET_MASK                         MK_MASK_CONST(0xffff003f)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_READ_MASK                  MK_MASK_CONST(0xffff003f)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_FIELD                      MK_FIELD_CONST(0xffff, GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SHIFT)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_RANGE                      31:16
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_DEFAULT                    MK_MASK_CONST(0xc)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_DEFAULT_MASK                       MK_MASK_CONST(0xffff)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_RANGE                       5:0
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_SWRESET_0
#define GPCDMA_ERRCOLLATOR_SWRESET_0                    MK_ADDR_CONST(0xff04)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SECURE                     0x0
#define GPCDMA_ERRCOLLATOR_SWRESET_0_DUAL                       0x0
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SCR                        EC_SCR_0
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SCRREG                     GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_SWRESET_0_WORD_COUNT                         0x1
#define GPCDMA_ERRCOLLATOR_SWRESET_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_READ_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_SHIFT)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_RANGE                        0:0
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_MSB                  MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_SWRESET_0_SWRST_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0                    MK_ADDR_CONST(0xff08)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_SECURE                     0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_DUAL                       0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_SCR                        EC_SCR_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_SCRREG                     GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_WORD_COUNT                         0x1
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_RESET_VAL                  MK_MASK_CONST(0x5)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_FIELD                 MK_FIELD_CONST(0x3f, GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_SHIFT)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_RANGE                 5:0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_MSB                   MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_WOFFSET                       0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_DEFAULT                       MK_MASK_CONST(0x5)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                  MK_MASK_CONST(0x3f)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0                      MK_ADDR_CONST(0xff0c)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_SECURE                       0x0
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_DUAL                         0x0
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_SCR                  EC_SCR_0
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_SCRREG                       GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_WORD_COUNT                   0x1
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_RESET_MASK                   MK_MASK_CONST(0x1ff)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_READ_MASK                    MK_MASK_CONST(0x1ff)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                  MK_FIELD_CONST(0x1ff, GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                  8:0
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                        0x0
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                   MK_MASK_CONST(0x1ff)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Reserved address 0xff10

// Register GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0                   MK_ADDR_CONST(0xff14)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_SECURE                    0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_DUAL                      0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_SCR                       EC_SCR_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_SCRREG                    GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_WORD_COUNT                        0x1
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_RESET_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_READ_MASK                         MK_MASK_CONST(0xf)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_WRITE_MASK                        MK_MASK_CONST(0xf)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_SHIFT)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_RANGE                 3:0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_MSB                   MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_WOFFSET                       0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0                      MK_ADDR_CONST(0xff18)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_SECURE                       0x0
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_DUAL                         0x0
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_SCR                  EC_SCR_0
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_SCRREG                       GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_WORD_COUNT                   0x1
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_RESET_MASK                   MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_READ_MASK                    MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_WRITE_MASK                   MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                  MK_FIELD_CONST(0xff, GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                  7:0
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_MSB                    MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                        0x0
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0                   MK_ADDR_CONST(0xff1c)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_SECURE                    0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_DUAL                      0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_SCR                       EC_SCR_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_SCRREG                    GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                        0x1
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                         MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                       7:0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                        MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                      MK_ENUM_CONST(225)


// Reserved address 0xff20

// Reserved address 0xff24

// Reserved address 0xff28

// Reserved address 0xff2c

// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0                        MK_ADDR_CONST(0xff30)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                         0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                    EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SCRREG                         GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                     0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                     MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                     MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                    MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                    12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_MSB                      MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_LSB                      MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                    MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                    11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_MSB                      MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_LSB                      MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                    MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                    10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_MSB                      MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_LSB                      MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                     MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                     9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_MSB                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_LSB                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                     MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                     8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_MSB                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_LSB                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                     7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                     MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                     6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_LSB                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                     MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                     5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_MSB                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_LSB                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                     MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                     4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_MSB                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_LSB                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                     MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                     3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_MSB                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_LSB                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                     2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                     1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                     0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                    MK_ENUM_CONST(1)


// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0                 MK_ADDR_CONST(0xff34)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SCR                     EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SCRREG                  GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                      0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                     MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                     12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_MSB                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_LSB                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                     MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                     11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_MSB                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_LSB                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                     MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                     10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_MSB                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_LSB                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                      MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                      9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_MSB                        MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_LSB                        MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                      MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                      8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_MSB                        MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_LSB                        MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                      MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                      7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_MSB                        MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_LSB                        MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                      MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                      6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_LSB                        MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                      MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                      5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_MSB                        MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_LSB                        MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                      MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                      4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_MSB                        MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_LSB                        MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                      MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                      3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_MSB                        MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_LSB                        MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                      MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                      2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_MSB                        MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_LSB                        MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                      1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                      0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                      MK_ENUM_CONST(1)


// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0                        MK_ADDR_CONST(0xff38)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                         0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SCR                    EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SCRREG                         GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                     0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                    MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                    12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_MSB                      MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_LSB                      MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                    MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                    11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_MSB                      MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_LSB                      MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                    MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                    10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_MSB                      MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_LSB                      MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                     MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                     9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_MSB                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_LSB                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                     MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                     8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_MSB                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_LSB                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                     7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                     MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                     6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_LSB                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                     MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                     5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_MSB                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_LSB                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                     MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                     4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_MSB                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_LSB                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                     MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                     3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_MSB                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_LSB                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                     2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                     1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                     0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0                        MK_ADDR_CONST(0xff3c)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                         0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SCR                    EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SCRREG                         GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                     0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                     MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                     MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                    MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                    12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_MSB                      MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_LSB                      MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT                    MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_RANGE                    11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_MSB                      MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_LSB                      MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT                    MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_RANGE                    10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_MSB                      MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_LSB                      MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_WOFFSET                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR10_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT                     MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_RANGE                     9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_MSB                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_LSB                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR9_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT                     MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_RANGE                     8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_MSB                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_LSB                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR8_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_RANGE                     7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_MSB                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR7_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT                     MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_RANGE                     6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_LSB                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR6_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT                     MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_RANGE                     5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_MSB                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_LSB                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR5_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT                     MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_RANGE                     4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_MSB                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_LSB                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR4_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                     MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                     3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_MSB                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_LSB                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                     MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                     2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_MSB                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_LSB                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                     MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                     1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_MSB                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_LSB                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                     0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_MSB                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                    MK_ENUM_CONST(1)


// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0                 MK_ADDR_CONST(0xff40)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SCR                     EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SCRREG                  GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                      0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                       MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                       MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                     MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                     12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_MSB                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_LSB                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                     MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                     11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_MSB                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_LSB                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                     MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                     10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_MSB                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_LSB                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                      MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                      9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_MSB                        MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_LSB                        MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                      MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                      8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_MSB                        MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_LSB                        MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                      MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                      7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_MSB                        MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_LSB                        MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                      MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                      6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_LSB                        MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                      MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                      5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_MSB                        MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_LSB                        MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                      MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                      4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_MSB                        MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_LSB                        MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                      MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                      3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_MSB                        MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_LSB                        MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                      MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                      2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_MSB                        MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_LSB                        MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                      1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                      0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                     MK_ENUM_CONST(1)


// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0                  MK_ADDR_CONST(0xff44)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SECURE                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_DUAL                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SCR                      EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SCRREG                   GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                       0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                       MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                       MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                      MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                      12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_MSB                        MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_LSB                        MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                      MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                      11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_MSB                        MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_LSB                        MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                      MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                      10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_MSB                        MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_LSB                        MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                       MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                       9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_MSB                 MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_LSB                 MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                       MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                       8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_MSB                 MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_LSB                 MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                       MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                       7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_LSB                 MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                       MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                       6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_LSB                 MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                       MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                       5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_MSB                 MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_LSB                 MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                       MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                       4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_MSB                 MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_LSB                 MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                       MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                       3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_MSB                 MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_LSB                 MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                       MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                       2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_MSB                 MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_LSB                 MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                       MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                       1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_MSB                 MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_LSB                 MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                       0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                       MK_ENUM_CONST(1)


// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0                 MK_ADDR_CONST(0xff48)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SECURE                  0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_DUAL                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SCR                     EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SCRREG                  GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                      0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                       MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                     MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                     12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_MSB                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_LSB                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                     MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                     11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_MSB                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_LSB                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                     MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                     10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_MSB                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_LSB                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                   0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                      MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                      9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_MSB                        MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_LSB                        MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                      MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                      8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_MSB                        MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_LSB                        MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                      MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                      7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_MSB                        MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_LSB                        MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                      MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                      6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_LSB                        MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                      MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                      5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_MSB                        MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_LSB                        MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                      MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                      4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_MSB                        MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_LSB                        MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                      MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                      3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_MSB                        MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_LSB                        MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                      MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                      2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_MSB                        MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_LSB                        MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                      MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                      1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_MSB                        MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_LSB                        MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                      0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0xff4c

// Register GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0                   MK_ADDR_CONST(0xff50)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SECURE                    0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_DUAL                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SCR                       EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SCRREG                    GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                        0x1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                        MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                        MK_MASK_CONST(0x1fff)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                       MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                       12:12
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_MSB                 MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_LSB                 MK_SHIFT_CONST(12)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                       MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                       11:11
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_MSB                 MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_LSB                 MK_SHIFT_CONST(11)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                       MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                       10:10
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_MSB                 MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_LSB                 MK_SHIFT_CONST(10)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                     0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                    MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                      MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                        MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                        9:9
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_MSB                  MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_LSB                  MK_SHIFT_CONST(9)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                        MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                        8:8
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_MSB                  MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_LSB                  MK_SHIFT_CONST(8)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                        MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                        7:7
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_LSB                  MK_SHIFT_CONST(7)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                        MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                        6:6
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_MSB                  MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_LSB                  MK_SHIFT_CONST(6)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                        MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                        5:5
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_MSB                  MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_LSB                  MK_SHIFT_CONST(5)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                        MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                        4:4
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_MSB                  MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_LSB                  MK_SHIFT_CONST(4)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                        MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                        3:3
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_MSB                  MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_LSB                  MK_SHIFT_CONST(3)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                        MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                        2:2
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_MSB                  MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_LSB                  MK_SHIFT_CONST(2)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                        1:1
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                       MK_ENUM_CONST(1)

#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                        0:0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_MSB                  MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                      0x0
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                     MK_ENUM_CONST(0)
#define GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                       MK_ENUM_CONST(1)


// Reserved address 0xff54

// Reserved address 0xff58

// Reserved address 0xff5c

// Register GPCDMA_CHANNEL_CH0_CSR_0
#define GPCDMA_CHANNEL_CH0_CSR_0                        MK_ADDR_CONST(0x10000)
#define GPCDMA_CHANNEL_CH0_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_SCR                    SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH0_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH0_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH0_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH0_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH0_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH0_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_STA_0
#define GPCDMA_CHANNEL_CH0_STA_0                        MK_ADDR_CONST(0x10004)
#define GPCDMA_CHANNEL_CH0_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH0_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH0_STA_0_SCR                    SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH0_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH0_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH0_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH0_CSRE_0
#define GPCDMA_CHANNEL_CH0_CSRE_0                       MK_ADDR_CONST(0x10008)
#define GPCDMA_CHANNEL_CH0_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH0_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH0_CSRE_0_SCR                   SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH0_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH0_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH0_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH0_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH0_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH0_SRC_PTR_0
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0                    MK_ADDR_CONST(0x1000c)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SCR                        SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_DST_PTR_0
#define GPCDMA_CHANNEL_CH0_DST_PTR_0                    MK_ADDR_CONST(0x10010)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_SCR                        SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0                 MK_ADDR_CONST(0x10014)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_SCR                     SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_MC_SEQ_0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0                     MK_ADDR_CONST(0x10018)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_SCR                         SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0                   MK_ADDR_CONST(0x1001c)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_SCR                       SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_WCOUNT_0
#define GPCDMA_CHANNEL_CH0_WCOUNT_0                     MK_ADDR_CONST(0x10020)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_SCR                         SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x10024)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_SCR                   SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0                       MK_ADDR_CONST(0x10028)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_SCR                   SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x1002c

// Register GPCDMA_CHANNEL_CH0_ERR_STA_0
#define GPCDMA_CHANNEL_CH0_ERR_STA_0                    MK_ADDR_CONST(0x10030)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_SCR                        SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0                  MK_ADDR_CONST(0x10034)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_SCR                      SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH0_TZ_0
#define GPCDMA_CHANNEL_CH0_TZ_0                 MK_ADDR_CONST(0x10038)
#define GPCDMA_CHANNEL_CH0_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH0_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH0_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH0_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH0_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH0_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH0_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_CSR_0
#define GPCDMA_CHANNEL_CH1_CSR_0                        MK_ADDR_CONST(0x20000)
#define GPCDMA_CHANNEL_CH1_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_SCR                    SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH1_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH1_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH1_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH1_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH1_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH1_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_STA_0
#define GPCDMA_CHANNEL_CH1_STA_0                        MK_ADDR_CONST(0x20004)
#define GPCDMA_CHANNEL_CH1_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH1_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH1_STA_0_SCR                    SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH1_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH1_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH1_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH1_CSRE_0
#define GPCDMA_CHANNEL_CH1_CSRE_0                       MK_ADDR_CONST(0x20008)
#define GPCDMA_CHANNEL_CH1_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH1_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH1_CSRE_0_SCR                   SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH1_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH1_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH1_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH1_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH1_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH1_SRC_PTR_0
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0                    MK_ADDR_CONST(0x2000c)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SCR                        SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_DST_PTR_0
#define GPCDMA_CHANNEL_CH1_DST_PTR_0                    MK_ADDR_CONST(0x20010)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_SCR                        SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0                 MK_ADDR_CONST(0x20014)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_SCR                     SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_MC_SEQ_0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0                     MK_ADDR_CONST(0x20018)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_SCR                         SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0                   MK_ADDR_CONST(0x2001c)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_SCR                       SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_WCOUNT_0
#define GPCDMA_CHANNEL_CH1_WCOUNT_0                     MK_ADDR_CONST(0x20020)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_SCR                         SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x20024)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_SCR                   SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0                       MK_ADDR_CONST(0x20028)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_SCR                   SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x2002c

// Register GPCDMA_CHANNEL_CH1_ERR_STA_0
#define GPCDMA_CHANNEL_CH1_ERR_STA_0                    MK_ADDR_CONST(0x20030)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_SCR                        SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0                  MK_ADDR_CONST(0x20034)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_SCR                      SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH1_0
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH1_TZ_0
#define GPCDMA_CHANNEL_CH1_TZ_0                 MK_ADDR_CONST(0x20038)
#define GPCDMA_CHANNEL_CH1_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH1_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH1_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH1_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH1_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH1_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH1_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_CSR_0
#define GPCDMA_CHANNEL_CH2_CSR_0                        MK_ADDR_CONST(0x30000)
#define GPCDMA_CHANNEL_CH2_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_SCR                    SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH2_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH2_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH2_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH2_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH2_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH2_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_STA_0
#define GPCDMA_CHANNEL_CH2_STA_0                        MK_ADDR_CONST(0x30004)
#define GPCDMA_CHANNEL_CH2_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH2_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH2_STA_0_SCR                    SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH2_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH2_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH2_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH2_CSRE_0
#define GPCDMA_CHANNEL_CH2_CSRE_0                       MK_ADDR_CONST(0x30008)
#define GPCDMA_CHANNEL_CH2_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH2_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH2_CSRE_0_SCR                   SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH2_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH2_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH2_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH2_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH2_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH2_SRC_PTR_0
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0                    MK_ADDR_CONST(0x3000c)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SCR                        SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_DST_PTR_0
#define GPCDMA_CHANNEL_CH2_DST_PTR_0                    MK_ADDR_CONST(0x30010)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_SCR                        SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0                 MK_ADDR_CONST(0x30014)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_SCR                     SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_MC_SEQ_0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0                     MK_ADDR_CONST(0x30018)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_SCR                         SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0                   MK_ADDR_CONST(0x3001c)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_SCR                       SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_WCOUNT_0
#define GPCDMA_CHANNEL_CH2_WCOUNT_0                     MK_ADDR_CONST(0x30020)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_SCR                         SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x30024)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_SCR                   SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0                       MK_ADDR_CONST(0x30028)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_SCR                   SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x3002c

// Register GPCDMA_CHANNEL_CH2_ERR_STA_0
#define GPCDMA_CHANNEL_CH2_ERR_STA_0                    MK_ADDR_CONST(0x30030)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_SCR                        SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0                  MK_ADDR_CONST(0x30034)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_SCR                      SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH2_0
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH2_TZ_0
#define GPCDMA_CHANNEL_CH2_TZ_0                 MK_ADDR_CONST(0x30038)
#define GPCDMA_CHANNEL_CH2_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH2_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH2_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH2_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH2_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH2_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH2_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_CSR_0
#define GPCDMA_CHANNEL_CH3_CSR_0                        MK_ADDR_CONST(0x40000)
#define GPCDMA_CHANNEL_CH3_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_SCR                    SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH3_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH3_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH3_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH3_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH3_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH3_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_STA_0
#define GPCDMA_CHANNEL_CH3_STA_0                        MK_ADDR_CONST(0x40004)
#define GPCDMA_CHANNEL_CH3_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH3_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH3_STA_0_SCR                    SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH3_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH3_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH3_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH3_CSRE_0
#define GPCDMA_CHANNEL_CH3_CSRE_0                       MK_ADDR_CONST(0x40008)
#define GPCDMA_CHANNEL_CH3_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH3_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH3_CSRE_0_SCR                   SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH3_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH3_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH3_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH3_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH3_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH3_SRC_PTR_0
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0                    MK_ADDR_CONST(0x4000c)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SCR                        SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_DST_PTR_0
#define GPCDMA_CHANNEL_CH3_DST_PTR_0                    MK_ADDR_CONST(0x40010)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_SCR                        SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0                 MK_ADDR_CONST(0x40014)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_SCR                     SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_MC_SEQ_0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0                     MK_ADDR_CONST(0x40018)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_SCR                         SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0                   MK_ADDR_CONST(0x4001c)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_SCR                       SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_WCOUNT_0
#define GPCDMA_CHANNEL_CH3_WCOUNT_0                     MK_ADDR_CONST(0x40020)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_SCR                         SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x40024)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_SCR                   SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0                       MK_ADDR_CONST(0x40028)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_SCR                   SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x4002c

// Register GPCDMA_CHANNEL_CH3_ERR_STA_0
#define GPCDMA_CHANNEL_CH3_ERR_STA_0                    MK_ADDR_CONST(0x40030)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_SCR                        SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0                  MK_ADDR_CONST(0x40034)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_SCR                      SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH3_0
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH3_TZ_0
#define GPCDMA_CHANNEL_CH3_TZ_0                 MK_ADDR_CONST(0x40038)
#define GPCDMA_CHANNEL_CH3_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH3_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH3_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH3_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH3_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH3_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH3_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_CSR_0
#define GPCDMA_CHANNEL_CH4_CSR_0                        MK_ADDR_CONST(0x50000)
#define GPCDMA_CHANNEL_CH4_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_SCR                    SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH4_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH4_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH4_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH4_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH4_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH4_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_STA_0
#define GPCDMA_CHANNEL_CH4_STA_0                        MK_ADDR_CONST(0x50004)
#define GPCDMA_CHANNEL_CH4_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH4_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH4_STA_0_SCR                    SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH4_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH4_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH4_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH4_CSRE_0
#define GPCDMA_CHANNEL_CH4_CSRE_0                       MK_ADDR_CONST(0x50008)
#define GPCDMA_CHANNEL_CH4_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH4_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH4_CSRE_0_SCR                   SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH4_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH4_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH4_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH4_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH4_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH4_SRC_PTR_0
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0                    MK_ADDR_CONST(0x5000c)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SCR                        SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_DST_PTR_0
#define GPCDMA_CHANNEL_CH4_DST_PTR_0                    MK_ADDR_CONST(0x50010)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_SCR                        SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0                 MK_ADDR_CONST(0x50014)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_SCR                     SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_MC_SEQ_0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0                     MK_ADDR_CONST(0x50018)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_SCR                         SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0                   MK_ADDR_CONST(0x5001c)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_SCR                       SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_WCOUNT_0
#define GPCDMA_CHANNEL_CH4_WCOUNT_0                     MK_ADDR_CONST(0x50020)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_SCR                         SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x50024)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_SCR                   SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0                       MK_ADDR_CONST(0x50028)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_SCR                   SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x5002c

// Register GPCDMA_CHANNEL_CH4_ERR_STA_0
#define GPCDMA_CHANNEL_CH4_ERR_STA_0                    MK_ADDR_CONST(0x50030)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_SCR                        SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0                  MK_ADDR_CONST(0x50034)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_SCR                      SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH4_0
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH4_TZ_0
#define GPCDMA_CHANNEL_CH4_TZ_0                 MK_ADDR_CONST(0x50038)
#define GPCDMA_CHANNEL_CH4_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH4_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH4_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH4_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH4_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH4_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH4_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_CSR_0
#define GPCDMA_CHANNEL_CH5_CSR_0                        MK_ADDR_CONST(0x60000)
#define GPCDMA_CHANNEL_CH5_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_SCR                    SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH5_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH5_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH5_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH5_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH5_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH5_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_STA_0
#define GPCDMA_CHANNEL_CH5_STA_0                        MK_ADDR_CONST(0x60004)
#define GPCDMA_CHANNEL_CH5_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH5_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH5_STA_0_SCR                    SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH5_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH5_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH5_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH5_CSRE_0
#define GPCDMA_CHANNEL_CH5_CSRE_0                       MK_ADDR_CONST(0x60008)
#define GPCDMA_CHANNEL_CH5_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH5_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH5_CSRE_0_SCR                   SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH5_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH5_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH5_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH5_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH5_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH5_SRC_PTR_0
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0                    MK_ADDR_CONST(0x6000c)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SCR                        SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_DST_PTR_0
#define GPCDMA_CHANNEL_CH5_DST_PTR_0                    MK_ADDR_CONST(0x60010)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_SCR                        SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0                 MK_ADDR_CONST(0x60014)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_SCR                     SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_MC_SEQ_0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0                     MK_ADDR_CONST(0x60018)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_SCR                         SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0                   MK_ADDR_CONST(0x6001c)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_SCR                       SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_WCOUNT_0
#define GPCDMA_CHANNEL_CH5_WCOUNT_0                     MK_ADDR_CONST(0x60020)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_SCR                         SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x60024)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_SCR                   SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0                       MK_ADDR_CONST(0x60028)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_SCR                   SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x6002c

// Register GPCDMA_CHANNEL_CH5_ERR_STA_0
#define GPCDMA_CHANNEL_CH5_ERR_STA_0                    MK_ADDR_CONST(0x60030)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_SCR                        SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0                  MK_ADDR_CONST(0x60034)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_SCR                      SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH5_0
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH5_TZ_0
#define GPCDMA_CHANNEL_CH5_TZ_0                 MK_ADDR_CONST(0x60038)
#define GPCDMA_CHANNEL_CH5_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH5_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH5_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH5_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH5_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH5_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH5_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_CSR_0
#define GPCDMA_CHANNEL_CH6_CSR_0                        MK_ADDR_CONST(0x70000)
#define GPCDMA_CHANNEL_CH6_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_SCR                    SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH6_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH6_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH6_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH6_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH6_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH6_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_STA_0
#define GPCDMA_CHANNEL_CH6_STA_0                        MK_ADDR_CONST(0x70004)
#define GPCDMA_CHANNEL_CH6_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH6_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH6_STA_0_SCR                    SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH6_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH6_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH6_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH6_CSRE_0
#define GPCDMA_CHANNEL_CH6_CSRE_0                       MK_ADDR_CONST(0x70008)
#define GPCDMA_CHANNEL_CH6_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH6_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH6_CSRE_0_SCR                   SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH6_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH6_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH6_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH6_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH6_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH6_SRC_PTR_0
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0                    MK_ADDR_CONST(0x7000c)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SCR                        SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_DST_PTR_0
#define GPCDMA_CHANNEL_CH6_DST_PTR_0                    MK_ADDR_CONST(0x70010)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_SCR                        SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0                 MK_ADDR_CONST(0x70014)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_SCR                     SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_MC_SEQ_0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0                     MK_ADDR_CONST(0x70018)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_SCR                         SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0                   MK_ADDR_CONST(0x7001c)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_SCR                       SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_WCOUNT_0
#define GPCDMA_CHANNEL_CH6_WCOUNT_0                     MK_ADDR_CONST(0x70020)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_SCR                         SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x70024)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_SCR                   SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0                       MK_ADDR_CONST(0x70028)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_SCR                   SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x7002c

// Register GPCDMA_CHANNEL_CH6_ERR_STA_0
#define GPCDMA_CHANNEL_CH6_ERR_STA_0                    MK_ADDR_CONST(0x70030)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_SCR                        SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0                  MK_ADDR_CONST(0x70034)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_SCR                      SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH6_0
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH6_TZ_0
#define GPCDMA_CHANNEL_CH6_TZ_0                 MK_ADDR_CONST(0x70038)
#define GPCDMA_CHANNEL_CH6_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH6_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH6_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH6_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH6_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH6_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH6_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_CSR_0
#define GPCDMA_CHANNEL_CH7_CSR_0                        MK_ADDR_CONST(0x80000)
#define GPCDMA_CHANNEL_CH7_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_SCR                    SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH7_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH7_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH7_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH7_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH7_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH7_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_STA_0
#define GPCDMA_CHANNEL_CH7_STA_0                        MK_ADDR_CONST(0x80004)
#define GPCDMA_CHANNEL_CH7_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH7_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH7_STA_0_SCR                    SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH7_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH7_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH7_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH7_CSRE_0
#define GPCDMA_CHANNEL_CH7_CSRE_0                       MK_ADDR_CONST(0x80008)
#define GPCDMA_CHANNEL_CH7_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH7_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH7_CSRE_0_SCR                   SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH7_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH7_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH7_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH7_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH7_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH7_SRC_PTR_0
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0                    MK_ADDR_CONST(0x8000c)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SCR                        SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_DST_PTR_0
#define GPCDMA_CHANNEL_CH7_DST_PTR_0                    MK_ADDR_CONST(0x80010)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_SCR                        SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0                 MK_ADDR_CONST(0x80014)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_SCR                     SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_MC_SEQ_0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0                     MK_ADDR_CONST(0x80018)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_SCR                         SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0                   MK_ADDR_CONST(0x8001c)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_SCR                       SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_WCOUNT_0
#define GPCDMA_CHANNEL_CH7_WCOUNT_0                     MK_ADDR_CONST(0x80020)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_SCR                         SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x80024)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_SCR                   SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0                       MK_ADDR_CONST(0x80028)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_SCR                   SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x8002c

// Register GPCDMA_CHANNEL_CH7_ERR_STA_0
#define GPCDMA_CHANNEL_CH7_ERR_STA_0                    MK_ADDR_CONST(0x80030)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_SCR                        SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0                  MK_ADDR_CONST(0x80034)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_SCR                      SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH7_0
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH7_TZ_0
#define GPCDMA_CHANNEL_CH7_TZ_0                 MK_ADDR_CONST(0x80038)
#define GPCDMA_CHANNEL_CH7_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH7_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH7_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH7_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH7_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH7_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH7_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_CSR_0
#define GPCDMA_CHANNEL_CH8_CSR_0                        MK_ADDR_CONST(0x90000)
#define GPCDMA_CHANNEL_CH8_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_SCR                    SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH8_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH8_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH8_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH8_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH8_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH8_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_STA_0
#define GPCDMA_CHANNEL_CH8_STA_0                        MK_ADDR_CONST(0x90004)
#define GPCDMA_CHANNEL_CH8_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH8_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH8_STA_0_SCR                    SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH8_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH8_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH8_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH8_CSRE_0
#define GPCDMA_CHANNEL_CH8_CSRE_0                       MK_ADDR_CONST(0x90008)
#define GPCDMA_CHANNEL_CH8_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH8_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH8_CSRE_0_SCR                   SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH8_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH8_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH8_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH8_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH8_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH8_SRC_PTR_0
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0                    MK_ADDR_CONST(0x9000c)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SCR                        SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_DST_PTR_0
#define GPCDMA_CHANNEL_CH8_DST_PTR_0                    MK_ADDR_CONST(0x90010)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_SCR                        SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0                 MK_ADDR_CONST(0x90014)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_SCR                     SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_MC_SEQ_0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0                     MK_ADDR_CONST(0x90018)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_SCR                         SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0                   MK_ADDR_CONST(0x9001c)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_SCR                       SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_WCOUNT_0
#define GPCDMA_CHANNEL_CH8_WCOUNT_0                     MK_ADDR_CONST(0x90020)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_SCR                         SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0                       MK_ADDR_CONST(0x90024)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_SCR                   SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0                       MK_ADDR_CONST(0x90028)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_SCR                   SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0x9002c

// Register GPCDMA_CHANNEL_CH8_ERR_STA_0
#define GPCDMA_CHANNEL_CH8_ERR_STA_0                    MK_ADDR_CONST(0x90030)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_SCR                        SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0                  MK_ADDR_CONST(0x90034)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_SCR                      SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH8_0
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH8_TZ_0
#define GPCDMA_CHANNEL_CH8_TZ_0                 MK_ADDR_CONST(0x90038)
#define GPCDMA_CHANNEL_CH8_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH8_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH8_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH8_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH8_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH8_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH8_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_CSR_0
#define GPCDMA_CHANNEL_CH9_CSR_0                        MK_ADDR_CONST(0xa0000)
#define GPCDMA_CHANNEL_CH9_CSR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_SCR                    SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_CSR_0_SCRREG                         GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_CSR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH9_CSR_0_RESET_VAL                      MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH9_CSR_0_RESET_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH9_CSR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_READ_MASK                      MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH9_CSR_0_WRITE_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_RANGE                      31:31
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ENB_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_SHIFT                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_RANGE                   30:30
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_LSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_DISABLE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IE_EOC_ENABLE                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_RANGE                     27:27
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_CYCLIC_MODE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSR_0_ONCE_SINGLE_BLOCK                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_SHIFT                  MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_RANGE                  25:24
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_MSB                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_LSB                    MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_NO_MMIO                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_ONE_MMIO                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_TWO_MMIO                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH9_CSR_0_FC_MODE_FOUR_MMIO                      MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_RANGE                 23:21
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_MSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_IO2MEM_NO_FC                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_IO2MEM_FC                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_MEM2IO_NO_FC                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_MEM2IO_FC                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_MEM2MEM                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_RSVD                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH9_CSR_0_DMA_MODE_FIXED_PAT                     MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_SHIFT                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_FIELD                  MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_RANGE                  20:16
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_MSB                    MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_LSB                    MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_0                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_1                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_2                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_3                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_4                       MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_5                       MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_6                       MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_7                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_8                       MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_9                       MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_10                      MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_11                      MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_12                      MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_13                      MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_14                      MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_15                      MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_16                      MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_17                      MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_18                      MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_19                      MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_20                      MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_21                      MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_22                      MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_23                      MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_24                      MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_25                      MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_26                      MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_27                      MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_28                      MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_29_RSVD                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_30                      MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_CLIENT_31                      MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSR_0_REQ_SEL_RSVD                   MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_SHIFT                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_RANGE                 15:15
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_MSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_LSB                   MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSR_0_IRQ_MASK_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_SHIFT                   MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_FIELD                   MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_RANGE                   13:10
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_MSB                     MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_LSB                     MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSR_0_WEIGHT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_STA_0
#define GPCDMA_CHANNEL_CH9_STA_0                        MK_ADDR_CONST(0xa0004)
#define GPCDMA_CHANNEL_CH9_STA_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH9_STA_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH9_STA_0_SCR                    SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_STA_0_SCRREG                         GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_STA_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH9_STA_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_RESET_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH9_STA_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_READ_MASK                      MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH9_STA_0_WRITE_MASK                     MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_SHIFT                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_RANGE                      31:31
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_LSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_WAIT                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_BSY_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_NO_INTR                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_ISE_EOC_INTR                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_SHIFT                    MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_RANGE                    28:28
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_MSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_LSB                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_PING_INTR_STA                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_PING_PONG_STA_PONG_INTR_STA                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_RANGE                     27:27
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_IDLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_DMA_ACTIVITY_BUSY                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_SHIFT                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_RANGE                    26:26
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_MSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_LSB                      MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_PAUSE_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_SHIFT                       MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_RANGE                       25:25
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_MSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_LSB                 MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_RX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_SHIFT                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_RANGE                       24:24
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_MSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_LSB                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_NOT_ACTIVE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_CHANNEL_TX_ACTIVE                      MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_RANGE                     23:23
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_MSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_IRQ_INTR_STA_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_SHIFT                 MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_RANGE                 21:21
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_MSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_LSB                   MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_TRIG_STA_ACTIVE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_RANGE                 20:20
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_NOT_ACTIVE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_STA_0_INTR_STA_ACTIVE                        MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH9_CSRE_0
#define GPCDMA_CHANNEL_CH9_CSRE_0                       MK_ADDR_CONST(0xa0008)
#define GPCDMA_CHANNEL_CH9_CSRE_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH9_CSRE_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH9_CSRE_0_SCR                   SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_CSRE_0_SCRREG                        GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_CSRE_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH9_CSRE_0_RESET_VAL                     MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH9_CSRE_0_RESET_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH9_CSRE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_READ_MASK                     MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH9_CSRE_0_WRITE_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_RANGE                    31:31
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_RESUME                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_DMA_ACTIVITY_PAUSE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_SHIFT                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_FIELD                        MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_RANGE                        19:14
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_LSB                  MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_DEFAULT                      MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_DEFAULT_MASK                 MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH0                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH1                  MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH2                  MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH3                  MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH4                  MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH5                  MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH6                  MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH7                  MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH8                  MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH9                  MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH10                 MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH11                 MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH12                 MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH13                 MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH14                 MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH15                 MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH16                 MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH17                 MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH18                 MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH19                 MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH20                 MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH21                 MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH22                 MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH23                 MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH24                 MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH25                 MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH26                 MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH27                 MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH28                 MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH29                 MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH30                 MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_CH31                 MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH9_CSRE_0_TRIG_SEL_RSVD                 MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH9_SRC_PTR_0
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0                    MK_ADDR_CONST(0xa000c)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SCR                        SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_DST_PTR_0
#define GPCDMA_CHANNEL_CH9_DST_PTR_0                    MK_ADDR_CONST(0xa0010)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_SCR                        SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_SCRREG                     GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_RANGE                      31:0
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0                 MK_ADDR_CONST(0xa0014)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_SCR                     SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_SCRREG                  GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_RESET_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_READ_MASK                       MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_WRITE_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_RANGE                        23:16
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_LSB                  MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                        MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                        7:0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_MSB                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_MC_SEQ_0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0                     MK_ADDR_CONST(0xa0018)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_SCR                         SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_SCRREG                      GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_RESET_VAL                   MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_SHIFT                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_RANGE                  31:31
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_LSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_DATA_SWAP_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_SHIFT                    MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_FIELD                    MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_RANGE                    30:25
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_MSB                      MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_LSB                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                     MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_SHIFT                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_RANGE                      24:23
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_LSB                        MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_DEFAULT                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                  MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                 MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                 22:20
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_MSB                   MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_LSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                 MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                 MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                 19:17
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_MSB                   MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_LSB                   MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                       MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                     MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                     MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_RANGE                      16:16
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_MSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_FIELD                       MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_RANGE                       15:14
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_MSB                 MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_DEFAULT_MASK                        MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_SHIFT                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_RANGE                     13:7
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_MSB                       MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_LSB                       MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_FIELD                     MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_RANGE                     6:0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_MSB                       MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_DEFAULT_MASK                      MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0                   MK_ADDR_CONST(0xa001c)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_SCR                       SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_SCRREG                    GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_RESET_VAL                         MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_RESET_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_READ_MASK                         MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_WRITE_MASK                        MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_RANGE                     31:31
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_DBL_BUF_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                      MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                      30:28
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                        MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                        MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                    MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                       MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                      27:27
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                        MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_SHIFT                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_RANGE                  26:23
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_MSB                    MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_LSB                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_DEFAULT                        MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                       MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                       MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                       MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                      MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                      MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                      MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                      18:16
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                        MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                        MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                    MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                     MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                     MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                    MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_SHIFT                   MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_FIELD                   MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_RANGE                   8:7
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_MSB                     MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_LSB                     MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                       MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                       6:0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                 MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                        MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_WCOUNT_0
#define GPCDMA_CHANNEL_CH9_WCOUNT_0                     MK_ADDR_CONST(0xa0020)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_SECURE                      0x0
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_DUAL                        0x0
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_SCR                         SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_SCRREG                      GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WORD_COUNT                  0x1
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_RANGE                        31:0
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0                       MK_ADDR_CONST(0xa0024)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_SCR                   SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_SCRREG                        GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                  31:0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0                       MK_ADDR_CONST(0xa0028)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_SCR                   SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Reserved address 0xa002c

// Register GPCDMA_CHANNEL_CH9_ERR_STA_0
#define GPCDMA_CHANNEL_CH9_ERR_STA_0                    MK_ADDR_CONST(0xa0030)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_SCR                        SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_SCRREG                     GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_RANGE                 31:0
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0                  MK_ADDR_CONST(0xa0034)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_SCR                      SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_SCRREG                   GPCDMA_SCR_SCR_CH9_0
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_RANGE                      31:0
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH9_TZ_0
#define GPCDMA_CHANNEL_CH9_TZ_0                 MK_ADDR_CONST(0xa0038)
#define GPCDMA_CHANNEL_CH9_TZ_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH9_TZ_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH9_TZ_0_SCR                     SCR_TZ_0
#define GPCDMA_CHANNEL_CH9_TZ_0_SCRREG                  GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH9_TZ_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH9_TZ_0_RESET_VAL                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_TZ_0_RESET_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_TZ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_READ_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_TZ_0_WRITE_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_SHIFT                 MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_RANGE                 1:1
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_MSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_LSB                   MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_DEFAULT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_FIELD                       MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_RANGE                       0:0
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_MSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_DEFAULT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH9_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_CSR_0
#define GPCDMA_CHANNEL_CH10_CSR_0                       MK_ADDR_CONST(0xb0000)
#define GPCDMA_CHANNEL_CH10_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_SCR                   SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH10_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH10_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH10_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH10_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH10_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH10_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_STA_0
#define GPCDMA_CHANNEL_CH10_STA_0                       MK_ADDR_CONST(0xb0004)
#define GPCDMA_CHANNEL_CH10_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH10_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH10_STA_0_SCR                   SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH10_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH10_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH10_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH10_CSRE_0
#define GPCDMA_CHANNEL_CH10_CSRE_0                      MK_ADDR_CONST(0xb0008)
#define GPCDMA_CHANNEL_CH10_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH10_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH10_CSRE_0_SCR                  SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH10_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH10_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH10_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH10_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH10_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH10_SRC_PTR_0
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0                   MK_ADDR_CONST(0xb000c)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SCR                       SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_DST_PTR_0
#define GPCDMA_CHANNEL_CH10_DST_PTR_0                   MK_ADDR_CONST(0xb0010)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_SCR                       SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0                        MK_ADDR_CONST(0xb0014)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_SCR                    SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_MC_SEQ_0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0                    MK_ADDR_CONST(0xb0018)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_SCR                        SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0                  MK_ADDR_CONST(0xb001c)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_SCR                      SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_WCOUNT_0
#define GPCDMA_CHANNEL_CH10_WCOUNT_0                    MK_ADDR_CONST(0xb0020)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_SCR                        SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0                      MK_ADDR_CONST(0xb0024)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_SCR                  SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0                      MK_ADDR_CONST(0xb0028)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_SCR                  SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0xb002c

// Register GPCDMA_CHANNEL_CH10_ERR_STA_0
#define GPCDMA_CHANNEL_CH10_ERR_STA_0                   MK_ADDR_CONST(0xb0030)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_SCR                       SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0                 MK_ADDR_CONST(0xb0034)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_SCR                     SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH10_0
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH10_TZ_0
#define GPCDMA_CHANNEL_CH10_TZ_0                        MK_ADDR_CONST(0xb0038)
#define GPCDMA_CHANNEL_CH10_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH10_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH10_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH10_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH10_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH10_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH10_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_CSR_0
#define GPCDMA_CHANNEL_CH11_CSR_0                       MK_ADDR_CONST(0xc0000)
#define GPCDMA_CHANNEL_CH11_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_SCR                   SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH11_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH11_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH11_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH11_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH11_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH11_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_STA_0
#define GPCDMA_CHANNEL_CH11_STA_0                       MK_ADDR_CONST(0xc0004)
#define GPCDMA_CHANNEL_CH11_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH11_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH11_STA_0_SCR                   SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH11_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH11_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH11_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH11_CSRE_0
#define GPCDMA_CHANNEL_CH11_CSRE_0                      MK_ADDR_CONST(0xc0008)
#define GPCDMA_CHANNEL_CH11_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH11_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH11_CSRE_0_SCR                  SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH11_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH11_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH11_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH11_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH11_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH11_SRC_PTR_0
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0                   MK_ADDR_CONST(0xc000c)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SCR                       SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_DST_PTR_0
#define GPCDMA_CHANNEL_CH11_DST_PTR_0                   MK_ADDR_CONST(0xc0010)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_SCR                       SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0                        MK_ADDR_CONST(0xc0014)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_SCR                    SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_MC_SEQ_0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0                    MK_ADDR_CONST(0xc0018)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_SCR                        SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0                  MK_ADDR_CONST(0xc001c)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_SCR                      SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_WCOUNT_0
#define GPCDMA_CHANNEL_CH11_WCOUNT_0                    MK_ADDR_CONST(0xc0020)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_SCR                        SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0                      MK_ADDR_CONST(0xc0024)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_SCR                  SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0                      MK_ADDR_CONST(0xc0028)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_SCR                  SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0xc002c

// Register GPCDMA_CHANNEL_CH11_ERR_STA_0
#define GPCDMA_CHANNEL_CH11_ERR_STA_0                   MK_ADDR_CONST(0xc0030)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_SCR                       SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0                 MK_ADDR_CONST(0xc0034)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_SCR                     SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH11_0
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH11_TZ_0
#define GPCDMA_CHANNEL_CH11_TZ_0                        MK_ADDR_CONST(0xc0038)
#define GPCDMA_CHANNEL_CH11_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH11_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH11_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH11_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH11_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH11_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH11_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_CSR_0
#define GPCDMA_CHANNEL_CH12_CSR_0                       MK_ADDR_CONST(0xd0000)
#define GPCDMA_CHANNEL_CH12_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_SCR                   SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH12_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH12_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH12_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH12_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH12_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH12_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_STA_0
#define GPCDMA_CHANNEL_CH12_STA_0                       MK_ADDR_CONST(0xd0004)
#define GPCDMA_CHANNEL_CH12_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH12_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH12_STA_0_SCR                   SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH12_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH12_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH12_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH12_CSRE_0
#define GPCDMA_CHANNEL_CH12_CSRE_0                      MK_ADDR_CONST(0xd0008)
#define GPCDMA_CHANNEL_CH12_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH12_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH12_CSRE_0_SCR                  SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH12_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH12_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH12_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH12_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH12_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH12_SRC_PTR_0
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0                   MK_ADDR_CONST(0xd000c)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SCR                       SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_DST_PTR_0
#define GPCDMA_CHANNEL_CH12_DST_PTR_0                   MK_ADDR_CONST(0xd0010)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_SCR                       SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0                        MK_ADDR_CONST(0xd0014)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_SCR                    SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_MC_SEQ_0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0                    MK_ADDR_CONST(0xd0018)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_SCR                        SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0                  MK_ADDR_CONST(0xd001c)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_SCR                      SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_WCOUNT_0
#define GPCDMA_CHANNEL_CH12_WCOUNT_0                    MK_ADDR_CONST(0xd0020)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_SCR                        SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0                      MK_ADDR_CONST(0xd0024)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_SCR                  SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0                      MK_ADDR_CONST(0xd0028)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_SCR                  SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0xd002c

// Register GPCDMA_CHANNEL_CH12_ERR_STA_0
#define GPCDMA_CHANNEL_CH12_ERR_STA_0                   MK_ADDR_CONST(0xd0030)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_SCR                       SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0                 MK_ADDR_CONST(0xd0034)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_SCR                     SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH12_0
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH12_TZ_0
#define GPCDMA_CHANNEL_CH12_TZ_0                        MK_ADDR_CONST(0xd0038)
#define GPCDMA_CHANNEL_CH12_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH12_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH12_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH12_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH12_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH12_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH12_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_CSR_0
#define GPCDMA_CHANNEL_CH13_CSR_0                       MK_ADDR_CONST(0xe0000)
#define GPCDMA_CHANNEL_CH13_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_SCR                   SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH13_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH13_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH13_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH13_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH13_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH13_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_STA_0
#define GPCDMA_CHANNEL_CH13_STA_0                       MK_ADDR_CONST(0xe0004)
#define GPCDMA_CHANNEL_CH13_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH13_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH13_STA_0_SCR                   SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH13_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH13_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH13_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH13_CSRE_0
#define GPCDMA_CHANNEL_CH13_CSRE_0                      MK_ADDR_CONST(0xe0008)
#define GPCDMA_CHANNEL_CH13_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH13_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH13_CSRE_0_SCR                  SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH13_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH13_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH13_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH13_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH13_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH13_SRC_PTR_0
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0                   MK_ADDR_CONST(0xe000c)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SCR                       SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_DST_PTR_0
#define GPCDMA_CHANNEL_CH13_DST_PTR_0                   MK_ADDR_CONST(0xe0010)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_SCR                       SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0                        MK_ADDR_CONST(0xe0014)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_SCR                    SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_MC_SEQ_0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0                    MK_ADDR_CONST(0xe0018)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_SCR                        SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0                  MK_ADDR_CONST(0xe001c)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_SCR                      SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_WCOUNT_0
#define GPCDMA_CHANNEL_CH13_WCOUNT_0                    MK_ADDR_CONST(0xe0020)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_SCR                        SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0                      MK_ADDR_CONST(0xe0024)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_SCR                  SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0                      MK_ADDR_CONST(0xe0028)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_SCR                  SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0xe002c

// Register GPCDMA_CHANNEL_CH13_ERR_STA_0
#define GPCDMA_CHANNEL_CH13_ERR_STA_0                   MK_ADDR_CONST(0xe0030)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_SCR                       SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0                 MK_ADDR_CONST(0xe0034)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_SCR                     SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH13_0
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH13_TZ_0
#define GPCDMA_CHANNEL_CH13_TZ_0                        MK_ADDR_CONST(0xe0038)
#define GPCDMA_CHANNEL_CH13_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH13_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH13_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH13_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH13_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH13_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH13_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_CSR_0
#define GPCDMA_CHANNEL_CH14_CSR_0                       MK_ADDR_CONST(0xf0000)
#define GPCDMA_CHANNEL_CH14_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_SCR                   SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH14_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH14_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH14_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH14_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH14_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH14_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_STA_0
#define GPCDMA_CHANNEL_CH14_STA_0                       MK_ADDR_CONST(0xf0004)
#define GPCDMA_CHANNEL_CH14_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH14_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH14_STA_0_SCR                   SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH14_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH14_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH14_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH14_CSRE_0
#define GPCDMA_CHANNEL_CH14_CSRE_0                      MK_ADDR_CONST(0xf0008)
#define GPCDMA_CHANNEL_CH14_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH14_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH14_CSRE_0_SCR                  SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH14_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH14_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH14_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH14_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH14_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH14_SRC_PTR_0
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0                   MK_ADDR_CONST(0xf000c)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SCR                       SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_DST_PTR_0
#define GPCDMA_CHANNEL_CH14_DST_PTR_0                   MK_ADDR_CONST(0xf0010)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_SCR                       SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0                        MK_ADDR_CONST(0xf0014)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_SCR                    SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_MC_SEQ_0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0                    MK_ADDR_CONST(0xf0018)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_SCR                        SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0                  MK_ADDR_CONST(0xf001c)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_SCR                      SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_WCOUNT_0
#define GPCDMA_CHANNEL_CH14_WCOUNT_0                    MK_ADDR_CONST(0xf0020)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_SCR                        SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0                      MK_ADDR_CONST(0xf0024)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_SCR                  SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0                      MK_ADDR_CONST(0xf0028)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_SCR                  SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0xf002c

// Register GPCDMA_CHANNEL_CH14_ERR_STA_0
#define GPCDMA_CHANNEL_CH14_ERR_STA_0                   MK_ADDR_CONST(0xf0030)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_SCR                       SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0                 MK_ADDR_CONST(0xf0034)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_SCR                     SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH14_0
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH14_TZ_0
#define GPCDMA_CHANNEL_CH14_TZ_0                        MK_ADDR_CONST(0xf0038)
#define GPCDMA_CHANNEL_CH14_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH14_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH14_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH14_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH14_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH14_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH14_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_CSR_0
#define GPCDMA_CHANNEL_CH15_CSR_0                       MK_ADDR_CONST(0x100000)
#define GPCDMA_CHANNEL_CH15_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_SCR                   SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH15_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH15_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH15_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH15_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH15_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH15_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_STA_0
#define GPCDMA_CHANNEL_CH15_STA_0                       MK_ADDR_CONST(0x100004)
#define GPCDMA_CHANNEL_CH15_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH15_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH15_STA_0_SCR                   SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH15_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH15_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH15_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH15_CSRE_0
#define GPCDMA_CHANNEL_CH15_CSRE_0                      MK_ADDR_CONST(0x100008)
#define GPCDMA_CHANNEL_CH15_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH15_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH15_CSRE_0_SCR                  SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH15_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH15_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH15_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH15_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH15_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH15_SRC_PTR_0
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0                   MK_ADDR_CONST(0x10000c)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SCR                       SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_DST_PTR_0
#define GPCDMA_CHANNEL_CH15_DST_PTR_0                   MK_ADDR_CONST(0x100010)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_SCR                       SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0                        MK_ADDR_CONST(0x100014)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_SCR                    SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_MC_SEQ_0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0                    MK_ADDR_CONST(0x100018)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_SCR                        SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0                  MK_ADDR_CONST(0x10001c)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_SCR                      SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_WCOUNT_0
#define GPCDMA_CHANNEL_CH15_WCOUNT_0                    MK_ADDR_CONST(0x100020)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_SCR                        SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x100024)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_SCR                  SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0                      MK_ADDR_CONST(0x100028)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_SCR                  SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x10002c

// Register GPCDMA_CHANNEL_CH15_ERR_STA_0
#define GPCDMA_CHANNEL_CH15_ERR_STA_0                   MK_ADDR_CONST(0x100030)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_SCR                       SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0                 MK_ADDR_CONST(0x100034)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_SCR                     SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH15_0
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH15_TZ_0
#define GPCDMA_CHANNEL_CH15_TZ_0                        MK_ADDR_CONST(0x100038)
#define GPCDMA_CHANNEL_CH15_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH15_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH15_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH15_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH15_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH15_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH15_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_CSR_0
#define GPCDMA_CHANNEL_CH16_CSR_0                       MK_ADDR_CONST(0x110000)
#define GPCDMA_CHANNEL_CH16_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_SCR                   SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH16_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH16_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH16_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH16_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH16_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH16_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_STA_0
#define GPCDMA_CHANNEL_CH16_STA_0                       MK_ADDR_CONST(0x110004)
#define GPCDMA_CHANNEL_CH16_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH16_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH16_STA_0_SCR                   SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH16_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH16_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH16_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH16_CSRE_0
#define GPCDMA_CHANNEL_CH16_CSRE_0                      MK_ADDR_CONST(0x110008)
#define GPCDMA_CHANNEL_CH16_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH16_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH16_CSRE_0_SCR                  SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH16_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH16_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH16_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH16_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH16_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH16_SRC_PTR_0
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0                   MK_ADDR_CONST(0x11000c)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SCR                       SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_DST_PTR_0
#define GPCDMA_CHANNEL_CH16_DST_PTR_0                   MK_ADDR_CONST(0x110010)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_SCR                       SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0                        MK_ADDR_CONST(0x110014)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_SCR                    SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_MC_SEQ_0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0                    MK_ADDR_CONST(0x110018)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_SCR                        SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0                  MK_ADDR_CONST(0x11001c)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_SCR                      SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_WCOUNT_0
#define GPCDMA_CHANNEL_CH16_WCOUNT_0                    MK_ADDR_CONST(0x110020)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_SCR                        SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x110024)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_SCR                  SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0                      MK_ADDR_CONST(0x110028)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_SCR                  SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x11002c

// Register GPCDMA_CHANNEL_CH16_ERR_STA_0
#define GPCDMA_CHANNEL_CH16_ERR_STA_0                   MK_ADDR_CONST(0x110030)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_SCR                       SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0                 MK_ADDR_CONST(0x110034)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_SCR                     SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH16_0
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH16_TZ_0
#define GPCDMA_CHANNEL_CH16_TZ_0                        MK_ADDR_CONST(0x110038)
#define GPCDMA_CHANNEL_CH16_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH16_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH16_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH16_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH16_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH16_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH16_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_CSR_0
#define GPCDMA_CHANNEL_CH17_CSR_0                       MK_ADDR_CONST(0x120000)
#define GPCDMA_CHANNEL_CH17_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_SCR                   SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH17_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH17_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH17_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH17_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH17_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH17_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_STA_0
#define GPCDMA_CHANNEL_CH17_STA_0                       MK_ADDR_CONST(0x120004)
#define GPCDMA_CHANNEL_CH17_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH17_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH17_STA_0_SCR                   SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH17_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH17_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH17_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH17_CSRE_0
#define GPCDMA_CHANNEL_CH17_CSRE_0                      MK_ADDR_CONST(0x120008)
#define GPCDMA_CHANNEL_CH17_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH17_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH17_CSRE_0_SCR                  SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH17_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH17_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH17_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH17_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH17_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH17_SRC_PTR_0
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0                   MK_ADDR_CONST(0x12000c)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SCR                       SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_DST_PTR_0
#define GPCDMA_CHANNEL_CH17_DST_PTR_0                   MK_ADDR_CONST(0x120010)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_SCR                       SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0                        MK_ADDR_CONST(0x120014)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_SCR                    SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_MC_SEQ_0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0                    MK_ADDR_CONST(0x120018)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_SCR                        SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0                  MK_ADDR_CONST(0x12001c)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_SCR                      SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_WCOUNT_0
#define GPCDMA_CHANNEL_CH17_WCOUNT_0                    MK_ADDR_CONST(0x120020)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_SCR                        SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x120024)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_SCR                  SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0                      MK_ADDR_CONST(0x120028)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_SCR                  SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x12002c

// Register GPCDMA_CHANNEL_CH17_ERR_STA_0
#define GPCDMA_CHANNEL_CH17_ERR_STA_0                   MK_ADDR_CONST(0x120030)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_SCR                       SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0                 MK_ADDR_CONST(0x120034)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_SCR                     SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH17_0
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH17_TZ_0
#define GPCDMA_CHANNEL_CH17_TZ_0                        MK_ADDR_CONST(0x120038)
#define GPCDMA_CHANNEL_CH17_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH17_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH17_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH17_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH17_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH17_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH17_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_CSR_0
#define GPCDMA_CHANNEL_CH18_CSR_0                       MK_ADDR_CONST(0x130000)
#define GPCDMA_CHANNEL_CH18_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_SCR                   SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH18_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH18_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH18_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH18_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH18_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH18_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_STA_0
#define GPCDMA_CHANNEL_CH18_STA_0                       MK_ADDR_CONST(0x130004)
#define GPCDMA_CHANNEL_CH18_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH18_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH18_STA_0_SCR                   SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH18_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH18_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH18_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH18_CSRE_0
#define GPCDMA_CHANNEL_CH18_CSRE_0                      MK_ADDR_CONST(0x130008)
#define GPCDMA_CHANNEL_CH18_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH18_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH18_CSRE_0_SCR                  SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH18_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH18_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH18_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH18_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH18_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH18_SRC_PTR_0
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0                   MK_ADDR_CONST(0x13000c)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SCR                       SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_DST_PTR_0
#define GPCDMA_CHANNEL_CH18_DST_PTR_0                   MK_ADDR_CONST(0x130010)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_SCR                       SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0                        MK_ADDR_CONST(0x130014)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_SCR                    SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_MC_SEQ_0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0                    MK_ADDR_CONST(0x130018)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_SCR                        SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0                  MK_ADDR_CONST(0x13001c)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_SCR                      SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_WCOUNT_0
#define GPCDMA_CHANNEL_CH18_WCOUNT_0                    MK_ADDR_CONST(0x130020)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_SCR                        SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x130024)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_SCR                  SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0                      MK_ADDR_CONST(0x130028)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_SCR                  SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x13002c

// Register GPCDMA_CHANNEL_CH18_ERR_STA_0
#define GPCDMA_CHANNEL_CH18_ERR_STA_0                   MK_ADDR_CONST(0x130030)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_SCR                       SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0                 MK_ADDR_CONST(0x130034)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_SCR                     SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH18_0
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH18_TZ_0
#define GPCDMA_CHANNEL_CH18_TZ_0                        MK_ADDR_CONST(0x130038)
#define GPCDMA_CHANNEL_CH18_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH18_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH18_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH18_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH18_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH18_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH18_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_CSR_0
#define GPCDMA_CHANNEL_CH19_CSR_0                       MK_ADDR_CONST(0x140000)
#define GPCDMA_CHANNEL_CH19_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_SCR                   SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH19_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH19_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH19_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH19_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH19_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH19_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_STA_0
#define GPCDMA_CHANNEL_CH19_STA_0                       MK_ADDR_CONST(0x140004)
#define GPCDMA_CHANNEL_CH19_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH19_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH19_STA_0_SCR                   SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH19_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH19_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH19_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH19_CSRE_0
#define GPCDMA_CHANNEL_CH19_CSRE_0                      MK_ADDR_CONST(0x140008)
#define GPCDMA_CHANNEL_CH19_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH19_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH19_CSRE_0_SCR                  SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH19_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH19_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH19_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH19_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH19_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH19_SRC_PTR_0
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0                   MK_ADDR_CONST(0x14000c)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SCR                       SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_DST_PTR_0
#define GPCDMA_CHANNEL_CH19_DST_PTR_0                   MK_ADDR_CONST(0x140010)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_SCR                       SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0                        MK_ADDR_CONST(0x140014)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_SCR                    SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_MC_SEQ_0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0                    MK_ADDR_CONST(0x140018)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_SCR                        SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0                  MK_ADDR_CONST(0x14001c)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_SCR                      SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_WCOUNT_0
#define GPCDMA_CHANNEL_CH19_WCOUNT_0                    MK_ADDR_CONST(0x140020)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_SCR                        SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x140024)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_SCR                  SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0                      MK_ADDR_CONST(0x140028)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_SCR                  SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x14002c

// Register GPCDMA_CHANNEL_CH19_ERR_STA_0
#define GPCDMA_CHANNEL_CH19_ERR_STA_0                   MK_ADDR_CONST(0x140030)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_SCR                       SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0                 MK_ADDR_CONST(0x140034)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_SCR                     SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH19_0
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH19_TZ_0
#define GPCDMA_CHANNEL_CH19_TZ_0                        MK_ADDR_CONST(0x140038)
#define GPCDMA_CHANNEL_CH19_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH19_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH19_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH19_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH19_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH19_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH19_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_CSR_0
#define GPCDMA_CHANNEL_CH20_CSR_0                       MK_ADDR_CONST(0x150000)
#define GPCDMA_CHANNEL_CH20_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_SCR                   SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH20_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH20_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH20_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH20_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH20_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH20_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_STA_0
#define GPCDMA_CHANNEL_CH20_STA_0                       MK_ADDR_CONST(0x150004)
#define GPCDMA_CHANNEL_CH20_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH20_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH20_STA_0_SCR                   SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH20_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH20_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH20_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH20_CSRE_0
#define GPCDMA_CHANNEL_CH20_CSRE_0                      MK_ADDR_CONST(0x150008)
#define GPCDMA_CHANNEL_CH20_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH20_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH20_CSRE_0_SCR                  SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH20_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH20_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH20_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH20_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH20_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH20_SRC_PTR_0
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0                   MK_ADDR_CONST(0x15000c)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SCR                       SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_DST_PTR_0
#define GPCDMA_CHANNEL_CH20_DST_PTR_0                   MK_ADDR_CONST(0x150010)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_SCR                       SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0                        MK_ADDR_CONST(0x150014)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_SCR                    SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_MC_SEQ_0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0                    MK_ADDR_CONST(0x150018)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_SCR                        SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0                  MK_ADDR_CONST(0x15001c)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_SCR                      SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_WCOUNT_0
#define GPCDMA_CHANNEL_CH20_WCOUNT_0                    MK_ADDR_CONST(0x150020)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_SCR                        SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x150024)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_SCR                  SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0                      MK_ADDR_CONST(0x150028)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_SCR                  SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x15002c

// Register GPCDMA_CHANNEL_CH20_ERR_STA_0
#define GPCDMA_CHANNEL_CH20_ERR_STA_0                   MK_ADDR_CONST(0x150030)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_SCR                       SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0                 MK_ADDR_CONST(0x150034)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_SCR                     SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH20_0
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH20_TZ_0
#define GPCDMA_CHANNEL_CH20_TZ_0                        MK_ADDR_CONST(0x150038)
#define GPCDMA_CHANNEL_CH20_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH20_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH20_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH20_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH20_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH20_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH20_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_CSR_0
#define GPCDMA_CHANNEL_CH21_CSR_0                       MK_ADDR_CONST(0x160000)
#define GPCDMA_CHANNEL_CH21_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_SCR                   SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH21_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH21_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH21_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH21_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH21_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH21_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_STA_0
#define GPCDMA_CHANNEL_CH21_STA_0                       MK_ADDR_CONST(0x160004)
#define GPCDMA_CHANNEL_CH21_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH21_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH21_STA_0_SCR                   SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH21_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH21_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH21_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH21_CSRE_0
#define GPCDMA_CHANNEL_CH21_CSRE_0                      MK_ADDR_CONST(0x160008)
#define GPCDMA_CHANNEL_CH21_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH21_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH21_CSRE_0_SCR                  SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH21_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH21_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH21_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH21_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH21_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH21_SRC_PTR_0
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0                   MK_ADDR_CONST(0x16000c)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SCR                       SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_DST_PTR_0
#define GPCDMA_CHANNEL_CH21_DST_PTR_0                   MK_ADDR_CONST(0x160010)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_SCR                       SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0                        MK_ADDR_CONST(0x160014)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_SCR                    SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_MC_SEQ_0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0                    MK_ADDR_CONST(0x160018)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_SCR                        SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0                  MK_ADDR_CONST(0x16001c)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_SCR                      SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_WCOUNT_0
#define GPCDMA_CHANNEL_CH21_WCOUNT_0                    MK_ADDR_CONST(0x160020)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_SCR                        SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x160024)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_SCR                  SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0                      MK_ADDR_CONST(0x160028)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_SCR                  SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x16002c

// Register GPCDMA_CHANNEL_CH21_ERR_STA_0
#define GPCDMA_CHANNEL_CH21_ERR_STA_0                   MK_ADDR_CONST(0x160030)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_SCR                       SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0                 MK_ADDR_CONST(0x160034)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_SCR                     SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH21_0
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH21_TZ_0
#define GPCDMA_CHANNEL_CH21_TZ_0                        MK_ADDR_CONST(0x160038)
#define GPCDMA_CHANNEL_CH21_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH21_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH21_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH21_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH21_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH21_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH21_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_CSR_0
#define GPCDMA_CHANNEL_CH22_CSR_0                       MK_ADDR_CONST(0x170000)
#define GPCDMA_CHANNEL_CH22_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_SCR                   SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH22_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH22_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH22_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH22_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH22_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH22_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_STA_0
#define GPCDMA_CHANNEL_CH22_STA_0                       MK_ADDR_CONST(0x170004)
#define GPCDMA_CHANNEL_CH22_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH22_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH22_STA_0_SCR                   SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH22_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH22_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH22_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH22_CSRE_0
#define GPCDMA_CHANNEL_CH22_CSRE_0                      MK_ADDR_CONST(0x170008)
#define GPCDMA_CHANNEL_CH22_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH22_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH22_CSRE_0_SCR                  SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH22_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH22_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH22_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH22_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH22_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH22_SRC_PTR_0
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0                   MK_ADDR_CONST(0x17000c)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SCR                       SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_DST_PTR_0
#define GPCDMA_CHANNEL_CH22_DST_PTR_0                   MK_ADDR_CONST(0x170010)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_SCR                       SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0                        MK_ADDR_CONST(0x170014)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_SCR                    SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_MC_SEQ_0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0                    MK_ADDR_CONST(0x170018)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_SCR                        SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0                  MK_ADDR_CONST(0x17001c)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_SCR                      SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_WCOUNT_0
#define GPCDMA_CHANNEL_CH22_WCOUNT_0                    MK_ADDR_CONST(0x170020)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_SCR                        SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x170024)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_SCR                  SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0                      MK_ADDR_CONST(0x170028)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_SCR                  SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x17002c

// Register GPCDMA_CHANNEL_CH22_ERR_STA_0
#define GPCDMA_CHANNEL_CH22_ERR_STA_0                   MK_ADDR_CONST(0x170030)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_SCR                       SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0                 MK_ADDR_CONST(0x170034)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_SCR                     SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH22_0
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH22_TZ_0
#define GPCDMA_CHANNEL_CH22_TZ_0                        MK_ADDR_CONST(0x170038)
#define GPCDMA_CHANNEL_CH22_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH22_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH22_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH22_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH22_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH22_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH22_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_CSR_0
#define GPCDMA_CHANNEL_CH23_CSR_0                       MK_ADDR_CONST(0x180000)
#define GPCDMA_CHANNEL_CH23_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_SCR                   SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH23_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH23_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH23_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH23_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH23_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH23_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_STA_0
#define GPCDMA_CHANNEL_CH23_STA_0                       MK_ADDR_CONST(0x180004)
#define GPCDMA_CHANNEL_CH23_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH23_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH23_STA_0_SCR                   SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH23_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH23_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH23_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH23_CSRE_0
#define GPCDMA_CHANNEL_CH23_CSRE_0                      MK_ADDR_CONST(0x180008)
#define GPCDMA_CHANNEL_CH23_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH23_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH23_CSRE_0_SCR                  SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH23_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH23_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH23_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH23_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH23_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH23_SRC_PTR_0
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0                   MK_ADDR_CONST(0x18000c)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SCR                       SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_DST_PTR_0
#define GPCDMA_CHANNEL_CH23_DST_PTR_0                   MK_ADDR_CONST(0x180010)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_SCR                       SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0                        MK_ADDR_CONST(0x180014)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_SCR                    SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_MC_SEQ_0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0                    MK_ADDR_CONST(0x180018)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_SCR                        SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0                  MK_ADDR_CONST(0x18001c)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_SCR                      SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_WCOUNT_0
#define GPCDMA_CHANNEL_CH23_WCOUNT_0                    MK_ADDR_CONST(0x180020)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_SCR                        SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x180024)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_SCR                  SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0                      MK_ADDR_CONST(0x180028)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_SCR                  SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x18002c

// Register GPCDMA_CHANNEL_CH23_ERR_STA_0
#define GPCDMA_CHANNEL_CH23_ERR_STA_0                   MK_ADDR_CONST(0x180030)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_SCR                       SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0                 MK_ADDR_CONST(0x180034)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_SCR                     SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH23_0
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH23_TZ_0
#define GPCDMA_CHANNEL_CH23_TZ_0                        MK_ADDR_CONST(0x180038)
#define GPCDMA_CHANNEL_CH23_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH23_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH23_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH23_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH23_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH23_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH23_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_CSR_0
#define GPCDMA_CHANNEL_CH24_CSR_0                       MK_ADDR_CONST(0x190000)
#define GPCDMA_CHANNEL_CH24_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_SCR                   SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH24_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH24_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH24_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH24_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH24_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH24_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_STA_0
#define GPCDMA_CHANNEL_CH24_STA_0                       MK_ADDR_CONST(0x190004)
#define GPCDMA_CHANNEL_CH24_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH24_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH24_STA_0_SCR                   SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH24_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH24_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH24_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH24_CSRE_0
#define GPCDMA_CHANNEL_CH24_CSRE_0                      MK_ADDR_CONST(0x190008)
#define GPCDMA_CHANNEL_CH24_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH24_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH24_CSRE_0_SCR                  SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH24_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH24_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH24_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH24_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH24_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH24_SRC_PTR_0
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0                   MK_ADDR_CONST(0x19000c)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SCR                       SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_DST_PTR_0
#define GPCDMA_CHANNEL_CH24_DST_PTR_0                   MK_ADDR_CONST(0x190010)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_SCR                       SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0                        MK_ADDR_CONST(0x190014)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_SCR                    SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_MC_SEQ_0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0                    MK_ADDR_CONST(0x190018)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_SCR                        SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0                  MK_ADDR_CONST(0x19001c)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_SCR                      SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_WCOUNT_0
#define GPCDMA_CHANNEL_CH24_WCOUNT_0                    MK_ADDR_CONST(0x190020)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_SCR                        SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x190024)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_SCR                  SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0                      MK_ADDR_CONST(0x190028)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_SCR                  SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x19002c

// Register GPCDMA_CHANNEL_CH24_ERR_STA_0
#define GPCDMA_CHANNEL_CH24_ERR_STA_0                   MK_ADDR_CONST(0x190030)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_SCR                       SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0                 MK_ADDR_CONST(0x190034)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_SCR                     SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH24_0
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH24_TZ_0
#define GPCDMA_CHANNEL_CH24_TZ_0                        MK_ADDR_CONST(0x190038)
#define GPCDMA_CHANNEL_CH24_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH24_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH24_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH24_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH24_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH24_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH24_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_CSR_0
#define GPCDMA_CHANNEL_CH25_CSR_0                       MK_ADDR_CONST(0x1a0000)
#define GPCDMA_CHANNEL_CH25_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_SCR                   SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH25_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH25_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH25_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH25_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH25_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH25_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_STA_0
#define GPCDMA_CHANNEL_CH25_STA_0                       MK_ADDR_CONST(0x1a0004)
#define GPCDMA_CHANNEL_CH25_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH25_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH25_STA_0_SCR                   SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH25_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH25_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH25_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH25_CSRE_0
#define GPCDMA_CHANNEL_CH25_CSRE_0                      MK_ADDR_CONST(0x1a0008)
#define GPCDMA_CHANNEL_CH25_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH25_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH25_CSRE_0_SCR                  SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH25_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH25_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH25_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH25_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH25_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH25_SRC_PTR_0
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0                   MK_ADDR_CONST(0x1a000c)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SCR                       SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_DST_PTR_0
#define GPCDMA_CHANNEL_CH25_DST_PTR_0                   MK_ADDR_CONST(0x1a0010)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_SCR                       SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0                        MK_ADDR_CONST(0x1a0014)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_SCR                    SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_MC_SEQ_0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0                    MK_ADDR_CONST(0x1a0018)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_SCR                        SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0                  MK_ADDR_CONST(0x1a001c)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_SCR                      SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_WCOUNT_0
#define GPCDMA_CHANNEL_CH25_WCOUNT_0                    MK_ADDR_CONST(0x1a0020)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_SCR                        SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x1a0024)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_SCR                  SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0                      MK_ADDR_CONST(0x1a0028)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_SCR                  SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x1a002c

// Register GPCDMA_CHANNEL_CH25_ERR_STA_0
#define GPCDMA_CHANNEL_CH25_ERR_STA_0                   MK_ADDR_CONST(0x1a0030)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_SCR                       SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0                 MK_ADDR_CONST(0x1a0034)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_SCR                     SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH25_0
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH25_TZ_0
#define GPCDMA_CHANNEL_CH25_TZ_0                        MK_ADDR_CONST(0x1a0038)
#define GPCDMA_CHANNEL_CH25_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH25_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH25_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH25_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH25_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH25_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH25_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_CSR_0
#define GPCDMA_CHANNEL_CH26_CSR_0                       MK_ADDR_CONST(0x1b0000)
#define GPCDMA_CHANNEL_CH26_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_SCR                   SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH26_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH26_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH26_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH26_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH26_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH26_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_STA_0
#define GPCDMA_CHANNEL_CH26_STA_0                       MK_ADDR_CONST(0x1b0004)
#define GPCDMA_CHANNEL_CH26_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH26_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH26_STA_0_SCR                   SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH26_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH26_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH26_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH26_CSRE_0
#define GPCDMA_CHANNEL_CH26_CSRE_0                      MK_ADDR_CONST(0x1b0008)
#define GPCDMA_CHANNEL_CH26_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH26_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH26_CSRE_0_SCR                  SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH26_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH26_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH26_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH26_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH26_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH26_SRC_PTR_0
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0                   MK_ADDR_CONST(0x1b000c)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SCR                       SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_DST_PTR_0
#define GPCDMA_CHANNEL_CH26_DST_PTR_0                   MK_ADDR_CONST(0x1b0010)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_SCR                       SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0                        MK_ADDR_CONST(0x1b0014)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_SCR                    SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_MC_SEQ_0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0                    MK_ADDR_CONST(0x1b0018)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_SCR                        SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0                  MK_ADDR_CONST(0x1b001c)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_SCR                      SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_WCOUNT_0
#define GPCDMA_CHANNEL_CH26_WCOUNT_0                    MK_ADDR_CONST(0x1b0020)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_SCR                        SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x1b0024)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_SCR                  SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0                      MK_ADDR_CONST(0x1b0028)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_SCR                  SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x1b002c

// Register GPCDMA_CHANNEL_CH26_ERR_STA_0
#define GPCDMA_CHANNEL_CH26_ERR_STA_0                   MK_ADDR_CONST(0x1b0030)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_SCR                       SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0                 MK_ADDR_CONST(0x1b0034)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_SCR                     SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH26_0
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH26_TZ_0
#define GPCDMA_CHANNEL_CH26_TZ_0                        MK_ADDR_CONST(0x1b0038)
#define GPCDMA_CHANNEL_CH26_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH26_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH26_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH26_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH26_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH26_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH26_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_CSR_0
#define GPCDMA_CHANNEL_CH27_CSR_0                       MK_ADDR_CONST(0x1c0000)
#define GPCDMA_CHANNEL_CH27_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_SCR                   SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH27_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH27_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH27_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH27_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH27_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH27_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_STA_0
#define GPCDMA_CHANNEL_CH27_STA_0                       MK_ADDR_CONST(0x1c0004)
#define GPCDMA_CHANNEL_CH27_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH27_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH27_STA_0_SCR                   SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH27_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH27_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH27_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH27_CSRE_0
#define GPCDMA_CHANNEL_CH27_CSRE_0                      MK_ADDR_CONST(0x1c0008)
#define GPCDMA_CHANNEL_CH27_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH27_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH27_CSRE_0_SCR                  SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH27_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH27_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH27_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH27_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH27_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH27_SRC_PTR_0
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0                   MK_ADDR_CONST(0x1c000c)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SCR                       SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_DST_PTR_0
#define GPCDMA_CHANNEL_CH27_DST_PTR_0                   MK_ADDR_CONST(0x1c0010)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_SCR                       SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0                        MK_ADDR_CONST(0x1c0014)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_SCR                    SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_MC_SEQ_0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0                    MK_ADDR_CONST(0x1c0018)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_SCR                        SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0                  MK_ADDR_CONST(0x1c001c)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_SCR                      SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_WCOUNT_0
#define GPCDMA_CHANNEL_CH27_WCOUNT_0                    MK_ADDR_CONST(0x1c0020)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_SCR                        SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x1c0024)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_SCR                  SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0                      MK_ADDR_CONST(0x1c0028)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_SCR                  SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x1c002c

// Register GPCDMA_CHANNEL_CH27_ERR_STA_0
#define GPCDMA_CHANNEL_CH27_ERR_STA_0                   MK_ADDR_CONST(0x1c0030)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_SCR                       SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0                 MK_ADDR_CONST(0x1c0034)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_SCR                     SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH27_0
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH27_TZ_0
#define GPCDMA_CHANNEL_CH27_TZ_0                        MK_ADDR_CONST(0x1c0038)
#define GPCDMA_CHANNEL_CH27_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH27_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH27_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH27_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH27_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH27_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH27_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_CSR_0
#define GPCDMA_CHANNEL_CH28_CSR_0                       MK_ADDR_CONST(0x1d0000)
#define GPCDMA_CHANNEL_CH28_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_SCR                   SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH28_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH28_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH28_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH28_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH28_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH28_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_STA_0
#define GPCDMA_CHANNEL_CH28_STA_0                       MK_ADDR_CONST(0x1d0004)
#define GPCDMA_CHANNEL_CH28_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH28_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH28_STA_0_SCR                   SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH28_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH28_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH28_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH28_CSRE_0
#define GPCDMA_CHANNEL_CH28_CSRE_0                      MK_ADDR_CONST(0x1d0008)
#define GPCDMA_CHANNEL_CH28_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH28_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH28_CSRE_0_SCR                  SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH28_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH28_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH28_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH28_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH28_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH28_SRC_PTR_0
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0                   MK_ADDR_CONST(0x1d000c)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SCR                       SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_DST_PTR_0
#define GPCDMA_CHANNEL_CH28_DST_PTR_0                   MK_ADDR_CONST(0x1d0010)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_SCR                       SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0                        MK_ADDR_CONST(0x1d0014)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_SCR                    SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_MC_SEQ_0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0                    MK_ADDR_CONST(0x1d0018)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_SCR                        SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0                  MK_ADDR_CONST(0x1d001c)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_SCR                      SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_WCOUNT_0
#define GPCDMA_CHANNEL_CH28_WCOUNT_0                    MK_ADDR_CONST(0x1d0020)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_SCR                        SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x1d0024)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_SCR                  SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0                      MK_ADDR_CONST(0x1d0028)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_SCR                  SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x1d002c

// Register GPCDMA_CHANNEL_CH28_ERR_STA_0
#define GPCDMA_CHANNEL_CH28_ERR_STA_0                   MK_ADDR_CONST(0x1d0030)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_SCR                       SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0                 MK_ADDR_CONST(0x1d0034)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_SCR                     SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH28_0
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH28_TZ_0
#define GPCDMA_CHANNEL_CH28_TZ_0                        MK_ADDR_CONST(0x1d0038)
#define GPCDMA_CHANNEL_CH28_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH28_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH28_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH28_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH28_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH28_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH28_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_CSR_0
#define GPCDMA_CHANNEL_CH29_CSR_0                       MK_ADDR_CONST(0x1e0000)
#define GPCDMA_CHANNEL_CH29_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_SCR                   SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH29_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH29_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH29_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH29_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH29_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH29_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_STA_0
#define GPCDMA_CHANNEL_CH29_STA_0                       MK_ADDR_CONST(0x1e0004)
#define GPCDMA_CHANNEL_CH29_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH29_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH29_STA_0_SCR                   SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH29_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH29_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH29_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH29_CSRE_0
#define GPCDMA_CHANNEL_CH29_CSRE_0                      MK_ADDR_CONST(0x1e0008)
#define GPCDMA_CHANNEL_CH29_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH29_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH29_CSRE_0_SCR                  SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH29_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH29_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH29_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH29_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH29_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH29_SRC_PTR_0
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0                   MK_ADDR_CONST(0x1e000c)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SCR                       SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_DST_PTR_0
#define GPCDMA_CHANNEL_CH29_DST_PTR_0                   MK_ADDR_CONST(0x1e0010)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_SCR                       SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0                        MK_ADDR_CONST(0x1e0014)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_SCR                    SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_MC_SEQ_0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0                    MK_ADDR_CONST(0x1e0018)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_SCR                        SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0                  MK_ADDR_CONST(0x1e001c)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_SCR                      SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_WCOUNT_0
#define GPCDMA_CHANNEL_CH29_WCOUNT_0                    MK_ADDR_CONST(0x1e0020)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_SCR                        SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x1e0024)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_SCR                  SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0                      MK_ADDR_CONST(0x1e0028)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_SCR                  SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x1e002c

// Register GPCDMA_CHANNEL_CH29_ERR_STA_0
#define GPCDMA_CHANNEL_CH29_ERR_STA_0                   MK_ADDR_CONST(0x1e0030)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_SCR                       SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0                 MK_ADDR_CONST(0x1e0034)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_SCR                     SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH29_0
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH29_TZ_0
#define GPCDMA_CHANNEL_CH29_TZ_0                        MK_ADDR_CONST(0x1e0038)
#define GPCDMA_CHANNEL_CH29_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH29_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH29_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH29_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH29_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH29_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH29_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_CSR_0
#define GPCDMA_CHANNEL_CH30_CSR_0                       MK_ADDR_CONST(0x1f0000)
#define GPCDMA_CHANNEL_CH30_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_SCR                   SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH30_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH30_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH30_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH30_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH30_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH30_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_STA_0
#define GPCDMA_CHANNEL_CH30_STA_0                       MK_ADDR_CONST(0x1f0004)
#define GPCDMA_CHANNEL_CH30_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH30_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH30_STA_0_SCR                   SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH30_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH30_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH30_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH30_CSRE_0
#define GPCDMA_CHANNEL_CH30_CSRE_0                      MK_ADDR_CONST(0x1f0008)
#define GPCDMA_CHANNEL_CH30_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH30_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH30_CSRE_0_SCR                  SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH30_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH30_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH30_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH30_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH30_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH30_SRC_PTR_0
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0                   MK_ADDR_CONST(0x1f000c)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SCR                       SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_DST_PTR_0
#define GPCDMA_CHANNEL_CH30_DST_PTR_0                   MK_ADDR_CONST(0x1f0010)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_SCR                       SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0                        MK_ADDR_CONST(0x1f0014)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_SCR                    SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_MC_SEQ_0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0                    MK_ADDR_CONST(0x1f0018)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_SCR                        SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0                  MK_ADDR_CONST(0x1f001c)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_SCR                      SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_WCOUNT_0
#define GPCDMA_CHANNEL_CH30_WCOUNT_0                    MK_ADDR_CONST(0x1f0020)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_SCR                        SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x1f0024)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_SCR                  SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0                      MK_ADDR_CONST(0x1f0028)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_SCR                  SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x1f002c

// Register GPCDMA_CHANNEL_CH30_ERR_STA_0
#define GPCDMA_CHANNEL_CH30_ERR_STA_0                   MK_ADDR_CONST(0x1f0030)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_SCR                       SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0                 MK_ADDR_CONST(0x1f0034)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_SCR                     SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH30_0
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH30_TZ_0
#define GPCDMA_CHANNEL_CH30_TZ_0                        MK_ADDR_CONST(0x1f0038)
#define GPCDMA_CHANNEL_CH30_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH30_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH30_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH30_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH30_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH30_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH30_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_CSR_0
#define GPCDMA_CHANNEL_CH31_CSR_0                       MK_ADDR_CONST(0x200000)
#define GPCDMA_CHANNEL_CH31_CSR_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_SCR                   SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_CSR_0_SCRREG                        GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_CSR_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH31_CSR_0_RESET_VAL                     MK_MASK_CONST(0x8008400)
#define GPCDMA_CHANNEL_CH31_CSR_0_RESET_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH31_CSR_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_READ_MASK                     MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH31_CSR_0_WRITE_MASK                    MK_MASK_CONST(0xcbffbc00)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_CSR_0_ENB_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_RANGE                     31:31
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ENB_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_SHIFT                  MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_FIELD                  MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_RANGE                  30:30
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_MSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_LSB                    MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_DISABLE                        MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IE_EOC_ENABLE                 MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_CSR_0_ONCE_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_RANGE                    27:27
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_DEFAULT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_CYCLIC_MODE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSR_0_ONCE_SINGLE_BLOCK                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_SHIFT                 MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_FIELD                 MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_RANGE                 25:24
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_MSB                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_LSB                   MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_NO_MMIO                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_ONE_MMIO                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_TWO_MMIO                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH31_CSR_0_FC_MODE_FOUR_MMIO                     MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_RANGE                        23:21
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_MSB                  MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_IO2MEM_NO_FC                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_IO2MEM_FC                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_MEM2IO_NO_FC                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_MEM2IO_FC                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_MEM2MEM                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_RSVD                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH31_CSR_0_DMA_MODE_FIXED_PAT                    MK_ENUM_CONST(6)

#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_SHIFT                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_FIELD                 MK_FIELD_CONST(0x1f, GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_RANGE                 20:16
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_MSB                   MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_LSB                   MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_DEFAULT_MASK                  MK_MASK_CONST(0x1f)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_0                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_1                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_2                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_3                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_4                      MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_5                      MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_6                      MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_7                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_8                      MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_9                      MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_10                     MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_11                     MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_12                     MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_13                     MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_14                     MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_15                     MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_16                     MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_17                     MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_18                     MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_19                     MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_20                     MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_21                     MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_22                     MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_23                     MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_24                     MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_25                     MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_26                     MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_27                     MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_28                     MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_29_RSVD                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_30                     MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_CLIENT_31                     MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSR_0_REQ_SEL_RSVD                  MK_ENUM_CONST(29)

#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_SHIFT                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_RANGE                        15:15
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_MSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_LSB                  MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_DISABLE                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSR_0_IRQ_MASK_ENABLE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_SHIFT                  MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_FIELD                  MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_RANGE                  13:10
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_MSB                    MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_LSB                    MK_SHIFT_CONST(10)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_DEFAULT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSR_0_WEIGHT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_STA_0
#define GPCDMA_CHANNEL_CH31_STA_0                       MK_ADDR_CONST(0x200004)
#define GPCDMA_CHANNEL_CH31_STA_0_SECURE                        0x0
#define GPCDMA_CHANNEL_CH31_STA_0_DUAL                  0x0
#define GPCDMA_CHANNEL_CH31_STA_0_SCR                   SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_STA_0_SCRREG                        GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_STA_0_WORD_COUNT                    0x1
#define GPCDMA_CHANNEL_CH31_STA_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_RESET_MASK                    MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH31_STA_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_READ_MASK                     MK_MASK_CONST(0xdfb00000)
#define GPCDMA_CHANNEL_CH31_STA_0_WRITE_MASK                    MK_MASK_CONST(0x40000000)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_SHIFT                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_BSY_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_RANGE                     31:31
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_LSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_WAIT                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_BSY_ACTIVE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_SHIFT                 MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_RANGE                 30:30
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_MSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_LSB                   MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_NO_INTR                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_ISE_EOC_INTR                  MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_SHIFT                   MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_RANGE                   28:28
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_MSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_LSB                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_PING_INTR_STA                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_PING_PONG_STA_PONG_INTR_STA                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_SHIFT                    MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_RANGE                    27:27
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_MSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_LSB                      MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_IDLE                     MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_DMA_ACTIVITY_BUSY                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_SHIFT                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_RANGE                   26:26
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_MSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_LSB                     MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_PAUSE_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_SHIFT                      MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_RANGE                      25:25
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_MSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_LSB                        MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_RX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_SHIFT                      MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_RANGE                      24:24
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_MSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_LSB                        MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_NOT_ACTIVE                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_CHANNEL_TX_ACTIVE                     MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_SHIFT                    MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_RANGE                    23:23
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_MSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_LSB                      MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_IRQ_INTR_STA_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_SHIFT                        MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_RANGE                        21:21
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_MSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_LSB                  MK_SHIFT_CONST(21)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_TRIG_STA_ACTIVE                       MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_SHIFT)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_RANGE                        20:20
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_MSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_NOT_ACTIVE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_STA_0_INTR_STA_ACTIVE                       MK_ENUM_CONST(1)


// Register GPCDMA_CHANNEL_CH31_CSRE_0
#define GPCDMA_CHANNEL_CH31_CSRE_0                      MK_ADDR_CONST(0x200008)
#define GPCDMA_CHANNEL_CH31_CSRE_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH31_CSRE_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH31_CSRE_0_SCR                  SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_CSRE_0_SCRREG                       GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_CSRE_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH31_CSRE_0_RESET_VAL                    MK_MASK_CONST(0x80000)
#define GPCDMA_CHANNEL_CH31_CSRE_0_RESET_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH31_CSRE_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_READ_MASK                    MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH31_CSRE_0_WRITE_MASK                   MK_MASK_CONST(0x800fc000)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_SHIFT                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_FIELD                   MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_RANGE                   31:31
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_MSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_LSB                     MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_RESUME                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_DMA_ACTIVITY_PAUSE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_SHIFT                       MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_FIELD                       MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_SHIFT)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_RANGE                       19:14
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_MSB                 MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_LSB                 MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_DEFAULT                     MK_MASK_CONST(0x20)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_DEFAULT_MASK                        MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH0                 MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH1                 MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH2                 MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH3                 MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH4                 MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH5                 MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH6                 MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH7                 MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH8                 MK_ENUM_CONST(8)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH9                 MK_ENUM_CONST(9)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH10                        MK_ENUM_CONST(10)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH11                        MK_ENUM_CONST(11)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH12                        MK_ENUM_CONST(12)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH13                        MK_ENUM_CONST(13)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH14                        MK_ENUM_CONST(14)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH15                        MK_ENUM_CONST(15)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH16                        MK_ENUM_CONST(16)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH17                        MK_ENUM_CONST(17)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH18                        MK_ENUM_CONST(18)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH19                        MK_ENUM_CONST(19)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH20                        MK_ENUM_CONST(20)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH21                        MK_ENUM_CONST(21)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH22                        MK_ENUM_CONST(22)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH23                        MK_ENUM_CONST(23)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH24                        MK_ENUM_CONST(24)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH25                        MK_ENUM_CONST(25)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH26                        MK_ENUM_CONST(26)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH27                        MK_ENUM_CONST(27)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH28                        MK_ENUM_CONST(28)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH29                        MK_ENUM_CONST(29)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH30                        MK_ENUM_CONST(30)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_CH31                        MK_ENUM_CONST(31)
#define GPCDMA_CHANNEL_CH31_CSRE_0_TRIG_SEL_RSVD                        MK_ENUM_CONST(32)


// Register GPCDMA_CHANNEL_CH31_SRC_PTR_0
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0                   MK_ADDR_CONST(0x20000c)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SCR                       SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_SRC_PTR_0_SRC_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_DST_PTR_0
#define GPCDMA_CHANNEL_CH31_DST_PTR_0                   MK_ADDR_CONST(0x200010)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_SCR                       SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_SCRREG                    GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_RANGE                     31:0
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DST_PTR_0_DST_PTR_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0                        MK_ADDR_CONST(0x200014)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_SCR                    SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_SCRREG                         GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_RESET_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_READ_MASK                      MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_WRITE_MASK                     MK_MASK_CONST(0xff00ff)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_SHIFT                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_RANGE                       23:16
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_MSB                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_LSB                 MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_DST_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_FIELD                       MK_FIELD_CONST(0xff, GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_SHIFT)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_RANGE                       7:0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_MSB                 MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0_HI_SRC_PTR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_MC_SEQ_0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0                    MK_ADDR_CONST(0x200018)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_SCR                        SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_SCRREG                     GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_RESET_VAL                  MK_MASK_CONST(0x3800000)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_SHIFT                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_FIELD                 MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_RANGE                 31:31
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_LSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_DISABLE                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_DATA_SWAP_ENABLE                        MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_SHIFT                   MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_FIELD                   MK_FIELD_CONST(0x3f, GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_RANGE                   30:25
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_MSB                     MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_LSB                     MK_SHIFT_CONST(25)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_WOFFSET                 0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_DEFAULT                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_DEFAULT_MASK                    MK_MASK_CONST(0x3f)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_REQ_CNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_SHIFT                     MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_FIELD                     MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_RANGE                     24:23
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_MSB                       MK_SHIFT_CONST(24)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_LSB                       MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_DEFAULT                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_DMA_BURST_2WORDS                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_BURST_DMA_BURST_16WORDS                 MK_ENUM_CONST(3)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT                        MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_RANGE                        22:20
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_MSB                  MK_SHIFT_CONST(22)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_LSB                  MK_SHIFT_CONST(20)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP1_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT                        MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_FIELD                        MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_RANGE                        19:17
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_MSB                  MK_SHIFT_CONST(19)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_LSB                  MK_SHIFT_CONST(17)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_NO_WRAP                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_0N_32WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_64WORDS                      MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_128WORDS                     MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_256WORDS                     MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_512WORDS                     MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_1024WORDS                    MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_ADDR_WRAP0_WRAP_ON_2048WORDS                    MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_RANGE                     16:16
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_MSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_AXIID_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_SHIFT                      MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_FIELD                      MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_RANGE                      15:14
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_MSB                        MK_SHIFT_CONST(15)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_LSB                        MK_SHIFT_CONST(14)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_MC_PROT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_SHIFT                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_RANGE                    13:7
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_MSB                      MK_SHIFT_CONST(13)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_LSB                      MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_SHIFT                    MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_FIELD                    MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_SHIFT)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_RANGE                    6:0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_MSB                      MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_LSB                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_DEFAULT_MASK                     MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MC_SEQ_0_STREAMID0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_MMIO_SEQ_0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0                  MK_ADDR_CONST(0x20001c)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_SECURE                   0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DUAL                     0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_SCR                      SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_SCRREG                   GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_WORD_COUNT                       0x1
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_RESET_VAL                        MK_MASK_CONST(0x2381007f)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_RESET_MASK                       MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_READ_MASK                        MK_MASK_CONST(0xff8701ff)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_WRITE_MASK                       MK_MASK_CONST(0xff870180)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_SHIFT                    MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_FIELD                    MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_SHIFT)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_RANGE                    31:31
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_MSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_LSB                      MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_WOFFSET                  0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_DISABLE                  MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_DBL_BUF_ENABLE                   MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT                     MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_SHIFT)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_RANGE                     30:28
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_MSB                       MK_SHIFT_CONST(30)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_LSB                       MK_SHIFT_CONST(28)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT                   MK_MASK_CONST(0x2)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_8                       MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_16                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BUS_WIDTH_BUS_WIDTH_32                      MK_ENUM_CONST(2)

#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT                     MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_FIELD                     MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_SHIFT)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_RANGE                     27:27
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_MSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_LSB                       MK_SHIFT_CONST(27)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_DISABLE                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_DATA_SWAP_ENABLE                    MK_ENUM_CONST(1)

#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_SHIFT                 MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_FIELD                 MK_FIELD_CONST(0xf, GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_SHIFT)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_RANGE                 26:23
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_MSB                   MK_SHIFT_CONST(26)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_LSB                   MK_SHIFT_CONST(23)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_DEFAULT                       MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_DEFAULT_MASK                  MK_MASK_CONST(0xf)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_1WORDS                      MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_2WORDS                      MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_4WORDS                      MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_8WORDS                      MK_ENUM_CONST(7)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_BURST_DMA_BURST_16WORDS                     MK_ENUM_CONST(15)

#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT                     MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_FIELD                     MK_FIELD_CONST(0x7, GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_SHIFT)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_RANGE                     18:16
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_MSB                       MK_SHIFT_CONST(18)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_LSB                       MK_SHIFT_CONST(16)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT                   MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_NO_WRAP                   MK_ENUM_CONST(0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_0N_1WORDS                    MK_ENUM_CONST(1)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_2WORDS                    MK_ENUM_CONST(2)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_4WORDS                    MK_ENUM_CONST(3)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_8WORDS                    MK_ENUM_CONST(4)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_16WORDS                   MK_ENUM_CONST(5)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_32WORDS                   MK_ENUM_CONST(6)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_ADDR_WRAP_WRAP_ON_64WORDS                   MK_ENUM_CONST(7)

#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_SHIFT                  MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_FIELD                  MK_FIELD_CONST(0x3, GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_SHIFT)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_RANGE                  8:7
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_MSB                    MK_SHIFT_CONST(8)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_LSB                    MK_SHIFT_CONST(7)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_WOFFSET                        0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_PROT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_FIELD                      MK_FIELD_CONST(0x7f, GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SHIFT)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_RANGE                      6:0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_MSB                        MK_SHIFT_CONST(6)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT                    MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_DEFAULT_MASK                       MK_MASK_CONST(0x7f)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_MMIO_SEQ_0_MMIO_CHANNEL_SECURITY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_WCOUNT_0
#define GPCDMA_CHANNEL_CH31_WCOUNT_0                    MK_ADDR_CONST(0x200020)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_SECURE                     0x0
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_DUAL                       0x0
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_SCR                        SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_SCRREG                     GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WORD_COUNT                         0x1
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_SHIFT                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_FIELD                       MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_SHIFT)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_RANGE                       31:0
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_MSB                 MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_LSB                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_WOFFSET                     0x0
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_DEFAULT                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_WCOUNT_0_WCOUNT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0                      MK_ADDR_CONST(0x200024)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_SCR                  SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_SCRREG                       GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT                 MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_FIELD                 MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_RANGE                 31:0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_MSB                   MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_LSB                   MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_WOFFSET                       0x0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0_TRANSFER_COUNT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0                      MK_ADDR_CONST(0x200028)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_SECURE                       0x0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DUAL                         0x0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_SCR                  SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_SCRREG                       GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_WORD_COUNT                   0x1
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_FIELD                      MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_SHIFT)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_RANGE                      31:0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_MSB                        MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_DEFAULT                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_DEFAULT_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0_DMA_COUNT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0x20002c

// Register GPCDMA_CHANNEL_CH31_ERR_STA_0
#define GPCDMA_CHANNEL_CH31_ERR_STA_0                   MK_ADDR_CONST(0x200030)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_SECURE                    0x0
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_DUAL                      0x0
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_SCR                       SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_SCRREG                    GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_WORD_COUNT                        0x1
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_SHIFT                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_FIELD                        MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_SHIFT)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_RANGE                        31:0
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_MSB                  MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_LSB                  MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_ERR_STA_0_ERROR_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_FIXED_PAT_0
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0                 MK_ADDR_CONST(0x200034)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_SECURE                  0x0
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_DUAL                    0x0
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_SCR                     SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_SCRREG                  GPCDMA_SCR_SCR_CH31_0
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_WORD_COUNT                      0x1
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_RESET_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_READ_MASK                       MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_WRITE_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_SHIFT                     MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_FIELD                     MK_FIELD_CONST(0xffffffff, GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_SHIFT)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_RANGE                     31:0
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_MSB                       MK_SHIFT_CONST(31)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_LSB                       MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_WOFFSET                   0x0
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_FIXED_PAT_0_FIXED_PATTERN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register GPCDMA_CHANNEL_CH31_TZ_0
#define GPCDMA_CHANNEL_CH31_TZ_0                        MK_ADDR_CONST(0x200038)
#define GPCDMA_CHANNEL_CH31_TZ_0_SECURE                         0x0
#define GPCDMA_CHANNEL_CH31_TZ_0_DUAL                   0x0
#define GPCDMA_CHANNEL_CH31_TZ_0_SCR                    SCR_TZ_0
#define GPCDMA_CHANNEL_CH31_TZ_0_SCRREG                         GPCDMA_SCR_SCR_TZ_0
#define GPCDMA_CHANNEL_CH31_TZ_0_WORD_COUNT                     0x1
#define GPCDMA_CHANNEL_CH31_TZ_0_RESET_VAL                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_TZ_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_TZ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_READ_MASK                      MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_TZ_0_WRITE_MASK                     MK_MASK_CONST(0x3)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_SHIFT                        MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_FIELD                        MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_RANGE                        1:1
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_MSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_LSB                  MK_SHIFT_CONST(1)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_WOFFSET                      0x0
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_DEFAULT                      MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MC_PROT_1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_SHIFT                      MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_FIELD                      MK_FIELD_CONST(0x1, GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_SHIFT)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_RANGE                      0:0
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_MSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_LSB                        MK_SHIFT_CONST(0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_WOFFSET                    0x0
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_DEFAULT                    MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define GPCDMA_CHANNEL_CH31_TZ_0_MMIO_PROT_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


//
// REGISTER LIST
//
#define LIST_ARGPCDMA_FLV_32CH_REGS(_op_) \
_op_(GPCDMA_COMMON_DMA_CHAN_STA_0) \
_op_(GPCDMA_COMMON_REQUESTORS_TX_0) \
_op_(GPCDMA_COMMON_REQUESTORS_RX_0) \
_op_(GPCDMA_COMMON_COMMON_ERROR_STA_0) \
_op_(GPCDMA_COMMON_CHANNEL_ERROR_STA_0) \
_op_(GPCDMA_COMMON_CHANNEL_TRIG_REG_0) \
_op_(GPCDMA_COMMON_MASKED_INTR_REG_0) \
_op_(GPCDMA_COMMON_CHANNEL_INTR_STA_0) \
_op_(GPCDMA_COMMON_COMMON_INTR_0) \
_op_(GPCDMA_COMMON_CHANNEL_REG_LOCK_0) \
_op_(GPCDMA_COMMON_CH0_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH1_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH2_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH3_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH4_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH5_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH6_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH7_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH8_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH9_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH10_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH11_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH12_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH13_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH14_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH15_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH16_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH17_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH18_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH19_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH20_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH21_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH22_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH23_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH24_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH25_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH26_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH27_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH28_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH29_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH30_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_CH31_PERI_ID_MASK_0) \
_op_(GPCDMA_COMMON_PER0_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER1_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER2_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER3_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER4_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER5_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER6_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER7_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER8_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER9_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER10_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER11_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER12_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER13_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER14_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER15_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER16_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER17_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER18_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER19_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER20_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER21_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER22_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER23_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER24_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER25_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER26_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER27_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER28_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER29_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER30_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_PER31_PERI_ADDR_0) \
_op_(GPCDMA_COMMON_CH0_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH1_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH2_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH3_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH4_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH5_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH6_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH7_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH8_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH9_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH10_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH11_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH12_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH13_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH14_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH15_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH16_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH17_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH18_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH19_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH20_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH21_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH22_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH23_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH24_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH25_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH26_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH27_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH28_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH29_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH30_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH31_STREAM_ID0_MASK_0) \
_op_(GPCDMA_COMMON_CH0_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH1_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH2_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH3_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH4_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH5_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH6_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH7_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH8_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH9_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH10_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH11_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH12_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH13_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH14_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH15_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH16_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH17_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH18_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH19_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH20_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH21_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH22_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH23_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH24_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH25_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH26_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH27_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH28_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH29_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH30_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH31_STREAM_ID1_MASK_0) \
_op_(GPCDMA_COMMON_CH0_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH1_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH2_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH3_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH4_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH5_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH6_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH7_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH8_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH9_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH10_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH11_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH12_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH13_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH14_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH15_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH16_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH17_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH18_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH19_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH20_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH21_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH22_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH23_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH24_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH25_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH26_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH27_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH28_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH29_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH30_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH31_STREAM_ID2_MASK_0) \
_op_(GPCDMA_COMMON_CH0_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH1_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH2_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH3_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH4_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH5_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH6_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH7_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH8_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH9_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH10_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH11_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH12_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH13_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH14_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH15_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH16_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH17_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH18_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH19_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH20_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH21_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH22_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH23_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH24_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH25_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH26_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH27_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH28_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH29_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH30_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_CH31_STREAM_ID3_MASK_0) \
_op_(GPCDMA_COMMON_DMA_CHAN_VIRTUALIZATION_ENABLE_0) \
_op_(GPCDMA_COMMON_DMA_ICG_EN_OVERRIDE_0) \
_op_(GPCDMA_COMMON_DMA_ACTIVE_0) \
_op_(GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0) \
_op_(GPCDMA_SCR_SCR_CH0_0) \
_op_(GPCDMA_SCR_SCR_CH1_0) \
_op_(GPCDMA_SCR_SCR_CH2_0) \
_op_(GPCDMA_SCR_SCR_CH3_0) \
_op_(GPCDMA_SCR_SCR_CH4_0) \
_op_(GPCDMA_SCR_SCR_CH5_0) \
_op_(GPCDMA_SCR_SCR_CH6_0) \
_op_(GPCDMA_SCR_SCR_CH7_0) \
_op_(GPCDMA_SCR_SCR_CH8_0) \
_op_(GPCDMA_SCR_SCR_CH9_0) \
_op_(GPCDMA_SCR_SCR_CH10_0) \
_op_(GPCDMA_SCR_SCR_CH11_0) \
_op_(GPCDMA_SCR_SCR_CH12_0) \
_op_(GPCDMA_SCR_SCR_CH13_0) \
_op_(GPCDMA_SCR_SCR_CH14_0) \
_op_(GPCDMA_SCR_SCR_CH15_0) \
_op_(GPCDMA_SCR_SCR_CH16_0) \
_op_(GPCDMA_SCR_SCR_CH17_0) \
_op_(GPCDMA_SCR_SCR_CH18_0) \
_op_(GPCDMA_SCR_SCR_CH19_0) \
_op_(GPCDMA_SCR_SCR_CH20_0) \
_op_(GPCDMA_SCR_SCR_CH21_0) \
_op_(GPCDMA_SCR_SCR_CH22_0) \
_op_(GPCDMA_SCR_SCR_CH23_0) \
_op_(GPCDMA_SCR_SCR_CH24_0) \
_op_(GPCDMA_SCR_SCR_CH25_0) \
_op_(GPCDMA_SCR_SCR_CH26_0) \
_op_(GPCDMA_SCR_SCR_CH27_0) \
_op_(GPCDMA_SCR_SCR_CH28_0) \
_op_(GPCDMA_SCR_SCR_CH29_0) \
_op_(GPCDMA_SCR_SCR_CH30_0) \
_op_(GPCDMA_SCR_SCR_CH31_0) \
_op_(GPCDMA_SCR_SCR_TZ_0) \
_op_(GPCDMA_SCR_SCR_DMA_RO_0) \
_op_(GPCDMA_SCR_SCR_HYPER_0) \
_op_(GPCDMA_SCR_SCR_SAFETY_0) \
_op_(GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0) \
_op_(GPCDMA_ERRCOLLATOR_FEATURE_0) \
_op_(GPCDMA_ERRCOLLATOR_SWRESET_0) \
_op_(GPCDMA_ERRCOLLATOR_MISSIONERR_TYPE_0) \
_op_(GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0) \
_op_(GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0) \
_op_(GPCDMA_ERRCOLLATOR_CORRECTABLE_THRESHOLD_0) \
_op_(GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(GPCDMA_CHANNEL_CH0_CSR_0) \
_op_(GPCDMA_CHANNEL_CH0_STA_0) \
_op_(GPCDMA_CHANNEL_CH0_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH0_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH0_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH0_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH0_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH0_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH0_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH0_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH0_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH0_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH0_TZ_0) \
_op_(GPCDMA_CHANNEL_CH1_CSR_0) \
_op_(GPCDMA_CHANNEL_CH1_STA_0) \
_op_(GPCDMA_CHANNEL_CH1_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH1_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH1_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH1_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH1_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH1_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH1_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH1_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH1_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH1_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH1_TZ_0) \
_op_(GPCDMA_CHANNEL_CH2_CSR_0) \
_op_(GPCDMA_CHANNEL_CH2_STA_0) \
_op_(GPCDMA_CHANNEL_CH2_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH2_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH2_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH2_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH2_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH2_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH2_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH2_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH2_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH2_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH2_TZ_0) \
_op_(GPCDMA_CHANNEL_CH3_CSR_0) \
_op_(GPCDMA_CHANNEL_CH3_STA_0) \
_op_(GPCDMA_CHANNEL_CH3_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH3_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH3_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH3_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH3_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH3_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH3_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH3_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH3_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH3_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH3_TZ_0) \
_op_(GPCDMA_CHANNEL_CH4_CSR_0) \
_op_(GPCDMA_CHANNEL_CH4_STA_0) \
_op_(GPCDMA_CHANNEL_CH4_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH4_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH4_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH4_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH4_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH4_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH4_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH4_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH4_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH4_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH4_TZ_0) \
_op_(GPCDMA_CHANNEL_CH5_CSR_0) \
_op_(GPCDMA_CHANNEL_CH5_STA_0) \
_op_(GPCDMA_CHANNEL_CH5_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH5_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH5_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH5_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH5_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH5_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH5_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH5_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH5_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH5_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH5_TZ_0) \
_op_(GPCDMA_CHANNEL_CH6_CSR_0) \
_op_(GPCDMA_CHANNEL_CH6_STA_0) \
_op_(GPCDMA_CHANNEL_CH6_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH6_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH6_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH6_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH6_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH6_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH6_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH6_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH6_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH6_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH6_TZ_0) \
_op_(GPCDMA_CHANNEL_CH7_CSR_0) \
_op_(GPCDMA_CHANNEL_CH7_STA_0) \
_op_(GPCDMA_CHANNEL_CH7_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH7_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH7_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH7_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH7_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH7_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH7_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH7_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH7_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH7_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH7_TZ_0) \
_op_(GPCDMA_CHANNEL_CH8_CSR_0) \
_op_(GPCDMA_CHANNEL_CH8_STA_0) \
_op_(GPCDMA_CHANNEL_CH8_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH8_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH8_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH8_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH8_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH8_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH8_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH8_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH8_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH8_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH8_TZ_0) \
_op_(GPCDMA_CHANNEL_CH9_CSR_0) \
_op_(GPCDMA_CHANNEL_CH9_STA_0) \
_op_(GPCDMA_CHANNEL_CH9_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH9_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH9_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH9_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH9_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH9_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH9_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH9_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH9_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH9_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH9_TZ_0) \
_op_(GPCDMA_CHANNEL_CH10_CSR_0) \
_op_(GPCDMA_CHANNEL_CH10_STA_0) \
_op_(GPCDMA_CHANNEL_CH10_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH10_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH10_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH10_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH10_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH10_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH10_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH10_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH10_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH10_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH10_TZ_0) \
_op_(GPCDMA_CHANNEL_CH11_CSR_0) \
_op_(GPCDMA_CHANNEL_CH11_STA_0) \
_op_(GPCDMA_CHANNEL_CH11_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH11_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH11_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH11_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH11_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH11_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH11_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH11_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH11_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH11_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH11_TZ_0) \
_op_(GPCDMA_CHANNEL_CH12_CSR_0) \
_op_(GPCDMA_CHANNEL_CH12_STA_0) \
_op_(GPCDMA_CHANNEL_CH12_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH12_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH12_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH12_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH12_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH12_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH12_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH12_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH12_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH12_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH12_TZ_0) \
_op_(GPCDMA_CHANNEL_CH13_CSR_0) \
_op_(GPCDMA_CHANNEL_CH13_STA_0) \
_op_(GPCDMA_CHANNEL_CH13_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH13_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH13_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH13_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH13_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH13_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH13_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH13_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH13_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH13_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH13_TZ_0) \
_op_(GPCDMA_CHANNEL_CH14_CSR_0) \
_op_(GPCDMA_CHANNEL_CH14_STA_0) \
_op_(GPCDMA_CHANNEL_CH14_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH14_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH14_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH14_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH14_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH14_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH14_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH14_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH14_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH14_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH14_TZ_0) \
_op_(GPCDMA_CHANNEL_CH15_CSR_0) \
_op_(GPCDMA_CHANNEL_CH15_STA_0) \
_op_(GPCDMA_CHANNEL_CH15_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH15_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH15_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH15_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH15_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH15_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH15_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH15_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH15_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH15_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH15_TZ_0) \
_op_(GPCDMA_CHANNEL_CH16_CSR_0) \
_op_(GPCDMA_CHANNEL_CH16_STA_0) \
_op_(GPCDMA_CHANNEL_CH16_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH16_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH16_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH16_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH16_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH16_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH16_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH16_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH16_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH16_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH16_TZ_0) \
_op_(GPCDMA_CHANNEL_CH17_CSR_0) \
_op_(GPCDMA_CHANNEL_CH17_STA_0) \
_op_(GPCDMA_CHANNEL_CH17_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH17_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH17_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH17_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH17_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH17_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH17_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH17_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH17_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH17_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH17_TZ_0) \
_op_(GPCDMA_CHANNEL_CH18_CSR_0) \
_op_(GPCDMA_CHANNEL_CH18_STA_0) \
_op_(GPCDMA_CHANNEL_CH18_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH18_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH18_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH18_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH18_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH18_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH18_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH18_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH18_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH18_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH18_TZ_0) \
_op_(GPCDMA_CHANNEL_CH19_CSR_0) \
_op_(GPCDMA_CHANNEL_CH19_STA_0) \
_op_(GPCDMA_CHANNEL_CH19_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH19_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH19_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH19_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH19_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH19_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH19_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH19_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH19_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH19_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH19_TZ_0) \
_op_(GPCDMA_CHANNEL_CH20_CSR_0) \
_op_(GPCDMA_CHANNEL_CH20_STA_0) \
_op_(GPCDMA_CHANNEL_CH20_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH20_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH20_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH20_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH20_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH20_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH20_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH20_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH20_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH20_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH20_TZ_0) \
_op_(GPCDMA_CHANNEL_CH21_CSR_0) \
_op_(GPCDMA_CHANNEL_CH21_STA_0) \
_op_(GPCDMA_CHANNEL_CH21_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH21_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH21_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH21_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH21_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH21_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH21_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH21_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH21_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH21_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH21_TZ_0) \
_op_(GPCDMA_CHANNEL_CH22_CSR_0) \
_op_(GPCDMA_CHANNEL_CH22_STA_0) \
_op_(GPCDMA_CHANNEL_CH22_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH22_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH22_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH22_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH22_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH22_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH22_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH22_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH22_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH22_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH22_TZ_0) \
_op_(GPCDMA_CHANNEL_CH23_CSR_0) \
_op_(GPCDMA_CHANNEL_CH23_STA_0) \
_op_(GPCDMA_CHANNEL_CH23_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH23_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH23_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH23_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH23_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH23_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH23_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH23_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH23_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH23_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH23_TZ_0) \
_op_(GPCDMA_CHANNEL_CH24_CSR_0) \
_op_(GPCDMA_CHANNEL_CH24_STA_0) \
_op_(GPCDMA_CHANNEL_CH24_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH24_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH24_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH24_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH24_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH24_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH24_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH24_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH24_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH24_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH24_TZ_0) \
_op_(GPCDMA_CHANNEL_CH25_CSR_0) \
_op_(GPCDMA_CHANNEL_CH25_STA_0) \
_op_(GPCDMA_CHANNEL_CH25_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH25_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH25_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH25_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH25_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH25_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH25_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH25_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH25_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH25_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH25_TZ_0) \
_op_(GPCDMA_CHANNEL_CH26_CSR_0) \
_op_(GPCDMA_CHANNEL_CH26_STA_0) \
_op_(GPCDMA_CHANNEL_CH26_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH26_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH26_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH26_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH26_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH26_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH26_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH26_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH26_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH26_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH26_TZ_0) \
_op_(GPCDMA_CHANNEL_CH27_CSR_0) \
_op_(GPCDMA_CHANNEL_CH27_STA_0) \
_op_(GPCDMA_CHANNEL_CH27_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH27_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH27_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH27_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH27_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH27_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH27_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH27_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH27_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH27_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH27_TZ_0) \
_op_(GPCDMA_CHANNEL_CH28_CSR_0) \
_op_(GPCDMA_CHANNEL_CH28_STA_0) \
_op_(GPCDMA_CHANNEL_CH28_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH28_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH28_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH28_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH28_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH28_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH28_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH28_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH28_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH28_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH28_TZ_0) \
_op_(GPCDMA_CHANNEL_CH29_CSR_0) \
_op_(GPCDMA_CHANNEL_CH29_STA_0) \
_op_(GPCDMA_CHANNEL_CH29_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH29_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH29_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH29_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH29_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH29_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH29_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH29_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH29_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH29_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH29_TZ_0) \
_op_(GPCDMA_CHANNEL_CH30_CSR_0) \
_op_(GPCDMA_CHANNEL_CH30_STA_0) \
_op_(GPCDMA_CHANNEL_CH30_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH30_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH30_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH30_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH30_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH30_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH30_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH30_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH30_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH30_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH30_TZ_0) \
_op_(GPCDMA_CHANNEL_CH31_CSR_0) \
_op_(GPCDMA_CHANNEL_CH31_STA_0) \
_op_(GPCDMA_CHANNEL_CH31_CSRE_0) \
_op_(GPCDMA_CHANNEL_CH31_SRC_PTR_0) \
_op_(GPCDMA_CHANNEL_CH31_DST_PTR_0) \
_op_(GPCDMA_CHANNEL_CH31_HI_ADR_PTR_0) \
_op_(GPCDMA_CHANNEL_CH31_MC_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH31_MMIO_SEQ_0) \
_op_(GPCDMA_CHANNEL_CH31_WCOUNT_0) \
_op_(GPCDMA_CHANNEL_CH31_DMA_WORD_TRA_0) \
_op_(GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0) \
_op_(GPCDMA_CHANNEL_CH31_ERR_STA_0) \
_op_(GPCDMA_CHANNEL_CH31_FIXED_PAT_0) \
_op_(GPCDMA_CHANNEL_CH31_TZ_0) \


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_GPCDMA_COMMON      0x00000000
#define BASE_ADDRESS_GPCDMA_SCR 0x00000f00
#define BASE_ADDRESS_GPCDMA_ERRCOLLATOR_SCR     0x0000f000
#define BASE_ADDRESS_GPCDMA_ERRCOLLATOR 0x0000ff00
#define BASE_ADDRESS_GPCDMA_CHANNEL     0x00010000

//
// ARGPCDMA_FLV_32CH REGISTER BANKS
//

#define GPCDMA_COMMON0_FIRST_REG 0x0000 // GPCDMA_COMMON_DMA_CHAN_STA_0
#define GPCDMA_COMMON0_LAST_REG 0x0010 // GPCDMA_COMMON_CHANNEL_ERROR_STA_0
#define GPCDMA_COMMON1_FIRST_REG 0x0018 // GPCDMA_COMMON_CHANNEL_TRIG_REG_0
#define GPCDMA_COMMON1_LAST_REG 0x0028 // GPCDMA_COMMON_CHANNEL_REG_LOCK_0
#define GPCDMA_COMMON2_FIRST_REG 0x0080 // GPCDMA_COMMON_CH0_PERI_ID_MASK_0
#define GPCDMA_COMMON2_LAST_REG 0x0390 // GPCDMA_COMMON_SAFETY_LOGIC_CLK_DISABLE_0
#define GPCDMA_SCR0_FIRST_REG 0x0f00 // GPCDMA_SCR_SCR_CH0_0
#define GPCDMA_SCR0_LAST_REG 0x0f8c // GPCDMA_SCR_SCR_SAFETY_0
#define GPCDMA_ERRCOLLATOR_SCR0_FIRST_REG 0xf000 // GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR_SCR0_LAST_REG 0xf000 // GPCDMA_ERRCOLLATOR_SCR_EC_SCR_0
#define GPCDMA_ERRCOLLATOR0_FIRST_REG 0xff00 // GPCDMA_ERRCOLLATOR_FEATURE_0
#define GPCDMA_ERRCOLLATOR0_LAST_REG 0xff0c // GPCDMA_ERRCOLLATOR_CURRENT_COUNTER_VALUE_0
#define GPCDMA_ERRCOLLATOR1_FIRST_REG 0xff14 // GPCDMA_ERRCOLLATOR_MISSIONERR_INDEX_0
#define GPCDMA_ERRCOLLATOR1_LAST_REG 0xff1c // GPCDMA_ERRCOLLATOR_MISSIONERR_INJECT_UNLOCK_0
#define GPCDMA_ERRCOLLATOR2_FIRST_REG 0xff30 // GPCDMA_ERRCOLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0
#define GPCDMA_ERRCOLLATOR2_LAST_REG 0xff48 // GPCDMA_ERRCOLLATOR_ERRSLICE0_LATENTERR_STATUS_0
#define GPCDMA_ERRCOLLATOR3_FIRST_REG 0xff50 // GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define GPCDMA_ERRCOLLATOR3_LAST_REG 0xff50 // GPCDMA_ERRCOLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define GPCDMA_CHANNEL0_FIRST_REG 0x10000 // GPCDMA_CHANNEL_CH0_CSR_0
#define GPCDMA_CHANNEL0_LAST_REG 0x10028 // GPCDMA_CHANNEL_CH0_DMA_WORD_STA_0
#define GPCDMA_CHANNEL1_FIRST_REG 0x10030 // GPCDMA_CHANNEL_CH0_ERR_STA_0
#define GPCDMA_CHANNEL1_LAST_REG 0x10040 // GPCDMA_CHANNEL_CH0_SPARE_0
#define GPCDMA_CHANNEL2_FIRST_REG 0x20000 // GPCDMA_CHANNEL_CH1_CSR_0
#define GPCDMA_CHANNEL2_LAST_REG 0x20028 // GPCDMA_CHANNEL_CH1_DMA_WORD_STA_0
#define GPCDMA_CHANNEL3_FIRST_REG 0x20030 // GPCDMA_CHANNEL_CH1_ERR_STA_0
#define GPCDMA_CHANNEL3_LAST_REG 0x20040 // GPCDMA_CHANNEL_CH1_SPARE_0
#define GPCDMA_CHANNEL4_FIRST_REG 0x30000 // GPCDMA_CHANNEL_CH2_CSR_0
#define GPCDMA_CHANNEL4_LAST_REG 0x30028 // GPCDMA_CHANNEL_CH2_DMA_WORD_STA_0
#define GPCDMA_CHANNEL5_FIRST_REG 0x30030 // GPCDMA_CHANNEL_CH2_ERR_STA_0
#define GPCDMA_CHANNEL5_LAST_REG 0x30040 // GPCDMA_CHANNEL_CH2_SPARE_0
#define GPCDMA_CHANNEL6_FIRST_REG 0x40000 // GPCDMA_CHANNEL_CH3_CSR_0
#define GPCDMA_CHANNEL6_LAST_REG 0x40028 // GPCDMA_CHANNEL_CH3_DMA_WORD_STA_0
#define GPCDMA_CHANNEL7_FIRST_REG 0x40030 // GPCDMA_CHANNEL_CH3_ERR_STA_0
#define GPCDMA_CHANNEL7_LAST_REG 0x40040 // GPCDMA_CHANNEL_CH3_SPARE_0
#define GPCDMA_CHANNEL8_FIRST_REG 0x50000 // GPCDMA_CHANNEL_CH4_CSR_0
#define GPCDMA_CHANNEL8_LAST_REG 0x50028 // GPCDMA_CHANNEL_CH4_DMA_WORD_STA_0
#define GPCDMA_CHANNEL9_FIRST_REG 0x50030 // GPCDMA_CHANNEL_CH4_ERR_STA_0
#define GPCDMA_CHANNEL9_LAST_REG 0x50040 // GPCDMA_CHANNEL_CH4_SPARE_0
#define GPCDMA_CHANNEL10_FIRST_REG 0x60000 // GPCDMA_CHANNEL_CH5_CSR_0
#define GPCDMA_CHANNEL10_LAST_REG 0x60028 // GPCDMA_CHANNEL_CH5_DMA_WORD_STA_0
#define GPCDMA_CHANNEL11_FIRST_REG 0x60030 // GPCDMA_CHANNEL_CH5_ERR_STA_0
#define GPCDMA_CHANNEL11_LAST_REG 0x60040 // GPCDMA_CHANNEL_CH5_SPARE_0
#define GPCDMA_CHANNEL12_FIRST_REG 0x70000 // GPCDMA_CHANNEL_CH6_CSR_0
#define GPCDMA_CHANNEL12_LAST_REG 0x70028 // GPCDMA_CHANNEL_CH6_DMA_WORD_STA_0
#define GPCDMA_CHANNEL13_FIRST_REG 0x70030 // GPCDMA_CHANNEL_CH6_ERR_STA_0
#define GPCDMA_CHANNEL13_LAST_REG 0x70040 // GPCDMA_CHANNEL_CH6_SPARE_0
#define GPCDMA_CHANNEL14_FIRST_REG 0x80000 // GPCDMA_CHANNEL_CH7_CSR_0
#define GPCDMA_CHANNEL14_LAST_REG 0x80028 // GPCDMA_CHANNEL_CH7_DMA_WORD_STA_0
#define GPCDMA_CHANNEL15_FIRST_REG 0x80030 // GPCDMA_CHANNEL_CH7_ERR_STA_0
#define GPCDMA_CHANNEL15_LAST_REG 0x80040 // GPCDMA_CHANNEL_CH7_SPARE_0
#define GPCDMA_CHANNEL16_FIRST_REG 0x90000 // GPCDMA_CHANNEL_CH8_CSR_0
#define GPCDMA_CHANNEL16_LAST_REG 0x90028 // GPCDMA_CHANNEL_CH8_DMA_WORD_STA_0
#define GPCDMA_CHANNEL17_FIRST_REG 0x90030 // GPCDMA_CHANNEL_CH8_ERR_STA_0
#define GPCDMA_CHANNEL17_LAST_REG 0x90040 // GPCDMA_CHANNEL_CH8_SPARE_0
#define GPCDMA_CHANNEL18_FIRST_REG 0xa0000 // GPCDMA_CHANNEL_CH9_CSR_0
#define GPCDMA_CHANNEL18_LAST_REG 0xa0028 // GPCDMA_CHANNEL_CH9_DMA_WORD_STA_0
#define GPCDMA_CHANNEL19_FIRST_REG 0xa0030 // GPCDMA_CHANNEL_CH9_ERR_STA_0
#define GPCDMA_CHANNEL19_LAST_REG 0xa0040 // GPCDMA_CHANNEL_CH9_SPARE_0
#define GPCDMA_CHANNEL20_FIRST_REG 0xb0000 // GPCDMA_CHANNEL_CH10_CSR_0
#define GPCDMA_CHANNEL20_LAST_REG 0xb0028 // GPCDMA_CHANNEL_CH10_DMA_WORD_STA_0
#define GPCDMA_CHANNEL21_FIRST_REG 0xb0030 // GPCDMA_CHANNEL_CH10_ERR_STA_0
#define GPCDMA_CHANNEL21_LAST_REG 0xb0040 // GPCDMA_CHANNEL_CH10_SPARE_0
#define GPCDMA_CHANNEL22_FIRST_REG 0xc0000 // GPCDMA_CHANNEL_CH11_CSR_0
#define GPCDMA_CHANNEL22_LAST_REG 0xc0028 // GPCDMA_CHANNEL_CH11_DMA_WORD_STA_0
#define GPCDMA_CHANNEL23_FIRST_REG 0xc0030 // GPCDMA_CHANNEL_CH11_ERR_STA_0
#define GPCDMA_CHANNEL23_LAST_REG 0xc0040 // GPCDMA_CHANNEL_CH11_SPARE_0
#define GPCDMA_CHANNEL24_FIRST_REG 0xd0000 // GPCDMA_CHANNEL_CH12_CSR_0
#define GPCDMA_CHANNEL24_LAST_REG 0xd0028 // GPCDMA_CHANNEL_CH12_DMA_WORD_STA_0
#define GPCDMA_CHANNEL25_FIRST_REG 0xd0030 // GPCDMA_CHANNEL_CH12_ERR_STA_0
#define GPCDMA_CHANNEL25_LAST_REG 0xd0040 // GPCDMA_CHANNEL_CH12_SPARE_0
#define GPCDMA_CHANNEL26_FIRST_REG 0xe0000 // GPCDMA_CHANNEL_CH13_CSR_0
#define GPCDMA_CHANNEL26_LAST_REG 0xe0028 // GPCDMA_CHANNEL_CH13_DMA_WORD_STA_0
#define GPCDMA_CHANNEL27_FIRST_REG 0xe0030 // GPCDMA_CHANNEL_CH13_ERR_STA_0
#define GPCDMA_CHANNEL27_LAST_REG 0xe0040 // GPCDMA_CHANNEL_CH13_SPARE_0
#define GPCDMA_CHANNEL28_FIRST_REG 0xf0000 // GPCDMA_CHANNEL_CH14_CSR_0
#define GPCDMA_CHANNEL28_LAST_REG 0xf0028 // GPCDMA_CHANNEL_CH14_DMA_WORD_STA_0
#define GPCDMA_CHANNEL29_FIRST_REG 0xf0030 // GPCDMA_CHANNEL_CH14_ERR_STA_0
#define GPCDMA_CHANNEL29_LAST_REG 0xf0040 // GPCDMA_CHANNEL_CH14_SPARE_0
#define GPCDMA_CHANNEL30_FIRST_REG 0x100000 // GPCDMA_CHANNEL_CH15_CSR_0
#define GPCDMA_CHANNEL30_LAST_REG 0x100028 // GPCDMA_CHANNEL_CH15_DMA_WORD_STA_0
#define GPCDMA_CHANNEL31_FIRST_REG 0x100030 // GPCDMA_CHANNEL_CH15_ERR_STA_0
#define GPCDMA_CHANNEL31_LAST_REG 0x100040 // GPCDMA_CHANNEL_CH15_SPARE_0
#define GPCDMA_CHANNEL32_FIRST_REG 0x110000 // GPCDMA_CHANNEL_CH16_CSR_0
#define GPCDMA_CHANNEL32_LAST_REG 0x110028 // GPCDMA_CHANNEL_CH16_DMA_WORD_STA_0
#define GPCDMA_CHANNEL33_FIRST_REG 0x110030 // GPCDMA_CHANNEL_CH16_ERR_STA_0
#define GPCDMA_CHANNEL33_LAST_REG 0x110040 // GPCDMA_CHANNEL_CH16_SPARE_0
#define GPCDMA_CHANNEL34_FIRST_REG 0x120000 // GPCDMA_CHANNEL_CH17_CSR_0
#define GPCDMA_CHANNEL34_LAST_REG 0x120028 // GPCDMA_CHANNEL_CH17_DMA_WORD_STA_0
#define GPCDMA_CHANNEL35_FIRST_REG 0x120030 // GPCDMA_CHANNEL_CH17_ERR_STA_0
#define GPCDMA_CHANNEL35_LAST_REG 0x120040 // GPCDMA_CHANNEL_CH17_SPARE_0
#define GPCDMA_CHANNEL36_FIRST_REG 0x130000 // GPCDMA_CHANNEL_CH18_CSR_0
#define GPCDMA_CHANNEL36_LAST_REG 0x130028 // GPCDMA_CHANNEL_CH18_DMA_WORD_STA_0
#define GPCDMA_CHANNEL37_FIRST_REG 0x130030 // GPCDMA_CHANNEL_CH18_ERR_STA_0
#define GPCDMA_CHANNEL37_LAST_REG 0x130040 // GPCDMA_CHANNEL_CH18_SPARE_0
#define GPCDMA_CHANNEL38_FIRST_REG 0x140000 // GPCDMA_CHANNEL_CH19_CSR_0
#define GPCDMA_CHANNEL38_LAST_REG 0x140028 // GPCDMA_CHANNEL_CH19_DMA_WORD_STA_0
#define GPCDMA_CHANNEL39_FIRST_REG 0x140030 // GPCDMA_CHANNEL_CH19_ERR_STA_0
#define GPCDMA_CHANNEL39_LAST_REG 0x140040 // GPCDMA_CHANNEL_CH19_SPARE_0
#define GPCDMA_CHANNEL40_FIRST_REG 0x150000 // GPCDMA_CHANNEL_CH20_CSR_0
#define GPCDMA_CHANNEL40_LAST_REG 0x150028 // GPCDMA_CHANNEL_CH20_DMA_WORD_STA_0
#define GPCDMA_CHANNEL41_FIRST_REG 0x150030 // GPCDMA_CHANNEL_CH20_ERR_STA_0
#define GPCDMA_CHANNEL41_LAST_REG 0x150040 // GPCDMA_CHANNEL_CH20_SPARE_0
#define GPCDMA_CHANNEL42_FIRST_REG 0x160000 // GPCDMA_CHANNEL_CH21_CSR_0
#define GPCDMA_CHANNEL42_LAST_REG 0x160028 // GPCDMA_CHANNEL_CH21_DMA_WORD_STA_0
#define GPCDMA_CHANNEL43_FIRST_REG 0x160030 // GPCDMA_CHANNEL_CH21_ERR_STA_0
#define GPCDMA_CHANNEL43_LAST_REG 0x160040 // GPCDMA_CHANNEL_CH21_SPARE_0
#define GPCDMA_CHANNEL44_FIRST_REG 0x170000 // GPCDMA_CHANNEL_CH22_CSR_0
#define GPCDMA_CHANNEL44_LAST_REG 0x170028 // GPCDMA_CHANNEL_CH22_DMA_WORD_STA_0
#define GPCDMA_CHANNEL45_FIRST_REG 0x170030 // GPCDMA_CHANNEL_CH22_ERR_STA_0
#define GPCDMA_CHANNEL45_LAST_REG 0x170040 // GPCDMA_CHANNEL_CH22_SPARE_0
#define GPCDMA_CHANNEL46_FIRST_REG 0x180000 // GPCDMA_CHANNEL_CH23_CSR_0
#define GPCDMA_CHANNEL46_LAST_REG 0x180028 // GPCDMA_CHANNEL_CH23_DMA_WORD_STA_0
#define GPCDMA_CHANNEL47_FIRST_REG 0x180030 // GPCDMA_CHANNEL_CH23_ERR_STA_0
#define GPCDMA_CHANNEL47_LAST_REG 0x180040 // GPCDMA_CHANNEL_CH23_SPARE_0
#define GPCDMA_CHANNEL48_FIRST_REG 0x190000 // GPCDMA_CHANNEL_CH24_CSR_0
#define GPCDMA_CHANNEL48_LAST_REG 0x190028 // GPCDMA_CHANNEL_CH24_DMA_WORD_STA_0
#define GPCDMA_CHANNEL49_FIRST_REG 0x190030 // GPCDMA_CHANNEL_CH24_ERR_STA_0
#define GPCDMA_CHANNEL49_LAST_REG 0x190040 // GPCDMA_CHANNEL_CH24_SPARE_0
#define GPCDMA_CHANNEL50_FIRST_REG 0x1a0000 // GPCDMA_CHANNEL_CH25_CSR_0
#define GPCDMA_CHANNEL50_LAST_REG 0x1a0028 // GPCDMA_CHANNEL_CH25_DMA_WORD_STA_0
#define GPCDMA_CHANNEL51_FIRST_REG 0x1a0030 // GPCDMA_CHANNEL_CH25_ERR_STA_0
#define GPCDMA_CHANNEL51_LAST_REG 0x1a0040 // GPCDMA_CHANNEL_CH25_SPARE_0
#define GPCDMA_CHANNEL52_FIRST_REG 0x1b0000 // GPCDMA_CHANNEL_CH26_CSR_0
#define GPCDMA_CHANNEL52_LAST_REG 0x1b0028 // GPCDMA_CHANNEL_CH26_DMA_WORD_STA_0
#define GPCDMA_CHANNEL53_FIRST_REG 0x1b0030 // GPCDMA_CHANNEL_CH26_ERR_STA_0
#define GPCDMA_CHANNEL53_LAST_REG 0x1b0040 // GPCDMA_CHANNEL_CH26_SPARE_0
#define GPCDMA_CHANNEL54_FIRST_REG 0x1c0000 // GPCDMA_CHANNEL_CH27_CSR_0
#define GPCDMA_CHANNEL54_LAST_REG 0x1c0028 // GPCDMA_CHANNEL_CH27_DMA_WORD_STA_0
#define GPCDMA_CHANNEL55_FIRST_REG 0x1c0030 // GPCDMA_CHANNEL_CH27_ERR_STA_0
#define GPCDMA_CHANNEL55_LAST_REG 0x1c0040 // GPCDMA_CHANNEL_CH27_SPARE_0
#define GPCDMA_CHANNEL56_FIRST_REG 0x1d0000 // GPCDMA_CHANNEL_CH28_CSR_0
#define GPCDMA_CHANNEL56_LAST_REG 0x1d0028 // GPCDMA_CHANNEL_CH28_DMA_WORD_STA_0
#define GPCDMA_CHANNEL57_FIRST_REG 0x1d0030 // GPCDMA_CHANNEL_CH28_ERR_STA_0
#define GPCDMA_CHANNEL57_LAST_REG 0x1d0040 // GPCDMA_CHANNEL_CH28_SPARE_0
#define GPCDMA_CHANNEL58_FIRST_REG 0x1e0000 // GPCDMA_CHANNEL_CH29_CSR_0
#define GPCDMA_CHANNEL58_LAST_REG 0x1e0028 // GPCDMA_CHANNEL_CH29_DMA_WORD_STA_0
#define GPCDMA_CHANNEL59_FIRST_REG 0x1e0030 // GPCDMA_CHANNEL_CH29_ERR_STA_0
#define GPCDMA_CHANNEL59_LAST_REG 0x1e0040 // GPCDMA_CHANNEL_CH29_SPARE_0
#define GPCDMA_CHANNEL60_FIRST_REG 0x1f0000 // GPCDMA_CHANNEL_CH30_CSR_0
#define GPCDMA_CHANNEL60_LAST_REG 0x1f0028 // GPCDMA_CHANNEL_CH30_DMA_WORD_STA_0
#define GPCDMA_CHANNEL61_FIRST_REG 0x1f0030 // GPCDMA_CHANNEL_CH30_ERR_STA_0
#define GPCDMA_CHANNEL61_LAST_REG 0x1f0040 // GPCDMA_CHANNEL_CH30_SPARE_0
#define GPCDMA_CHANNEL62_FIRST_REG 0x200000 // GPCDMA_CHANNEL_CH31_CSR_0
#define GPCDMA_CHANNEL62_LAST_REG 0x200028 // GPCDMA_CHANNEL_CH31_DMA_WORD_STA_0
#define GPCDMA_CHANNEL63_FIRST_REG 0x200030 // GPCDMA_CHANNEL_CH31_ERR_STA_0
#define GPCDMA_CHANNEL63_LAST_REG 0x200040 // GPCDMA_CHANNEL_CH31_SPARE_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef MK_SHIFT_CONST
  #define MK_SHIFT_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST
  #define MK_MASK_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ENUM_CONST
  #define MK_ENUM_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ADDR_CONST
  #define MK_ADDR_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST
  #define MK_FIELD_CONST(_mask_, _shift_) (MK_MASK_CONST(_mask_) <<  _shift_)
#endif
#ifndef MK_SHIFT_CONST_64
  #define MK_SHIFT_CONST_64(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST_64
  #define MK_MASK_CONST_64(_constant_) (_constant_ ## UL)
#endif
#ifndef MK_ENUM_CONST_64
  #define MK_ENUM_CONST_64(_constant_) (_constant_ ## UL)
#endif
#ifndef MK_ADDR_CONST_64
  #define MK_ADDR_CONST_64(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST_64
  #define MK_FIELD_CONST_64(_mask_, _shift_) (MK_MASK_CONST_64(_mask_) <<  _shift_)
#endif

#endif // ifndef ARGPCDMA_FLV_32CH_H_INC
