//
// Copyright (c) 2021 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ARHSP_SHRD_MBOX_H_INC
#define ARHSP_SHRD_MBOX_H_INC
#define NV_MOBILE_ARHSP_SHRD_MBOX_H_UNIT_OF_OFFSET 1B

#define NV_MOBILE_ARHSP_SHRD_MBOX_H_SCRREG_NOMENCLATURE INFERRED


// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0                        MK_ADDR_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_SCR                    SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x4)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x8)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x40)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x44

// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x48)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x4c)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x50)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x54)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_0_REG_0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0                        MK_ADDR_CONST(0x8000)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_SCR                    SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x8004)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x8008)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x8040)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x8044

// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x8048)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x804c)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x8050)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x8054)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_1_REG_0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0                        MK_ADDR_CONST(0x10000)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_SCR                    SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x10004)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x10008)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x10040)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x10044

// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x10048)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x1004c)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x10050)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x10054)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_2_REG_0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0                        MK_ADDR_CONST(0x18000)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_SCR                    SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x18004)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x18008)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x18040)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x18044

// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x18048)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x1804c)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x18050)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x18054)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_3_REG_0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0                        MK_ADDR_CONST(0x20000)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_SCR                    SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x20004)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x20008)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x20040)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x20044

// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x20048)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x2004c)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x20050)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x20054)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_4_REG_0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0                        MK_ADDR_CONST(0x28000)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_SCR                    SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x28004)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x28008)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x28040)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x28044

// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x28048)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x2804c)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x28050)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x28054)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_5_REG_0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0                        MK_ADDR_CONST(0x30000)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_SCR                    SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x30004)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x30008)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x30040)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x30044

// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x30048)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x3004c)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x30050)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x30054)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_6_REG_0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0                        MK_ADDR_CONST(0x38000)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_SECURE                         0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DUAL                   0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_SCR                    SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_SCRREG                         HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_WORD_COUNT                     0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_SHIFT                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_RANGE                      31:31
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_MSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_LSB                        MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_TAG_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_SHIFT                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_FIELD                     MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_RANGE                     30:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_MSB                       MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_LSB                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_WOFFSET                   0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0                    MK_ADDR_CONST(0x38004)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_SCR                        SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_READ_MASK                  MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT                       MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_FIELD                       MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_RANGE                       0:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_MSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_LSB                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_WOFFSET                     0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0                   MK_ADDR_CONST(0x38008)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_SECURE                    0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_DUAL                      0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_SCR                       SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_SCRREG                    HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_WORD_COUNT                        0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_READ_MASK                         MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT                      MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_FIELD                      MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_RANGE                      0:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_MSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_LSB                        MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_WOFFSET                    0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT                    MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0_ENABLE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0                      MK_ADDR_CONST(0x38040)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_SECURE                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_DUAL                         0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_SCR                  SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_SCRREG                       HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_WORD_COUNT                   0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT                    MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_FIELD                    MK_FIELD_CONST(0x1, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_RANGE                    31:31
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_MSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_LSB                      MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_WOFFSET                  0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_TAG_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_FIELD                   MK_FIELD_CONST(0x7fffffff, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_RANGE                   30:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_MSB                     MK_SHIFT_CONST(30)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_LSB                     MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_WOFFSET                 0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_DEFAULT_MASK                    MK_MASK_CONST(0x7fffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0_RSVD_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x38044

// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0                    MK_ADDR_CONST(0x38048)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_SCR                        SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0                    MK_ADDR_CONST(0x3804c)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_SCR                        SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0                    MK_ADDR_CONST(0x38050)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_SCR                        SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0                    MK_ADDR_CONST(0x38054)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_SECURE                     0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DUAL                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_SCR                        SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_SCRREG                     HSP_SHRD_MBOX_SCR_SM_7_REG_0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_WORD_COUNT                         0x1
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT                 MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_FIELD                 MK_FIELD_CONST(0xffffffff, HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_SHIFT)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_RANGE                 31:0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_MSB                   MK_SHIFT_CONST(31)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_LSB                   MK_SHIFT_CONST(0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_WOFFSET                       0x0
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0_DATA_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


//
// REGISTER LIST
//
#define LIST_ARHSP_SHRD_MBOX_REGS(_op_) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_FULL_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA1_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA2_0) \
_op_(HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_HSP_SHRD_MBOX      0x00000000

//
// ARHSP_SHRD_MBOX REGISTER BANKS
//

#define HSP_SHRD_MBOX0_FIRST_REG 0x0000 // HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_0
#define HSP_SHRD_MBOX0_LAST_REG 0x0008 // HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX1_FIRST_REG 0x0040 // HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX1_LAST_REG 0x0040 // HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX2_FIRST_REG 0x0048 // HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX2_LAST_REG 0x0054 // HSP_SHRD_MBOX_MBOX_0_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX3_FIRST_REG 0x8000 // HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_0
#define HSP_SHRD_MBOX3_LAST_REG 0x8008 // HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX4_FIRST_REG 0x8040 // HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX4_LAST_REG 0x8040 // HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX5_FIRST_REG 0x8048 // HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX5_LAST_REG 0x8054 // HSP_SHRD_MBOX_MBOX_1_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX6_FIRST_REG 0x10000 // HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_0
#define HSP_SHRD_MBOX6_LAST_REG 0x10008 // HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX7_FIRST_REG 0x10040 // HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX7_LAST_REG 0x10040 // HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX8_FIRST_REG 0x10048 // HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX8_LAST_REG 0x10054 // HSP_SHRD_MBOX_MBOX_2_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX9_FIRST_REG 0x18000 // HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_0
#define HSP_SHRD_MBOX9_LAST_REG 0x18008 // HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX10_FIRST_REG 0x18040 // HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX10_LAST_REG 0x18040 // HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX11_FIRST_REG 0x18048 // HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX11_LAST_REG 0x18054 // HSP_SHRD_MBOX_MBOX_3_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX12_FIRST_REG 0x20000 // HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_0
#define HSP_SHRD_MBOX12_LAST_REG 0x20008 // HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX13_FIRST_REG 0x20040 // HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX13_LAST_REG 0x20040 // HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX14_FIRST_REG 0x20048 // HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX14_LAST_REG 0x20054 // HSP_SHRD_MBOX_MBOX_4_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX15_FIRST_REG 0x28000 // HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_0
#define HSP_SHRD_MBOX15_LAST_REG 0x28008 // HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX16_FIRST_REG 0x28040 // HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX16_LAST_REG 0x28040 // HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX17_FIRST_REG 0x28048 // HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX17_LAST_REG 0x28054 // HSP_SHRD_MBOX_MBOX_5_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX18_FIRST_REG 0x30000 // HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_0
#define HSP_SHRD_MBOX18_LAST_REG 0x30008 // HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX19_FIRST_REG 0x30040 // HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX19_LAST_REG 0x30040 // HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX20_FIRST_REG 0x30048 // HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX20_LAST_REG 0x30054 // HSP_SHRD_MBOX_MBOX_6_SHRD_MBOX_TYPE1_DATA3_0
#define HSP_SHRD_MBOX21_FIRST_REG 0x38000 // HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_0
#define HSP_SHRD_MBOX21_LAST_REG 0x38008 // HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_EMPTY_INT_IE_0
#define HSP_SHRD_MBOX22_FIRST_REG 0x38040 // HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX22_LAST_REG 0x38040 // HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_TAG_0
#define HSP_SHRD_MBOX23_FIRST_REG 0x38048 // HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA0_0
#define HSP_SHRD_MBOX23_LAST_REG 0x38054 // HSP_SHRD_MBOX_MBOX_7_SHRD_MBOX_TYPE1_DATA3_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef MK_SHIFT_CONST
  #define MK_SHIFT_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST
  #define MK_MASK_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ENUM_CONST
  #define MK_ENUM_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ADDR_CONST
  #define MK_ADDR_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST
  #define MK_FIELD_CONST(_mask_, _shift_) (MK_MASK_CONST(_mask_) <<  _shift_)
#endif
#ifndef MK_SHIFT_CONST_64
  #define MK_SHIFT_CONST_64(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST_64
  #define MK_MASK_CONST_64(_constant_) (_constant_ ## UL)
#endif
#ifndef MK_ENUM_CONST_64
  #define MK_ENUM_CONST_64(_constant_) (_constant_ ## UL)
#endif
#ifndef MK_ADDR_CONST_64
  #define MK_ADDR_CONST_64(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST_64
  #define MK_FIELD_CONST_64(_mask_, _shift_) (MK_MASK_CONST_64(_mask_) <<  _shift_)
#endif

#endif // ifndef ARHSP_SHRD_MBOX_H_INC
