//
// Copyright (c) 2021-2022 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ARPMC_IMPL_H_INC
#define ARPMC_IMPL_H_INC
#define NV_MOBILE_ARPMC_IMPL_H_UNIT_OF_OFFSET 1B

#define NV_MOBILE_ARPMC_IMPL_H_SCRREG_NOMENCLATURE INFERRED


// Register PMC_IMPL_CNTRL_0
#define PMC_IMPL_CNTRL_0                        MK_ADDR_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SECURE                         0x0
#define PMC_IMPL_CNTRL_0_DUAL                   0x0
#define PMC_IMPL_CNTRL_0_SCR                    CNTRL_SCR_0
#define PMC_IMPL_CNTRL_0_SCRREG                         PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_CNTRL_0_WORD_COUNT                     0x1
#define PMC_IMPL_CNTRL_0_RESET_VAL                      MK_MASK_CONST(0x400a00)
#define PMC_IMPL_CNTRL_0_RESET_MASK                     MK_MASK_CONST(0x447f9f)
#define PMC_IMPL_CNTRL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_READ_MASK                      MK_MASK_CONST(0x447f9f)
#define PMC_IMPL_CNTRL_0_WRITE_MASK                     MK_MASK_CONST(0x447f9f)
#define PMC_IMPL_CNTRL_0_RESERVED_1_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_CNTRL_0_RESERVED_1_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_RESERVED_1_SHIFT)
#define PMC_IMPL_CNTRL_0_RESERVED_1_RANGE                       0:0
#define PMC_IMPL_CNTRL_0_RESERVED_1_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_CNTRL_0_RESERVED_1_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_CNTRL_0_RESERVED_1_WOFFSET                     0x0
#define PMC_IMPL_CNTRL_0_RESERVED_1_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_RESERVED_1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_RTC_CLK_DIS_SHIFT)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_RANGE                      1:1
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_WOFFSET                    0x0
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_RTC_CLK_DIS_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_RTC_RST_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_CNTRL_0_RTC_RST_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_RTC_RST_SHIFT)
#define PMC_IMPL_CNTRL_0_RTC_RST_RANGE                  2:2
#define PMC_IMPL_CNTRL_0_RTC_RST_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_CNTRL_0_RTC_RST_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_CNTRL_0_RTC_RST_WOFFSET                        0x0
#define PMC_IMPL_CNTRL_0_RTC_RST_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_RST_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_RTC_RST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_RST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_RST_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RTC_RST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_RTC_RST_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_RTC_RST_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_RESERVED_2_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_CNTRL_0_RESERVED_2_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_RESERVED_2_SHIFT)
#define PMC_IMPL_CNTRL_0_RESERVED_2_RANGE                       3:3
#define PMC_IMPL_CNTRL_0_RESERVED_2_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_CNTRL_0_RESERVED_2_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_CNTRL_0_RESERVED_2_WOFFSET                     0x0
#define PMC_IMPL_CNTRL_0_RESERVED_2_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_RESERVED_2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_RESERVED_2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_CNTRL_0_MAIN_RST_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_CNTRL_0_MAIN_RST_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_MAIN_RST_SHIFT)
#define PMC_IMPL_CNTRL_0_MAIN_RST_RANGE                 4:4
#define PMC_IMPL_CNTRL_0_MAIN_RST_MSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_CNTRL_0_MAIN_RST_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_CNTRL_0_MAIN_RST_WOFFSET                       0x0
#define PMC_IMPL_CNTRL_0_MAIN_RST_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_MAIN_RST_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_MAIN_RST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_MAIN_RST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_MAIN_RST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_MAIN_RST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_MAIN_RST_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_MAIN_RST_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_BLINK_EN_SHIFT                 MK_SHIFT_CONST(7)
#define PMC_IMPL_CNTRL_0_BLINK_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_BLINK_EN_SHIFT)
#define PMC_IMPL_CNTRL_0_BLINK_EN_RANGE                 7:7
#define PMC_IMPL_CNTRL_0_BLINK_EN_MSB                   MK_SHIFT_CONST(7)
#define PMC_IMPL_CNTRL_0_BLINK_EN_LSB                   MK_SHIFT_CONST(7)
#define PMC_IMPL_CNTRL_0_BLINK_EN_WOFFSET                       0x0
#define PMC_IMPL_CNTRL_0_BLINK_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_BLINK_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_BLINK_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_BLINK_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_BLINK_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_BLINK_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_BLINK_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_BLINK_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_SHIFT)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_RANGE                  8:8
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_WOFFSET                        0x0
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_NORMAL                 MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_PWRREQ_POLARITY_INVERT                 MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_PWRREQ_OE_SHIFT                        MK_SHIFT_CONST(9)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_PWRREQ_OE_SHIFT)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_RANGE                        9:9
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_MSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_LSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_WOFFSET                      0x0
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_PWRREQ_OE_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_SHIFT                  MK_SHIFT_CONST(10)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_SHIFT)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_RANGE                  10:10
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_MSB                    MK_SHIFT_CONST(10)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_LSB                    MK_SHIFT_CONST(10)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_WOFFSET                        0x0
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_NORMAL                 MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_SYSCLK_POLARITY_INVERT                 MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_SYSCLK_OE_SHIFT                        MK_SHIFT_CONST(11)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_SYSCLK_OE_SHIFT)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_RANGE                        11:11
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_MSB                  MK_SHIFT_CONST(11)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_LSB                  MK_SHIFT_CONST(11)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_WOFFSET                      0x0
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_SYSCLK_OE_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_SHIFT                      MK_SHIFT_CONST(12)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_PWRGATE_DIS_SHIFT)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_RANGE                      12:12
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_MSB                        MK_SHIFT_CONST(12)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_LSB                        MK_SHIFT_CONST(12)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_WOFFSET                    0x0
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_PWRGATE_DIS_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_AOINIT_SHIFT                   MK_SHIFT_CONST(13)
#define PMC_IMPL_CNTRL_0_AOINIT_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_AOINIT_SHIFT)
#define PMC_IMPL_CNTRL_0_AOINIT_RANGE                   13:13
#define PMC_IMPL_CNTRL_0_AOINIT_MSB                     MK_SHIFT_CONST(13)
#define PMC_IMPL_CNTRL_0_AOINIT_LSB                     MK_SHIFT_CONST(13)
#define PMC_IMPL_CNTRL_0_AOINIT_WOFFSET                 0x0
#define PMC_IMPL_CNTRL_0_AOINIT_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_AOINIT_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_AOINIT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_AOINIT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_AOINIT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_AOINIT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_AOINIT_NOTDONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_AOINIT_DONE                    MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_SHIFT                  MK_SHIFT_CONST(14)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_SHIFT)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_RANGE                  14:14
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_MSB                    MK_SHIFT_CONST(14)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_LSB                    MK_SHIFT_CONST(14)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_WOFFSET                        0x0
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_SIDE_EFFECT_LP0_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_SHIFT                    MK_SHIFT_CONST(18)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_SHIFT)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_RANGE                    18:18
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_MSB                      MK_SHIFT_CONST(18)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_LSB                      MK_SHIFT_CONST(18)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_WOFFSET                  0x0
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_FUSE_OVERRIDE_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_SHIFT                      MK_SHIFT_CONST(22)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL_0_SHUTDOWN_OE_SHIFT)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_RANGE                      22:22
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_MSB                        MK_SHIFT_CONST(22)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_LSB                        MK_SHIFT_CONST(22)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_WOFFSET                    0x0
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL_0_SHUTDOWN_OE_ENABLE                     MK_ENUM_CONST(1)


// Register PMC_IMPL_SLCG_CTRL_0
#define PMC_IMPL_SLCG_CTRL_0                    MK_ADDR_CONST(0x4)
#define PMC_IMPL_SLCG_CTRL_0_SECURE                     0x0
#define PMC_IMPL_SLCG_CTRL_0_DUAL                       0x0
#define PMC_IMPL_SLCG_CTRL_0_SCR                        CNTRL_SCR_0
#define PMC_IMPL_SLCG_CTRL_0_SCRREG                     PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_SLCG_CTRL_0_WORD_COUNT                         0x1
#define PMC_IMPL_SLCG_CTRL_0_RESET_VAL                  MK_MASK_CONST(0x70000)
#define PMC_IMPL_SLCG_CTRL_0_RESET_MASK                         MK_MASK_CONST(0xff0703)
#define PMC_IMPL_SLCG_CTRL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_READ_MASK                  MK_MASK_CONST(0xff0703)
#define PMC_IMPL_SLCG_CTRL_0_WRITE_MASK                         MK_MASK_CONST(0xff0703)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_SHIFT)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_RANGE                 0:0
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_WOFFSET                       0x0
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_INIT_ENUM                     DISABLE
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_SLCG_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_SHIFT)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_RANGE                        1:1
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_WOFFSET                      0x0
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_INIT_ENUM                    DISABLE
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_CLK32_SLCG_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_SHIFT)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_RANGE                     8:8
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_WOFFSET                   0x0
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_INIT_ENUM                 DISABLE
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_SHIFT                      MK_SHIFT_CONST(9)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_SHIFT)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_RANGE                      9:9
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_MSB                        MK_SHIFT_CONST(9)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_LSB                        MK_SHIFT_CONST(9)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_WOFFSET                    0x0
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_INIT_ENUM                  DISABLE
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_PG_SLCG_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_SHIFT                     MK_SHIFT_CONST(10)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_SHIFT)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_RANGE                     10:10
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_MSB                       MK_SHIFT_CONST(10)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_LSB                       MK_SHIFT_CONST(10)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_WOFFSET                   0x0
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_INIT_ENUM                 DISABLE
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_DPD_SLCG_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_SHIFT                  MK_SHIFT_CONST(16)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_FIELD                  MK_FIELD_CONST(0xff, PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_SHIFT)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_RANGE                  23:16
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_MSB                    MK_SHIFT_CONST(23)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_LSB                    MK_SHIFT_CONST(16)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_WOFFSET                        0x0
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_DEFAULT                        MK_MASK_CONST(0x7)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SLCG_CTRL_0_PCLK_REG_SLCG_TIMER_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_DPD_PADS_ORIDE_0
#define PMC_IMPL_DPD_PADS_ORIDE_0                       MK_ADDR_CONST(0x8)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SECURE                        0x0
#define PMC_IMPL_DPD_PADS_ORIDE_0_DUAL                  0x0
#define PMC_IMPL_DPD_PADS_ORIDE_0_SCR                   DPD_PADS_ORIDE_SCR_0
#define PMC_IMPL_DPD_PADS_ORIDE_0_SCRREG                        PMC_IMPL_SCR_DPD_PADS_ORIDE_SCR_0
#define PMC_IMPL_DPD_PADS_ORIDE_0_WORD_COUNT                    0x1
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESET_VAL                     MK_MASK_CONST(0x200000)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESET_MASK                    MK_MASK_CONST(0xffefffff)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_READ_MASK                     MK_MASK_CONST(0xffefffff)
#define PMC_IMPL_DPD_PADS_ORIDE_0_WRITE_MASK                    MK_MASK_CONST(0xffefffff)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_FIELD                      MK_FIELD_CONST(0xfffff, PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_SHIFT)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_RANGE                      19:0
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_MSB                        MK_SHIFT_CONST(19)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_WOFFSET                    0x0
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_DEFAULT_MASK                       MK_MASK_CONST(0xfffff)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_SHIFT                 MK_SHIFT_CONST(21)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_SHIFT)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_RANGE                 21:21
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_MSB                   MK_SHIFT_CONST(21)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_LSB                   MK_SHIFT_CONST(21)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_WOFFSET                       0x0
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_SYS_CLK_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_SHIFT                      MK_SHIFT_CONST(22)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_FIELD                      MK_FIELD_CONST(0x3ff, PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_SHIFT)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_RANGE                      31:22
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_LSB                        MK_SHIFT_CONST(22)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_WOFFSET                    0x0
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_DEFAULT_MASK                       MK_MASK_CONST(0x3ff)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_PADS_ORIDE_0_RESERVED_2_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Reserved address 0xc

// Register PMC_IMPL_DPD_ENABLE_0
#define PMC_IMPL_DPD_ENABLE_0                   MK_ADDR_CONST(0x10)
#define PMC_IMPL_DPD_ENABLE_0_SECURE                    0x0
#define PMC_IMPL_DPD_ENABLE_0_DUAL                      0x0
#define PMC_IMPL_DPD_ENABLE_0_SCR                       DPD_ENABLE_SCR_0
#define PMC_IMPL_DPD_ENABLE_0_SCRREG                    PMC_IMPL_SCR_DPD_ENABLE_SCR_0
#define PMC_IMPL_DPD_ENABLE_0_WORD_COUNT                        0x1
#define PMC_IMPL_DPD_ENABLE_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_RESET_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_DPD_ENABLE_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_READ_MASK                         MK_MASK_CONST(0x3)
#define PMC_IMPL_DPD_ENABLE_0_WRITE_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_SHIFT)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_RANGE                 1:1
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_WOFFSET                       0x0
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_DPD_ENABLE_0_TSC_MULT_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_DPD_ENABLE_0_ON_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_ENABLE_0_ON_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_DPD_ENABLE_0_ON_SHIFT)
#define PMC_IMPL_DPD_ENABLE_0_ON_RANGE                  0:0
#define PMC_IMPL_DPD_ENABLE_0_ON_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_ENABLE_0_ON_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_ENABLE_0_ON_WOFFSET                        0x0
#define PMC_IMPL_DPD_ENABLE_0_ON_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_ON_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_ENABLE_0_ON_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_ON_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_ON_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_ENABLE_0_ON_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_ENABLE_0_ON_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_DPD_ENABLE_0_ON_ENABLE                 MK_ENUM_CONST(1)


// Register PMC_IMPL_SC7_CONFIG_0
#define PMC_IMPL_SC7_CONFIG_0                   MK_ADDR_CONST(0x14)
#define PMC_IMPL_SC7_CONFIG_0_SECURE                    0x0
#define PMC_IMPL_SC7_CONFIG_0_DUAL                      0x0
#define PMC_IMPL_SC7_CONFIG_0_SCR                       SC78_SCR_0
#define PMC_IMPL_SC7_CONFIG_0_SCRREG                    PMC_IMPL_SCR_SC78_SCR_0
#define PMC_IMPL_SC7_CONFIG_0_WORD_COUNT                        0x1
#define PMC_IMPL_SC7_CONFIG_0_RESET_VAL                         MK_MASK_CONST(0x40400)
#define PMC_IMPL_SC7_CONFIG_0_RESET_MASK                        MK_MASK_CONST(0xffff03)
#define PMC_IMPL_SC7_CONFIG_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_READ_MASK                         MK_MASK_CONST(0xffff03)
#define PMC_IMPL_SC7_CONFIG_0_WRITE_MASK                        MK_MASK_CONST(0xffff03)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_SHIFT)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_RANGE                  0:0
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_WOFFSET                        0x0
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_INIT_ENUM                      SC7
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_SC7                    MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_TARGET_SC8                    MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_SHIFT)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_RANGE                       1:1
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_WOFFSET                     0x0
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_INIT_ENUM                   OFF
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_CONFIG_0_SC8_HW_BYPASS_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_SHIFT                       MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_FIELD                       MK_FIELD_CONST(0xff, PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_SHIFT)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_RANGE                       15:8
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_MSB                 MK_SHIFT_CONST(15)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_LSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_WOFFSET                     0x0
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_DEFAULT                     MK_MASK_CONST(0x4)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC7_DPD_TIMER_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_SHIFT                       MK_SHIFT_CONST(16)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_FIELD                       MK_FIELD_CONST(0xff, PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_SHIFT)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_RANGE                       23:16
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_MSB                 MK_SHIFT_CONST(23)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_LSB                 MK_SHIFT_CONST(16)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_WOFFSET                     0x0
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_DEFAULT                     MK_MASK_CONST(0x4)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_CONFIG_0_SC7_RES_TIMER_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register PMC_IMPL_SC7_STATUS_0
#define PMC_IMPL_SC7_STATUS_0                   MK_ADDR_CONST(0x18)
#define PMC_IMPL_SC7_STATUS_0_SECURE                    0x0
#define PMC_IMPL_SC7_STATUS_0_DUAL                      0x0
#define PMC_IMPL_SC7_STATUS_0_SCR                       SC78_SCR_0
#define PMC_IMPL_SC7_STATUS_0_SCRREG                    PMC_IMPL_SCR_SC78_SCR_0
#define PMC_IMPL_SC7_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_SC7_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x10)
#define PMC_IMPL_SC7_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x1f)
#define PMC_IMPL_SC7_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_READ_MASK                         MK_MASK_CONST(0x1f)
#define PMC_IMPL_SC7_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_FIELD                    MK_FIELD_CONST(0x3, PMC_IMPL_SC7_STATUS_0_SC_STATE_SHIFT)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_RANGE                    1:0
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_WOFFSET                  0x0
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_INIT_ENUM                        NONE
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_NONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_SC7                      MK_ENUM_CONST(1)
#define PMC_IMPL_SC7_STATUS_0_SC_STATE_SC8                      MK_ENUM_CONST(2)

#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_SHIFT)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_RANGE                        2:2
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_WOFFSET                      0x0
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_INIT_ENUM                    FALSE
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_STATUS_0_SC7_FSM_BUSY_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_SHIFT)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_RANGE                    3:3
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_WOFFSET                  0x0
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_INIT_ENUM                        FALSE
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_FALSE                    MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_STATUS_0_SC7_WAIT_DPD_DIS_TRUE                     MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_SHIFT)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_RANGE                 4:4
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_MSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_WOFFSET                       0x0
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_INIT_ENUM                     TRUE
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_FALSE                 MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_STATUS_0_PWRGOOD_ABS_TRUE                  MK_ENUM_CONST(1)


// Register PMC_IMPL_SC8_FSM_INIT_0
#define PMC_IMPL_SC8_FSM_INIT_0                 MK_ADDR_CONST(0x1c)
#define PMC_IMPL_SC8_FSM_INIT_0_SECURE                  0x0
#define PMC_IMPL_SC8_FSM_INIT_0_DUAL                    0x0
#define PMC_IMPL_SC8_FSM_INIT_0_SCR                     SC78_SCR_0
#define PMC_IMPL_SC8_FSM_INIT_0_SCRREG                  PMC_IMPL_SCR_SC78_SCR_0
#define PMC_IMPL_SC8_FSM_INIT_0_WORD_COUNT                      0x1
#define PMC_IMPL_SC8_FSM_INIT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_FSM_INIT_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_FSM_INIT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_FSM_INIT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_FSM_INIT_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_FSM_INIT_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_SHIFT)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_RANGE                  0:0
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_WOFFSET                        0x0
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_DONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_SC8_FSM_INIT_0_FSM_INIT_PENDING                        MK_ENUM_CONST(1)


// Register PMC_IMPL_SC8_CONTROL_0
#define PMC_IMPL_SC8_CONTROL_0                  MK_ADDR_CONST(0x20)
#define PMC_IMPL_SC8_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_SC8_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_SC8_CONTROL_0_SCR                      SC78_SCR_0
#define PMC_IMPL_SC8_CONTROL_0_SCRREG                   PMC_IMPL_SCR_SC78_SCR_0
#define PMC_IMPL_SC8_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_SC8_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1f)
#define PMC_IMPL_SC8_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1f)
#define PMC_IMPL_SC8_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1f)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_SHIFT)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_RANGE                       0:0
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_WOFFSET                     0x0
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_RESET_PENDING                     MK_ENUM_CONST(1)

#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_SHIFT)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_RANGE                       1:1
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_WOFFSET                     0x0
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_CLAMP_PENDING                     MK_ENUM_CONST(1)

#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_SHIFT)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_RANGE                        2:2
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_WOFFSET                      0x0
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_EDPD_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_SHIFT                      MK_SHIFT_CONST(3)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_SHIFT)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_RANGE                      3:3
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_MSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_LSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_WOFFSET                    0x0
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_DONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SELDPD_PENDING                    MK_ENUM_CONST(1)

#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_SHIFT                       MK_SHIFT_CONST(4)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_SHIFT)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_RANGE                       4:4
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_MSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_LSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_WOFFSET                     0x0
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC8_CONTROL_0_REMOVE_SLEEP_PENDING                     MK_ENUM_CONST(1)


// Register PMC_IMPL_RETENTION_CONTROL_0
#define PMC_IMPL_RETENTION_CONTROL_0                    MK_ADDR_CONST(0x24)
#define PMC_IMPL_RETENTION_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_RETENTION_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_RETENTION_CONTROL_0_SCR                        SC78_SCR_0
#define PMC_IMPL_RETENTION_CONTROL_0_SCRREG                     PMC_IMPL_SCR_SC78_SCR_0
#define PMC_IMPL_RETENTION_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_RETENTION_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x1ff)
#define PMC_IMPL_RETENTION_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x1ff)
#define PMC_IMPL_RETENTION_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x1ff)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_FIELD                  MK_FIELD_CONST(0xff, PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_SHIFT)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_RANGE                  7:0
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_WOFFSET                        0x0
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RETENTION_CONTROL_0_RAIL_RET_EXIT_DELAY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_SHIFT                       MK_SHIFT_CONST(8)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_SHIFT)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_RANGE                       8:8
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_MSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_LSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_WOFFSET                     0x0
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_RETENTION_CONTROL_0_GPIO_AO_RET_EN_ENABLE                      MK_ENUM_CONST(1)


// Register PMC_IMPL_SC7_DEBUG_CTRL_0
#define PMC_IMPL_SC7_DEBUG_CTRL_0                       MK_ADDR_CONST(0x28)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_SECURE                        0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DUAL                  0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_SCR                   SC7_DEBUG_SCR_0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_SCRREG                        PMC_IMPL_SCR_SC7_DEBUG_SCR_0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_WORD_COUNT                    0x1
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_MASK                    MK_MASK_CONST(0x1ff)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_READ_MASK                     MK_MASK_CONST(0x1ff)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_WRITE_MASK                    MK_MASK_CONST(0x1ff)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_SHIFT                       MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_RANGE                       8:8
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_MSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_LSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_WOFFSET                     0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_INIT_ENUM                   DISABLE
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_GLITCH_FREE_CLKEN_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_SHIFT                  MK_SHIFT_CONST(7)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_RANGE                  7:7
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_LSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_WOFFSET                        0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_INIT_ENUM                      DISABLE
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBG_SLEEP_SKIP_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_SHIFT                      MK_SHIFT_CONST(6)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_RANGE                      6:6
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_MSB                        MK_SHIFT_CONST(6)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_LSB                        MK_SHIFT_CONST(6)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_WOFFSET                    0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DFD_CLAMP_OVERRIDE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_SHIFT                      MK_SHIFT_CONST(5)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_RANGE                      5:5
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_MSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_LSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_WOFFSET                    0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DBGRST_OVR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_SHIFT                     MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_RANGE                     4:4
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_MSB                       MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_LSB                       MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_WOFFSET                   0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_INIT_ENUM                 OFF
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_RESET_DEBUG_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_SHIFT                        MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_RANGE                        3:3
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_MSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_LSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_WOFFSET                      0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_INIT_ENUM                    OFF
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_DPD_ENABLE_DEBUG_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_RANGE                        2:2
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_WOFFSET                      0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_INIT_ENUM                    OFF
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_MAIN_CLAMP_DEBUG_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_SC7_DEBUG_CTRL_0_OP_SHIFT)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_RANGE                      1:0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_WOFFSET                    0x0
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_INIT_ENUM                  NONE
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_NONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_FORCE_ON                   MK_ENUM_CONST(1)
#define PMC_IMPL_SC7_DEBUG_CTRL_0_OP_FORCE_OFF                  MK_ENUM_CONST(2)


// Register PMC_IMPL_PWRGOOD_TIMER_0
#define PMC_IMPL_PWRGOOD_TIMER_0                        MK_ADDR_CONST(0x2c)
#define PMC_IMPL_PWRGOOD_TIMER_0_SECURE                         0x0
#define PMC_IMPL_PWRGOOD_TIMER_0_DUAL                   0x0
#define PMC_IMPL_PWRGOOD_TIMER_0_SCR                    PWRGOOD_TIMER_SCR_0
#define PMC_IMPL_PWRGOOD_TIMER_0_SCRREG                         PMC_IMPL_SCR_PWRGOOD_TIMER_SCR_0
#define PMC_IMPL_PWRGOOD_TIMER_0_WORD_COUNT                     0x1
#define PMC_IMPL_PWRGOOD_TIMER_0_RESET_VAL                      MK_MASK_CONST(0x3f00007f)
#define PMC_IMPL_PWRGOOD_TIMER_0_RESET_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_PWRGOOD_TIMER_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_READ_MASK                      MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_PWRGOOD_TIMER_0_WRITE_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_FIELD                  MK_FIELD_CONST(0xffff, PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_SHIFT)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_RANGE                  15:0
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_MSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_WOFFSET                        0x0
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_DEFAULT                        MK_MASK_CONST(0x7f)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_DEFAULT_MASK                   MK_MASK_CONST(0xffff)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PWRGOOD_TIMER_0_PWRGOOD_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_SHIFT                      MK_SHIFT_CONST(16)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_FIELD                      MK_FIELD_CONST(0xff, PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_SHIFT)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_RANGE                      23:16
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_MSB                        MK_SHIFT_CONST(23)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_LSB                        MK_SHIFT_CONST(16)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_WOFFSET                    0x0
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_DEFAULT_MASK                       MK_MASK_CONST(0xff)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_POSTPWR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_SHIFT                       MK_SHIFT_CONST(24)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_FIELD                       MK_FIELD_CONST(0xff, PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_SHIFT)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_RANGE                       31:24
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_LSB                 MK_SHIFT_CONST(24)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_WOFFSET                     0x0
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_DEFAULT                     MK_MASK_CONST(0x3f)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_DEFAULT_MASK                        MK_MASK_CONST(0xff)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PWRGOOD_TIMER_0_OSC_PREPWR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register PMC_IMPL_BLINK_TIMER_0
#define PMC_IMPL_BLINK_TIMER_0                  MK_ADDR_CONST(0x30)
#define PMC_IMPL_BLINK_TIMER_0_SECURE                   0x0
#define PMC_IMPL_BLINK_TIMER_0_DUAL                     0x0
#define PMC_IMPL_BLINK_TIMER_0_SCR                      BLINK_TIMER_SCR_0
#define PMC_IMPL_BLINK_TIMER_0_SCRREG                   PMC_IMPL_SCR_BLINK_TIMER_SCR_0
#define PMC_IMPL_BLINK_TIMER_0_WORD_COUNT                       0x1
#define PMC_IMPL_BLINK_TIMER_0_RESET_VAL                        MK_MASK_CONST(0xffff7fff)
#define PMC_IMPL_BLINK_TIMER_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_BLINK_TIMER_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_BLINK_TIMER_0_WRITE_MASK                       MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_FIELD                    MK_FIELD_CONST(0x7fff, PMC_IMPL_BLINK_TIMER_0_DATA_ON_SHIFT)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_RANGE                    14:0
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_MSB                      MK_SHIFT_CONST(14)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_WOFFSET                  0x0
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_DEFAULT                  MK_MASK_CONST(0x7fff)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_DEFAULT_MASK                     MK_MASK_CONST(0x7fff)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_ON_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_SHIFT                        MK_SHIFT_CONST(15)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_SHIFT)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_RANGE                        15:15
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_MSB                  MK_SHIFT_CONST(15)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_LSB                  MK_SHIFT_CONST(15)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_WOFFSET                      0x0
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_FORCE_BLINK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_SHIFT                   MK_SHIFT_CONST(16)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_FIELD                   MK_FIELD_CONST(0xffff, PMC_IMPL_BLINK_TIMER_0_DATA_OFF_SHIFT)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_RANGE                   31:16
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_LSB                     MK_SHIFT_CONST(16)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_WOFFSET                 0x0
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_DEFAULT                 MK_MASK_CONST(0xffff)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_DEFAULT_MASK                    MK_MASK_CONST(0xffff)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_BLINK_TIMER_0_DATA_OFF_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register PMC_IMPL_NO_IOPOWER_0
#define PMC_IMPL_NO_IOPOWER_0                   MK_ADDR_CONST(0x34)
#define PMC_IMPL_NO_IOPOWER_0_SECURE                    0x0
#define PMC_IMPL_NO_IOPOWER_0_DUAL                      0x0
#define PMC_IMPL_NO_IOPOWER_0_SCR                       NO_IOPOWER_SCR_0
#define PMC_IMPL_NO_IOPOWER_0_SCRREG                    PMC_IMPL_SCR_NO_IOPOWER_SCR_0
#define PMC_IMPL_NO_IOPOWER_0_WORD_COUNT                        0x1
#define PMC_IMPL_NO_IOPOWER_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_RESET_MASK                        MK_MASK_CONST(0x448467d)
#define PMC_IMPL_NO_IOPOWER_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_READ_MASK                         MK_MASK_CONST(0x448467d)
#define PMC_IMPL_NO_IOPOWER_0_WRITE_MASK                        MK_MASK_CONST(0x448467d)
#define PMC_IMPL_NO_IOPOWER_0_SYS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_SYS_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_SYS_RANGE                 0:0
#define PMC_IMPL_NO_IOPOWER_0_SYS_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_WOFFSET                       0x0
#define PMC_IMPL_NO_IOPOWER_0_SYS_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_SYS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_SYS_INIT_ENUM                     DISABLE
#define PMC_IMPL_NO_IOPOWER_0_SYS_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_SYS_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_UART_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_NO_IOPOWER_0_UART_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_UART_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_UART_RANGE                        2:2
#define PMC_IMPL_NO_IOPOWER_0_UART_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_NO_IOPOWER_0_UART_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_NO_IOPOWER_0_UART_WOFFSET                      0x0
#define PMC_IMPL_NO_IOPOWER_0_UART_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UART_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_UART_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UART_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UART_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UART_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_UART_INIT_ENUM                    DISABLE
#define PMC_IMPL_NO_IOPOWER_0_UART_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_UART_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_CONN_SHIFT                        MK_SHIFT_CONST(3)
#define PMC_IMPL_NO_IOPOWER_0_CONN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_CONN_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_CONN_RANGE                        3:3
#define PMC_IMPL_NO_IOPOWER_0_CONN_MSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_NO_IOPOWER_0_CONN_LSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_NO_IOPOWER_0_CONN_WOFFSET                      0x0
#define PMC_IMPL_NO_IOPOWER_0_CONN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CONN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_CONN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CONN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CONN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CONN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_CONN_INIT_ENUM                    DISABLE
#define PMC_IMPL_NO_IOPOWER_0_CONN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_CONN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_EDP_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_NO_IOPOWER_0_EDP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_EDP_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_EDP_RANGE                 4:4
#define PMC_IMPL_NO_IOPOWER_0_EDP_MSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_NO_IOPOWER_0_EDP_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_NO_IOPOWER_0_EDP_WOFFSET                       0x0
#define PMC_IMPL_NO_IOPOWER_0_EDP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_EDP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_EDP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_EDP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_EDP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_EDP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_EDP_INIT_ENUM                     DISABLE
#define PMC_IMPL_NO_IOPOWER_0_EDP_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_EDP_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_AUDIO_SHIFT                       MK_SHIFT_CONST(5)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_AUDIO_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_RANGE                       5:5
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_MSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_LSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_WOFFSET                     0x0
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_INIT_ENUM                   DISABLE
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_AUDIO_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_UFS_SHIFT                 MK_SHIFT_CONST(6)
#define PMC_IMPL_NO_IOPOWER_0_UFS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_UFS_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_UFS_RANGE                 6:6
#define PMC_IMPL_NO_IOPOWER_0_UFS_MSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_NO_IOPOWER_0_UFS_LSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_NO_IOPOWER_0_UFS_WOFFSET                       0x0
#define PMC_IMPL_NO_IOPOWER_0_UFS_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UFS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_UFS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UFS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UFS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_UFS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_UFS_INIT_ENUM                     DISABLE
#define PMC_IMPL_NO_IOPOWER_0_UFS_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_UFS_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_MIPI_SHIFT                        MK_SHIFT_CONST(9)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_MIPI_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_RANGE                        9:9
#define PMC_IMPL_NO_IOPOWER_0_MIPI_MSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_LSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_WOFFSET                      0x0
#define PMC_IMPL_NO_IOPOWER_0_MIPI_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_INIT_ENUM                    DISABLE
#define PMC_IMPL_NO_IOPOWER_0_MIPI_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_MIPI_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_CAM_SHIFT                 MK_SHIFT_CONST(10)
#define PMC_IMPL_NO_IOPOWER_0_CAM_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_CAM_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_CAM_RANGE                 10:10
#define PMC_IMPL_NO_IOPOWER_0_CAM_MSB                   MK_SHIFT_CONST(10)
#define PMC_IMPL_NO_IOPOWER_0_CAM_LSB                   MK_SHIFT_CONST(10)
#define PMC_IMPL_NO_IOPOWER_0_CAM_WOFFSET                       0x0
#define PMC_IMPL_NO_IOPOWER_0_CAM_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CAM_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_CAM_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CAM_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CAM_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_CAM_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_CAM_INIT_ENUM                     DISABLE
#define PMC_IMPL_NO_IOPOWER_0_CAM_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_CAM_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_SHIFT                      MK_SHIFT_CONST(14)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_SDMMC4_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_RANGE                      14:14
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_MSB                        MK_SHIFT_CONST(14)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_LSB                        MK_SHIFT_CONST(14)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_WOFFSET                    0x0
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_INIT_ENUM                  DISABLE
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_SDMMC4_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_DBG_SHIFT                 MK_SHIFT_CONST(19)
#define PMC_IMPL_NO_IOPOWER_0_DBG_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_DBG_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_DBG_RANGE                 19:19
#define PMC_IMPL_NO_IOPOWER_0_DBG_MSB                   MK_SHIFT_CONST(19)
#define PMC_IMPL_NO_IOPOWER_0_DBG_LSB                   MK_SHIFT_CONST(19)
#define PMC_IMPL_NO_IOPOWER_0_DBG_WOFFSET                       0x0
#define PMC_IMPL_NO_IOPOWER_0_DBG_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_DBG_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_DBG_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_DBG_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_DBG_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_DBG_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_DBG_INIT_ENUM                     DISABLE
#define PMC_IMPL_NO_IOPOWER_0_DBG_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_DBG_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_SPI_SHIFT                 MK_SHIFT_CONST(22)
#define PMC_IMPL_NO_IOPOWER_0_SPI_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_SPI_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_SPI_RANGE                 22:22
#define PMC_IMPL_NO_IOPOWER_0_SPI_MSB                   MK_SHIFT_CONST(22)
#define PMC_IMPL_NO_IOPOWER_0_SPI_LSB                   MK_SHIFT_CONST(22)
#define PMC_IMPL_NO_IOPOWER_0_SPI_WOFFSET                       0x0
#define PMC_IMPL_NO_IOPOWER_0_SPI_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SPI_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_SPI_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SPI_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SPI_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_SPI_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_SPI_INIT_ENUM                     DISABLE
#define PMC_IMPL_NO_IOPOWER_0_SPI_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_SPI_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_NO_IOPOWER_0_AO_SHIFT                  MK_SHIFT_CONST(26)
#define PMC_IMPL_NO_IOPOWER_0_AO_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_NO_IOPOWER_0_AO_SHIFT)
#define PMC_IMPL_NO_IOPOWER_0_AO_RANGE                  26:26
#define PMC_IMPL_NO_IOPOWER_0_AO_MSB                    MK_SHIFT_CONST(26)
#define PMC_IMPL_NO_IOPOWER_0_AO_LSB                    MK_SHIFT_CONST(26)
#define PMC_IMPL_NO_IOPOWER_0_AO_WOFFSET                        0x0
#define PMC_IMPL_NO_IOPOWER_0_AO_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AO_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_AO_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AO_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AO_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_NO_IOPOWER_0_AO_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_NO_IOPOWER_0_AO_INIT_ENUM                      DISABLE
#define PMC_IMPL_NO_IOPOWER_0_AO_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_NO_IOPOWER_0_AO_ENABLE                 MK_ENUM_CONST(1)


// Reserved address 0x38

// Register PMC_IMPL_E_18V_PWR_0
#define PMC_IMPL_E_18V_PWR_0                    MK_ADDR_CONST(0x3c)
#define PMC_IMPL_E_18V_PWR_0_SECURE                     0x0
#define PMC_IMPL_E_18V_PWR_0_DUAL                       0x0
#define PMC_IMPL_E_18V_PWR_0_SCR                        E_18V_PWR_SCR_0
#define PMC_IMPL_E_18V_PWR_0_SCRREG                     PMC_IMPL_SCR_E_18V_PWR_SCR_0
#define PMC_IMPL_E_18V_PWR_0_WORD_COUNT                         0x1
#define PMC_IMPL_E_18V_PWR_0_RESET_VAL                  MK_MASK_CONST(0x70)
#define PMC_IMPL_E_18V_PWR_0_RESET_MASK                         MK_MASK_CONST(0x72)
#define PMC_IMPL_E_18V_PWR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_READ_MASK                  MK_MASK_CONST(0x72)
#define PMC_IMPL_E_18V_PWR_0_WRITE_MASK                         MK_MASK_CONST(0x72)
#define PMC_IMPL_E_18V_PWR_0_UFS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_E_18V_PWR_0_UFS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_E_18V_PWR_0_UFS_SHIFT)
#define PMC_IMPL_E_18V_PWR_0_UFS_RANGE                  1:1
#define PMC_IMPL_E_18V_PWR_0_UFS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_E_18V_PWR_0_UFS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_E_18V_PWR_0_UFS_WOFFSET                        0x0
#define PMC_IMPL_E_18V_PWR_0_UFS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_UFS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_UFS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_UFS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_UFS_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_UFS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_UFS_INIT_ENUM                      DISABLE
#define PMC_IMPL_E_18V_PWR_0_UFS_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_E_18V_PWR_0_UFS_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_E_18V_PWR_0_DBG_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_E_18V_PWR_0_DBG_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_E_18V_PWR_0_DBG_SHIFT)
#define PMC_IMPL_E_18V_PWR_0_DBG_RANGE                  4:4
#define PMC_IMPL_E_18V_PWR_0_DBG_MSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_E_18V_PWR_0_DBG_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_E_18V_PWR_0_DBG_WOFFSET                        0x0
#define PMC_IMPL_E_18V_PWR_0_DBG_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_DBG_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_DBG_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_DBG_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_DBG_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_DBG_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_DBG_INIT_ENUM                      ENABLE
#define PMC_IMPL_E_18V_PWR_0_DBG_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_E_18V_PWR_0_DBG_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_E_18V_PWR_0_SPI_SHIFT                  MK_SHIFT_CONST(5)
#define PMC_IMPL_E_18V_PWR_0_SPI_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_E_18V_PWR_0_SPI_SHIFT)
#define PMC_IMPL_E_18V_PWR_0_SPI_RANGE                  5:5
#define PMC_IMPL_E_18V_PWR_0_SPI_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_E_18V_PWR_0_SPI_LSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_E_18V_PWR_0_SPI_WOFFSET                        0x0
#define PMC_IMPL_E_18V_PWR_0_SPI_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_SPI_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_SPI_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_SPI_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_SPI_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_SPI_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_SPI_INIT_ENUM                      ENABLE
#define PMC_IMPL_E_18V_PWR_0_SPI_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_E_18V_PWR_0_SPI_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_E_18V_PWR_0_EQOS_SHIFT                 MK_SHIFT_CONST(6)
#define PMC_IMPL_E_18V_PWR_0_EQOS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_E_18V_PWR_0_EQOS_SHIFT)
#define PMC_IMPL_E_18V_PWR_0_EQOS_RANGE                 6:6
#define PMC_IMPL_E_18V_PWR_0_EQOS_MSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_E_18V_PWR_0_EQOS_LSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_E_18V_PWR_0_EQOS_WOFFSET                       0x0
#define PMC_IMPL_E_18V_PWR_0_EQOS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_EQOS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_EQOS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_EQOS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_E_18V_PWR_0_EQOS_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_EQOS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_E_18V_PWR_0_EQOS_INIT_ENUM                     ENABLE
#define PMC_IMPL_E_18V_PWR_0_EQOS_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_E_18V_PWR_0_EQOS_ENABLE                        MK_ENUM_CONST(1)


// Register PMC_IMPL_E_33V_PWR_0
#define PMC_IMPL_E_33V_PWR_0                    MK_ADDR_CONST(0x40)
#define PMC_IMPL_E_33V_PWR_0_SECURE                     0x0
#define PMC_IMPL_E_33V_PWR_0_DUAL                       0x0
#define PMC_IMPL_E_33V_PWR_0_SCR                        E_33V_PWR_SCR_0
#define PMC_IMPL_E_33V_PWR_0_SCRREG                     PMC_IMPL_SCR_E_33V_PWR_SCR_0
#define PMC_IMPL_E_33V_PWR_0_WORD_COUNT                         0x1
#define PMC_IMPL_E_33V_PWR_0_RESET_VAL                  MK_MASK_CONST(0x53)
#define PMC_IMPL_E_33V_PWR_0_RESET_MASK                         MK_MASK_CONST(0x53)
#define PMC_IMPL_E_33V_PWR_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_READ_MASK                  MK_MASK_CONST(0x53)
#define PMC_IMPL_E_33V_PWR_0_WRITE_MASK                         MK_MASK_CONST(0x53)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_E_33V_PWR_0_AO_HV_SHIFT)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_RANGE                        0:0
#define PMC_IMPL_E_33V_PWR_0_AO_HV_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_WOFFSET                      0x0
#define PMC_IMPL_E_33V_PWR_0_AO_HV_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_INIT_ENUM                    ENABLE
#define PMC_IMPL_E_33V_PWR_0_AO_HV_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_E_33V_PWR_0_AO_HV_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_E_33V_PWR_0_AUDIO_HV_SHIFT)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_RANGE                     1:1
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_WOFFSET                   0x0
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_INIT_ENUM                 ENABLE
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_E_33V_PWR_0_AUDIO_HV_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_SHIFT                    MK_SHIFT_CONST(4)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_SHIFT)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_RANGE                    4:4
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_MSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_LSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_WOFFSET                  0x0
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_INIT_ENUM                        ENABLE
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV_ENABLE                   MK_ENUM_CONST(1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV__PROD_C_3_3V                     MK_ENUM_CONST(1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC1_HV__PROD_C_1_8V                     MK_ENUM_CONST(0)

#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_SHIFT                    MK_SHIFT_CONST(6)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_SHIFT)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_RANGE                    6:6
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_MSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_LSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_WOFFSET                  0x0
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_INIT_ENUM                        ENABLE
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV_ENABLE                   MK_ENUM_CONST(1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV__PROD_C_3_3V                     MK_ENUM_CONST(1)
#define PMC_IMPL_E_33V_PWR_0_SDMMC3_HV__PROD_C_1_8V                     MK_ENUM_CONST(0)


// Reserved address 0x44

// Reserved address 0x48

// Reserved address 0x4c

// Reserved address 0x50

// Reserved address 0x54

// Reserved address 0x58

// Reserved address 0x5c

// Register PMC_IMPL_OSC_EDPD_OVER_0
#define PMC_IMPL_OSC_EDPD_OVER_0                        MK_ADDR_CONST(0x60)
#define PMC_IMPL_OSC_EDPD_OVER_0_SECURE                         0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_DUAL                   0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_SCR                    CNTRL_SCR_0
#define PMC_IMPL_OSC_EDPD_OVER_0_SCRREG                         PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_OSC_EDPD_OVER_0_WORD_COUNT                     0x1
#define PMC_IMPL_OSC_EDPD_OVER_0_RESET_VAL                      MK_MASK_CONST(0x2)
#define PMC_IMPL_OSC_EDPD_OVER_0_RESET_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_OSC_EDPD_OVER_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_READ_MASK                      MK_MASK_CONST(0xffffff)
#define PMC_IMPL_OSC_EDPD_OVER_0_WRITE_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_SHIFT                   MK_SHIFT_CONST(23)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_SHIFT)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_RANGE                   23:23
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_MSB                     MK_SHIFT_CONST(23)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_LSB                     MK_SHIFT_CONST(23)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_WOFFSET                 0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_OSC_EDPD_OVER_0_CLK_OK_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_SHIFT                  MK_SHIFT_CONST(22)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_SHIFT)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_RANGE                  22:22
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_MSB                    MK_SHIFT_CONST(22)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_LSB                    MK_SHIFT_CONST(22)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_WOFFSET                        0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_CAR                    MK_ENUM_CONST(0)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSC_CTRL_SELECT_PMC                    MK_ENUM_CONST(1)

#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_SHIFT                      MK_SHIFT_CONST(20)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_SHIFT)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_RANGE                      21:20
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_MSB                        MK_SHIFT_CONST(21)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_LSB                        MK_SHIFT_CONST(20)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_WOFFSET                    0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_DPD                        MK_ENUM_CONST(0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_OFF                        MK_ENUM_CONST(1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_ON                 MK_ENUM_CONST(2)
#define PMC_IMPL_OSC_EDPD_OVER_0_XO_LP0_MODE_EXT_REQ                    MK_ENUM_CONST(3)

#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_SHIFT                      MK_SHIFT_CONST(12)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_FIELD                      MK_FIELD_CONST(0xff, PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_SHIFT)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_RANGE                      19:12
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_MSB                        MK_SHIFT_CONST(19)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_LSB                        MK_SHIFT_CONST(12)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_WOFFSET                    0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_DEFAULT_MASK                       MK_MASK_CONST(0xff)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_OSCFI_SPARE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_SHIFT                     MK_SHIFT_CONST(7)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_FIELD                     MK_FIELD_CONST(0x1f, PMC_IMPL_OSC_EDPD_OVER_0_XODS_SHIFT)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_RANGE                     11:7
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_MSB                       MK_SHIFT_CONST(11)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_LSB                       MK_SHIFT_CONST(7)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_WOFFSET                   0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_DEFAULT_MASK                      MK_MASK_CONST(0x1f)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XODS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_FIELD                     MK_FIELD_CONST(0x3f, PMC_IMPL_OSC_EDPD_OVER_0_XOFS_SHIFT)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_RANGE                     6:1
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_MSB                       MK_SHIFT_CONST(6)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_WOFFSET                   0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_DEFAULT_MASK                      MK_MASK_CONST(0x3f)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOFS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_OSC_EDPD_OVER_0_XOBP_SHIFT)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_RANGE                     0:0
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_WOFFSET                   0x0
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_OSC_EDPD_OVER_0_XOBP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register PMC_IMPL_CLK_OUT_CNTRL_0
#define PMC_IMPL_CLK_OUT_CNTRL_0                        MK_ADDR_CONST(0x64)
#define PMC_IMPL_CLK_OUT_CNTRL_0_SECURE                         0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_DUAL                   0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_SCR                    CNTRL_SCR_0
#define PMC_IMPL_CLK_OUT_CNTRL_0_SCRREG                         PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_CLK_OUT_CNTRL_0_WORD_COUNT                     0x1
#define PMC_IMPL_CLK_OUT_CNTRL_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_RESET_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_CLK_OUT_CNTRL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_READ_MASK                      MK_MASK_CONST(0xffffff)
#define PMC_IMPL_CLK_OUT_CNTRL_0_WRITE_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_RANGE                  0:0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_ACCEPT_REQ_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_RANGE                  1:1
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_INVERT_REQ_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_RANGE                    2:2
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_WOFFSET                  0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_FORCE_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_RANGE                    3:3
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_WOFFSET                  0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_RESERVED_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_RANGE                  5:4
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_LOW                    MK_ENUM_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_HIGH                   MK_ENUM_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_IDLE_STATE_TRIS                   MK_ENUM_CONST(2)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_SHIFT                     MK_SHIFT_CONST(6)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_RANGE                     7:6
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_MSB                       MK_SHIFT_CONST(7)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_LSB                       MK_SHIFT_CONST(6)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_WOFFSET                   0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_OSC_DIV1                  MK_ENUM_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_OSC_DIV2                  MK_ENUM_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_OSC_DIV3                  MK_ENUM_CONST(2)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK1_SRC_SEL_CAR                       MK_ENUM_CONST(3)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_RANGE                  8:8
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_ACCEPT_REQ_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_SHIFT                  MK_SHIFT_CONST(9)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_RANGE                  9:9
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_MSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_LSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_INVERT_REQ_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_SHIFT                    MK_SHIFT_CONST(10)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_RANGE                    10:10
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_MSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_LSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_WOFFSET                  0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_FORCE_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_SHIFT                    MK_SHIFT_CONST(11)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_RANGE                    11:11
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_MSB                      MK_SHIFT_CONST(11)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_LSB                      MK_SHIFT_CONST(11)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_WOFFSET                  0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_RESERVED_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_SHIFT                  MK_SHIFT_CONST(12)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_RANGE                  13:12
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_MSB                    MK_SHIFT_CONST(13)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_LSB                    MK_SHIFT_CONST(12)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_LOW                    MK_ENUM_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_HIGH                   MK_ENUM_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_IDLE_STATE_TRIS                   MK_ENUM_CONST(2)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_SHIFT                     MK_SHIFT_CONST(14)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_RANGE                     15:14
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_MSB                       MK_SHIFT_CONST(15)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_LSB                       MK_SHIFT_CONST(14)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_WOFFSET                   0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_OSC_DIV1                  MK_ENUM_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_OSC_DIV2                  MK_ENUM_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_OSC_DIV3                  MK_ENUM_CONST(2)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK2_SRC_SEL_CAR                       MK_ENUM_CONST(3)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_SHIFT                  MK_SHIFT_CONST(16)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_RANGE                  16:16
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_MSB                    MK_SHIFT_CONST(16)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_LSB                    MK_SHIFT_CONST(16)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_ACCEPT_REQ_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_SHIFT                  MK_SHIFT_CONST(17)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_RANGE                  17:17
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_MSB                    MK_SHIFT_CONST(17)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_LSB                    MK_SHIFT_CONST(17)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_INVERT_REQ_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_SHIFT                    MK_SHIFT_CONST(18)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_RANGE                    18:18
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_MSB                      MK_SHIFT_CONST(18)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_LSB                      MK_SHIFT_CONST(18)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_WOFFSET                  0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_FORCE_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_SHIFT                    MK_SHIFT_CONST(19)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_RANGE                    19:19
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_MSB                      MK_SHIFT_CONST(19)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_LSB                      MK_SHIFT_CONST(19)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_WOFFSET                  0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_RESERVED_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_SHIFT                  MK_SHIFT_CONST(20)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_RANGE                  21:20
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_MSB                    MK_SHIFT_CONST(21)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_LSB                    MK_SHIFT_CONST(20)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_WOFFSET                        0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_LOW                    MK_ENUM_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_HIGH                   MK_ENUM_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_IDLE_STATE_TRIS                   MK_ENUM_CONST(2)

#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_SHIFT                     MK_SHIFT_CONST(22)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_SHIFT)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_RANGE                     23:22
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_MSB                       MK_SHIFT_CONST(23)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_LSB                       MK_SHIFT_CONST(22)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_WOFFSET                   0x0
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_OSC_DIV1                  MK_ENUM_CONST(0)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_OSC_DIV2                  MK_ENUM_CONST(1)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_OSC_DIV3                  MK_ENUM_CONST(2)
#define PMC_IMPL_CLK_OUT_CNTRL_0_CLK3_SRC_SEL_CAR                       MK_ENUM_CONST(3)


// Reserved address 0x68

// Register PMC_IMPL_SENSOR_CTRL_0
#define PMC_IMPL_SENSOR_CTRL_0                  MK_ADDR_CONST(0x6c)
#define PMC_IMPL_SENSOR_CTRL_0_SECURE                   0x0
#define PMC_IMPL_SENSOR_CTRL_0_DUAL                     0x0
#define PMC_IMPL_SENSOR_CTRL_0_SCR                      CNTRL_SCR_0
#define PMC_IMPL_SENSOR_CTRL_0_SCRREG                   PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_SENSOR_CTRL_0_WORD_COUNT                       0x1
#define PMC_IMPL_SENSOR_CTRL_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_RESET_MASK                       MK_MASK_CONST(0xf)
#define PMC_IMPL_SENSOR_CTRL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_READ_MASK                        MK_MASK_CONST(0xf)
#define PMC_IMPL_SENSOR_CTRL_0_WRITE_MASK                       MK_MASK_CONST(0xf)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_SHIFT)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_RANGE                  0:0
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_WOFFSET                        0x0
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_PG_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_SHIFT)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_RANGE                 1:1
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_WOFFSET                       0x0
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_RST_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_SHIFT)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_RANGE                        2:2
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_WOFFSET                      0x0
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_BLOCK_SCRATCH_WRITE_OFF_ON                       MK_ENUM_CONST(0)

#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_SHIFT                     MK_SHIFT_CONST(3)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_SHIFT)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_RANGE                     3:3
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_MSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_LSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_WOFFSET                   0x0
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_SENSOR_CTRL_0_ENABLE_FSI_RST_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_RST_STATUS_0
#define PMC_IMPL_RST_STATUS_0                   MK_ADDR_CONST(0x70)
#define PMC_IMPL_RST_STATUS_0_SECURE                    0x0
#define PMC_IMPL_RST_STATUS_0_DUAL                      0x0
#define PMC_IMPL_RST_STATUS_0_SCR                       CNTRL_SCR_0
#define PMC_IMPL_RST_STATUS_0_SCRREG                    PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_RST_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_RST_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RESET_MASK                        MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_READ_MASK                         MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_FIELD                   MK_FIELD_CONST(0x3, PMC_IMPL_RST_STATUS_0_RST_LEVEL_SHIFT)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_RANGE                   1:0
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_WOFFSET                 0x0
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_INIT_ENUM                       L0
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_L0                      MK_ENUM_CONST(0)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_L1                      MK_ENUM_CONST(1)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_L2                      MK_ENUM_CONST(2)
#define PMC_IMPL_RST_STATUS_0_RST_LEVEL_WARM                    MK_ENUM_CONST(3)

#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FIELD                  MK_FIELD_CONST(0x3f, PMC_IMPL_RST_STATUS_0_RST_SOURCE_SHIFT)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_RANGE                  7:2
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_WOFFSET                        0x0
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_DEFAULT_MASK                   MK_MASK_CONST(0x3f)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_INIT_ENUM                      SYS_RESET_N
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SYS_RESET_N                    MK_ENUM_CONST(0)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_AOWDT                  MK_ENUM_CONST(1)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_BCCPLEXWDT                     MK_ENUM_CONST(2)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_BPMPWDT                        MK_ENUM_CONST(3)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SCEWDT                 MK_ENUM_CONST(4)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SPEWDT                 MK_ENUM_CONST(5)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_APEWDT                 MK_ENUM_CONST(6)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_LCCPLEXWDT                     MK_ENUM_CONST(7)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SENSOR                 MK_ENUM_CONST(8)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_AOTAG                  MK_ENUM_CONST(9)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_VFSENSOR                       MK_ENUM_CONST(10)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_MAINSWRST                      MK_ENUM_CONST(11)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SC7                    MK_ENUM_CONST(12)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_HSM                    MK_ENUM_CONST(13)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_CSITE                  MK_ENUM_CONST(14)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_RCEWDT                 MK_ENUM_CONST(15)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_PVA0WDT                        MK_ENUM_CONST(16)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_PVA1WDT                        MK_ENUM_CONST(17)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_L1A_ASYNC                      MK_ENUM_CONST(18)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_BPMPBOOT                       MK_ENUM_CONST(19)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FUSECRC                        MK_ENUM_CONST(20)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_DCEWDT                 MK_ENUM_CONST(21)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_PSCWDT                 MK_ENUM_CONST(22)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_PSC_SW                 MK_ENUM_CONST(23)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_CSITE_SW                       MK_ENUM_CONST(24)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_POD                    MK_ENUM_CONST(25)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_SCPM                   MK_ENUM_CONST(26)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_VREFRO_POWERBAD                        MK_ENUM_CONST(27)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_VMON                   MK_ENUM_CONST(28)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FMON                   MK_ENUM_CONST(29)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_R5WDT                      MK_ENUM_CONST(30)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_THERM                      MK_ENUM_CONST(31)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_R52C0WDT                   MK_ENUM_CONST(32)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_R52C1WDT                   MK_ENUM_CONST(33)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_R52C2WDT                   MK_ENUM_CONST(34)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_R52C3WDT                   MK_ENUM_CONST(35)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_FMON                       MK_ENUM_CONST(36)
#define PMC_IMPL_RST_STATUS_0_RST_SOURCE_FSI_VMON                       MK_ENUM_CONST(37)


// Register PMC_IMPL_IO_DPD_REQ_0
#define PMC_IMPL_IO_DPD_REQ_0                   MK_ADDR_CONST(0x74)
#define PMC_IMPL_IO_DPD_REQ_0_SECURE                    0x0
#define PMC_IMPL_IO_DPD_REQ_0_DUAL                      0x0
#define PMC_IMPL_IO_DPD_REQ_0_SCR                       0
#define PMC_IMPL_IO_DPD_REQ_0_SCRREG                    0
#define PMC_IMPL_IO_DPD_REQ_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_DPD_REQ_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_RESET_MASK                        MK_MASK_CONST(0xc0000000)
#define PMC_IMPL_IO_DPD_REQ_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_READ_MASK                         MK_MASK_CONST(0xc0000000)
#define PMC_IMPL_IO_DPD_REQ_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_SHIFT                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_FIELD                        MK_FIELD_CONST(0x3, PMC_IMPL_IO_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_RANGE                        31:30
#define PMC_IMPL_IO_DPD_REQ_0_CODE_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_LSB                  MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_REQ_0_CODE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_DPD_OFF                      MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_REQ_0_CODE_DPD_ON                       MK_ENUM_CONST(2)


// Reserved address 0x78

// Reserved address 0x7c

// Reserved address 0x80

// Reserved address 0x84

// Reserved address 0x88

// Reserved address 0x8c

// Reserved address 0x90

// Reserved address 0x94

// Reserved address 0x98

// Reserved address 0x9c

// Reserved address 0xa0

// Reserved address 0xa4

// Reserved address 0xa8

// Reserved address 0xac

// Reserved address 0xb0

// Reserved address 0xb4

// Reserved address 0xb8

// Register PMC_IMPL_SEL_DPD_TIM_0
#define PMC_IMPL_SEL_DPD_TIM_0                  MK_ADDR_CONST(0xbc)
#define PMC_IMPL_SEL_DPD_TIM_0_SECURE                   0x0
#define PMC_IMPL_SEL_DPD_TIM_0_DUAL                     0x0
#define PMC_IMPL_SEL_DPD_TIM_0_SCR                      SEL_DPD_TIM_SCR_0
#define PMC_IMPL_SEL_DPD_TIM_0_SCRREG                   PMC_IMPL_SCR_SEL_DPD_TIM_SCR_0
#define PMC_IMPL_SEL_DPD_TIM_0_WORD_COUNT                       0x1
#define PMC_IMPL_SEL_DPD_TIM_0_RESET_VAL                        MK_MASK_CONST(0x7f)
#define PMC_IMPL_SEL_DPD_TIM_0_RESET_MASK                       MK_MASK_CONST(0x7f)
#define PMC_IMPL_SEL_DPD_TIM_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SEL_DPD_TIM_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SEL_DPD_TIM_0_READ_MASK                        MK_MASK_CONST(0x7f)
#define PMC_IMPL_SEL_DPD_TIM_0_WRITE_MASK                       MK_MASK_CONST(0x7f)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_FIELD                        MK_FIELD_CONST(0x7f, PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_SHIFT)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_RANGE                        6:0
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_MSB                  MK_SHIFT_CONST(6)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_WOFFSET                      0x0
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_DEFAULT                      MK_MASK_CONST(0x7f)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_DEFAULT_MASK                 MK_MASK_CONST(0x7f)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SEL_DPD_TIM_0_SEL_DPD_TIM_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Reserved address 0xc0

// Reserved address 0xc4

// Reserved address 0xc8

// Reserved address 0xcc

// Reserved address 0xd0

// Register PMC_IMPL_TSC_MULT_0
#define PMC_IMPL_TSC_MULT_0                     MK_ADDR_CONST(0xd4)
#define PMC_IMPL_TSC_MULT_0_SECURE                      0x0
#define PMC_IMPL_TSC_MULT_0_DUAL                        0x0
#define PMC_IMPL_TSC_MULT_0_SCR                         0
#define PMC_IMPL_TSC_MULT_0_SCRREG                      0
#define PMC_IMPL_TSC_MULT_0_WORD_COUNT                  0x1
#define PMC_IMPL_TSC_MULT_0_RESET_VAL                   MK_MASK_CONST(0x16e0)
#define PMC_IMPL_TSC_MULT_0_RESET_MASK                  MK_MASK_CONST(0xeffff)
#define PMC_IMPL_TSC_MULT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_READ_MASK                   MK_MASK_CONST(0xfffff)
#define PMC_IMPL_TSC_MULT_0_WRITE_MASK                  MK_MASK_CONST(0xeffff)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_FIELD                      MK_FIELD_CONST(0xffff, PMC_IMPL_TSC_MULT_0_MULT_VAL_SHIFT)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_RANGE                      15:0
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_MSB                        MK_SHIFT_CONST(15)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_WOFFSET                    0x0
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_DEFAULT                    MK_MASK_CONST(0x16e0)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_DEFAULT_MASK                       MK_MASK_CONST(0xffff)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_MULT_VAL_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_TSC_MULT_0_FREQ_STS_SHIFT                      MK_SHIFT_CONST(16)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_TSC_MULT_0_FREQ_STS_SHIFT)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_RANGE                      16:16
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_MSB                        MK_SHIFT_CONST(16)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_LSB                        MK_SHIFT_CONST(16)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_WOFFSET                    0x0
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_FREQ_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_TSC_MULT_0_TICK_SEL_SHIFT                      MK_SHIFT_CONST(17)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_TSC_MULT_0_TICK_SEL_SHIFT)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_RANGE                      19:17
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_MSB                        MK_SHIFT_CONST(19)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_LSB                        MK_SHIFT_CONST(17)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_WOFFSET                    0x0
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_BIT0                       MK_ENUM_CONST(0)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_BIT1                       MK_ENUM_CONST(1)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_BIT2                       MK_ENUM_CONST(2)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_BIT3                       MK_ENUM_CONST(3)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_BIT4                       MK_ENUM_CONST(4)
#define PMC_IMPL_TSC_MULT_0_TICK_SEL_BIT5                       MK_ENUM_CONST(5)


// Register PMC_IMPL_GLB_AMAP_CFG_0
#define PMC_IMPL_GLB_AMAP_CFG_0                 MK_ADDR_CONST(0xd8)
#define PMC_IMPL_GLB_AMAP_CFG_0_SECURE                  0x0
#define PMC_IMPL_GLB_AMAP_CFG_0_DUAL                    0x0
#define PMC_IMPL_GLB_AMAP_CFG_0_SCR                     AMAP_SCR_0
#define PMC_IMPL_GLB_AMAP_CFG_0_SCRREG                  PMC_IMPL_SCR_AMAP_SCR_0
#define PMC_IMPL_GLB_AMAP_CFG_0_WORD_COUNT                      0x1
#define PMC_IMPL_GLB_AMAP_CFG_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_RESET_MASK                      MK_MASK_CONST(0x1e)
#define PMC_IMPL_GLB_AMAP_CFG_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_READ_MASK                       MK_MASK_CONST(0x1e)
#define PMC_IMPL_GLB_AMAP_CFG_0_WRITE_MASK                      MK_MASK_CONST(0x1e)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_SHIFT)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_RANGE                   1:1
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_WOFFSET                 0x0
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_MMIO                    MK_ENUM_CONST(0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A1_DRAM                    MK_ENUM_CONST(1)

#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_SHIFT)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_RANGE                   2:2
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_WOFFSET                 0x0
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_MMIO                    MK_ENUM_CONST(0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A2_DRAM                    MK_ENUM_CONST(1)

#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_SHIFT                   MK_SHIFT_CONST(3)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_SHIFT)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_RANGE                   3:3
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_LSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_WOFFSET                 0x0
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_MMIO                    MK_ENUM_CONST(0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A3_DRAM                    MK_ENUM_CONST(1)

#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_SHIFT                   MK_SHIFT_CONST(4)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_SHIFT)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_RANGE                   4:4
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_MSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_LSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_WOFFSET                 0x0
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_MMIO                    MK_ENUM_CONST(0)
#define PMC_IMPL_GLB_AMAP_CFG_0_PCIE_A4_DRAM                    MK_ENUM_CONST(1)


// Reserved address 0xdc

// Reserved address 0xe0

// Reserved address 0xe4

// Register PMC_IMPL_GPU_RG_CNTRL_0
#define PMC_IMPL_GPU_RG_CNTRL_0                 MK_ADDR_CONST(0xe8)
#define PMC_IMPL_GPU_RG_CNTRL_0_SECURE                  0x0
#define PMC_IMPL_GPU_RG_CNTRL_0_DUAL                    0x0
#define PMC_IMPL_GPU_RG_CNTRL_0_SCR                     GPU_SCR_0
#define PMC_IMPL_GPU_RG_CNTRL_0_SCRREG                  PMC_IMPL_SCR_GPU_SCR_0
#define PMC_IMPL_GPU_RG_CNTRL_0_WORD_COUNT                      0x1
#define PMC_IMPL_GPU_RG_CNTRL_0_RESET_VAL                       MK_MASK_CONST(0x1)
#define PMC_IMPL_GPU_RG_CNTRL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_GPU_RG_CNTRL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_GPU_RG_CNTRL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_GPU_RG_CNTRL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_GPU_RG_CNTRL_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_SHIFT)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_RANGE                        0:0
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_GPU_RG_CNTRL_0_RAIL_CLAMP_ENABLE                       MK_ENUM_CONST(1)


// Reserved address 0xec

// Reserved address 0xf0

// Reserved address 0xf4

// Register PMC_IMPL_CNTRL2_0
#define PMC_IMPL_CNTRL2_0                       MK_ADDR_CONST(0xf8)
#define PMC_IMPL_CNTRL2_0_SECURE                        0x0
#define PMC_IMPL_CNTRL2_0_DUAL                  0x0
#define PMC_IMPL_CNTRL2_0_SCR                   CNTRL_SCR_0
#define PMC_IMPL_CNTRL2_0_SCRREG                        PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_CNTRL2_0_WORD_COUNT                    0x1
#define PMC_IMPL_CNTRL2_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_RESET_MASK                    MK_MASK_CONST(0x1c00)
#define PMC_IMPL_CNTRL2_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_READ_MASK                     MK_MASK_CONST(0x1dfe)
#define PMC_IMPL_CNTRL2_0_WRITE_MASK                    MK_MASK_CONST(0x1dfe)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_SHIFT                 MK_SHIFT_CONST(12)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_SHIFT)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_RANGE                 12:12
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_MSB                   MK_SHIFT_CONST(12)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_LSB                   MK_SHIFT_CONST(12)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_WOFFSET                       0x0
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL2_0_HOLD_CKE_LOW_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_SHIFT                     MK_SHIFT_CONST(11)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL2_0_SYSCLK_DATA_SHIFT)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_RANGE                     11:11
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_MSB                       MK_SHIFT_CONST(11)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_LSB                       MK_SHIFT_CONST(11)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_WOFFSET                   0x0
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_DATA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_SHIFT                   MK_SHIFT_CONST(10)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_SHIFT)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_RANGE                   10:10
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_MSB                     MK_SHIFT_CONST(10)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_LSB                     MK_SHIFT_CONST(10)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_WOFFSET                 0x0
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_CNTRL2_0_SYSCLK_ORRIDE_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_CNTRL2_0_RESERVED_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_CNTRL2_0_RESERVED_FIELD                        MK_FIELD_CONST(0xff, PMC_IMPL_CNTRL2_0_RESERVED_SHIFT)
#define PMC_IMPL_CNTRL2_0_RESERVED_RANGE                        8:1
#define PMC_IMPL_CNTRL2_0_RESERVED_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_CNTRL2_0_RESERVED_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_CNTRL2_0_RESERVED_WOFFSET                      0x0
#define PMC_IMPL_CNTRL2_0_RESERVED_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_RESERVED_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_RESERVED_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_RESERVED_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_RESERVED_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CNTRL2_0_RESERVED_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_EVENT_COUNTER_0
#define PMC_IMPL_EVENT_COUNTER_0                        MK_ADDR_CONST(0xfc)
#define PMC_IMPL_EVENT_COUNTER_0_SECURE                         0x0
#define PMC_IMPL_EVENT_COUNTER_0_DUAL                   0x0
#define PMC_IMPL_EVENT_COUNTER_0_SCR                    EVENT_COUNTER_SCR_0
#define PMC_IMPL_EVENT_COUNTER_0_SCRREG                         PMC_IMPL_SCR_EVENT_COUNTER_SCR_0
#define PMC_IMPL_EVENT_COUNTER_0_WORD_COUNT                     0x1
#define PMC_IMPL_EVENT_COUNTER_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_RESET_MASK                     MK_MASK_CONST(0x1fffff)
#define PMC_IMPL_EVENT_COUNTER_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_READ_MASK                      MK_MASK_CONST(0x1fffff)
#define PMC_IMPL_EVENT_COUNTER_0_WRITE_MASK                     MK_MASK_CONST(0x1fffff)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_FIELD                    MK_FIELD_CONST(0xffff, PMC_IMPL_EVENT_COUNTER_0_COUNT_SHIFT)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_RANGE                    15:0
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_MSB                      MK_SHIFT_CONST(15)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_WOFFSET                  0x0
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_DEFAULT_MASK                     MK_MASK_CONST(0xffff)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_COUNT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_EVENT_COUNTER_0_SEL_SHIFT                      MK_SHIFT_CONST(16)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_FIELD                      MK_FIELD_CONST(0xf, PMC_IMPL_EVENT_COUNTER_0_SEL_SHIFT)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_RANGE                      19:16
#define PMC_IMPL_EVENT_COUNTER_0_SEL_MSB                        MK_SHIFT_CONST(19)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_LSB                        MK_SHIFT_CONST(16)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_WOFFSET                    0x0
#define PMC_IMPL_EVENT_COUNTER_0_SEL_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_DEFAULT_MASK                       MK_MASK_CONST(0xf)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_EVENT_COUNTER_0_SEL_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_EVENT_COUNTER_0_EN_SHIFT                       MK_SHIFT_CONST(20)
#define PMC_IMPL_EVENT_COUNTER_0_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_EVENT_COUNTER_0_EN_SHIFT)
#define PMC_IMPL_EVENT_COUNTER_0_EN_RANGE                       20:20
#define PMC_IMPL_EVENT_COUNTER_0_EN_MSB                 MK_SHIFT_CONST(20)
#define PMC_IMPL_EVENT_COUNTER_0_EN_LSB                 MK_SHIFT_CONST(20)
#define PMC_IMPL_EVENT_COUNTER_0_EN_WOFFSET                     0x0
#define PMC_IMPL_EVENT_COUNTER_0_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_EVENT_COUNTER_0_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_EVENT_COUNTER_0_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_EVENT_COUNTER_0_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_EVENT_COUNTER_0_EN_ON                  MK_ENUM_CONST(1)


// Reserved address 0x100

// Register PMC_IMPL_DIRECT_THERMTRIP_CFG_0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0                 MK_ADDR_CONST(0x104)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SECURE                  0x0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_DUAL                    0x0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SCR                     DIRECT_THERMTRIP_CFG_SCR_0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SCRREG                  PMC_IMPL_SCR_DIRECT_THERMTRIP_CFG_SCR_0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_WORD_COUNT                      0x1
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_RESET_VAL                       MK_MASK_CONST(0x10)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_RESET_MASK                      MK_MASK_CONST(0x3f)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_READ_MASK                       MK_MASK_CONST(0x3f)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_WRITE_MASK                      MK_MASK_CONST(0x3f)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_SHIFT)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_RANGE                    5:5
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_WOFFSET                  0x0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_LOCK_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_SHIFT                      MK_SHIFT_CONST(4)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_SHIFT)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_RANGE                      4:4
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_MSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_LSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_WOFFSET                    0x0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_THERMTRIP_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_SHIFT)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_RANGE                   3:0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_WOFFSET                 0x0
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_DIRECT_THERMTRIP_CFG_0_SHDN_ASSERT_PULSE_WIDTH_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x108

// Register PMC_IMPL_RAMDUMP_CTL_STATUS_0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0                   MK_ADDR_CONST(0x10c)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SECURE                    0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DUAL                      0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCR                       RAMDUMP_COM_SCR_0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCRREG                    PMC_IMPL_SCR_RAMDUMP_COM_SCR_0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RESET_MASK                        MK_MASK_CONST(0xffffe403)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_READ_MASK                         MK_MASK_CONST(0xffffe4ff)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x1fffe403)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_SHIFT                      MK_SHIFT_CONST(29)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_RANGE                      31:29
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_LSB                        MK_SHIFT_CONST(29)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_WOFFSET                    0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_INIT_ENUM                  IDLE
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_CACHEFLUSH                 MK_ENUM_CONST(1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_WAIT                       MK_ENUM_CONST(2)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_DRAM_SELF_REFRESH                  MK_ENUM_CONST(3)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_DEBUG_RESET_ACK                    MK_ENUM_CONST(4)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_CSTATE_WAIT_FOR_SW_ACK                    MK_ENUM_CONST(5)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_SHIFT                 MK_SHIFT_CONST(28)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_RANGE                 28:28
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_MSB                   MK_SHIFT_CONST(28)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_LSB                   MK_SHIFT_CONST(28)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_WOFFSET                       0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_HALT_IN_FIQ_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_SHIFT                     MK_SHIFT_CONST(27)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_RANGE                     27:27
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_MSB                       MK_SHIFT_CONST(27)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_LSB                       MK_SHIFT_CONST(27)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT3_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_SHIFT                     MK_SHIFT_CONST(26)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_RANGE                     26:26
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_MSB                       MK_SHIFT_CONST(26)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_LSB                       MK_SHIFT_CONST(26)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT2_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_SHIFT                   MK_SHIFT_CONST(25)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_RANGE                   25:25
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_MSB                     MK_SHIFT_CONST(25)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_LSB                     MK_SHIFT_CONST(25)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DCE_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_SHIFT                   MK_SHIFT_CONST(24)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_RANGE                   24:24
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_MSB                     MK_SHIFT_CONST(24)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_LSB                     MK_SHIFT_CONST(24)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RCE_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_SHIFT                   MK_SHIFT_CONST(23)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_RANGE                   23:23
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_MSB                     MK_SHIFT_CONST(23)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_LSB                     MK_SHIFT_CONST(23)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_2ND_BOOT_COMPLETE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_SHIFT                     MK_SHIFT_CONST(22)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_RANGE                     22:22
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_MSB                       MK_SHIFT_CONST(22)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_LSB                       MK_SHIFT_CONST(22)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_REMOTE_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_SHIFT                     MK_SHIFT_CONST(21)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_RANGE                     21:21
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_MSB                       MK_SHIFT_CONST(21)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_LSB                       MK_SHIFT_CONST(21)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT1_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_SHIFT                     MK_SHIFT_CONST(20)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_RANGE                     20:20
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_MSB                       MK_SHIFT_CONST(20)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_LSB                       MK_SHIFT_CONST(20)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER1_WDT0_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_SHIFT                      MK_SHIFT_CONST(19)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_RANGE                      19:19
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_MSB                        MK_SHIFT_CONST(19)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_LSB                        MK_SHIFT_CONST(19)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_WOFFSET                    0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_FSI_CLUSTER0_WDT_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_SHIFT                   MK_SHIFT_CONST(18)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_RANGE                   18:18
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_MSB                     MK_SHIFT_CONST(18)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_LSB                     MK_SHIFT_CONST(18)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SCE_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_SHIFT                   MK_SHIFT_CONST(17)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_RANGE                   17:17
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_MSB                     MK_SHIFT_CONST(17)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_LSB                     MK_SHIFT_CONST(17)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_APE_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_SHIFT                   MK_SHIFT_CONST(16)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_RANGE                   16:16
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_MSB                     MK_SHIFT_CONST(16)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_LSB                     MK_SHIFT_CONST(16)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_SPE_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_SHIFT                  MK_SHIFT_CONST(15)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_RANGE                  15:15
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_MSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_LSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_WOFFSET                        0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_BPMP_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_SHIFT                       MK_SHIFT_CONST(14)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_RANGE                       14:14
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_MSB                 MK_SHIFT_CONST(14)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_LSB                 MK_SHIFT_CONST(14)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_WOFFSET                     0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER1_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_SHIFT                       MK_SHIFT_CONST(13)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_RANGE                       13:13
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_MSB                 MK_SHIFT_CONST(13)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_LSB                 MK_SHIFT_CONST(13)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_WOFFSET                     0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CLUSTER0_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_SHIFT                    MK_SHIFT_CONST(10)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_RANGE                    10:10
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_MSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_LSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_WOFFSET                  0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_STATUS_6_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_SHIFT                   MK_SHIFT_CONST(7)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_RANGE                   7:7
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_MSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_LSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_SELF_REFRESH_REQUEST_TIMEOUT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_SHIFT                        MK_SHIFT_CONST(6)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_RANGE                        6:6
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_MSB                  MK_SHIFT_CONST(6)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_LSB                  MK_SHIFT_CONST(6)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_WOFFSET                      0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_DRAM_IN_SELF_REFRESH_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_SHIFT                   MK_SHIFT_CONST(5)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_RANGE                   5:5
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_MSB                     MK_SHIFT_CONST(5)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_LSB                     MK_SHIFT_CONST(5)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_WOFFSET                 0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_REQUEST_TIMEOUT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_SHIFT                      MK_SHIFT_CONST(4)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_RANGE                      4:4
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_MSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_LSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_WOFFSET                    0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHEFLUSH_DONE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_SHIFT                     MK_SHIFT_CONST(3)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_RANGE                     3:3
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_MSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_LSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_RANGE                     2:2
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_WDT_DFD_RST_REQ_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_RANGE                     1:1
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_WOFFSET                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_CCPLEX_CACHE_RSTDISABLE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_RANGE                  0:0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_WOFFSET                        0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS_0_RAMDUMP_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_RAMDUMP_TIMEOUT_0
#define PMC_IMPL_RAMDUMP_TIMEOUT_0                      MK_ADDR_CONST(0x110)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_SECURE                       0x0
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_DUAL                         0x0
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_SCR                  RAMDUMP_TIMEOUT_SCR_0
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_SCRREG                       PMC_IMPL_SCR_RAMDUMP_TIMEOUT_SCR_0
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_WORD_COUNT                   0x1
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RESET_VAL                    MK_MASK_CONST(0x7d00)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_FIELD                        MK_FIELD_CONST(0xffffffff, PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_SHIFT)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_RANGE                        31:0
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_WOFFSET                      0x0
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_DEFAULT                      MK_MASK_CONST(0x7d00)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_DEFAULT_MASK                 MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_TIMEOUT_0_RAMDUMP_TIMEOUT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_RST_REQ_CONFIG_0
#define PMC_IMPL_RST_REQ_CONFIG_0                       MK_ADDR_CONST(0x114)
#define PMC_IMPL_RST_REQ_CONFIG_0_SECURE                        0x0
#define PMC_IMPL_RST_REQ_CONFIG_0_DUAL                  0x0
#define PMC_IMPL_RST_REQ_CONFIG_0_SCR                   CNTRL_SCR_0
#define PMC_IMPL_RST_REQ_CONFIG_0_SCRREG                        PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_RST_REQ_CONFIG_0_WORD_COUNT                    0x1
#define PMC_IMPL_RST_REQ_CONFIG_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_RESET_MASK                    MK_MASK_CONST(0xb)
#define PMC_IMPL_RST_REQ_CONFIG_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_READ_MASK                     MK_MASK_CONST(0xb)
#define PMC_IMPL_RST_REQ_CONFIG_0_WRITE_MASK                    MK_MASK_CONST(0xb)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_SHIFT)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_RANGE                        0:0
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_WOFFSET                      0x0
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_INIT_ENUM                    DISABLE
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BWDTRST_WDT_OUT_RST_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_SHIFT)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_RANGE                      1:1
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_WOFFSET                    0x0
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_INIT_ENUM                  DISABLE
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1BAOWDTRST_WDT_OUT_RST_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_SHIFT                   MK_SHIFT_CONST(3)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_SHIFT)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_RANGE                   3:3
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_LSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_WOFFSET                 0x0
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_INIT_ENUM                       DISABLE
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_RST_REQ_CONFIG_0_L1CRST_WDT_OUT_RST_EN_ENABLE                  MK_ENUM_CONST(1)


// Register PMC_IMPL_RST_REQ_CNTVAL_0
#define PMC_IMPL_RST_REQ_CNTVAL_0                       MK_ADDR_CONST(0x118)
#define PMC_IMPL_RST_REQ_CNTVAL_0_SECURE                        0x0
#define PMC_IMPL_RST_REQ_CNTVAL_0_DUAL                  0x0
#define PMC_IMPL_RST_REQ_CNTVAL_0_SCR                   CNTRL_SCR_0
#define PMC_IMPL_RST_REQ_CNTVAL_0_SCRREG                        PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_RST_REQ_CNTVAL_0_WORD_COUNT                    0x1
#define PMC_IMPL_RST_REQ_CNTVAL_0_RESET_VAL                     MK_MASK_CONST(0x4000000)
#define PMC_IMPL_RST_REQ_CNTVAL_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_RST_REQ_CNTVAL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_RST_REQ_CNTVAL_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_FIELD                  MK_FIELD_CONST(0xff, PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_SHIFT)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_RANGE                  7:0
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_WOFFSET                        0x0
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1ARST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_FIELD                  MK_FIELD_CONST(0xff, PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_SHIFT)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_RANGE                  15:8
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_MSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_WOFFSET                        0x0
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1BRST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_SHIFT                  MK_SHIFT_CONST(16)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_FIELD                  MK_FIELD_CONST(0xff, PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_SHIFT)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_RANGE                  23:16
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_MSB                    MK_SHIFT_CONST(23)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_LSB                    MK_SHIFT_CONST(16)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_WOFFSET                        0x0
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L1CRST_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_SHIFT                   MK_SHIFT_CONST(24)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_FIELD                   MK_FIELD_CONST(0xff, PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_SHIFT)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_RANGE                   31:24
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_LSB                     MK_SHIFT_CONST(24)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_WOFFSET                 0x0
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_DEFAULT                 MK_MASK_CONST(0x4)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_DEFAULT_MASK                    MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_CNTVAL_0_L2RST_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Reserved address 0x11c

// Reserved address 0x120

// Reserved address 0x124

// Reserved address 0x128

// Reserved address 0x12c

// Reserved address 0x130

// Reserved address 0x134

// Reserved address 0x138

// Reserved address 0x13c

// Reserved address 0x140

// Reserved address 0x144

// Reserved address 0x148

// Reserved address 0x14c

// Reserved address 0x150

// Reserved address 0x154

// Reserved address 0x158

// Reserved address 0x15c

// Reserved address 0x160

// Reserved address 0x164

// Reserved address 0x168

// Reserved address 0x16c

// Reserved address 0x170

// Reserved address 0x174

// Reserved address 0x178

// Reserved address 0x17c

// Reserved address 0x180

// Reserved address 0x184

// Reserved address 0x188

// Reserved address 0x18c

// Reserved address 0x190

// Reserved address 0x194

// Reserved address 0x198

// Reserved address 0x19c

// Reserved address 0x1a0

// Reserved address 0x1a4

// Reserved address 0x1a8

// Reserved address 0x1ac

// Reserved address 0x1b0

// Reserved address 0x1b4

// Reserved address 0x1b8

// Reserved address 0x1bc

// Reserved address 0x1c0

// Reserved address 0x1c4

// Reserved address 0x1c8

// Reserved address 0x1cc

// Reserved address 0x1d0

// Register PMC_IMPL_VFMON_ACTION_0
#define PMC_IMPL_VFMON_ACTION_0                 MK_ADDR_CONST(0x1d4)
#define PMC_IMPL_VFMON_ACTION_0_SECURE                  0x0
#define PMC_IMPL_VFMON_ACTION_0_DUAL                    0x0
#define PMC_IMPL_VFMON_ACTION_0_SCR                     VFMON_CTRL_SCR_0
#define PMC_IMPL_VFMON_ACTION_0_SCRREG                  PMC_IMPL_SCR_VFMON_CTRL_SCR_0
#define PMC_IMPL_VFMON_ACTION_0_WORD_COUNT                      0x1
#define PMC_IMPL_VFMON_ACTION_0_RESET_VAL                       MK_MASK_CONST(0x80000005)
#define PMC_IMPL_VFMON_ACTION_0_RESET_MASK                      MK_MASK_CONST(0x800fffff)
#define PMC_IMPL_VFMON_ACTION_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_READ_MASK                       MK_MASK_CONST(0x800fffff)
#define PMC_IMPL_VFMON_ACTION_0_WRITE_MASK                      MK_MASK_CONST(0x800fffff)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_RANGE                 1:0
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_WOFFSET                       0x0
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_INIT_ENUM                     INTR
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_NONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_FOSC_FAULT_ACTION_INTR                  MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_RANGE                 3:2
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_WOFFSET                       0x0
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_INIT_ENUM                     INTR
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_NONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_F32K_FAULT_ACTION_INTR                  MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_RANGE                  5:4
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_WOFFSET                        0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_INIT_ENUM                      NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_NONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_INTR                   MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MIN_FAULT_ACTION_RST                    MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_SHIFT                  MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_RANGE                  7:6
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_LSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_WOFFSET                        0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_INIT_ENUM                      NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_NONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_INTR                   MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_SOC_MAX_FAULT_ACTION_RST                    MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_SHIFT                 MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_RANGE                 9:8
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_MSB                   MK_SHIFT_CONST(9)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_LSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_WOFFSET                       0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_INIT_ENUM                     NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_NONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_INTR                  MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MIN_FAULT_ACTION_RST                   MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_SHIFT                 MK_SHIFT_CONST(10)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_RANGE                 11:10
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_MSB                   MK_SHIFT_CONST(11)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_LSB                   MK_SHIFT_CONST(10)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_WOFFSET                       0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_INIT_ENUM                     NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_NONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_INTR                  MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU0_MAX_FAULT_ACTION_RST                   MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_SHIFT                 MK_SHIFT_CONST(12)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_RANGE                 13:12
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_MSB                   MK_SHIFT_CONST(13)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_LSB                   MK_SHIFT_CONST(12)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_WOFFSET                       0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_INIT_ENUM                     NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_NONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_INTR                  MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MIN_FAULT_ACTION_RST                   MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_SHIFT                 MK_SHIFT_CONST(14)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_RANGE                 15:14
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_MSB                   MK_SHIFT_CONST(15)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_LSB                   MK_SHIFT_CONST(14)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_WOFFSET                       0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_INIT_ENUM                     NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_NONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_INTR                  MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_CPU1_MAX_FAULT_ACTION_RST                   MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_SHIFT                  MK_SHIFT_CONST(16)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_RANGE                  17:16
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_MSB                    MK_SHIFT_CONST(17)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_LSB                    MK_SHIFT_CONST(16)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_WOFFSET                        0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_INIT_ENUM                      NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_NONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_INTR                   MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MIN_FAULT_ACTION_RST                    MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_SHIFT                  MK_SHIFT_CONST(18)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_RANGE                  19:18
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_MSB                    MK_SHIFT_CONST(19)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_LSB                    MK_SHIFT_CONST(18)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_WOFFSET                        0x0
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_INIT_ENUM                      NONE
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_NONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_INTR                   MK_ENUM_CONST(1)
#define PMC_IMPL_VFMON_ACTION_0_VDD_FSI_MAX_FAULT_ACTION_RST                    MK_ENUM_CONST(2)

#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_SHIFT                   MK_SHIFT_CONST(31)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_ACTION_0_VMON_EN_SHIFT)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_RANGE                   31:31
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_LSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_WOFFSET                 0x0
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_ACTION_0_VMON_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register PMC_IMPL_VFMON_INT_STATUS_0
#define PMC_IMPL_VFMON_INT_STATUS_0                     MK_ADDR_CONST(0x1d8)
#define PMC_IMPL_VFMON_INT_STATUS_0_SECURE                      0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_DUAL                        0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_SCR                         VFMON_ST_SCR_0
#define PMC_IMPL_VFMON_INT_STATUS_0_SCRREG                      PMC_IMPL_SCR_VFMON_ST_SCR_0
#define PMC_IMPL_VFMON_INT_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_VFMON_INT_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x3ff)
#define PMC_IMPL_VFMON_INT_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_READ_MASK                   MK_MASK_CONST(0x3ff)
#define PMC_IMPL_VFMON_INT_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x3ff)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_RANGE                    0:0
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_WOFFSET                  0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_INIT_ENUM                        OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_FOSC_FAULT_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_RANGE                    1:1
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_WOFFSET                  0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_INIT_ENUM                        OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_F32K_FAULT_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_RANGE                     2:2
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_WOFFSET                   0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_INIT_ENUM                 OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MIN_FAULT_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_SHIFT                     MK_SHIFT_CONST(3)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_RANGE                     3:3
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_MSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_LSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_WOFFSET                   0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_INIT_ENUM                 OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_SOC_MAX_FAULT_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_SHIFT                    MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_RANGE                    4:4
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_MSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_LSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_WOFFSET                  0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_INIT_ENUM                        OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MIN_FAULT_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_RANGE                    5:5
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_WOFFSET                  0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_INIT_ENUM                        OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU0_MAX_FAULT_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_SHIFT                    MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_RANGE                    6:6
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_MSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_LSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_WOFFSET                  0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_INIT_ENUM                        OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MIN_FAULT_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_SHIFT                    MK_SHIFT_CONST(7)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_RANGE                    7:7
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_MSB                      MK_SHIFT_CONST(7)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_LSB                      MK_SHIFT_CONST(7)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_WOFFSET                  0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_INIT_ENUM                        OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_CPU1_MAX_FAULT_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_RANGE                     8:8
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_WOFFSET                   0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_INIT_ENUM                 OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MIN_FAULT_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_SHIFT                     MK_SHIFT_CONST(9)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_RANGE                     9:9
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_MSB                       MK_SHIFT_CONST(9)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_LSB                       MK_SHIFT_CONST(9)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_WOFFSET                   0x0
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_INIT_ENUM                 OFF
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_STATUS_0_VDD_FSI_MAX_FAULT_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_VFMON_INT_MASK_0
#define PMC_IMPL_VFMON_INT_MASK_0                       MK_ADDR_CONST(0x1dc)
#define PMC_IMPL_VFMON_INT_MASK_0_SECURE                        0x0
#define PMC_IMPL_VFMON_INT_MASK_0_DUAL                  0x0
#define PMC_IMPL_VFMON_INT_MASK_0_SCR                   VFMON_ST_SCR_0
#define PMC_IMPL_VFMON_INT_MASK_0_SCRREG                        PMC_IMPL_SCR_VFMON_ST_SCR_0
#define PMC_IMPL_VFMON_INT_MASK_0_WORD_COUNT                    0x1
#define PMC_IMPL_VFMON_INT_MASK_0_RESET_VAL                     MK_MASK_CONST(0x3ff)
#define PMC_IMPL_VFMON_INT_MASK_0_RESET_MASK                    MK_MASK_CONST(0x3ff)
#define PMC_IMPL_VFMON_INT_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_READ_MASK                     MK_MASK_CONST(0x3ff)
#define PMC_IMPL_VFMON_INT_MASK_0_WRITE_MASK                    MK_MASK_CONST(0x3ff)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_RANGE                      0:0
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_WOFFSET                    0x0
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_INIT_ENUM                  MASK
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_FOSC_FAULT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_RANGE                      1:1
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_WOFFSET                    0x0
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_INIT_ENUM                  MASK
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_F32K_FAULT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_RANGE                       2:2
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_WOFFSET                     0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_INIT_ENUM                   MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_UNMASK                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MIN_FAULT_MASK                        MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_RANGE                       3:3
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_WOFFSET                     0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_INIT_ENUM                   MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_UNMASK                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_SOC_MAX_FAULT_MASK                        MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_SHIFT                      MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_RANGE                      4:4
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_MSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_LSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_WOFFSET                    0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_INIT_ENUM                  MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MIN_FAULT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_SHIFT                      MK_SHIFT_CONST(5)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_RANGE                      5:5
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_MSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_LSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_WOFFSET                    0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_INIT_ENUM                  MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU0_MAX_FAULT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_SHIFT                      MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_RANGE                      6:6
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_MSB                        MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_LSB                        MK_SHIFT_CONST(6)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_WOFFSET                    0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_INIT_ENUM                  MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MIN_FAULT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_SHIFT                      MK_SHIFT_CONST(7)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_RANGE                      7:7
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_MSB                        MK_SHIFT_CONST(7)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_LSB                        MK_SHIFT_CONST(7)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_WOFFSET                    0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_INIT_ENUM                  MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_CPU1_MAX_FAULT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_SHIFT                       MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_RANGE                       8:8
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_MSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_LSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_WOFFSET                     0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_INIT_ENUM                   MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_UNMASK                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MIN_FAULT_MASK                        MK_ENUM_CONST(1)

#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_SHIFT                       MK_SHIFT_CONST(9)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_SHIFT)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_RANGE                       9:9
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_MSB                 MK_SHIFT_CONST(9)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_LSB                 MK_SHIFT_CONST(9)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_WOFFSET                     0x0
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_INIT_ENUM                   MASK
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_UNMASK                      MK_ENUM_CONST(0)
#define PMC_IMPL_VFMON_INT_MASK_0_VDD_FSI_MAX_FAULT_MASK                        MK_ENUM_CONST(1)


// Reserved address 0x1e0

// Reserved address 0x1e4

// Reserved address 0x1e8

// Register PMC_IMPL_POWER_GATE_TIMERS_0
#define PMC_IMPL_POWER_GATE_TIMERS_0                    MK_ADDR_CONST(0x1ec)
#define PMC_IMPL_POWER_GATE_TIMERS_0_SECURE                     0x0
#define PMC_IMPL_POWER_GATE_TIMERS_0_DUAL                       0x0
#define PMC_IMPL_POWER_GATE_TIMERS_0_SCR                        PG_COM_SCR_0
#define PMC_IMPL_POWER_GATE_TIMERS_0_SCRREG                     PMC_IMPL_SCR_PG_COM_SCR_0
#define PMC_IMPL_POWER_GATE_TIMERS_0_WORD_COUNT                         0x1
#define PMC_IMPL_POWER_GATE_TIMERS_0_RESET_VAL                  MK_MASK_CONST(0x101)
#define PMC_IMPL_POWER_GATE_TIMERS_0_RESET_MASK                         MK_MASK_CONST(0xffff)
#define PMC_IMPL_POWER_GATE_TIMERS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_READ_MASK                  MK_MASK_CONST(0xffff)
#define PMC_IMPL_POWER_GATE_TIMERS_0_WRITE_MASK                         MK_MASK_CONST(0xffff)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_FIELD                  MK_FIELD_CONST(0xff, PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_SHIFT)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_RANGE                  7:0
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_WOFFSET                        0x0
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TZONE2FORCE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_FIELD                  MK_FIELD_CONST(0xff, PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_SHIFT)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_RANGE                  15:8
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_MSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_WOFFSET                        0x0
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_DEFAULT_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_POWER_GATE_TIMERS_0_TFORCE2ZONE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_LOGIC_ZONE_DELAY_0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0                     MK_ADDR_CONST(0x1f0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_SECURE                      0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_DUAL                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_SCR                         PG_COM_SCR_0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_SCRREG                      PMC_IMPL_SCR_PG_COM_SCR_0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_WORD_COUNT                  0x1
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_RESET_MASK                  MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_READ_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_WRITE_MASK                  MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_RANGE                  3:0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_MSB                    MK_SHIFT_CONST(3)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_RANGE                  7:4
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_RANGE                  11:8
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_MSB                    MK_SHIFT_CONST(11)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_SHIFT                  MK_SHIFT_CONST(12)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_RANGE                  15:12
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_MSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_LSB                    MK_SHIFT_CONST(12)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_SHIFT                  MK_SHIFT_CONST(16)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_RANGE                  19:16
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_MSB                    MK_SHIFT_CONST(19)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_LSB                    MK_SHIFT_CONST(16)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_SHIFT                  MK_SHIFT_CONST(20)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_RANGE                  23:20
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_MSB                    MK_SHIFT_CONST(23)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_LSB                    MK_SHIFT_CONST(20)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_SHIFT                  MK_SHIFT_CONST(24)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_RANGE                  27:24
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_MSB                    MK_SHIFT_CONST(27)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_LSB                    MK_SHIFT_CONST(24)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_SHIFT                  MK_SHIFT_CONST(28)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_SHIFT)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_RANGE                  31:28
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_LSB                    MK_SHIFT_CONST(28)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_WOFFSET                        0x0
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_LOGIC_ZONE_DELAY_0_LZONE_TIMER7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_SRAM_ZONE_DELAY_0
#define PMC_IMPL_SRAM_ZONE_DELAY_0                      MK_ADDR_CONST(0x1f4)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SECURE                       0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_DUAL                         0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SCR                  PG_COM_SCR_0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SCRREG                       PMC_IMPL_SCR_PG_COM_SCR_0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_WORD_COUNT                   0x1
#define PMC_IMPL_SRAM_ZONE_DELAY_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_RANGE                   3:0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER0_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_SHIFT                   MK_SHIFT_CONST(4)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_RANGE                   7:4
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_MSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_LSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER1_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_RANGE                   11:8
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_MSB                     MK_SHIFT_CONST(11)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER2_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_SHIFT                   MK_SHIFT_CONST(12)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_RANGE                   15:12
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_MSB                     MK_SHIFT_CONST(15)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_LSB                     MK_SHIFT_CONST(12)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER3_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_SHIFT                   MK_SHIFT_CONST(16)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_RANGE                   19:16
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_MSB                     MK_SHIFT_CONST(19)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_LSB                     MK_SHIFT_CONST(16)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER4_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_SHIFT                   MK_SHIFT_CONST(20)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_RANGE                   23:20
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_MSB                     MK_SHIFT_CONST(23)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_LSB                     MK_SHIFT_CONST(20)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER5_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_SHIFT                   MK_SHIFT_CONST(24)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_RANGE                   27:24
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_MSB                     MK_SHIFT_CONST(27)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_LSB                     MK_SHIFT_CONST(24)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER6_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_SHIFT                   MK_SHIFT_CONST(28)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_SHIFT)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_RANGE                   31:28
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_LSB                     MK_SHIFT_CONST(28)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_WOFFSET                 0x0
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SRAM_ZONE_DELAY_0_SZONE_TIMER7_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register PMC_IMPL_ZONE_CONFIG_0
#define PMC_IMPL_ZONE_CONFIG_0                  MK_ADDR_CONST(0x1f8)
#define PMC_IMPL_ZONE_CONFIG_0_SECURE                   0x0
#define PMC_IMPL_ZONE_CONFIG_0_DUAL                     0x0
#define PMC_IMPL_ZONE_CONFIG_0_SCR                      PG_COM_SCR_0
#define PMC_IMPL_ZONE_CONFIG_0_SCRREG                   PMC_IMPL_SCR_PG_COM_SCR_0
#define PMC_IMPL_ZONE_CONFIG_0_WORD_COUNT                       0x1
#define PMC_IMPL_ZONE_CONFIG_0_RESET_VAL                        MK_MASK_CONST(0x3)
#define PMC_IMPL_ZONE_CONFIG_0_RESET_MASK                       MK_MASK_CONST(0xf)
#define PMC_IMPL_ZONE_CONFIG_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_READ_MASK                        MK_MASK_CONST(0xf)
#define PMC_IMPL_ZONE_CONFIG_0_WRITE_MASK                       MK_MASK_CONST(0xf)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_SHIFT)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_RANGE                        0:0
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_WOFFSET                      0x0
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_INIT_ENUM                    ENABLE
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_ZONE_CONFIG_0_LOGIC_SLEEP_ZONE_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_SHIFT)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_RANGE                 1:1
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_WOFFSET                       0x0
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_INIT_ENUM                     ENABLE
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_SLEEP_ZONE_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_SHIFT)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_RANGE                        2:2
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_WOFFSET                      0x0
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_INIT_ENUM                    DISABLE
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_UP_ZONE_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_SHIFT                      MK_SHIFT_CONST(3)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_SHIFT)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_RANGE                      3:3
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_MSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_LSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_WOFFSET                    0x0
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_INIT_ENUM                  DISABLE
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_ZONE_CONFIG_0_SRAM_PWR_DOWN_ZONE_EN_ENABLE                     MK_ENUM_CONST(1)


// Register PMC_IMPL_INTER_PARTITION_PG_DELAY_0
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0                     MK_ADDR_CONST(0x1fc)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_SECURE                      0x0
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_DUAL                        0x0
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_SCR                         PG_COM_SCR_0
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_SCRREG                      PMC_IMPL_SCR_PG_COM_SCR_0
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_WORD_COUNT                  0x1
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_RESET_MASK                  MK_MASK_CONST(0xff)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_READ_MASK                   MK_MASK_CONST(0xff)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_WRITE_MASK                  MK_MASK_CONST(0xff)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_FIELD                      MK_FIELD_CONST(0xff, PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_SHIFT)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_RANGE                      7:0
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_MSB                        MK_SHIFT_CONST(7)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_WOFFSET                    0x0
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_DEFAULT_MASK                       MK_MASK_CONST(0xff)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_INTER_PARTITION_PG_DELAY_0_INTER_PART_DELAY_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_AO_PG_TIMERS_0
#define PMC_IMPL_AO_PG_TIMERS_0                 MK_ADDR_CONST(0x200)
#define PMC_IMPL_AO_PG_TIMERS_0_SECURE                  0x0
#define PMC_IMPL_AO_PG_TIMERS_0_DUAL                    0x0
#define PMC_IMPL_AO_PG_TIMERS_0_SCR                     PG_COM_SCR_0
#define PMC_IMPL_AO_PG_TIMERS_0_SCRREG                  PMC_IMPL_SCR_PG_COM_SCR_0
#define PMC_IMPL_AO_PG_TIMERS_0_WORD_COUNT                      0x1
#define PMC_IMPL_AO_PG_TIMERS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_RESET_MASK                      MK_MASK_CONST(0xffff)
#define PMC_IMPL_AO_PG_TIMERS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_READ_MASK                       MK_MASK_CONST(0xffff)
#define PMC_IMPL_AO_PG_TIMERS_0_WRITE_MASK                      MK_MASK_CONST(0xffff)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_FIELD                        MK_FIELD_CONST(0xff, PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_SHIFT)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_RANGE                        7:0
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_MSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_WOFFSET                      0x0
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_AO_PG_TIMERS_0_CLAMP2LSLEEP_DELAY_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_FIELD                        MK_FIELD_CONST(0xff, PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_SHIFT)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_RANGE                        15:8
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_MSB                  MK_SHIFT_CONST(15)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_WOFFSET                      0x0
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_AO_PG_TIMERS_0_LSLEEP2CLAMP_DELAY_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_PG_STATUS_0
#define PMC_IMPL_PG_STATUS_0                    MK_ADDR_CONST(0x204)
#define PMC_IMPL_PG_STATUS_0_SECURE                     0x0
#define PMC_IMPL_PG_STATUS_0_DUAL                       0x0
#define PMC_IMPL_PG_STATUS_0_SCR                        PG_COM_SCR_0
#define PMC_IMPL_PG_STATUS_0_SCRREG                     PMC_IMPL_SCR_PG_COM_SCR_0
#define PMC_IMPL_PG_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_PG_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x2)
#define PMC_IMPL_PG_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x3f)
#define PMC_IMPL_PG_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_READ_MASK                  MK_MASK_CONST(0x3f)
#define PMC_IMPL_PG_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PG_STATUS_0_PENDING_START_SHIFT)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_RANGE                        0:0
#define PMC_IMPL_PG_STATUS_0_PENDING_START_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_WOFFSET                      0x0
#define PMC_IMPL_PG_STATUS_0_PENDING_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_INIT_ENUM                    DONE
#define PMC_IMPL_PG_STATUS_0_PENDING_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_SHIFT)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_RANGE                    1:1
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_WOFFSET                  0x0
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_INIT_ENUM                        PENDING
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_RESET_SLEEP_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_SHIFT)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_RANGE                       2:2
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_WOFFSET                     0x0
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_INIT_ENUM                   DONE
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_ASSERT_SLEEP_START_PENDING                     MK_ENUM_CONST(1)

#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_SHIFT)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_RANGE                       3:3
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_WOFFSET                     0x0
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_INIT_ENUM                   DONE
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_SC7_REMOVE_SLEEP_START_PENDING                     MK_ENUM_CONST(1)

#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_SHIFT)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_RANGE                 4:4
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_MSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_WOFFSET                       0x0
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_INIT_ENUM                     DONE
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_DONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_RET_REQ_START_PENDING                       MK_ENUM_CONST(1)

#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_SHIFT                       MK_SHIFT_CONST(5)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_SHIFT)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_RANGE                       5:5
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_MSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_LSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_WOFFSET                     0x0
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_INIT_ENUM                   DONE
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PG_STATUS_0_PENDING_PM2PMC_UNRET_REQ_START_PENDING                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0                  MK_ADDR_CONST(0x208)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SCR                      PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                        31:31
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                    ENABLE
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_SHIFT                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_RANGE                      8:8
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_LSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_WOFFSET                    0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_INIT_ENUM                  DONE
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_DONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_START_PENDING                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                      2:2
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                  ON
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                        1:1
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                        0:0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                    ON
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0                   MK_ADDR_CONST(0x20c)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SCR                       PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                      2:2
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                  ON
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                        1:1
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                     0:0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AUD_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0                       MK_ADDR_CONST(0x210)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_SCR                   PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_RANGE                   0:0
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_WOFFSET                 0x0
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                       ON
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AUD_CLAMP_CONTROL_0_CLAMP_ON                      MK_ENUM_CONST(1)


// Reserved address 0x214

// Reserved address 0x218

// Reserved address 0x21c

// Register PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0                 MK_ADDR_CONST(0x220)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SCR                     PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                       31:31
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                   ENABLE
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_RANGE                     8:8
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_WOFFSET                   0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_INIT_ENUM                 DONE
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_DONE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_START_PENDING                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                     2:2
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                 ON
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                       1:1
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                   OFF
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                       0:0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                     0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                   ON
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0                  MK_ADDR_CONST(0x224)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SECURE                   0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_DUAL                     0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SCR                      PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SCRREG                   PMC_IMPL_SCR_PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_READ_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                     2:2
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                       1:1
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                    0:0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DISP_CLAMP_CONTROL_0
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0                      MK_ADDR_CONST(0x228)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_SCR                  PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_RANGE                  0:0
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_WOFFSET                        0x0
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                      ON
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DISP_CLAMP_CONTROL_0_CLAMP_ON                     MK_ENUM_CONST(1)


// Reserved address 0x22c

// Reserved address 0x230

// Reserved address 0x234

// Reserved address 0x238

// Reserved address 0x23c

// Reserved address 0x240

// Reserved address 0x244

// Reserved address 0x248

// Reserved address 0x24c

// Reserved address 0x250

// Reserved address 0x254

// Reserved address 0x258

// Reserved address 0x25c

// Reserved address 0x260

// Reserved address 0x264

// Reserved address 0x268

// Reserved address 0x26c

// Reserved address 0x270

// Reserved address 0x274

// Reserved address 0x278

// Reserved address 0x27c

// Reserved address 0x280

// Reserved address 0x284

// Reserved address 0x288

// Reserved address 0x28c

// Reserved address 0x290

// Reserved address 0x294

// Register PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0                  MK_ADDR_CONST(0x298)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SCR                      PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                        31:31
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                    ENABLE
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_SHIFT                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_RANGE                      8:8
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_LSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_WOFFSET                    0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_INIT_ENUM                  DONE
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_DONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_START_PENDING                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                      2:2
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                  ON
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                        1:1
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                        0:0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                    ON
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0                   MK_ADDR_CONST(0x29c)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SCR                       PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                      2:2
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                  ON
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                        1:1
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                     0:0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_VIC_CLAMP_CONTROL_0
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0                       MK_ADDR_CONST(0x2a0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_SCR                   PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_RANGE                   0:0
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_WOFFSET                 0x0
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                       ON
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VIC_CLAMP_CONTROL_0_CLAMP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x2a4)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SCR                    PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x2a8)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SCR                     PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x2ac)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_SCR                         PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     OFF
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x2b0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SCR                    PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x2b4)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SCR                     PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x2b8)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_SCR                         PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     OFF
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x2bc)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SCR                    PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x2c0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SCR                     PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x2c4)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_SCR                         PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     OFF
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0                      MK_ADDR_CONST(0x2c8)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SCR                  PG_SCRATCH_SCR_0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_SCRATCH_SCR_0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                    31:31
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                        ENABLE
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_RANGE                  8:8
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_WOFFSET                        0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_INIT_ENUM                      DONE
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_DONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_START_PENDING                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                  2:2
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                    1:1
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                    0:0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                  0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                        OFF
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0                       MK_ADDR_CONST(0x2cc)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SCR                   PG_SCRATCH_SCR_0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_SCRATCH_SCR_0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                  2:2
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                    1:1
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                 0:0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                     OFF
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0                   MK_ADDR_CONST(0x2d0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_SCR                       PG_SCRATCH_SCR_0
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_SCRATCH_SCR_0
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_RANGE                       0:0
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_WOFFSET                     0x0
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                   OFF
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0_CLAMP_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x2d4)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SCR                    PG_AONPG_SCR_0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_AONPG_SCR_0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  OFF
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x2d8)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SCR                     PG_AONPG_SCR_0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_AONPG_SCR_0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x2dc)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_SCR                         PG_AONPG_SCR_0
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_AONPG_SCR_0
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     OFF
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Reserved address 0x2e0

// Reserved address 0x2e4

// Reserved address 0x2e8

// Reserved address 0x2ec

// Reserved address 0x2f0

// Reserved address 0x2f4

// Reserved address 0x2f8

// Reserved address 0x2fc

// Reserved address 0x300

// Reserved address 0x304

// Reserved address 0x308

// Reserved address 0x30c

// Reserved address 0x310

// Reserved address 0x314

// Reserved address 0x318

// Reserved address 0x31c

// Reserved address 0x320

// Reserved address 0x324

// Reserved address 0x328

// Reserved address 0x32c

// Reserved address 0x330

// Reserved address 0x334

// Reserved address 0x338

// Reserved address 0x33c

// Reserved address 0x340

// Reserved address 0x344

// Reserved address 0x348

// Reserved address 0x34c

// Reserved address 0x350

// Reserved address 0x354

// Reserved address 0x358

// Reserved address 0x35c

// Reserved address 0x360

// Reserved address 0x364

// Reserved address 0x368

// Reserved address 0x36c

// Reserved address 0x370

// Reserved address 0x374

// Reserved address 0x378

// Reserved address 0x37c

// Reserved address 0x380

// Reserved address 0x384

// Register PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x388)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM0_SCR_0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM0_SCR_0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x38c)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM0_SCR_0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM0_SCR_0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x390)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM0_SCR_0
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM0_SCR_0
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x394)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM1_SCR_0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM1_SCR_0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x398)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM1_SCR_0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM1_SCR_0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x39c)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM1_SCR_0
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM1_SCR_0
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x3a0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM2_SCR_0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM2_SCR_0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x3a4)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM2_SCR_0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM2_SCR_0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x3a8)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM2_SCR_0
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM2_SCR_0
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x3ac)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM3_SCR_0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM3_SCR_0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x3b0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM3_SCR_0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM3_SCR_0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x3b4)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM3_SCR_0
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM3_SCR_0
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x3b8)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM4_SCR_0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM4_SCR_0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x3bc)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM4_SCR_0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM4_SCR_0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x3c0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM4_SCR_0
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM4_SCR_0
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x3c4)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM5_SCR_0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM5_SCR_0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x3c8)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM5_SCR_0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM5_SCR_0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x3cc)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM5_SCR_0
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM5_SCR_0
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x3d0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM6_SCR_0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM6_SCR_0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x3d4)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM6_SCR_0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM6_SCR_0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x3d8)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM6_SCR_0
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM6_SCR_0
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x3dc)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_TCM7_SCR_0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_TCM7_SCR_0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x3e0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SCR                         PG_AOPG_TCM7_SCR_0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_TCM7_SCR_0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x3e4)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_SCR                     PG_AOPG_TCM7_SCR_0
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_TCM7_SCR_0
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0                   MK_ADDR_CONST(0x3e8)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SCR                       PG_AOPG_CACHE_SCR_0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_AOPG_CACHE_SCR_0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                 31:31
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                     ENABLE
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_SHIFT                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_RANGE                       8:8
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_MSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_LSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_INIT_ENUM                   DONE
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_START_PENDING                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                       2:2
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                 1:1
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                     OFF
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                 0:0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                     OFF
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0                    MK_ADDR_CONST(0x3ec)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SCR                        PG_AOPG_CACHE_SCR_0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_CACHE_SCR_0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_READ_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                       2:2
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                 1:1
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                     OFF
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                      0:0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0                        MK_ADDR_CONST(0x3f0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_SCR                    PG_AOPG_CACHE_SCR_0
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_AOPG_CACHE_SCR_0
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_RANGE                    0:0
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_WOFFSET                  0x0
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                        OFF
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0_CLAMP_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x3f4)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_CAN0_SCR_0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_CAN0_SCR_0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x3f8)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SCR                         PG_AOPG_CAN0_SCR_0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_CAN0_SCR_0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x3fc)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_SCR                     PG_AOPG_CAN0_SCR_0
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_CAN0_SCR_0
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0                    MK_ADDR_CONST(0x400)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SCR                        PG_AOPG_CAN1_SCR_0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_AOPG_CAN1_SCR_0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                  31:31
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                      ENABLE
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_RANGE                        8:8
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_INIT_ENUM                    DONE
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_DONE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_START_PENDING                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                  0:0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0                     MK_ADDR_CONST(0x404)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SECURE                      0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_DUAL                        0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SCR                         PG_AOPG_CAN1_SCR_0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SCRREG                      PMC_IMPL_SCR_PG_AOPG_CAN1_SCR_0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                        2:2
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                  1:1
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                       0:0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0                 MK_ADDR_CONST(0x408)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_SCR                     PG_AOPG_CAN1_SCR_0
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_AOPG_CAN1_SCR_0
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_RANGE                     0:0
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_WOFFSET                   0x0
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0_CLAMP_ON                        MK_ENUM_CONST(1)


// Reserved address 0x40c

// Reserved address 0x410

// Reserved address 0x414

// Register PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0                  MK_ADDR_CONST(0x418)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SCR                      PG_MSS_SCRATCH_SCR_0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_MSS_SCRATCH_SCR_0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                        31:31
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                    ENABLE
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_SHIFT                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_RANGE                      8:8
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_LSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_WOFFSET                    0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_INIT_ENUM                  DONE
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_DONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_START_PENDING                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                      2:2
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                        1:1
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                        0:0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                    OFF
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0                   MK_ADDR_CONST(0x41c)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SCR                       PG_MSS_SCRATCH_SCR_0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_MSS_SCRATCH_SCR_0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                      2:2
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                        1:1
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                     0:0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                 OFF
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0                       MK_ADDR_CONST(0x420)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_SCR                   PG_MSS_SCRATCH_SCR_0
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_MSS_SCRATCH_SCR_0
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_RANGE                   0:0
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_WOFFSET                 0x0
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                       OFF
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0_CLAMP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0                      MK_ADDR_CONST(0x424)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SCR                  PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                    31:31
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                        ENABLE
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_RANGE                  8:8
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_INIT_ENUM                      DONE
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_DONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_START_PENDING                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                        ON
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0                       MK_ADDR_CONST(0x428)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SCR                   PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0                   MK_ADDR_CONST(0x42c)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_SCR                       PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_RANGE                       0:0
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_WOFFSET                     0x0
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                   ON
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0_CLAMP_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0                      MK_ADDR_CONST(0x430)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SCR                  PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                    31:31
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                        ENABLE
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_RANGE                  8:8
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_INIT_ENUM                      DONE
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_DONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_START_PENDING                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                        ON
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0                       MK_ADDR_CONST(0x434)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SCR                   PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0                   MK_ADDR_CONST(0x438)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_SCR                       PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_RANGE                       0:0
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_WOFFSET                     0x0
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                   ON
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0_CLAMP_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0                      MK_ADDR_CONST(0x43c)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SCR                  PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                    31:31
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                        ENABLE
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_RANGE                  8:8
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_INIT_ENUM                      DONE
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_DONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_START_PENDING                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                        ON
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0                       MK_ADDR_CONST(0x440)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SCR                   PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0                   MK_ADDR_CONST(0x444)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_SCR                       PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_RANGE                       0:0
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_WOFFSET                     0x0
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                   ON
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0_CLAMP_ON                  MK_ENUM_CONST(1)


// Reserved address 0x448

// Reserved address 0x44c

// Reserved address 0x450

// Register PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0                      MK_ADDR_CONST(0x454)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SCR                  PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                    MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                    31:31
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                        ENABLE
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_RANGE                  8:8
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_INIT_ENUM                      DONE
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_DONE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_START_PENDING                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                        ON
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0                       MK_ADDR_CONST(0x458)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SCR                   PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                  2:2
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                    1:1
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0                   MK_ADDR_CONST(0x45c)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_SCR                       PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_RANGE                       0:0
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_WOFFSET                     0x0
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                   ON
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0_CLAMP_ON                  MK_ENUM_CONST(1)


// Reserved address 0x460

// Reserved address 0x464

// Reserved address 0x468

// Reserved address 0x46c

// Reserved address 0x470

// Reserved address 0x474

// Register PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0                 MK_ADDR_CONST(0x478)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SCR                     PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                       31:31
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                   ENABLE
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_RANGE                     8:8
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_WOFFSET                   0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_INIT_ENUM                 DONE
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_DONE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_START_PENDING                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                     2:2
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                 ON
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                       1:1
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                   OFF
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                       0:0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                   ON
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0                  MK_ADDR_CONST(0x47c)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SECURE                   0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_DUAL                     0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SCR                      PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SCRREG                   PMC_IMPL_SCR_PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_READ_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                     2:2
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                       1:1
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                    0:0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0                      MK_ADDR_CONST(0x480)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_SCR                  PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_RANGE                  0:0
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_WOFFSET                        0x0
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                      ON
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0_CLAMP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0                 MK_ADDR_CONST(0x484)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SCR                     PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                       31:31
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                   ENABLE
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_RANGE                     8:8
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_WOFFSET                   0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_INIT_ENUM                 DONE
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_DONE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_START_PENDING                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                     2:2
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                 ON
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                       1:1
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                   OFF
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                       0:0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                   ON
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0                  MK_ADDR_CONST(0x488)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SECURE                   0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_DUAL                     0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SCR                      PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SCRREG                   PMC_IMPL_SCR_PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_READ_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                     2:2
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                       1:1
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                   OFF
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                    0:0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0                      MK_ADDR_CONST(0x48c)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_SCR                  PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_RANGE                  0:0
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_WOFFSET                        0x0
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                      ON
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0_CLAMP_ON                     MK_ENUM_CONST(1)


// Reserved address 0x490

// Reserved address 0x494

// Reserved address 0x498

// Reserved address 0x49c

// Reserved address 0x4a0

// Reserved address 0x4a4

// Reserved address 0x4a8

// Reserved address 0x4ac

// Reserved address 0x4b0

// Reserved address 0x4b4

// Reserved address 0x4b8

// Reserved address 0x4bc

// Register PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0                  MK_ADDR_CONST(0x4c0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SCR                      PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                        31:31
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                    ENABLE
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_SHIFT                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_RANGE                      8:8
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_LSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_WOFFSET                    0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_INIT_ENUM                  DONE
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_DONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_START_PENDING                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                      2:2
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                  ON
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                        1:1
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                        0:0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                    ON
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0                   MK_ADDR_CONST(0x4c4)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SCR                       PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                      2:2
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                  ON
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                        1:1
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                     0:0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_ISP_CLAMP_CONTROL_0
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0                       MK_ADDR_CONST(0x4c8)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_SCR                   PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_RANGE                   0:0
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_WOFFSET                 0x0
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                       ON
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_ISP_CLAMP_CONTROL_0_CLAMP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x4cc)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SCR                    PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        ON
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  ON
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x4d0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SCR                     PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x4d4)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_SCR                         PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     ON
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0                       MK_ADDR_CONST(0x4d8)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SCR                   PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                     31:31
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                 ENABLE
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_RANGE                   8:8
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_WOFFSET                 0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_INIT_ENUM                       DONE
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_DONE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_START_PENDING                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                   2:2
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                       ON
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                     1:1
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                 OFF
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                     0:0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                 ON
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0                        MK_ADDR_CONST(0x4dc)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SCR                    PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                   2:2
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                     1:1
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                 OFF
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                  0:0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0                    MK_ADDR_CONST(0x4e0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_SCR                        PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_RANGE                        0:0
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                    ON
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0_CLAMP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0                       MK_ADDR_CONST(0x4e4)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SCR                   PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                     31:31
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                 ENABLE
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_RANGE                   8:8
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_WOFFSET                 0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_INIT_ENUM                       DONE
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_DONE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_START_PENDING                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                   2:2
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                       ON
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                     1:1
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                 OFF
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                     0:0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                 ON
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0                        MK_ADDR_CONST(0x4e8)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SCR                    PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                   2:2
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                     1:1
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                 OFF
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                  0:0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0                    MK_ADDR_CONST(0x4ec)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_SCR                        PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_RANGE                        0:0
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                    ON
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0_CLAMP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x4f0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SCR                    PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        ON
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  ON
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x4f4)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SCR                     PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x4f8)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_SCR                         PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     ON
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0                   MK_ADDR_CONST(0x4fc)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SCR                       PG_VI_SCR_0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_VI_SCR_0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                 MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                 31:31
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                     ENABLE
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_SHIFT                       MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_RANGE                       8:8
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_MSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_LSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_WOFFSET                     0x0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_INIT_ENUM                   DONE
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_DONE                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_START_PENDING                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                       2:2
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                     0x0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                   ON
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                 1:1
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                     OFF
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                 0:0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                     ON
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_VI_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0                    MK_ADDR_CONST(0x500)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SECURE                     0x0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_DUAL                       0x0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SCR                        PG_VI_SCR_0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SCRREG                     PMC_IMPL_SCR_PG_VI_SCR_0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_READ_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                       2:2
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                     0x0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                   ON
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                 1:1
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                     OFF
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                      0:0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                  ON
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_VI_CLAMP_CONTROL_0
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0                        MK_ADDR_CONST(0x504)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_SCR                    PG_VI_SCR_0
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_VI_SCR_0
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_RANGE                    0:0
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_WOFFSET                  0x0
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                        ON
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_VI_CLAMP_CONTROL_0_CLAMP_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0                     MK_ADDR_CONST(0x508)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SCR                         PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                   31:31
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                       ENABLE
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_SHIFT                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_RANGE                 8:8
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_MSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_LSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_INIT_ENUM                     DONE
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_DONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_START_PENDING                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                       ON
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0                      MK_ADDR_CONST(0x50c)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SCR                  PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                    ON
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0                  MK_ADDR_CONST(0x510)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_SCR                      PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_RANGE                      0:0
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_WOFFSET                    0x0
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                  ON
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0_CLAMP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0                     MK_ADDR_CONST(0x514)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SCR                         PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                   31:31
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                       ENABLE
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_SHIFT                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_RANGE                 8:8
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_MSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_LSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_INIT_ENUM                     DONE
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_DONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_START_PENDING                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                       ON
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0                      MK_ADDR_CONST(0x518)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SCR                  PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                    ON
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0                  MK_ADDR_CONST(0x51c)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_SCR                      PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_RANGE                      0:0
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_WOFFSET                    0x0
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                  ON
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0_CLAMP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0                     MK_ADDR_CONST(0x520)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SCR                         PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                   31:31
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                       ENABLE
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_SHIFT                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_RANGE                 8:8
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_MSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_LSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_INIT_ENUM                     DONE
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_DONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_START_PENDING                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                       ON
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0                      MK_ADDR_CONST(0x524)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SCR                  PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                    ON
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0                  MK_ADDR_CONST(0x528)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_SCR                      PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_RANGE                      0:0
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_WOFFSET                    0x0
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                  ON
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0_CLAMP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0                     MK_ADDR_CONST(0x52c)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SCR                         PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                   31:31
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                       ENABLE
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_SHIFT                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_RANGE                 8:8
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_MSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_LSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_INIT_ENUM                     DONE
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_DONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_START_PENDING                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                       ON
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0                      MK_ADDR_CONST(0x530)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SCR                  PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                    ON
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0                  MK_ADDR_CONST(0x534)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_SCR                      PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_RANGE                      0:0
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_WOFFSET                    0x0
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                  ON
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0_CLAMP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0                     MK_ADDR_CONST(0x538)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SCR                         PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                   MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                   31:31
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                       ENABLE
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_SHIFT                 MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_RANGE                 8:8
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_MSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_LSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_INIT_ENUM                     DONE
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_DONE                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_START_PENDING                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                       ON
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0                      MK_ADDR_CONST(0x53c)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SCR                  PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                     ON
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                   1:1
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                    ON
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0                  MK_ADDR_CONST(0x540)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_SCR                      PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_RANGE                      0:0
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_WOFFSET                    0x0
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                  ON
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0_CLAMP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0                  MK_ADDR_CONST(0x544)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SCR                      PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                        31:31
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                    ENABLE
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_SHIFT                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_RANGE                      8:8
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_LSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_WOFFSET                    0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_INIT_ENUM                  DONE
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_DONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_START_PENDING                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                      2:2
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                  ON
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                        1:1
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                        0:0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                    ON
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0                   MK_ADDR_CONST(0x548)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SCR                       PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                      2:2
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                  ON
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                        1:1
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                     0:0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_PVA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0                       MK_ADDR_CONST(0x54c)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_SCR                   PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_RANGE                   0:0
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_WOFFSET                 0x0
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                       ON
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_PVA_CLAMP_CONTROL_0_CLAMP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0                  MK_ADDR_CONST(0x550)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SCR                      PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                        31:31
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                    ENABLE
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_SHIFT                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_RANGE                      8:8
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_LSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_WOFFSET                    0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_INIT_ENUM                  DONE
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_DONE                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_START_PENDING                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                      2:2
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                  ON
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                        1:1
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                      0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                    OFF
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                        0:0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                    ON
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0                   MK_ADDR_CONST(0x554)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SCR                       PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                      2:2
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                  ON
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                        1:1
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                      0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                    OFF
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                     0:0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                 ON
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_OFA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0                       MK_ADDR_CONST(0x558)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_SCR                   PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_RANGE                   0:0
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_WOFFSET                 0x0
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                       ON
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_OFA_CLAMP_CONTROL_0_CLAMP_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x55c)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SCR                    PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        ON
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  ON
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x560)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SCR                     PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x564)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_SCR                         PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     ON
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0                       MK_ADDR_CONST(0x568)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SCR                   PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                     31:31
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                 ENABLE
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_RANGE                   8:8
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_INIT_ENUM                       DONE
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_DONE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_START_PENDING                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                   2:2
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                       ON
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                     1:1
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                 OFF
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                     0:0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                 ON
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0                        MK_ADDR_CONST(0x56c)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SCR                    PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                   2:2
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                     1:1
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                 OFF
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                  0:0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0                    MK_ADDR_CONST(0x570)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_SCR                        PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_RANGE                        0:0
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                    ON
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0_CLAMP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0                       MK_ADDR_CONST(0x574)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SCR                   PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                     31:31
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                 ENABLE
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_RANGE                   8:8
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_INIT_ENUM                       DONE
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_DONE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_START_PENDING                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                   2:2
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                       ON
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                     1:1
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                 OFF
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                     0:0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                 ON
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0                        MK_ADDR_CONST(0x578)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SCR                    PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                   2:2
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                     1:1
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                 OFF
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                  0:0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0                    MK_ADDR_CONST(0x57c)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_SCR                        PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_RANGE                        0:0
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                    ON
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0_CLAMP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0                       MK_ADDR_CONST(0x580)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SCR                   PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                     31:31
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                 ENABLE
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_RANGE                   8:8
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_INIT_ENUM                       DONE
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_DONE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_START_PENDING                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                   2:2
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                       ON
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                     1:1
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                 OFF
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                     0:0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                 ON
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0                        MK_ADDR_CONST(0x584)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SCR                    PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                   2:2
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                     1:1
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                 OFF
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                  0:0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                      ON
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0                    MK_ADDR_CONST(0x588)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_SCR                        PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_RANGE                        0:0
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                    ON
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0_CLAMP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x58c)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SCR                    PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  ON
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x590)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SCR                     PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x594)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_SCR                         PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     ON
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x598)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SCR                    PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  ON
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x59c)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SCR                     PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x5a0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_SCR                         PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     ON
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x5a4)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SCR                    PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  ON
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x5a8)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SCR                     PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x5ac)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_SCR                         PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     ON
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x5b0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SCR                    PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000005)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000105)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  ON
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x5b4)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SCR                     PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x5)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        ON
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       ON
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x5b8)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_SCR                         PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     ON
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0                        MK_ADDR_CONST(0x5bc)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SCR                    PG_TZRAM_SCR_0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_TZRAM_SCR_0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x80000102)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                      31:31
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                  ENABLE
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_RANGE                    8:8
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_MSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_WOFFSET                  0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_INIT_ENUM                        DONE
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_DONE                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_START_PENDING                  MK_ENUM_CONST(1)

#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                    2:2
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                  0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                        OFF
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                      1:1
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                    0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                  OFF
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                      0:0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                    0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                  OFF
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0                 MK_ADDR_CONST(0x5c0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SCR                     PG_TZRAM_SCR_0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_TZRAM_SCR_0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                    2:2
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                  0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                        OFF
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                      1:1
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                    0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                  OFF
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                   0:0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0                     MK_ADDR_CONST(0x5c4)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_SCR                         PG_TZRAM_SCR_0
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_TZRAM_SCR_0
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_RANGE                 0:0
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                     OFF
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0_CLAMP_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0                       MK_ADDR_CONST(0x5c8)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SCR                   PG_DBBRAM_SCR_0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_DBBRAM_SCR_0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x80000000)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x80000107)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x80000106)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_RANGE                     31:31
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_INIT_ENUM                 ENABLE
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_INTER_PART_DELAY_EN_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_RANGE                   8:8
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_WOFFSET                 0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_INIT_ENUM                       DONE
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_DONE                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_START_PENDING                 MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_RANGE                   2:2
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_WOFFSET                 0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_INIT_ENUM                       OFF
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_SLEEP_EN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_RANGE                     1:1
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_WOFFSET                   0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_INIT_ENUM                 OFF
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_SRAM_RET_EN_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_RANGE                     0:0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_WOFFSET                   0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_INIT_ENUM                 OFF
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0_LOGIC_SLEEP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0                        MK_ADDR_CONST(0x5cc)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SCR                    PG_DBBRAM_SCR_0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_DBBRAM_SCR_0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_RANGE                   2:2
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_WOFFSET                 0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_INIT_ENUM                       OFF
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_SLEEP_STS_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_RANGE                     1:1
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_WOFFSET                   0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_INIT_ENUM                 OFF
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_SRAM_RET_STS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SHIFT)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_RANGE                  0:0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_WOFFSET                        0x0
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_INIT_ENUM                      OFF
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0_LOGIC_SLEEP_STS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0                    MK_ADDR_CONST(0x5d0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_SECURE                     0x0
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_DUAL                       0x0
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_SCR                        PG_DBBRAM_SCR_0
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_SCRREG                     PMC_IMPL_SCR_PG_DBBRAM_SCR_0
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_SHIFT)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_RANGE                        0:0
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_INIT_ENUM                    OFF
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0_CLAMP_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0                  MK_ADDR_CONST(0x5d4)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_SCR                      PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_RANGE                        0:0
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                      0x0
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0                   MK_ADDR_CONST(0x5d8)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_SCR                       PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_AUD_SCR_0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                     0:0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                     1:1
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                     2:2
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0                 MK_ADDR_CONST(0x5dc)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_SCR                     PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_RANGE                       0:0
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                     0x0
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                   PWRDWN
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                      MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                       MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0                  MK_ADDR_CONST(0x5e0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_SECURE                   0x0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DUAL                     0x0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_SCR                      PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_SCRREG                   PMC_IMPL_SCR_PG_DISP_SCR_0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_READ_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                    0:0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                    MK_ENUM_CONST(0)

#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                    1:1
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                    MK_ENUM_CONST(0)

#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                    2:2
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0                  MK_ADDR_CONST(0x5e4)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_SCR                      PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_RANGE                        0:0
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                      0x0
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0                   MK_ADDR_CONST(0x5e8)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_SCR                       PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_ISP_SCR_0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                     0:0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                     1:1
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                     2:2
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x5ec)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_SCR                    PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x5f0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_SCR                     PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_NVDEC_SCR_0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0                       MK_ADDR_CONST(0x5f4)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_SCR                   PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                     0:0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0                        MK_ADDR_CONST(0x5f8)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_SCR                    PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_NVJPGA_SCR_0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                  0:0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                  1:1
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                  2:2
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                  MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0                       MK_ADDR_CONST(0x5fc)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_SCR                   PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                     0:0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                   0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0                        MK_ADDR_CONST(0x600)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_SCR                    PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_NVJPGB_SCR_0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                  0:0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                  1:1
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                  2:2
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                  MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x604)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_SCR                    PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x608)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_SCR                     PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_NVENC_SCR_0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0                   MK_ADDR_CONST(0x60c)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_SECURE                    0x0
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_DUAL                      0x0
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_SCR                       PG_VI_SCR_0
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_SCRREG                    PMC_IMPL_SCR_PG_VI_SCR_0
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_WRITE_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_RANGE                 0:0
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                       0x0
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                 MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0                    MK_ADDR_CONST(0x610)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_SECURE                     0x0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DUAL                       0x0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_SCR                        PG_VI_SCR_0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_SCRREG                     PMC_IMPL_SCR_PG_VI_SCR_0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_READ_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                      0:0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                    0x0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                      MK_ENUM_CONST(0)

#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                      1:1
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                    0x0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                      MK_ENUM_CONST(0)

#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                      2:2
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                    0x0
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0                  MK_ADDR_CONST(0x614)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_SCR                      PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_RANGE                        0:0
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                      0x0
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0                   MK_ADDR_CONST(0x618)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_SCR                       PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_VIC_SCR_0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                     0:0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                     1:1
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                     2:2
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x61c)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_SCR                    PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRUP
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x620)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_SCR                     PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_XUSBA_SCR_0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x624)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_SCR                    PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRUP
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x628)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_SCR                     PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_XUSBB_SCR_0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x62c)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_SCR                    PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRUP
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x630)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_SCR                     PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_XUSBC_SCR_0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRUP
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0                      MK_ADDR_CONST(0x634)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_SCR                  PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0                       MK_ADDR_CONST(0x638)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_SCR                   PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX8A_SCR_0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                 1:1
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                 MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0                      MK_ADDR_CONST(0x63c)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_SCR                  PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0                       MK_ADDR_CONST(0x640)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_SCR                   PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX4A_SCR_0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                 1:1
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                 MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0                     MK_ADDR_CONST(0x644)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_SCR                         PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0                      MK_ADDR_CONST(0x648)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_SCR                  PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4BA_SCR_0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                        1:1
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                        2:2
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0                     MK_ADDR_CONST(0x64c)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_SCR                         PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0                      MK_ADDR_CONST(0x650)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_SCR                  PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4BB_SCR_0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                        1:1
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                        2:2
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0                     MK_ADDR_CONST(0x654)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_SCR                         PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0                      MK_ADDR_CONST(0x658)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_SCR                  PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4CA_SCR_0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                        1:1
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                        2:2
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0                     MK_ADDR_CONST(0x65c)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_SCR                         PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0                      MK_ADDR_CONST(0x660)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_SCR                  PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4CB_SCR_0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                        1:1
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                        2:2
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0                     MK_ADDR_CONST(0x664)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_SECURE                      0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_DUAL                        0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_SCR                         PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_SCRREG                      PMC_IMPL_SCR_PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_WORD_COUNT                  0x1
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_RESET_VAL                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_RANGE                   0:0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                 0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0                      MK_ADDR_CONST(0x668)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_SCR                  PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX4CC_SCR_0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_READ_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                        0:0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                        1:1
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                        MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                        2:2
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                      0x0
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0                      MK_ADDR_CONST(0x66c)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_SCR                  PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0                       MK_ADDR_CONST(0x670)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_SCR                   PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX1A_SCR_0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                 1:1
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                 MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0                      MK_ADDR_CONST(0x674)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_SCR                  PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_RANGE                    0:0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                  0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0                       MK_ADDR_CONST(0x678)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_SCR                   PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_PCIEX8B_SCR_0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                 0:0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                 1:1
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                 2:2
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                 MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0                  MK_ADDR_CONST(0x67c)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_SCR                      PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                        0:0
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                      0x0
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0                   MK_ADDR_CONST(0x680)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_SCR                       PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_PVA_SCR_0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                     0:0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                     1:1
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                     2:2
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0                 MK_ADDR_CONST(0x684)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_SCR                     PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                       0:0
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                   PWRDWN
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                      MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                       MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0                  MK_ADDR_CONST(0x688)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_SECURE                   0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DUAL                     0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_SCR                      PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_SCRREG                   PMC_IMPL_SCR_PG_DLAA_SCR_0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_READ_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                    0:0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                    MK_ENUM_CONST(0)

#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                    1:1
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                    MK_ENUM_CONST(0)

#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                    2:2
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0                 MK_ADDR_CONST(0x68c)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_SECURE                  0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_DUAL                    0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_SCR                     PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_SCRREG                  PMC_IMPL_SCR_PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_RESET_VAL                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                       0:0
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                     0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                   PWRDWN
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                      MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                       MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0                  MK_ADDR_CONST(0x690)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_SECURE                   0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DUAL                     0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_SCR                      PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_SCRREG                   PMC_IMPL_SCR_PG_DLAB_SCR_0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_READ_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                    0:0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                    MK_ENUM_CONST(0)

#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                    1:1
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                    MK_ENUM_CONST(0)

#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                    2:2
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                  0x0
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0                  MK_ADDR_CONST(0x694)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_SECURE                   0x0
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_DUAL                     0x0
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_SCR                      PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_SCRREG                   PMC_IMPL_SCR_PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                       0x1
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                        0:0
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                      0x0
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                    PWRDWN
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                       MK_ENUM_CONST(1)
#define PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                        MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0                   MK_ADDR_CONST(0x698)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_SECURE                    0x0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DUAL                      0x0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_SCR                       PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_SCRREG                    PMC_IMPL_SCR_PG_OFA_SCR_0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_READ_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                     0:0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                     1:1
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                     MK_ENUM_CONST(0)

#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                     2:2
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                   0x0
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x69c)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_SCR                    PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x6a0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_SCR                     PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_MGBEA_SCR_0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0                       MK_ADDR_CONST(0x6a4)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_SCR                   PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                     0:0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0                        MK_ADDR_CONST(0x6a8)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_SCR                    PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEBA_SCR_0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                  0:0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                  1:1
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                  2:2
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                  MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0                       MK_ADDR_CONST(0x6ac)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_SCR                   PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                     0:0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0                        MK_ADDR_CONST(0x6b0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_SCR                    PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEBB_SCR_0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                  0:0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                  1:1
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                  2:2
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                  MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0                       MK_ADDR_CONST(0x6b4)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_SCR                   PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_RANGE                     0:0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                   0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0                        MK_ADDR_CONST(0x6b8)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_SCR                    PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_MGBEBC_SCR_0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                  0:0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                  1:1
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                  2:2
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                  MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x6bc)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_SCR                    PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x6c0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_SCR                     PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCAA_SCR_0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x6c4)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_SCR                    PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x6c8)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_SCR                     PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCAB_SCR_0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x6cc)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_SCR                    PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x6d0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_SCR                     PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCBA_SCR_0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0                        MK_ADDR_CONST(0x6d4)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_SECURE                         0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_DUAL                   0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_SCR                    PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_SCRREG                         PMC_IMPL_SCR_PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_RANGE                      0:0
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                    0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                  PWRDWN
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                     MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                      MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0                 MK_ADDR_CONST(0x6d8)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_SECURE                  0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DUAL                    0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_SCR                     PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_SCRREG                  PMC_IMPL_SCR_PG_EMCBB_SCR_0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                   0:0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                   1:1
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                   MK_ENUM_CONST(0)

#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                   2:2
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                 0x0
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                       PWRDWN
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                  MK_ENUM_CONST(1)
#define PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                   MK_ENUM_CONST(0)


// Register PMC_IMPL_SW_OVERRIDE_CTRL_1_0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0                   MK_ADDR_CONST(0x6dc)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_SECURE                    0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_DUAL                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_SCR                       PG_OVERRIDE_SCR_0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_SCRREG                    PMC_IMPL_SCR_PG_OVERRIDE_SCR_0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_WORD_COUNT                        0x1
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_RANGE                   0:0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_RANGE                 2:1
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM0_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_SHIFT                        MK_SHIFT_CONST(3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_RANGE                        3:3
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_MSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_LSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM0_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_SHIFT                   MK_SHIFT_CONST(4)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_RANGE                   4:4
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_MSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_LSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_SHIFT                 MK_SHIFT_CONST(5)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_RANGE                 6:5
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_MSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_LSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM1_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_SHIFT                        MK_SHIFT_CONST(7)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_RANGE                        7:7
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_MSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_LSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM1_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_RANGE                   8:8
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_SHIFT                 MK_SHIFT_CONST(9)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_RANGE                 10:9
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_MSB                   MK_SHIFT_CONST(10)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_LSB                   MK_SHIFT_CONST(9)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM2_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_SHIFT                        MK_SHIFT_CONST(11)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_RANGE                        11:11
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_MSB                  MK_SHIFT_CONST(11)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_LSB                  MK_SHIFT_CONST(11)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM2_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_SHIFT                   MK_SHIFT_CONST(12)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_RANGE                   12:12
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_MSB                     MK_SHIFT_CONST(12)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_LSB                     MK_SHIFT_CONST(12)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_SHIFT                 MK_SHIFT_CONST(13)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_RANGE                 14:13
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_MSB                   MK_SHIFT_CONST(14)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_LSB                   MK_SHIFT_CONST(13)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM3_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_SHIFT                        MK_SHIFT_CONST(15)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_RANGE                        15:15
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_MSB                  MK_SHIFT_CONST(15)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_LSB                  MK_SHIFT_CONST(15)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM3_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_SHIFT                   MK_SHIFT_CONST(16)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_RANGE                   16:16
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_MSB                     MK_SHIFT_CONST(16)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_LSB                     MK_SHIFT_CONST(16)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_SHIFT                 MK_SHIFT_CONST(17)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_RANGE                 18:17
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_MSB                   MK_SHIFT_CONST(18)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_LSB                   MK_SHIFT_CONST(17)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM4_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_SHIFT                        MK_SHIFT_CONST(19)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_RANGE                        19:19
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_MSB                  MK_SHIFT_CONST(19)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_LSB                  MK_SHIFT_CONST(19)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM4_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_SHIFT                   MK_SHIFT_CONST(20)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_RANGE                   20:20
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_MSB                     MK_SHIFT_CONST(20)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_LSB                     MK_SHIFT_CONST(20)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_SHIFT                 MK_SHIFT_CONST(21)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_RANGE                 22:21
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_MSB                   MK_SHIFT_CONST(22)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_LSB                   MK_SHIFT_CONST(21)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM5_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_SHIFT                        MK_SHIFT_CONST(23)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_RANGE                        23:23
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_MSB                  MK_SHIFT_CONST(23)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_LSB                  MK_SHIFT_CONST(23)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM5_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_SHIFT                   MK_SHIFT_CONST(24)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_RANGE                   24:24
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_MSB                     MK_SHIFT_CONST(24)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_LSB                     MK_SHIFT_CONST(24)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_SHIFT                 MK_SHIFT_CONST(25)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_RANGE                 26:25
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_MSB                   MK_SHIFT_CONST(26)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_LSB                   MK_SHIFT_CONST(25)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM6_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_SHIFT                        MK_SHIFT_CONST(27)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_RANGE                        27:27
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_MSB                  MK_SHIFT_CONST(27)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_LSB                  MK_SHIFT_CONST(27)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM6_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_SHIFT                   MK_SHIFT_CONST(28)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_RANGE                   28:28
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_MSB                     MK_SHIFT_CONST(28)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_LSB                     MK_SHIFT_CONST(28)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_SHIFT                 MK_SHIFT_CONST(29)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_RANGE                 30:29
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_MSB                   MK_SHIFT_CONST(30)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_LSB                   MK_SHIFT_CONST(29)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_VAL_AOPG_TCM7_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_SHIFT                        MK_SHIFT_CONST(31)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_RANGE                        31:31
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_MSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_LSB                  MK_SHIFT_CONST(31)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_1_0_EN_AOPG_TCM7_DISABLE                      MK_ENUM_CONST(0)


// Register PMC_IMPL_SW_OVERRIDE_CTRL_2_0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0                   MK_ADDR_CONST(0x6e0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_SECURE                    0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_DUAL                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_SCR                       PG_OVERRIDE_SCR_0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_SCRREG                    PMC_IMPL_SCR_PG_OVERRIDE_SCR_0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_WORD_COUNT                        0x1
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_RESET_MASK                        MK_MASK_CONST(0x1fffff)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_READ_MASK                         MK_MASK_CONST(0x1fffff)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_WRITE_MASK                        MK_MASK_CONST(0x1fffff)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_RANGE                  0:0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_WOFFSET                        0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_INIT_ENUM                      DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_ENABLE                 MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_RET_DISABLE                        MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_FIELD                        MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_RANGE                        2:1
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CACHE_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_RANGE                       3:3
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_WOFFSET                     0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_INIT_ENUM                   DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_ENABLE                      MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CACHE_DISABLE                     MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_SHIFT                   MK_SHIFT_CONST(4)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_RANGE                   4:4
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_MSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_LSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_SHIFT                 MK_SHIFT_CONST(5)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_RANGE                 6:5
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_MSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_LSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN0_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_SHIFT                        MK_SHIFT_CONST(7)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_RANGE                        7:7
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_MSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_LSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN0_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_RANGE                   8:8
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_WOFFSET                 0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_INIT_ENUM                       DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_ENABLE                  MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_RET_DISABLE                 MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_SHIFT                 MK_SHIFT_CONST(9)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_RANGE                 10:9
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_MSB                   MK_SHIFT_CONST(10)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_LSB                   MK_SHIFT_CONST(9)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_WOFFSET                       0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_AOPG_CAN1_SLEEP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_SHIFT                        MK_SHIFT_CONST(11)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_RANGE                        11:11
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_MSB                  MK_SHIFT_CONST(11)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_LSB                  MK_SHIFT_CONST(11)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_WOFFSET                      0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_INIT_ENUM                    DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_ENABLE                       MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_AOPG_CAN1_DISABLE                      MK_ENUM_CONST(0)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_SHIFT                     MK_SHIFT_CONST(12)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_FIELD                     MK_FIELD_CONST(0xff, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_RANGE                     19:12
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_MSB                       MK_SHIFT_CONST(19)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_LSB                       MK_SHIFT_CONST(12)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_WOFFSET                   0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_VAL_COMMON_ZONE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_SHIFT                      MK_SHIFT_CONST(20)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_SHIFT)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_RANGE                      20:20
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_MSB                        MK_SHIFT_CONST(20)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_LSB                        MK_SHIFT_CONST(20)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_WOFFSET                    0x0
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_INIT_ENUM                  DISABLE
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_ENABLE                     MK_ENUM_CONST(1)
#define PMC_IMPL_SW_OVERRIDE_CTRL_2_0_EN_COMMON_ZONE_DISABLE                    MK_ENUM_CONST(0)


// Register PMC_IMPL_MISC_CTRL_0
#define PMC_IMPL_MISC_CTRL_0                    MK_ADDR_CONST(0x6e4)
#define PMC_IMPL_MISC_CTRL_0_SECURE                     0x0
#define PMC_IMPL_MISC_CTRL_0_DUAL                       0x0
#define PMC_IMPL_MISC_CTRL_0_SCR                        PG_MISC_SCR_0
#define PMC_IMPL_MISC_CTRL_0_SCRREG                     PMC_IMPL_SCR_PG_MISC_SCR_0
#define PMC_IMPL_MISC_CTRL_0_WORD_COUNT                         0x1
#define PMC_IMPL_MISC_CTRL_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_MISC_CTRL_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_MISC_CTRL_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_MISC_CTRL_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_MISC_CTRL_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_MISC_CTRL_0_WRITE_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_SHIFT)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_RANGE                      0:0
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_WOFFSET                    0x0
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_INIT_ENUM                  DISABLE
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_ENABLE                     MK_ENUM_CONST(1)
#define PMC_IMPL_MISC_CTRL_0_HW_AOPG_ALLRAMS_DISABLE                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0                      MK_ADDR_CONST(0x6e8)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_SCR                  PG_GPURAIL_SCR_0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_GPURAIL_SCR_0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_RANGE                    0:0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                  0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0                       MK_ADDR_CONST(0x6ec)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_SCR                   PG_GPURAIL_SCR_0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_GPURAIL_SCR_0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                 0:0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                 1:1
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                 2:2
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                 MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0                       MK_ADDR_CONST(0x6f0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_SECURE                        0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_DUAL                  0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_SCR                   PG_CVRAIL_SCR_0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_SCRREG                        PMC_IMPL_SCR_PG_CVRAIL_SCR_0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_RANGE                     0:0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                   0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                 PWRDWN
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                    MK_ENUM_CONST(1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                     MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0                        MK_ADDR_CONST(0x6f4)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_SECURE                         0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DUAL                   0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_SCR                    PG_CVRAIL_SCR_0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_SCRREG                         PMC_IMPL_SCR_PG_CVRAIL_SCR_0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_WORD_COUNT                     0x1
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_RESET_VAL                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_WRITE_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                  0:0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                  1:1
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                  MK_ENUM_CONST(0)

#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                  2:2
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                        0x0
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                      PWRDWN
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                 MK_ENUM_CONST(1)
#define PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                  MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0                      MK_ADDR_CONST(0x6f8)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_SECURE                       0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_DUAL                         0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_SCR                  PG_FSIRAIL_SCR_0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_SCRREG                       PMC_IMPL_SCR_PG_FSIRAIL_SCR_0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_WORD_COUNT                   0x1
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_RESET_VAL                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_WRITE_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_SHIFT)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_RANGE                    0:0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_WOFFSET                  0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_INIT_ENUM                        PWRDWN
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_PWRDWN                   MK_ENUM_CONST(1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0_REQ_PWRUP                    MK_ENUM_CONST(0)


// Register PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0                       MK_ADDR_CONST(0x6fc)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_SECURE                        0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DUAL                  0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_SCR                   PG_FSIRAIL_SCR_0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_SCRREG                        PMC_IMPL_SCR_PG_FSIRAIL_SCR_0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SHIFT)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_RANGE                 0:0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_CBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SHIFT)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_RANGE                 1:1
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_DBB_ACK_PWRUP                 MK_ENUM_CONST(0)

#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SHIFT)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_RANGE                 2:2
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_WOFFSET                       0x0
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_INIT_ENUM                     PWRDWN
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRDWN                        MK_ENUM_CONST(1)
#define PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0_H1X_ACK_PWRUP                 MK_ENUM_CONST(0)


// Register PMC_IMPL_PMC2LIC_INTR_STATUS_0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0                  MK_ADDR_CONST(0x800)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_SECURE                   0x0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_DUAL                     0x0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_SCR                      CNTRL_SCR_0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_SCRREG                   PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_READ_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SHIFT)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_RANGE                     1:1
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_WOFFSET                   0x0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_SHIFT)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_RANGE                     0:0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_WOFFSET                   0x0
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_STATUS_0_UNSUPPORTED_PG_REQUEST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register PMC_IMPL_PMC2LIC_INTR_ENABLE_0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0                  MK_ADDR_CONST(0x804)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_SECURE                   0x0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_DUAL                     0x0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_SCR                      CNTRL_SCR_0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_SCRREG                   PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_WORD_COUNT                       0x1
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_RESET_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_READ_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_WRITE_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SHIFT)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_RANGE                     1:1
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_WOFFSET                   0x0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_INIT_ENUM                 DISABLE
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_ILLEGAL_SRAM_LOGIC_POWER_STATE_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_SHIFT)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_RANGE                     0:0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_WOFFSET                   0x0
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_INIT_ENUM                 DISABLE
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_PMC2LIC_INTR_ENABLE_0_UNSUPPORTED_PG_REQUEST_ENABLE                    MK_ENUM_CONST(1)


// Register PMC_IMPL_AOVC_LOCK_CNTRL_0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0                      MK_ADDR_CONST(0x808)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SECURE                       0x0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_DUAL                         0x0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SCR                  AOVC_LOCK_SCR_0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SCRREG                       PMC_IMPL_SCR_AOVC_LOCK_SCR_0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_WORD_COUNT                   0x1
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RESET_MASK                   MK_MASK_CONST(0x71)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_READ_MASK                    MK_MASK_CONST(0x71)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_WRITE_MASK                   MK_MASK_CONST(0x71)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_SHIFT                    MK_SHIFT_CONST(6)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_SHIFT)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_RANGE                    6:6
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_MSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_LSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_WOFFSET                  0x0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_FIELD                 MK_FIELD_CONST(0x3, PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_SHIFT)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_RANGE                 5:4
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_MSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_WOFFSET                       0x0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_DEFAULT_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_INIT_ENUM                     FREE
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_FREE                  MK_ENUM_CONST(0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_AOVC                  MK_ENUM_CONST(1)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_APB_PWR_I2C                   MK_ENUM_CONST(2)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_SW_LOCK_REQ_ID_ILLEGAL                       MK_ENUM_CONST(3)

#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_SHIFT)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_RANGE                        0:0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_WOFFSET                      0x0
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_CNTRL_0_RELEASE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_AOVC_LOCK_ID_STATUS_0
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0                  MK_ADDR_CONST(0x80c)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_SECURE                   0x0
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DUAL                     0x0
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_SCR                      AOVC_LOCK_SCR_0
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_SCRREG                   PMC_IMPL_SCR_AOVC_LOCK_SCR_0
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_RESET_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_READ_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_FIELD                       MK_FIELD_CONST(0x3, PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_SHIFT)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_RANGE                       1:0
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_WOFFSET                     0x0
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_AOVC_LOCK_ID_STATUS_0_DATA_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register PMC_IMPL_TEST_CLK_MUX_SEL_0
#define PMC_IMPL_TEST_CLK_MUX_SEL_0                     MK_ADDR_CONST(0x810)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SECURE                      0x0
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_DUAL                        0x0
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SCR                         TEST_CLK_MUX_SCR_0
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SCRREG                      PMC_IMPL_SCR_TEST_CLK_MUX_SCR_0
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_WORD_COUNT                  0x1
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_SHIFT)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_RANGE                   0:0
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_WOFFSET                 0x0
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_INIT_ENUM                       DISABLE
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_TEST_CLK_MUX_SEL_0_SEL_ENABLE                  MK_ENUM_CONST(1)


// Reserved address 0x814

// Register PMC_IMPL_SC7_FSM_STATUS_0
#define PMC_IMPL_SC7_FSM_STATUS_0                       MK_ADDR_CONST(0x818)
#define PMC_IMPL_SC7_FSM_STATUS_0_SECURE                        0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_DUAL                  0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SCR                   0
#define PMC_IMPL_SC7_FSM_STATUS_0_SCRREG                        0
#define PMC_IMPL_SC7_FSM_STATUS_0_WORD_COUNT                    0x1
#define PMC_IMPL_SC7_FSM_STATUS_0_RESET_VAL                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_RESET_MASK                    MK_MASK_CONST(0x7ffff)
#define PMC_IMPL_SC7_FSM_STATUS_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_READ_MASK                     MK_MASK_CONST(0x7ffff)
#define PMC_IMPL_SC7_FSM_STATUS_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_RANGE                        0:0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_WOFFSET                      0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_INIT_ENUM                    TRUE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_IDLE_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_RANGE                        1:1
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_INIT_ENUM                    FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SLEEP_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_RANGE                  2:2
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_WOFFSET                        0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_INIT_ENUM                      FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_SEL_TRUE                   MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_RANGE                    3:3
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_WOFFSET                  0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_INIT_ENUM                        FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_FALSE                    MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ASSERT_E_TRUE                     MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_RANGE                 4:4
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_MSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_INIT_ENUM                     FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_FALSE                 MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_EARLY_CLAMP_TRUE                  MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_SHIFT                  MK_SHIFT_CONST(5)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_RANGE                  5:5
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_LSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_WOFFSET                        0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_INIT_ENUM                      FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_MAIN_CLAMP_TRUE                   MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_SHIFT                     MK_SHIFT_CONST(6)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_RANGE                     6:6
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_MSB                       MK_SHIFT_CONST(6)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_LSB                       MK_SHIFT_CONST(6)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_WOFFSET                   0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_INIT_ENUM                 FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_FALSE                     MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_OFF_TRUE                      MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_SHIFT                  MK_SHIFT_CONST(7)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_RANGE                  7:7
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_LSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_WOFFSET                        0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_INIT_ENUM                      FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOPG_TRUE                   MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_RANGE                     8:8
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_WOFFSET                   0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_INIT_ENUM                 FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_FALSE                     MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_OFF_TRUE                      MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_SHIFT                        MK_SHIFT_CONST(9)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_RANGE                        9:9
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_MSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_LSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_WOFFSET                      0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_INIT_ENUM                    FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_FOR_RET_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_SHIFT                      MK_SHIFT_CONST(10)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_RANGE                      10:10
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_MSB                        MK_SHIFT_CONST(10)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_LSB                        MK_SHIFT_CONST(10)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_WOFFSET                    0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_INIT_ENUM                  FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_FALSE                      MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_OSC_ON_TRUE                       MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_SHIFT                 MK_SHIFT_CONST(11)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_RANGE                 11:11
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_MSB                   MK_SHIFT_CONST(11)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_LSB                   MK_SHIFT_CONST(11)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_WOFFSET                       0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_INIT_ENUM                     FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_FALSE                 MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_ALLOW_AOUPG_TRUE                  MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_SHIFT                      MK_SHIFT_CONST(12)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_RANGE                      12:12
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_MSB                        MK_SHIFT_CONST(12)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_LSB                        MK_SHIFT_CONST(12)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_WOFFSET                    0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_INIT_ENUM                  FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_FALSE                      MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_PWR_ON_TRUE                       MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_SHIFT                        MK_SHIFT_CONST(13)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_RANGE                        13:13
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_MSB                  MK_SHIFT_CONST(13)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_LSB                  MK_SHIFT_CONST(13)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_INIT_ENUM                    FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_CLAMP_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_SHIFT                    MK_SHIFT_CONST(14)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_RANGE                    14:14
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_MSB                      MK_SHIFT_CONST(14)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_LSB                      MK_SHIFT_CONST(14)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_WOFFSET                  0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_INIT_ENUM                        FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_FALSE                    MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_E_TRUE                     MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_SHIFT                  MK_SHIFT_CONST(15)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_RANGE                  15:15
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_MSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_LSB                    MK_SHIFT_CONST(15)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_WOFFSET                        0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_INIT_ENUM                      FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SEL_TRUE                   MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_SHIFT                        MK_SHIFT_CONST(16)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_RANGE                        16:16
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_MSB                  MK_SHIFT_CONST(16)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_LSB                  MK_SHIFT_CONST(16)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_WOFFSET                      0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_INIT_ENUM                    FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_RESET_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_SHIFT                        MK_SHIFT_CONST(17)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_RANGE                        17:17
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_MSB                  MK_SHIFT_CONST(17)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_LSB                  MK_SHIFT_CONST(17)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_WOFFSET                      0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_INIT_ENUM                    FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_REMOVE_SLEEP_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_SHIFT                        MK_SHIFT_CONST(18)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_SHIFT)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_RANGE                        18:18
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_MSB                  MK_SHIFT_CONST(18)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_LSB                  MK_SHIFT_CONST(18)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_WOFFSET                      0x0
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_INIT_ENUM                    FALSE
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_SC7_FSM_STATUS_0_SC7_WAIT_DPD_DIS_TRUE                 MK_ENUM_CONST(1)


// Register PMC_IMPL_RAMDUMP_FIQ_EXIT_0
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0                     MK_ADDR_CONST(0x81c)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_SECURE                      0x0
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_DUAL                        0x0
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_SCR                         RAMDUMP_COM_SCR_0
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_SCRREG                      PMC_IMPL_SCR_RAMDUMP_COM_SCR_0
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_WORD_COUNT                  0x1
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_RESET_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_READ_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_RANGE                    0:0
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_WOFFSET                  0x0
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_FIQ_EXIT_0_PVA0_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0                 MK_ADDR_CONST(0x820)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SECURE                  0x0
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_DUAL                    0x0
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SCR                     RAMDUMP_COM_SCR_0
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SCRREG                  PMC_IMPL_SCR_RAMDUMP_COM_SCR_0
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_WORD_COUNT                      0x1
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_READ_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_RANGE                    0:0
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_WOFFSET                  0x0
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0_SET_PVA0_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0                 MK_ADDR_CONST(0x824)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_SECURE                  0x0
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_DUAL                    0x0
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_SCR                     RAMDUMP_COM_SCR_0
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_SCRREG                  PMC_IMPL_SCR_RAMDUMP_COM_SCR_0
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_WORD_COUNT                      0x1
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_READ_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_SHIFT)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_RANGE                    0:0
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_WOFFSET                  0x0
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0_CLR_PVA0_FIQ_EXITED_GRACEFULLY_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0                   MK_ADDR_CONST(0x828)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_SECURE                    0x0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_DUAL                      0x0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_SCR                       PMC_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_SCRREG                    PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_WORD_COUNT                        0x1
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_RESET_VAL                         MK_MASK_CONST(0x950)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_RESET_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_READ_MASK                         MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_WRITE_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_FIELD                       MK_FIELD_CONST(0xffffffff, PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_RANGE                       31:0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_DEFAULT                     MK_MASK_CONST(0x950)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0_FMON_COUNT_THRESH_HIGH_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0                    MK_ADDR_CONST(0x82c)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_SECURE                     0x0
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_DUAL                       0x0
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_SCR                        PMC_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_SCRREG                     PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_WORD_COUNT                         0x1
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_RESET_VAL                  MK_MASK_CONST(0x336)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_RESET_MASK                         MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_READ_MASK                  MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_WRITE_MASK                         MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_FIELD                 MK_FIELD_CONST(0xffffffff, PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_RANGE                 31:0
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_MSB                   MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_WOFFSET                       0x0
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_DEFAULT                       MK_MASK_CONST(0x336)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_DEFAULT_MASK                  MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0_FMON_COUNT_THRESH_LOW_PMC_CK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0                 MK_ADDR_CONST(0x830)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_SECURE                  0x0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_DUAL                    0x0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_SCR                     PMC_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_SCRREG                  PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_WORD_COUNT                      0x1
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_RESET_VAL                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_RESET_MASK                      MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_READ_MASK                       MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_WRITE_MASK                      MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_FIELD                      MK_FIELD_CONST(0xffffff, PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_RANGE                      23:0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_MSB                        MK_SHIFT_CONST(23)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_WOFFSET                    0x0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_DEFAULT_MASK                       MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0_FMON_REF_WINDOW_COUNT_PMC_CK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0                        MK_ADDR_CONST(0x834)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_SECURE                         0x0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_DUAL                   0x0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_SCR                    PMC_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_SCRREG                         PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_WORD_COUNT                     0x1
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_RESET_VAL                      MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_RESET_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_READ_MASK                      MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_WRITE_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_FIELD                    MK_FIELD_CONST(0xffffff, PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_RANGE                    23:0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_MSB                      MK_SHIFT_CONST(23)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_DEFAULT                  MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_DEFAULT_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0                     MK_ADDR_CONST(0x838)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_SECURE                      0x0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_DUAL                        0x0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_SCR                         PMC_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_SCRREG                      PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_WORD_COUNT                  0x1
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_RESET_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_READ_MASK                   MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_WRITE_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_RANGE                       2:2
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_INIT_ENUM                   DISABLE
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_DC_RESET_REQ_PMC_CK_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_RANGE                       1:1
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_INIT_ENUM                   DISABLE
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_FAULT_REPORT_PMC_CK_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_RANGE                  0:0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_INIT_ENUM                      DISABLE
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0_FMON_ACTION_RESET_REQ_PMC_CK_ENABLE                 MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_CONFIG_PMC_CK_0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0                   MK_ADDR_CONST(0x83c)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_SECURE                    0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_DUAL                      0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_SCR                       PMC_CK_SCR_0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_SCRREG                    PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_WORD_COUNT                        0x1
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_RESET_VAL                         MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_RESET_MASK                        MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_READ_MASK                         MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_WRITE_MASK                        MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_SHIFT                    MK_SHIFT_CONST(6)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_RANGE                    6:6
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_MSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_LSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_INIT_ENUM                        ENABLE
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_DC_FAULT_VIOL_PMC_CK_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_SHIFT                 MK_SHIFT_CONST(5)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_RANGE                 5:5
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_MSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_LSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_WOFFSET                       0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_INIT_ENUM                     ENABLE
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_PMC_CK_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_RANGE                  4:4
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_MSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_INIT_ENUM                      ENABLE
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_LOW_THRESH_VIOL_PMC_CK_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_SHIFT                   MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_RANGE                   3:3
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_LSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_WOFFSET                 0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_INIT_ENUM                       ENABLE
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REPORT_OVERFLOW_ERROR_PMC_CK_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_RANGE                       2:2
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_INIT_ENUM                   ENABLE
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_REF_CLK_WINDOW_EN_PMC_CK_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_RANGE                     1:1
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_INIT_ENUM                 ENABLE
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_FMON_COUNTER_PMC_CK_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_RANGE                  0:0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_INIT_ENUM                      ENABLE
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_PMC_CK_0_FMON_ENABLE_PMC_CK_ENABLE                 MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0                    MK_ADDR_CONST(0x840)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_SECURE                     0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_DUAL                       0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_SCR                        PMC_CK_SCR_0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_SCRREG                     PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_WORD_COUNT                         0x1
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_RESET_MASK                         MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_READ_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_RANGE                   2:2
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_WOFFSET                 0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_INIT_ENUM                       FALSE
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_FALSE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_CLK_STATUS_PMC_CK_TRUE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_RANGE                       1:1
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_INIT_ENUM                   FALSE
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_FALSE                       MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_PMC_CK_TRUE                        MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_RANGE                       0:0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_INIT_ENUM                   FALSE
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_FALSE                       MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_PMC_CK_TRUE                        MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0                     MK_ADDR_CONST(0x844)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_SECURE                      0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_DUAL                        0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_SCR                         PMC_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_SCRREG                      PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_WORD_COUNT                  0x1
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_RESET_MASK                  MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_READ_MASK                   MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_WRITE_MASK                  MK_MASK_CONST(0x80000000)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_SHIFT                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_RANGE                       31:31
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_LSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_INIT_ENUM                   FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_FALSE                       MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_CLEAR_PMC_CK_TRUE                        MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_RANGE                  4:4
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_MSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_INIT_ENUM                      FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_FAULT_OUT_STATUS_PMC_CK_TRUE                   MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_RANGE                    3:3
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_INIT_ENUM                        FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_FALSE                    MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_OVERFLOW_ERROR_PMC_CK_TRUE                     MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_RANGE                    2:2
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_INIT_ENUM                        FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_FALSE                    MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_PMC_CK_TRUE                     MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_RANGE                     1:1
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_INIT_ENUM                 FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_FALSE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_PMC_CK_TRUE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_RANGE                  0:0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_INIT_ENUM                      FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0_FMON_DC_FAULT_PMC_CK_TRUE                   MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0                   MK_ADDR_CONST(0x848)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_SECURE                    0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_DUAL                      0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_SCR                       PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_SCRREG                    PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_WORD_COUNT                        0x1
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_RESET_MASK                        MK_MASK_CONST(0x80000007)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_READ_MASK                         MK_MASK_CONST(0x80000007)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_WRITE_MASK                        MK_MASK_CONST(0x80000007)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_SHIFT                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_RANGE                       31:31
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_LSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_INIT_ENUM                   DISABLE
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_PMC_CK_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_FIELD                   MK_FIELD_CONST(0x7, PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_RANGE                   2:0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_WOFFSET                 0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_DEFAULT_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_INIT_ENUM                       DISABLE
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0_FMON_LOAD_DATA_SEL_PMC_CK_ENABLE                  MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0                       MK_ADDR_CONST(0x84c)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_SECURE                        0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_DUAL                  0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_SCR                   PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_SCRREG                        PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_WORD_COUNT                    0x1
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_RANGE                      0:0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_WOFFSET                    0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_INIT_ENUM                  DISABLE
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0_FMON_LOAD_DATA_DONE_PMC_CK_ENABLE                     MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0                       MK_ADDR_CONST(0x850)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_SECURE                        0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_DUAL                  0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_SCR                   PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_SCRREG                        PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_WORD_COUNT                    0x1
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_RANGE                        2:0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0_FMON_LOAD_DATA_SEL_STATUS_PMC_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0                       MK_ADDR_CONST(0x854)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_SECURE                        0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_DUAL                  0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_SCR                   PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_SCRREG                        PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_WORD_COUNT                    0x1
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_FIELD                       MK_FIELD_CONST(0xffffffff, PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_RANGE                       31:0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0_FMON_LOAD_DATA_VAL_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0                    MK_ADDR_CONST(0x858)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_SECURE                     0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_DUAL                       0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_SCR                        PMC_CK_SCR_0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_SCRREG                     PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_WORD_COUNT                         0x1
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_RESET_MASK                         MK_MASK_CONST(0xf)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_READ_MASK                  MK_MASK_CONST(0xf)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_WRITE_MASK                         MK_MASK_CONST(0xf)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_RANGE                       3:3
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_HOLD_COUNT_SAMPLES_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_RANGE                       2:2
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_CLEAR_FMON_COUNTER_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_RANGE                 1:1
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_WOFFSET                       0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_PMC_CK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_RANGE                        0:0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_PMC_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0                     MK_ADDR_CONST(0x85c)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_SECURE                      0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_DUAL                        0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_SCR                         PMC_CK_SCR_0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_SCRREG                      PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_WORD_COUNT                  0x1
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_RESET_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_READ_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_WRITE_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_RANGE                        1:1
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_REF_WINDOW_PMC_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_RANGE                      0:0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_WOFFSET                    0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_INIT_ENUM                  DISABLE
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0_FMON_ENABLE_DEBUG_PMC_CK_ENABLE                     MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0                       MK_ADDR_CONST(0x860)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_SECURE                        0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_DUAL                  0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_SCR                   PMC_CK_SCR_0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_SCRREG                        PMC_IMPL_SCR_PMC_CK_SCR_0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_WORD_COUNT                    0x1
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_RESET_VAL                     MK_MASK_CONST(0x8000000c)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_RESET_MASK                    MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_READ_MASK                     MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_WRITE_MASK                    MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_FIELD                    MK_FIELD_CONST(0x1f, PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_RANGE                    4:0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_MSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_DEFAULT                  MK_MASK_CONST(0xc)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_DEFAULT_MASK                     MK_MASK_CONST(0x1f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_FMON_OVERFLOW_BIT_SEL_PMC_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_SHIFT                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_RANGE                       31:31
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_LSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_INIT_ENUM                   ENABLE
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_PMC_CK_ENABLE                      MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0                      MK_ADDR_CONST(0x864)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_SECURE                       0x0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_DUAL                         0x0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_SCR                  OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_SCRREG                       PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_WORD_COUNT                   0x1
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_RESET_VAL                    MK_MASK_CONST(0x48f)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_RESET_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_READ_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_WRITE_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0xffffffff, PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_RANGE                     31:0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x48f)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0_FMON_COUNT_THRESH_HIGH_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0                       MK_ADDR_CONST(0x868)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_SECURE                        0x0
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_DUAL                  0x0
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_SCR                   OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_SCRREG                        PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_WORD_COUNT                    0x1
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_RESET_VAL                     MK_MASK_CONST(0x1f3)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_FIELD                       MK_FIELD_CONST(0xffffffff, PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_RANGE                       31:0
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_MSB                 MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_DEFAULT                     MK_MASK_CONST(0x1f3)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_DEFAULT_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0_FMON_COUNT_THRESH_LOW_OSCnFUSE_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0                    MK_ADDR_CONST(0x86c)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_SECURE                     0x0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_DUAL                       0x0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_SCR                        OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_SCRREG                     PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_WORD_COUNT                         0x1
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_RESET_VAL                  MK_MASK_CONST(0x280)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_RESET_MASK                         MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_READ_MASK                  MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_WRITE_MASK                         MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_FIELD                    MK_FIELD_CONST(0xffffff, PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_RANGE                    23:0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_MSB                      MK_SHIFT_CONST(23)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_DEFAULT                  MK_MASK_CONST(0x280)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_DEFAULT_MASK                     MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0                   MK_ADDR_CONST(0x870)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_SECURE                    0x0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_DUAL                      0x0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_SCR                       OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_SCRREG                    PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_WORD_COUNT                        0x1
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_RESET_VAL                         MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_RESET_MASK                        MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_READ_MASK                         MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_WRITE_MASK                        MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_FIELD                  MK_FIELD_CONST(0xffffff, PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_RANGE                  23:0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_MSB                    MK_SHIFT_CONST(23)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_DEFAULT                        MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_DEFAULT_MASK                   MK_MASK_CONST(0xffffff)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0                        MK_ADDR_CONST(0x874)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_SECURE                         0x0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_DUAL                   0x0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_SCR                    OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_SCRREG                         PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_WORD_COUNT                     0x1
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_RESET_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_READ_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_WRITE_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_RANGE                     2:2
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_INIT_ENUM                 DISABLE
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_DC_RESET_REQ_OSCnFUSE_CK_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_RANGE                     1:1
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_INIT_ENUM                 DISABLE
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_FAULT_REPORT_OSCnFUSE_CK_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_RANGE                        0:0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_INIT_ENUM                    DISABLE
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0_FMON_ACTION_RESET_REQ_OSCnFUSE_CK_ENABLE                       MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0                      MK_ADDR_CONST(0x878)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_SECURE                       0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_DUAL                         0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_SCR                  OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_SCRREG                       PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_WORD_COUNT                   0x1
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_RESET_VAL                    MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_RESET_MASK                   MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_READ_MASK                    MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_WRITE_MASK                   MK_MASK_CONST(0x7f)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_SHIFT                  MK_SHIFT_CONST(6)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_RANGE                  6:6
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_MSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_LSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_INIT_ENUM                      ENABLE
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_DC_FAULT_VIOL_OSCnFUSE_CK_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_SHIFT                       MK_SHIFT_CONST(5)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_RANGE                       5:5
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_MSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_LSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_INIT_ENUM                   ENABLE
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_HIGH_THRESH_VIOL_OSCnFUSE_CK_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_SHIFT                        MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_RANGE                        4:4
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_LSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_INIT_ENUM                    ENABLE
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_LOW_THRESH_VIOL_OSCnFUSE_CK_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_SHIFT                 MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_RANGE                 3:3
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_LSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_WOFFSET                       0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_INIT_ENUM                     ENABLE
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REPORT_OVERFLOW_ERROR_OSCnFUSE_CK_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_RANGE                     2:2
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_INIT_ENUM                 ENABLE
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_REF_CLK_WINDOW_EN_OSCnFUSE_CK_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_RANGE                   1:1
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_WOFFSET                 0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_INIT_ENUM                       ENABLE
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_FMON_COUNTER_OSCnFUSE_CK_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_RANGE                        0:0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_INIT_ENUM                    ENABLE
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_OSCnFUSE_CK_ENABLE                       MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0                       MK_ADDR_CONST(0x87c)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_SECURE                        0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_DUAL                  0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_SCR                   OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_SCRREG                        PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_WORD_COUNT                    0x1
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_RESET_MASK                    MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_READ_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_RANGE                 2:2
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_WOFFSET                       0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_INIT_ENUM                     FALSE
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_FALSE                 MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_CLK_STATUS_OSCnFUSE_CK_TRUE                  MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_RANGE                     1:1
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_INIT_ENUM                 FALSE
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_FALSE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_ERR_CLK_STATUS_OSCnFUSE_CK_TRUE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_RANGE                     0:0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_INIT_ENUM                 FALSE
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_FALSE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0_FMON_ENABLE_FMON_REF_CLK_STATUS_OSCnFUSE_CK_TRUE                      MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0                        MK_ADDR_CONST(0x880)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_SECURE                         0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_DUAL                   0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_SCR                    OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_SCRREG                         PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_WORD_COUNT                     0x1
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_RESET_MASK                     MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_READ_MASK                      MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_WRITE_MASK                     MK_MASK_CONST(0x80000000)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_RANGE                     31:31
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_INIT_ENUM                 FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_FALSE                     MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_CLEAR_OSCnFUSE_CK_TRUE                      MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_SHIFT                        MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_RANGE                        4:4
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_LSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_INIT_ENUM                    FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_FAULT_OUT_STATUS_OSCnFUSE_CK_TRUE                 MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_SHIFT                  MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_RANGE                  3:3
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_MSB                    MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_LSB                    MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_INIT_ENUM                      FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_OVERFLOW_ERROR_OSCnFUSE_CK_TRUE                   MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_RANGE                  2:2
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_INIT_ENUM                      FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_FALSE                  MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_HIGHER_THRESH_HIGH_FAULT_OSCnFUSE_CK_TRUE                   MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_RANGE                   1:1
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_WOFFSET                 0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_INIT_ENUM                       FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_FALSE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_COUNT_LOWER_THRESH_HIGH_FAULT_OSCnFUSE_CK_TRUE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_RANGE                        0:0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_WOFFSET                      0x0
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_INIT_ENUM                    FALSE
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_FALSE                        MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0_FMON_DC_FAULT_OSCnFUSE_CK_TRUE                 MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0                      MK_ADDR_CONST(0x884)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_SECURE                       0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_DUAL                         0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_SCR                  OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_SCRREG                       PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_WORD_COUNT                   0x1
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_RESET_MASK                   MK_MASK_CONST(0x80000007)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_READ_MASK                    MK_MASK_CONST(0x80000007)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_WRITE_MASK                   MK_MASK_CONST(0x80000007)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_RANGE                     31:31
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_INIT_ENUM                 DISABLE
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_OSCnFUSE_CK_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_FIELD                 MK_FIELD_CONST(0x7, PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_RANGE                 2:0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_WOFFSET                       0x0
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_DEFAULT_MASK                  MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_INIT_ENUM                     DISABLE
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_OSCnFUSE_CK_ENABLE                        MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0                  MK_ADDR_CONST(0x888)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_SECURE                   0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_DUAL                     0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_SCR                      OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_SCRREG                   PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_WORD_COUNT                       0x1
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_RANGE                    0:0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_INIT_ENUM                        DISABLE
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0_FMON_LOAD_DATA_DONE_OSCnFUSE_CK_ENABLE                   MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0                  MK_ADDR_CONST(0x88c)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_SECURE                   0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_DUAL                     0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_SCR                      OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_SCRREG                   PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_WORD_COUNT                       0x1
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_RESET_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_READ_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_RANGE                      2:0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_WOFFSET                    0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0_FMON_LOAD_DATA_SEL_STATUS_OSCnFUSE_CK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0                  MK_ADDR_CONST(0x890)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_SECURE                   0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_DUAL                     0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_SCR                      OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_SCRREG                   PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_WORD_COUNT                       0x1
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_RESET_MASK                       MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_READ_MASK                        MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0xffffffff, PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_RANGE                     31:0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0_FMON_LOAD_DATA_VAL_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0                       MK_ADDR_CONST(0x894)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_SECURE                        0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_DUAL                  0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_SCR                   OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_SCRREG                        PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_WORD_COUNT                    0x1
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_RESET_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_READ_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_WRITE_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_RANGE                     3:3
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_HOLD_COUNT_SAMPLES_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_RANGE                     2:2
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_CLEAR_FMON_COUNTER_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_RANGE                       1:1
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MASK_MIN_MAX_COUNT_CLEAR_OSCnFUSE_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_RANGE                      0:0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_WOFFSET                    0x0
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0_FMON_MIN_MAX_LASTN_COUNT_CLEAR_OSCnFUSE_CK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0                        MK_ADDR_CONST(0x898)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_SECURE                         0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_DUAL                   0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_SCR                    OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_SCRREG                         PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_WORD_COUNT                     0x1
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_RESET_MASK                     MK_MASK_CONST(0x3)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_READ_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_RANGE                      1:1
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_WOFFSET                    0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_REF_WINDOW_OSCnFUSE_CK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_RANGE                    0:0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_INIT_ENUM                        DISABLE
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0_FMON_ENABLE_DEBUG_OSCnFUSE_CK_ENABLE                   MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0                  MK_ADDR_CONST(0x89c)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_SECURE                   0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_DUAL                     0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_SCR                      OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_SCRREG                   PMC_IMPL_SCR_OSCnFUSE_CK_SCR_0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_WORD_COUNT                       0x1
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_RESET_VAL                        MK_MASK_CONST(0x8000000b)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_RESET_MASK                       MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_READ_MASK                        MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_WRITE_MASK                       MK_MASK_CONST(0x8000001f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_FIELD                  MK_FIELD_CONST(0x1f, PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_RANGE                  4:0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_MSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_WOFFSET                        0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_DEFAULT                        MK_MASK_CONST(0xb)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_DEFAULT_MASK                   MK_MASK_CONST(0x1f)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_FMON_OVERFLOW_BIT_SEL_OSCnFUSE_CK_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_SHIFT                     MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_RANGE                     31:31
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_LSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_WOFFSET                   0x0
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_INIT_ENUM                 ENABLE
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0_USE_CNTR_OVERFLOW_DC_FAULT_OSCnFUSE_CK_ENABLE                    MK_ENUM_CONST(1)


// Register PMC_IMPL_FMON_DBG_CONFIG_0
#define PMC_IMPL_FMON_DBG_CONFIG_0                      MK_ADDR_CONST(0x8a0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_SECURE                       0x0
#define PMC_IMPL_FMON_DBG_CONFIG_0_DUAL                         0x0
#define PMC_IMPL_FMON_DBG_CONFIG_0_SCR                  FMON_COM_SCR_0
#define PMC_IMPL_FMON_DBG_CONFIG_0_SCRREG                       PMC_IMPL_SCR_FMON_COM_SCR_0
#define PMC_IMPL_FMON_DBG_CONFIG_0_WORD_COUNT                   0x1
#define PMC_IMPL_FMON_DBG_CONFIG_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_RESET_MASK                   MK_MASK_CONST(0xf01)
#define PMC_IMPL_FMON_DBG_CONFIG_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_READ_MASK                    MK_MASK_CONST(0xf01)
#define PMC_IMPL_FMON_DBG_CONFIG_0_WRITE_MASK                   MK_MASK_CONST(0xf01)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_SHIFT)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_RANGE                     0:0
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_WOFFSET                   0x0
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_INIT_ENUM                 DISABLE
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_DISABLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_USE_OSC_STABLE_IN_FOSC_FMON_ENABLE_ENABLE                    MK_ENUM_CONST(1)

#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_SHIFT                       MK_SHIFT_CONST(8)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_RANGE                       8:8
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_MSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_LSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_WOFFSET                     0x0
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_OSCNFUSE_CK_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_SHIFT                 MK_SHIFT_CONST(9)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_SHIFT)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_RANGE                 9:9
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_MSB                   MK_SHIFT_CONST(9)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_LSB                   MK_SHIFT_CONST(9)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_WOFFSET                       0x0
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_OSCNFUSE_CK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_SHIFT                    MK_SHIFT_CONST(10)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_RANGE                    10:10
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_MSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_LSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_WOFFSET                  0x0
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_CLEAR2HSM_PMC_CK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_SHIFT                      MK_SHIFT_CONST(11)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_SHIFT)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_RANGE                      11:11
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_MSB                        MK_SHIFT_CONST(11)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_LSB                        MK_SHIFT_CONST(11)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_WOFFSET                    0x0
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_FMON_DBG_CONFIG_0_FMON_FAULT_SET2HSM_PMC_CK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_L0L1A_RST_SOURCE_EN_0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0                  MK_ADDR_CONST(0x8a4)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SECURE                   0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_DUAL                     0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SCR                      ASYNC_RST_SCR_0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SCRREG                   PMC_IMPL_SCR_ASYNC_RST_SCR_0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_WORD_COUNT                       0x1
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_RESET_MASK                       MK_MASK_CONST(0x1f71)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_READ_MASK                        MK_MASK_CONST(0x1f71)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_WRITE_MASK                       MK_MASK_CONST(0x1f71)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_RANGE                    0:0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_WOFFSET                  0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_INIT_ENUM                        DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VREFRORST_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_SHIFT                       MK_SHIFT_CONST(4)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_RANGE                       4:4
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_MSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_LSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_WOFFSET                     0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_INIT_ENUM                   DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_OSCRSTREQ_ENABLE                      MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_RANGE                    5:5
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_WOFFSET                  0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_INIT_ENUM                        DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDSOCRST_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_SHIFT                  MK_SHIFT_CONST(6)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_RANGE                  6:6
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_MSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_LSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_WOFFSET                        0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_INIT_ENUM                      DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_DISABLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FUSECRC_RSTREQ_ENABLE                 MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_RANGE                   8:8
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_WOFFSET                 0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_INIT_ENUM                       DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU0RST_EN_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_SHIFT                   MK_SHIFT_CONST(9)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_RANGE                   9:9
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_MSB                     MK_SHIFT_CONST(9)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_LSB                     MK_SHIFT_CONST(9)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_WOFFSET                 0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_INIT_ENUM                       DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDCPU1RST_EN_ENABLE                  MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_SHIFT                      MK_SHIFT_CONST(10)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_RANGE                      10:10
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_MSB                        MK_SHIFT_CONST(10)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_LSB                        MK_SHIFT_CONST(10)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_WOFFSET                    0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_INIT_ENUM                  DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_DISABLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_BPMPRST_EN_ENABLE                     MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_SHIFT                 MK_SHIFT_CONST(11)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_RANGE                 11:11
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_MSB                   MK_SHIFT_CONST(11)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_LSB                   MK_SHIFT_CONST(11)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_WOFFSET                       0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_INIT_ENUM                     DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_FSI_FMON_RST_EN_ENABLE                        MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_SHIFT                    MK_SHIFT_CONST(12)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_RANGE                    12:12
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_MSB                      MK_SHIFT_CONST(12)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_LSB                      MK_SHIFT_CONST(12)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_WOFFSET                  0x0
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_INIT_ENUM                        DISABLE
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_SOURCE_EN_0_SW_VDDFSIRST_EN_ENABLE                   MK_ENUM_CONST(1)


// Register PMC_IMPL_L0L1A_RST_LEVEL_EN_0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0                   MK_ADDR_CONST(0x8a8)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SECURE                    0x0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_DUAL                      0x0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SCR                       ASYNC_RST_SCR_0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SCRREG                    PMC_IMPL_SCR_ASYNC_RST_SCR_0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_WORD_COUNT                        0x1
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_RESET_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_READ_MASK                         MK_MASK_CONST(0x3)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_WRITE_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_RANGE                    0:0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_WOFFSET                  0x0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_INIT_ENUM                        DISABLE
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_DISABLE                  MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL0RST_EN_ENABLE                   MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_SHIFT)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_RANGE                   1:1
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_WOFFSET                 0x0
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_INIT_ENUM                       DISABLE
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_DISABLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_LEVEL_EN_0_SW_ASYNCL1ARST_EN_ENABLE                  MK_ENUM_CONST(1)


// Register PMC_IMPL_L0L1A_RST_STATUS_0
#define PMC_IMPL_L0L1A_RST_STATUS_0                     MK_ADDR_CONST(0x8ac)
#define PMC_IMPL_L0L1A_RST_STATUS_0_SECURE                      0x0
#define PMC_IMPL_L0L1A_RST_STATUS_0_DUAL                        0x0
#define PMC_IMPL_L0L1A_RST_STATUS_0_SCR                         ASYNC_RST_SCR_0
#define PMC_IMPL_L0L1A_RST_STATUS_0_SCRREG                      PMC_IMPL_SCR_ASYNC_RST_SCR_0
#define PMC_IMPL_L0L1A_RST_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_L0L1A_RST_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_L0L1A_RST_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_READ_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_L0L1A_RST_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_SHIFT)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_RANGE                        0:0
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_WOFFSET                      0x0
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_INIT_ENUM                    DISABLE
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_DISABLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL0RST_ENABLE_ENABLE                       MK_ENUM_CONST(1)

#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_SHIFT)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_RANGE                       1:1
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_WOFFSET                     0x0
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_INIT_ENUM                   DISABLE
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_L0L1A_RST_STATUS_0_FUSE_ASYNCL1ARST_ENABLE_ENABLE                      MK_ENUM_CONST(1)


// Register PMC_IMPL_DVDD_RG_CNTRL_0
#define PMC_IMPL_DVDD_RG_CNTRL_0                        MK_ADDR_CONST(0x8b0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_SECURE                         0x0
#define PMC_IMPL_DVDD_RG_CNTRL_0_DUAL                   0x0
#define PMC_IMPL_DVDD_RG_CNTRL_0_SCR                    DVDD_SCR_0
#define PMC_IMPL_DVDD_RG_CNTRL_0_SCRREG                         PMC_IMPL_SCR_DVDD_SCR_0
#define PMC_IMPL_DVDD_RG_CNTRL_0_WORD_COUNT                     0x1
#define PMC_IMPL_DVDD_RG_CNTRL_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_DVDD_RG_CNTRL_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_DVDD_RG_CNTRL_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_SHIFT)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_RANGE                       0:0
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_WOFFSET                     0x0
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_DISABLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_DVDD_RG_CNTRL_0_RAIL_CLAMP_ENABLE                      MK_ENUM_CONST(1)


// Register PMC_IMPL_CV_RG_CNTRL_0
#define PMC_IMPL_CV_RG_CNTRL_0                  MK_ADDR_CONST(0x8b4)
#define PMC_IMPL_CV_RG_CNTRL_0_SECURE                   0x0
#define PMC_IMPL_CV_RG_CNTRL_0_DUAL                     0x0
#define PMC_IMPL_CV_RG_CNTRL_0_SCR                      CV_SCR_0
#define PMC_IMPL_CV_RG_CNTRL_0_SCRREG                   PMC_IMPL_SCR_CV_SCR_0
#define PMC_IMPL_CV_RG_CNTRL_0_WORD_COUNT                       0x1
#define PMC_IMPL_CV_RG_CNTRL_0_RESET_VAL                        MK_MASK_CONST(0x1)
#define PMC_IMPL_CV_RG_CNTRL_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_CV_RG_CNTRL_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_CV_RG_CNTRL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_CV_RG_CNTRL_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_CV_RG_CNTRL_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_SHIFT)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_RANGE                 0:0
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_WOFFSET                       0x0
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_DISABLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_CV_RG_CNTRL_0_RAIL_CLAMP_ENABLE                        MK_ENUM_CONST(1)


// Register PMC_IMPL_SC7_RST_REQ_TIMER_0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0                    MK_ADDR_CONST(0x8b8)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_SECURE                     0x0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_DUAL                       0x0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_SCR                        SC78_SCR_0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_SCRREG                     PMC_IMPL_SCR_SC78_SCR_0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_WORD_COUNT                         0x1
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_RESET_VAL                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_RESET_MASK                         MK_MASK_CONST(0xff)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_READ_MASK                  MK_MASK_CONST(0xff)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_WRITE_MASK                         MK_MASK_CONST(0xff)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_FIELD                   MK_FIELD_CONST(0xf, PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_SHIFT)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_RANGE                   3:0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_WOFFSET                 0x0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_DEFAULT_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_PRERST_TGT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_SHIFT)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_RANGE                  7:4
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_WOFFSET                        0x0
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SC7_RST_REQ_TIMER_0_POSTRST_TGT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_RST_REQ_TIMER_0
#define PMC_IMPL_RST_REQ_TIMER_0                        MK_ADDR_CONST(0x8bc)
#define PMC_IMPL_RST_REQ_TIMER_0_SECURE                         0x0
#define PMC_IMPL_RST_REQ_TIMER_0_DUAL                   0x0
#define PMC_IMPL_RST_REQ_TIMER_0_SCR                    CNTRL_SCR_0
#define PMC_IMPL_RST_REQ_TIMER_0_SCRREG                         PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_RST_REQ_TIMER_0_WORD_COUNT                     0x1
#define PMC_IMPL_RST_REQ_TIMER_0_RESET_VAL                      MK_MASK_CONST(0x6)
#define PMC_IMPL_RST_REQ_TIMER_0_RESET_MASK                     MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_TIMER_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_TIMER_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_TIMER_0_READ_MASK                      MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_TIMER_0_WRITE_MASK                     MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_FIELD                        MK_FIELD_CONST(0xff, PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_SHIFT)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_RANGE                        7:0
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_MSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_WOFFSET                      0x0
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_DEFAULT                      MK_MASK_CONST(0x6)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_DEFAULT_MASK                 MK_MASK_CONST(0xff)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RST_REQ_TIMER_0_WAIT_CLK_STOP_VAL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_ASYNC_RST_SC7_CONFIG_0
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0                 MK_ADDR_CONST(0x8c0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SECURE                  0x0
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_DUAL                    0x0
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SCR                     ASYNC_RST_SC7_SCR_0
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SCRREG                  PMC_IMPL_SCR_ASYNC_RST_SC7_SCR_0
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_WORD_COUNT                      0x1
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_RESET_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_READ_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_WRITE_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_SHIFT)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_RANGE                        0:0
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_WOFFSET                      0x0
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_INIT_ENUM                    UNMASKED
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_UNMASKED                     MK_ENUM_CONST(0)
#define PMC_IMPL_ASYNC_RST_SC7_CONFIG_0_SW_SC7_DIS_MASKED                       MK_ENUM_CONST(1)


// Register PMC_IMPL_PMC_RESET_DETECTOR_0
#define PMC_IMPL_PMC_RESET_DETECTOR_0                   MK_ADDR_CONST(0x8c4)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_SECURE                    0x0
#define PMC_IMPL_PMC_RESET_DETECTOR_0_DUAL                      0x0
#define PMC_IMPL_PMC_RESET_DETECTOR_0_SCR                       0
#define PMC_IMPL_PMC_RESET_DETECTOR_0_SCRREG                    0
#define PMC_IMPL_PMC_RESET_DETECTOR_0_WORD_COUNT                        0x1
#define PMC_IMPL_PMC_RESET_DETECTOR_0_RESET_VAL                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_SHIFT)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_RANGE                      0:0
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_WOFFSET                    0x0
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_INIT_ENUM                  DETECTED
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_DETECTED                   MK_ENUM_CONST(1)
#define PMC_IMPL_PMC_RESET_DETECTOR_0_pmc2dfd_reset_detector_NOT_DETECTED                       MK_ENUM_CONST(0)


// Register PMC_IMPL_LED_BREATHING_CTRL_0
#define PMC_IMPL_LED_BREATHING_CTRL_0                   MK_ADDR_CONST(0x8c8)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SECURE                    0x0
#define PMC_IMPL_LED_BREATHING_CTRL_0_DUAL                      0x0
#define PMC_IMPL_LED_BREATHING_CTRL_0_SCR                       CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_CTRL_0_SCRREG                    PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_CTRL_0_WORD_COUNT                        0x1
#define PMC_IMPL_LED_BREATHING_CTRL_0_RESET_VAL                         MK_MASK_CONST(0x2)
#define PMC_IMPL_LED_BREATHING_CTRL_0_RESET_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_READ_MASK                         MK_MASK_CONST(0x3)
#define PMC_IMPL_LED_BREATHING_CTRL_0_WRITE_MASK                        MK_MASK_CONST(0x3)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_SHIFT)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_RANGE                        0:0
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_WOFFSET                      0x0
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_BREATHING_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_SHIFT)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_RANGE                 1:1
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_WOFFSET                       0x0
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_CTRL_0_SHORT_LOW_PERIOD_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register PMC_IMPL_LED_BREATHING_COUNTER0_0
#define PMC_IMPL_LED_BREATHING_COUNTER0_0                       MK_ADDR_CONST(0x8cc)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_SECURE                        0x0
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_DUAL                  0x0
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_SCR                   CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_SCRREG                        PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_WORD_COUNT                    0x1
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_RESET_VAL                     MK_MASK_CONST(0x4)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_FIELD                     MK_FIELD_CONST(0xffffffff, PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_SHIFT)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_RANGE                     31:0
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_WOFFSET                   0x0
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_DEFAULT                   MK_MASK_CONST(0x4)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_DEFAULT_MASK                      MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER0_0_NO_OF_STEPS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register PMC_IMPL_LED_BREATHING_COUNTER1_0
#define PMC_IMPL_LED_BREATHING_COUNTER1_0                       MK_ADDR_CONST(0x8d0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_SECURE                        0x0
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_DUAL                  0x0
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_SCR                   CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_SCRREG                        PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_WORD_COUNT                    0x1
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_RESET_VAL                     MK_MASK_CONST(0x1f)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_FIELD                   MK_FIELD_CONST(0xffffffff, PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_SHIFT)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_RANGE                   31:0
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_WOFFSET                 0x0
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_DEFAULT                 MK_MASK_CONST(0x1f)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER1_0_PLATEAU_COUNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register PMC_IMPL_LED_BREATHING_COUNTER2_0
#define PMC_IMPL_LED_BREATHING_COUNTER2_0                       MK_ADDR_CONST(0x8d4)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SECURE                        0x0
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_DUAL                  0x0
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SCR                   CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SCRREG                        PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_WORD_COUNT                    0x1
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_RESET_VAL                     MK_MASK_CONST(0xf)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_FIELD                  MK_FIELD_CONST(0xffffffff, PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_SHIFT)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_RANGE                  31:0
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_WOFFSET                        0x0
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_DEFAULT                        MK_MASK_CONST(0xf)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_DEFAULT_MASK                   MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER2_0_SHORT_LOW_PERIOD_COUNT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_LED_BREATHING_COUNTER3_0
#define PMC_IMPL_LED_BREATHING_COUNTER3_0                       MK_ADDR_CONST(0x8d8)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_SECURE                        0x0
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_DUAL                  0x0
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_SCR                   CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_SCRREG                        PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_WORD_COUNT                    0x1
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_RESET_VAL                     MK_MASK_CONST(0x1f)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_RESET_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_READ_MASK                     MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_WRITE_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_FIELD                   MK_FIELD_CONST(0xffffffff, PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_SHIFT)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_RANGE                   31:0
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_WOFFSET                 0x0
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_DEFAULT                 MK_MASK_CONST(0x1f)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_DEFAULT_MASK                    MK_MASK_CONST(0xffffffff)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_COUNTER3_0_LONG_LOW_PERIOD_COUNT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register PMC_IMPL_LED_BREATHING_STATUS_0
#define PMC_IMPL_LED_BREATHING_STATUS_0                 MK_ADDR_CONST(0x8dc)
#define PMC_IMPL_LED_BREATHING_STATUS_0_SECURE                  0x0
#define PMC_IMPL_LED_BREATHING_STATUS_0_DUAL                    0x0
#define PMC_IMPL_LED_BREATHING_STATUS_0_SCR                     CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_STATUS_0_SCRREG                  PMC_IMPL_SCR_CNTRL_SCR_0
#define PMC_IMPL_LED_BREATHING_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_LED_BREATHING_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_LED_BREATHING_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_FIELD                    MK_FIELD_CONST(0x7, PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_SHIFT)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_RANGE                    2:0
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_WOFFSET                  0x0
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_LED_BREATHING_STATUS_0_CSTATE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_DPD_AUX_CLAMP_0
#define PMC_IMPL_DPD_AUX_CLAMP_0                        MK_ADDR_CONST(0x8e0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_SECURE                         0x0
#define PMC_IMPL_DPD_AUX_CLAMP_0_DUAL                   0x0
#define PMC_IMPL_DPD_AUX_CLAMP_0_SCR                    AUX_CLAMP_SCR_0
#define PMC_IMPL_DPD_AUX_CLAMP_0_SCRREG                         PMC_IMPL_SCR_AUX_CLAMP_SCR_0
#define PMC_IMPL_DPD_AUX_CLAMP_0_WORD_COUNT                     0x1
#define PMC_IMPL_DPD_AUX_CLAMP_0_RESET_VAL                      MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_AUX_CLAMP_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_AUX_CLAMP_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_AUX_CLAMP_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_SHIFT)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_RANGE                        0:0
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_WOFFSET                      0x0
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_DPD_AUX_CLAMP_0_AUX_CLAMP_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_L2_SOURCE_MASK_0
#define PMC_IMPL_L2_SOURCE_MASK_0                       MK_ADDR_CONST(0x8e4)
#define PMC_IMPL_L2_SOURCE_MASK_0_SECURE                        0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_DUAL                  0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_SCR                   L2_RST_SRC_SCR_0
#define PMC_IMPL_L2_SOURCE_MASK_0_SCRREG                        PMC_IMPL_SCR_L2_RST_SRC_SCR_0
#define PMC_IMPL_L2_SOURCE_MASK_0_WORD_COUNT                    0x1
#define PMC_IMPL_L2_SOURCE_MASK_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_RESET_MASK                    MK_MASK_CONST(0x1ffff)
#define PMC_IMPL_L2_SOURCE_MASK_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_READ_MASK                     MK_MASK_CONST(0x1ffff)
#define PMC_IMPL_L2_SOURCE_MASK_0_WRITE_MASK                    MK_MASK_CONST(0x1ffff)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_RANGE                      0:0
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_WOFFSET                    0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_INIT_ENUM                  UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BCCPLEXWDT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_RANGE                      1:1
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_WOFFSET                    0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_INIT_ENUM                  UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_UNMASK                     MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_LCCPLEXWDT_MASK                       MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_RANGE                  2:2
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_WOFFSET                        0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_INIT_ENUM                      UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_UNMASK                 MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_APEWDT_MASK                   MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_SHIFT                 MK_SHIFT_CONST(3)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_RANGE                 3:3
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_LSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_WOFFSET                       0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_INIT_ENUM                     UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_UNMASK                        MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_BPMPWDT_MASK                  MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_RANGE                  4:4
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_MSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_WOFFSET                        0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_INIT_ENUM                      UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_UNMASK                 MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SCEWDT_MASK                   MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_SHIFT                  MK_SHIFT_CONST(5)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_RANGE                  5:5
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_LSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_WOFFSET                        0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_INIT_ENUM                      UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_UNMASK                 MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_SPEWDT_MASK                   MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_SHIFT                   MK_SHIFT_CONST(6)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_RANGE                   6:6
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_MSB                     MK_SHIFT_CONST(6)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_LSB                     MK_SHIFT_CONST(6)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_WOFFSET                 0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_INIT_ENUM                       UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_UNMASK                  MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_AOWDT_MASK                    MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_SHIFT                  MK_SHIFT_CONST(7)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_RANGE                  7:7
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_LSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_WOFFSET                        0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_INIT_ENUM                      UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_UNMASK                 MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_RCEWDT_MASK                   MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_RANGE                  8:8
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_WOFFSET                        0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_INIT_ENUM                      UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_UNMASK                 MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_DCEWDT_MASK                   MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_SHIFT                  MK_SHIFT_CONST(9)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_RANGE                  9:9
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_MSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_LSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_WOFFSET                        0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_INIT_ENUM                      UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_UNMASK                 MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_PSCWDT_MASK                   MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_SHIFT                        MK_SHIFT_CONST(10)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_RANGE                        10:10
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_MSB                  MK_SHIFT_CONST(10)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_LSB                  MK_SHIFT_CONST(10)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_WOFFSET                      0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_INIT_ENUM                    UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_UNMASK                       MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_CSITE_SW_MASK                 MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_SHIFT                     MK_SHIFT_CONST(11)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_HSM_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_RANGE                     11:11
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_MSB                       MK_SHIFT_CONST(11)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_LSB                       MK_SHIFT_CONST(11)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_WOFFSET                   0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_INIT_ENUM                 UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_UNMASK                    MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_HSM_MASK                      MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_SHIFT                    MK_SHIFT_CONST(12)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_RANGE                    12:12
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_MSB                      MK_SHIFT_CONST(12)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_LSB                      MK_SHIFT_CONST(12)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_WOFFSET                  0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_INIT_ENUM                        UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_UNMASK                   MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C0WDT_MASK                     MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_SHIFT                    MK_SHIFT_CONST(13)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_RANGE                    13:13
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_MSB                      MK_SHIFT_CONST(13)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_LSB                      MK_SHIFT_CONST(13)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_WOFFSET                  0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_INIT_ENUM                        UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_UNMASK                   MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C1WDT_MASK                     MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_SHIFT                    MK_SHIFT_CONST(14)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_RANGE                    14:14
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_MSB                      MK_SHIFT_CONST(14)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_LSB                      MK_SHIFT_CONST(14)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_WOFFSET                  0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_INIT_ENUM                        UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_UNMASK                   MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C2WDT_MASK                     MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_SHIFT                    MK_SHIFT_CONST(15)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_RANGE                    15:15
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_MSB                      MK_SHIFT_CONST(15)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_LSB                      MK_SHIFT_CONST(15)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_WOFFSET                  0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_INIT_ENUM                        UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_UNMASK                   MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R52C3WDT_MASK                     MK_ENUM_CONST(1)

#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_SHIFT                       MK_SHIFT_CONST(16)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_SHIFT)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_RANGE                       16:16
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_MSB                 MK_SHIFT_CONST(16)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_LSB                 MK_SHIFT_CONST(16)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_WOFFSET                     0x0
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_INIT_ENUM                   UNMASK
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_UNMASK                      MK_ENUM_CONST(0)
#define PMC_IMPL_L2_SOURCE_MASK_0_FSI_R5WDT_MASK                        MK_ENUM_CONST(1)


// Register PMC_IMPL_RAMDUMP_CTL_STATUS2_0
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0                  MK_ADDR_CONST(0x8e8)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_SECURE                   0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_DUAL                     0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_SCR                      RAMDUMP_COM2_SCR_0
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_SCRREG                   PMC_IMPL_SCR_RAMDUMP_COM2_SCR_0
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_WORD_COUNT                       0x1
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RESET_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_READ_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_WRITE_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_SHIFT)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_RANGE                 0:0
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_WOFFSET                       0x0
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_INIT_ENUM                     DISABLE
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_ENABLE                        MK_ENUM_CONST(1)
#define PMC_IMPL_RAMDUMP_CTL_STATUS2_0_RAMDUMP_EN_DISABLE                       MK_ENUM_CONST(0)


// Register PMC_IMPL_IO_DPD_FSM0_STATUS_0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0                   MK_ADDR_CONST(0xe000)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_SECURE                    0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DUAL                      0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_SCR                       0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_SCRREG                    0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_RANGE                      2:0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_WOFFSET                    0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_INIT_ENUM                  IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_ASSERT_WAIT                        MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_ASSERT                     MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_DEASSERT_WAIT                      MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SYS_CSTATE_DEASSERT                   MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_FIELD                       MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_RANGE                       5:3
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_MSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_WOFFSET                     0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_DEFAULT_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_INIT_ENUM                   IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_IDLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_ASSERT_WAIT                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_ASSERT                      MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_DEASSERT_WAIT                       MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_AO_CSTATE_DEASSERT                    MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_SHIFT                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_RANGE                      8:6
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_LSB                        MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_WOFFSET                    0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_INIT_ENUM                  IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_ASSERT_WAIT                        MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_ASSERT                     MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_DEASSERT_WAIT                      MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_DBG_CSTATE_DEASSERT                   MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_SHIFT                       MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_FIELD                       MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_RANGE                       11:9
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_MSB                 MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_LSB                 MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_WOFFSET                     0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_DEFAULT_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_INIT_ENUM                   IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_IDLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_ASSERT_WAIT                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_ASSERT                      MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_DEASSERT_WAIT                       MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G2_CSTATE_DEASSERT                    MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_SHIFT                       MK_SHIFT_CONST(12)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_FIELD                       MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_RANGE                       14:12
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_MSB                 MK_SHIFT_CONST(14)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_LSB                 MK_SHIFT_CONST(12)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_WOFFSET                     0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_DEFAULT_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_INIT_ENUM                   IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_IDLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_ASSERT_WAIT                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_ASSERT                      MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_DEASSERT_WAIT                       MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G3_CSTATE_DEASSERT                    MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_SHIFT                       MK_SHIFT_CONST(15)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_FIELD                       MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_RANGE                       17:15
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_MSB                 MK_SHIFT_CONST(17)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_LSB                 MK_SHIFT_CONST(15)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_WOFFSET                     0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_DEFAULT_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_INIT_ENUM                   IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_IDLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_ASSERT_WAIT                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_ASSERT                      MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_DEASSERT_WAIT                       MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G4_CSTATE_DEASSERT                    MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_SHIFT                       MK_SHIFT_CONST(18)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_FIELD                       MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_RANGE                       20:18
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_MSB                 MK_SHIFT_CONST(20)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_LSB                 MK_SHIFT_CONST(18)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_WOFFSET                     0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_DEFAULT_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_INIT_ENUM                   IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_IDLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_ASSERT_WAIT                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_ASSERT                      MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_DEASSERT_WAIT                       MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_G5_CSTATE_DEASSERT                    MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_SHIFT                        MK_SHIFT_CONST(21)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_RANGE                        23:21
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_MSB                  MK_SHIFT_CONST(23)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_LSB                  MK_SHIFT_CONST(21)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_INIT_ENUM                    IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_ASSERT_WAIT                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_ASSERT                       MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_DEASSERT_WAIT                        MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_SDMMC1_HV_CSTATE_DEASSERT                     MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_SHIFT                      MK_SHIFT_CONST(24)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_RANGE                      26:24
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_MSB                        MK_SHIFT_CONST(26)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_LSB                        MK_SHIFT_CONST(24)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_WOFFSET                    0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_INIT_ENUM                  IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_ASSERT_WAIT                        MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_ASSERT                     MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_DEASSERT_WAIT                      MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_EDP_CSTATE_DEASSERT                   MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_SHIFT                      MK_SHIFT_CONST(27)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_RANGE                      29:27
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_MSB                        MK_SHIFT_CONST(29)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_LSB                        MK_SHIFT_CONST(27)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_WOFFSET                    0x0
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_INIT_ENUM                  IDLE
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_ASSERT_WAIT                        MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_ASSERT                     MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_DEASSERT_WAIT                      MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM0_STATUS_0_DPD_UFS_CSTATE_DEASSERT                   MK_ENUM_CONST(4)


// Register PMC_IMPL_IO_DPD_FSM1_STATUS_0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0                   MK_ADDR_CONST(0xe004)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_SECURE                    0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DUAL                      0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_SCR                       0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_SCRREG                    0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x3fffffff)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_READ_MASK                         MK_MASK_CONST(0x3fffffff)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_RANGE                        2:0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_INIT_ENUM                    IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_ASSERT_WAIT                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_ASSERT                       MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_DEASSERT_WAIT                        MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_A_CSTATE_DEASSERT                     MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_SHIFT                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_FIELD                     MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_RANGE                     5:3
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_MSB                       MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_LSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_WOFFSET                   0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_INIT_ENUM                 IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_ASSERT_WAIT                       MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_ASSERT                    MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_DEASSERT_WAIT                     MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_QSPI_CSTATE_DEASSERT                  MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_SHIFT                       MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_FIELD                       MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_RANGE                       8:6
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_MSB                 MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_LSB                 MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_WOFFSET                     0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_DEFAULT_MASK                        MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_INIT_ENUM                   IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_IDLE                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_ASSERT_WAIT                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_ASSERT                      MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_DEASSERT_WAIT                       MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_G7_CSTATE_DEASSERT                    MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_SHIFT                    MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_FIELD                    MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_RANGE                    11:9
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_MSB                      MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_LSB                      MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_WOFFSET                  0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_DEFAULT_MASK                     MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_INIT_ENUM                        IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_IDLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_ASSERT_WAIT                      MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_ASSERT                   MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_DEASSERT_WAIT                    MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_AO_HV_CSTATE_DEASSERT                 MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_SHIFT                     MK_SHIFT_CONST(12)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_FIELD                     MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_RANGE                     14:12
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_MSB                       MK_SHIFT_CONST(14)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_LSB                       MK_SHIFT_CONST(12)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_WOFFSET                   0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_INIT_ENUM                 IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_ASSERT_WAIT                       MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_ASSERT                    MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_DEASSERT_WAIT                     MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_EQOS_CSTATE_DEASSERT                  MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_SHIFT                        MK_SHIFT_CONST(15)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_RANGE                        17:15
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_MSB                  MK_SHIFT_CONST(17)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_LSB                  MK_SHIFT_CONST(15)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_INIT_ENUM                    IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_ASSERT_WAIT                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_ASSERT                       MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_DEASSERT_WAIT                        MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_B_CSTATE_DEASSERT                     MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_SHIFT                        MK_SHIFT_CONST(18)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_RANGE                        20:18
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_MSB                  MK_SHIFT_CONST(20)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_LSB                  MK_SHIFT_CONST(18)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_INIT_ENUM                    IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_ASSERT_WAIT                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_ASSERT                       MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_DEASSERT_WAIT                        MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CTL_C_CSTATE_DEASSERT                     MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_SHIFT                        MK_SHIFT_CONST(21)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_RANGE                        23:21
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_MSB                  MK_SHIFT_CONST(23)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_LSB                  MK_SHIFT_CONST(21)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_INIT_ENUM                    IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_ASSERT_WAIT                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_ASSERT                       MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_DEASSERT_WAIT                        MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_C_CSTATE_DEASSERT                     MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_SHIFT                        MK_SHIFT_CONST(24)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_RANGE                        26:24
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_MSB                  MK_SHIFT_CONST(26)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_LSB                  MK_SHIFT_CONST(24)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_INIT_ENUM                    IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_ASSERT_WAIT                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_ASSERT                       MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_DEASSERT_WAIT                        MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_A_CSTATE_DEASSERT                     MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_SHIFT                        MK_SHIFT_CONST(27)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_FIELD                        MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_RANGE                        29:27
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_MSB                  MK_SHIFT_CONST(29)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_LSB                  MK_SHIFT_CONST(27)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_WOFFSET                      0x0
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_DEFAULT_MASK                 MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_INIT_ENUM                    IDLE
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_IDLE                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_ASSERT_WAIT                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_ASSERT                       MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_DEASSERT_WAIT                        MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM1_STATUS_0_DPD_PEX_CLK_B_CSTATE_DEASSERT                     MK_ENUM_CONST(4)


// Register PMC_IMPL_IO_DPD_FSM2_STATUS_0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0                   MK_ADDR_CONST(0xe008)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_SECURE                    0x0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DUAL                      0x0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_SCR                       0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_SCRREG                    0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_READ_MASK                         MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_FIELD                      MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_RANGE                      2:0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_WOFFSET                    0x0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_DEFAULT_MASK                       MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_INIT_ENUM                  IDLE
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_ASSERT_WAIT                        MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_ASSERT                     MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_DEASSERT_WAIT                      MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_CSI_CSTATE_DEASSERT                   MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_SHIFT                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_FIELD                     MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_RANGE                     5:3
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_MSB                       MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_LSB                       MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_WOFFSET                   0x0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_INIT_ENUM                 IDLE
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_ASSERT_WAIT                       MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_ASSERT                    MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_DEASSERT_WAIT                     MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_EMMC_CSTATE_DEASSERT                  MK_ENUM_CONST(4)

#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_SHIFT                     MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_FIELD                     MK_FIELD_CONST(0x7, PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_SHIFT)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_RANGE                     8:6
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_LSB                       MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_WOFFSET                   0x0
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_DEFAULT_MASK                      MK_MASK_CONST(0x7)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_INIT_ENUM                 IDLE
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_ASSERT_WAIT                       MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_ASSERT                    MK_ENUM_CONST(2)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_DEASSERT_WAIT                     MK_ENUM_CONST(3)
#define PMC_IMPL_IO_DPD_FSM2_STATUS_0_DPD_DISP_CSTATE_DEASSERT                  MK_ENUM_CONST(4)


// Reserved address 0xe00c

// Reserved address 0xe010

// Register PMC_IMPL_IO_SYS_DPD_REQ_0
#define PMC_IMPL_IO_SYS_DPD_REQ_0                       MK_ADDR_CONST(0xe014)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SECURE                        0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_DUAL                  0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCR                   IO_SYS_SCR_0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCRREG                        PMC_IMPL_SCR_IO_SYS_SCR_0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_WORD_COUNT                    0x1
#define PMC_IMPL_IO_SYS_DPD_REQ_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_RESET_MASK                    MK_MASK_CONST(0xc00001ff)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_READ_MASK                     MK_MASK_CONST(0xc00001ff)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_WRITE_MASK                    MK_MASK_CONST(0xc00001ff)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_SHIFT                    MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_FIELD                    MK_FIELD_CONST(0x3, PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_RANGE                    31:30
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_LSB                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_WOFFSET                  0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_IDLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_DPD_OFF                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_CODE_DPD_ON                   MK_ENUM_CONST(2)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_RANGE                       0:0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_WOFFSET                     0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SCE_ERROR_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_RANGE                     1:1
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_WOFFSET                   0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_VCOMP_ALERT_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_RANGE                      2:2
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_WOFFSET                    0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO26_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_SHIFT                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_RANGE                      3:3
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_MSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_LSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_WOFFSET                    0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_SOC_GPIO27_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_RANGE                  4:4
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_MSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_WOFFSET                        0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_AO_RETENTION_N_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_SHIFT                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_RANGE                 5:5
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_MSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_LSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_WOFFSET                       0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BATT_OC_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_SHIFT                     MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_RANGE                     6:6
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_MSB                       MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_LSB                       MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_WOFFSET                   0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_BOOTV_CTL_N_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_SHIFT                        MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_RANGE                        7:7
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_MSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_LSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_WOFFSET                      0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_POWER_ON_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_RANGE                        8:8
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_WOFFSET                      0x0
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_REQ_0_HDMI_CEC_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_SYS_DPD_STATUS_0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0                    MK_ADDR_CONST(0xe018)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SECURE                     0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_DUAL                       0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCR                        IO_SYS_SCR_0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCRREG                     PMC_IMPL_SCR_IO_SYS_SCR_0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_READ_MASK                  MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_RANGE                    0:0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_WOFFSET                  0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SCE_ERROR_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_RANGE                  1:1
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_WOFFSET                        0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_VCOMP_ALERT_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_RANGE                   2:2
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_WOFFSET                 0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO26_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_SHIFT                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_RANGE                   3:3
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_LSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_WOFFSET                 0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_SOC_GPIO27_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_SHIFT                       MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_RANGE                       4:4
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_MSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_LSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_WOFFSET                     0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_AO_RETENTION_N_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_SHIFT                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_RANGE                      5:5
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_MSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_LSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_WOFFSET                    0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BATT_OC_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_SHIFT                  MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_RANGE                  6:6
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_MSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_LSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_WOFFSET                        0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_BOOTV_CTL_N_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_SHIFT                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_RANGE                     7:7
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_MSB                       MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_LSB                       MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_WOFFSET                   0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_POWER_ON_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_RANGE                     8:8
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_WOFFSET                   0x0
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_STATUS_0_HDMI_CEC_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_SYS_DPD_OFF_MASK_0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0                  MK_ADDR_CONST(0xe01c)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SECURE                   0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_DUAL                     0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCR                      IO_SYS_SCR_0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCRREG                   PMC_IMPL_SCR_IO_SYS_SCR_0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_WORD_COUNT                       0x1
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_RESET_VAL                        MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_RESET_MASK                       MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_READ_MASK                        MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_WRITE_MASK                       MK_MASK_CONST(0x1ff)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_RANGE                  0:0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_WOFFSET                        0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SCE_ERROR_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_RANGE                        1:1
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_WOFFSET                      0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_VCOMP_ALERT_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_SHIFT                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_RANGE                 2:2
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_MSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_LSB                   MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_WOFFSET                       0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO26_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_SHIFT                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_RANGE                 3:3
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_LSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_WOFFSET                       0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_SOC_GPIO27_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_SHIFT                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_RANGE                     4:4
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_MSB                       MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_LSB                       MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_WOFFSET                   0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_DEFAULT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_AO_RETENTION_N_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_RANGE                    5:5
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_WOFFSET                  0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BATT_OC_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_SHIFT                        MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_RANGE                        6:6
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_MSB                  MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_LSB                  MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_WOFFSET                      0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_BOOTV_CTL_N_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_SHIFT                   MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_RANGE                   7:7
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_MSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_LSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_WOFFSET                 0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_POWER_ON_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_SHIFT)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_RANGE                   8:8
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_WOFFSET                 0x0
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SYS_DPD_OFF_MASK_0_HDMI_CEC_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_AO_DPD_REQ_0
#define PMC_IMPL_IO_AO_DPD_REQ_0                        MK_ADDR_CONST(0xe020)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SECURE                         0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_DUAL                   0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_SCR                    IO_AO_SCR_0
#define PMC_IMPL_IO_AO_DPD_REQ_0_SCRREG                         PMC_IMPL_SCR_IO_AO_SCR_0
#define PMC_IMPL_IO_AO_DPD_REQ_0_WORD_COUNT                     0x1
#define PMC_IMPL_IO_AO_DPD_REQ_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_RESET_MASK                     MK_MASK_CONST(0xc00007ff)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_READ_MASK                      MK_MASK_CONST(0xc00007ff)
#define PMC_IMPL_IO_AO_DPD_REQ_0_WRITE_MASK                     MK_MASK_CONST(0xc00007ff)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_SHIFT                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_IO_AO_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_RANGE                     31:30
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_LSB                       MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_DPD_OFF                   MK_ENUM_CONST(1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_CODE_DPD_ON                    MK_ENUM_CONST(2)

#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_RANGE                 0:0
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_SCK_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_RANGE                        1:1
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MISO_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_RANGE                        2:2
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_MOSI_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_SHIFT                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_RANGE                 3:3
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_LSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_SPI2_CS0_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_SHIFT                        MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_RANGE                        4:4
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_LSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_TOUCH_CLK_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_SHIFT                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_RANGE                 5:5
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_MSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_LSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_TX_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_SHIFT                 MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_RANGE                 6:6
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_MSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_LSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_UART3_RX_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_SHIFT                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_RANGE                     7:7
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_MSB                       MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_LSB                       MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SCL_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_RANGE                     8:8
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN2_I2C_SDA_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_SHIFT                     MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_RANGE                     9:9
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_MSB                       MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_LSB                       MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SCL_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_SHIFT                     MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_RANGE                     10:10
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_MSB                       MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_LSB                       MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_REQ_0_GEN8_I2C_SDA_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_AO_DPD_STATUS_0
#define PMC_IMPL_IO_AO_DPD_STATUS_0                     MK_ADDR_CONST(0xe024)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SECURE                      0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_DUAL                        0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SCR                         IO_AO_SCR_0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SCRREG                      PMC_IMPL_SCR_IO_AO_SCR_0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_IO_AO_DPD_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7ff)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7ff)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_RANGE                      0:0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_SCK_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_RANGE                     1:1
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MISO_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_RANGE                     2:2
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_MOSI_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_SHIFT                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_RANGE                      3:3
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_MSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_LSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_SPI2_CS0_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_SHIFT                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_RANGE                     4:4
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_MSB                       MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_LSB                       MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_TOUCH_CLK_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_SHIFT                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_RANGE                      5:5
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_MSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_LSB                        MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_TX_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_SHIFT                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_RANGE                      6:6
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_MSB                        MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_LSB                        MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_UART3_RX_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_SHIFT                  MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_RANGE                  7:7
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_MSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_LSB                    MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SCL_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_SHIFT                  MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_RANGE                  8:8
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_MSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_LSB                    MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN2_I2C_SDA_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_SHIFT                  MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_RANGE                  9:9
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_MSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_LSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SCL_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_SHIFT                  MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_RANGE                  10:10
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_MSB                    MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_LSB                    MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_STATUS_0_GEN8_I2C_SDA_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_AO_DPD_OFF_MASK_0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0                   MK_ADDR_CONST(0xe028)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SECURE                    0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_DUAL                      0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SCR                       IO_AO_SCR_0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SCRREG                    PMC_IMPL_SCR_IO_AO_SCR_0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_RESET_VAL                         MK_MASK_CONST(0x7ff)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_RESET_MASK                        MK_MASK_CONST(0x7ff)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_READ_MASK                         MK_MASK_CONST(0x7ff)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_WRITE_MASK                        MK_MASK_CONST(0x7ff)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_RANGE                    0:0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_SCK_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_RANGE                   1:1
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MISO_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_RANGE                   2:2
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_MOSI_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_RANGE                    3:3
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_SPI2_CS0_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_SHIFT                   MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_RANGE                   4:4
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_MSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_LSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_TOUCH_CLK_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_RANGE                    5:5
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_TX_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_SHIFT                    MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_RANGE                    6:6
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_MSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_LSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_DEFAULT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_UART3_RX_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_SHIFT                        MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_RANGE                        7:7
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_MSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_LSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SCL_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_RANGE                        8:8
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN2_I2C_SDA_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_SHIFT                        MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_RANGE                        9:9
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_MSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_LSB                  MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SCL_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_SHIFT                        MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_RANGE                        10:10
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_MSB                  MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_LSB                  MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_DPD_OFF_MASK_0_GEN8_I2C_SDA_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_DBG_DPD_REQ_0
#define PMC_IMPL_IO_DBG_DPD_REQ_0                       MK_ADDR_CONST(0xe02c)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SECURE                        0x0
#define PMC_IMPL_IO_DBG_DPD_REQ_0_DUAL                  0x0
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SCR                   IO_DBG_SCR_0
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SCRREG                        PMC_IMPL_SCR_IO_DBG_SCR_0
#define PMC_IMPL_IO_DBG_DPD_REQ_0_WORD_COUNT                    0x1
#define PMC_IMPL_IO_DBG_DPD_REQ_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_RESET_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_READ_MASK                     MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_WRITE_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_SHIFT                    MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_FIELD                    MK_FIELD_CONST(0x3, PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_RANGE                    31:30
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_LSB                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_WOFFSET                  0x0
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_IDLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_DPD_OFF                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_CODE_DPD_ON                   MK_ENUM_CONST(2)

#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_SHIFT)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_RANGE                      0:0
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_WOFFSET                    0x0
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_REQ_0_SOC_GPIO08_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_DBG_DPD_STATUS_0
#define PMC_IMPL_IO_DBG_DPD_STATUS_0                    MK_ADDR_CONST(0xe030)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SECURE                     0x0
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_DUAL                       0x0
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SCR                        IO_DBG_SCR_0
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SCRREG                     PMC_IMPL_SCR_IO_DBG_SCR_0
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_SHIFT)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_RANGE                   0:0
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_WOFFSET                 0x0
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DBG_DPD_STATUS_0_SOC_GPIO08_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G2_DPD_REQ_0
#define PMC_IMPL_IO_G2_DPD_REQ_0                        MK_ADDR_CONST(0xe034)
#define PMC_IMPL_IO_G2_DPD_REQ_0_SECURE                         0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_DUAL                   0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_SCR                    IO_G2_SCR_0
#define PMC_IMPL_IO_G2_DPD_REQ_0_SCRREG                         PMC_IMPL_SCR_IO_G2_SCR_0
#define PMC_IMPL_IO_G2_DPD_REQ_0_WORD_COUNT                     0x1
#define PMC_IMPL_IO_G2_DPD_REQ_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_RESET_MASK                     MK_MASK_CONST(0xc000007f)
#define PMC_IMPL_IO_G2_DPD_REQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_READ_MASK                      MK_MASK_CONST(0xc000007f)
#define PMC_IMPL_IO_G2_DPD_REQ_0_WRITE_MASK                     MK_MASK_CONST(0xc000007f)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_SHIFT                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_IO_G2_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_RANGE                     31:30
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_LSB                       MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_WOFFSET                   0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_DPD_OFF                   MK_ENUM_CONST(1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CODE_DPD_ON                    MK_ENUM_CONST(2)

#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_RANGE                      0:0
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_WOFFSET                    0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GPU_PWR_REQ_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_RANGE                       1:1
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_WOFFSET                     0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_CV_PWR_REQ_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_RANGE                  2:2
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_WOFFSET                        0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM2_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_SHIFT                  MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_RANGE                  3:3
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_MSB                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_LSB                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_WOFFSET                        0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_GP_PWM3_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_SHIFT                    MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_REQ_0_UART2_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_RANGE                    4:4
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_MSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_LSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_WOFFSET                  0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART2_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_REQ_0_UART5_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_RANGE                    5:5
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_WOFFSET                  0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_UART5_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_SHIFT                       MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_REQ_0_G2_SHIFT)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_RANGE                       6:6
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_MSB                 MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_LSB                 MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_WOFFSET                     0x0
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_REQ_0_G2_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G2_DPD_STATUS_0
#define PMC_IMPL_IO_G2_DPD_STATUS_0                     MK_ADDR_CONST(0xe038)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_SECURE                      0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_DUAL                        0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_SCR                         IO_G2_SCR_0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_SCRREG                      PMC_IMPL_SCR_IO_G2_SCR_0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_IO_G2_DPD_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x7f)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_READ_MASK                   MK_MASK_CONST(0x7f)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_SHIFT)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_RANGE                   0:0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_WOFFSET                 0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GPU_PWR_REQ_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_SHIFT)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_RANGE                    1:1
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_WOFFSET                  0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_CV_PWR_REQ_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_SHIFT)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_RANGE                       2:2
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_WOFFSET                     0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM2_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_SHIFT)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_RANGE                       3:3
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_WOFFSET                     0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_GP_PWM3_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_SHIFT)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_RANGE                 4:4
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_MSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_WOFFSET                       0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART2_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_SHIFT                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_SHIFT)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_RANGE                 5:5
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_MSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_LSB                   MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_WOFFSET                       0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_UART5_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_SHIFT                    MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G2_DPD_STATUS_0_G2_SHIFT)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_RANGE                    6:6
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_MSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_LSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_WOFFSET                  0x0
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G2_DPD_STATUS_0_G2_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G3_DPD_REQ_0
#define PMC_IMPL_IO_G3_DPD_REQ_0                        MK_ADDR_CONST(0xe03c)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SECURE                         0x0
#define PMC_IMPL_IO_G3_DPD_REQ_0_DUAL                   0x0
#define PMC_IMPL_IO_G3_DPD_REQ_0_SCR                    IO_G3_SCR_0
#define PMC_IMPL_IO_G3_DPD_REQ_0_SCRREG                         PMC_IMPL_SCR_IO_G3_SCR_0
#define PMC_IMPL_IO_G3_DPD_REQ_0_WORD_COUNT                     0x1
#define PMC_IMPL_IO_G3_DPD_REQ_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_RESET_MASK                     MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_READ_MASK                      MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_G3_DPD_REQ_0_WRITE_MASK                     MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_SHIFT                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_IO_G3_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_RANGE                     31:30
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_LSB                       MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_WOFFSET                   0x0
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_DPD_OFF                   MK_ENUM_CONST(1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CODE_DPD_ON                    MK_ENUM_CONST(2)

#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_RANGE                      0:0
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_WOFFSET                    0x0
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SCL_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_RANGE                      1:1
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_WOFFSET                    0x0
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_CAM_I2C_SDA_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_SHIFT)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_RANGE                       2:2
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_WOFFSET                     0x0
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_SOC_GPIO23_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_REQ_0_G3_SHIFT)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_RANGE                       3:3
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_WOFFSET                     0x0
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_REQ_0_G3_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G3_DPD_STATUS_0
#define PMC_IMPL_IO_G3_DPD_STATUS_0                     MK_ADDR_CONST(0xe040)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SECURE                      0x0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_DUAL                        0x0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SCR                         IO_G3_SCR_0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SCRREG                      PMC_IMPL_SCR_IO_G3_SCR_0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_IO_G3_DPD_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_RESET_MASK                  MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_READ_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_SHIFT)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_RANGE                   0:0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_WOFFSET                 0x0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SCL_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_SHIFT)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_RANGE                   1:1
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_WOFFSET                 0x0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_CAM_I2C_SDA_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_SHIFT                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_SHIFT)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_RANGE                    2:2
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_MSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_LSB                      MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_WOFFSET                  0x0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_SOC_GPIO23_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G3_DPD_STATUS_0_G3_SHIFT)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_RANGE                    3:3
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_WOFFSET                  0x0
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G3_DPD_STATUS_0_G3_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G4_DPD_REQ_0
#define PMC_IMPL_IO_G4_DPD_REQ_0                        MK_ADDR_CONST(0xe044)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SECURE                         0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_DUAL                   0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_SCR                    IO_G4_SCR_0
#define PMC_IMPL_IO_G4_DPD_REQ_0_SCRREG                         PMC_IMPL_SCR_IO_G4_SCR_0
#define PMC_IMPL_IO_G4_DPD_REQ_0_WORD_COUNT                     0x1
#define PMC_IMPL_IO_G4_DPD_REQ_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_RESET_MASK                     MK_MASK_CONST(0xc000003f)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_READ_MASK                      MK_MASK_CONST(0xc000003f)
#define PMC_IMPL_IO_G4_DPD_REQ_0_WRITE_MASK                     MK_MASK_CONST(0xc000003f)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_SHIFT                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_IO_G4_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_RANGE                     31:30
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_LSB                       MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_WOFFSET                   0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_DPD_OFF                   MK_ENUM_CONST(1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CODE_DPD_ON                    MK_ENUM_CONST(2)

#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_SHIFT)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_RANGE                       0:0
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_WOFFSET                     0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_SOC_GPIO14_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_SHIFT)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_RANGE                  1:1
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_WOFFSET                        0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM7_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_SHIFT                      MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_SHIFT)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_RANGE                      2:2
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_MSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_LSB                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_WOFFSET                    0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_CPU_PWR_REQ_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_SHIFT                  MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_SHIFT)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_RANGE                  3:3
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_MSB                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_LSB                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_WOFFSET                        0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM6_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_SHIFT                  MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_SHIFT)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_RANGE                  4:4
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_MSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_LSB                    MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_WOFFSET                        0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_GP_PWM5_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_SHIFT                       MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_REQ_0_G4_SHIFT)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_RANGE                       5:5
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_MSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_LSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_WOFFSET                     0x0
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_REQ_0_G4_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G4_DPD_STATUS_0
#define PMC_IMPL_IO_G4_DPD_STATUS_0                     MK_ADDR_CONST(0xe048)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SECURE                      0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_DUAL                        0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SCR                         IO_G4_SCR_0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SCRREG                      PMC_IMPL_SCR_IO_G4_SCR_0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_IO_G4_DPD_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x3f)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_READ_MASK                   MK_MASK_CONST(0x3f)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_SHIFT)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_RANGE                    0:0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_WOFFSET                  0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_SOC_GPIO14_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_SHIFT                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_SHIFT)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_RANGE                       1:1
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_MSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_LSB                 MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_WOFFSET                     0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM7_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_SHIFT)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_RANGE                   2:2
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_WOFFSET                 0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_CPU_PWR_REQ_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_SHIFT)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_RANGE                       3:3
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_WOFFSET                     0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM6_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_SHIFT                       MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_SHIFT)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_RANGE                       4:4
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_MSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_LSB                 MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_WOFFSET                     0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_GP_PWM5_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G4_DPD_STATUS_0_G4_SHIFT)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_RANGE                    5:5
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_WOFFSET                  0x0
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G4_DPD_STATUS_0_G4_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G5_DPD_REQ_0
#define PMC_IMPL_IO_G5_DPD_REQ_0                        MK_ADDR_CONST(0xe04c)
#define PMC_IMPL_IO_G5_DPD_REQ_0_SECURE                         0x0
#define PMC_IMPL_IO_G5_DPD_REQ_0_DUAL                   0x0
#define PMC_IMPL_IO_G5_DPD_REQ_0_SCR                    IO_G5_SCR_0
#define PMC_IMPL_IO_G5_DPD_REQ_0_SCRREG                         PMC_IMPL_SCR_IO_G5_SCR_0
#define PMC_IMPL_IO_G5_DPD_REQ_0_WORD_COUNT                     0x1
#define PMC_IMPL_IO_G5_DPD_REQ_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_RESET_MASK                     MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_G5_DPD_REQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_READ_MASK                      MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_G5_DPD_REQ_0_WRITE_MASK                     MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_SHIFT                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_IO_G5_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_RANGE                     31:30
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_LSB                       MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_WOFFSET                   0x0
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_DPD_OFF                   MK_ENUM_CONST(1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_CODE_DPD_ON                    MK_ENUM_CONST(2)

#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_SHIFT)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_RANGE                     0:0
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_WOFFSET                   0x0
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP4_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_SHIFT)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_RANGE                     1:1
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_WOFFSET                   0x0
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G5_DPD_REQ_0_DAP6_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G5_DPD_STATUS_0
#define PMC_IMPL_IO_G5_DPD_STATUS_0                     MK_ADDR_CONST(0xe050)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_SECURE                      0x0
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DUAL                        0x0
#define PMC_IMPL_IO_G5_DPD_STATUS_0_SCR                         IO_G5_SCR_0
#define PMC_IMPL_IO_G5_DPD_STATUS_0_SCRREG                      PMC_IMPL_SCR_IO_G5_SCR_0
#define PMC_IMPL_IO_G5_DPD_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_IO_G5_DPD_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_RESET_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_READ_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_SHIFT)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_RANGE                  0:0
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_WOFFSET                        0x0
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP4_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_SHIFT)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_RANGE                  1:1
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_WOFFSET                        0x0
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G5_DPD_STATUS_0_DAP6_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0                 MK_ADDR_CONST(0xe054)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SECURE                  0x0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_DUAL                    0x0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SCR                     IO_SDMMC1_HV_SCR_0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SCRREG                  PMC_IMPL_SCR_IO_SDMMC1_HV_SCR_0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_WORD_COUNT                      0x1
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_RESET_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_READ_MASK                       MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_WRITE_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_SHIFT                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_RANGE                      31:30
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_LSB                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_WOFFSET                    0x0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_DPD_OFF                    MK_ENUM_CONST(1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_CODE_DPD_ON                     MK_ENUM_CONST(2)

#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_SHIFT)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_RANGE                    0:0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_WOFFSET                  0x0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0_SDMMC1_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0                      MK_ADDR_CONST(0xe058)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SECURE                       0x0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_DUAL                         0x0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SCR                  IO_SDMMC1_HV_SCR_0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SCRREG                       PMC_IMPL_SCR_IO_SDMMC1_HV_SCR_0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_SHIFT)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_RANGE                 0:0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_WOFFSET                       0x0
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0_SDMMC1_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_EDP_DPD_REQ_0
#define PMC_IMPL_IO_EDP_DPD_REQ_0                       MK_ADDR_CONST(0xe05c)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_SECURE                        0x0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_DUAL                  0x0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_SCR                   IO_EDP_SCR_0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_SCRREG                        PMC_IMPL_SCR_IO_EDP_SCR_0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_WORD_COUNT                    0x1
#define PMC_IMPL_IO_EDP_DPD_REQ_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_RESET_MASK                    MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_READ_MASK                     MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_WRITE_MASK                    MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_SHIFT                    MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_FIELD                    MK_FIELD_CONST(0x3, PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_RANGE                    31:30
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_LSB                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_WOFFSET                  0x0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_IDLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_DPD_OFF                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_CODE_DPD_ON                   MK_ENUM_CONST(2)

#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_SHIFT)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_RANGE                 0:0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_WOFFSET                       0x0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_GP_PWM1_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_SHIFT)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_RANGE                     1:1
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_WOFFSET                   0x0
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_REQ_0_EDP_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_EDP_DPD_STATUS_0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0                    MK_ADDR_CONST(0xe060)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_SECURE                     0x0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_DUAL                       0x0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_SCR                        IO_EDP_SCR_0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_SCRREG                     PMC_IMPL_SCR_IO_EDP_SCR_0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_READ_MASK                  MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_SHIFT)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_RANGE                      0:0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_WOFFSET                    0x0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_GP_PWM1_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_SHIFT)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_RANGE                  1:1
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_WOFFSET                        0x0
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EDP_DPD_STATUS_0_EDP_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_UFS_DPD_REQ_0
#define PMC_IMPL_IO_UFS_DPD_REQ_0                       MK_ADDR_CONST(0xe064)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_SECURE                        0x0
#define PMC_IMPL_IO_UFS_DPD_REQ_0_DUAL                  0x0
#define PMC_IMPL_IO_UFS_DPD_REQ_0_SCR                   IO_UFS_SCR_0
#define PMC_IMPL_IO_UFS_DPD_REQ_0_SCRREG                        PMC_IMPL_SCR_IO_UFS_SCR_0
#define PMC_IMPL_IO_UFS_DPD_REQ_0_WORD_COUNT                    0x1
#define PMC_IMPL_IO_UFS_DPD_REQ_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_RESET_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_READ_MASK                     MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_WRITE_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_SHIFT                    MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_FIELD                    MK_FIELD_CONST(0x3, PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_RANGE                    31:30
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_LSB                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_WOFFSET                  0x0
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_IDLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_DPD_OFF                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_CODE_DPD_ON                   MK_ENUM_CONST(2)

#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_SHIFT)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_RANGE                     0:0
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_WOFFSET                   0x0
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_REQ_0_UFS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_UFS_DPD_STATUS_0
#define PMC_IMPL_IO_UFS_DPD_STATUS_0                    MK_ADDR_CONST(0xe068)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_SECURE                     0x0
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_DUAL                       0x0
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_SCR                        IO_UFS_SCR_0
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_SCRREG                     PMC_IMPL_SCR_IO_UFS_SCR_0
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_READ_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_SHIFT)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_RANGE                  0:0
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_WOFFSET                        0x0
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_UFS_DPD_STATUS_0_UFS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0                 MK_ADDR_CONST(0xe06c)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_SECURE                  0x0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_DUAL                    0x0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_SCR                     IO_PEX_CTL_A_SCR_0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_SCRREG                  PMC_IMPL_SCR_IO_PEX_CTL_A_SCR_0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_WORD_COUNT                      0x1
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_RESET_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_READ_MASK                       MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_WRITE_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_SHIFT                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_RANGE                      31:30
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_LSB                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_DPD_OFF                    MK_ENUM_CONST(1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_CODE_DPD_ON                     MK_ENUM_CONST(2)

#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_RANGE                   0:0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_WOFFSET                 0x0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0_PEX_CTL_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0                      MK_ADDR_CONST(0xe070)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_SECURE                       0x0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_DUAL                         0x0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_SCR                  IO_PEX_CTL_A_SCR_0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_SCRREG                       PMC_IMPL_SCR_IO_PEX_CTL_A_SCR_0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_RANGE                        0:0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_WOFFSET                      0x0
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0_PEX_CTL_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_QSPI_DPD_REQ_0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0                      MK_ADDR_CONST(0xe074)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_SECURE                       0x0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_DUAL                         0x0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_SCR                  IO_QSPI_SCR_0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_SCRREG                       PMC_IMPL_SCR_IO_QSPI_SCR_0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_RESET_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_READ_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_WRITE_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_SHIFT                   MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_FIELD                   MK_FIELD_CONST(0x3, PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_RANGE                   31:30
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_LSB                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_WOFFSET                 0x0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_IDLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_DPD_OFF                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_CODE_DPD_ON                  MK_ENUM_CONST(2)

#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_SHIFT)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_RANGE                   0:0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_WOFFSET                 0x0
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_REQ_0_QSPI_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_QSPI_DPD_STATUS_0
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0                   MK_ADDR_CONST(0xe078)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_SECURE                    0x0
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_DUAL                      0x0
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_SCR                       IO_QSPI_SCR_0
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_SCRREG                    PMC_IMPL_SCR_IO_QSPI_SCR_0
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_SHIFT)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_RANGE                        0:0
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_WOFFSET                      0x0
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_QSPI_DPD_STATUS_0_QSPI_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G7_DPD_REQ_0
#define PMC_IMPL_IO_G7_DPD_REQ_0                        MK_ADDR_CONST(0xe07c)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SECURE                         0x0
#define PMC_IMPL_IO_G7_DPD_REQ_0_DUAL                   0x0
#define PMC_IMPL_IO_G7_DPD_REQ_0_SCR                    IO_G7_SCR_0
#define PMC_IMPL_IO_G7_DPD_REQ_0_SCRREG                         PMC_IMPL_SCR_IO_G7_SCR_0
#define PMC_IMPL_IO_G7_DPD_REQ_0_WORD_COUNT                     0x1
#define PMC_IMPL_IO_G7_DPD_REQ_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_RESET_MASK                     MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_READ_MASK                      MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_G7_DPD_REQ_0_WRITE_MASK                     MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_SHIFT                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_FIELD                     MK_FIELD_CONST(0x3, PMC_IMPL_IO_G7_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_RANGE                     31:30
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_MSB                       MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_LSB                       MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_WOFFSET                   0x0
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_DEFAULT_MASK                      MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_IDLE                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_DPD_OFF                   MK_ENUM_CONST(1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_CODE_DPD_ON                    MK_ENUM_CONST(2)

#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_SHIFT)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_RANGE                       0:0
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_WOFFSET                     0x0
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SOC_GPIO57_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_SHIFT)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_RANGE                     1:1
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_WOFFSET                   0x0
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_DAP1_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_SHIFT)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_RANGE                     2:2
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_WOFFSET                   0x0
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_SPI5_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_SHIFT                       MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_REQ_0_G7_SHIFT)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_RANGE                       3:3
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_MSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_LSB                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_WOFFSET                     0x0
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_REQ_0_G7_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_G7_DPD_STATUS_0
#define PMC_IMPL_IO_G7_DPD_STATUS_0                     MK_ADDR_CONST(0xe080)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SECURE                      0x0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DUAL                        0x0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SCR                         IO_G7_SCR_0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SCRREG                      PMC_IMPL_SCR_IO_G7_SCR_0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_WORD_COUNT                  0x1
#define PMC_IMPL_IO_G7_DPD_STATUS_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_RESET_MASK                  MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_READ_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_WRITE_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_SHIFT)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_RANGE                    0:0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_WOFFSET                  0x0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SOC_GPIO57_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_SHIFT)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_RANGE                  1:1
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_WOFFSET                        0x0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_DAP1_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_SHIFT)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_RANGE                  2:2
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_WOFFSET                        0x0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_SPI5_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_G7_DPD_STATUS_0_G7_SHIFT)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_RANGE                    3:3
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_WOFFSET                  0x0
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_G7_DPD_STATUS_0_G7_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_AO_HV_DPD_REQ_0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0                     MK_ADDR_CONST(0xe084)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SECURE                      0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_DUAL                        0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SCR                         IO_AO_HV_SCR_0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SCRREG                      PMC_IMPL_SCR_IO_AO_HV_SCR_0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_WORD_COUNT                  0x1
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_RESET_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_RESET_MASK                  MK_MASK_CONST(0xc0000fff)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_READ_MASK                   MK_MASK_CONST(0xc0000fff)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_WRITE_MASK                  MK_MASK_CONST(0xc0000fff)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_SHIFT                  MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_FIELD                  MK_FIELD_CONST(0x3, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_RANGE                  31:30
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_MSB                    MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_LSB                    MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_DEFAULT_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_IDLE                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_DPD_OFF                        MK_ENUM_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CODE_DPD_ON                 MK_ENUM_CONST(2)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_RANGE                     0:0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DOUT_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_RANGE                      1:1
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_DIN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_SHIFT                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_RANGE                     2:2
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_MSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_LSB                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_WOFFSET                   0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DOUT_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_SHIFT                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_RANGE                      3:3
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_MSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_LSB                        MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_DIN_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_SHIFT                      MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_RANGE                      4:4
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_MSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_LSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_STB_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_SHIFT                       MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_RANGE                       5:5
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_MSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_LSB                 MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_WOFFSET                     0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_EN_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_SHIFT                    MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_RANGE                    6:6
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_MSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_LSB                      MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO49_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_SHIFT                      MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_RANGE                      7:7
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_MSB                        MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_LSB                        MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN0_ERR_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_SHIFT                      MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_RANGE                      8:8
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_MSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_LSB                        MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_STB_ON                 MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_SHIFT                       MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_RANGE                       9:9
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_MSB                 MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_LSB                 MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_WOFFSET                     0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_EN_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_SHIFT                    MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_RANGE                    10:10
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_MSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_LSB                      MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_SOC_GPIO50_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_SHIFT                      MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_RANGE                      11:11
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_MSB                        MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_LSB                        MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_WOFFSET                    0x0
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_REQ_0_CAN1_ERR_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_AO_HV_DPD_STATUS_0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0                  MK_ADDR_CONST(0xe088)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SECURE                   0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_DUAL                     0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SCR                      IO_AO_HV_SCR_0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SCRREG                   PMC_IMPL_SCR_IO_AO_HV_SCR_0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_WORD_COUNT                       0x1
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_RESET_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_RESET_MASK                       MK_MASK_CONST(0xfff)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SW_DEFAULT_VAL                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_READ_MASK                        MK_MASK_CONST(0xfff)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_WRITE_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_RANGE                  0:0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DOUT_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_RANGE                   1:1
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_DIN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_RANGE                  2:2
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DOUT_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_SHIFT                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_RANGE                   3:3
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_LSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_DIN_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_SHIFT                   MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_RANGE                   4:4
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_MSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_LSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_STB_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_SHIFT                    MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_RANGE                    5:5
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_MSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_LSB                      MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_SHIFT                 MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_RANGE                 6:6
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_MSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_LSB                   MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO49_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_SHIFT                   MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_RANGE                   7:7
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_MSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_LSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN0_ERR_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_SHIFT                   MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_RANGE                   8:8
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_MSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_LSB                     MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_STB_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_SHIFT                    MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_RANGE                    9:9
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_MSB                      MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_LSB                      MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_WOFFSET                  0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_EN_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_SHIFT                 MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_RANGE                 10:10
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_MSB                   MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_LSB                   MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_SOC_GPIO50_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_SHIFT                   MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_RANGE                   11:11
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_MSB                     MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_LSB                     MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_WOFFSET                 0x0
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_PARITY_PROTECTION                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_STATUS_0_CAN1_ERR_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0                        MK_ADDR_CONST(0xe08c)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SECURE                         0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_DUAL                   0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SCR                    IO_AO_HV_SCR_0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SCRREG                         PMC_IMPL_SCR_IO_AO_HV_SCR_0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_WORD_COUNT                     0x1
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_RESET_VAL                      MK_MASK_CONST(0xfff)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_RESET_MASK                     MK_MASK_CONST(0xfff)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_READ_MASK                      MK_MASK_CONST(0xfff)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_WRITE_MASK                     MK_MASK_CONST(0xfff)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_RANGE                        0:0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DOUT_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_RANGE                 1:1
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_DIN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_RANGE                        2:2
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_WOFFSET                      0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DOUT_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_SHIFT                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_RANGE                 3:3
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_LSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_DIN_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_SHIFT                 MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_RANGE                 4:4
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_MSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_LSB                   MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_STB_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_SHIFT                  MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_RANGE                  5:5
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_LSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_SHIFT                       MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_RANGE                       6:6
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_MSB                 MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_LSB                 MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_WOFFSET                     0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO49_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_SHIFT                 MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_RANGE                 7:7
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_MSB                   MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_LSB                   MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN0_ERR_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_SHIFT                 MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_RANGE                 8:8
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_MSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_LSB                   MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_STB_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_SHIFT                  MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_RANGE                  9:9
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_MSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_LSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_WOFFSET                        0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_DEFAULT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_EN_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_SHIFT                       MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_RANGE                       10:10
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_MSB                 MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_LSB                 MK_SHIFT_CONST(10)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_WOFFSET                     0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_DEFAULT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_SOC_GPIO50_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_SHIFT                 MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_SHIFT)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_RANGE                 11:11
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_MSB                   MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_LSB                   MK_SHIFT_CONST(11)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_WOFFSET                       0x0
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0_CAN1_ERR_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_EQOS_DPD_REQ_0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0                      MK_ADDR_CONST(0xe090)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_SECURE                       0x0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_DUAL                         0x0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_SCR                  IO_EQOS_SCR_0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_SCRREG                       PMC_IMPL_SCR_IO_EQOS_SCR_0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_RESET_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_READ_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_WRITE_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_SHIFT                   MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_FIELD                   MK_FIELD_CONST(0x3, PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_RANGE                   31:30
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_LSB                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_WOFFSET                 0x0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_IDLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_DPD_OFF                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_CODE_DPD_ON                  MK_ENUM_CONST(2)

#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_SHIFT)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_RANGE                   0:0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_WOFFSET                 0x0
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_REQ_0_EQOS_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_EQOS_DPD_STATUS_0
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0                   MK_ADDR_CONST(0xe094)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_SECURE                    0x0
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_DUAL                      0x0
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_SCR                       IO_EQOS_SCR_0
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_SCRREG                    PMC_IMPL_SCR_IO_EQOS_SCR_0
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_SHIFT)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_RANGE                        0:0
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_WOFFSET                      0x0
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EQOS_DPD_STATUS_0_EQOS_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0                 MK_ADDR_CONST(0xe098)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_SECURE                  0x0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_DUAL                    0x0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_SCR                     IO_PEX_CTL_B_SCR_0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_SCRREG                  PMC_IMPL_SCR_IO_PEX_CTL_B_SCR_0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_WORD_COUNT                      0x1
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_RESET_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_READ_MASK                       MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_WRITE_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_SHIFT                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_RANGE                      31:30
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_LSB                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_DPD_OFF                    MK_ENUM_CONST(1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_CODE_DPD_ON                     MK_ENUM_CONST(2)

#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_RANGE                 0:0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_WOFFSET                       0x0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0_PEX_CTL_2_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0                      MK_ADDR_CONST(0xe09c)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_SECURE                       0x0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_DUAL                         0x0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_SCR                  IO_PEX_CTL_B_SCR_0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_SCRREG                       PMC_IMPL_SCR_IO_PEX_CTL_B_SCR_0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_RANGE                      0:0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0_PEX_CTL_2_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0                 MK_ADDR_CONST(0xe0a0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_SECURE                  0x0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_DUAL                    0x0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_SCR                     IO_PEX_CTL_C_SCR_0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_SCRREG                  PMC_IMPL_SCR_IO_PEX_CTL_C_SCR_0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_WORD_COUNT                      0x1
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_RESET_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_READ_MASK                       MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_WRITE_MASK                      MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_SHIFT                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_RANGE                      31:30
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_LSB                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_DPD_OFF                    MK_ENUM_CONST(1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_CODE_DPD_ON                     MK_ENUM_CONST(2)

#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_RANGE                 0:0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_WOFFSET                       0x0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0_PEX_CTL_3_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0                      MK_ADDR_CONST(0xe0a4)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_SECURE                       0x0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_DUAL                         0x0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_SCR                  IO_PEX_CTL_C_SCR_0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_SCRREG                       PMC_IMPL_SCR_IO_PEX_CTL_C_SCR_0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_READ_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_SHIFT                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_SHIFT)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_RANGE                      0:0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_MSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_LSB                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0_PEX_CTL_3_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0                 MK_ADDR_CONST(0xe0a8)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_SECURE                  0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_DUAL                    0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_SCR                     IO_PEX_CLK_C_SCR_0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_SCRREG                  PMC_IMPL_SCR_IO_PEX_CLK_C_SCR_0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_WORD_COUNT                      0x1
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_RESET_MASK                      MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_READ_MASK                       MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_WRITE_MASK                      MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_SHIFT                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_RANGE                      31:30
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_LSB                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_DPD_OFF                    MK_ENUM_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_CODE_DPD_ON                     MK_ENUM_CONST(2)

#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_RANGE                  0:0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_WOFFSET                        0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_RANGE                    1:1
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_WOFFSET                  0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK2_BIAS0_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_RANGE                  2:2
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_WOFFSET                        0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_RANGE                    3:3
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_WOFFSET                  0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0_PEX_CLK3_BIAS1_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0                      MK_ADDR_CONST(0xe0ac)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_SECURE                       0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_DUAL                         0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_SCR                  IO_PEX_CLK_C_SCR_0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_SCRREG                       PMC_IMPL_SCR_IO_PEX_CLK_C_SCR_0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_RESET_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_READ_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_RANGE                       0:0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_WOFFSET                     0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_RANGE                 1:1
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_WOFFSET                       0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK2_BIAS0_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_RANGE                       2:2
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_WOFFSET                     0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_SHIFT                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_RANGE                 3:3
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_LSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_WOFFSET                       0x0
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0_PEX_CLK3_BIAS1_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0                 MK_ADDR_CONST(0xe0b0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_SECURE                  0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_DUAL                    0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_SCR                     IO_PEX_CLK_A_SCR_0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_SCRREG                  PMC_IMPL_SCR_IO_PEX_CLK_A_SCR_0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_WORD_COUNT                      0x1
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_RESET_MASK                      MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_READ_MASK                       MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_WRITE_MASK                      MK_MASK_CONST(0xc000000f)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_SHIFT                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_RANGE                      31:30
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_LSB                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_DPD_OFF                    MK_ENUM_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_CODE_DPD_ON                     MK_ENUM_CONST(2)

#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_RANGE                  0:0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_WOFFSET                        0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_SHIFT                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_RANGE                    1:1
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_MSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_LSB                      MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_WOFFSET                  0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK0_BIAS0_ON                       MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_SHIFT                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_RANGE                  2:2
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_MSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_LSB                    MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_WOFFSET                        0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_SHIFT                    MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_RANGE                    3:3
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_LSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_WOFFSET                  0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0_PEX_CLK1_BIAS1_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0                      MK_ADDR_CONST(0xe0b4)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_SECURE                       0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_DUAL                         0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_SCR                  IO_PEX_CLK_A_SCR_0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_SCRREG                       PMC_IMPL_SCR_IO_PEX_CLK_A_SCR_0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_RESET_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_READ_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_RANGE                       0:0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_WOFFSET                     0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_RANGE                 1:1
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_WOFFSET                       0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK0_BIAS0_ON                    MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_SHIFT                       MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_RANGE                       2:2
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_MSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_LSB                 MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_WOFFSET                     0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_SHIFT                 MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_RANGE                 3:3
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_MSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_LSB                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_WOFFSET                       0x0
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0_PEX_CLK1_BIAS1_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0                 MK_ADDR_CONST(0xe0b8)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_SECURE                  0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_DUAL                    0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_SCR                     IO_PEX_CLK_B_SCR_0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_SCRREG                  PMC_IMPL_SCR_IO_PEX_CLK_B_SCR_0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_WORD_COUNT                      0x1
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_RESET_MASK                      MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_READ_MASK                       MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_WRITE_MASK                      MK_MASK_CONST(0xc0000003)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_SHIFT                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_FIELD                      MK_FIELD_CONST(0x3, PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_RANGE                      31:30
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_LSB                        MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_WOFFSET                    0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_DEFAULT_MASK                       MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_IDLE                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_DPD_OFF                    MK_ENUM_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_CODE_DPD_ON                     MK_ENUM_CONST(2)

#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_RANGE                  0:0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_WOFFSET                        0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_ON                     MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_SHIFT                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_RANGE                     1:1
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_MSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_LSB                       MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_WOFFSET                   0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0_PEX_CLK4_BIAS_ON                        MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0                      MK_ADDR_CONST(0xe0bc)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_SECURE                       0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_DUAL                         0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_SCR                  IO_PEX_CLK_B_SCR_0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_SCRREG                       PMC_IMPL_SCR_IO_PEX_CLK_B_SCR_0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_RESET_MASK                   MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_READ_MASK                    MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_WRITE_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_RANGE                       0:0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_WOFFSET                     0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_ON                  MK_ENUM_CONST(1)

#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_SHIFT                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_SHIFT)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_RANGE                  1:1
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_MSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_LSB                    MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_WOFFSET                        0x0
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_OFF                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0_PEX_CLK4_BIAS_ON                     MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_CSI_DPD_REQ_0
#define PMC_IMPL_IO_CSI_DPD_REQ_0                       MK_ADDR_CONST(0xe0c0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_SECURE                        0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_DUAL                  0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_SCR                   IO_CSI_SCR_0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_SCRREG                        PMC_IMPL_SCR_IO_CSI_SCR_0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_WORD_COUNT                    0x1
#define PMC_IMPL_IO_CSI_DPD_REQ_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_RESET_MASK                    MK_MASK_CONST(0xc00003ff)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_READ_MASK                     MK_MASK_CONST(0xc00003ff)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_WRITE_MASK                    MK_MASK_CONST(0xc00003ff)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_SHIFT                    MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_FIELD                    MK_FIELD_CONST(0x3, PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_RANGE                    31:30
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_MSB                      MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_LSB                      MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_WOFFSET                  0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_DEFAULT_MASK                     MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_IDLE                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_DPD_OFF                  MK_ENUM_CONST(1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CODE_DPD_ON                   MK_ENUM_CONST(2)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_RANGE                   0:0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_A_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_SHIFT                   MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_RANGE                   1:1
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_MSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_LSB                     MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_B_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_SHIFT                   MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_RANGE                   2:2
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_MSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_LSB                     MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_C_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_SHIFT                   MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_RANGE                   3:3
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_LSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_D_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_SHIFT                   MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_RANGE                   4:4
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_MSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_LSB                     MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_E_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_SHIFT                   MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_RANGE                   5:5
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_MSB                     MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_LSB                     MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_F_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_SHIFT                   MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_RANGE                   6:6
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_MSB                     MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_LSB                     MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_G_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_SHIFT                   MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_RANGE                   7:7
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_MSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_LSB                     MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_WOFFSET                 0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_CSI_H_ON                      MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_SHIFT                        MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_RANGE                        8:8
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_MSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_LSB                  MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_BIAS_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_SHIFT                 MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_RANGE                 9:9
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_MSB                   MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_LSB                   MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_WOFFSET                       0x0
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_OFF                   MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_REQ_0_PHY_PLL_ON                    MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_CSI_DPD_STATUS_0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0                    MK_ADDR_CONST(0xe0c4)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_SECURE                     0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_DUAL                       0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_SCR                        IO_CSI_SCR_0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_SCRREG                     PMC_IMPL_SCR_IO_CSI_SCR_0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_WORD_COUNT                         0x1
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_RESET_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_RESET_MASK                         MK_MASK_CONST(0x3ff)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_SW_DEFAULT_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_READ_MASK                  MK_MASK_CONST(0x3ff)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_WRITE_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_RANGE                        0:0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_A_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_RANGE                        1:1
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_MSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_B_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_RANGE                        2:2
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_C_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_SHIFT                        MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_RANGE                        3:3
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_MSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_LSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_D_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_SHIFT                        MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_RANGE                        4:4
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_LSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_E_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_SHIFT                        MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_RANGE                        5:5
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_MSB                  MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_LSB                  MK_SHIFT_CONST(5)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_F_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_SHIFT                        MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_RANGE                        6:6
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_MSB                  MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_LSB                  MK_SHIFT_CONST(6)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_G_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_SHIFT                        MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_RANGE                        7:7
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_MSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_LSB                  MK_SHIFT_CONST(7)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_WOFFSET                      0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_CSI_H_ON                   MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_SHIFT                     MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_RANGE                     8:8
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_MSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_LSB                       MK_SHIFT_CONST(8)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_WOFFSET                   0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_PARITY_PROTECTION                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_OFF                       MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_BIAS_ON                        MK_ENUM_CONST(1)

#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_SHIFT                      MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_SHIFT)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_RANGE                      9:9
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_MSB                        MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_LSB                        MK_SHIFT_CONST(9)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_WOFFSET                    0x0
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_PARITY_PROTECTION                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_OFF                        MK_ENUM_CONST(0)
#define PMC_IMPL_IO_CSI_DPD_STATUS_0_PHY_PLL_ON                 MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_EMMC_DPD_REQ_0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0                      MK_ADDR_CONST(0xe0c8)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_SECURE                       0x0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_DUAL                         0x0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_SCR                  IO_EMMC_SCR_0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_SCRREG                       PMC_IMPL_SCR_IO_EMMC_SCR_0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_RESET_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_READ_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_WRITE_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_SHIFT                   MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_FIELD                   MK_FIELD_CONST(0x3, PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_RANGE                   31:30
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_LSB                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_WOFFSET                 0x0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_IDLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_DPD_OFF                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_CODE_DPD_ON                  MK_ENUM_CONST(2)

#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_SHIFT)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_RANGE                   0:0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_WOFFSET                 0x0
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_OFF                     MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_REQ_0_EMMC_ON                      MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_EMMC_DPD_STATUS_0
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0                   MK_ADDR_CONST(0xe0cc)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_SECURE                    0x0
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_DUAL                      0x0
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_SCR                       IO_EMMC_SCR_0
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_SCRREG                    PMC_IMPL_SCR_IO_EMMC_SCR_0
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_SHIFT)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_RANGE                        0:0
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_WOFFSET                      0x0
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_OFF                  MK_ENUM_CONST(0)
#define PMC_IMPL_IO_EMMC_DPD_STATUS_0_EMMC_ON                   MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_DISP_DPD_REQ_0
#define PMC_IMPL_IO_DISP_DPD_REQ_0                      MK_ADDR_CONST(0xe0d0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_SECURE                       0x0
#define PMC_IMPL_IO_DISP_DPD_REQ_0_DUAL                         0x0
#define PMC_IMPL_IO_DISP_DPD_REQ_0_SCR                  IO_DISP_SCR_0
#define PMC_IMPL_IO_DISP_DPD_REQ_0_SCRREG                       PMC_IMPL_SCR_IO_DISP_SCR_0
#define PMC_IMPL_IO_DISP_DPD_REQ_0_WORD_COUNT                   0x1
#define PMC_IMPL_IO_DISP_DPD_REQ_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_RESET_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_READ_MASK                    MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_WRITE_MASK                   MK_MASK_CONST(0xc0000001)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_SHIFT                   MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_FIELD                   MK_FIELD_CONST(0x3, PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_SHIFT)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_RANGE                   31:30
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_MSB                     MK_SHIFT_CONST(31)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_LSB                     MK_SHIFT_CONST(30)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_WOFFSET                 0x0
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_DEFAULT_MASK                    MK_MASK_CONST(0x3)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_IDLE                    MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_DPD_OFF                 MK_ENUM_CONST(1)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_CODE_DPD_ON                  MK_ENUM_CONST(2)

#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_SHIFT                       MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_SHIFT)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_RANGE                       0:0
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_MSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_LSB                 MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_WOFFSET                     0x0
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_PARITY_PROTECTION                   MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_OFF                 MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_REQ_0_HDMI_DP0_ON                  MK_ENUM_CONST(1)


// Register PMC_IMPL_IO_DISP_DPD_STATUS_0
#define PMC_IMPL_IO_DISP_DPD_STATUS_0                   MK_ADDR_CONST(0xe0d4)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_SECURE                    0x0
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_DUAL                      0x0
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_SCR                       IO_DISP_SCR_0
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_SCRREG                    PMC_IMPL_SCR_IO_DISP_SCR_0
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_WORD_COUNT                        0x1
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_RESET_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_RESET_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_SW_DEFAULT_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_READ_MASK                         MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_WRITE_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_FIELD                    MK_FIELD_CONST(0x1, PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_SHIFT)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_RANGE                    0:0
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_MSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_WOFFSET                  0x0
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_DEFAULT_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_OFF                      MK_ENUM_CONST(0)
#define PMC_IMPL_IO_DISP_DPD_STATUS_0_HDMI_DP0_ON                       MK_ENUM_CONST(1)


// Register PMC_IMPL_POD_SOC_CONFIG_0
#define PMC_IMPL_POD_SOC_CONFIG_0                       MK_ADDR_CONST(0xf000)
#define PMC_IMPL_POD_SOC_CONFIG_0_SECURE                        0x0
#define PMC_IMPL_POD_SOC_CONFIG_0_DUAL                  0x0
#define PMC_IMPL_POD_SOC_CONFIG_0_SCR                   POD_SCR_0
#define PMC_IMPL_POD_SOC_CONFIG_0_SCRREG                        PMC_IMPL_SCR_POD_SCR_0
#define PMC_IMPL_POD_SOC_CONFIG_0_WORD_COUNT                    0x1
#define PMC_IMPL_POD_SOC_CONFIG_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_SOC_CONFIG_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_SOC_CONFIG_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_SOC_CONFIG_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_SOC_CONFIG_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_SOC_CONFIG_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_SHIFT)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_RANGE                  0:0
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_WOFFSET                        0x0
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_SOC_CONFIG_0_POD_RESET_EN_N_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_POD_CV_CONFIG_0
#define PMC_IMPL_POD_CV_CONFIG_0                        MK_ADDR_CONST(0xf004)
#define PMC_IMPL_POD_CV_CONFIG_0_SECURE                         0x0
#define PMC_IMPL_POD_CV_CONFIG_0_DUAL                   0x0
#define PMC_IMPL_POD_CV_CONFIG_0_SCR                    POD_SCR_0
#define PMC_IMPL_POD_CV_CONFIG_0_SCRREG                         PMC_IMPL_SCR_POD_SCR_0
#define PMC_IMPL_POD_CV_CONFIG_0_WORD_COUNT                     0x1
#define PMC_IMPL_POD_CV_CONFIG_0_RESET_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CV_CONFIG_0_RESET_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CV_CONFIG_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CV_CONFIG_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CV_CONFIG_0_READ_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CV_CONFIG_0_WRITE_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_SHIFT                   MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_SHIFT)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_RANGE                   0:0
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_MSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_LSB                     MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_WOFFSET                 0x0
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CV_CONFIG_0_POD_RESET_EN_N_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)


// Register PMC_IMPL_POD_CPU_CONFIG_0
#define PMC_IMPL_POD_CPU_CONFIG_0                       MK_ADDR_CONST(0xf008)
#define PMC_IMPL_POD_CPU_CONFIG_0_SECURE                        0x0
#define PMC_IMPL_POD_CPU_CONFIG_0_DUAL                  0x0
#define PMC_IMPL_POD_CPU_CONFIG_0_SCR                   POD_SCR_0
#define PMC_IMPL_POD_CPU_CONFIG_0_SCRREG                        PMC_IMPL_SCR_POD_SCR_0
#define PMC_IMPL_POD_CPU_CONFIG_0_WORD_COUNT                    0x1
#define PMC_IMPL_POD_CPU_CONFIG_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CPU_CONFIG_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CPU_CONFIG_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CPU_CONFIG_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CPU_CONFIG_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CPU_CONFIG_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_SHIFT)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_RANGE                  0:0
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_WOFFSET                        0x0
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_CPU_CONFIG_0_POD_RESET_EN_N_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_POD_GPU_CONFIG_0
#define PMC_IMPL_POD_GPU_CONFIG_0                       MK_ADDR_CONST(0xf00c)
#define PMC_IMPL_POD_GPU_CONFIG_0_SECURE                        0x0
#define PMC_IMPL_POD_GPU_CONFIG_0_DUAL                  0x0
#define PMC_IMPL_POD_GPU_CONFIG_0_SCR                   POD_SCR_0
#define PMC_IMPL_POD_GPU_CONFIG_0_SCRREG                        PMC_IMPL_SCR_POD_SCR_0
#define PMC_IMPL_POD_GPU_CONFIG_0_WORD_COUNT                    0x1
#define PMC_IMPL_POD_GPU_CONFIG_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_GPU_CONFIG_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_GPU_CONFIG_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_GPU_CONFIG_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_GPU_CONFIG_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_GPU_CONFIG_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_SHIFT)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_RANGE                  0:0
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_WOFFSET                        0x0
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_GPU_CONFIG_0_POD_RESET_EN_N_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_POD_FSI_CONFIG_0
#define PMC_IMPL_POD_FSI_CONFIG_0                       MK_ADDR_CONST(0xf010)
#define PMC_IMPL_POD_FSI_CONFIG_0_SECURE                        0x0
#define PMC_IMPL_POD_FSI_CONFIG_0_DUAL                  0x0
#define PMC_IMPL_POD_FSI_CONFIG_0_SCR                   POD_SCR_0
#define PMC_IMPL_POD_FSI_CONFIG_0_SCRREG                        PMC_IMPL_SCR_POD_SCR_0
#define PMC_IMPL_POD_FSI_CONFIG_0_WORD_COUNT                    0x1
#define PMC_IMPL_POD_FSI_CONFIG_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_FSI_CONFIG_0_RESET_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_FSI_CONFIG_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_FSI_CONFIG_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_FSI_CONFIG_0_READ_MASK                     MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_FSI_CONFIG_0_WRITE_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_SHIFT)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_RANGE                  0:0
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_WOFFSET                        0x0
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_POD_FSI_CONFIG_0_POD_RESET_EN_N_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)


// Register PMC_IMPL_SCPM_RESET_EN_0
#define PMC_IMPL_SCPM_RESET_EN_0                        MK_ADDR_CONST(0xf800)
#define PMC_IMPL_SCPM_RESET_EN_0_SECURE                         0x0
#define PMC_IMPL_SCPM_RESET_EN_0_DUAL                   0x0
#define PMC_IMPL_SCPM_RESET_EN_0_SCR                    SCPM_COMM_SCR_0
#define PMC_IMPL_SCPM_RESET_EN_0_SCRREG                         PMC_IMPL_SCR_SCPM_COMM_SCR_0
#define PMC_IMPL_SCPM_RESET_EN_0_WORD_COUNT                     0x1
#define PMC_IMPL_SCPM_RESET_EN_0_RESET_VAL                      MK_MASK_CONST(0x1f)
#define PMC_IMPL_SCPM_RESET_EN_0_RESET_MASK                     MK_MASK_CONST(0x1f)
#define PMC_IMPL_SCPM_RESET_EN_0_SW_DEFAULT_VAL                         MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_READ_MASK                      MK_MASK_CONST(0x1f)
#define PMC_IMPL_SCPM_RESET_EN_0_WRITE_MASK                     MK_MASK_CONST(0x1f)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_SHIFT)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_RANGE                 0:0
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_MSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_WOFFSET                       0x0
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_RTC_XTAL_SCPM_RST_OUT_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_SHIFT                 MK_SHIFT_CONST(1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_SHIFT)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_RANGE                 1:1
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_MSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_LSB                   MK_SHIFT_CONST(1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_WOFFSET                       0x0
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_DEFAULT                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_PARITY_PROTECTION                     MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_XTAL_SCPM_RST_OUT_EN_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_SHIFT                        MK_SHIFT_CONST(2)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_SHIFT)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_RANGE                        2:2
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_MSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_LSB                  MK_SHIFT_CONST(2)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_WOFFSET                      0x0
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_BPMP_CORE_CLK_SCPM_RST_OUT_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_SHIFT                   MK_SHIFT_CONST(3)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_FIELD                   MK_FIELD_CONST(0x1, PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_SHIFT)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_RANGE                   3:3
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_MSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_LSB                     MK_SHIFT_CONST(3)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_WOFFSET                 0x0
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_DEFAULT                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_DEFAULT_MASK                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_SW_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_SW_DEFAULT_MASK                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_PARITY_PROTECTION                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_SOC_PSC_SE_CLK_SCPM_RST_OUT_EN_PLATFORM_DEPENDENT                      MK_MASK_CONST(0x1)

#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_SHIFT                      MK_SHIFT_CONST(4)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_SHIFT)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_RANGE                      4:4
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_MSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_LSB                        MK_SHIFT_CONST(4)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_WOFFSET                    0x0
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SCPM_RESET_EN_0_FSI_SCPM_RST_OUT_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0                 MK_ADDR_CONST(0xf900)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_SECURE                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_DUAL                    0x0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_SCR                     RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_SCRREG                  PMC_IMPL_SCR_RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_WORD_COUNT                      0x1
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_RESET_VAL                       MK_MASK_CONST(0x80000001)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_RESET_MASK                      MK_MASK_CONST(0x80000003)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_READ_MASK                       MK_MASK_CONST(0x80000003)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_WRITE_MASK                      MK_MASK_CONST(0x80000003)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_RANGE                        0:0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_WOFFSET                      0x0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_RANGE                      1:1
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_WOFFSET                    0x0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_RANGE                      31:31
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_WOFFSET                    0x0
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0                     MK_ADDR_CONST(0xf904)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SECURE                      0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DUAL                        0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SCR                         RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SCRREG                      PMC_IMPL_SCR_RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_WORD_COUNT                  0x1
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_RESET_VAL                   MK_MASK_CONST(0x7777)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_RESET_MASK                  MK_MASK_CONST(0xffff)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_READ_MASK                   MK_MASK_CONST(0xffff)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_WRITE_MASK                  MK_MASK_CONST(0xffff)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_RANGE                    3:0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_WOFFSET                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SHIFT                    MK_SHIFT_CONST(4)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_RANGE                    7:4
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_MSB                      MK_SHIFT_CONST(7)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_LSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_WOFFSET                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_RANGE                    11:8
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_MSB                      MK_SHIFT_CONST(11)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_WOFFSET                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SHIFT                    MK_SHIFT_CONST(12)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_RANGE                    15:12
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_MSB                      MK_SHIFT_CONST(15)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_LSB                      MK_SHIFT_CONST(12)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_WOFFSET                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0                       MK_ADDR_CONST(0xf908)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_SECURE                        0x0
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_DUAL                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_SCR                   RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_SCRREG                        PMC_IMPL_SCR_RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_WORD_COUNT                    0x1
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_RESET_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_READ_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_WRITE_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_FIELD                        MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_RANGE                        3:0
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_MSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_WOFFSET                      0x0
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0                      MK_ADDR_CONST(0xf90c)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SECURE                       0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DUAL                         0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SCR                  RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SCRREG                       PMC_IMPL_SCR_RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_WORD_COUNT                   0x1
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_MASK                   MK_MASK_CONST(0xff03ff)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_READ_MASK                    MK_MASK_CONST(0xff03ff)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_WRITE_MASK                   MK_MASK_CONST(0xff03ff)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_RANGE                     0:0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_WOFFSET                   0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_FIELD                        MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_RANGE                        4:1
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_WOFFSET                      0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SHIFT                  MK_SHIFT_CONST(5)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_RANGE                  5:5
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_LSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_WOFFSET                        0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SHIFT                  MK_SHIFT_CONST(6)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_RANGE                  9:6
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_MSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_LSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_WOFFSET                        0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SHIFT                     MK_SHIFT_CONST(16)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_FIELD                     MK_FIELD_CONST(0xff, PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_RANGE                     23:16
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_MSB                       MK_SHIFT_CONST(23)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_LSB                       MK_SHIFT_CONST(16)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_WOFFSET                   0x0
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register PMC_IMPL_RTC_XTAL_SCPM_STATUS_0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0                 MK_ADDR_CONST(0xf910)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SECURE                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_DUAL                    0x0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SCR                     RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SCRREG                  PMC_IMPL_SCR_RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7e001f)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7e001f)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_RANGE                  0:0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_WOFFSET                        0x0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_FIELD                        MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_RANGE                        4:1
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_WOFFSET                      0x0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SHIFT                       MK_SHIFT_CONST(17)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_RANGE                       17:17
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_MSB                 MK_SHIFT_CONST(17)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_LSB                 MK_SHIFT_CONST(17)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_WOFFSET                     0x0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_ERROR_PHASE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SHIFT                 MK_SHIFT_CONST(18)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_RANGE                 18:18
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_MSB                   MK_SHIFT_CONST(18)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_LSB                   MK_SHIFT_CONST(18)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_WOFFSET                       0x0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_SHIFT                    MK_SHIFT_CONST(19)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_RANGE                    22:19
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_MSB                      MK_SHIFT_CONST(22)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_LSB                      MK_SHIFT_CONST(19)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_WOFFSET                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_STATUS_0_OUTPUT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0                       MK_ADDR_CONST(0xf914)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_SECURE                        0x0
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_DUAL                  0x0
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_SCR                   RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_SCRREG                        PMC_IMPL_SCR_RTC_XTAL_SCPM_SCR_0
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_WORD_COUNT                    0x1
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RESET_MASK                    MK_MASK_CONST(0xffff)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_READ_MASK                     MK_MASK_CONST(0xffff)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_FIELD                 MK_FIELD_CONST(0xffff, PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SHIFT)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_RANGE                 15:0
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_MSB                   MK_SHIFT_CONST(15)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_WOFFSET                       0x0
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


// Register PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0                 MK_ADDR_CONST(0xfa00)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_SECURE                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_DUAL                    0x0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_SCR                     SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_SCRREG                  PMC_IMPL_SCR_SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_WORD_COUNT                      0x1
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_RESET_VAL                       MK_MASK_CONST(0x80000001)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_RESET_MASK                      MK_MASK_CONST(0x80000003)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_READ_MASK                       MK_MASK_CONST(0x80000003)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_WRITE_MASK                      MK_MASK_CONST(0x80000003)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_FIELD                        MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_RANGE                        0:0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_MSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_WOFFSET                      0x0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_DEFAULT                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_DEFAULT_MASK                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_EN_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SHIFT                      MK_SHIFT_CONST(1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_RANGE                      1:1
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_MSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_LSB                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_WOFFSET                    0x0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_CONFIG_VALID_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SHIFT                      MK_SHIFT_CONST(31)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_FIELD                      MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_RANGE                      31:31
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_MSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_LSB                        MK_SHIFT_CONST(31)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_WOFFSET                    0x0
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_DEFAULT                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_DEFAULT_MASK                       MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SW_DEFAULT                 MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_SW_DEFAULT_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_PARITY_PROTECTION                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0_HSM_FAULT_EN_PLATFORM_DEPENDENT                 MK_MASK_CONST(0x1)


// Register PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0                     MK_ADDR_CONST(0xfa04)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SECURE                      0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DUAL                        0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SCR                         SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SCRREG                      PMC_IMPL_SCR_SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_WORD_COUNT                  0x1
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_RESET_VAL                   MK_MASK_CONST(0x7777)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_RESET_MASK                  MK_MASK_CONST(0xffff)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SW_DEFAULT_VAL                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_READ_MASK                   MK_MASK_CONST(0xffff)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_WRITE_MASK                  MK_MASK_CONST(0xffff)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SHIFT                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_RANGE                    3:0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_MSB                      MK_SHIFT_CONST(3)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_LSB                      MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_WOFFSET                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_0_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SHIFT                    MK_SHIFT_CONST(4)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_RANGE                    7:4
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_MSB                      MK_SHIFT_CONST(7)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_LSB                      MK_SHIFT_CONST(4)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_WOFFSET                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_1_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SHIFT                    MK_SHIFT_CONST(8)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_RANGE                    11:8
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_MSB                      MK_SHIFT_CONST(11)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_LSB                      MK_SHIFT_CONST(8)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_WOFFSET                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_2_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SHIFT                    MK_SHIFT_CONST(12)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_RANGE                    15:12
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_MSB                      MK_SHIFT_CONST(15)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_LSB                      MK_SHIFT_CONST(12)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_WOFFSET                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_DEFAULT                  MK_MASK_CONST(0x7)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_PARITY_PROTECTION                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0_DATAPATH_DEL_SEL_3_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0                       MK_ADDR_CONST(0xfa08)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_SECURE                        0x0
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_DUAL                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_SCR                   SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_SCRREG                        PMC_IMPL_SCR_SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_WORD_COUNT                    0x1
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_RESET_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_READ_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_WRITE_MASK                    MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SHIFT                        MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_FIELD                        MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_RANGE                        3:0
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_MSB                  MK_SHIFT_CONST(3)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_LSB                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_WOFFSET                      0x0
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0_MASK_TIMING_PATH_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)


// Register PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0                      MK_ADDR_CONST(0xfa0c)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SECURE                       0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DUAL                         0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SCR                  SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SCRREG                       PMC_IMPL_SCR_SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_WORD_COUNT                   0x1
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_VAL                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_MASK                   MK_MASK_CONST(0xff03ff)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SW_DEFAULT_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_READ_MASK                    MK_MASK_CONST(0xff03ff)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_WRITE_MASK                   MK_MASK_CONST(0xff03ff)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SHIFT                     MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_FIELD                     MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_RANGE                     0:0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_MSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_LSB                       MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_WOFFSET                   0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_DEFAULT_MASK                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RESET_JTAG_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_FIELD                        MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_RANGE                        4:1
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_WOFFSET                      0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_PARITY_PROTECTION                    MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_PATH_ID_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SHIFT                  MK_SHIFT_CONST(5)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_RANGE                  5:5
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_MSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_LSB                    MK_SHIFT_CONST(5)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_WOFFSET                        0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_DELAY_CHAR_EN_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SHIFT                  MK_SHIFT_CONST(6)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_FIELD                  MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_RANGE                  9:6
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_MSB                    MK_SHIFT_CONST(9)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_LSB                    MK_SHIFT_CONST(6)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_WOFFSET                        0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_DEFAULT_MASK                   MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_PARITY_PROTECTION                      MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_SETUP_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SHIFT                     MK_SHIFT_CONST(16)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_FIELD                     MK_FIELD_CONST(0xff, PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_RANGE                     23:16
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_MSB                       MK_SHIFT_CONST(23)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_LSB                       MK_SHIFT_CONST(16)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_WOFFSET                   0x0
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_DEFAULT_MASK                      MK_MASK_CONST(0xff)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SW_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_SW_DEFAULT_MASK                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_PARITY_PROTECTION                 MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0_RO_SAMPLING_PERIOD_PLATFORM_DEPENDENT                        MK_MASK_CONST(0x1)


// Register PMC_IMPL_SOC_XTAL_SCPM_STATUS_0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0                 MK_ADDR_CONST(0xfa10)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SECURE                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_DUAL                    0x0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SCR                     SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SCRREG                  PMC_IMPL_SCR_SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_WORD_COUNT                      0x1
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_RESET_VAL                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_RESET_MASK                      MK_MASK_CONST(0x7e001f)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SW_DEFAULT_VAL                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SW_DEFAULT_MASK                         MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_READ_MASK                       MK_MASK_CONST(0x7e001f)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_WRITE_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SHIFT                  MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_FIELD                  MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_RANGE                  0:0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_MSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_LSB                    MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_WOFFSET                        0x0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_DEFAULT                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_DEFAULT_MASK                   MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SW_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_SW_DEFAULT_MASK                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_PARITY_PROTECTION                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_OUT_STATUS_PLATFORM_DEPENDENT                     MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SHIFT                        MK_SHIFT_CONST(1)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_FIELD                        MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_RANGE                        4:1
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_MSB                  MK_SHIFT_CONST(4)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_LSB                  MK_SHIFT_CONST(1)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_WOFFSET                      0x0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_DEFAULT                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_DEFAULT_MASK                 MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SW_DEFAULT                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_SW_DEFAULT_MASK                      MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_PARITY_PROTECTION                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_PATH_TIMING_STATUS_PLATFORM_DEPENDENT                   MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SHIFT                       MK_SHIFT_CONST(17)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_FIELD                       MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_RANGE                       17:17
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_MSB                 MK_SHIFT_CONST(17)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_LSB                 MK_SHIFT_CONST(17)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_WOFFSET                     0x0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_DEFAULT                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_DEFAULT_MASK                        MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SW_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_SW_DEFAULT_MASK                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_PARITY_PROTECTION                   MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_ERROR_PHASE_PLATFORM_DEPENDENT                  MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SHIFT                 MK_SHIFT_CONST(18)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_FIELD                 MK_FIELD_CONST(0x1, PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_RANGE                 18:18
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_MSB                   MK_SHIFT_CONST(18)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_LSB                   MK_SHIFT_CONST(18)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_WOFFSET                       0x0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_DEFAULT_MASK                  MK_MASK_CONST(0x1)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_SAMPLING_COMPLETE_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)

#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_SHIFT                    MK_SHIFT_CONST(19)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_FIELD                    MK_FIELD_CONST(0xf, PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_RANGE                    22:19
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_MSB                      MK_SHIFT_CONST(22)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_LSB                      MK_SHIFT_CONST(19)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_WOFFSET                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_DEFAULT                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_DEFAULT_MASK                     MK_MASK_CONST(0xf)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_SW_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_SW_DEFAULT_MASK                  MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_PARITY_PROTECTION                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_STATUS_0_OUTPUT_PLATFORM_DEPENDENT                       MK_MASK_CONST(0x1)


// Register PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0                       MK_ADDR_CONST(0xfa14)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_SECURE                        0x0
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_DUAL                  0x0
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_SCR                   SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_SCRREG                        PMC_IMPL_SCR_SOC_XTAL_SCPM_SCR_0
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_WORD_COUNT                    0x1
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RESET_VAL                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RESET_MASK                    MK_MASK_CONST(0xffff)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_SW_DEFAULT_VAL                        MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_READ_MASK                     MK_MASK_CONST(0xffff)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_WRITE_MASK                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SHIFT                 MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_FIELD                 MK_FIELD_CONST(0xffff, PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SHIFT)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_RANGE                 15:0
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_MSB                   MK_SHIFT_CONST(15)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_LSB                   MK_SHIFT_CONST(0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_WOFFSET                       0x0
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_DEFAULT                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_DEFAULT_MASK                  MK_MASK_CONST(0xffff)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SW_DEFAULT                    MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_SW_DEFAULT_MASK                       MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_PARITY_PROTECTION                     MK_MASK_CONST(0x0)
#define PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0_RO_COUNT_STATUS_PLATFORM_DEPENDENT                    MK_MASK_CONST(0x1)


//
// REGISTER LIST
//
#define LIST_ARPMC_IMPL_REGS(_op_) \
_op_(PMC_IMPL_CNTRL_0) \
_op_(PMC_IMPL_SLCG_CTRL_0) \
_op_(PMC_IMPL_DPD_PADS_ORIDE_0) \
_op_(PMC_IMPL_DPD_ENABLE_0) \
_op_(PMC_IMPL_SC7_CONFIG_0) \
_op_(PMC_IMPL_SC7_STATUS_0) \
_op_(PMC_IMPL_SC8_FSM_INIT_0) \
_op_(PMC_IMPL_SC8_CONTROL_0) \
_op_(PMC_IMPL_RETENTION_CONTROL_0) \
_op_(PMC_IMPL_SC7_DEBUG_CTRL_0) \
_op_(PMC_IMPL_PWRGOOD_TIMER_0) \
_op_(PMC_IMPL_BLINK_TIMER_0) \
_op_(PMC_IMPL_NO_IOPOWER_0) \
_op_(PMC_IMPL_E_18V_PWR_0) \
_op_(PMC_IMPL_E_33V_PWR_0) \
_op_(PMC_IMPL_OSC_EDPD_OVER_0) \
_op_(PMC_IMPL_CLK_OUT_CNTRL_0) \
_op_(PMC_IMPL_SENSOR_CTRL_0) \
_op_(PMC_IMPL_RST_STATUS_0) \
_op_(PMC_IMPL_IO_DPD_REQ_0) \
_op_(PMC_IMPL_SEL_DPD_TIM_0) \
_op_(PMC_IMPL_TSC_MULT_0) \
_op_(PMC_IMPL_GLB_AMAP_CFG_0) \
_op_(PMC_IMPL_GPU_RG_CNTRL_0) \
_op_(PMC_IMPL_CNTRL2_0) \
_op_(PMC_IMPL_EVENT_COUNTER_0) \
_op_(PMC_IMPL_DIRECT_THERMTRIP_CFG_0) \
_op_(PMC_IMPL_RAMDUMP_CTL_STATUS_0) \
_op_(PMC_IMPL_RAMDUMP_TIMEOUT_0) \
_op_(PMC_IMPL_RST_REQ_CONFIG_0) \
_op_(PMC_IMPL_RST_REQ_CNTVAL_0) \
_op_(PMC_IMPL_VFMON_ACTION_0) \
_op_(PMC_IMPL_VFMON_INT_STATUS_0) \
_op_(PMC_IMPL_VFMON_INT_MASK_0) \
_op_(PMC_IMPL_POWER_GATE_TIMERS_0) \
_op_(PMC_IMPL_LOGIC_ZONE_DELAY_0) \
_op_(PMC_IMPL_SRAM_ZONE_DELAY_0) \
_op_(PMC_IMPL_ZONE_CONFIG_0) \
_op_(PMC_IMPL_INTER_PARTITION_PG_DELAY_0) \
_op_(PMC_IMPL_AO_PG_TIMERS_0) \
_op_(PMC_IMPL_PG_STATUS_0) \
_op_(PMC_IMPL_PART_AUD_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AUD_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AUD_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_DISP_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_DISP_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_VIC_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_VIC_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_XUSBA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_XUSBB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBC_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBC_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_XUSBC_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_SCRATCH_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_SCRATCH_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_SCRATCH_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AONPG_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AONPG_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM0_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM1_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM1_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM2_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM2_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM3_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM3_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM4_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM4_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM5_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM5_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM6_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM6_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_TCM7_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_TCM7_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_CACHE_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_CACHE_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_CAN0_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_CAN0_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_AOPG_CAN1_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_MSS_SCRATCH_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX8A_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX8A_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX8A_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4A_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4A_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4A_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX1A_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX1A_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX8B_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_DLAA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_DLAA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_DLAB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_DLAB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_ISP_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_ISP_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_NVDEC_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_NVDEC_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_NVDEC_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_NVJPGA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_NVJPGA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_NVJPGA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_NVJPGB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_NVJPGB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_NVJPGB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_NVENC_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_NVENC_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_NVENC_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_VI_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_VI_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_VI_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4BA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4BA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4BA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4BB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4BB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4BB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4CA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4CB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CC_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CC_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4CC_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_PVA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_PVA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_PVA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_OFA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_OFA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_OFA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEBA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEBB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBC_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBC_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEBC_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCAA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCAA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_EMCAA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCAB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCAB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_EMCAB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCBA_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCBA_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_EMCBA_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCBB_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCBB_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_EMCBB_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_TZRAM_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_TZRAM_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_TZRAM_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_DBBRAM_POWER_GATE_CONTROL_0) \
_op_(PMC_IMPL_PART_DBBRAM_POWER_GATE_STATUS_0) \
_op_(PMC_IMPL_PART_DBBRAM_CLAMP_CONTROL_0) \
_op_(PMC_IMPL_PART_AUD_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_AUD_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_DISP_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_DISP_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_ISP_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_ISP_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_NVDEC_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_NVDEC_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_NVJPGA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_NVJPGA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_NVJPGB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_NVJPGB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_NVENC_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_NVENC_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_VI_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_VI_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_VIC_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_VIC_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_XUSBA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_XUSBB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_XUSBC_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_XUSBC_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX8A_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX8A_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4A_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4A_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4BA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4BA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4BB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4BB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4CA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4CB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX4CC_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX4CC_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX1A_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX1A_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PCIEX8B_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PCIEX8B_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_PVA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_PVA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_DLAA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_DLAA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_DLAB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_DLAB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_OFA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_OFA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEBA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEBB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_MGBEBC_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_MGBEBC_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_EMCAA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCAA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_EMCAB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCAB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_EMCBA_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCBA_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_EMCBB_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_EMCBB_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_SW_OVERRIDE_CTRL_1_0) \
_op_(PMC_IMPL_SW_OVERRIDE_CTRL_2_0) \
_op_(PMC_IMPL_MISC_CTRL_0) \
_op_(PMC_IMPL_PART_GPURAIL_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_GPURAIL_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_CVRAIL_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_CVRAIL_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PART_FSIRAIL_PWRDWN_REQ_CONTROL_0) \
_op_(PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0) \
_op_(PMC_IMPL_PMC2LIC_INTR_STATUS_0) \
_op_(PMC_IMPL_PMC2LIC_INTR_ENABLE_0) \
_op_(PMC_IMPL_AOVC_LOCK_CNTRL_0) \
_op_(PMC_IMPL_AOVC_LOCK_ID_STATUS_0) \
_op_(PMC_IMPL_TEST_CLK_MUX_SEL_0) \
_op_(PMC_IMPL_SC7_FSM_STATUS_0) \
_op_(PMC_IMPL_RAMDUMP_FIQ_EXIT_0) \
_op_(PMC_IMPL_SET_RAMDUMP_FIQ_EXIT_0) \
_op_(PMC_IMPL_CLR_RAMDUMP_FIQ_EXIT_0) \
_op_(PMC_IMPL_FMON_THRESHOLD_HIGH_PMC_CK_0) \
_op_(PMC_IMPL_FMON_THRESHOLD_LOW_PMC_CK_0) \
_op_(PMC_IMPL_FMON_REF_WINDOW_COUNT_PMC_CK_0) \
_op_(PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_PMC_CK_0) \
_op_(PMC_IMPL_FMON_FAULT_ACTION_PMC_CK_0) \
_op_(PMC_IMPL_FMON_CONFIG_PMC_CK_0) \
_op_(PMC_IMPL_FMON_ENABLE_STATUS_PMC_CK_0) \
_op_(PMC_IMPL_FMON_FAULT_STATUS_PMC_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_CTRL_PMC_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_STATUS_0_PMC_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_STATUS_1_PMC_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_STATUS_2_PMC_CK_0) \
_op_(PMC_IMPL_FMON_CLEAR_COUNTER_PMC_CK_0) \
_op_(PMC_IMPL_FMON_DEBUG_CONFIG_PMC_CK_0) \
_op_(PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_PMC_CK_0) \
_op_(PMC_IMPL_FMON_THRESHOLD_HIGH_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_THRESHOLD_LOW_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_REF_WINDOW_COUNT_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_REF_WINDOW_DC_CHECK_COUNT_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_FAULT_ACTION_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_CONFIG_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_ENABLE_STATUS_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_FAULT_STATUS_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_CTRL_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_STATUS_0_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_STATUS_1_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_LOAD_DATA_STATUS_2_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_CLEAR_COUNTER_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_DEBUG_CONFIG_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_CNTR_OVERFLOW_CTRL_OSCnFUSE_CK_0) \
_op_(PMC_IMPL_FMON_DBG_CONFIG_0) \
_op_(PMC_IMPL_L0L1A_RST_SOURCE_EN_0) \
_op_(PMC_IMPL_L0L1A_RST_LEVEL_EN_0) \
_op_(PMC_IMPL_L0L1A_RST_STATUS_0) \
_op_(PMC_IMPL_DVDD_RG_CNTRL_0) \
_op_(PMC_IMPL_CV_RG_CNTRL_0) \
_op_(PMC_IMPL_SC7_RST_REQ_TIMER_0) \
_op_(PMC_IMPL_RST_REQ_TIMER_0) \
_op_(PMC_IMPL_ASYNC_RST_SC7_CONFIG_0) \
_op_(PMC_IMPL_PMC_RESET_DETECTOR_0) \
_op_(PMC_IMPL_LED_BREATHING_CTRL_0) \
_op_(PMC_IMPL_LED_BREATHING_COUNTER0_0) \
_op_(PMC_IMPL_LED_BREATHING_COUNTER1_0) \
_op_(PMC_IMPL_LED_BREATHING_COUNTER2_0) \
_op_(PMC_IMPL_LED_BREATHING_COUNTER3_0) \
_op_(PMC_IMPL_LED_BREATHING_STATUS_0) \
_op_(PMC_IMPL_DPD_AUX_CLAMP_0) \
_op_(PMC_IMPL_L2_SOURCE_MASK_0) \
_op_(PMC_IMPL_RAMDUMP_CTL_STATUS2_0) \
_op_(PMC_IMPL_IO_DPD_FSM0_STATUS_0) \
_op_(PMC_IMPL_IO_DPD_FSM1_STATUS_0) \
_op_(PMC_IMPL_IO_DPD_FSM2_STATUS_0) \
_op_(PMC_IMPL_IO_SYS_DPD_REQ_0) \
_op_(PMC_IMPL_IO_SYS_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_SYS_DPD_OFF_MASK_0) \
_op_(PMC_IMPL_IO_AO_DPD_REQ_0) \
_op_(PMC_IMPL_IO_AO_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_AO_DPD_OFF_MASK_0) \
_op_(PMC_IMPL_IO_DBG_DPD_REQ_0) \
_op_(PMC_IMPL_IO_DBG_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_G2_DPD_REQ_0) \
_op_(PMC_IMPL_IO_G2_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_G3_DPD_REQ_0) \
_op_(PMC_IMPL_IO_G3_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_G4_DPD_REQ_0) \
_op_(PMC_IMPL_IO_G4_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_G5_DPD_REQ_0) \
_op_(PMC_IMPL_IO_G5_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_SDMMC1_HV_DPD_REQ_0) \
_op_(PMC_IMPL_IO_SDMMC1_HV_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_EDP_DPD_REQ_0) \
_op_(PMC_IMPL_IO_EDP_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_UFS_DPD_REQ_0) \
_op_(PMC_IMPL_IO_UFS_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_PEX_CTL_A_DPD_REQ_0) \
_op_(PMC_IMPL_IO_PEX_CTL_A_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_QSPI_DPD_REQ_0) \
_op_(PMC_IMPL_IO_QSPI_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_G7_DPD_REQ_0) \
_op_(PMC_IMPL_IO_G7_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_AO_HV_DPD_REQ_0) \
_op_(PMC_IMPL_IO_AO_HV_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_AO_HV_DPD_OFF_MASK_0) \
_op_(PMC_IMPL_IO_EQOS_DPD_REQ_0) \
_op_(PMC_IMPL_IO_EQOS_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_PEX_CTL_B_DPD_REQ_0) \
_op_(PMC_IMPL_IO_PEX_CTL_B_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_PEX_CTL_C_DPD_REQ_0) \
_op_(PMC_IMPL_IO_PEX_CTL_C_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_PEX_CLK_C_DPD_REQ_0) \
_op_(PMC_IMPL_IO_PEX_CLK_C_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_PEX_CLK_A_DPD_REQ_0) \
_op_(PMC_IMPL_IO_PEX_CLK_A_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_PEX_CLK_B_DPD_REQ_0) \
_op_(PMC_IMPL_IO_PEX_CLK_B_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_CSI_DPD_REQ_0) \
_op_(PMC_IMPL_IO_CSI_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_EMMC_DPD_REQ_0) \
_op_(PMC_IMPL_IO_EMMC_DPD_STATUS_0) \
_op_(PMC_IMPL_IO_DISP_DPD_REQ_0) \
_op_(PMC_IMPL_IO_DISP_DPD_STATUS_0) \
_op_(PMC_IMPL_POD_SOC_CONFIG_0) \
_op_(PMC_IMPL_POD_CV_CONFIG_0) \
_op_(PMC_IMPL_POD_CPU_CONFIG_0) \
_op_(PMC_IMPL_POD_GPU_CONFIG_0) \
_op_(PMC_IMPL_POD_FSI_CONFIG_0) \
_op_(PMC_IMPL_SCPM_RESET_EN_0) \
_op_(PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0) \
_op_(PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0) \
_op_(PMC_IMPL_RTC_XTAL_SCPM_MASK_TIMING_PATH_0) \
_op_(PMC_IMPL_RTC_XTAL_SCPM_DATAPATH_DEL_CHAR_0) \
_op_(PMC_IMPL_RTC_XTAL_SCPM_STATUS_0) \
_op_(PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0) \
_op_(PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0) \
_op_(PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_SEL_0_0) \
_op_(PMC_IMPL_SOC_XTAL_SCPM_MASK_TIMING_PATH_0) \
_op_(PMC_IMPL_SOC_XTAL_SCPM_DATAPATH_DEL_CHAR_0) \
_op_(PMC_IMPL_SOC_XTAL_SCPM_STATUS_0) \
_op_(PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_PMC_IMPL   0x00000000

//
// ARPMC_IMPL REGISTER BANKS
//

#define PMC_IMPL0_FIRST_REG 0x0000 // PMC_IMPL_CNTRL_0
#define PMC_IMPL0_LAST_REG 0x0008 // PMC_IMPL_DPD_PADS_ORIDE_0
#define PMC_IMPL1_FIRST_REG 0x0010 // PMC_IMPL_DPD_ENABLE_0
#define PMC_IMPL1_LAST_REG 0x0034 // PMC_IMPL_NO_IOPOWER_0
#define PMC_IMPL2_FIRST_REG 0x003c // PMC_IMPL_E_18V_PWR_0
#define PMC_IMPL2_LAST_REG 0x0040 // PMC_IMPL_E_33V_PWR_0
#define PMC_IMPL3_FIRST_REG 0x0060 // PMC_IMPL_OSC_EDPD_OVER_0
#define PMC_IMPL3_LAST_REG 0x0064 // PMC_IMPL_CLK_OUT_CNTRL_0
#define PMC_IMPL4_FIRST_REG 0x006c // PMC_IMPL_SENSOR_CTRL_0
#define PMC_IMPL4_LAST_REG 0x0074 // PMC_IMPL_IO_DPD_REQ_0
#define PMC_IMPL5_FIRST_REG 0x00bc // PMC_IMPL_SEL_DPD_TIM_0
#define PMC_IMPL5_LAST_REG 0x00bc // PMC_IMPL_SEL_DPD_TIM_0
#define PMC_IMPL6_FIRST_REG 0x00d4 // PMC_IMPL_TSC_MULT_0
#define PMC_IMPL6_LAST_REG 0x00d8 // PMC_IMPL_GLB_AMAP_CFG_0
#define PMC_IMPL7_FIRST_REG 0x00e8 // PMC_IMPL_GPU_RG_CNTRL_0
#define PMC_IMPL7_LAST_REG 0x00e8 // PMC_IMPL_GPU_RG_CNTRL_0
#define PMC_IMPL8_FIRST_REG 0x00f8 // PMC_IMPL_CNTRL2_0
#define PMC_IMPL8_LAST_REG 0x00fc // PMC_IMPL_EVENT_COUNTER_0
#define PMC_IMPL9_FIRST_REG 0x0104 // PMC_IMPL_DIRECT_THERMTRIP_CFG_0
#define PMC_IMPL9_LAST_REG 0x0104 // PMC_IMPL_DIRECT_THERMTRIP_CFG_0
#define PMC_IMPL10_FIRST_REG 0x010c // PMC_IMPL_RAMDUMP_CTL_STATUS_0
#define PMC_IMPL10_LAST_REG 0x0118 // PMC_IMPL_RST_REQ_CNTVAL_0
#define PMC_IMPL11_FIRST_REG 0x01d4 // PMC_IMPL_VFMON_ACTION_0
#define PMC_IMPL11_LAST_REG 0x01dc // PMC_IMPL_VFMON_INT_MASK_0
#define PMC_IMPL12_FIRST_REG 0x01ec // PMC_IMPL_POWER_GATE_TIMERS_0
#define PMC_IMPL12_LAST_REG 0x0210 // PMC_IMPL_PART_AUD_CLAMP_CONTROL_0
#define PMC_IMPL13_FIRST_REG 0x0220 // PMC_IMPL_PART_DISP_POWER_GATE_CONTROL_0
#define PMC_IMPL13_LAST_REG 0x0228 // PMC_IMPL_PART_DISP_CLAMP_CONTROL_0
#define PMC_IMPL14_FIRST_REG 0x0298 // PMC_IMPL_PART_VIC_POWER_GATE_CONTROL_0
#define PMC_IMPL14_LAST_REG 0x02dc // PMC_IMPL_PART_AONPG_CLAMP_CONTROL_0
#define PMC_IMPL15_FIRST_REG 0x0388 // PMC_IMPL_PART_AOPG_TCM0_POWER_GATE_CONTROL_0
#define PMC_IMPL15_LAST_REG 0x0408 // PMC_IMPL_PART_AOPG_CAN1_CLAMP_CONTROL_0
#define PMC_IMPL16_FIRST_REG 0x0418 // PMC_IMPL_PART_MSS_SCRATCH_POWER_GATE_CONTROL_0
#define PMC_IMPL16_LAST_REG 0x0444 // PMC_IMPL_PART_PCIEX1A_CLAMP_CONTROL_0
#define PMC_IMPL17_FIRST_REG 0x0454 // PMC_IMPL_PART_PCIEX8B_POWER_GATE_CONTROL_0
#define PMC_IMPL17_LAST_REG 0x045c // PMC_IMPL_PART_PCIEX8B_CLAMP_CONTROL_0
#define PMC_IMPL18_FIRST_REG 0x0478 // PMC_IMPL_PART_DLAA_POWER_GATE_CONTROL_0
#define PMC_IMPL18_LAST_REG 0x048c // PMC_IMPL_PART_DLAB_CLAMP_CONTROL_0
#define PMC_IMPL19_FIRST_REG 0x04c0 // PMC_IMPL_PART_ISP_POWER_GATE_CONTROL_0
#define PMC_IMPL19_LAST_REG 0x06fc // PMC_IMPL_PART_FSIRAIL_PWRDWN_ACK_STATUS_0
#define PMC_IMPL20_FIRST_REG 0x0800 // PMC_IMPL_PMC2LIC_INTR_STATUS_0
#define PMC_IMPL20_LAST_REG 0x0810 // PMC_IMPL_TEST_CLK_MUX_SEL_0
#define PMC_IMPL21_FIRST_REG 0x0818 // PMC_IMPL_SC7_FSM_STATUS_0
#define PMC_IMPL21_LAST_REG 0x08e8 // PMC_IMPL_RAMDUMP_CTL_STATUS2_0
#define PMC_IMPL22_FIRST_REG 0xe000 // PMC_IMPL_IO_DPD_FSM0_STATUS_0
#define PMC_IMPL22_LAST_REG 0xe008 // PMC_IMPL_IO_DPD_FSM2_STATUS_0
#define PMC_IMPL23_FIRST_REG 0xe014 // PMC_IMPL_IO_SYS_DPD_REQ_0
#define PMC_IMPL23_LAST_REG 0xe0d4 // PMC_IMPL_IO_DISP_DPD_STATUS_0
#define PMC_IMPL24_FIRST_REG 0xf000 // PMC_IMPL_POD_SOC_CONFIG_0
#define PMC_IMPL24_LAST_REG 0xf01c // PMC_IMPL_POD_BE_MONITOR_0
#define PMC_IMPL25_FIRST_REG 0xf800 // PMC_IMPL_SCPM_RESET_EN_0
#define PMC_IMPL25_LAST_REG 0xf800 // PMC_IMPL_SCPM_RESET_EN_0
#define PMC_IMPL26_FIRST_REG 0xf900 // PMC_IMPL_RTC_XTAL_SCPM_CONFIG_0
#define PMC_IMPL26_LAST_REG 0xf914 // PMC_IMPL_RTC_XTAL_SCPM_RO_COUNT_0
#define PMC_IMPL27_FIRST_REG 0xfa00 // PMC_IMPL_SOC_XTAL_SCPM_CONFIG_0
#define PMC_IMPL27_LAST_REG 0xfa14 // PMC_IMPL_SOC_XTAL_SCPM_RO_COUNT_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef MK_SHIFT_CONST
  #define MK_SHIFT_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST
  #define MK_MASK_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ENUM_CONST
  #define MK_ENUM_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_ADDR_CONST
  #define MK_ADDR_CONST(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST
  #define MK_FIELD_CONST(_mask_, _shift_) (MK_MASK_CONST(_mask_) <<  _shift_)
#endif
#ifndef MK_SHIFT_CONST_64
  #define MK_SHIFT_CONST_64(_constant_) (_constant_ ## U)
#endif
#ifndef MK_MASK_CONST_64
  #define MK_MASK_CONST_64(_constant_) (_constant_ ## UL)
#endif
#ifndef MK_ENUM_CONST_64
  #define MK_ENUM_CONST_64(_constant_) (_constant_ ## UL)
#endif
#ifndef MK_ADDR_CONST_64
  #define MK_ADDR_CONST_64(_constant_) (_constant_ ## U)
#endif
#ifndef MK_FIELD_CONST_64
  #define MK_FIELD_CONST_64(_mask_, _shift_) (MK_MASK_CONST_64(_mask_) <<  _shift_)
#endif

#endif // ifndef ARPMC_IMPL_H_INC
